(function ($) {

/**
 * Move a block in the blocks table from one region to another via select list.
 *
 * This behavior is dependent on the tableDrag behavior, since it uses the
 * objects initialized in that behavior to update the row.
 */
Drupal.behaviors.itemDrag = {
  attach: function (context, settings) {
    var table = $('#banners', context);
    var tableDrag = Drupal.tableDrag.banners; // Get the blocks tableDrag object.
    var rows = $('tr', table).length;

    // When a row is swapped, keep previous and next page classes set.
    tableDrag.row.prototype.onSwap = function (swappedRow) {
      $('tr.banners-item-preview', table).removeClass('banners-item-preview');
      $('tr.banners-item-divider-top', table).removeClass('banners-item-divider-top');
      $('tr.banners-item-divider-bottom', table).removeClass('banners-item-divider-bottom');

      if (settings.banners.backStep) {
        for (var n = 0; n < settings.banners.backStep; n++) {
          $(table[0].tBodies[0].rows[n]).addClass('banners-item-preview');
        }
        $(table[0].tBodies[0].rows[settings.banners.backStep - 1]).addClass('banners-item-divider-top');
        $(table[0].tBodies[0].rows[settings.banners.backStep]).addClass('banners-item-divider-bottom');
      }

      if (settings.banners.forwardStep) {
        for (var n = rows - settings.banners.forwardStep - 1; n < rows - 1; n++) {
          $(table[0].tBodies[0].rows[n]).addClass('banners-item-preview');
        }
        $(table[0].tBodies[0].rows[rows - settings.banners.forwardStep - 2]).addClass('banners-item-divider-top');
        $(table[0].tBodies[0].rows[rows - settings.banners.forwardStep - 1]).addClass('banners-item-divider-bottom');
      }
    };
  }
};

})(jQuery);
