<?php
/**
 * @file
 * Marvel's theme implementation to display a single Drupal node.
 */
?>
<article id="node-<?php print $node->nid; ?>" class="<?php print $classes; ?> clearfix"<?php print $attributes; ?>>

  <?php print render($title_prefix); ?>
  <?php if (!$page): ?>
    <h2<?php print $title_attributes; ?>><a href="<?php print $node_url; ?>"><?php print $title; ?></a></h2>
  <?php endif; ?>
  <?php print render($title_suffix); ?>
  
  <?php if ($display_submitted): ?>
    <div class="submitted">
      <?php
	    print t('<i class="fa fa-calendar"></i> <span class="month">@month @day, </span><span class="day"> @year</span>',
		  array('@day' => date('d', $created), '@month' => date('M', $created), '@year' => date('Y', $created), )
	    );
	 ?>
    </div>
  <?php endif; ?>

  <div class="content"<?php print $content_attributes; ?>>
    <?php
      // We hide the comments and links now so that we can render them later.
      hide($content['comments']);
      hide($content['links']);
      print render($content);
    ?>
  </div>

  <?php print render($content['links']); ?>

  <?php print render($content['comments']); ?>

</article>
