<?php

/**
 * @file
 * Edustation's theme implementation for template functions
 */

include_once drupal_get_path('theme', 'edustation') . '/common.inc';

/**
 * Hook theme.
 */
function edustation_theme() {
  $items = array();
  $items['render_panel'] = array(
    "variables" => array(
      'page' => array(),
      'panels_list' => array(),
      'panel_regions_width' => array(),
    ),
    'preprocess functions' => array(
      'edustation_preprocess_render_panel',
    ),
    'template' => 'panel',
    'path' => drupal_get_path('theme', 'edustation') . '/tpl',
  );
  return $items;
}

/**
 * Hook process html.
 */
function edustation_process_html(&$vars) {
  
}

/**
 * Hook preprocess page.
 */
function edustation_preprocess_page(&$vars) {
  global $theme_key;
  $vars['regions_width'] = edustation_regions_width($vars['page']);
  $panel_regions = edustation_panel_regions();
  
  if (count($panel_regions)) {
    foreach ($panel_regions as $panel_name => $panels_list) {
      $panel_markup = theme("render_panel", array(
        'page' => $vars['page'],
        'panels_list' => $panels_list,
        'regions_width' => $vars['regions_width'],
      ));
      $panel_markup = trim($panel_markup);
      $vars['page'][$panel_name] = empty($panel_markup) ? FALSE : array('content' => array('#markup' => $panel_markup));
    }
  }
  
  $vars['titlebg'] = theme_get_setting('titlebg');

  $vars['edustation_page_slogan'] = false;  
  $vars['edustation_node_type'] = false;    
  if(isset($vars['node'])) {
    if(isset($vars['node']->body['und'][0]['summary']) && !empty($vars['node']->body['und'][0]['summary'])) {
      $vars['edustation_page_slogan'] = $vars['node']->body['und'][0]['summary'];
    }

    if(isset($vars['node']->type)) {
      $vars['edustation_node_type'] = $vars['node']->type; 
    }
  }
  elseif(isset($vars['page'])) {
    if(isset($vars['page']['#views_contextual_links_info']['views_ui']['view']->description)
       && !empty($vars['page']['#views_contextual_links_info']['views_ui']['view']->description)) {
      $vars['edustation_page_slogan'] = $vars['page']['#views_contextual_links_info']['views_ui']['view']->description;
    }
  }

}

/**
 * Hook preprocess render panel.
 */
function edustation_preprocess_render_panel(&$variables) {
  $page = $variables['page'];
  $panels_list = $variables['panels_list'];
  $regions_width = $variables['regions_width'];
  $variables = array();
  $variables['page'] = array();
  $variables['panel_width'] = $regions_width;
  $variables['panel_classes'] = array();
  $variables['panels_list'] = $panels_list;
  $is_empty = TRUE;
  $panel_keys = array_keys($panels_list);

  foreach ($panels_list as $panel) {
    $variables['page'][$panel] = $page[$panel];
    $panel_width = $regions_width[$panel];
    if (render($page[$panel])) {
      $is_empty = FALSE;
    }
    $classes = array("panel-column");
    // $classes[] = "col-lg-$panel_width";
    // $classes[] = "col-md-$panel_width";
    $classes[] = "col-sm-$panel_width";
    // $classes[] = "col-xs-$panel_width";
    $classes[] = str_replace("_", "-", $panel);
    $variables['panel_classes'][$panel] = implode(" ", $classes);
  }
  $variables['empty_panel'] = $is_empty;
}