<?php

include_once(drupal_get_path('theme', 'educational') . '/common.inc');


// Impliments hook_form_system_theme_settings_alter().
function educational_form_system_theme_settings_alter(&$form, $form_state) {
  educational_settings_layout_tab($form, $form_state);

}

function educational_settings_layout_tab(&$form, $form_state) {
  global $theme_key;
  $animations = educational_get_predefined_param('animations', array('none' => t("None")));
  $skins = educational_get_predefined_param('skins', array('' => t("Default skin")));
  $backgrounds = educational_get_predefined_param('backgrounds', array('bg-default' => t("Default")));
  $layout = educational_get_predefined_param('layout', array('layout-default' => t("Default Layout")));

  $form['educational']['settings'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#title' => t('Settings'),
    '#weight' => 0,
  );

  $form['educational']['settings']['different_logo'] = array(
    '#type' => 'checkbox',
    '#title' => t('If checked, Logo home different other page.'),
    '#default_value' => theme_get_setting('different_logo'),
    '#weight' => 2,
  );

  $form['educational']['settings']['configs_effect']['effect'] = array(
    '#type' => 'fieldset',
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    '#title' => t('Theme Effect'),
    '#weight' => 3,
  );

  $form['educational']['settings']['configs_effect']['effect']['animation'] = array(
    '#type' => 'select',
    '#title' => t('Animation'),
    '#default_value' => theme_get_setting('animation'),
    '#options' => $animations,
    '#weight' => 0,
  );

  $form['educational']['settings']['configs_effect']['effect']['node_animation'] = array(
    '#type' => 'checkbox',
    '#title' => t('If checked, the animation will apply to the node.'),
    '#default_value' => theme_get_setting('node_animation'),
    '#weight' => 2,
  );

  if (count($skins) > 1) {
    $form['educational']['settings']['configs'] = array(
      '#type' => 'fieldset',
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
      '#title' => t('Configs'),
      '#weight' => 0,
    );
    $form['educational']['settings']['configs']['skin'] = array(
      '#type' => 'select',
      '#title' => t('Skin'),
      '#default_value' => theme_get_setting('skin'),
      '#options' => $skins,
    );
  }

  $form['educational']['settings']['configs']['background'] = array(
    '#type' => 'select',
    '#title' => t('Background'),
    '#default_value' => theme_get_setting('background'),
    '#options' => $backgrounds,
    '#weight' => 1,
  );

  $form['educational']['settings']['configs']['layout'] = array(
    '#type' => 'select',
    '#title' => t('Layout'),
    '#default_value' => theme_get_setting('layout'),
    '#options' => $layout,
    '#weight' => -2,
  );
  $default_layout_width = (theme_get_setting('layout_width') == '') ? '1400' : theme_get_setting('layout_width');
  $form['educational']['settings']['configs']['layout_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Layout Width(px)'),
    '#default_value' => $default_layout_width,
    '#size' => 15,
    '#require' => TRUE,
    '#weight' => -1,
    '#states' => array(
      'visible' => array(
        'select[name="layout"]' => array(
          'value' => 'layout-boxed',
        ),
      ),
    ),
  );

  $form['theme_settings']['show_skins_menu'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show Skins Menu'),
    '#default_value' => theme_get_setting('show_skins_menu'),
  );
}