-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_educational
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accesslog`
--

DROP TABLE IF EXISTS `accesslog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accesslog` (
  `aid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique accesslog ID.',
  `sid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Browser session ID of user that visited page.',
  `title` varchar(255) DEFAULT NULL COMMENT 'Title of page visited.',
  `path` varchar(255) DEFAULT NULL COMMENT 'Internal path to page visited (relative to Drupal root.)',
  `url` text COMMENT 'Referrer URI.',
  `hostname` varchar(128) DEFAULT NULL COMMENT 'Hostname of user that visited the page.',
  `uid` int(10) unsigned DEFAULT '0' COMMENT 'User users.uid that visited the page.',
  `timer` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Time in milliseconds that the page took to load.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the page was visited.',
  PRIMARY KEY (`aid`),
  KEY `accesslog_timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores site access information for statistics.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accesslog`
--

LOCK TABLES `accesslog` WRITE;
/*!40000 ALTER TABLE `accesslog` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `accesslog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('certificate_reset_certificates_action','node','certificate_reset_certificates_action','','Reset certificate snapshots for this node.'),('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('course_add_enrollment_action','user','course_add_enrollment_action','','Enroll user'),('course_edit_enrollment_action','course_enrollment','course_edit_enrollment_action','','Edit enrollment'),('course_remove_enrollment_action','course_enrollment','course_remove_enrollment_action','','Remove enrollment'),('course_signup_mark_attended_action','course_enrollment','course_signup_mark_attended_action','','Mark user attended'),('course_signup_mark_not_attended_action','course_enrollment','course_signup_mark_not_attended_action','','Mark user not attended'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('signup_cancel_action','signup','signup_cancel_action','','Cancel signup'),('signup_mark_attended_action','signup','signup_mark_attended_action','','Mark signup attended'),('signup_mark_not_attended_action','signup','signup_mark_not_attended_action','','Mark signup did not attend'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('uc_order_action_delete','uc_order','uc_order_action_delete','','Delete order'),('uc_order_action_print','uc_order','uc_order_action_print','','Print invoice'),('uc_product_action_add_to_cart','node','uc_product_action_add_to_cart','','Add to cart'),('user_block_user_action','user','user_block_user_action','','Block current user'),('views_bulk_operations_archive_action','file','views_bulk_operations_archive_action','','Create an archive of selected files'),('views_bulk_operations_argument_selector_action','entity','views_bulk_operations_argument_selector_action','','Pass ids as arguments to a page'),('views_bulk_operations_delete_item','entity','views_bulk_operations_delete_item','','Delete item'),('views_bulk_operations_delete_revision','entity','views_bulk_operations_delete_revision','','Delete revision'),('views_bulk_operations_modify_action','entity','views_bulk_operations_modify_action','','Modify entity values'),('views_bulk_operations_remove_from_book_action','node','views_bulk_operations_remove_from_book_action','','Remove from book');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `advanced_help_index`
--

DROP TABLE IF EXISTS `advanced_help_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `advanced_help_index` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary key to give to the search engine for this topic.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module that owns this topic.',
  `topic` varchar(255) NOT NULL DEFAULT '' COMMENT 'The topic id.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this search index relates to.',
  PRIMARY KEY (`sid`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search index correlations for advanced help topics.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `advanced_help_index`
--

LOCK TABLES `advanced_help_index` WRITE;
/*!40000 ALTER TABLE `advanced_help_index` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `advanced_help_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `banners_bannersblock`
--

DROP TABLE IF EXISTS `banners_bannersblock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banners_bannersblock` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique bannersblock ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the bannersblock.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The bannersblock machine name.',
  `description` longtext COMMENT 'Description of the bannersblock.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the bannersblock. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the bannersblock.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this bannersblock in relation to other bannersblocks.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Stores bannersblock information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banners_bannersblock`
--

LOCK TABLES `banners_bannersblock` WRITE;
/*!40000 ALTER TABLE `banners_bannersblock` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `banners_bannersblock` VALUES (2,'About Us','about_us','',0,'banners',0),(4,'About Us Testimonial','about_us_testimonial','',0,'banners',0);
/*!40000 ALTER TABLE `banners_bannersblock` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `banners_index`
--

DROP TABLE IF EXISTS `banners_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banners_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `iid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The item ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `item_node` (`iid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/item...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banners_index`
--

LOCK TABLES `banners_index` WRITE;
/*!40000 ALTER TABLE `banners_index` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `banners_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `banners_item_data`
--

DROP TABLE IF EXISTS `banners_item_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banners_item_data` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The banners_bannersblock.bid of the bannersblock to which the item is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The item name.',
  `picture` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The item picture.',
  `menu_item` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The menu item',
  `paths` varchar(500) NOT NULL DEFAULT '' COMMENT 'The item paths.',
  `url` varchar(500) NOT NULL DEFAULT '' COMMENT 'The item url.',
  `description` longtext COMMENT 'A description of the item.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this item in relation to other items.',
  PRIMARY KEY (`iid`),
  KEY `banners_tree` (`bid`,`weight`,`name`),
  KEY `bid_name` (`bid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='Stores item information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banners_item_data`
--

LOCK TABLES `banners_item_data` WRITE;
/*!40000 ALTER TABLE `banners_item_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `banners_item_data` VALUES (8,2,'Banner Top',74,0,'about-university','','',NULL,0),(9,4,'Banner Testimonial',75,0,'about-university','','',NULL,0);
/*!40000 ALTER TABLE `banners_item_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `banners_item_hierarchy`
--

DROP TABLE IF EXISTS `banners_item_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banners_item_hierarchy` (
  `iid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The banners_item_data.iid of the item.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The banners_item_data.iid of the item’s parent. 0 indicates no parent.',
  PRIMARY KEY (`iid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banners_item_hierarchy`
--

LOCK TABLES `banners_item_hierarchy` WRITE;
/*!40000 ALTER TABLE `banners_item_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `banners_item_hierarchy` VALUES (8,0),(9,0);
/*!40000 ALTER TABLE `banners_item_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `i18n_mode` int(11) NOT NULL DEFAULT '0' COMMENT 'Block multilingual mode.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=538 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1,0,''),(2,'search','form','bartik',1,-1,'sidebar_first',0,1,'<front>','',-1,0,'animation'),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1,0,''),(4,'user','login','bartik',1,0,'sidebar_first',0,1,'<front>','',-1,0,''),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1,0,''),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1,0,''),(7,'system','help','bartik',1,0,'help',0,0,'','',-1,0,''),(8,'system','main','seven',1,0,'content',0,0,'','',-1,0,''),(9,'system','help','seven',1,0,'help',0,0,'','',-1,0,''),(10,'user','login','seven',1,10,'content',0,1,'<front>','',-1,0,''),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1,0,''),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,1,'<front>','',-1,0,'animation'),(13,'comment','recent','bartik',0,0,'-1',0,0,'','',1,0,''),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1,0,''),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1,0,''),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1,0,''),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1,0,''),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','',-1,0,''),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','<none>',-1,0,''),(20,'user','new','bartik',0,0,'-1',0,0,'','',1,0,''),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1,0,''),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,0,''),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1,0,''),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1,0,''),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1,0,''),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1,0,''),(27,'system','management','seven',0,0,'-1',0,0,'','',-1,0,''),(28,'system','user-menu','seven',0,0,'-1',0,0,'','',-1,0,''),(29,'system','main-menu','seven',0,0,'-1',0,0,'','<none>',-1,0,''),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1,0,''),(31,'context_ui','editor','bartik',0,0,'-1',0,0,'','',1,0,''),(32,'menu','features','bartik',0,0,'-1',0,0,'','',-1,0,''),(33,'context_ui','editor','seven',0,0,'-1',0,0,'','',1,0,''),(34,'menu','features','seven',0,0,'-1',0,0,'','',-1,0,''),(41,'menu','menu-flexslider-example','bartik',0,0,'-1',0,0,'','',-1,0,''),(42,'views','0070a91ad114185c9bacdc9eb0b88ce2','bartik',0,0,'-1',0,0,'','',-1,0,''),(49,'menu','menu-flexslider-example','seven',0,0,'-1',0,0,'','',-1,0,''),(50,'views','0070a91ad114185c9bacdc9eb0b88ce2','seven',0,0,'-1',0,0,'','',-1,0,''),(51,'lang_dropdown','language','bartik',0,0,'-1',0,0,'','<none>',-1,0,'language-switcher-dropdown'),(52,'locale','language','bartik',0,0,'-1',0,0,'','',-1,0,''),(53,'lang_dropdown','language','seven',0,0,'-1',0,0,'','<none>',-1,0,'language-switcher-dropdown'),(54,'locale','language','seven',0,0,'-1',0,0,'','',-1,0,''),(55,'forum','active','bartik',0,0,'-1',0,0,'','',-2,0,''),(56,'forum','new','bartik',0,0,'-1',0,0,'','',-2,0,''),(57,'forum','active','seven',1,0,'dashboard_inactive',0,0,'','',-2,0,''),(58,'forum','new','seven',1,0,'dashboard_inactive',0,0,'','',-2,0,''),(59,'comment','recent','edustation',0,0,'-1',0,0,'','',1,0,''),(60,'context_ui','editor','edustation',0,0,'-1',0,0,'','',1,0,''),(61,'forum','active','edustation',0,0,'-1',0,0,'','',-2,0,''),(62,'forum','new','edustation',0,0,'-1',0,0,'','',-2,0,''),(63,'lang_dropdown','language','edustation',1,-44,'header',0,0,'','<none>',-1,0,'language-switcher-dropdown'),(64,'locale','language','edustation',0,-14,'-1',0,0,'','',-1,0,''),(71,'menu','features','edustation',0,0,'-1',0,0,'','',-1,0,''),(72,'menu','menu-flexslider-example','edustation',0,0,'-1',0,0,'','',-1,0,''),(73,'node','syndicate','edustation',0,0,'-1',0,0,'','',-1,0,''),(74,'node','recent','edustation',0,0,'-1',0,0,'','',1,0,''),(75,'shortcut','shortcuts','edustation',0,0,'-1',0,0,'','',-1,0,''),(76,'system','management','edustation',0,0,'-1',0,0,'','',-1,0,''),(77,'system','user-menu','edustation',0,0,'-1',0,0,'','',-1,0,''),(78,'system','main-menu','edustation',1,-40,'main_menu',0,0,'','<none>',-1,0,''),(79,'user','new','edustation',0,0,'-1',0,0,'','',1,0,''),(80,'user','online','edustation',0,-15,'-1',0,0,'','',-1,0,''),(81,'views','0070a91ad114185c9bacdc9eb0b88ce2','edustation',0,0,'-1',0,0,'','',-1,0,''),(82,'system','main','edustation',1,-40,'content',0,0,'','',-1,0,''),(83,'system','powered-by','edustation',0,-18,'-1',0,0,'','',-1,0,''),(84,'system','help','edustation',1,0,'help',0,0,'','',-1,0,''),(85,'search','form','edustation',1,-15,'sidebar_second',0,1,'<front>','',-1,0,'animation'),(86,'system','navigation','edustation',0,-14,'-1',0,0,'','',-1,0,''),(87,'user','login','edustation',1,-43,'header',0,1,'<front>','',-1,0,''),(88,'banners','1','edustation',0,-13,'-1',0,0,'','',-1,0,''),(89,'banners','1','bartik',0,0,'-1',0,0,'','',-1,0,''),(90,'banners','1','seven',0,0,'-1',0,0,'','',-1,0,''),(91,'views','up_coming_events-block','bartik',0,0,'-1',0,1,'<front>','',-1,0,'events-view animation'),(92,'views','up_coming_events-block','edustation',1,0,'sidebar_first',0,1,'<front>','',-1,0,'events-view animation'),(93,'views','up_coming_events-block','seven',0,0,'-1',0,1,'<front>','',-1,0,'events-view animation'),(94,'views','our_courses-block','edustation',1,0,'sidebar_second',0,1,'<front>','Courses categories',-1,0,'courses-categories animation'),(96,'views','our_courses-block','bartik',0,0,'-1',0,1,'<front>','Courses categories',-1,0,'courses-categories animation'),(97,'views','our_courses-block','seven',0,0,'-1',0,1,'<front>','Courses categories',-1,0,'courses-categories animation'),(98,'views','hot_news-block','edustation',1,0,'featured',0,0,'','<none>',-1,0,''),(99,'views','hot_news-block_1','edustation',1,0,'featured',0,0,'','<none>',-1,0,''),(100,'views','hot_news-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(101,'views','hot_news-block','seven',0,0,'-1',0,0,'','',-1,0,''),(102,'views','hot_news-block_1','bartik',0,0,'-1',0,0,'','',-1,0,''),(103,'views','hot_news-block_1','seven',0,0,'-1',0,0,'','',-1,0,''),(104,'views','services-block','edustation',1,-22,'featured',0,1,'<front>','<none>',-1,0,'edustation-services animation'),(105,'views','services-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'edustation-services animation'),(106,'views','services-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'edustation-services animation'),(107,'block','1','bartik',0,0,'-1',0,1,'<front>','About us',-1,0,'about-us animation'),(108,'block','1','edustation',1,0,'panel_second_1',0,1,'<front>','About us',-1,0,'about-us animation'),(109,'block','1','seven',0,0,'-1',0,1,'<front>','About us',-1,0,'about-us animation'),(110,'views','why_choose_us-block','edustation',1,0,'panel_second_2',0,1,'<front>','',-1,0,'animation why-choose-us'),(111,'views','why_choose_us-block','bartik',0,0,'-1',0,1,'<front>','',-1,0,'animation why-choose-us'),(112,'views','why_choose_us-block','seven',0,0,'-1',0,1,'<front>','',-1,0,'animation why-choose-us'),(113,'views','testimonial-block','edustation',1,0,'panel_second_3',0,1,'<front>','',-1,0,'home-testimonial animation'),(114,'views','testimonial-block','bartik',0,0,'-1',0,1,'<front>','',-1,0,'home-testimonial animation'),(115,'views','testimonial-block','seven',0,0,'-1',0,1,'<front>','',-1,0,'home-testimonial animation'),(116,'views','student-block','edustation',1,0,'panel_third',0,1,'<front>\r\nuser/*','Students',-1,0,'home-student animation'),(118,'menu','menu-footer-menu','edustation',1,-22,'footer',0,0,'','<none>',-1,0,'footer-menu animation'),(119,'menu','menu-footer-menu','bartik',0,0,'-1',0,0,'','<none>',-1,0,'footer-menu animation'),(120,'menu','menu-footer-menu','seven',0,0,'-1',0,0,'','<none>',-1,0,'footer-menu animation'),(121,'logo_block','logo','bartik',0,0,'-1',0,0,'','',-1,0,'footer-logo-block'),(123,'views','student-block','bartik',0,0,'-1',0,1,'<front>\r\nuser/*','Students',-1,0,'home-student animation'),(124,'logo_block','logo','edustation',1,-21,'footer',0,0,'','',-1,0,'footer-logo-block'),(125,'logo_block','logo','seven',0,0,'-1',0,0,'','',-1,0,'footer-logo-block'),(127,'views','student-block','seven',0,0,'-1',0,1,'<front>\r\nuser/*','Students',-1,0,'home-student animation'),(128,'newsletter','newsletter_subscribe','bartik',0,0,'-1',0,0,'','<none>',1,0,'subscribe animation'),(129,'newsletter','newsletter_subscribe','edustation',1,-19,'footer',0,0,'','<none>',1,0,'subscribe animation'),(130,'newsletter','newsletter_subscribe','seven',0,0,'-1',0,0,'','<none>',1,0,'subscribe animation'),(131,'block','2','bartik',0,0,'-1',0,0,'','<none>',-1,0,'block-info animation'),(132,'block','2','edustation',1,-20,'footer',0,0,'','<none>',-1,0,'block-info animation'),(133,'block','2','seven',0,0,'-1',0,0,'','<none>',-1,0,'block-info animation'),(134,'views','slide_accordian-block','edustation',1,-29,'panel_first',0,1,'<front>','<none>',-1,0,'slide-accordian animation'),(135,'views','slide_accordian-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'slide-accordian animation'),(136,'views','slide_accordian-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'slide-accordian animation'),(137,'views','accordian_slideshow-block','edustation',1,-21,'featured',0,0,'','',-1,0,''),(138,'views','accordian_slideshow-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(139,'views','accordian_slideshow-block','seven',0,0,'-1',0,0,'','',-1,0,''),(140,'views','slideshow-block','edustation',1,0,'slideshow',0,1,'<front>','<none>',-1,0,'main-slideshow'),(141,'views','slideshow-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'main-slideshow'),(142,'views','slideshow-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'main-slideshow'),(143,'views','news-block','edustation',1,-23,'featured',0,1,'<front>','<none>',-1,0,'edustation-news animation'),(144,'views','news-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'edustation-news animation'),(145,'views','news-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'edustation-news animation'),(146,'views','campus_slideshow-block','edustation',1,0,'slideshow2',0,1,'<front>','<none>',-1,0,'campus-slideshow animation'),(147,'views','campus_slideshow-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'campus-slideshow animation'),(148,'views','campus_slideshow-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'campus-slideshow animation'),(149,'book','navigation','bartik',0,0,'-1',0,0,'','',5,0,''),(150,'course','outline','bartik',0,0,'-1',0,0,'','',-1,0,''),(151,'course','navigation','bartik',0,0,'-1',0,0,'','',-1,0,''),(152,'poll','recent','bartik',0,0,'-1',0,0,'','',1,0,''),(153,'print','print-top','bartik',0,0,'-1',0,0,'','',8,0,''),(154,'uc_cart','cart','bartik',0,0,'-1',0,0,'admin*','',-1,0,''),(155,'print_pdf','print_pdf-top','bartik',0,0,'-1',0,0,'','',8,0,''),(156,'book','navigation','edustation',0,0,'-1',0,0,'','',5,0,''),(157,'course','outline','edustation',1,0,'sidebar_second',0,0,'','',-1,0,''),(158,'course','navigation','edustation',1,0,'sidebar_second',0,0,'','',-1,0,''),(159,'poll','recent','edustation',0,0,'-1',0,0,'','',1,0,''),(160,'print','print-top','edustation',0,0,'-1',0,0,'','',8,0,''),(161,'uc_cart','cart','edustation',0,0,'-1',0,0,'admin*','',-1,0,''),(162,'print_pdf','print_pdf-top','edustation',0,0,'-1',0,0,'','',8,0,''),(163,'book','navigation','seven',0,0,'-1',0,0,'','',5,0,''),(164,'course','outline','seven',0,0,'-1',0,0,'','',-1,0,''),(165,'course','navigation','seven',0,0,'-1',0,0,'','',-1,0,''),(166,'poll','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,0,''),(167,'print','print-top','seven',0,0,'-1',0,0,'','',8,0,''),(168,'uc_cart','cart','seven',0,0,'-1',0,0,'admin*','',-1,0,''),(169,'print_pdf','print_pdf-top','seven',0,0,'-1',0,0,'','',8,0,''),(170,'views','signup_available_signups-block','edustation',0,0,'-1',0,0,'','',-1,0,''),(171,'views','signup_current_signups-block','edustation',0,0,'-1',0,0,'','',-1,0,''),(174,'print_epub','print_epub-top','bartik',0,0,'-1',0,0,'','',8,0,''),(175,'views','signup_available_signups-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(176,'views','signup_current_signups-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(179,'print_epub','print_epub-top','edustation',0,0,'-1',0,0,'','',8,0,''),(182,'print_epub','print_epub-top','seven',0,0,'-1',0,0,'','',8,0,''),(183,'views','signup_available_signups-block','seven',0,0,'-1',0,0,'','',-1,0,''),(184,'views','signup_current_signups-block','seven',0,0,'-1',0,0,'','',-1,0,''),(185,'views','hot_course-block','edustation',1,-30,'panel_first',0,1,'<front>','<none>',-1,0,'hot-courses animation'),(186,'views','hot_course-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,0,'hot-courses animation'),(187,'views','hot_course-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,0,'hot-courses animation'),(188,'block','3','bartik',0,0,'-1',0,0,'','',-1,0,'edusation-copyright'),(189,'block','3','edustation',1,0,'footer',0,0,'','',-1,0,'edusation-copyright'),(190,'block','3','seven',0,0,'-1',0,0,'','',-1,0,'edusation-copyright'),(191,'block','4','bartik',0,0,'-1',0,1,'homepage','<none>',-1,0,''),(192,'block','4','edustation',1,-39,'sidebar_first',0,1,'homepage','<none>',-1,0,''),(193,'block','4','seven',0,0,'-1',0,1,'homepage','<none>',-1,0,''),(194,'views','last_views_per_user-block','edustation',0,0,'-1',0,0,'','',-1,0,''),(195,'views','top_viewed_nodes-block','edustation',0,0,'-1',0,0,'','',-1,0,''),(196,'views','last_views_per_user-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(197,'views','top_viewed_nodes-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(198,'views','last_views_per_user-block','seven',0,0,'-1',0,0,'','',-1,0,''),(199,'views','top_viewed_nodes-block','seven',0,0,'-1',0,0,'','',-1,0,''),(200,'views','recent_post-block','edustation',0,0,'-1',0,0,'','',-1,0,'recent-post animation'),(201,'views','recent_post-block','bartik',0,0,'-1',0,0,'','',-1,0,'recent-post animation'),(202,'views','recent_post-block','seven',0,0,'-1',0,0,'','',-1,0,'recent-post animation'),(204,'menu','menu-category','edustation',0,0,'-1',0,0,'','<none>',-1,0,''),(206,'menu','menu-category','bartik',0,0,'-1',0,0,'','<none>',-1,0,''),(208,'menu','menu-category','seven',0,0,'-1',0,0,'','<none>',-1,0,''),(210,'menu','menu-properties-view','bartik',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(212,'menu','menu-properties-view','edustation',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(214,'menu','menu-properties-view','seven',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(215,'views','recent_news-block','edustation',0,0,'-1',0,0,'','',-1,0,'recent-news animation'),(217,'menu','menu-properties-events','edustation',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(218,'menu','menu-properties-events','bartik',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(219,'menu','menu-properties-events','seven',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(221,'views','recent_news-block','bartik',0,0,'-1',0,0,'','',-1,0,'recent-news animation'),(223,'views','recent_news-block','seven',0,0,'-1',0,0,'','',-1,0,'recent-news animation'),(224,'views','event_speaker-block','edustation',0,0,'-1',0,0,'','<none>',-1,0,''),(225,'views','event_speaker-block','bartik',0,0,'-1',0,0,'','<none>',-1,0,''),(226,'views','event_speaker-block','seven',0,0,'-1',0,0,'','<none>',-1,0,''),(228,'menu','menu-properties-courses','edustation',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(229,'menu','menu-properties-courses','bartik',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(230,'menu','menu-properties-courses','seven',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(234,'menu','menu-gallery-menu','edustation',0,0,'-1',0,0,'','<none>',-1,0,'sub-menu-block'),(235,'menu','menu-gallery-menu','bartik',0,0,'-1',0,0,'','<none>',-1,0,'sub-menu-block'),(236,'menu','menu-gallery-menu','seven',0,0,'-1',0,0,'','<none>',-1,0,'sub-menu-block'),(239,'views','statistic-block','edustation',1,-38,'content',0,1,'about-university','<none>',-1,0,'about-statistic animation'),(240,'views','statistic-block','bartik',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-statistic animation'),(241,'views','statistic-block','seven',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-statistic animation'),(242,'views','about_block-block','seven',0,0,'-1',0,0,'','',-1,0,''),(243,'views','about_block-block_1','seven',0,0,'-1',0,0,'','',-1,0,''),(244,'views','about_block-block_2','seven',0,0,'-1',0,0,'','',-1,0,''),(245,'quicktabs','about_university','seven',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-quicktab animation'),(246,'quicktabs','about_university','edustation',1,-37,'content',0,1,'about-university','<none>',-1,0,'about-quicktab animation'),(247,'views','about_block-block','edustation',0,0,'-1',0,0,'','',-1,0,''),(248,'views','about_block-block_1','edustation',0,0,'-1',0,0,'','',-1,0,''),(249,'views','about_block-block_2','edustation',0,0,'-1',0,0,'','',-1,0,''),(250,'quicktabs','about_university','bartik',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-quicktab animation'),(251,'banners','2','edustation',1,-39,'main_menu',0,0,'','<none>',-1,0,'animation'),(252,'banners','2','bartik',0,0,'-1',0,0,'','<none>',-1,0,'animation'),(253,'banners','2','seven',0,0,'-1',0,0,'','<none>',-1,0,'animation'),(254,'views','meet_our_teachers-block','edustation',1,0,'featured',0,1,'about-university','',-1,0,'about-meet-our-teachers animation'),(255,'views','meet_our_teachers-block','bartik',0,0,'-1',0,1,'about-university','',-1,0,'about-meet-our-teachers animation'),(256,'views','meet_our_teachers-block','seven',0,0,'-1',0,1,'about-university','',-1,0,'about-meet-our-teachers animation'),(257,'views','testimonials_about-block','edustation',1,0,'panel_first',0,1,'about-university','<none>',-1,0,'about-testimonial animation'),(258,'views','testimonials_about-block','bartik',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-testimonial animation'),(259,'views','testimonials_about-block','seven',0,0,'-1',0,1,'about-university','<none>',-1,0,'about-testimonial animation'),(260,'banners','3','edustation',1,0,'panel_first',0,0,'about-us','<none>',-1,0,'about-banner-testimonial'),(261,'banners','3','bartik',0,0,'',0,0,'about-us','<none>',-1,0,'about-banner-testimonial'),(262,'banners','3','seven',0,0,'',0,0,'about-us','<none>',-1,0,'about-banner-testimonial'),(263,'views','about_block-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(264,'views','about_block-block_1','bartik',0,0,'-1',0,0,'','',-1,0,''),(265,'views','about_block-block_2','bartik',0,0,'-1',0,0,'','',-1,0,''),(266,'menu_block','1','bartik',0,0,'-1',0,1,'news*','<none>',-1,0,'sub-menu-block'),(267,'menu_block','1','edustation',1,0,'top_content',0,1,'news*','<none>',-1,0,'sub-menu-block'),(268,'menu_block','1','seven',0,0,'-1',0,1,'news*','<none>',-1,0,'sub-menu-block'),(272,'follow','site','bartik',0,0,'-1',0,1,'homepage','<none>',1,0,''),(273,'follow','user','bartik',0,0,'-1',0,0,'','',2,0,''),(274,'follow','site','edustation',0,0,'-1',0,1,'homepage','<none>',1,0,''),(275,'follow','user','edustation',1,0,'slideshow2',0,0,'','',2,0,''),(276,'follow','site','seven',0,0,'-1',0,1,'homepage','<none>',1,0,''),(277,'follow','user','seven',0,0,'-1',0,0,'','',2,0,''),(279,'menu','menu-headline-link','edustation',1,-44,'header',0,0,'','<none>',-1,0,''),(280,'menu','menu-headline-link','bartik',0,0,'-1',0,0,'','',-1,0,''),(281,'menu','menu-headline-link','seven',0,0,'-1',0,0,'','',-1,0,''),(284,'banners','4','edustation',1,0,'panel_first',0,0,'','',-1,0,''),(285,'banners','5','edustation',0,0,'-1',0,0,'','',-1,0,''),(286,'banners','4','bartik',0,0,'-1',0,0,'','',-1,0,''),(287,'banners','4','seven',0,0,'-1',0,0,'','',-1,0,''),(291,'banners','1','educational',0,-13,'-1',0,0,'','',-1,0,''),(292,'banners','2','educational',1,-44,'main_menu',0,0,'','<none>',-1,0,'animation'),(293,'banners','3','educational',1,0,'panel_first',0,0,'about-us','<none>',-1,0,'about-banner-testimonial'),(294,'banners','4','educational',0,0,'-1',0,0,'','',-1,0,''),(295,'banners','5','educational',0,0,'-1',0,0,'','',-1,0,''),(296,'block','1','educational',1,0,'panel_second_1',0,1,'<front>','About us',-1,0,'about-us animation'),(297,'block','2','educational',1,-42,'footer',0,0,'','<none>',-1,0,'block-info animation'),(298,'block','3','educational',1,-40,'footer',0,0,'','',-1,0,'edusation-copyright'),(299,'block','4','educational',1,-39,'sidebar_first',0,1,'homepage','<none>',-1,0,''),(300,'book','navigation','educational',0,0,'-1',0,0,'','',5,0,''),(301,'comment','recent','educational',0,0,'-1',0,0,'','',1,0,''),(302,'context_ui','editor','educational',0,0,'-1',0,0,'','',1,0,''),(303,'course','navigation','educational',0,0,'-1',0,0,'','',-1,0,''),(304,'course','outline','educational',0,0,'-1',0,0,'','',-1,0,''),(305,'follow','site','educational',0,0,'-1',0,1,'homepage','<none>',1,0,''),(306,'follow','user','educational',1,0,'slideshow2',0,0,'','',2,0,''),(307,'forum','active','educational',0,0,'-1',0,0,'','',-2,0,''),(308,'forum','new','educational',0,0,'-1',0,0,'','',-2,0,''),(309,'lang_dropdown','language','educational',1,-43,'header',0,0,'','<none>',-1,0,'language-switcher-dropdown'),(310,'locale','language','educational',0,-14,'-1',0,0,'','',-1,0,''),(311,'logo_block','logo','educational',0,-44,'-1',0,0,'','',-1,0,'footer-logo-block'),(326,'menu','features','educational',0,0,'-1',0,0,'','',-1,0,''),(327,'menu','menu-category','educational',0,0,'-1',0,0,'','<none>',-1,0,''),(328,'menu','menu-flexslider-example','educational',0,0,'-1',0,0,'','',-1,0,''),(329,'menu','menu-footer-menu','educational',1,-45,'footer',0,0,'','<none>',-1,0,'footer-menu animation'),(330,'menu','menu-gallery-menu','educational',0,0,'-1',0,0,'','<none>',-1,0,'sub-menu-block'),(331,'menu','menu-headline-link','educational',1,-45,'header',0,0,'','<none>',-1,0,''),(332,'menu','menu-properties-courses','educational',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(333,'menu','menu-properties-events','educational',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(334,'menu','menu-properties-view','educational',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(335,'menu_block','1','educational',0,0,'-1',0,1,'news*','<none>',-1,0,'sub-menu-block'),(336,'newsletter','newsletter_subscribe','educational',1,-41,'footer',0,0,'','<none>',1,0,'subscribe animation'),(337,'node','recent','educational',0,0,'-1',0,0,'','',1,0,''),(338,'node','syndicate','educational',0,0,'-1',0,0,'','',-1,0,''),(339,'poll','recent','educational',0,0,'-1',0,0,'','',1,0,''),(340,'print','print-top','educational',0,0,'-1',0,0,'','',8,0,''),(341,'print_epub','print_epub-top','educational',0,0,'-1',0,0,'','',8,0,''),(343,'print_pdf','print_pdf-top','educational',0,0,'-1',0,0,'','',8,0,''),(345,'quicktabs','about_university','educational',1,-37,'content',0,1,'about-university','<none>',-1,0,'about-quicktab animation'),(346,'search','form','educational',1,-15,'sidebar_second',0,1,'<front>','',-1,0,'animation'),(348,'shortcut','shortcuts','educational',0,0,'-1',0,0,'','',-1,0,''),(350,'system','help','educational',1,0,'help',0,0,'','',-1,0,''),(351,'system','main','educational',1,-40,'content',0,0,'','',-1,0,''),(352,'system','main-menu','educational',1,-45,'panel_mobile_menu',0,0,'','<none>',-1,0,''),(353,'system','management','educational',0,0,'-1',0,0,'','',-1,0,''),(354,'system','navigation','educational',0,-14,'-1',0,0,'','',-1,0,''),(355,'system','powered-by','educational',0,-18,'-1',0,0,'','',-1,0,''),(356,'system','user-menu','educational',0,0,'-1',0,0,'','',-1,0,''),(357,'uc_cart','cart','educational',0,0,'-1',0,0,'admin*','',-1,0,''),(358,'user','login','educational',1,-42,'header',0,1,'<front>','',-1,0,''),(359,'user','new','educational',0,0,'-1',0,0,'','',1,0,''),(360,'user','online','educational',0,-15,'-1',0,0,'','',-1,0,''),(361,'views','0070a91ad114185c9bacdc9eb0b88ce2','educational',0,0,'-1',0,0,'','',-1,0,''),(362,'views','about_block-block','educational',0,0,'-1',0,0,'','',-1,0,''),(363,'views','about_block-block_1','educational',0,0,'-1',0,0,'','',-1,0,''),(364,'views','about_block-block_2','educational',0,0,'-1',0,0,'','',-1,0,''),(365,'views','accordian_slideshow-block','educational',1,-21,'featured',0,0,'','',-1,0,''),(366,'views','campus_slideshow-block','educational',1,0,'slideshow2',0,1,'<front>','<none>',-1,0,'campus-slideshow animation'),(367,'views','event_speaker-block','educational',0,0,'-1',0,0,'','<none>',-1,0,''),(368,'views','hot_course-block','educational',1,-30,'panel_first',0,1,'<front>','<none>',-1,0,'hot-courses animation'),(369,'views','hot_news-block','educational',1,0,'featured',0,0,'','<none>',-1,0,''),(370,'views','hot_news-block_1','educational',1,0,'featured',0,0,'','<none>',-1,0,''),(371,'views','last_views_per_user-block','educational',0,0,'-1',0,0,'','',-1,0,''),(372,'views','meet_our_teachers-block','educational',1,0,'featured',0,1,'about-university','',-1,0,'about-meet-our-teachers animation'),(373,'views','news-block','educational',1,-23,'featured',0,1,'<front>','<none>',-1,0,'edustation-news animation'),(374,'views','our_courses-block','educational',1,0,'sidebar_second',0,1,'<front>','Courses categories',-1,0,'courses-categories animation'),(375,'views','recent_news-block','educational',0,0,'-1',0,0,'','',-1,0,'recent-news animation'),(376,'views','recent_post-block','educational',0,0,'-1',0,0,'','',-1,0,'recent-post animation'),(377,'views','services-block','educational',1,-22,'featured',0,1,'<front>','<none>',-1,0,'edustation-services animation'),(378,'views','signup_available_signups-block','educational',0,0,'-1',0,0,'','',-1,0,''),(379,'views','signup_current_signups-block','educational',0,0,'-1',0,0,'','',-1,0,''),(380,'views','slideshow-block','educational',1,0,'slideshow',0,1,'<front>','<none>',-1,0,'main-slideshow'),(381,'views','slide_accordian-block','educational',1,-29,'panel_first',0,1,'<front>','<none>',-1,0,'slide-accordian animation'),(382,'views','statistic-block','educational',1,-38,'content',0,1,'about-university','<none>',-1,0,'about-statistic animation'),(383,'views','student-block','educational',1,0,'panel_third',0,1,'<front>\r\nuser/*','Students',-1,0,'home-student animation'),(384,'views','testimonial-block','educational',1,0,'panel_second_3',0,1,'<front>','',-1,0,'home-testimonial animation'),(385,'views','testimonials_about-block','educational',1,0,'panel_first',0,1,'about-university','<none>',-1,0,'about-testimonial animation'),(386,'views','top_viewed_nodes-block','educational',0,0,'-1',0,0,'','',-1,0,''),(387,'views','up_coming_events-block','educational',1,0,'sidebar_first',0,1,'<front>','',-1,0,'events-view animation'),(388,'views','why_choose_us-block','educational',1,0,'panel_second_2',0,1,'<front>','',-1,0,'animation why-choose-us'),(389,'block','5','bartik',0,0,'-1',0,0,'','<none>',-1,0,'logo-footer animation'),(390,'block','5','educational',1,-43,'footer',0,0,'','<none>',-1,0,'logo-footer animation'),(391,'block','5','seven',0,0,'-1',0,0,'','<none>',-1,0,'logo-footer animation'),(392,'blockify','blockify-logo','educational',0,-44,'-1',0,0,'','',8,0,''),(393,'blockify','blockify-logo','bartik',0,0,'-1',0,0,'','',8,0,''),(394,'blockify','blockify-logo','seven',0,0,'-1',0,0,'','',8,0,''),(395,'views','courses_info-block','educational',0,0,'-1',0,0,'','',-1,0,''),(396,'views','courses_info-block','bartik',0,0,'-1',0,0,'','',-1,0,''),(397,'views','courses_info-block','seven',0,0,'-1',0,0,'','',-1,0,''),(398,'tb_megamenu','features','bartik',0,0,'-1',0,0,'','',-1,0,''),(399,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'','',-1,0,''),(400,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1,0,''),(401,'tb_megamenu','menu-category','bartik',0,0,'-1',0,0,'','',-1,0,''),(402,'tb_megamenu','menu-flexslider-example','bartik',0,0,'-1',0,0,'','',-1,0,''),(403,'tb_megamenu','menu-footer-menu','bartik',0,0,'-1',0,0,'','',-1,0,''),(404,'tb_megamenu','menu-gallery-menu','bartik',0,0,'-1',0,0,'','',-1,0,''),(405,'tb_megamenu','menu-headline-link','bartik',0,0,'-1',0,0,'','',-1,0,''),(406,'tb_megamenu','menu-properties-courses','bartik',0,0,'-1',0,0,'','',-1,0,''),(407,'tb_megamenu','menu-properties-events','bartik',0,0,'-1',0,0,'','',-1,0,''),(408,'tb_megamenu','menu-properties-view','bartik',0,0,'-1',0,0,'','',-1,0,''),(409,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1,0,''),(410,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1,0,''),(411,'tb_megamenu','features','educational',0,0,'-1',0,0,'','',-1,0,''),(412,'tb_megamenu','main-menu','educational',1,-45,'main_menu',0,0,'','',-1,0,''),(413,'tb_megamenu','management','educational',0,0,'-1',0,0,'','',-1,0,''),(414,'tb_megamenu','menu-category','educational',0,0,'-1',0,0,'','',-1,0,''),(415,'tb_megamenu','menu-flexslider-example','educational',0,0,'-1',0,0,'','',-1,0,''),(416,'tb_megamenu','menu-footer-menu','educational',0,0,'-1',0,0,'','',-1,0,''),(417,'tb_megamenu','menu-gallery-menu','educational',0,0,'-1',0,0,'','',-1,0,''),(418,'tb_megamenu','menu-headline-link','educational',0,0,'-1',0,0,'','',-1,0,''),(419,'tb_megamenu','menu-properties-courses','educational',0,0,'-1',0,0,'','',-1,0,''),(420,'tb_megamenu','menu-properties-events','educational',0,0,'-1',0,0,'','',-1,0,''),(421,'tb_megamenu','menu-properties-view','educational',0,0,'-1',0,0,'','',-1,0,''),(422,'tb_megamenu','navigation','educational',0,0,'-1',0,0,'','',-1,0,''),(423,'tb_megamenu','user-menu','educational',0,0,'-1',0,0,'','',-1,0,''),(424,'tb_megamenu','features','seven',0,0,'-1',0,0,'','',-1,0,''),(425,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'','',-1,0,''),(426,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1,0,''),(427,'tb_megamenu','menu-category','seven',0,0,'-1',0,0,'','',-1,0,''),(428,'tb_megamenu','menu-flexslider-example','seven',0,0,'-1',0,0,'','',-1,0,''),(429,'tb_megamenu','menu-footer-menu','seven',0,0,'-1',0,0,'','',-1,0,''),(430,'tb_megamenu','menu-gallery-menu','seven',0,0,'-1',0,0,'','',-1,0,''),(431,'tb_megamenu','menu-headline-link','seven',0,0,'-1',0,0,'','',-1,0,''),(432,'tb_megamenu','menu-properties-courses','seven',0,0,'-1',0,0,'','',-1,0,''),(433,'tb_megamenu','menu-properties-events','seven',0,0,'-1',0,0,'','',-1,0,''),(434,'tb_megamenu','menu-properties-view','seven',0,0,'-1',0,0,'','',-1,0,''),(435,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1,0,''),(436,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1,0,''),(437,'statistics','popular','educational',0,0,'-1',0,0,'','',-1,0,''),(438,'statistics','popular','bartik',0,0,'-1',0,0,'','',-1,0,''),(439,'statistics','popular','seven',0,0,'-1',0,0,'','',-1,0,''),(440,'banners','1','we_backend',0,-13,'-1',0,0,'','',-1,0,''),(441,'banners','2','we_backend',1,-44,'header',0,0,'','<none>',-1,0,'animation'),(442,'banners','3','we_backend',1,0,'header',0,0,'about-us','<none>',-1,0,'about-banner-testimonial'),(443,'banners','4','we_backend',0,0,'-1',0,0,'','',-1,0,''),(444,'banners','5','we_backend',0,0,'-1',0,0,'','',-1,0,''),(445,'block','1','we_backend',1,0,'header',0,1,'<front>','About us',-1,0,'about-us animation'),(446,'block','2','we_backend',0,-42,'-1',0,0,'','<none>',-1,0,'block-info animation'),(447,'block','3','we_backend',1,-40,'footer',0,0,'','',-1,0,'edusation-copyright'),(448,'block','4','we_backend',1,-39,'sidebar_first',0,1,'homepage','<none>',-1,0,''),(449,'block','5','we_backend',0,-43,'-1',0,0,'','<none>',-1,0,'logo-footer animation'),(450,'blockify','blockify-logo','we_backend',0,-44,'-1',0,0,'','',8,0,''),(451,'book','navigation','we_backend',0,0,'-1',0,0,'','',5,0,''),(452,'comment','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,0,''),(453,'context_ui','editor','we_backend',0,0,'-1',0,0,'','',1,0,''),(454,'course','navigation','we_backend',0,0,'-1',0,0,'','',-1,0,''),(455,'course','outline','we_backend',0,0,'-1',0,0,'','',-1,0,''),(456,'follow','site','we_backend',0,0,'-1',0,1,'homepage','<none>',1,0,''),(457,'follow','user','we_backend',1,0,'header',0,0,'','',2,0,''),(458,'forum','active','we_backend',1,0,'dashboard_inactive',0,0,'','',-2,0,''),(459,'forum','new','we_backend',1,0,'dashboard_inactive',0,0,'','',-2,0,''),(460,'lang_dropdown','language','we_backend',1,-43,'header',0,0,'','<none>',-1,0,'language-switcher-dropdown'),(461,'locale','language','we_backend',0,-14,'-1',0,0,'','',-1,0,''),(462,'logo_block','logo','we_backend',0,-44,'-1',0,0,'','',-1,0,'footer-logo-block'),(463,'menu','features','we_backend',0,0,'-1',0,0,'','',-1,0,''),(464,'menu','menu-category','we_backend',0,0,'-1',0,0,'','<none>',-1,0,''),(465,'menu','menu-flexslider-example','we_backend',0,0,'-1',0,0,'','',-1,0,''),(466,'menu','menu-footer-menu','we_backend',0,-45,'-1',0,0,'','<none>',-1,0,'footer-menu animation'),(467,'menu','menu-gallery-menu','we_backend',0,0,'-1',0,0,'','<none>',-1,0,'sub-menu-block'),(468,'menu','menu-headline-link','we_backend',1,-45,'header',0,0,'','<none>',-1,0,''),(469,'menu','menu-properties-courses','we_backend',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(470,'menu','menu-properties-events','we_backend',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(471,'menu','menu-properties-view','we_backend',0,0,'-1',0,0,'','<none>',-1,0,'menu-view-type animation'),(472,'menu_block','1','we_backend',0,0,'-1',0,1,'news*','<none>',-1,0,'sub-menu-block'),(473,'newsletter','newsletter_subscribe','we_backend',0,-41,'-1',0,0,'','<none>',1,0,'subscribe animation'),(474,'node','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,0,''),(475,'node','syndicate','we_backend',0,0,'-1',0,0,'','',-1,0,''),(476,'poll','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,0,''),(477,'print','print-top','we_backend',0,0,'-1',0,0,'','',8,0,''),(478,'print_epub','print_epub-top','we_backend',0,0,'-1',0,0,'','',8,0,''),(479,'print_pdf','print_pdf-top','we_backend',0,0,'-1',0,0,'','',8,0,''),(480,'quicktabs','about_university','we_backend',1,-37,'content',0,1,'about-university','<none>',-1,0,'about-quicktab animation'),(481,'search','form','we_backend',1,-15,'sidebar_second',0,1,'<front>','',-1,0,'animation'),(482,'shortcut','shortcuts','we_backend',0,0,'-1',0,0,'','',-1,0,''),(484,'statistics','popular','we_backend',0,0,'-1',0,0,'','',-1,0,''),(485,'system','help','we_backend',1,0,'help',0,0,'','',-1,0,''),(486,'system','main','we_backend',1,-40,'content',0,0,'','',-1,0,''),(487,'system','main-menu','we_backend',1,-45,'header',0,0,'','<none>',-1,0,''),(488,'system','management','we_backend',0,0,'-1',0,0,'','',-1,0,''),(489,'system','navigation','we_backend',0,-14,'-1',0,0,'','',-1,0,''),(490,'system','powered-by','we_backend',0,-18,'-1',0,0,'','',-1,0,''),(491,'system','user-menu','we_backend',0,0,'-1',0,0,'','',-1,0,''),(492,'tb_megamenu','features','we_backend',0,0,'-1',0,0,'','',-1,0,''),(493,'tb_megamenu','main-menu','we_backend',1,-45,'header',0,0,'','',-1,0,''),(494,'tb_megamenu','management','we_backend',0,0,'-1',0,0,'','',-1,0,''),(495,'tb_megamenu','menu-category','we_backend',0,0,'-1',0,0,'','',-1,0,''),(496,'tb_megamenu','menu-flexslider-example','we_backend',0,0,'-1',0,0,'','',-1,0,''),(497,'tb_megamenu','menu-footer-menu','we_backend',0,0,'-1',0,0,'','',-1,0,''),(498,'tb_megamenu','menu-gallery-menu','we_backend',0,0,'-1',0,0,'','',-1,0,''),(499,'tb_megamenu','menu-headline-link','we_backend',0,0,'-1',0,0,'','',-1,0,''),(500,'tb_megamenu','menu-properties-courses','we_backend',0,0,'-1',0,0,'','',-1,0,''),(501,'tb_megamenu','menu-properties-events','we_backend',0,0,'-1',0,0,'','',-1,0,''),(502,'tb_megamenu','menu-properties-view','we_backend',0,0,'-1',0,0,'','',-1,0,''),(503,'tb_megamenu','navigation','we_backend',0,0,'-1',0,0,'','',-1,0,''),(504,'tb_megamenu','user-menu','we_backend',0,0,'-1',0,0,'','',-1,0,''),(505,'uc_cart','cart','we_backend',0,0,'-1',0,0,'admin*','',-1,0,''),(506,'user','login','we_backend',1,-42,'header',0,1,'<front>','',-1,0,''),(507,'user','new','we_backend',1,0,'dashboard_inactive',0,0,'','',1,0,''),(508,'user','online','we_backend',1,-15,'dashboard_inactive',0,0,'','',-1,0,''),(509,'views','0070a91ad114185c9bacdc9eb0b88ce2','we_backend',0,0,'-1',0,0,'','',-1,0,''),(510,'views','about_block-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(511,'views','about_block-block_1','we_backend',0,0,'-1',0,0,'','',-1,0,''),(512,'views','about_block-block_2','we_backend',0,0,'-1',0,0,'','',-1,0,''),(513,'views','accordian_slideshow-block','we_backend',1,-21,'header',0,0,'','',-1,0,''),(514,'views','campus_slideshow-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,0,'campus-slideshow animation'),(515,'views','courses_info-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(516,'views','event_speaker-block','we_backend',0,0,'-1',0,0,'','<none>',-1,0,''),(517,'views','hot_course-block','we_backend',1,-30,'header',0,1,'<front>','<none>',-1,0,'hot-courses animation'),(518,'views','hot_news-block','we_backend',1,0,'header',0,0,'','<none>',-1,0,''),(519,'views','hot_news-block_1','we_backend',1,0,'header',0,0,'','<none>',-1,0,''),(520,'views','last_views_per_user-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(521,'views','meet_our_teachers-block','we_backend',1,0,'header',0,1,'about-university','',-1,0,'about-meet-our-teachers animation'),(522,'views','news-block','we_backend',1,-23,'header',0,1,'<front>','<none>',-1,0,'edustation-news animation'),(523,'views','our_courses-block','we_backend',1,0,'sidebar_second',0,1,'<front>','Courses categories',-1,0,'courses-categories animation'),(524,'views','recent_news-block','we_backend',0,0,'-1',0,0,'','',-1,0,'recent-news animation'),(525,'views','recent_post-block','we_backend',0,0,'-1',0,0,'','',-1,0,'recent-post animation'),(526,'views','services-block','we_backend',1,-22,'header',0,1,'<front>','<none>',-1,0,'edustation-services animation'),(527,'views','signup_available_signups-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(528,'views','signup_current_signups-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(529,'views','slideshow-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,0,'main-slideshow'),(530,'views','slide_accordian-block','we_backend',1,-29,'header',0,1,'<front>','<none>',-1,0,'slide-accordian animation'),(531,'views','statistic-block','we_backend',1,-38,'content',0,1,'about-university','<none>',-1,0,'about-statistic animation'),(532,'views','student-block','we_backend',1,0,'header',0,1,'<front>\r\nuser/*','Students',-1,0,'home-student animation'),(533,'views','testimonial-block','we_backend',1,0,'header',0,1,'<front>','',-1,0,'home-testimonial animation'),(534,'views','testimonials_about-block','we_backend',1,0,'header',0,1,'about-university','<none>',-1,0,'about-testimonial animation'),(535,'views','top_viewed_nodes-block','we_backend',0,0,'-1',0,0,'','',-1,0,''),(536,'views','up_coming_events-block','we_backend',1,0,'sidebar_first',0,1,'<front>','',-1,0,'events-view animation'),(537,'views','why_choose_us-block','we_backend',1,0,'header',0,1,'<front>','',-1,0,'animation why-choose-us');
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (1,'<p><img alt=\"no image\" src=\"sites/default/files/images/about-us.jpg\" /> Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur.</p>\r\n','About us','full_html'),(2,'<address>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br />\r\n<i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n','Contact','full_html'),(3,'<p>Copyright © 2014 Educational. All rights reserved. Designed by <a href=\"http://weebpal.com\" target=\"_blank\">WeebPal</a>. Powered by <a href=\"http://drupal.org\" target=\"_blank\">Drupal</a>.</p>\r\n','Copyright','filtered_html'),(4,'<ul class=\"socials-list\">\r\n	<li><a href=\"https://www.facebook.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Facebook\"><i class=\"fa fa-facebook\"></i></a></li>\r\n	<li><a href=\"https://plus.google.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Google Plus\"><i class=\"fa fa-google-plus\"></i></a></li>\r\n	<li><a href=\"https://twitter.com/\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Twitter\" target=\"_blank\"><i class=\"fa fa-twitter\"></i></a></li>\r\n	<li><a href=\"http://instagram.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Instagram\"><i class=\"fa fa-instagram\"></i></a></li>\r\n</ul>','Social Block','full_html'),(5,'<p><a href=\"/educational/\" rel=\"home\" title=\"Educational\"><img alt=\"Educational\" src=\"<?php echo base_path(); ?>sites/default/files/images/logo-footer.png\"></a></p>\r\n','Footer Logo','php_code');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `book`
--

DROP TABLE IF EXISTS `book`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `book` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book page’s menu_links.mlid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book page’s node.nid.',
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book ID is the book.nid of the top-level page.',
  PRIMARY KEY (`mlid`),
  UNIQUE KEY `nid` (`nid`),
  KEY `bid` (`bid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores book outline information. Uniquely connects each...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `book`
--

LOCK TABLES `book` WRITE;
/*!40000 ALTER TABLE `book` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `book` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache` VALUES ('theme_registry:runtime:educational','a:660:{s:12:\"render_panel\";N;s:15:\"views_view_grid\";N;s:4:\"html\";N;s:7:\"comment\";N;s:11:\"tb_megamenu\";N;s:4:\"node\";N;s:4:\"page\";N;s:16:\"admin_menu_links\";N;s:15:\"admin_menu_icon\";N;s:30:\"page_manager_handler_rearrange\";N;s:22:\"page_manager_edit_page\";N;s:17:\"page_manager_lock\";N;s:20:\"page_manager_changed\";N;s:37:\"page_manager_page_form_argument_table\";N;s:22:\"page_manager_page_lock\";N;s:25:\"page_manager_page_changed\";N;s:14:\"rules_elements\";N;s:19:\"rules_content_group\";N;s:29:\"rules_parameter_configuration\";N;s:19:\"rules_variable_view\";N;s:24:\"rules_data_selector_help\";N;s:22:\"rules_ui_variable_form\";N;s:9:\"rules_log\";N;s:18:\"rules_autocomplete\";N;s:19:\"rules_debug_element\";N;s:19:\"rules_settings_help\";N;s:22:\"features_module_status\";N;s:19:\"features_components\";N;s:22:\"features_component_key\";N;s:23:\"features_component_list\";N;s:21:\"features_storage_link\";N;s:18:\"features_lock_link\";N;s:21:\"features_form_package\";N;s:20:\"features_form_export\";N;s:24:\"features_form_components\";N;s:21:\"features_form_buttons\";N;s:25:\"features_admin_components\";N;s:16:\"views_mini_pager\";N;s:16:\"views_view_field\";N;s:19:\"views_view_grouping\";N;s:10:\"views_view\";N;s:15:\"date_navigation\";N;s:22:\"views_view_unformatted\";N;s:16:\"flexslider_views\";N;s:14:\"jcarousel_view\";N;s:14:\"quicktabs_view\";N;s:37:\"views_bootstrap_carousel_plugin_style\";N;s:38:\"views_bootstrap_thumbnail_plugin_style\";N;s:33:\"views_bootstrap_grid_plugin_style\";N;s:38:\"views_bootstrap_accordion_plugin_style\";N;s:32:\"views_bootstrap_tab_plugin_style\";N;s:34:\"views_bootstrap_media_plugin_style\";N;s:34:\"views_bootstrap_table_plugin_style\";N;s:28:\"views_horizontal_slider_view\";N;s:11:\"views_metro\";N;s:15:\"views_slideshow\";N;s:15:\"views_view_list\";N;s:16:\"views_view_table\";N;s:18:\"views_view_summary\";N;s:30:\"views_view_summary_unformatted\";N;s:14:\"views_view_rss\";N;s:28:\"views_view_summary_jump_menu\";N;s:20:\"views_view_jump_menu\";N;s:22:\"views_view_row_comment\";N;s:18:\"views_view_row_rss\";N;s:17:\"views_view_fields\";N;s:25:\"uc_order_view_row_invoice\";N;s:36:\"views_bootstrap_carousel_plugin_rows\";N;s:37:\"views_bootstrap_thumbnail_plugin_rows\";N;s:21:\"views_form_views_form\";N;s:18:\"views_exposed_form\";N;s:10:\"views_more\";N;s:6:\"forums\";N;s:10:\"forum_list\";N;s:16:\"forum_topic_list\";N;s:10:\"forum_icon\";N;s:15:\"forum_submitted\";N;s:10:\"forum_form\";N;s:15:\"horizontal_tabs\";N;s:9:\"multipage\";N;s:14:\"multipage_pane\";N;s:30:\"date_repeat_current_exceptions\";N;s:29:\"date_repeat_current_additions\";N;s:17:\"date_repeat_rrule\";N;s:33:\"we_content_migration_form_package\";N;s:28:\"views_ui_display_tab_setting\";N;s:27:\"views_ui_display_tab_bucket\";N;s:23:\"views_ui_rearrange_form\";N;s:30:\"views_ui_rearrange_filter_form\";N;s:27:\"views_ui_expose_filter_form\";N;s:18:\"views_ui_view_info\";N;s:32:\"views_ui_build_group_filter_form\";N;s:12:\"views_tabset\";N;s:9:\"views_tab\";N;s:30:\"views_ui_reorder_displays_form\";N;s:27:\"views_ui_style_plugin_table\";N;s:29:\"views_ui_view_preview_section\";N;s:15:\"views_container\";N;s:21:\"views_slideshow_cycle\";N;s:32:\"views_slideshow_cycle_main_frame\";N;s:36:\"views_slideshow_cycle_main_frame_row\";N;s:41:\"views_slideshow_cycle_main_frame_row_item\";N;s:28:\"views_slideshow_main_section\";N;s:35:\"views_slideshow_pager_widget_render\";N;s:28:\"views_slideshow_pager_fields\";N;s:33:\"views_slideshow_pager_field_field\";N;s:32:\"views_slideshow_pager_field_item\";N;s:38:\"views_slideshow_controls_widget_render\";N;s:29:\"views_slideshow_controls_text\";N;s:38:\"views_slideshow_controls_text_previous\";N;s:35:\"views_slideshow_controls_text_pause\";N;s:34:\"views_slideshow_controls_text_next\";N;s:43:\"views_slideshow_slide_counter_widget_render\";N;s:29:\"views_slideshow_slide_counter\";N;s:21:\"views_load_more_pager\";N;s:30:\"views_fieldsets_rearrange_form\";N;s:24:\"views_fieldsets_fieldset\";N;s:19:\"views_fieldsets_div\";N;s:23:\"views_fieldsets_details\";N;s:32:\"views_bulk_operations_select_all\";N;s:34:\"views_bulk_operations_confirmation\";N;s:21:\"variable_table_select\";N;s:12:\"user_picture\";N;s:12:\"user_profile\";N;s:21:\"user_profile_category\";N;s:17:\"user_profile_item\";N;s:9:\"user_list\";N;s:22:\"user_admin_permissions\";N;s:16:\"user_admin_roles\";N;s:27:\"user_permission_description\";N;s:14:\"user_signature\";N;s:26:\"update_manager_update_form\";N;s:17:\"update_last_check\";N;s:13:\"update_report\";N;s:14:\"update_version\";N;s:19:\"update_status_label\";N;s:15:\"uc_store_footer\";N;s:28:\"uc_store_address_fields_form\";N;s:18:\"uc_pane_sort_table\";N;s:11:\"tapir_table\";N;s:8:\"uc_price\";N;s:12:\"uc_qty_label\";N;s:6:\"uc_qty\";N;s:6:\"uc_uid\";N;s:24:\"uc_quote_method_settings\";N;s:19:\"uc_cart_pane_quotes\";N;s:23:\"uc_quote_returned_rates\";N;s:16:\"uc_product_model\";N;s:22:\"uc_product_add_to_cart\";N;s:16:\"uc_product_price\";N;s:17:\"uc_product_weight\";N;s:21:\"uc_product_dimensions\";N;s:16:\"uc_product_image\";N;s:27:\"uc_product_feature_add_form\";N;s:17:\"uc_payment_totals\";N;s:23:\"uc_payment_method_table\";N;s:8:\"uc_order\";N;s:21:\"uc_order_invoice_page\";N;s:20:\"uc_order_state_table\";N;s:21:\"uc_order_status_table\";N;s:18:\"uc_order_edit_form\";N;s:24:\"uc_order_pane_line_items\";N;s:18:\"uc_order__customer\";N;s:15:\"uc_order__admin\";N;s:18:\"uc_credit_cvv_help\";N;s:19:\"uc_cart_block_title\";N;s:24:\"uc_cart_block_title_icon\";N;s:21:\"uc_cart_block_content\";N;s:19:\"uc_cart_block_items\";N;s:21:\"uc_cart_block_summary\";N;s:17:\"uc_cart_view_form\";N;s:24:\"uc_cart_checkout_buttons\";N;s:13:\"uc_empty_cart\";N;s:21:\"uc_cart_checkout_form\";N;s:20:\"uc_cart_review_table\";N;s:23:\"uc_cart_checkout_review\";N;s:28:\"uc_checkout_pane_cart_review\";N;s:21:\"uc_cart_complete_sale\";N;s:24:\"truefalse_answering_form\";N;s:18:\"truefalse_response\";N;s:10:\"tree_table\";N;s:10:\"token_tree\";N;s:15:\"token_tree_link\";N;s:15:\"tb_megamenu_nav\";N;s:16:\"tb_megamenu_item\";N;s:19:\"tb_megamenu_submenu\";N;s:15:\"tb_megamenu_row\";N;s:18:\"tb_megamenu_column\";N;s:18:\"tb_megamenu_subnav\";N;s:17:\"tb_megamenu_block\";N;s:26:\"tb_megamenu_admin_settings\";N;s:19:\"tb_megamenu_backend\";N;s:30:\"taxonomy_overview_vocabularies\";N;s:23:\"taxonomy_overview_terms\";N;s:13:\"taxonomy_term\";N;s:6:\"region\";N;s:15:\"status_messages\";N;s:4:\"link\";N;s:5:\"links\";N;s:5:\"image\";a:5:{s:9:\"variables\";a:6:{s:4:\"path\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/system\";s:8:\"function\";s:11:\"theme_image\";s:20:\"preprocess functions\";a:1:{i:0;s:20:\"rdf_preprocess_image\";}}s:10:\"breadcrumb\";N;s:4:\"help\";N;s:5:\"table\";N;s:19:\"tablesort_indicator\";N;s:4:\"mark\";N;s:9:\"item_list\";N;s:14:\"more_help_link\";N;s:9:\"feed_icon\";N;s:9:\"more_link\";N;s:8:\"username\";N;s:12:\"progress_bar\";N;s:11:\"indentation\";N;s:8:\"html_tag\";N;s:16:\"maintenance_page\";N;s:11:\"update_page\";N;s:12:\"install_page\";N;s:9:\"task_list\";N;s:17:\"authorize_message\";N;s:16:\"authorize_report\";N;s:5:\"pager\";N;s:11:\"pager_first\";N;s:14:\"pager_previous\";N;s:10:\"pager_next\";N;s:10:\"pager_last\";N;s:10:\"pager_link\";N;s:9:\"menu_link\";N;s:9:\"menu_tree\";N;s:15:\"menu_local_task\";N;s:17:\"menu_local_action\";N;s:16:\"menu_local_tasks\";N;s:6:\"select\";N;s:8:\"fieldset\";N;s:5:\"radio\";N;s:6:\"radios\";N;s:4:\"date\";N;s:15:\"exposed_filters\";N;s:8:\"checkbox\";N;s:10:\"checkboxes\";N;s:6:\"button\";N;s:12:\"image_button\";N;s:6:\"hidden\";N;s:9:\"textfield\";N;s:4:\"form\";N;s:8:\"textarea\";N;s:8:\"password\";N;s:4:\"file\";N;s:11:\"tableselect\";N;s:12:\"form_element\";N;s:20:\"form_required_marker\";N;s:18:\"form_element_label\";N;s:13:\"vertical_tabs\";N;s:9:\"container\";N;s:18:\"system_themes_page\";N;s:20:\"system_settings_form\";N;s:12:\"confirm_form\";N;s:23:\"system_modules_fieldset\";N;s:27:\"system_modules_incompatible\";N;s:24:\"system_modules_uninstall\";N;s:13:\"status_report\";N;s:10:\"admin_page\";N;s:11:\"admin_block\";N;s:19:\"admin_block_content\";N;s:18:\"system_admin_index\";N;s:17:\"system_powered_by\";N;s:19:\"system_compact_link\";N;s:25:\"system_date_time_settings\";N;s:21:\"region_rounded_shadow\";N;s:16:\"region_plain_box\";N;s:19:\"pane_rounded_shadow\";N;s:27:\"socialfield_drag_components\";N;s:21:\"socialfield_formatter\";N;s:22:\"socialfield_form_table\";N;s:17:\"signup_admin_page\";N;s:25:\"signup_filter_status_form\";N;s:30:\"signup_email_token_custom_data\";N;s:24:\"signup_custom_data_email\";N;s:29:\"signup_custom_data_field_text\";N;s:28:\"signup_broadcast_sender_copy\";N;s:22:\"signup_node_admin_page\";N;s:30:\"signup_node_admin_summary_form\";N;s:18:\"signup_custom_data\";N;s:20:\"signup_attended_text\";N;s:21:\"signup_signups_closed\";N;s:32:\"signup_anonymous_user_login_text\";N;s:25:\"signup_node_output_header\";N;s:17:\"signup_node_title\";N;s:16:\"signup_user_form\";N;s:25:\"signup_anonymous_username\";N;s:26:\"signup_settings_view_label\";N;s:26:\"short_answer_view_unscored\";N;s:26:\"short_answer_response_form\";N;s:24:\"short_answer_user_answer\";N;s:27:\"short_answer_answering_form\";N;s:22:\"shortcut_set_customize\";N;s:23:\"services_endpoint_index\";N;s:23:\"services_resource_table\";N;s:17:\"search_block_form\";N;s:13:\"search_result\";N;s:14:\"search_results\";N;s:19:\"scale_creation_form\";N;s:19:\"scale_response_form\";N;s:22:\"scale_answer_node_view\";N;s:20:\"scale_answering_form\";N;s:29:\"rdf_template_variable_wrapper\";N;s:12:\"rdf_metadata\";N;s:26:\"quiz_stats_get_basic_stats\";N;s:20:\"date_vs_takeup_count\";N;s:21:\"get_quiz_status_chart\";N;s:16:\"quiz_top_scorers\";N;s:16:\"quiz_grade_range\";N;s:28:\"quiz_stats_revision_selector\";N;s:17:\"quiz_stats_charts\";N;s:27:\"quiz_question_creation_form\";N;s:29:\"quiz_question_navigation_form\";N;s:30:\"quiz_directions_answering_form\";N;s:21:\"quiz_ddlines_response\";N;s:15:\"quiz_view_stats\";N;s:21:\"quiz_categorized_form\";N;s:21:\"quiz_get_user_results\";N;s:17:\"quiz_take_summary\";N;s:18:\"quiz_admin_summary\";N;s:17:\"quiz_user_summary\";N;s:13:\"quiz_progress\";N;s:16:\"quiz_no_feedback\";N;s:18:\"quiz_admin_quizzes\";N;s:25:\"quiz_single_question_node\";N;s:24:\"question_selection_table\";N;s:18:\"quiz_score_correct\";N;s:20:\"quiz_score_incorrect\";N;s:21:\"quiz_question_browser\";N;s:25:\"quiz_results_browser_body\";N;s:27:\"quiz_results_browser_header\";N;s:27:\"quiz_questions_browser_body\";N;s:29:\"quiz_questions_browser_header\";N;s:16:\"quiz_report_form\";N;s:14:\"quiz_node_form\";N;s:12:\"quiz_browser\";N;s:11:\"quiz_jumper\";N;s:24:\"quiz_my_results_for_quiz\";N;s:23:\"quicktabs_style_options\";N;s:25:\"quicktabs_admin_form_tabs\";N;s:10:\"qt_ui_tabs\";N;s:17:\"qt_ui_tabs_tabset\";N;s:12:\"qt_quicktabs\";N;s:19:\"qt_quicktabs_tabset\";N;s:12:\"qt_accordion\";N;s:27:\"quicktabs_tab_access_denied\";N;s:5:\"print\";N;s:15:\"print_published\";N;s:16:\"print_breadcrumb\";N;s:12:\"print_footer\";N;s:15:\"print_sourceurl\";N;s:14:\"print_url_list\";N;s:9:\"poll_vote\";N;s:12:\"poll_choices\";N;s:12:\"poll_results\";N;s:8:\"poll_bar\";N;s:19:\"poll_results__block\";N;s:15:\"poll_bar__block\";N;s:18:\"panels_layout_link\";N;s:18:\"panels_layout_icon\";N;s:11:\"panels_pane\";N;s:26:\"panels_common_content_list\";N;s:26:\"panels_render_display_form\";N;s:16:\"panels_dashboard\";N;s:21:\"panels_dashboard_link\";N;s:22:\"panels_dashboard_block\";N;s:24:\"panels_add_content_modal\";N;s:23:\"panels_add_content_link\";N;s:15:\"panels_flexible\";N;s:21:\"panels_flexible_admin\";N;s:13:\"panels_twocol\";N;s:13:\"panels_onecol\";N;s:32:\"panels_threecol_25_50_25_stacked\";N;s:24:\"panels_threecol_25_50_25\";N;s:21:\"panels_twocol_stacked\";N;s:32:\"panels_threecol_33_34_33_stacked\";N;s:20:\"panels_twocol_bricks\";N;s:24:\"panels_threecol_33_34_33\";N;s:42:\"panels_stylizer_stylizer_style_render_pane\";N;s:44:\"panels_stylizer_stylizer_style_render_region\";N;s:40:\"panels_rounded_corners_style_render_pane\";N;s:42:\"panels_rounded_corners_style_render_region\";N;s:26:\"panels_rounded_corners_box\";N;s:30:\"panels_block_style_render_pane\";N;s:30:\"panels_naked_style_render_pane\";N;s:32:\"panels_naked_style_render_region\";N;s:31:\"panels_list_style_render_region\";N;s:34:\"panels_default_style_render_region\";N;s:7:\"overlay\";N;s:23:\"overlay_disable_message\";N;s:12:\"options_none\";N;s:17:\"node_search_admin\";N;s:13:\"node_add_list\";N;s:12:\"node_preview\";N;s:19:\"node_admin_overview\";N;s:17:\"node_recent_block\";N;s:19:\"node_recent_content\";N;s:25:\"multichoice_creation_form\";N;s:28:\"multichoice_answer_node_view\";N;s:20:\"multichoice_response\";N;s:32:\"multichoice_alternative_creation\";N;s:26:\"multichoice_answering_form\";N;s:23:\"multichoice_alternative\";N;s:13:\"module_filter\";N;s:33:\"module_filter_system_modules_tabs\";N;s:24:\"module_filter_operations\";N;s:18:\"menu_block_wrapper\";N;s:21:\"menu_block_menu_order\";N;s:18:\"menu_overview_form\";N;s:19:\"menu_admin_overview\";N;s:22:\"matching_question_form\";N;s:17:\"matching_response\";N;s:25:\"matching_subquestion_form\";N;s:24:\"matching_match_node_view\";N;s:23:\"matching_answering_form\";N;s:25:\"long_answer_view_unscored\";N;s:25:\"long_answer_response_form\";N;s:26:\"long_answer_answering_form\";N;s:18:\"logo_block_wrapper\";N;s:22:\"logo_block_image_style\";N;s:30:\"locale_languages_overview_form\";N;s:31:\"locale_languages_configure_form\";N;s:23:\"locale_date_format_form\";N;s:27:\"link_formatter_link_default\";N;s:25:\"link_formatter_link_plain\";N;s:24:\"link_formatter_link_host\";N;s:28:\"link_formatter_link_absolute\";N;s:26:\"link_formatter_link_domain\";N;s:31:\"link_formatter_link_title_plain\";N;s:23:\"link_formatter_link_url\";N;s:25:\"link_formatter_link_short\";N;s:25:\"link_formatter_link_label\";N;s:28:\"link_formatter_link_separate\";N;s:10:\"link_field\";N;s:37:\"lang_dropdown_hideout_hiddenlanguages\";N;s:18:\"languageicons_icon\";N;s:19:\"languageicons_place\";N;s:9:\"jcarousel\";N;s:31:\"inline_entity_form_entity_table\";N;s:10:\"imce_admin\";N;s:16:\"imce_directories\";N;s:15:\"imce_thumbnails\";N;s:14:\"imce_root_text\";N;s:14:\"imce_user_page\";N;s:14:\"imce_file_list\";N;s:12:\"imce_content\";N;s:9:\"imce_page\";N;s:11:\"image_style\";N;s:16:\"image_style_list\";N;s:19:\"image_style_effects\";N;s:19:\"image_style_preview\";N;s:12:\"image_anchor\";N;s:20:\"image_resize_summary\";N;s:19:\"image_scale_summary\";N;s:18:\"image_crop_summary\";N;s:20:\"image_rotate_summary\";N;s:12:\"image_widget\";N;s:15:\"image_formatter\";N;s:28:\"i18n_node_select_translation\";N;s:17:\"follow_links_form\";N;s:12:\"follow_links\";N;s:11:\"follow_link\";N;s:10:\"follow_css\";N;s:10:\"flexslider\";N;s:15:\"flexslider_list\";N;s:20:\"flexslider_list_item\";N;s:21:\"filter_admin_overview\";N;s:32:\"filter_admin_format_filter_order\";N;s:11:\"filter_tips\";N;s:19:\"text_format_wrapper\";N;s:21:\"filter_tips_more_info\";N;s:17:\"filter_guidelines\";N;s:9:\"file_link\";N;s:9:\"file_icon\";N;s:17:\"file_managed_file\";N;s:11:\"file_widget\";N;s:20:\"file_widget_multiple\";N;s:20:\"file_formatter_table\";N;s:16:\"file_upload_help\";N;s:14:\"field_ui_table\";N;s:15:\"field_slideshow\";N;s:24:\"field_slideshow_controls\";N;s:21:\"field_slideshow_pager\";N;s:21:\"field_collection_item\";N;s:21:\"field_collection_view\";N;s:5:\"field\";N;s:25:\"field_multiple_value_form\";N;s:21:\"entityreference_label\";N;s:25:\"entityreference_entity_id\";N;s:13:\"entity_status\";N;s:6:\"entity\";N;s:15:\"entity_property\";N;s:23:\"entity_ui_overview_item\";N;s:13:\"dblog_message\";N;s:14:\"date_nav_title\";N;s:22:\"date_views_filter_form\";N;s:17:\"date_calendar_day\";N;s:16:\"date_views_pager\";N;s:19:\"date_repeat_display\";N;s:10:\"date_popup\";N;s:13:\"date_timezone\";N;s:11:\"date_select\";N;s:9:\"date_text\";N;s:19:\"date_select_element\";N;s:22:\"date_textfield_element\";N;s:21:\"date_part_hour_prefix\";N;s:23:\"date_part_minsec_prefix\";N;s:20:\"date_part_label_year\";N;s:21:\"date_part_label_month\";N;s:19:\"date_part_label_day\";N;s:20:\"date_part_label_hour\";N;s:22:\"date_part_label_minute\";N;s:22:\"date_part_label_second\";N;s:20:\"date_part_label_ampm\";N;s:24:\"date_part_label_timezone\";N;s:20:\"date_part_label_date\";N;s:20:\"date_part_label_time\";N;s:13:\"date_time_ago\";N;s:12:\"date_all_day\";N;s:18:\"date_all_day_label\";N;s:10:\"date_combo\";N;s:17:\"date_form_element\";N;s:15:\"date_text_parts\";N;s:19:\"date_display_single\";N;s:18:\"date_display_range\";N;s:22:\"date_display_remaining\";N;s:24:\"date_display_combination\";N;s:21:\"date_display_interval\";N;s:9:\"dashboard\";N;s:15:\"dashboard_admin\";N;s:16:\"dashboard_region\";N;s:25:\"dashboard_disabled_blocks\";N;s:24:\"dashboard_disabled_block\";N;s:28:\"dashboard_admin_display_form\";N;s:28:\"ctools_ajax_sample_container\";N;s:15:\"ctools_dropdown\";N;s:18:\"ctools_collapsible\";N;s:29:\"ctools_collapsible_remembered\";N;s:19:\"ctools_wizard_trail\";N;s:24:\"links__ctools_dropbutton\";N;s:33:\"ctools_stylizer_color_scheme_form\";N;s:28:\"ctools_stylizer_preview_form\";N;s:17:\"ctools_style_icon\";N;s:33:\"ctools_menu_local_actions_wrapper\";N;s:19:\"ctools_context_list\";N;s:28:\"ctools_context_list_no_table\";N;s:24:\"ctools_context_item_form\";N;s:23:\"ctools_context_item_row\";N;s:23:\"ctools_access_admin_add\";N;s:28:\"course_outline_overview_form\";N;s:13:\"course_report\";N;s:14:\"course_outline\";N;s:13:\"course_object\";N;s:25:\"course_take_course_button\";N;s:15:\"context_ui_form\";N;s:18:\"context_ui_plugins\";N;s:17:\"context_ui_editor\";N;s:18:\"context_block_form\";N;s:26:\"context_block_regions_form\";N;s:20:\"context_block_editor\";N;s:21:\"context_block_browser\";N;s:26:\"context_block_browser_item\";N;s:32:\"context_block_script_placeholder\";N;s:23:\"context_block_edit_wrap\";N;s:13:\"comment_block\";N;s:15:\"comment_preview\";N;s:22:\"comment_post_forbidden\";N;s:15:\"comment_wrapper\";N;s:19:\"colorbox_imagefield\";N;s:21:\"colorbox_insert_image\";N;s:24:\"colorbox_image_formatter\";N;s:17:\"color_scheme_form\";N;s:5:\"chart\";N;s:23:\"certificate_certificate\";N;s:28:\"certificate_admin_clear_form\";N;s:15:\"book_navigation\";N;s:16:\"book_export_html\";N;s:16:\"book_admin_table\";N;s:15:\"book_title_link\";N;s:20:\"book_all_books_block\";N;s:21:\"book_node_export_html\";N;s:13:\"blockify_logo\";N;s:18:\"blockify_site_name\";N;s:20:\"blockify_site_slogan\";N;s:19:\"blockify_page_title\";N;s:19:\"blockify_breadcrumb\";N;s:22:\"blockify_local_actions\";N;s:19:\"blockify_feed_icons\";N;s:25:\"blockify_menu_local_tasks\";N;s:13:\"banners_block\";N;s:30:\"banners_overview_bannersblocks\";N;s:22:\"banners_overview_items\";N;s:19:\"advanced_help_topic\";N;s:19:\"advanced_help_popup\";N;s:12:\"webform_view\";N;s:21:\"webform_view_messages\";N;s:12:\"webform_form\";N;s:20:\"webform_confirmation\";N;s:15:\"webform_element\";N;s:20:\"webform_element_text\";N;s:20:\"webform_inline_radio\";N;s:26:\"webform_inline_radio_label\";N;s:19:\"webform_progressbar\";N;s:20:\"webform_mail_message\";N;s:20:\"webform_mail_headers\";N;s:18:\"webform_token_help\";N;s:22:\"webform_admin_settings\";N;s:21:\"webform_admin_content\";N;s:19:\"webform_emails_form\";N;s:31:\"webform_email_component_mapping\";N;s:22:\"webform_email_add_form\";N;s:23:\"webform_email_edit_form\";N;s:23:\"webform_components_page\";N;s:23:\"webform_components_form\";N;s:24:\"webform_component_select\";N;s:26:\"webform_conditional_groups\";N;s:29:\"webform_conditional_group_row\";N;s:19:\"webform_conditional\";N;s:33:\"webform_advanced_redirection_form\";N;s:34:\"webform_advanced_submit_limit_form\";N;s:40:\"webform_advanced_total_submit_limit_form\";N;s:24:\"webform_results_per_page\";N;s:34:\"webform_results_submissions_header\";N;s:27:\"webform_results_submissions\";N;s:28:\"webform_results_table_header\";N;s:21:\"webform_results_table\";N;s:30:\"webform_results_download_range\";N;s:38:\"webform_results_download_select_format\";N;s:16:\"webform_analysis\";N;s:26:\"webform_analysis_component\";N;s:32:\"webform_analysis_component_basic\";N;s:18:\"webform_submission\";N;s:23:\"webform_submission_page\";N;s:30:\"webform_submission_information\";N;s:29:\"webform_submission_navigation\";N;s:25:\"webform_submission_resend\";N;s:12:\"webform_date\";N;s:20:\"webform_display_date\";N;s:16:\"webform_calendar\";N;s:13:\"webform_email\";N;s:21:\"webform_display_email\";N;s:28:\"webform_edit_file_extensions\";N;s:20:\"webform_display_file\";N;s:20:\"webform_managed_file\";N;s:12:\"webform_grid\";N;s:20:\"webform_display_grid\";N;s:22:\"webform_display_hidden\";N;s:22:\"webform_display_markup\";N;s:14:\"webform_number\";N;s:22:\"webform_display_number\";N;s:25:\"webform_display_pagebreak\";N;s:22:\"webform_display_select\";N;s:24:\"webform_display_textarea\";N;s:25:\"webform_display_textfield\";N;s:12:\"webform_time\";N;s:20:\"webform_display_time\";N;s:5:\"block\";N;s:24:\"block_admin_display_form\";N;s:20:\"strongarm_admin_form\";N;}',0,1500436891,1);
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_features`
--

DROP TABLE IF EXISTS `cache_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_features` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_features`
--

LOCK TABLES `cache_features` WRITE;
/*!40000 ALTER TABLE `cache_features` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Field module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_form` VALUES ('form_form-7c4YFChwL5LcI470tgJ3UkSbpYYX2L8cwjwroqHi0XA','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-7c4YFChwL5LcI470tgJ3UkSbpYYX2L8cwjwroqHi0XA\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-7c4YFChwL5LcI470tgJ3UkSbpYYX2L8cwjwroqHi0XA\";s:3:\"#id\";s:48:\"form-7c4YFChwL5LcI470tgJ3UkSbpYYX2L8cwjwroqHi0XA\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:33:\"/drupal7/educational/users/michel\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458365,1500436765,1),('form_form-AYXaat-pumkR4Axaxg-ZefzkFf6wwlENOLpnHqBEeW4','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-AYXaat-pumkR4Axaxg-ZefzkFf6wwlENOLpnHqBEeW4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-AYXaat-pumkR4Axaxg-ZefzkFf6wwlENOLpnHqBEeW4\";s:3:\"#id\";s:48:\"form-AYXaat-pumkR4Axaxg-ZefzkFf6wwlENOLpnHqBEeW4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:87:\"/drupal7/educational/news/proin-pretium-nequ-eget-turco-euismod-ornare-omra-furato-suda\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458349,1500436749,1),('form_form-F0RBIa8Eru7Nby3KsvCQfHmuXT52JLGGUtbTIlKzeB4','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-F0RBIa8Eru7Nby3KsvCQfHmuXT52JLGGUtbTIlKzeB4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-F0RBIa8Eru7Nby3KsvCQfHmuXT52JLGGUtbTIlKzeB4\";s:3:\"#id\";s:48:\"form-F0RBIa8Eru7Nby3KsvCQfHmuXT52JLGGUtbTIlKzeB4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:51:\"/drupal7/educational/events/teacher%E2%80%99s-day-2\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458359,1500436759,1),('form_form-gfxouz06SFKhJwREyuY3mJn2YOh4b070PNb8f4_bsWg','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-gfxouz06SFKhJwREyuY3mJn2YOh4b070PNb8f4_bsWg\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-gfxouz06SFKhJwREyuY3mJn2YOh4b070PNb8f4_bsWg\";s:3:\"#id\";s:48:\"form-gfxouz06SFKhJwREyuY3mJn2YOh4b070PNb8f4_bsWg\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:21:\"/drupal7/educational/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458283,1500436683,1),('form_form-gsz120XD06x5zVnxsX70f6-i6PywN5OWftAqihVXHq4','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-gsz120XD06x5zVnxsX70f6-i6PywN5OWftAqihVXHq4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-gsz120XD06x5zVnxsX70f6-i6PywN5OWftAqihVXHq4\";s:3:\"#id\";s:48:\"form-gsz120XD06x5zVnxsX70f6-i6PywN5OWftAqihVXHq4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:33:\"/drupal7/educational/list-student\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458363,1500436763,1),('form_form-HFcrJpaL9arKPsaXwMzN_j9uv7zBDD9i5R2LOc46SfU','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-HFcrJpaL9arKPsaXwMzN_j9uv7zBDD9i5R2LOc46SfU\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-HFcrJpaL9arKPsaXwMzN_j9uv7zBDD9i5R2LOc46SfU\";s:3:\"#id\";s:48:\"form-HFcrJpaL9arKPsaXwMzN_j9uv7zBDD9i5R2LOc46SfU\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:25:\"/drupal7/educational/news\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458343,1500436743,1),('form_form-hvmeFzowOa7XG7pBjnjOpk6cIXc72wauBKedwt0Gpaw','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-hvmeFzowOa7XG7pBjnjOpk6cIXc72wauBKedwt0Gpaw\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-hvmeFzowOa7XG7pBjnjOpk6cIXc72wauBKedwt0Gpaw\";s:3:\"#id\";s:48:\"form-hvmeFzowOa7XG7pBjnjOpk6cIXc72wauBKedwt0Gpaw\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:27:\"/drupal7/educational/events\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458355,1500436755,1),('form_form-L6XyRinrvBF9CLZnETNYVN9haHhrko9PSaPhkKLhuhM','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-L6XyRinrvBF9CLZnETNYVN9haHhrko9PSaPhkKLhuhM\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-L6XyRinrvBF9CLZnETNYVN9haHhrko9PSaPhkKLhuhM\";s:3:\"#id\";s:48:\"form-L6XyRinrvBF9CLZnETNYVN9haHhrko9PSaPhkKLhuhM\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:21:\"/drupal7/educational/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500457765,1500436165,1),('form_form-Ooko-wFbsMm8AI-COzSdUWtjX4K-uIhmXLuYIe4ehSE','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-Ooko-wFbsMm8AI-COzSdUWtjX4K-uIhmXLuYIe4ehSE\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-Ooko-wFbsMm8AI-COzSdUWtjX4K-uIhmXLuYIe4ehSE\";s:3:\"#id\";s:48:\"form-Ooko-wFbsMm8AI-COzSdUWtjX4K-uIhmXLuYIe4ehSE\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:28:\"/drupal7/educational/courses\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458338,1500436738,1),('form_form-tPu4b3BQT15uXSwLrbx7tg0chiFMIQbCRXN2i2g2K-4','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-tPu4b3BQT15uXSwLrbx7tg0chiFMIQbCRXN2i2g2K-4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-tPu4b3BQT15uXSwLrbx7tg0chiFMIQbCRXN2i2g2K-4\";s:3:\"#id\";s:48:\"form-tPu4b3BQT15uXSwLrbx7tg0chiFMIQbCRXN2i2g2K-4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:37:\"/drupal7/educational/content/contacts\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458371,1500436771,1),('form_form-WGUxnmG2ANhRZuFWd-xoL8ilhQqjudyntr7ng2BvXG8','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-WGUxnmG2ANhRZuFWd-xoL8ilhQqjudyntr7ng2BvXG8\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-WGUxnmG2ANhRZuFWd-xoL8ilhQqjudyntr7ng2BvXG8\";s:3:\"#id\";s:48:\"form-WGUxnmG2ANhRZuFWd-xoL8ilhQqjudyntr7ng2BvXG8\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:51:\"/drupal7/educational/events/teacher%E2%80%99s-day-0\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458369,1500436769,1),('form_form-Xj3S1niAMLNwWYqJsrpT1-SpL2KCyNXmSI0H477sXC4','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-Xj3S1niAMLNwWYqJsrpT1-SpL2KCyNXmSI0H477sXC4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-Xj3S1niAMLNwWYqJsrpT1-SpL2KCyNXmSI0H477sXC4\";s:3:\"#id\";s:48:\"form-Xj3S1niAMLNwWYqJsrpT1-SpL2KCyNXmSI0H477sXC4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:112:\"/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458327,1500436727,1),('form_form-ZFRMhxhyFl7euIew9XIMNRah6ZkUSCVZ7c-M3zVUsQQ','a:20:{s:5:\"email\";a:4:{s:5:\"#type\";s:9:\"textfield\";s:14:\"#default_value\";s:16:\"user@example.com\";s:5:\"#size\";i:20;s:9:\"#required\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-ZFRMhxhyFl7euIew9XIMNRah6ZkUSCVZ7c-M3zVUsQQ\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-ZFRMhxhyFl7euIew9XIMNRah6ZkUSCVZ7c-M3zVUsQQ\";s:3:\"#id\";s:48:\"form-ZFRMhxhyFl7euIew9XIMNRah6ZkUSCVZ7c-M3zVUsQQ\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"L-YQMnzX93DY_aEgbl2rtRTwBZif_2xhTLdrErjQyOE\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:37:\"/drupal7/educational/about-university\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"CTQBe8V-ZnHe7EM3Cy3MK9V3hd6NKgMw3C3VD627ycA\";}',1500458326,1500436726,1),('form_state_form-7c4YFChwL5LcI470tgJ3UkSbpYYX2L8cwjwroqHi0XA','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458365,1500436765,1),('form_state_form-AYXaat-pumkR4Axaxg-ZefzkFf6wwlENOLpnHqBEeW4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458349,1500436749,1),('form_state_form-F0RBIa8Eru7Nby3KsvCQfHmuXT52JLGGUtbTIlKzeB4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458359,1500436759,1),('form_state_form-gfxouz06SFKhJwREyuY3mJn2YOh4b070PNb8f4_bsWg','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458283,1500436683,1),('form_state_form-gsz120XD06x5zVnxsX70f6-i6PywN5OWftAqihVXHq4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458363,1500436763,1),('form_state_form-HFcrJpaL9arKPsaXwMzN_j9uv7zBDD9i5R2LOc46SfU','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458343,1500436743,1),('form_state_form-hvmeFzowOa7XG7pBjnjOpk6cIXc72wauBKedwt0Gpaw','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458355,1500436755,1),('form_state_form-L6XyRinrvBF9CLZnETNYVN9haHhrko9PSaPhkKLhuhM','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500457765,1500436165,1),('form_state_form-Ooko-wFbsMm8AI-COzSdUWtjX4K-uIhmXLuYIe4ehSE','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458338,1500436738,1),('form_state_form-tPu4b3BQT15uXSwLrbx7tg0chiFMIQbCRXN2i2g2K-4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458371,1500436771,1),('form_state_form-WGUxnmG2ANhRZuFWd-xoL8ilhQqjudyntr7ng2BvXG8','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458369,1500436769,1),('form_state_form-Xj3S1niAMLNwWYqJsrpT1-SpL2KCyNXmSI0H477sXC4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458327,1500436727,1),('form_state_form-ZFRMhxhyFl7euIew9XIMNRah6ZkUSCVZ7c-M3zVUsQQ','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500458326,1500436726,1);
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_block_menus:en','a:14:{s:7:\"_active\";s:31:\"<the menu selected by the page>\";s:13:\"menu-category\";s:8:\"Category\";s:8:\"features\";s:8:\"Features\";s:23:\"menu-flexslider-example\";s:18:\"FlexSlider Example\";s:16:\"menu-footer-menu\";s:11:\"Footer Menu\";s:17:\"menu-gallery-menu\";s:12:\"Gallery Menu\";s:18:\"menu-headline-link\";s:13:\"Headline Link\";s:9:\"main-menu\";s:9:\"Main menu\";s:10:\"management\";s:10:\"Management\";s:10:\"navigation\";s:10:\"Navigation\";s:23:\"menu-properties-courses\";s:18:\"Properties Courses\";s:22:\"menu-properties-events\";s:17:\"Properties Events\";s:20:\"menu-properties-view\";s:15:\"Properties News\";s:9:\"user-menu\";s:9:\"User menu\";}',0,1500436891,1),('menu_custom','a:13:{s:8:\"features\";a:5:{s:9:\"menu_name\";s:8:\"features\";s:5:\"title\";s:8:\"Features\";s:11:\"description\";s:36:\"Menu items for any enabled features.\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:9:\"main-menu\";a:5:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:10:\"management\";a:5:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:13:\"menu-category\";a:5:{s:9:\"menu_name\";s:13:\"menu-category\";s:5:\"title\";s:8:\"Category\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:23:\"menu-flexslider-example\";a:5:{s:9:\"menu_name\";s:23:\"menu-flexslider-example\";s:5:\"title\";s:18:\"FlexSlider Example\";s:11:\"description\";s:34:\"Example FlexSlider implementations\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:16:\"menu-footer-menu\";a:5:{s:9:\"menu_name\";s:16:\"menu-footer-menu\";s:5:\"title\";s:11:\"Footer Menu\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:17:\"menu-gallery-menu\";a:5:{s:9:\"menu_name\";s:17:\"menu-gallery-menu\";s:5:\"title\";s:12:\"Gallery Menu\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:18:\"menu-headline-link\";a:5:{s:9:\"menu_name\";s:18:\"menu-headline-link\";s:5:\"title\";s:13:\"Headline Link\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:23:\"menu-properties-courses\";a:5:{s:9:\"menu_name\";s:23:\"menu-properties-courses\";s:5:\"title\";s:18:\"Properties Courses\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:22:\"menu-properties-events\";a:5:{s:9:\"menu_name\";s:22:\"menu-properties-events\";s:5:\"title\";s:17:\"Properties Events\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:20:\"menu-properties-view\";a:5:{s:9:\"menu_name\";s:20:\"menu-properties-view\";s:5:\"title\";s:15:\"Properties News\";s:11:\"description\";s:0:\"\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:10:\"navigation\";a:5:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}s:9:\"user-menu\";a:5:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";s:8:\"language\";s:3:\"und\";s:9:\"i18n_mode\";s:1:\"0\";}}',0,1500436891,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_panels`
--

DROP TABLE IF EXISTS `cache_panels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_panels` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_panels`
--

LOCK TABLES `cache_panels` WRITE;
/*!40000 ALTER TABLE `cache_panels` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_panels` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_rules`
--

DROP TABLE IF EXISTS `cache_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_rules` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the rules engine to store configured items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_rules`
--

LOCK TABLES `cache_rules` WRITE;
/*!40000 ALTER TABLE `cache_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523021,1500436620,1),('available_releases::advanced_help','a:11:{s:5:\"title\";s:13:\"Advanced help\";s:10:\"short_name\";s:13:\"advanced_help\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/advanced_help\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"advanced_help 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1432557781\";s:6:\"mdhash\";s:32:\"34390aa730e617d19d611818fb20cc1d\";s:8:\"filesize\";s:5:\"94795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"advanced_help 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1427460481\";s:6:\"mdhash\";s:32:\"350fe1b797eeaf61aca6d5899e758ea8\";s:8:\"filesize\";s:5:\"69937\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"advanced_help 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1386871704\";s:6:\"mdhash\";s:32:\"ab82d6b59e5fe6f0cb8c86735ff17138\";s:8:\"filesize\";s:5:\"74854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"advanced_help 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1321022730\";s:6:\"mdhash\";s:32:\"f36a895743b21604cd06703a95a260c7\";s:8:\"filesize\";s:5:\"73702\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:27:\"advanced_help 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1295293901\";s:6:\"mdhash\";s:32:\"c25a39d3d4be4bf6d1dda4c29966ee7e\";s:8:\"filesize\";s:5:\"81918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"advanced_help 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490703183\";s:6:\"mdhash\";s:32:\"b6ca9aab28b071dd50406274d586aa91\";s:8:\"filesize\";s:5:\"95282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523021,1500436620,1),('available_releases::block_class','a:11:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1450293839\";s:6:\"mdhash\";s:32:\"9e382ab421c420b01c393be94b401ad9\";s:8:\"filesize\";s:5:\"12684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1377197769\";s:6:\"mdhash\";s:32:\"cb57d269d45aabd8978c0a88b05b9eb3\";s:8:\"filesize\";s:5:\"11499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1362669357\";s:6:\"mdhash\";s:32:\"4c3afdc9b94f12d4a2fa6ab8eac2bae8\";s:8:\"filesize\";s:4:\"9421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1377198970\";s:6:\"mdhash\";s:32:\"393dbfad8a142c2ff7d348f30521a63f\";s:8:\"filesize\";s:5:\"11913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1349301967\";s:6:\"mdhash\";s:32:\"30eff4c1392274a53680412e5784330b\";s:8:\"filesize\";s:4:\"8874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.2-beta1\";a:15:{s:4:\"name\";s:25:\"block_class 7.x-1.2-beta1\";s:7:\"version\";s:13:\"7.x-1.2-beta1\";s:3:\"tag\";s:13:\"7.x-1.2-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/block_class/releases/7.x-1.2-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1333059942\";s:6:\"mdhash\";s:32:\"d83eb9270022e9a3d6dc53ad102017d3\";s:8:\"filesize\";s:4:\"8873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331079937\";s:6:\"mdhash\";s:32:\"b466c130b0fc352d7bd2d434f294e6d6\";s:8:\"filesize\";s:4:\"8694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1318630894\";s:6:\"mdhash\";s:32:\"7659a7e3cfb4be20692a64b467a40310\";s:8:\"filesize\";s:4:\"8703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496362442\";s:6:\"mdhash\";s:32:\"8df84f57a2cf05072280b47904c3dfe4\";s:8:\"filesize\";s:5:\"13550\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380556302\";s:6:\"mdhash\";s:32:\"7419a6f4c1a002401da79a0f3291dd75\";s:8:\"filesize\";s:5:\"11922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523023,1500436620,1),('available_releases::certificate','a:11:{s:5:\"title\";s:11:\"Certificate\";s:10:\"short_name\";s:11:\"certificate\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/certificate\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:26:\"certificate 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/certificate/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/certificate-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1468513139\";s:6:\"mdhash\";s:32:\"75642a4b7370eefd554d4884b413057a\";s:8:\"filesize\";s:5:\"99111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"certificate 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/certificate/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1464117251\";s:6:\"mdhash\";s:32:\"ed4648e740feb1ad3458164cd4b03eac\";s:8:\"filesize\";s:5:\"22979\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"certificate 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/certificate/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1411750158\";s:6:\"mdhash\";s:32:\"d93479e7f39e5ed8d9d2f0244c8ea648\";s:8:\"filesize\";s:5:\"22770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"certificate 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/certificate/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1383803606\";s:6:\"mdhash\";s:32:\"0b8aeee00bea46e61321466b4d83604e\";s:8:\"filesize\";s:5:\"22325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:25:\"certificate 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/certificate/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1366216518\";s:6:\"mdhash\";s:32:\"774072e572c6b9eb6d2b2a2804b5877b\";s:8:\"filesize\";s:5:\"22241\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:25:\"certificate 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/certificate/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1358355312\";s:6:\"mdhash\";s:32:\"485443297a23c792743a325512c6ad57\";s:8:\"filesize\";s:5:\"22076\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:25:\"certificate 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/certificate/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1355953557\";s:6:\"mdhash\";s:32:\"93aa2f8b81a0583ff8a5a96ded32e08b\";s:8:\"filesize\";s:5:\"21358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:25:\"certificate 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/certificate/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1355149556\";s:6:\"mdhash\";s:32:\"1f8e24a073f2d6d677246f15dff7d805\";s:8:\"filesize\";s:5:\"21371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:23:\"certificate 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/certificate/releases/7.x-3.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/certificate-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479330842\";s:6:\"mdhash\";s:32:\"58cf13b4e20a97b69c86e69047e7d5cd\";s:8:\"filesize\";s:5:\"99174\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"certificate 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/certificate/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1457985239\";s:6:\"mdhash\";s:32:\"e1316a49edeec8a2fc8c9f52c899e8bb\";s:8:\"filesize\";s:5:\"22982\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523025,1500436620,1),('available_releases::chart','a:11:{s:5:\"title\";s:32:\"Google Chart Tools: Image Charts\";s:10:\"short_name\";s:5:\"chart\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/chart\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"chart 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/chart/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/chart-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1314765120\";s:6:\"mdhash\";s:32:\"f877a12cef203b13ba46199b0ffff0dc\";s:8:\"filesize\";s:5:\"18712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"chart 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/chart/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/chart-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1300025767\";s:6:\"mdhash\";s:32:\"4eeb1aecc67a6e47762f912d14220a4f\";s:8:\"filesize\";s:5:\"17979\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"chart 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/chart/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/chart-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1415317080\";s:6:\"mdhash\";s:32:\"3d23e2d9812cd8de72e955fda63a59c3\";s:8:\"filesize\";s:5:\"21414\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523025,1500436620,1),('available_releases::colorbox','a:11:{s:5:\"title\";s:8:\"Colorbox\";s:10:\"short_name\";s:8:\"colorbox\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:31:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491291483\";s:6:\"mdhash\";s:32:\"81942f2858a20cd9b986b4c7c82708e0\";s:8:\"filesize\";s:6:\"163128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.12\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1465255739\";s:6:\"mdhash\";s:32:\"a5667b3345a9430837dbeee8066b7de9\";s:8:\"filesize\";s:6:\"169332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1464956939\";s:6:\"mdhash\";s:32:\"0b560eeee3003170f80cc81d56f45c65\";s:8:\"filesize\";s:6:\"169285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1443691439\";s:6:\"mdhash\";s:32:\"6027f03ecc6e0e6c92e137339cb58517\";s:8:\"filesize\";s:6:\"168996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1434934980\";s:6:\"mdhash\";s:32:\"48c71a713678548d5ee368ee36a0ba58\";s:8:\"filesize\";s:6:\"168826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1410514128\";s:6:\"mdhash\";s:32:\"c0ffce63e21f30f4a741b4389f01bfc5\";s:8:\"filesize\";s:6:\"168639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1403692728\";s:6:\"mdhash\";s:32:\"a5aaf8c323c87ca1c0facf8c93c2c486\";s:8:\"filesize\";s:6:\"164144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1401278627\";s:6:\"mdhash\";s:32:\"739bc27a2385e7c8db4f6714cb46fd31\";s:8:\"filesize\";s:6:\"164172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1385815705\";s:6:\"mdhash\";s:32:\"6de84bea6ea5827598bc1192a0cedfb0\";s:8:\"filesize\";s:6:\"164026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1365452412\";s:6:\"mdhash\";s:32:\"aba012077a2ee086548eb93157b2caa2\";s:8:\"filesize\";s:6:\"167430\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360072087\";s:6:\"mdhash\";s:32:\"5c0d240681d26bf38ca7c7a4057a7acf\";s:8:\"filesize\";s:6:\"167131\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1358727059\";s:6:\"mdhash\";s:32:\"dc8b6a29054a74bc05e26908789d11a6\";s:8:\"filesize\";s:6:\"167236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1358483767\";s:6:\"mdhash\";s:32:\"29961ac05e2d8157db32b3bd7ad8482c\";s:8:\"filesize\";s:6:\"167181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1353323160\";s:6:\"mdhash\";s:32:\"5918dee2282afec27a7a8db69270684b\";s:8:\"filesize\";s:6:\"167181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1352120168\";s:6:\"mdhash\";s:32:\"feafdb0f3bbf3c05ff0ac6e7819ee293\";s:8:\"filesize\";s:6:\"167425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1350631571\";s:6:\"mdhash\";s:32:\"b9af4d78d3b5cac517eb366180876d41\";s:8:\"filesize\";s:6:\"167755\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1349463066\";s:6:\"mdhash\";s:32:\"9475265a6db49de132e502449d5dd5a5\";s:8:\"filesize\";s:6:\"167529\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1349353286\";s:6:\"mdhash\";s:32:\"e3cdda134788e2099f905fc144f94616\";s:8:\"filesize\";s:6:\"163330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1366377322\";s:6:\"mdhash\";s:32:\"38b97fb51f9c142ba72a1170e8787b4d\";s:8:\"filesize\";s:6:\"165078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1360354358\";s:6:\"mdhash\";s:32:\"afa09428bc15375c286dce88f39046dc\";s:8:\"filesize\";s:6:\"165009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1350629767\";s:6:\"mdhash\";s:32:\"227d9cd3ec8571aa319a4bdceba5ee07\";s:8:\"filesize\";s:6:\"165054\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1334080546\";s:6:\"mdhash\";s:32:\"a425d8a02a1d330db02c0811c5e24302\";s:8:\"filesize\";s:6:\"164324\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1316137003\";s:6:\"mdhash\";s:32:\"b63fd0da78504bfedead6d5085f59040\";s:8:\"filesize\";s:6:\"471679\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1311834128\";s:6:\"mdhash\";s:32:\"2c60f60ad556b136989d460b71258b92\";s:8:\"filesize\";s:6:\"470602\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1310430426\";s:6:\"mdhash\";s:32:\"1dc9da66c5a1d3665e80ef710e6d5491\";s:8:\"filesize\";s:6:\"470489\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1302456716\";s:6:\"mdhash\";s:32:\"553d25193b88e7b85304b36e21854297\";s:8:\"filesize\";s:6:\"470080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1300860667\";s:6:\"mdhash\";s:32:\"ca49a6e24473b509402311c78e53c18b\";s:8:\"filesize\";s:6:\"469395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295780643\";s:6:\"mdhash\";s:32:\"08ce0c2ecf630044a56aa4fcffef70ae\";s:8:\"filesize\";s:6:\"464575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294250152\";s:6:\"mdhash\";s:32:\"d904b8c0d67188c87649e29be48d75d5\";s:8:\"filesize\";s:6:\"464551\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"colorbox 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/colorbox/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499798042\";s:6:\"mdhash\";s:32:\"5d3fbfd4899a080da04e5ce0e998ffa3\";s:8:\"filesize\";s:7:\"1171670\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"colorbox 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/colorbox/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559602\";s:6:\"mdhash\";s:32:\"51d68fe0bf25a4c6b5a4d43adca337d2\";s:8:\"filesize\";s:6:\"165085\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523025,1500436620,1),('available_releases::context','a:11:{s:5:\"title\";s:7:\"Context\";s:10:\"short_name\";s:7:\"context\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1420570680\";s:6:\"mdhash\";s:32:\"74894fd36de656fd00dcd5f0cf4bd7b0\";s:8:\"filesize\";s:5:\"74029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1418341070\";s:6:\"mdhash\";s:32:\"9946cd622ba584de05597d85c2d70903\";s:8:\"filesize\";s:5:\"74008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1418330580\";s:6:\"mdhash\";s:32:\"c253abf7fee5787934c2f2f6fecf3d0c\";s:8:\"filesize\";s:5:\"74019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1412114933\";s:6:\"mdhash\";s:32:\"6da85f017a673e57152d0e0b6fe9082f\";s:8:\"filesize\";s:5:\"73996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1390931305\";s:6:\"mdhash\";s:32:\"a9ee5d6eb6c1d7980f4834788e5e20f0\";s:8:\"filesize\";s:5:\"72655\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1381976667\";s:6:\"mdhash\";s:32:\"0211b9782b18364623ac044f1aa39295\";s:8:\"filesize\";s:5:\"71341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1381891268\";s:6:\"mdhash\";s:32:\"4522891bcd393c93f0c00e396fc57d2d\";s:8:\"filesize\";s:5:\"71536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:19:\"context 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1380221057\";s:6:\"mdhash\";s:32:\"82c6b89c04b1bf7dc7936da6cb5a68f3\";s:8:\"filesize\";s:5:\"71377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1375065368\";s:6:\"mdhash\";s:32:\"098f672a1a9deff4d02af98c8cfe7314\";s:8:\"filesize\";s:5:\"71132\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1355879811\";s:6:\"mdhash\";s:32:\"1fb886ef64dcbf2a1d6baedae3516ccc\";s:8:\"filesize\";s:5:\"70788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1354819308\";s:6:\"mdhash\";s:32:\"7c0e563c681fbf716b7237181dd3b820\";s:8:\"filesize\";s:5:\"70554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1344786407\";s:6:\"mdhash\";s:32:\"a8cb1ff2d756fb28c2867efaf02f5a27\";s:8:\"filesize\";s:5:\"64762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1337490056\";s:6:\"mdhash\";s:32:\"9d3e3844698e647061d43cbab2c1b05a\";s:8:\"filesize\";s:5:\"66729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315543301\";s:6:\"mdhash\";s:32:\"c10187dbe386e3c3b12235efb83c4455\";s:8:\"filesize\";s:5:\"65147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298925068\";s:6:\"mdhash\";s:32:\"0707f1af392f0bf1cd210a8e638c9de6\";s:8:\"filesize\";s:5:\"63804\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1294089953\";s:6:\"mdhash\";s:32:\"38dd5fc8aef952598f4ef6420addc3b3\";s:8:\"filesize\";s:5:\"63251\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285617662\";s:6:\"mdhash\";s:32:\"e6df800804a2f30da2eb939ef298b033\";s:8:\"filesize\";s:5:\"63205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284683161\";s:6:\"mdhash\";s:32:\"083993e65701c32d428e2c7e15047b65\";s:8:\"filesize\";s:5:\"62143\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"context 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465425842\";s:6:\"mdhash\";s:32:\"6920e8b538b8e529bd0cd8dbe85c0143\";s:8:\"filesize\";s:5:\"74787\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523026,1500436620,1),('available_releases::course','a:11:{s:5:\"title\";s:6:\"Course\";s:10:\"short_name\";s:6:\"course\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/course\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:23:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"course 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/course/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/course-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1487351584\";s:6:\"mdhash\";s:32:\"800204628d7a4c8b2ed7aa15cbd17f39\";s:8:\"filesize\";s:6:\"119172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"course 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/course/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/course-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1476305639\";s:6:\"mdhash\";s:32:\"909e550c7725f79729b7201ab1029272\";s:8:\"filesize\";s:6:\"119895\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1468604639\";s:6:\"mdhash\";s:32:\"34172bfec8fc51c906f873014e9d2e97\";s:8:\"filesize\";s:6:\"118775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1462378139\";s:6:\"mdhash\";s:32:\"9e1a738b9c5226de8d0c580336b5bcb5\";s:8:\"filesize\";s:6:\"118294\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.7\";s:13:\"download_link\";s:0:\"\";s:4:\"date\";s:0:\"\";s:6:\"mdhash\";s:0:\"\";s:8:\"filesize\";s:0:\"\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1432824781\";s:6:\"mdhash\";s:32:\"757327583749e9a9eda767b8d9b1bf8c\";s:8:\"filesize\";s:6:\"115741\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1430486881\";s:6:\"mdhash\";s:32:\"5513c0c6335abf04906ccab13391e62a\";s:8:\"filesize\";s:6:\"115153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1420644780\";s:6:\"mdhash\";s:32:\"27aad65a9f4823a11db3ba4a13cd1983\";s:8:\"filesize\";s:6:\"114403\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1415151781\";s:6:\"mdhash\";s:32:\"d104a84cf1714b9f6349a5be853a2df6\";s:8:\"filesize\";s:6:\"114874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1403099928\";s:6:\"mdhash\";s:32:\"e439a3dfe5ba28916d06aa468843b994\";s:8:\"filesize\";s:6:\"110573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1395518957\";s:6:\"mdhash\";s:32:\"d7bd86a76f383583dc7b4733d0a32746\";s:8:\"filesize\";s:6:\"109742\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"course 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/course/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/course-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1387472605\";s:6:\"mdhash\";s:32:\"3a36424d8c05012f8971ab4b8e165a9e\";s:8:\"filesize\";s:6:\"110033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:18:\"course 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/course/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1386862411\";s:6:\"mdhash\";s:32:\"986d4b36b653fe8d82d6935d86f78316\";s:8:\"filesize\";s:6:\"110022\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"course 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/course/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1383882505\";s:6:\"mdhash\";s:32:\"04a8e7b1fc0ae1601313d26de12ae33d\";s:8:\"filesize\";s:6:\"110405\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"course 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/course/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1383868705\";s:6:\"mdhash\";s:32:\"a46dd386997a046cb1f8f7ef6589d944\";s:8:\"filesize\";s:6:\"110848\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"course 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/course/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1376585837\";s:6:\"mdhash\";s:32:\"42c2e07a7660a7826f7447a5fbc1afde\";s:8:\"filesize\";s:6:\"112656\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"course 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/course/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1371573952\";s:6:\"mdhash\";s:32:\"cbba835b805a1211510d82c83f3e5d26\";s:8:\"filesize\";s:6:\"110160\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"course 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/course/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1367603113\";s:6:\"mdhash\";s:32:\"e11aecc16477db4b68d96d7a9bbc9fa7\";s:8:\"filesize\";s:6:\"108904\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"course 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/course/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1364847918\";s:6:\"mdhash\";s:32:\"60ffadf993907ce25c14ea81e2409ca8\";s:8:\"filesize\";s:6:\"108431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"course 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/course/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1360963789\";s:6:\"mdhash\";s:32:\"47051547c9d9b159782bc60177c47b43\";s:8:\"filesize\";s:6:\"109149\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"course 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/course/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1352840758\";s:6:\"mdhash\";s:32:\"5691f8362f7067aec6148c96bc96c1e7\";s:8:\"filesize\";s:6:\"108209\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"course 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/course/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/course-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1350429666\";s:6:\"mdhash\";s:32:\"fa5294cc97fc404216901066ecd51fce\";s:8:\"filesize\";s:6:\"108463\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"course 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/course/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/course-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498064642\";s:6:\"mdhash\";s:32:\"a93281c1dcbb206a452c4623e1fa8925\";s:8:\"filesize\";s:6:\"120175\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523027,1500436620,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487053684\";s:6:\"mdhash\";s:32:\"149a825138993bde410a2cb823a716c2\";s:8:\"filesize\";s:6:\"440513\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523024,1500436620,1),('available_releases::date','a:11:{s:5:\"title\";s:4:\"Date\";s:10:\"short_name\";s:4:\"date\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:31:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-2.10-rc2\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc2\";s:7:\"version\";s:12:\"7.x-2.10-rc2\";s:3:\"tag\";s:12:\"7.x-2.10-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc2.tar.gz\";s:4:\"date\";s:10:\"1490783284\";s:6:\"mdhash\";s:32:\"2e59072e74cf1e180b5f159cea91639c\";s:8:\"filesize\";s:6:\"226485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc1\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc1\";s:7:\"version\";s:12:\"7.x-2.10-rc1\";s:3:\"tag\";s:12:\"7.x-2.10-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1461749740\";s:6:\"mdhash\";s:32:\"59079319cdaa7f96843c66a674bd6f96\";s:8:\"filesize\";s:6:\"226185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.10-beta1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.10-beta1\";s:7:\"version\";s:14:\"7.x-2.10-beta1\";s:3:\"tag\";s:14:\"7.x-2.10-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.10-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1452253139\";s:6:\"mdhash\";s:32:\"b6c7abde2995afb8a014cb590ac131ac\";s:8:\"filesize\";s:6:\"224719\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1441727339\";s:6:\"mdhash\";s:32:\"5d76a5e020d3926aa3c516e426678700\";s:8:\"filesize\";s:6:\"224512\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.9-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.9-rc1\";s:7:\"version\";s:11:\"7.x-2.9-rc1\";s:3:\"tag\";s:11:\"7.x-2.9-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.9-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-rc1.tar.gz\";s:4:\"date\";s:10:\"1427454181\";s:6:\"mdhash\";s:32:\"5cc051772c39d76bb0a2bfd8a5f7c775\";s:8:\"filesize\";s:6:\"224454\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta2\";s:7:\"version\";s:13:\"7.x-2.9-beta2\";s:3:\"tag\";s:13:\"7.x-2.9-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta2.tar.gz\";s:4:\"date\";s:10:\"1417718873\";s:6:\"mdhash\";s:32:\"e81616832e6ef58be039640a4fe35390\";s:8:\"filesize\";s:6:\"223732\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta1\";s:7:\"version\";s:13:\"7.x-2.9-beta1\";s:3:\"tag\";s:13:\"7.x-2.9-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta1.tar.gz\";s:4:\"date\";s:10:\"1415483880\";s:6:\"mdhash\";s:32:\"e03390f28efe81e7e56180651f4bb76a\";s:8:\"filesize\";s:6:\"222344\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha2\";s:7:\"version\";s:14:\"7.x-2.9-alpha2\";s:3:\"tag\";s:14:\"7.x-2.9-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha2.tar.gz\";s:4:\"date\";s:10:\"1411597754\";s:6:\"mdhash\";s:32:\"2f71a9bc1dc8a13c1607ca2dc74a87b7\";s:8:\"filesize\";s:6:\"218373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha1\";s:7:\"version\";s:14:\"7.x-2.9-alpha1\";s:3:\"tag\";s:14:\"7.x-2.9-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha1.tar.gz\";s:4:\"date\";s:10:\"1406829527\";s:6:\"mdhash\";s:32:\"3e6a694c86989c61d9cd5cf4cf582bc5\";s:8:\"filesize\";s:6:\"218628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1406653427\";s:6:\"mdhash\";s:32:\"e0d07255a60e3a7716db5902767e08d1\";s:8:\"filesize\";s:6:\"218587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.8-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta2\";s:7:\"version\";s:13:\"7.x-2.8-beta2\";s:3:\"tag\";s:13:\"7.x-2.8-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1406317428\";s:6:\"mdhash\";s:32:\"3ba190c30aa3833500af8505c9951121\";s:8:\"filesize\";s:6:\"217910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta1\";s:7:\"version\";s:13:\"7.x-2.8-beta1\";s:3:\"tag\";s:13:\"7.x-2.8-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1403366927\";s:6:\"mdhash\";s:32:\"cf89ddee77f567db0157124e1651246d\";s:8:\"filesize\";s:6:\"217411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1387659204\";s:6:\"mdhash\";s:32:\"24e11f82623a442305c30cb6887d77f9\";s:8:\"filesize\";s:6:\"216320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1344850024\";s:6:\"mdhash\";s:32:\"cc22fe50289aea79b3b9b240baba0111\";s:8:\"filesize\";s:6:\"213301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1334835098\";s:6:\"mdhash\";s:32:\"56fa435f5c8831655ddf3f4fffe2b97a\";s:8:\"filesize\";s:6:\"211078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1334828498\";s:6:\"mdhash\";s:32:\"2c152c82d8cc55e090cba40a46742465\";s:8:\"filesize\";s:6:\"210999\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1333273246\";s:6:\"mdhash\";s:32:\"3290ee3891157384b606633dda02fe19\";s:8:\"filesize\";s:6:\"210464\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1330089942\";s:6:\"mdhash\";s:32:\"652323d741226212057e8f58906c7d6a\";s:8:\"filesize\";s:6:\"207223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1329214840\";s:6:\"mdhash\";s:32:\"08eab951b7096b1edcc1cdff52b3c9cc\";s:8:\"filesize\";s:6:\"208349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1328104249\";s:6:\"mdhash\";s:32:\"60e5d591d567e823141650db8290394b\";s:8:\"filesize\";s:6:\"208479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1324415138\";s:6:\"mdhash\";s:32:\"553e622be1be5c28b59c088f8b890872\";s:8:\"filesize\";s:6:\"203112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1322563238\";s:6:\"mdhash\";s:32:\"02cf9eff83b7203b70c311daca9c0e8c\";s:8:\"filesize\";s:6:\"204364\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1314097619\";s:6:\"mdhash\";s:32:\"832ce7f175146004c9976b9191d37f45\";s:8:\"filesize\";s:6:\"195013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1303821715\";s:6:\"mdhash\";s:32:\"d7de2d8ece4098fe8ac9ce6e5eb30270\";s:8:\"filesize\";s:6:\"169553\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303818715\";s:6:\"mdhash\";s:32:\"2a2c10cb87eed66b0174283f9fc607c4\";s:8:\"filesize\";s:6:\"169563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299682267\";s:6:\"mdhash\";s:32:\"c5ab4e67bb59da279c0da9b10ed9725e\";s:8:\"filesize\";s:6:\"166837\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295529407\";s:6:\"mdhash\";s:32:\"0ed3d8939eeb72e7a3bcb537ed4d21ff\";s:8:\"filesize\";s:6:\"268480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1295353339\";s:6:\"mdhash\";s:32:\"6534800ffd881bab8721172100039111\";s:8:\"filesize\";s:6:\"268378\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:16:\"date 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490712482\";s:6:\"mdhash\";s:32:\"d1b92438376c95b25e429036c4dd3ef9\";s:8:\"filesize\";s:6:\"226507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"date-7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490710682\";s:6:\"mdhash\";s:32:\"fac06f792a558a00f0bc1b49b43469fd\";s:8:\"filesize\";s:6:\"166214\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523027,1500436620,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.42-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.41-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.40-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.39-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.38-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.37-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.36-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.35-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.34-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.33-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.32-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.31-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.30-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.29-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.28-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.27-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.26-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.25-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.24-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.23-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.22-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499966043\";s:6:\"mdhash\";s:32:\"f769ca3a41b3e188f3d1b148388939bf\";s:8:\"filesize\";s:7:\"3278048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523022,1500436620,1),('available_releases::entity','a:11:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:30:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1458222242\";s:6:\"mdhash\";s:32:\"f4787da0230869cc7420b6cea78212e5\";s:8:\"filesize\";s:6:\"121426\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1424876581\";s:6:\"mdhash\";s:32:\"a778a5c82eaddac50e40a3dd0a3ebac6\";s:8:\"filesize\";s:6:\"120850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396975451\";s:6:\"mdhash\";s:32:\"04b90c27b2f1627d0a218006291afa9f\";s:8:\"filesize\";s:6:\"121011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395335056\";s:6:\"mdhash\";s:32:\"d026208f7b433b9b2dd5fdc705396d0e\";s:8:\"filesize\";s:6:\"120371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1389210804\";s:6:\"mdhash\";s:32:\"92bb78da6928049c0d9bdea76629416b\";s:8:\"filesize\";s:6:\"119279\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1376493705\";s:6:\"mdhash\";s:32:\"c87e0ce3708a26a3045c36b8ad15f61c\";s:8:\"filesize\";s:6:\"115225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1367338217\";s:6:\"mdhash\";s:32:\"1f23d1bee48287f1c53f8d3f1391187a\";s:8:\"filesize\";s:6:\"110514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1356471145\";s:6:\"mdhash\";s:32:\"f072eda34e284561bb55cfae0dbe30db\";s:8:\"filesize\";s:6:\"110082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337981155\";s:6:\"mdhash\";s:32:\"267c552757d1fa8bbe17c624a7ec4c3f\";s:8:\"filesize\";s:6:\"106628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335099086\";s:6:\"mdhash\";s:32:\"587d7b6a088a195722fe7d11b1c9c8fa\";s:8:\"filesize\";s:6:\"105993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1320914735\";s:6:\"mdhash\";s:32:\"daa6dff009d00756f86b80b31af32c77\";s:8:\"filesize\";s:5:\"95227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1319558131\";s:6:\"mdhash\";s:32:\"0d98c2c361e5936593b8365614fa04e3\";s:8:\"filesize\";s:5:\"83206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1310486817\";s:6:\"mdhash\";s:32:\"016f48d7ecee0da62ae1a8f6cf26a656\";s:8:\"filesize\";s:5:\"77197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1308239815\";s:6:\"mdhash\";s:32:\"a965dc47b0b8afc2f75b69be31e767d0\";s:8:\"filesize\";s:5:\"75840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1300731067\";s:6:\"mdhash\";s:32:\"317ec15a5f9d90e7613b52f20a7e9a82\";s:8:\"filesize\";s:5:\"71258\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1298285230\";s:6:\"mdhash\";s:32:\"9598452892a90a3b098d3152334aeb85\";s:8:\"filesize\";s:5:\"72722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1294170388\";s:6:\"mdhash\";s:32:\"64588b70e6773d146e0bf4267a90a270\";s:8:\"filesize\";s:5:\"68465\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1293135097\";s:6:\"mdhash\";s:32:\"53325d82ab40c0dc325ccb59d0bca3e6\";s:8:\"filesize\";s:5:\"65300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1292941950\";s:6:\"mdhash\";s:32:\"93210f6c3b3b19258f217a64e6bd56a8\";s:8:\"filesize\";s:5:\"65305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1291297866\";s:6:\"mdhash\";s:32:\"cb05413449da98da415d40e3520f0f6d\";s:8:\"filesize\";s:5:\"61957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1290197444\";s:6:\"mdhash\";s:32:\"a1646f5c1933772feb76e2dd31d6324b\";s:8:\"filesize\";s:5:\"60670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286786762\";s:6:\"mdhash\";s:32:\"2e53243fdf0fae60217dd7916d982e47\";s:8:\"filesize\";s:5:\"54660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1280228111\";s:6:\"mdhash\";s:32:\"5d88abea4508ea3561332f466746ab3d\";s:8:\"filesize\";s:5:\"47315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1273607706\";s:6:\"mdhash\";s:32:\"13348a08070605b3742d4fad7856d76a\";s:8:\"filesize\";s:5:\"45331\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1268336409\";s:6:\"mdhash\";s:32:\"0e093c0ded92b23a4e628a7953a198dc\";s:8:\"filesize\";s:5:\"41614\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1266851413\";s:6:\"mdhash\";s:32:\"d347ca5528b9ed9d132b492cb4b7b2af\";s:8:\"filesize\";s:5:\"40746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1263231309\";s:6:\"mdhash\";s:32:\"be9a91bd68b59480bdca9e8a6d6ad932\";s:8:\"filesize\";s:5:\"31954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1260807922\";s:6:\"mdhash\";s:32:\"858c5a1b255f5316737dbbd3b562d825\";s:8:\"filesize\";s:5:\"29154\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"entity 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1489006983\";s:6:\"mdhash\";s:32:\"896905b4ea1cfc180d6f03bc5ab44378\";s:8:\"filesize\";s:6:\"124235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523028,1500436620,1),('available_releases::entityreference','a:11:{s:5:\"title\";s:16:\"Entity reference\";s:10:\"short_name\";s:15:\"entityreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1494450485\";s:6:\"mdhash\";s:32:\"e800309d10d254bd8e80770beb17f4f3\";s:8:\"filesize\";s:5:\"43171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1474306739\";s:6:\"mdhash\";s:32:\"ef8f161721709dedcd1babc18b033006\";s:8:\"filesize\";s:5:\"40840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1384973004\";s:6:\"mdhash\";s:32:\"604843bda17acbd927f71f8cf8a74a48\";s:8:\"filesize\";s:5:\"40371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1353230808\";s:6:\"mdhash\";s:32:\"81f458c4b41b61f405af905d2fd8a5ec\";s:8:\"filesize\";s:5:\"36787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1348565045\";s:6:\"mdhash\";s:32:\"648a462e0bc442533debbd0b1b98e665\";s:8:\"filesize\";s:5:\"32328\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1348486666\";s:6:\"mdhash\";s:32:\"b1bdad67159df7cfa1edbc71ca1f15be\";s:8:\"filesize\";s:5:\"31223\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1338411956\";s:6:\"mdhash\";s:32:\"6f07ffafd42ec5fa9b76d398831c9956\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338371757\";s:6:\"mdhash\";s:32:\"35336e7b27b1755db8464d786167081b\";s:8:\"filesize\";s:5:\"30494\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332279946\";s:6:\"mdhash\";s:32:\"83f006ab5235890efc2b3986f8dcdfe3\";s:8:\"filesize\";s:5:\"24495\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1330297849\";s:6:\"mdhash\";s:32:\"1508867497f54a68acb9f92ca4cddcfe\";s:8:\"filesize\";s:5:\"24228\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329149138\";s:6:\"mdhash\";s:32:\"7d5566cd6425d2dca4d0597984726eb8\";s:8:\"filesize\";s:5:\"24005\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1324748139\";s:6:\"mdhash\";s:32:\"397fa7a810501fbb22390c8fb8ac10ef\";s:8:\"filesize\";s:5:\"19799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1322214940\";s:6:\"mdhash\";s:32:\"41b5dd4ed7115763e5b30c41a9a07c3d\";s:8:\"filesize\";s:5:\"19792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1316702804\";s:6:\"mdhash\";s:32:\"a056dc3e075e9b0783cb1addaad5086e\";s:8:\"filesize\";s:5:\"18948\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1316171203\";s:6:\"mdhash\";s:32:\"0f5a3e9f3f998ed12d7c6bf1fd864274\";s:8:\"filesize\";s:5:\"17761\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1313085717\";s:6:\"mdhash\";s:32:\"d17373159f2c745be04bf3ea2df7632d\";s:8:\"filesize\";s:5:\"10847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"entityreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1494943085\";s:6:\"mdhash\";s:32:\"3b31310e19437100905b2625d32a5c97\";s:8:\"filesize\";s:5:\"43242\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523029,1500436620,1),('available_releases::features','a:11:{s:5:\"title\";s:8:\"Features\";s:10:\"short_name\";s:8:\"features\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/features\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:35:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"features 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/features/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/features-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1461011639\";s:6:\"mdhash\";s:32:\"5641e5545020932570aed464fbaebf6a\";s:8:\"filesize\";s:5:\"97102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1460560739\";s:6:\"mdhash\";s:32:\"27fbaf1a31c83f0d18fbe114c2f3fc8a\";s:8:\"filesize\";s:5:\"97030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1458744539\";s:6:\"mdhash\";s:32:\"ad38d9cf2588bdd7821fc662217d6763\";s:8:\"filesize\";s:5:\"96932\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1444829339\";s:6:\"mdhash\";s:32:\"dcfcc0cede1d281c23346662029015a5\";s:8:\"filesize\";s:5:\"97292\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1435165980\";s:6:\"mdhash\";s:32:\"3a41eba4ca26f0d3a0e00e97dd8722ba\";s:8:\"filesize\";s:5:\"96581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.6-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.6-rc1\";s:7:\"version\";s:11:\"7.x-2.6-rc1\";s:3:\"tag\";s:11:\"7.x-2.6-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.6-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1433533080\";s:6:\"mdhash\";s:32:\"ac68a860da89bd8a54f0cb5b7a2668ce\";s:8:\"filesize\";s:5:\"96592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1428943813\";s:6:\"mdhash\";s:32:\"c6fea06d61fe6f4c9d1943a5fcb99f61\";s:8:\"filesize\";s:5:\"92795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1425500581\";s:6:\"mdhash\";s:32:\"af6f0fd6117b5c0ff15ef7c1923d116f\";s:8:\"filesize\";s:5:\"92229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1420492080\";s:6:\"mdhash\";s:32:\"562c8c81a512e45d5fb04b4ee33858bf\";s:8:\"filesize\";s:5:\"92013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1407338927\";s:6:\"mdhash\";s:32:\"1eaa764a12b7ad846ab3ffa70512c567\";s:8:\"filesize\";s:5:\"92041\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1406655227\";s:6:\"mdhash\";s:32:\"4e95d6671dbdaa0e8c8bd1ce9cf04ead\";s:8:\"filesize\";s:5:\"92052\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1382018758\";s:6:\"mdhash\";s:32:\"2ce7c8cb75d3fc57da069721f6a9a052\";s:8:\"filesize\";s:5:\"90313\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.0-rc5\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc5\";s:7:\"version\";s:11:\"7.x-2.0-rc5\";s:3:\"tag\";s:11:\"7.x-2.0-rc5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1381157303\";s:6:\"mdhash\";s:32:\"faf76e87122ff5140a7a8300c96e8389\";s:8:\"filesize\";s:5:\"90231\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc4\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc4\";s:7:\"version\";s:11:\"7.x-2.0-rc4\";s:3:\"tag\";s:11:\"7.x-2.0-rc4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1380815748\";s:6:\"mdhash\";s:32:\"71aa54041d07e2b773efb692c2d13476\";s:8:\"filesize\";s:5:\"90706\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc3\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc3\";s:7:\"version\";s:11:\"7.x-2.0-rc3\";s:3:\"tag\";s:11:\"7.x-2.0-rc3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1377548845\";s:6:\"mdhash\";s:32:\"d92bf152081ba92b2c352b0164198e17\";s:8:\"filesize\";s:5:\"88117\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1375464067\";s:6:\"mdhash\";s:32:\"63db49c3d8285277b787afa237e96454\";s:8:\"filesize\";s:5:\"87769\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1369094412\";s:6:\"mdhash\";s:32:\"303cd7d10ec0a84e500fd1693d2d3fd0\";s:8:\"filesize\";s:5:\"85917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:22:\"features 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1364589018\";s:6:\"mdhash\";s:32:\"d889b7006668c261294e58a31b40c53e\";s:8:\"filesize\";s:5:\"85069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"features 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1352395006\";s:6:\"mdhash\";s:32:\"654e54d22922d4cdbdf1b78be19c5cda\";s:8:\"filesize\";s:5:\"83547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:23:\"features 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1351907522\";s:6:\"mdhash\";s:32:\"f588de7611e09d4460a6cd92bf133200\";s:8:\"filesize\";s:5:\"83533\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"features 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1343240292\";s:6:\"mdhash\";s:32:\"00984913badb19fee69d3ee0ac27eee8\";s:8:\"filesize\";s:5:\"72114\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1339680981\";s:6:\"mdhash\";s:32:\"bb8ac718377cd098474e37f202181b03\";s:8:\"filesize\";s:5:\"71806\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1334345807\";s:6:\"mdhash\";s:32:\"0b559938e0aa604729eb2b2fb4840f1b\";s:8:\"filesize\";s:5:\"69926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332022247\";s:6:\"mdhash\";s:32:\"a4f24fe0f0ac5e099b18c667253fa8bc\";s:8:\"filesize\";s:5:\"68737\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1325627143\";s:6:\"mdhash\";s:32:\"d65f3131ad8d397bd5437fe4ab7dba0a\";s:8:\"filesize\";s:5:\"68900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1324573544\";s:6:\"mdhash\";s:32:\"10053380081d77c6e1cc107ea17bd81e\";s:8:\"filesize\";s:5:\"68894\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1316565919\";s:6:\"mdhash\";s:32:\"fbce2ff07b59723d6688ceeac97a967a\";s:8:\"filesize\";s:5:\"67007\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1308598915\";s:6:\"mdhash\";s:32:\"20db76b147faf56cc2c1c413cf187db3\";s:8:\"filesize\";s:5:\"63951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1302049346\";s:6:\"mdhash\";s:32:\"333424ca64d3278cb51319b842e218b2\";s:8:\"filesize\";s:5:\"63505\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298073121\";s:6:\"mdhash\";s:32:\"a5a58e87c3e18dd77ae0e2fb512531d1\";s:8:\"filesize\";s:5:\"68372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1285791063\";s:6:\"mdhash\";s:32:\"09651bc4edb61969d1caa23c76c2df00\";s:8:\"filesize\";s:5:\"67846\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285602662\";s:6:\"mdhash\";s:32:\"b7bcfb6b3a7ac54cac600153642c7aab\";s:8:\"filesize\";s:5:\"67869\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284158807\";s:6:\"mdhash\";s:32:\"829c91a7111886b3f53278fd44346ec7\";s:8:\"filesize\";s:5:\"67845\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"features 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1473863339\";s:6:\"mdhash\";s:32:\"5ac1876694e412976d22f572294de436\";s:8:\"filesize\";s:5:\"97121\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"features 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578130\";s:6:\"mdhash\";s:32:\"baaa489bb72393a5168683c4c27f29dc\";s:8:\"filesize\";s:5:\"73847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523030,1500436620,1),('available_releases::field_collection','a:11:{s:5:\"title\";s:16:\"Field collection\";s:10:\"short_name\";s:16:\"field_collection\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1454338739\";s:6:\"mdhash\";s:32:\"0f51a97383cd50f72a2ecd950cce5e1a\";s:8:\"filesize\";s:5:\"40461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1445529539\";s:6:\"mdhash\";s:32:\"bb00b6d371b096732071ad7999223c5a\";s:8:\"filesize\";s:5:\"40443\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1445282939\";s:6:\"mdhash\";s:32:\"99910b78ea9fdda42a746089b579152c\";s:8:\"filesize\";s:5:\"40406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1415122380\";s:6:\"mdhash\";s:32:\"50e687acf3779b987bacde5ad047fb46\";s:8:\"filesize\";s:5:\"38360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1394731105\";s:6:\"mdhash\";s:32:\"8678d50f7248d4830a615f451c623201\";s:8:\"filesize\";s:5:\"36080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1356475964\";s:6:\"mdhash\";s:32:\"e881931a5e0fea9ff844385c80743a54\";s:8:\"filesize\";s:5:\"33162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1333382446\";s:6:\"mdhash\";s:32:\"591e8d3bcc5f0af52710680529308d8e\";s:8:\"filesize\";s:5:\"26573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1327376442\";s:6:\"mdhash\";s:32:\"ef0e3a56c77e50a59f0ae965d70b58b3\";s:8:\"filesize\";s:5:\"25613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1313670125\";s:6:\"mdhash\";s:32:\"b4ee245a67c07332b3b2fa2d83ba7e1a\";s:8:\"filesize\";s:5:\"21012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1296573488\";s:6:\"mdhash\";s:32:\"7c644203e32cc8c6d2d1bd5400b5c361\";s:8:\"filesize\";s:5:\"17272\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"field_collection 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/field_collection/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481300583\";s:6:\"mdhash\";s:32:\"cedb190a2c89f6280843a7672094e0bc\";s:8:\"filesize\";s:5:\"51053\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523030,1500436620,1),('available_releases::field_formatter_class','a:11:{s:5:\"title\";s:21:\"Field Formatter Class\";s:10:\"short_name\";s:21:\"field_formatter_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:52:\"https://www.drupal.org/project/field_formatter_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361374878\";s:6:\"mdhash\";s:32:\"fcddd9d46e482811643a4340ccda7f13\";s:8:\"filesize\";s:4:\"8470\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1336422355\";s:6:\"mdhash\";s:32:\"404509b98289aee537d744f32c9faebf\";s:8:\"filesize\";s:4:\"8124\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:33:\"field_formatter_class 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1335133878\";s:6:\"mdhash\";s:32:\"e0fae9021ed172082fc4bf1ab573dbb1\";s:8:\"filesize\";s:4:\"8123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:33:\"field_formatter_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578834\";s:6:\"mdhash\";s:32:\"11c5ffa86c4099746ad6a4076b2f67ed\";s:8:\"filesize\";s:4:\"8477\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523031,1500436620,1),('available_releases::field_formatter_settings','a:11:{s:5:\"title\";s:24:\"Field formatter settings\";s:10:\"short_name\";s:24:\"field_formatter_settings\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:55:\"https://www.drupal.org/project/field_formatter_settings\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378741904\";s:6:\"mdhash\";s:32:\"d7bc7a84011a904f945b4fc54ff6eec0\";s:8:\"filesize\";s:4:\"9545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.0\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1345588632\";s:6:\"mdhash\";s:32:\"9a567846d2b71bd2385b420452218b68\";s:8:\"filesize\";s:4:\"9457\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:38:\"field_formatter_settings 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:78:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:83:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1291403467\";s:6:\"mdhash\";s:32:\"4859595ca1e12604b9a0cb05a66c20ab\";s:8:\"filesize\";s:4:\"7878\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:36:\"field_formatter_settings 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.x-dev\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1437594539\";s:6:\"mdhash\";s:32:\"d5a7bb88068056c117889b1fe58aa536\";s:8:\"filesize\";s:4:\"9622\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523031,1500436620,1),('available_releases::field_group','a:11:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1401918527\";s:6:\"mdhash\";s:32:\"fa268e0c23b2af31ed560aa03a986cf1\";s:8:\"filesize\";s:5:\"51303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1380124361\";s:6:\"mdhash\";s:32:\"6ea6a2b8a15c9c68d981f5b0ae6f881c\";s:8:\"filesize\";s:5:\"50593\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1377806210\";s:6:\"mdhash\";s:32:\"ea1b1af0b09f7578cffc261c8c5203df\";s:8:\"filesize\";s:5:\"49436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1319051133\";s:6:\"mdhash\";s:32:\"4f02e7b10aff66e3bcdae002d6b80ec6\";s:8:\"filesize\";s:5:\"43065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1306266416\";s:6:\"mdhash\";s:32:\"5f549fbc7cbfa575a11a9d705a3df597\";s:8:\"filesize\";s:5:\"33471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1300283167\";s:6:\"mdhash\";s:32:\"959768b52b8d4c04be0e8f8e93f4af1b\";s:8:\"filesize\";s:5:\"32537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1295392936\";s:6:\"mdhash\";s:32:\"aaa22e6444d2377e9673e5cfd6f21095\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578862\";s:6:\"mdhash\";s:32:\"3ff6c75931a1668be98876378b7c2ebf\";s:8:\"filesize\";s:5:\"41104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1495281183\";s:6:\"mdhash\";s:32:\"fecf1de862c9933f9669961b9b7ad781\";s:8:\"filesize\";s:5:\"51806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523032,1500436620,1),('available_releases::field_slideshow','a:11:{s:5:\"title\";s:15:\"Field Slideshow\";s:10:\"short_name\";s:15:\"field_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:19:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.81\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.81\";s:7:\"version\";s:8:\"7.x-1.81\";s:3:\"tag\";s:8:\"7.x-1.81\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"81\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.81\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.81.tar.gz\";s:4:\"date\";s:10:\"1359010311\";s:6:\"mdhash\";s:32:\"9d318ebe3b2ca537e297b472f93e60b6\";s:8:\"filesize\";s:5:\"19352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1352716302\";s:6:\"mdhash\";s:32:\"34a25cf50d7d3cccf3dc9ac965fb554c\";s:8:\"filesize\";s:5:\"19180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1349242272\";s:6:\"mdhash\";s:32:\"c504eaecb53ea7d7f7f137f20def73b9\";s:8:\"filesize\";s:5:\"18612\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1328169943\";s:6:\"mdhash\";s:32:\"57103ff3118d9e9333b2d1303f485c27\";s:8:\"filesize\";s:5:\"16567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1324645840\";s:6:\"mdhash\";s:32:\"b36861cc5dc7d2fb88fdc91c949f5a9d\";s:8:\"filesize\";s:5:\"16111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1324567840\";s:6:\"mdhash\";s:32:\"15975c7b7693894d605d8ba6c3bd2959\";s:8:\"filesize\";s:5:\"16023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1324469442\";s:6:\"mdhash\";s:32:\"ee3a5cd2ce7d7602f056f667e6300bc0\";s:8:\"filesize\";s:5:\"16029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1314689520\";s:6:\"mdhash\";s:32:\"3d7a8a65b5354c83da834ce9f0724935\";s:8:\"filesize\";s:5:\"22573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1305725516\";s:6:\"mdhash\";s:32:\"e8f9ece040fc734fdac766d596259893\";s:8:\"filesize\";s:5:\"21537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1300986068\";s:6:\"mdhash\";s:32:\"0bbc3fefe3be61b961786b3b707a6166\";s:8:\"filesize\";s:5:\"18922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1298562419\";s:6:\"mdhash\";s:32:\"908eb7b803a81100368f3adf3bb614fb\";s:8:\"filesize\";s:5:\"18377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1297969529\";s:6:\"mdhash\";s:32:\"cd30811763163cbbee4fe41f7ae1865f\";s:8:\"filesize\";s:5:\"17659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1296401595\";s:6:\"mdhash\";s:32:\"8ec7d4c0ad55e77e879486d1d8db4b92\";s:8:\"filesize\";s:5:\"17010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295297810\";s:6:\"mdhash\";s:32:\"6204eb24207ef6f4e144787b75cb4e37\";s:8:\"filesize\";s:5:\"16554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294748510\";s:6:\"mdhash\";s:32:\"90e75b26900092834be207b5129374e7\";s:8:\"filesize\";s:5:\"16061\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1427028481\";s:6:\"mdhash\";s:32:\"a21501069a80cd2446e04ddd1aecff8d\";s:8:\"filesize\";s:5:\"20133\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578963\";s:6:\"mdhash\";s:32:\"e5874953303cfd31e9c8a6d58e18f709\";s:8:\"filesize\";s:5:\"19406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523032,1500436620,1),('available_releases::flexslider','a:11:{s:5:\"title\";s:11:\"Flex Slider\";s:10:\"short_name\";s:10:\"flexslider\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1438285139\";s:6:\"mdhash\";s:32:\"c637c53352d34961d6413c8ac04ebf87\";s:8:\"filesize\";s:7:\"3977507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378663044\";s:6:\"mdhash\";s:32:\"a8b4f9b9740ab9d41a9043b1ea7361aa\";s:8:\"filesize\";s:7:\"3977501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1376925141\";s:6:\"mdhash\";s:32:\"8f92257ca4e8baf7a6743a4bcf8738da\";s:8:\"filesize\";s:7:\"3975729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362783811\";s:6:\"mdhash\";s:32:\"cb88bc862e89af0980839962c4f90a78\";s:8:\"filesize\";s:7:\"8366543\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337289957\";s:6:\"mdhash\";s:32:\"e10d32bcb407d080319d1c85e93cb3f5\";s:8:\"filesize\";s:5:\"26069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333369556\";s:6:\"mdhash\";s:32:\"e5b228317528e962c633a508a56fcab7\";s:8:\"filesize\";s:5:\"25910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333216546\";s:6:\"mdhash\";s:32:\"cdf482ecf2684c4d63f51242ec815a7c\";s:8:\"filesize\";s:5:\"25930\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1332764150\";s:6:\"mdhash\";s:32:\"4fe1003a1fcfb8d088cc6e402c2bc5bb\";s:8:\"filesize\";s:5:\"26001\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1332702357\";s:6:\"mdhash\";s:32:\"058b01b76f42dcf9c075036036c4b62d\";s:8:\"filesize\";s:5:\"25855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487024583\";s:6:\"mdhash\";s:32:\"191e55868a7a3a0c9f2f6024b93ae83f\";s:8:\"filesize\";s:7:\"3976557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1446839939\";s:6:\"mdhash\";s:32:\"ed882b54ea61dc7ad370c2f3ea890e6b\";s:8:\"filesize\";s:5:\"26679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523033,1500436620,1),('available_releases::follow','a:11:{s:5:\"title\";s:6:\"Follow\";s:10:\"short_name\";s:6:\"follow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/follow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:21:\"follow 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/follow/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/follow-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1366924811\";s:6:\"mdhash\";s:32:\"f694c41d16d6185fa76d2e255bada18e\";s:8:\"filesize\";s:6:\"454741\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"follow 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/follow/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/follow-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1319736332\";s:6:\"mdhash\";s:32:\"3fa918904b2ee61e6ca262dcfd5525f9\";s:8:\"filesize\";s:5:\"75517\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:18:\"follow 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/follow/releases/7.x-2.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/follow-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380579836\";s:6:\"mdhash\";s:32:\"aa415cf3bc5b28ae400857be1cbf6444\";s:8:\"filesize\";s:6:\"455094\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"follow 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/follow/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/follow-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380579843\";s:6:\"mdhash\";s:32:\"4cfc1be8eff51734b84dbc8f4cf2df66\";s:8:\"filesize\";s:6:\"363405\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523033,1500436620,1),('available_releases::fontawesome','a:11:{s:5:\"title\";s:18:\"Font Awesome Icons\";s:10:\"short_name\";s:11:\"fontawesome\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1445924949\";s:6:\"mdhash\";s:32:\"0aa9c4b81233eb862e50e9225940628c\";s:8:\"filesize\";s:5:\"15693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1445576347\";s:6:\"mdhash\";s:32:\"500080050a48115712a1cba8a3e6fd24\";s:8:\"filesize\";s:5:\"15409\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1420873981\";s:6:\"mdhash\";s:32:\"d05dde71a5a5bb28f62c6c3842b3f3c6\";s:8:\"filesize\";s:5:\"15068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1445571540\";s:6:\"mdhash\";s:32:\"bc4cd43e2c75c5578ddcc32984b4210b\";s:8:\"filesize\";s:5:\"15072\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1420870981\";s:6:\"mdhash\";s:32:\"f12aaca6b7087a392c4e17cb96a390ee\";s:8:\"filesize\";s:5:\"14233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1391844804\";s:6:\"mdhash\";s:32:\"a4d10ba4248da06e6f48f7c4a2b48f0b\";s:8:\"filesize\";s:5:\"12458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1476102239\";s:6:\"mdhash\";s:32:\"2de8b54673866ddd10027a1d8a7b8d4d\";s:8:\"filesize\";s:5:\"11873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420869181\";s:6:\"mdhash\";s:32:\"7e06a4a3a7655a7944670942987ef772\";s:8:\"filesize\";s:5:\"14236\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523034,1500436620,1),('available_releases::i18n','a:11:{s:5:\"title\";s:20:\"Internationalization\";s:10:\"short_name\";s:4:\"i18n\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/i18n\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:34:{s:8:\"7.x-1.18\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.18\";s:7:\"version\";s:8:\"7.x-1.18\";s:3:\"tag\";s:8:\"7.x-1.18\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.18.tar.gz\";s:4:\"date\";s:10:\"1497704042\";s:6:\"mdhash\";s:32:\"e497647e0f4f8e53bfcfc3ff7cd3b5d7\";s:8:\"filesize\";s:6:\"158805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.17\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.17\";s:7:\"version\";s:8:\"7.x-1.17\";s:3:\"tag\";s:8:\"7.x-1.17\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1492537742\";s:6:\"mdhash\";s:32:\"82b1b4a5734383ebfa3e19dbafd12cd7\";s:8:\"filesize\";s:6:\"158762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.16\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.16\";s:7:\"version\";s:8:\"7.x-1.16\";s:3:\"tag\";s:8:\"7.x-1.16\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1492535643\";s:6:\"mdhash\";s:32:\"b322c08e58b0116332617faa8d38cba7\";s:8:\"filesize\";s:6:\"158373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.15\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.15\";s:7:\"version\";s:8:\"7.x-1.15\";s:3:\"tag\";s:8:\"7.x-1.15\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1485834788\";s:6:\"mdhash\";s:32:\"43ad0d8abda83139ab231add02e746a3\";s:8:\"filesize\";s:6:\"157783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.14\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.14\";s:7:\"version\";s:8:\"7.x-1.14\";s:3:\"tag\";s:8:\"7.x-1.14\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1477154940\";s:6:\"mdhash\";s:32:\"51a67e9543afc1b901e7b34f41ed46f5\";s:8:\"filesize\";s:6:\"147525\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1430999882\";s:6:\"mdhash\";s:32:\"9ba72bcc87f3eed9bef6f2eb38ae474d\";s:8:\"filesize\";s:6:\"146305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1422286980\";s:6:\"mdhash\";s:32:\"c1d7460ef3b7ee18b0e7788d98ba91be\";s:8:\"filesize\";s:6:\"145997\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1397666962\";s:6:\"mdhash\";s:32:\"b7949e640740e34be4be15a22281c5cf\";s:8:\"filesize\";s:6:\"144606\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1377069697\";s:6:\"mdhash\";s:32:\"8ade3f3fc2e740ee3c5eae949e48eedf\";s:8:\"filesize\";s:6:\"142894\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1373385355\";s:6:\"mdhash\";s:32:\"eb3b820b05203f790cc4e42ba109ce06\";s:8:\"filesize\";s:6:\"142609\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1358075002\";s:6:\"mdhash\";s:32:\"6b2d3d4df7ebe6bc6392699c4c95b5b4\";s:8:\"filesize\";s:6:\"140957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341236501\";s:6:\"mdhash\";s:32:\"14a8e0cc7596ed9744b2e2d62f67d6f2\";s:8:\"filesize\";s:6:\"138498\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1340225780\";s:6:\"mdhash\";s:32:\"0eeb8b2d91ecc9ce1e1d6df6614f5350\";s:8:\"filesize\";s:6:\"138494\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1335000084\";s:6:\"mdhash\";s:32:\"754960703013ecbfe8d9fdb06f16df58\";s:8:\"filesize\";s:6:\"138516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1328469343\";s:6:\"mdhash\";s:32:\"11b5c3a01c65cb434a2398685923b5f2\";s:8:\"filesize\";s:6:\"134767\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1326276941\";s:6:\"mdhash\";s:32:\"c1a688a15bc7183d7c2d0a1260822911\";s:8:\"filesize\";s:6:\"133142\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1322474442\";s:6:\"mdhash\";s:32:\"b25c24e442bae244ffaf028a9f085343\";s:8:\"filesize\";s:6:\"129943\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1318100203\";s:6:\"mdhash\";s:32:\"45c6464b8128732dd3cbf93d949b46c3\";s:8:\"filesize\";s:6:\"129532\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"i18n 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/i18n/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1313936520\";s:6:\"mdhash\";s:32:\"ddc6efedc7e412c13adba4bd3444dd7f\";s:8:\"filesize\";s:6:\"126819\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:16:\"i18n 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1312832516\";s:6:\"mdhash\";s:32:\"f506797c2f66c1d3621adcabd6689fb5\";s:8:\"filesize\";s:6:\"126457\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:16:\"i18n 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1311532319\";s:6:\"mdhash\";s:32:\"732737b342324de2ed2c5e1b9e77c24c\";s:8:\"filesize\";s:6:\"125375\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"i18n 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1310466117\";s:6:\"mdhash\";s:32:\"85ccc65b6e54338fa849591cfa2a6740\";s:8:\"filesize\";s:6:\"124377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1309858916\";s:6:\"mdhash\";s:32:\"8b891fef746bd5adc216ce158e04e072\";s:8:\"filesize\";s:6:\"122698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1307806316\";s:6:\"mdhash\";s:32:\"89027827dafff6d87818c5206774dd65\";s:8:\"filesize\";s:6:\"118216\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1306227416\";s:6:\"mdhash\";s:32:\"2180948e651d4d528853e2a732401149\";s:8:\"filesize\";s:6:\"112115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1304158615\";s:6:\"mdhash\";s:32:\"8bcbe4378b330c4d8b6ad521ab10d055\";s:8:\"filesize\";s:5:\"93396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1301683568\";s:6:\"mdhash\";s:32:\"4649fcd7e3be0a36cb3c3a499d528600\";s:8:\"filesize\";s:5:\"93145\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1300145467\";s:6:\"mdhash\";s:32:\"af324f4684f56fdfc9728a5755a4ef67\";s:8:\"filesize\";s:5:\"97481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1298892072\";s:6:\"mdhash\";s:32:\"108d90910b6aae8f5cf17433838ae26d\";s:8:\"filesize\";s:5:\"97012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"i18n 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298539000\";s:6:\"mdhash\";s:32:\"2c4d61513eeb7aa1c3a1c6710a6cfe36\";s:8:\"filesize\";s:5:\"97944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"i18n 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1298138679\";s:6:\"mdhash\";s:32:\"574a1cb4e3a607ef1f56775b2741e32a\";s:8:\"filesize\";s:5:\"91045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"i18n 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1297683731\";s:6:\"mdhash\";s:32:\"ecc35a3641cc80c278c5f3899867b65f\";s:8:\"filesize\";s:5:\"85227\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"i18n 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/i18n/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294773669\";s:6:\"mdhash\";s:32:\"d4a69a4cdc9dce950fe8f785203888fc\";s:8:\"filesize\";s:5:\"80850\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"i18n 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/i18n/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499544241\";s:6:\"mdhash\";s:32:\"8c229c9343d6414512c85e208e810921\";s:8:\"filesize\";s:6:\"158931\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523034,1500436620,1),('available_releases::imce','a:11:{s:5:\"title\";s:4:\"IMCE\";s:10:\"short_name\";s:4:\"imce\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/imce\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"imce 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/imce/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/imce-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1495890784\";s:6:\"mdhash\";s:32:\"57c956347a4511727b7e03f122b909fc\";s:8:\"filesize\";s:5:\"62452\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"imce 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/imce/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/imce-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1459346866\";s:6:\"mdhash\";s:32:\"62aad4be77c4a9b1c5ca5588c2eb35da\";s:8:\"filesize\";s:5:\"63986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1400275427\";s:6:\"mdhash\";s:32:\"bcc791ae6fac1c501837e4679f9002b8\";s:8:\"filesize\";s:5:\"63448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1387302358\";s:6:\"mdhash\";s:32:\"edba7f3567eb36ca040f63699b23603e\";s:8:\"filesize\";s:5:\"61452\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1359476607\";s:6:\"mdhash\";s:32:\"c352bf9da8433628bed0b79c4acdcdb8\";s:8:\"filesize\";s:5:\"61286\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1352537820\";s:6:\"mdhash\";s:32:\"e1300316ea4245063b79bd91f9fd0bcf\";s:8:\"filesize\";s:5:\"61316\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1319104232\";s:6:\"mdhash\";s:32:\"43c36da627ed770bec0e21a442eec712\";s:8:\"filesize\";s:5:\"61276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1307386616\";s:6:\"mdhash\";s:32:\"6d11af3cd365c143317a0dc37599505c\";s:8:\"filesize\";s:5:\"60190\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1300384567\";s:6:\"mdhash\";s:32:\"9a3b27ca2b5e2aceb3f1ee30841fa8b3\";s:8:\"filesize\";s:5:\"59939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1296601518\";s:6:\"mdhash\";s:32:\"c6bb7fea90545f71dcf32134b8cf8157\";s:8:\"filesize\";s:5:\"58810\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1293481279\";s:6:\"mdhash\";s:32:\"cef3122364a21b587448b659c34d7b06\";s:8:\"filesize\";s:5:\"58517\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"imce 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/imce/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/imce-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1293289898\";s:6:\"mdhash\";s:32:\"63947e1f2fd23888c014df5bc618b636\";s:8:\"filesize\";s:5:\"58495\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"imce 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/imce/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/imce-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286606463\";s:6:\"mdhash\";s:32:\"f0a6cd298c8fd85e96b225d4b0e6a38d\";s:8:\"filesize\";s:5:\"58423\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"imce 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/imce/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/imce-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1277145015\";s:6:\"mdhash\";s:32:\"161f69f59d6f56a8529446fb147992d3\";s:8:\"filesize\";s:5:\"57825\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"imce 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/imce/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/imce-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1275125108\";s:6:\"mdhash\";s:32:\"5692e073e353d7451c47c63b381fae9c\";s:8:\"filesize\";s:5:\"57483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"imce 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/imce/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/imce-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1268868307\";s:6:\"mdhash\";s:32:\"3aeebc6a28e99abbd5260c28e499d646\";s:8:\"filesize\";s:5:\"55587\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"imce 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/imce/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/imce-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499895843\";s:6:\"mdhash\";s:32:\"00ee87de7f12f44c565fcd581ea84f5d\";s:8:\"filesize\";s:5:\"62413\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:6:\"master\";a:13:{s:4:\"name\";s:9:\"imce HEAD\";s:7:\"version\";s:6:\"master\";s:3:\"tag\";s:6:\"master\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/imce/releases/master\";s:13:\"download_link\";s:54:\"https://ftp.drupal.org/files/projects/imce-HEAD.tar.gz\";s:4:\"date\";s:10:\"1286626342\";s:6:\"mdhash\";s:32:\"94c619d7b66e55cd6c810baf0c13211d\";s:8:\"filesize\";s:5:\"58416\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523036,1500436620,1),('available_releases::inline_entity_form','a:11:{s:5:\"title\";s:18:\"Inline Entity Form\";s:10:\"short_name\";s:18:\"inline_entity_form\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1460849406\";s:6:\"mdhash\";s:32:\"3e9bd90b93c363153a3914804a0dfb91\";s:8:\"filesize\";s:5:\"38827\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.7\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1460671439\";s:6:\"mdhash\";s:32:\"56477a50f3af5f3b6d26c243a98eee86\";s:8:\"filesize\";s:5:\"38921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.6\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1434553380\";s:6:\"mdhash\";s:32:\"3c55b456227133f0105617cb87489c58\";s:8:\"filesize\";s:5:\"30981\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1389971611\";s:6:\"mdhash\";s:32:\"82ca960cc7c83809723e28941f28b69b\";s:8:\"filesize\";s:5:\"30490\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1388403805\";s:6:\"mdhash\";s:32:\"f9afaa955946b38e581241e7eb6815f8\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1374540993\";s:6:\"mdhash\";s:32:\"006a8635d365d31776877a9a82cff403\";s:8:\"filesize\";s:5:\"28914\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368798850\";s:6:\"mdhash\";s:32:\"97cb425a20190d3f6ee38bc705081d9b\";s:8:\"filesize\";s:5:\"28322\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1359135111\";s:6:\"mdhash\";s:32:\"50f1b648e4c094e66785eddce85a1062\";s:8:\"filesize\";s:5:\"28262\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1355755076\";s:6:\"mdhash\";s:32:\"3ec652734d75b8a4684c8da46e51647a\";s:8:\"filesize\";s:5:\"28221\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:30:\"inline_entity_form 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1347887963\";s:6:\"mdhash\";s:32:\"1f019469ef8c718a177f2eab2e732217\";s:8:\"filesize\";s:5:\"26292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1345447648\";s:6:\"mdhash\";s:32:\"c4e85dfef7f8bcff698c5ea407c666a6\";s:8:\"filesize\";s:5:\"23161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1340576780\";s:6:\"mdhash\";s:32:\"d4b323ae0c63ff38db6a910fdae416ec\";s:8:\"filesize\";s:5:\"22625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1339669279\";s:6:\"mdhash\";s:32:\"8a62a0d558a4195bd3b04aa0f1c3445c\";s:8:\"filesize\";s:5:\"22531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1335220280\";s:6:\"mdhash\";s:32:\"5cc10d5cc8b72a1de40252c8fb6226db\";s:8:\"filesize\";s:5:\"20679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:30:\"inline_entity_form 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1460848739\";s:6:\"mdhash\";s:32:\"ad773ef9cd539257bf31dcece12fc7fe\";s:8:\"filesize\";s:5:\"38842\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523037,1500436620,1),('available_releases::jcarousel','a:11:{s:5:\"title\";s:9:\"jCarousel\";s:10:\"short_name\";s:9:\"jcarousel\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:21:\"jcarousel 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1420458180\";s:6:\"mdhash\";s:32:\"cd41f12d87404de09a65778c96f60dc4\";s:8:\"filesize\";s:5:\"58292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1322116852\";s:6:\"mdhash\";s:32:\"0cd60b44c05b4d0e1001357f59ecc20c\";s:8:\"filesize\";s:5:\"59462\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1319935769\";s:6:\"mdhash\";s:32:\"390b331e84ee07078c15c947b5a49906\";s:8:\"filesize\";s:5:\"58051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.4-alpha3\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.4-alpha3\";s:7:\"version\";s:14:\"7.x-2.4-alpha3\";s:3:\"tag\";s:14:\"7.x-2.4-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.4-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.4-alpha3.tar.gz\";s:4:\"date\";s:10:\"1302133615\";s:6:\"mdhash\";s:32:\"8a26f61e7c879bf969450cdadfb3bed4\";s:8:\"filesize\";s:5:\"55189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1297036300\";s:6:\"mdhash\";s:32:\"0a46305bd164dcb3488b539381fcfd80\";s:8:\"filesize\";s:5:\"55269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.2-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.2-alpha1\";s:7:\"version\";s:14:\"7.x-2.2-alpha1\";s:3:\"tag\";s:14:\"7.x-2.2-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.2-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.2-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292868983\";s:6:\"mdhash\";s:32:\"e67324d105cce787f5a0cb620494bf2a\";s:8:\"filesize\";s:5:\"55026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.1-alpha1\";s:7:\"version\";s:14:\"7.x-2.1-alpha1\";s:3:\"tag\";s:14:\"7.x-2.1-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.1-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.1-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292184217\";s:6:\"mdhash\";s:32:\"154017caadc52cd00407c499c8dfcfc3\";s:8:\"filesize\";s:5:\"54766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1290991275\";s:6:\"mdhash\";s:32:\"e70693d58a9d241bc98a4f602ea305da\";s:8:\"filesize\";s:5:\"54560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420043280\";s:6:\"mdhash\";s:32:\"f08221738d43aedaa6e5eda20b56821c\";s:8:\"filesize\";s:5:\"43746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420464180\";s:6:\"mdhash\";s:32:\"90787216acc1a3738c47ef8d0b568380\";s:8:\"filesize\";s:5:\"58318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523037,1500436620,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523038,1500436620,1),('available_releases::languageicons','a:11:{s:5:\"title\";s:14:\"Language Icons\";s:10:\"short_name\";s:13:\"languageicons\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/languageicons\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"languageicons 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/languageicons/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1399825727\";s:6:\"mdhash\";s:32:\"5097ac19d351655794d0cda9a596120f\";s:8:\"filesize\";s:5:\"23863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"languageicons 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/languageicons/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1331734546\";s:6:\"mdhash\";s:32:\"e0c36d4b6ede591030a0c3f8995d012b\";s:8:\"filesize\";s:5:\"19798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:25:\"languageicons 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/languageicons/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1331050546\";s:6:\"mdhash\";s:32:\"ecb85db62091b697f155c267079f7f12\";s:8:\"filesize\";s:5:\"19098\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:27:\"languageicons 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/languageicons/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1299020768\";s:6:\"mdhash\";s:32:\"26504905177c19143c20ef3c557aefbf\";s:8:\"filesize\";s:5:\"17383\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:28:\"languageicons 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/languageicons/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1293053777\";s:6:\"mdhash\";s:32:\"486747d27d711aacabb4266f3b9c8bb3\";s:8:\"filesize\";s:5:\"16917\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"languageicons 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/languageicons/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479365940\";s:6:\"mdhash\";s:32:\"774fc155b5fb4a2216641b205a4f678c\";s:8:\"filesize\";s:5:\"24052\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523039,1500436620,1),('available_releases::lang_dropdown','a:11:{s:5:\"title\";s:26:\"Language Switcher Dropdown\";s:10:\"short_name\";s:13:\"lang_dropdown\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/lang_dropdown\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1387127904\";s:6:\"mdhash\";s:32:\"691113055535b8b1d4225d7eecb5a667\";s:8:\"filesize\";s:5:\"24486\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1387053506\";s:6:\"mdhash\";s:32:\"5086718573d269e5c3f7ec31d375a8fc\";s:8:\"filesize\";s:5:\"24491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1386939805\";s:6:\"mdhash\";s:32:\"61488887584b97423fc9f17b555a09b2\";s:8:\"filesize\";s:5:\"24560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1386935606\";s:6:\"mdhash\";s:32:\"b2001e68fd391a9f9a65ead8997bf85c\";s:8:\"filesize\";s:5:\"24561\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1385824104\";s:6:\"mdhash\";s:32:\"ca4167da91456e080bd25cebaa57a7f2\";s:8:\"filesize\";s:5:\"20421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1385775804\";s:6:\"mdhash\";s:32:\"e0b9726ce3da409de8302b1b61f11a51\";s:8:\"filesize\";s:5:\"20303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1339444196\";s:6:\"mdhash\";s:32:\"e778e70a4d942b5a636110002720d39c\";s:8:\"filesize\";s:5:\"20505\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1338659779\";s:6:\"mdhash\";s:32:\"690fd221945873ce372d7e8c45afca13\";s:8:\"filesize\";s:5:\"20395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1336479655\";s:6:\"mdhash\";s:32:\"5184341672b2f94f809a8b81486b1092\";s:8:\"filesize\";s:5:\"20327\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1329527439\";s:6:\"mdhash\";s:32:\"4ec6013d54ffade26e31ba56305650b1\";s:8:\"filesize\";s:5:\"19747\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1328836848\";s:6:\"mdhash\";s:32:\"aa27606b17882a091f517fa426104920\";s:8:\"filesize\";s:5:\"19568\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1317906409\";s:6:\"mdhash\";s:32:\"44c63436cbdaec02507b3935b758b1ad\";s:8:\"filesize\";s:5:\"18507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"lang_dropdown 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493697545\";s:6:\"mdhash\";s:32:\"943f053f69aa9c2c66622caf37d3b213\";s:8:\"filesize\";s:5:\"24699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"lang_dropdown 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1385690304\";s:6:\"mdhash\";s:32:\"448ebc64f1593d55c35935c88a533fc2\";s:8:\"filesize\";s:6:\"302313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523038,1500436620,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523039,1500436620,1),('available_releases::logo_block','a:11:{s:5:\"title\";s:10:\"Logo Block\";s:10:\"short_name\";s:10:\"logo_block\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/logo_block\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1498837442\";s:6:\"mdhash\";s:32:\"b70d76b007e603ee34f4f466ac2963f2\";s:8:\"filesize\";s:4:\"9514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1352287308\";s:6:\"mdhash\";s:32:\"1058d98049e2640c1cf0b56901f1913e\";s:8:\"filesize\";s:4:\"9160\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1350634021\";s:6:\"mdhash\";s:32:\"6141e23bd3a7494b437d18391868fef1\";s:8:\"filesize\";s:4:\"9153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1350175590\";s:6:\"mdhash\";s:32:\"4738395d86112e1131d8bd1b576ddeb9\";s:8:\"filesize\";s:4:\"9141\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1350175591\";s:6:\"mdhash\";s:32:\"1b511642e519c6a5423b6e13391801db\";s:8:\"filesize\";s:4:\"9166\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1350175588\";s:6:\"mdhash\";s:32:\"3e9f58205691f75ccf3e9d4f3d4afeb7\";s:8:\"filesize\";s:4:\"9166\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1350168414\";s:6:\"mdhash\";s:32:\"406da51538bf57fdcea01eba1e9b4922\";s:8:\"filesize\";s:4:\"9009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1350166615\";s:6:\"mdhash\";s:32:\"3871052e30756fe45518685b64dd347e\";s:8:\"filesize\";s:4:\"8998\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"logo_block 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/logo_block/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498838042\";s:6:\"mdhash\";s:32:\"dfd6d38c792c1a8c4ecd5698c0ae220a\";s:8:\"filesize\";s:4:\"9454\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523040,1500436620,1),('available_releases::menu_attributes','a:11:{s:5:\"title\";s:15:\"Menu attributes\";s:10:\"short_name\";s:15:\"menu_attributes\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1413756228\";s:6:\"mdhash\";s:32:\"3fe69ec4c76a9826776450e05198c29f\";s:8:\"filesize\";s:5:\"14653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338541556\";s:6:\"mdhash\";s:32:\"2610d52c30c88fdd07669249764b4d68\";s:8:\"filesize\";s:5:\"13010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1304355717\";s:6:\"mdhash\";s:32:\"f821d56d0c3586179e71362a53c33b45\";s:8:\"filesize\";s:4:\"9196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"menu_attributes 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1283726807\";s:6:\"mdhash\";s:32:\"485addad222409723ab008dc88437e37\";s:8:\"filesize\";s:4:\"8406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467500039\";s:6:\"mdhash\";s:32:\"0202bfe64e493ae127f4be0f6f1a72a7\";s:8:\"filesize\";s:5:\"15943\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523040,1500436620,1),('available_releases::menu_block','a:11:{s:5:\"title\";s:10:\"Menu block\";s:10:\"short_name\";s:10:\"menu_block\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/menu_block\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1435675672\";s:6:\"mdhash\";s:32:\"83e01370ea5d503b47c8f888c10afc17\";s:8:\"filesize\";s:5:\"34548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1433189581\";s:6:\"mdhash\";s:32:\"5d8ec2eb1aaff9368fc750c7473b9e6e\";s:8:\"filesize\";s:5:\"34554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1423092481\";s:6:\"mdhash\";s:32:\"3b526989bc533179bf278ed4f3ee7a11\";s:8:\"filesize\";s:5:\"37280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1399238027\";s:6:\"mdhash\";s:32:\"4cafb670f61ff14e533a25036b2ac556\";s:8:\"filesize\";s:5:\"34992\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1328286646\";s:6:\"mdhash\";s:32:\"4d307621d347d2245031ca8b64244069\";s:8:\"filesize\";s:5:\"34795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1299683174\";s:6:\"mdhash\";s:32:\"8220095bb1c9a1f64134a0d8e4700008\";s:8:\"filesize\";s:5:\"34966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1296950749\";s:6:\"mdhash\";s:32:\"475ba491a9322bc39d884ae273df2ebd\";s:8:\"filesize\";s:5:\"34325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1294728069\";s:6:\"mdhash\";s:32:\"028fa357e5ea17820db72bf944c7f321\";s:8:\"filesize\";s:5:\"34553\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:24:\"menu_block 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/menu_block/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1285708862\";s:6:\"mdhash\";s:32:\"3a08cc3cc607d96c0c3985eec66079a5\";s:8:\"filesize\";s:5:\"38659\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:24:\"menu_block 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/menu_block/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1285704962\";s:6:\"mdhash\";s:32:\"742f97eccb1be8781c8632a57e62b6c4\";s:8:\"filesize\";s:5:\"38611\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:24:\"menu_block 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/menu_block/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1271435107\";s:6:\"mdhash\";s:32:\"e930e08d4e52edc43fba75fc0b104455\";s:8:\"filesize\";s:5:\"37374\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:24:\"menu_block 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/menu_block/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1269641717\";s:6:\"mdhash\";s:32:\"1572b2226be88146a6e7c7d7b293c876\";s:8:\"filesize\";s:5:\"35580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"menu_block 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/menu_block/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/menu_block-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1444680239\";s:6:\"mdhash\";s:32:\"ec99b56953154b5e1aa55eec4cca3ddd\";s:8:\"filesize\";s:5:\"34541\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"menu_block 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/menu_block/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499547542\";s:6:\"mdhash\";s:32:\"91928d4bb9e7c2b5387f1f9deee47915\";s:8:\"filesize\";s:5:\"34089\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523041,1500436620,1),('available_releases::newsletter','a:11:{s:5:\"title\";s:10:\"Newsletter\";s:10:\"short_name\";s:10:\"newsletter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1348033762\";s:6:\"mdhash\";s:32:\"0a7716e9b71f7192a9ffdb707721a7d7\";s:8:\"filesize\";s:5:\"44377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1331349342\";s:6:\"mdhash\";s:32:\"d4718945e184ce4b88c92d40fc246e53\";s:8:\"filesize\";s:5:\"42331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1330985147\";s:6:\"mdhash\";s:32:\"a9107041d2606994712350d068cd644c\";s:8:\"filesize\";s:5:\"42313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1322077843\";s:6:\"mdhash\";s:32:\"5a8d085a9f39999ec1c75190ce0fd594\";s:8:\"filesize\";s:5:\"39615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1320084038\";s:6:\"mdhash\";s:32:\"37315d74020770d1926bf5d52c27ed94\";s:8:\"filesize\";s:5:\"38638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1318300606\";s:6:\"mdhash\";s:32:\"2f90f6933f6d2d3d22639af2dc24d18d\";s:8:\"filesize\";s:5:\"38658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1318299407\";s:6:\"mdhash\";s:32:\"eecfbb6e5b129fe45129fc79a9fa0792\";s:8:\"filesize\";s:5:\"38659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1318297307\";s:6:\"mdhash\";s:32:\"d1fc45e6f6a36c6a1721f3184929d958\";s:8:\"filesize\";s:5:\"38613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1318295228\";s:6:\"mdhash\";s:32:\"3a57a29f3052415067351db0d5db7b85\";s:8:\"filesize\";s:5:\"38620\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha8\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha8\";s:7:\"version\";s:14:\"7.x-1.0-alpha8\";s:3:\"tag\";s:14:\"7.x-1.0-alpha8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha8\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1317228406\";s:6:\"mdhash\";s:32:\"52bcf9659daf353367383816bbb2c25d\";s:8:\"filesize\";s:5:\"37642\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha7\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha7\";s:7:\"version\";s:14:\"7.x-1.0-alpha7\";s:3:\"tag\";s:14:\"7.x-1.0-alpha7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha7\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1316917908\";s:6:\"mdhash\";s:32:\"d397c270f99b2231d2167aae9fe66d71\";s:8:\"filesize\";s:5:\"37102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1316737490\";s:6:\"mdhash\";s:32:\"441444c299fab24b125681491bd53616\";s:8:\"filesize\";s:5:\"35986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1316665908\";s:6:\"mdhash\";s:32:\"c5207c0bc9dd90809776abf4e15dc6ac\";s:8:\"filesize\";s:5:\"35797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1316664413\";s:6:\"mdhash\";s:32:\"c694d6fce63d1c26a8b54dedcbb637af\";s:8:\"filesize\";s:5:\"35780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1316662308\";s:6:\"mdhash\";s:32:\"58c9ab692031ad587bd6248c5019022f\";s:8:\"filesize\";s:5:\"35773\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380592827\";s:6:\"mdhash\";s:32:\"143fb44b9b14412060bec073251e1800\";s:8:\"filesize\";s:5:\"49298\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1401922727\";s:6:\"mdhash\";s:32:\"e2bc481d61646a51573d745a12932da7\";s:8:\"filesize\";s:5:\"44425\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523041,1500436620,1),('available_releases::panels','a:11:{s:5:\"title\";s:6:\"Panels\";s:10:\"short_name\";s:6:\"panels\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/panels\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1486394283\";s:6:\"mdhash\";s:32:\"b44a927da8ec8863192f3d806a127c6b\";s:8:\"filesize\";s:6:\"363262\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1476582270\";s:6:\"mdhash\";s:32:\"dddff691fe417c4d82d29388972b6ece\";s:8:\"filesize\";s:6:\"363078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1471704239\";s:6:\"mdhash\";s:32:\"fd8c986bf2bcdcd6581a6a7921df6661\";s:8:\"filesize\";s:6:\"361717\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1471447739\";s:6:\"mdhash\";s:32:\"e630a2290ee81462e6e14680520e3193\";s:8:\"filesize\";s:6:\"360101\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1422472981\";s:6:\"mdhash\";s:32:\"6320feeafda924c97c026acf87a3f44f\";s:8:\"filesize\";s:6:\"354162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1392221606\";s:6:\"mdhash\";s:32:\"7bb3c23efa8ad70811641a026dd43e42\";s:8:\"filesize\";s:6:\"351866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1345319572\";s:6:\"mdhash\";s:32:\"41d55ac3806a254d0e16cf865f74a1ee\";s:8:\"filesize\";s:6:\"339088\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1332079243\";s:6:\"mdhash\";s:32:\"ce1bab0d151e3717668e5f656f7baafe\";s:8:\"filesize\";s:6:\"338032\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1332023443\";s:6:\"mdhash\";s:32:\"461e61c41a279c039da2bfbe2cfa41a9\";s:8:\"filesize\";s:6:\"338032\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1326917446\";s:6:\"mdhash\";s:32:\"ff701b5e4bcea2d85a4bf9ea3a1ebc42\";s:8:\"filesize\";s:6:\"326150\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:15:\"7.x-3.0-alpha10\";a:15:{s:4:\"name\";s:22:\"panels 7.x-3.0-alpha10\";s:7:\"version\";s:15:\"7.x-3.0-alpha10\";s:3:\"tag\";s:15:\"7.x-3.0-alpha10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/panels/releases/7.x-3.0-alpha10\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/panels-7.x-3.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1430859182\";s:6:\"mdhash\";s:32:\"df35140f0f820bc2fb1776e787f2424e\";s:8:\"filesize\";s:6:\"354183\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:21:\"panels 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/panels/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/panels-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300396268\";s:6:\"mdhash\";s:32:\"278d49187d64b3bc431d67fb8f88278b\";s:8:\"filesize\";s:6:\"324343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:21:\"panels 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/panels/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/panels-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294697038\";s:6:\"mdhash\";s:32:\"47b16bea57350c30e9c8418cdab2ce83\";s:8:\"filesize\";s:6:\"380479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:21:\"panels 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/panels/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/panels-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286839262\";s:6:\"mdhash\";s:32:\"948e822378926bddec3959c2f611a26c\";s:8:\"filesize\";s:6:\"386977\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:18:\"panels 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/panels/releases/7.x-3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/panels-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1486393985\";s:6:\"mdhash\";s:32:\"0d9cf096b89436bede91a25b8beb780f\";s:8:\"filesize\";s:6:\"363274\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523035,1500436620,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523043,1500436620,1),('available_releases::print','a:11:{s:5:\"title\";s:31:\"Printer, email and PDF versions\";s:10:\"short_name\";s:5:\"print\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/print\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:13:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:13:\"print 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-2.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1396426745\";s:6:\"mdhash\";s:32:\"5e5cef97acc0135bf0debefa82f3c4f8\";s:8:\"filesize\";s:5:\"96755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:19:\"print 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/print/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/print-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1346768904\";s:6:\"mdhash\";s:32:\"cef30f08f4f592a227830d1e4cbbe15c\";s:8:\"filesize\";s:5:\"95722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:19:\"print 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/print/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/print-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1337900192\";s:6:\"mdhash\";s:32:\"6f9f19c3c539a6f1fd79568a99b3ef08\";s:8:\"filesize\";s:5:\"90574\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"print 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1396426745\";s:6:\"mdhash\";s:32:\"d7847f6847aadb09e1ab7c46f06eaffc\";s:8:\"filesize\";s:5:\"81336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"print 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1346768900\";s:6:\"mdhash\";s:32:\"1fcbbee6ec7ae405f0492f124058648f\";s:8:\"filesize\";s:5:\"80519\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"print 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337901690\";s:6:\"mdhash\";s:32:\"cb3892edeba89bbdf25a0429b818be8e\";s:8:\"filesize\";s:5:\"79017\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"print 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333551370\";s:6:\"mdhash\";s:32:\"e708f192abfbc62daae76f90b90b23f9\";s:8:\"filesize\";s:5:\"76324\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"print 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/print/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/print-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1332520547\";s:6:\"mdhash\";s:32:\"920e59e8d0ff7238cc422a8fecb745dd\";s:8:\"filesize\";s:5:\"76138\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"print 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/print/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/print-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1318810900\";s:6:\"mdhash\";s:32:\"c503b0115f847279a4184874235e5829\";s:8:\"filesize\";s:5:\"75919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"print 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/print/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/print-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1313510220\";s:6:\"mdhash\";s:32:\"01571132afd96ff0793b7c4150132e60\";s:8:\"filesize\";s:5:\"70995\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"print 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/print/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/print-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1311207167\";s:6:\"mdhash\";s:32:\"a5bfaf952509d0766ad58fb7bcd1a8c4\";s:8:\"filesize\";s:5:\"70406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"print 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/print/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/print-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481640483\";s:6:\"mdhash\";s:32:\"ad042a4757883cc4753d1d478fd53fec\";s:8:\"filesize\";s:5:\"97666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"print 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/print/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/print-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1480783083\";s:6:\"mdhash\";s:32:\"9d38eba1975023f20717ebabb0249acb\";s:8:\"filesize\";s:5:\"81234\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500523043,1500436620,1),('available_releases::quicktabs','a:11:{s:5:\"title\";s:10:\"Quick Tabs\";s:10:\"short_name\";s:9:\"quicktabs\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1497616742\";s:6:\"mdhash\";s:32:\"32aff4d6407e4d0d564211cfdeaee291\";s:8:\"filesize\";s:5:\"75918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1380731930\";s:6:\"mdhash\";s:32:\"b5303635e54ba0677822bf3cd15169d3\";s:8:\"filesize\";s:5:\"75170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1379371264\";s:6:\"mdhash\";s:32:\"e858cf2dac05ba4e75be5cb34420eeec\";s:8:\"filesize\";s:5:\"74756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1332980461\";s:6:\"mdhash\";s:32:\"e83ce594c509577a44305ae2df6aa0f9\";s:8:\"filesize\";s:5:\"74329\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1326919545\";s:6:\"mdhash\";s:32:\"fbb89f0a5312265335f4e4dcece951fe\";s:8:\"filesize\";s:5:\"74693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1322002246\";s:6:\"mdhash\";s:32:\"dd699e185849623700473fc0c55251fd\";s:8:\"filesize\";s:5:\"75019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1321421443\";s:6:\"mdhash\";s:32:\"67e283dd6981dcfa10644d7288636f6c\";s:8:\"filesize\";s:5:\"74986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1312172228\";s:6:\"mdhash\";s:32:\"4c72ff22d7eaa9b3e5bd22acfe5c286e\";s:8:\"filesize\";s:5:\"71391\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311958019\";s:6:\"mdhash\";s:32:\"f25f6d00a21f083db6b73726517282e0\";s:8:\"filesize\";s:5:\"70957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1311491011\";s:6:\"mdhash\";s:32:\"fe549974c22f34eedd34255c7188bf4e\";s:8:\"filesize\";s:5:\"70854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1309974420\";s:6:\"mdhash\";s:32:\"b7568736c672a0f58f780543621755ca\";s:8:\"filesize\";s:5:\"70850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308089219\";s:6:\"mdhash\";s:32:\"5b4fa99ea7b0cf1382ac51fdcad1ad4c\";s:8:\"filesize\";s:5:\"69431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1308027419\";s:6:\"mdhash\";s:32:\"9f86f3615e5a54e038fd9e5a54f98388\";s:8:\"filesize\";s:5:\"69236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312172227\";s:6:\"mdhash\";s:32:\"40ad6420da071e758c04f5df81693ef5\";s:8:\"filesize\";s:5:\"59833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301378169\";s:6:\"mdhash\";s:32:\"abd93c7fc0a33eeacd769a3d87bf9534\";s:8:\"filesize\";s:5:\"59501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498214642\";s:6:\"mdhash\";s:32:\"dcfb62b3bd04a3027007a194a78bbb79\";s:8:\"filesize\";s:5:\"76036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380624610\";s:6:\"mdhash\";s:32:\"38b7a23c5a2201c1e9d4b9eace929654\";s:8:\"filesize\";s:5:\"61020\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523044,1500436620,1),('available_releases::quiz','a:11:{s:5:\"title\";s:4:\"Quiz\";s:10:\"short_name\";s:4:\"quiz\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"5\";s:16:\"supported_majors\";s:3:\"4,5\";s:13:\"default_major\";s:1:\"4\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/quiz\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:48:{s:7:\"7.x-5.1\";a:14:{s:4:\"name\";s:12:\"quiz 7.x-5.1\";s:7:\"version\";s:7:\"7.x-5.1\";s:3:\"tag\";s:7:\"7.x-5.1\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/quiz/releases/7.x-5.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.1.tar.gz\";s:4:\"date\";s:10:\"1489693082\";s:6:\"mdhash\";s:32:\"781dde56a0b544e11e0a5aaf1f5138c7\";s:8:\"filesize\";s:6:\"373756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-5.0\";a:14:{s:4:\"name\";s:12:\"quiz 7.x-5.0\";s:7:\"version\";s:7:\"7.x-5.0\";s:3:\"tag\";s:7:\"7.x-5.0\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/quiz/releases/7.x-5.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0.tar.gz\";s:4:\"date\";s:10:\"1476893939\";s:6:\"mdhash\";s:32:\"beff2a921ff636b0e73a45c939d4b939\";s:8:\"filesize\";s:6:\"374068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-5.0-rc5\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-5.0-rc5\";s:7:\"version\";s:11:\"7.x-5.0-rc5\";s:3:\"tag\";s:11:\"7.x-5.0-rc5\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1476824039\";s:6:\"mdhash\";s:32:\"84fbd2b866671c888f48bab697e881a2\";s:8:\"filesize\";s:6:\"374476\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-5.0-rc4\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-5.0-rc4\";s:7:\"version\";s:11:\"7.x-5.0-rc4\";s:3:\"tag\";s:11:\"7.x-5.0-rc4\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1474315739\";s:6:\"mdhash\";s:32:\"9b1fa98134edf7c34aa285bbd00f8909\";s:8:\"filesize\";s:6:\"374182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-5.0-rc3\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-5.0-rc3\";s:7:\"version\";s:11:\"7.x-5.0-rc3\";s:3:\"tag\";s:11:\"7.x-5.0-rc3\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1470674339\";s:6:\"mdhash\";s:32:\"5a03a11ef1cc2cbfe45f4332dec5b72b\";s:8:\"filesize\";s:6:\"377506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-5.0-rc2\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-5.0-rc2\";s:7:\"version\";s:11:\"7.x-5.0-rc2\";s:3:\"tag\";s:11:\"7.x-5.0-rc2\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1468604039\";s:6:\"mdhash\";s:32:\"427399542b877b19f4c089393831a2b7\";s:8:\"filesize\";s:6:\"378651\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-5.0-rc1\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-5.0-rc1\";s:7:\"version\";s:11:\"7.x-5.0-rc1\";s:3:\"tag\";s:11:\"7.x-5.0-rc1\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1464117251\";s:6:\"mdhash\";s:32:\"789cfe30572f11d944caaac91d29ded4\";s:8:\"filesize\";s:6:\"379429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-5.0-beta4\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-5.0-beta4\";s:7:\"version\";s:13:\"7.x-5.0-beta4\";s:3:\"tag\";s:13:\"7.x-5.0-beta4\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1455899339\";s:6:\"mdhash\";s:32:\"1de2c3374b661d24e7ab9c55e815e81e\";s:8:\"filesize\";s:6:\"378703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-5.0-beta3\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-5.0-beta3\";s:7:\"version\";s:13:\"7.x-5.0-beta3\";s:3:\"tag\";s:13:\"7.x-5.0-beta3\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1447945739\";s:6:\"mdhash\";s:32:\"5e5f18ac4545e255f2a3c4997f46bda9\";s:8:\"filesize\";s:6:\"378901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-5.0-beta2\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-5.0-beta2\";s:7:\"version\";s:13:\"7.x-5.0-beta2\";s:3:\"tag\";s:13:\"7.x-5.0-beta2\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1446476639\";s:6:\"mdhash\";s:32:\"f7e5a2fe1b7b54118e4b8750c9663e70\";s:8:\"filesize\";s:6:\"381199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-5.0-beta1\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-5.0-beta1\";s:7:\"version\";s:13:\"7.x-5.0-beta1\";s:3:\"tag\";s:13:\"7.x-5.0-beta1\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1443044039\";s:6:\"mdhash\";s:32:\"4dcbb845e9d4f3bed11907b9105d852e\";s:8:\"filesize\";s:6:\"381079\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:15:\"7.x-5.0-alpha10\";a:15:{s:4:\"name\";s:20:\"quiz 7.x-5.0-alpha10\";s:7:\"version\";s:15:\"7.x-5.0-alpha10\";s:3:\"tag\";s:15:\"7.x-5.0-alpha10\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha10\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1431097081\";s:6:\"mdhash\";s:32:\"48179f7ddd94ae49519ebdee2fa13ca0\";s:8:\"filesize\";s:6:\"377519\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha9\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha9\";s:7:\"version\";s:14:\"7.x-5.0-alpha9\";s:3:\"tag\";s:14:\"7.x-5.0-alpha9\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha9\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1425654481\";s:6:\"mdhash\";s:32:\"38254ddeb35e6441118b8f4cfdaf8d56\";s:8:\"filesize\";s:6:\"377306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha8\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha8\";s:7:\"version\";s:14:\"7.x-5.0-alpha8\";s:3:\"tag\";s:14:\"7.x-5.0-alpha8\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha8\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1422401280\";s:6:\"mdhash\";s:32:\"dcd3313a5441317713d9b5ebb4daad3f\";s:8:\"filesize\";s:6:\"376156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha7\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha7\";s:7:\"version\";s:14:\"7.x-5.0-alpha7\";s:3:\"tag\";s:14:\"7.x-5.0-alpha7\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1417635424\";s:6:\"mdhash\";s:32:\"3389e8541e1e092501b07c285e43fcd8\";s:8:\"filesize\";s:6:\"501520\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha6\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha6\";s:7:\"version\";s:14:\"7.x-5.0-alpha6\";s:3:\"tag\";s:14:\"7.x-5.0-alpha6\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1417578481\";s:6:\"mdhash\";s:32:\"13a047e9310ee3a7838371b9342b8304\";s:8:\"filesize\";s:6:\"500816\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha5\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha5\";s:7:\"version\";s:14:\"7.x-5.0-alpha5\";s:3:\"tag\";s:14:\"7.x-5.0-alpha5\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1416683882\";s:6:\"mdhash\";s:32:\"3228a88077381d5707cc1cd44f41b18c\";s:8:\"filesize\";s:6:\"498634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha4\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha4\";s:7:\"version\";s:14:\"7.x-5.0-alpha4\";s:3:\"tag\";s:14:\"7.x-5.0-alpha4\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1411144128\";s:6:\"mdhash\";s:32:\"965f59bbf6c59dbccf4c019ebe77b28a\";s:8:\"filesize\";s:6:\"318304\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha3\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha3\";s:7:\"version\";s:14:\"7.x-5.0-alpha3\";s:3:\"tag\";s:14:\"7.x-5.0-alpha3\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1410296628\";s:6:\"mdhash\";s:32:\"81f38710098b2d9794b9992162c28967\";s:8:\"filesize\";s:6:\"318252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha2\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha2\";s:7:\"version\";s:14:\"7.x-5.0-alpha2\";s:3:\"tag\";s:14:\"7.x-5.0-alpha2\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1406927927\";s:6:\"mdhash\";s:32:\"fa6471a9b518b0e0279de6f99031c538\";s:8:\"filesize\";s:6:\"340148\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-5.0-alpha1\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-5.0-alpha1\";s:7:\"version\";s:14:\"7.x-5.0-alpha1\";s:3:\"tag\";s:14:\"7.x-5.0-alpha1\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-5.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1401662627\";s:6:\"mdhash\";s:32:\"63e2b7c796391b8463bcd49041a1593d\";s:8:\"filesize\";s:6:\"342089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc8\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc8\";s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:3:\"tag\";s:11:\"7.x-4.0-rc8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1498728242\";s:6:\"mdhash\";s:32:\"45bf95fdec44bfa7a7875021ceb94361\";s:8:\"filesize\";s:6:\"380050\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.0-rc7\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc7\";s:7:\"version\";s:11:\"7.x-4.0-rc7\";s:3:\"tag\";s:11:\"7.x-4.0-rc7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1485513784\";s:6:\"mdhash\";s:32:\"f5ea3db7fbd2e5594b004f3d510e07d7\";s:8:\"filesize\";s:6:\"375551\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc6\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc6\";s:7:\"version\";s:11:\"7.x-4.0-rc6\";s:3:\"tag\";s:11:\"7.x-4.0-rc6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1483524242\";s:6:\"mdhash\";s:32:\"ea7f56c96046dfbd850cece8486afd45\";s:8:\"filesize\";s:6:\"374940\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc5\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc5\";s:7:\"version\";s:11:\"7.x-4.0-rc5\";s:3:\"tag\";s:11:\"7.x-4.0-rc5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1480927983\";s:6:\"mdhash\";s:32:\"023933cb8dcea267ee7ca6e98e0ecfde\";s:8:\"filesize\";s:6:\"374913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc4\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc4\";s:7:\"version\";s:11:\"7.x-4.0-rc4\";s:3:\"tag\";s:11:\"7.x-4.0-rc4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1480095480\";s:6:\"mdhash\";s:32:\"a53617ff72f122f760ae6d5d5642d728\";s:8:\"filesize\";s:6:\"373945\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc3\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc3\";s:7:\"version\";s:11:\"7.x-4.0-rc3\";s:3:\"tag\";s:11:\"7.x-4.0-rc3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1478267941\";s:6:\"mdhash\";s:32:\"2bcf032512602fac40bc92a6723d4e6c\";s:8:\"filesize\";s:6:\"342864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc2\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc2\";s:7:\"version\";s:11:\"7.x-4.0-rc2\";s:3:\"tag\";s:11:\"7.x-4.0-rc2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1453399739\";s:6:\"mdhash\";s:32:\"b6dc8c46d12c48c4a59ae704a500142c\";s:8:\"filesize\";s:6:\"342854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc1\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc1\";s:7:\"version\";s:11:\"7.x-4.0-rc1\";s:3:\"tag\";s:11:\"7.x-4.0-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1435086180\";s:6:\"mdhash\";s:32:\"71e018d9dbbdd8e7de60ba19c0cca7eb\";s:8:\"filesize\";s:6:\"342744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta4\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-4.0-beta4\";s:7:\"version\";s:13:\"7.x-4.0-beta4\";s:3:\"tag\";s:13:\"7.x-4.0-beta4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1425551881\";s:6:\"mdhash\";s:32:\"43e6350076e5106c55250d1d3144a40d\";s:8:\"filesize\";s:6:\"342773\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta3\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-4.0-beta3\";s:7:\"version\";s:13:\"7.x-4.0-beta3\";s:3:\"tag\";s:13:\"7.x-4.0-beta3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1424804281\";s:6:\"mdhash\";s:32:\"1ff5e9a7bc6c8ac9b2ff6cbc351b76bb\";s:8:\"filesize\";s:6:\"342701\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta2\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-4.0-beta2\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:3:\"tag\";s:13:\"7.x-4.0-beta2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1383124553\";s:6:\"mdhash\";s:32:\"f9e88fcb096dc84d12c08d1150549954\";s:8:\"filesize\";s:6:\"333050\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta1\";a:15:{s:4:\"name\";s:18:\"quiz 7.x-4.0-beta1\";s:7:\"version\";s:13:\"7.x-4.0-beta1\";s:3:\"tag\";s:13:\"7.x-4.0-beta1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1362397820\";s:6:\"mdhash\";s:32:\"0c459360e6c307606eed4e82b5430088\";s:8:\"filesize\";s:6:\"332891\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:15:\"7.x-4.0-alpha12\";a:15:{s:4:\"name\";s:20:\"quiz 7.x-4.0-alpha12\";s:7:\"version\";s:15:\"7.x-4.0-alpha12\";s:3:\"tag\";s:15:\"7.x-4.0-alpha12\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha12\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha12.tar.gz\";s:4:\"date\";s:10:\"1353933842\";s:6:\"mdhash\";s:32:\"d102c9322d383aa60846732688dd4a48\";s:8:\"filesize\";s:6:\"264594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:15:\"7.x-4.0-alpha11\";a:15:{s:4:\"name\";s:20:\"quiz 7.x-4.0-alpha11\";s:7:\"version\";s:15:\"7.x-4.0-alpha11\";s:3:\"tag\";s:15:\"7.x-4.0-alpha11\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha11\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha11.tar.gz\";s:4:\"date\";s:10:\"1351676544\";s:6:\"mdhash\";s:32:\"77ca7aa360923aa0ff8bedcf8516c03d\";s:8:\"filesize\";s:6:\"263901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:15:\"7.x-4.0-alpha10\";a:15:{s:4:\"name\";s:20:\"quiz 7.x-4.0-alpha10\";s:7:\"version\";s:15:\"7.x-4.0-alpha10\";s:3:\"tag\";s:15:\"7.x-4.0-alpha10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha10\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1350483727\";s:6:\"mdhash\";s:32:\"adc8ec4b552f3d914ce77cc3da32f7a3\";s:8:\"filesize\";s:6:\"264035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha9\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha9\";s:7:\"version\";s:14:\"7.x-4.0-alpha9\";s:3:\"tag\";s:14:\"7.x-4.0-alpha9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha9\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1340910439\";s:6:\"mdhash\";s:32:\"a1907d18b91f9bbf3203224679e28032\";s:8:\"filesize\";s:6:\"204245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha8\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha8\";s:7:\"version\";s:14:\"7.x-4.0-alpha8\";s:3:\"tag\";s:14:\"7.x-4.0-alpha8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha8\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1340908731\";s:6:\"mdhash\";s:32:\"4b74360a7abdf1b58f0da615363ea7d1\";s:8:\"filesize\";s:6:\"204229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha7\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha7\";s:7:\"version\";s:14:\"7.x-4.0-alpha7\";s:3:\"tag\";s:14:\"7.x-4.0-alpha7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1340231515\";s:6:\"mdhash\";s:32:\"50c6c5d571e8ba073a6d8e7a60c70dbe\";s:8:\"filesize\";s:6:\"204140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha6\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha6\";s:7:\"version\";s:14:\"7.x-4.0-alpha6\";s:3:\"tag\";s:14:\"7.x-4.0-alpha6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1340149015\";s:6:\"mdhash\";s:32:\"47dad50863fb6266e5590e16def0f202\";s:8:\"filesize\";s:6:\"204164\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha5\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha5\";s:7:\"version\";s:14:\"7.x-4.0-alpha5\";s:3:\"tag\";s:14:\"7.x-4.0-alpha5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1339022525\";s:6:\"mdhash\";s:32:\"faebe8f3e558c7e0b508fc0eef39635f\";s:8:\"filesize\";s:6:\"203756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha4\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha4\";s:7:\"version\";s:14:\"7.x-4.0-alpha4\";s:3:\"tag\";s:14:\"7.x-4.0-alpha4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1335141715\";s:6:\"mdhash\";s:32:\"b65e48695dc0cb58072fb13d2968a341\";s:8:\"filesize\";s:6:\"345604\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha3\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha3\";s:7:\"version\";s:14:\"7.x-4.0-alpha3\";s:3:\"tag\";s:14:\"7.x-4.0-alpha3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1335134196\";s:6:\"mdhash\";s:32:\"cb34bacf19201dc75e9b849f140fd5e6\";s:8:\"filesize\";s:6:\"345601\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha2\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha2\";s:7:\"version\";s:14:\"7.x-4.0-alpha2\";s:3:\"tag\";s:14:\"7.x-4.0-alpha2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1334522508\";s:6:\"mdhash\";s:32:\"b4ff6d96b71c649cb5c0466fc0239c48\";s:8:\"filesize\";s:6:\"345567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha1\";a:15:{s:4:\"name\";s:19:\"quiz 7.x-4.0-alpha1\";s:7:\"version\";s:14:\"7.x-4.0-alpha1\";s:3:\"tag\";s:14:\"7.x-4.0-alpha1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1333568167\";s:6:\"mdhash\";s:32:\"64de9234f183780746f6ca1b2c3b508a\";s:8:\"filesize\";s:6:\"345616\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-6.x-dev\";a:14:{s:4:\"name\";s:16:\"quiz 7.x-6.x-dev\";s:7:\"version\";s:11:\"7.x-6.x-dev\";s:3:\"tag\";s:7:\"7.x-6.x\";s:13:\"version_major\";s:1:\"6\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-6.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-6.x-dev.tar.gz\";s:4:\"date\";s:10:\"1419448380\";s:6:\"mdhash\";s:32:\"a58568bddfe6832f059745bc2199d578\";s:8:\"filesize\";s:6:\"567551\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-5.x-dev\";a:14:{s:4:\"name\";s:16:\"quiz 7.x-5.x-dev\";s:7:\"version\";s:11:\"7.x-5.x-dev\";s:3:\"tag\";s:7:\"7.x-5.x\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-5.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498487943\";s:6:\"mdhash\";s:32:\"99057b8d8f97eccf0423b7d54ff81d1d\";s:8:\"filesize\";s:6:\"373798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:16:\"quiz 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499430243\";s:6:\"mdhash\";s:32:\"450ed362024a50f6cdb22fd1bb1af595\";s:8:\"filesize\";s:6:\"383491\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523021,1500436620,1),('available_releases::references','a:11:{s:5:\"title\";s:10:\"References\";s:10:\"short_name\";s:10:\"references\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/references\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1492534743\";s:6:\"mdhash\";s:32:\"5d0a85ca042f6624087d094b84169f0a\";s:8:\"filesize\";s:5:\"40244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1360265821\";s:6:\"mdhash\";s:32:\"43b583931fba0c0c4e44bcea7fc5befd\";s:8:\"filesize\";s:5:\"39893\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1324596643\";s:6:\"mdhash\";s:32:\"3dbad2c02781005a4c828da37920c6d5\";s:8:\"filesize\";s:5:\"38333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:24:\"references 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/references/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/references-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1305236816\";s:6:\"mdhash\";s:32:\"8a295ed7763b11a29ca7da28931d59b7\";s:8:\"filesize\";s:5:\"29447\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:24:\"references 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/references/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/references-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1304766117\";s:6:\"mdhash\";s:32:\"b97f4b6d45509c3f3adf3dd82277952c\";s:8:\"filesize\";s:5:\"29338\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"references 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/references/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/references-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499802542\";s:6:\"mdhash\";s:32:\"38d009abf06b73315d74b580456d3479\";s:8:\"filesize\";s:5:\"42276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"references 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/references/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/references-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1492534142\";s:6:\"mdhash\";s:32:\"bbc953ebac96ab2b2ae398db03f1bf09\";s:8:\"filesize\";s:4:\"7115\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523042,1500436620,1),('available_releases::rules','a:11:{s:5:\"title\";s:5:\"Rules\";s:10:\"short_name\";s:5:\"rules\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/rules\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:14:\"rules 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/rules/releases/7.x-2.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/rules-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1492697942\";s:6:\"mdhash\";s:32:\"b66045ee97acdec07b4808f649e9dcc8\";s:8:\"filesize\";s:6:\"187783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1426527181\";s:6:\"mdhash\";s:32:\"ce4e3363c37cb00f4caf0abd3f38f38a\";s:8:\"filesize\";s:6:\"188880\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1420733280\";s:6:\"mdhash\";s:32:\"c84d88caa5ba178efa689a1a71d3a144\";s:8:\"filesize\";s:6:\"187857\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1399041227\";s:6:\"mdhash\";s:32:\"f28b8811918dd16952acca967d09dcc0\";s:8:\"filesize\";s:6:\"186255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1383063053\";s:6:\"mdhash\";s:32:\"152c1f330f91f83d358b478253a8c042\";s:8:\"filesize\";s:6:\"186022\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1379579047\";s:6:\"mdhash\";s:32:\"5387542c8c5cd2de9682d61fafb57314\";s:8:\"filesize\";s:6:\"185061\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1379354606\";s:6:\"mdhash\";s:32:\"e19b2c10f96c8a680afe9e4f65db4e5c\";s:8:\"filesize\";s:6:\"184071\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1364401819\";s:6:\"mdhash\";s:32:\"9af9fbdc593158638603832c633432b1\";s:8:\"filesize\";s:6:\"170892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1343980733\";s:6:\"mdhash\";s:32:\"91799bff2cf6690937e056734265458c\";s:8:\"filesize\";s:6:\"168867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1331918148\";s:6:\"mdhash\";s:32:\"a7f15c72df435554790d5611a8b1732e\";s:8:\"filesize\";s:6:\"167042\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1318336335\";s:6:\"mdhash\";s:32:\"efe3f31a4d21b9fa8757cd692dc8f641\";s:8:\"filesize\";s:6:\"155077\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:17:\"rules 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1316339806\";s:6:\"mdhash\";s:32:\"9a9d7de26f666d5af62fc90612551f64\";s:8:\"filesize\";s:6:\"152243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:17:\"rules 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1313600220\";s:6:\"mdhash\";s:32:\"0c01319958aed5439bd7e22d5f060ab0\";s:8:\"filesize\";s:6:\"150814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1312908119\";s:6:\"mdhash\";s:32:\"c0d8f94ec44834355ab2acd02eb01781\";s:8:\"filesize\";s:6:\"146211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1308241620\";s:6:\"mdhash\";s:32:\"fd1bdc36bc612913dfba91e7bdeda00d\";s:8:\"filesize\";s:6:\"139063\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1300896369\";s:6:\"mdhash\";s:32:\"7b9718415365872eca4a2f7b9f50787a\";s:8:\"filesize\";s:6:\"134506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1297877847\";s:6:\"mdhash\";s:32:\"cf14a81dca5d26d4ab392bc14c0c23a6\";s:8:\"filesize\";s:6:\"124733\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1294228281\";s:6:\"mdhash\";s:32:\"3e6905f82d9c9e1ab462ab0c90afe3e9\";s:8:\"filesize\";s:6:\"113547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1291637070\";s:6:\"mdhash\";s:32:\"92f674a49f40ddd9ffb8de5b0e91425f\";s:8:\"filesize\";s:6:\"108782\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1286798162\";s:6:\"mdhash\";s:32:\"57e3e8298fff1c6f7cf6af8a0a3c3309\";s:8:\"filesize\";s:6:\"106373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1283932308\";s:6:\"mdhash\";s:32:\"103e926a3b79276e6a7ea62b12a7f2a1\";s:8:\"filesize\";s:6:\"104650\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"rules 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1286792763\";s:6:\"mdhash\";s:32:\"c49d85d2bb2fb860580a79e3f930b5c1\";s:8:\"filesize\";s:6:\"106374\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"rules 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1492696442\";s:6:\"mdhash\";s:32:\"68fea23d84ad3632092f9a9ba8d7c636\";s:8:\"filesize\";s:6:\"187827\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"rules 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380626241\";s:6:\"mdhash\";s:32:\"a1a7d855e52429da95024a30a55a635a\";s:8:\"filesize\";s:4:\"7108\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523044,1500436620,1),('available_releases::services','a:11:{s:5:\"title\";s:8:\"Services\";s:10:\"short_name\";s:8:\"services\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/services\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:29:{s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.20\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1498574943\";s:6:\"mdhash\";s:32:\"14b44ed8e020f9085e1c0be0dab5386c\";s:8:\"filesize\";s:6:\"109037\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.19\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.19\";s:7:\"version\";s:8:\"7.x-3.19\";s:3:\"tag\";s:8:\"7.x-3.19\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.19\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.19.tar.gz\";s:4:\"date\";s:10:\"1488903483\";s:6:\"mdhash\";s:32:\"d240318fdd8c26f7b6ef03268d16b33b\";s:8:\"filesize\";s:6:\"108902\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.18\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1482949683\";s:6:\"mdhash\";s:32:\"10a39b32ec5529f4e178560ba23a3dc1\";s:8:\"filesize\";s:6:\"108897\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.17\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1471899239\";s:6:\"mdhash\";s:32:\"412bfc80bc309ca35b36731b39054870\";s:8:\"filesize\";s:6:\"109795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.16\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1470071339\";s:6:\"mdhash\";s:32:\"b84253af59d900478ba7ba9b35a70acc\";s:8:\"filesize\";s:6:\"109627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.15\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1467420539\";s:6:\"mdhash\";s:32:\"7673b2a075643e26df8e454b2bc4ab5a\";s:8:\"filesize\";s:6:\"109651\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.14\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1457714641\";s:6:\"mdhash\";s:32:\"be6a5963cdc6062641fffde842e13da4\";s:8:\"filesize\";s:6:\"108438\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1453497539\";s:6:\"mdhash\";s:32:\"6b9c768a7a46ccbdefbf9d5b579858cf\";s:8:\"filesize\";s:6:\"107885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.12\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1429118281\";s:6:\"mdhash\";s:32:\"d005d8cf43773e4fe6096b003b731d94\";s:8:\"filesize\";s:6:\"107270\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1416265377\";s:6:\"mdhash\";s:32:\"328f448fcc535bc6b9c05e1511daf3ea\";s:8:\"filesize\";s:6:\"105346\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1411583327\";s:6:\"mdhash\";s:32:\"dfc142f4d1507ef7e9233523da2ab57e\";s:8:\"filesize\";s:6:\"105187\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1391207905\";s:6:\"mdhash\";s:32:\"f19a7cafb9726e75929d1de550fc4f9b\";s:8:\"filesize\";s:5:\"99191\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1390520605\";s:6:\"mdhash\";s:32:\"1b43a1e250b343a04ba96c8239bce1d1\";s:8:\"filesize\";s:5:\"98927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1375238611\";s:6:\"mdhash\";s:32:\"edc88b7601bffb02084dc27bd1a0f561\";s:8:\"filesize\";s:5:\"93554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1370415955\";s:6:\"mdhash\";s:32:\"10a37f1a9f08b449882d362c8792f0f2\";s:8:\"filesize\";s:5:\"93211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1353015205\";s:6:\"mdhash\";s:32:\"3cde72e2711205442c637c058421c51a\";s:8:\"filesize\";s:5:\"88287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1349822238\";s:6:\"mdhash\";s:32:\"f5af300edfb5e9e17312ad6ba78dc12d\";s:8:\"filesize\";s:5:\"87747\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1321482643\";s:6:\"mdhash\";s:32:\"dac49d2f3d16e012a4756aaeddaddfc2\";s:8:\"filesize\";s:5:\"76039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:16:\"services 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/services/releases/7.x-3.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/services-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1317342461\";s:6:\"mdhash\";s:32:\"29110697d535610519346c802c7ce7c8\";s:8:\"filesize\";s:5:\"83473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc6\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc6\";s:7:\"version\";s:11:\"7.x-3.0-rc6\";s:3:\"tag\";s:11:\"7.x-3.0-rc6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1316460709\";s:6:\"mdhash\";s:32:\"9fb622e75220b3d9b47a8fb771d4ae9d\";s:8:\"filesize\";s:5:\"82807\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1312337821\";s:6:\"mdhash\";s:32:\"c03f5ceac7ff62b7b660df05a26e8fba\";s:8:\"filesize\";s:5:\"81116\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1311888120\";s:6:\"mdhash\";s:32:\"b8629057cb5f3829ff0672c3f78cc7cd\";s:8:\"filesize\";s:5:\"80441\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1304635316\";s:6:\"mdhash\";s:32:\"5ca7fa0ae740171746a157dc8b79b91d\";s:8:\"filesize\";s:5:\"74775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1303505817\";s:6:\"mdhash\";s:32:\"0be2d86fcce06250f109cdf194744b82\";s:8:\"filesize\";s:5:\"74345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:20:\"services 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294432577\";s:6:\"mdhash\";s:32:\"57d95f2b4a2603ecf02c585c556e70b1\";s:8:\"filesize\";s:5:\"62059\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:22:\"services 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/services/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1293213901\";s:6:\"mdhash\";s:32:\"43095ae3fe87be4ceaf2d2193f9652cb\";s:8:\"filesize\";s:5:\"62075\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:22:\"services 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/services/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/services-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1292004315\";s:6:\"mdhash\";s:32:\"1a6898f320e68d82d03f3685ceb9a116\";s:8:\"filesize\";s:5:\"59154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:20:\"services 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-3.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498574943\";s:6:\"mdhash\";s:32:\"b85d2224e851d385a3c597dec2aa7591\";s:8:\"filesize\";s:6:\"109051\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"services 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/services/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/services-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380627299\";s:6:\"mdhash\";s:32:\"8406e0a32ff3870601f068e864482626\";s:8:\"filesize\";s:5:\"36315\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523045,1500436620,1),('available_releases::sharethis','a:11:{s:5:\"title\";s:9:\"ShareThis\";s:10:\"short_name\";s:9:\"sharethis\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/sharethis\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1468581839\";s:6:\"mdhash\";s:32:\"f3f446bf449c62592963af24d0e947c8\";s:8:\"filesize\";s:6:\"104699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.12\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1435896243\";s:6:\"mdhash\";s:32:\"271241bed99c04a997585639421163bd\";s:8:\"filesize\";s:6:\"213053\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1435141080\";s:6:\"mdhash\";s:32:\"d0b2aa1a9ddca61eb87f32d472ffc2df\";s:8:\"filesize\";s:6:\"212917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1422441781\";s:6:\"mdhash\";s:32:\"03583f04d6a98b8879a71b529ae2c4b2\";s:8:\"filesize\";s:6:\"213013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1406878136\";s:6:\"mdhash\";s:32:\"bc9592c60974a262224b1132e043d3bb\";s:8:\"filesize\";s:6:\"231394\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1402042727\";s:6:\"mdhash\";s:32:\"0b7e41166e70a4c39a44976a788dc049\";s:8:\"filesize\";s:6:\"215617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1397215753\";s:6:\"mdhash\";s:32:\"f5b19bd07c8d7a6fd007a5b00d2f6579\";s:8:\"filesize\";s:6:\"207036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.6-alpha1\";a:15:{s:4:\"name\";s:24:\"sharethis 7.x-2.6-alpha1\";s:7:\"version\";s:14:\"7.x-2.6-alpha1\";s:3:\"tag\";s:14:\"7.x-2.6-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/sharethis/releases/7.x-2.6-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.6-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352821394\";s:6:\"mdhash\";s:32:\"fe9ef42be3d987bfdb49a387771311bf\";s:8:\"filesize\";s:6:\"209885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1349883717\";s:6:\"mdhash\";s:32:\"93cca418501ea64712a64fb6188d96f0\";s:8:\"filesize\";s:6:\"209675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1334781723\";s:6:\"mdhash\";s:32:\"73de56620358ef4a0101a9f9e4eb2f7e\";s:8:\"filesize\";s:6:\"209110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1332868247\";s:6:\"mdhash\";s:32:\"4e21af8f17509be7d8e054b3afeefbd1\";s:8:\"filesize\";s:6:\"208832\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1317251208\";s:6:\"mdhash\";s:32:\"10f75d998555fd6652dc5d563c409e76\";s:8:\"filesize\";s:6:\"207566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1316724707\";s:6:\"mdhash\";s:32:\"e6722e600d5d31ae65b5c74f03f3a4e0\";s:8:\"filesize\";s:6:\"207558\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1316650599\";s:6:\"mdhash\";s:32:\"3c9b76e4ed786e385918ab79c53b0bad\";s:8:\"filesize\";s:6:\"207436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1308855119\";s:6:\"mdhash\";s:32:\"df53da5631266505fef7b61b98ff0230\";s:8:\"filesize\";s:6:\"205563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1307461619\";s:6:\"mdhash\";s:32:\"daf3f54b938a0a5de1c2c63c233a2f72\";s:8:\"filesize\";s:6:\"205564\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"sharethis 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/sharethis/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1483610343\";s:6:\"mdhash\";s:32:\"6594246f5ef170409d03210150fe2eef\";s:8:\"filesize\";s:6:\"104831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"sharethis 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/sharethis/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380627608\";s:6:\"mdhash\";s:32:\"b890d391c214948357d22adc2aedaa98\";s:8:\"filesize\";s:6:\"207567\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523046,1500436620,1),('available_releases::signup','a:11:{s:5:\"title\";s:6:\"Signup\";s:10:\"short_name\";s:6:\"signup\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/signup\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"signup 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/signup/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/signup-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1390351105\";s:6:\"mdhash\";s:32:\"4d78ec1e9b7ab2dfe9cb08e3b4cd386b\";s:8:\"filesize\";s:5:\"90325\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500523046,1500436620,1),('available_releases::socialfield','a:11:{s:5:\"title\";s:12:\"Social field\";s:10:\"short_name\";s:11:\"socialfield\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/socialfield\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1493127243\";s:6:\"mdhash\";s:32:\"1abc69d7fbb02711aa963edffdf76fee\";s:8:\"filesize\";s:5:\"16008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1417710780\";s:6:\"mdhash\";s:32:\"5bfec340dd46b06afee0a5b988c386db\";s:8:\"filesize\";s:5:\"15528\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1417705380\";s:6:\"mdhash\";s:32:\"ab7fbf5d05398f4576fd9a9c013bbf19\";s:8:\"filesize\";s:5:\"15522\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1409138328\";s:6:\"mdhash\";s:32:\"0e6da336ee21c9c044ba81f0cc6b328b\";s:8:\"filesize\";s:5:\"13905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1403783327\";s:6:\"mdhash\";s:32:\"00aefed9728e112793d7ab91c56d6149\";s:8:\"filesize\";s:5:\"13809\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1403706827\";s:6:\"mdhash\";s:32:\"9072e470bbcb292cd3fa700c8aae7743\";s:8:\"filesize\";s:5:\"13792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"socialfield 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/socialfield/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1461592816\";s:6:\"mdhash\";s:32:\"4d4f97fac7ab2de7e2b723ad6168c988\";s:8:\"filesize\";s:5:\"16095\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523047,1500436620,1),('available_releases::strongarm','a:11:{s:5:\"title\";s:9:\"Strongarm\";s:10:\"short_name\";s:9:\"strongarm\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/strongarm\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"strongarm 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1339604214\";s:6:\"mdhash\";s:32:\"76f0757b173e612937b0e6ce0b9bca70\";s:8:\"filesize\";s:5:\"12284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:21:\"strongarm 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332787846\";s:6:\"mdhash\";s:32:\"1ee67266881e9d2d7617dd48cf4c5e36\";s:8:\"filesize\";s:5:\"12280\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta5\";a:15:{s:4:\"name\";s:23:\"strongarm 7.x-2.0-beta5\";s:7:\"version\";s:13:\"7.x-2.0-beta5\";s:3:\"tag\";s:13:\"7.x-2.0-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-beta5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1324046743\";s:6:\"mdhash\";s:32:\"b1e005f4ba1a08c8e78c041eabc5dcdf\";s:8:\"filesize\";s:5:\"12278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:23:\"strongarm 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1319128535\";s:6:\"mdhash\";s:32:\"dd2b5489eff881c8ac5600a985d82dbb\";s:8:\"filesize\";s:5:\"12246\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:23:\"strongarm 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1316558107\";s:6:\"mdhash\";s:32:\"1dfe9c89660a9fb31c36949e9d387e36\";s:8:\"filesize\";s:5:\"12249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:23:\"strongarm 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1285599361\";s:6:\"mdhash\";s:32:\"5bb7adb1f90ba6107fd793f0c5f2bfab\";s:8:\"filesize\";s:5:\"12588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"strongarm 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1284074210\";s:6:\"mdhash\";s:32:\"05634757865f7944d924d4630957cff6\";s:8:\"filesize\";s:5:\"12558\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"strongarm 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/strongarm/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380638118\";s:6:\"mdhash\";s:32:\"11b392102dae9e36786f9b96895a9577\";s:8:\"filesize\";s:5:\"12329\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523047,1500436620,1),('available_releases::taxonomy_menu','a:11:{s:5:\"title\";s:13:\"Taxonomy menu\";s:10:\"short_name\";s:13:\"taxonomy_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1354041231\";s:6:\"mdhash\";s:32:\"adc321e1143241024a467aa5d80ca871\";s:8:\"filesize\";s:5:\"27625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1346896425\";s:6:\"mdhash\";s:32:\"590c259749920262b9c9698673d0e7ba\";s:8:\"filesize\";s:5:\"25466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1343504281\";s:6:\"mdhash\";s:32:\"2529b7c858b34f4bc3ab0f36c383edcf\";s:8:\"filesize\";s:5:\"25755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311037620\";s:6:\"mdhash\";s:32:\"7c8dd9c6135179139b304d4c53e19910\";s:8:\"filesize\";s:5:\"21792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1295050660\";s:6:\"mdhash\";s:32:\"bad372aab7f881a7d9084976b5e294fc\";s:8:\"filesize\";s:5:\"20775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294199467\";s:6:\"mdhash\";s:32:\"adb67fe63b51058cd5e5297ae7cd25c9\";s:8:\"filesize\";s:5:\"20806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919812\";s:6:\"mdhash\";s:32:\"a6e6b286b63221464f64c260a888810e\";s:8:\"filesize\";s:5:\"32419\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919140\";s:6:\"mdhash\";s:32:\"00bf9a45a91243002244ccd573ee4130\";s:8:\"filesize\";s:5:\"25970\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523048,1500436620,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523049,1500436620,1),('available_releases::ubercart','a:11:{s:5:\"title\";s:8:\"Ubercart\";s:10:\"short_name\";s:8:\"ubercart\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/ubercart\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:23:{s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:17:\"ubercart 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ubercart/releases/7.x-3.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1468637039\";s:6:\"mdhash\";s:32:\"7fa7e8418518b3bcb7d039d4d1aef4cf\";s:8:\"filesize\";s:6:\"623990\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1449242939\";s:6:\"mdhash\";s:32:\"ebd4debd9ab518b1adcbebc0651b2821\";s:8:\"filesize\";s:6:\"618921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1413965328\";s:6:\"mdhash\";s:32:\"903cc85c46b6a3ac48084a1e8011dfe3\";s:8:\"filesize\";s:6:\"618222\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1410347328\";s:6:\"mdhash\";s:32:\"8d574d94768d0ce151ef523137b64fe8\";s:8:\"filesize\";s:6:\"618045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1387304005\";s:6:\"mdhash\";s:32:\"027f5917a06eecea4d7aa0357682780b\";s:8:\"filesize\";s:6:\"623607\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1373562072\";s:6:\"mdhash\";s:32:\"30072fddd8dd14b9f8fe5b41b7c959d2\";s:8:\"filesize\";s:6:\"635025\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1361375074\";s:6:\"mdhash\";s:32:\"41b74941d1cfcbf2a1416612cccd76e6\";s:8:\"filesize\";s:6:\"628712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1355247565\";s:6:\"mdhash\";s:32:\"3995c2453144623eb88d67e900a2dcec\";s:8:\"filesize\";s:6:\"625756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1347317679\";s:6:\"mdhash\";s:32:\"6236f2d4ff1d21cdd94ca66b04dbf026\";s:8:\"filesize\";s:6:\"613449\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1335375089\";s:6:\"mdhash\";s:32:\"cf2cf49f7c8e94c2af6ab7b5fa9916b5\";s:8:\"filesize\";s:6:\"609210\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:16:\"ubercart 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1328128566\";s:6:\"mdhash\";s:32:\"8aed81546a4741c8d74d819622b59f19\";s:8:\"filesize\";s:6:\"603551\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:20:\"ubercart 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1327337150\";s:6:\"mdhash\";s:32:\"7d0c5d938b126043a4a40b9e73febc27\";s:8:\"filesize\";s:6:\"603627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:20:\"ubercart 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1323195643\";s:6:\"mdhash\";s:32:\"904a0800ca0ffa211040c41072fcad23\";s:8:\"filesize\";s:6:\"591281\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:20:\"ubercart 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1318007808\";s:6:\"mdhash\";s:32:\"6e144580e78d2c975c3221499ee5ec63\";s:8:\"filesize\";s:6:\"582402\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:20:\"ubercart 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1317764207\";s:6:\"mdhash\";s:32:\"083daa2223abbe84d339021682473785\";s:8:\"filesize\";s:6:\"582027\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:22:\"ubercart 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1311619619\";s:6:\"mdhash\";s:32:\"cf5f46482af76b38cb0e4792ae50b2b0\";s:8:\"filesize\";s:6:\"578935\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:22:\"ubercart 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1306429923\";s:6:\"mdhash\";s:32:\"129f7dfcb517b635a5f7a5c8c0285903\";s:8:\"filesize\";s:6:\"579000\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:22:\"ubercart 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1299861070\";s:6:\"mdhash\";s:32:\"bfcfd455c2450dd0cf87728381254094\";s:8:\"filesize\";s:6:\"566356\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:22:\"ubercart 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1291922445\";s:6:\"mdhash\";s:32:\"86ef09f0c7b5b43c7fad892d7765e258\";s:8:\"filesize\";s:6:\"544732\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:23:\"ubercart 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1279312213\";s:6:\"mdhash\";s:32:\"784a4bcd9ef2b5dfcf74360072ebb4b6\";s:8:\"filesize\";s:6:\"523429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:23:\"ubercart 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1276284013\";s:6:\"mdhash\";s:32:\"83e295da058eedcd073a6849f5e0c24c\";s:8:\"filesize\";s:6:\"539631\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:23:\"ubercart 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ubercart/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271258109\";s:6:\"mdhash\";s:32:\"595a852868dc64dd448215aaddaa0277\";s:8:\"filesize\";s:6:\"546015\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:20:\"ubercart 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ubercart/releases/7.x-3.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1483090984\";s:6:\"mdhash\";s:32:\"b4dbca8aea20e91d74117c2b4d2f1dd3\";s:8:\"filesize\";s:6:\"621432\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523048,1500436620,1),('available_releases::uuid','a:11:{s:5:\"title\";s:29:\"Universally Unique IDentifier\";s:10:\"short_name\";s:4:\"uuid\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/uuid\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"uuid 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/uuid/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493291943\";s:6:\"mdhash\";s:32:\"8b0e255654fe243d05c2d9b40253d37b\";s:8:\"filesize\";s:5:\"35318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"uuid 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1470153539\";s:6:\"mdhash\";s:32:\"e8cd70170717c647a6164302ae613796\";s:8:\"filesize\";s:5:\"35760\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"uuid 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1444230839\";s:6:\"mdhash\";s:32:\"8568d4d4b6738d492e9ac1598a0ebfc9\";s:8:\"filesize\";s:5:\"32766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1411454808\";s:6:\"mdhash\";s:32:\"629083e006338bede48093d2ed38a34f\";s:8:\"filesize\";s:5:\"32543\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1373620283\";s:6:\"mdhash\";s:32:\"91c830af4e0cc9f1af96045d35abe2f8\";s:8:\"filesize\";s:5:\"32971\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1366984230\";s:6:\"mdhash\";s:32:\"d86b882f9b9a7781b793451ab4312c31\";s:8:\"filesize\";s:5:\"32864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1328017553\";s:6:\"mdhash\";s:32:\"98e2129672b862c18b1f7ee7d0d77514\";s:8:\"filesize\";s:5:\"24904\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1313890923\";s:6:\"mdhash\";s:32:\"2c167186753964124297efd73084a7dc\";s:8:\"filesize\";s:5:\"19618\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"uuid 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/uuid/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1303997817\";s:6:\"mdhash\";s:32:\"539f913961442ccd6574f2799c65b797\";s:8:\"filesize\";s:5:\"17751\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"uuid 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/uuid/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1470153239\";s:6:\"mdhash\";s:32:\"8f4091c9f71cb2865508aa7238a7de70\";s:8:\"filesize\";s:5:\"35776\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523049,1500436620,1),('available_releases::views_bulk_operations','a:11:{s:5:\"title\";s:27:\"Views Bulk Operations (VBO)\";s:10:\"short_name\";s:21:\"views_bulk_operations\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:52:\"https://www.drupal.org/project/views_bulk_operations\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:13:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1487698683\";s:6:\"mdhash\";s:32:\"0009517dea9b41bccfdd6ded6881e21a\";s:8:\"filesize\";s:5:\"45529\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1435764539\";s:6:\"mdhash\";s:32:\"b9583bb0a2e9b89926adc3ecb2bda93b\";s:8:\"filesize\";s:5:\"44411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1387798104\";s:6:\"mdhash\";s:32:\"6e504288c3cde5dc71ef536764c14650\";s:8:\"filesize\";s:5:\"44149\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1354500015\";s:6:\"mdhash\";s:32:\"0650fc653870b5c12b2e7772ceaf6761\";s:8:\"filesize\";s:5:\"41247\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1347654564\";s:6:\"mdhash\";s:32:\"9c80c378576571607af80f578d0a732d\";s:8:\"filesize\";s:5:\"43783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:33:\"views_bulk_operations 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328576162\";s:6:\"mdhash\";s:32:\"801679e983d2f7021584b40328e828ee\";s:8:\"filesize\";s:5:\"45073\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:35:\"views_bulk_operations 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:75:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:80:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1318586502\";s:6:\"mdhash\";s:32:\"6533e4877c8fb6cce9b30ef21368155e\";s:8:\"filesize\";s:5:\"37993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:35:\"views_bulk_operations 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:75:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:80:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1313422921\";s:6:\"mdhash\";s:32:\"1c66f47594adc4a1e902ce248a0b3e44\";s:8:\"filesize\";s:5:\"34077\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:35:\"views_bulk_operations 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:75:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:80:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310769122\";s:6:\"mdhash\";s:32:\"69852b6f084949ea312a016c0ede58d0\";s:8:\"filesize\";s:5:\"33185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:36:\"views_bulk_operations 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308505319\";s:6:\"mdhash\";s:32:\"53ac21f79173a955ea298250ce5e73e6\";s:8:\"filesize\";s:5:\"30612\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:36:\"views_bulk_operations 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1306677417\";s:6:\"mdhash\";s:32:\"705895d000a7919df2afcf8773017692\";s:8:\"filesize\";s:5:\"31069\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:36:\"views_bulk_operations 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1306621617\";s:6:\"mdhash\";s:32:\"c0e74e29388a67d12af24d5db4dcdda8\";s:8:\"filesize\";s:5:\"30918\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:33:\"views_bulk_operations 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1494951783\";s:6:\"mdhash\";s:32:\"082fa5349a7328367a4139a04d7bb51c\";s:8:\"filesize\";s:5:\"45855\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500523020,1500436620,1),('fetch_failures','a:0:{}',1500436949,1500436620,1),('fetch_task::blockify',NULL,0,1500436572,0),('fetch_task::link',NULL,0,1500436572,0),('fetch_task::menu_trail_by_path',NULL,0,1500436572,0),('fetch_task::module_filter',NULL,0,1500436572,0),('fetch_task::statistics_counter',NULL,0,1500436572,0),('fetch_task::tb_megamenu',NULL,0,1500436572,0),('fetch_task::timeperiod',NULL,0,1500436572,0),('fetch_task::variable',NULL,0,1500436572,0),('fetch_task::views',NULL,0,1500436572,0),('fetch_task::views_bootstrap',NULL,0,1500436572,0),('fetch_task::views_fieldsets',NULL,0,1500436572,0),('fetch_task::views_field_view',NULL,0,1500436572,0),('fetch_task::views_horizontal_slider',NULL,0,1500436572,0),('fetch_task::views_load_more',NULL,0,1500436572,0),('fetch_task::views_slideshow',NULL,0,1500436572,0),('fetch_task::webform',NULL,0,1500436572,0),('fetch_task::we_content_migration',NULL,0,1500436572,0),('update_project_data','a:67:{s:21:\"views_bulk_operations\";a:17:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.4\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:27:\"Views Bulk Operations (VBO)\";s:4:\"link\";s:52:\"https://www.drupal.org/project/views_bulk_operations\";s:14:\"latest_version\";s:7:\"7.x-3.4\";s:8:\"releases\";a:1:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:29:\"views_bulk_operations 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_bulk_operations/releases/7.x-3.4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_bulk_operations-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1487698683\";s:6:\"mdhash\";s:32:\"0009517dea9b41bccfdd6ded6881e21a\";s:8:\"filesize\";s:5:\"45529\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.4\";s:6:\"status\";i:5;}s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:13:\"advanced_help\";a:17:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1432557782\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436433;}s:9:\"datestamp\";s:10:\"1432557782\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Advanced help\";s:4:\"link\";s:44:\"https://www.drupal.org/project/advanced_help\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"advanced_help 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/advanced_help/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/advanced_help-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1432557781\";s:6:\"mdhash\";s:32:\"34390aa730e617d19d611818fb20cc1d\";s:8:\"filesize\";s:5:\"94795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:4:\"quiz\";a:18:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:16:\"_info_file_ctime\";i:1500436436;}s:9:\"datestamp\";s:10:\"1498728262\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-4.0-rc8\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Quiz\";s:4:\"link\";s:35:\"https://www.drupal.org/project/quiz\";s:4:\"also\";a:1:{i:5;s:7:\"7.x-5.1\";}s:8:\"releases\";a:2:{s:7:\"7.x-5.1\";a:14:{s:4:\"name\";s:12:\"quiz 7.x-5.1\";s:7:\"version\";s:7:\"7.x-5.1\";s:3:\"tag\";s:7:\"7.x-5.1\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/quiz/releases/7.x-5.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/quiz-7.x-5.1.tar.gz\";s:4:\"date\";s:10:\"1489693082\";s:6:\"mdhash\";s:32:\"781dde56a0b544e11e0a5aaf1f5138c7\";s:8:\"filesize\";s:6:\"373756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-4.0-rc8\";a:15:{s:4:\"name\";s:16:\"quiz 7.x-4.0-rc8\";s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:3:\"tag\";s:11:\"7.x-4.0-rc8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/quiz/releases/7.x-4.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/quiz-7.x-4.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1498728242\";s:6:\"mdhash\";s:32:\"45bf95fdec44bfa7a7875021ceb94361\";s:8:\"filesize\";s:6:\"380050\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}s:14:\"latest_version\";s:11:\"7.x-4.0-rc8\";s:11:\"recommended\";s:11:\"7.x-4.0-rc8\";s:6:\"status\";i:5;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:11:\"block_class\";a:17:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:8:\"blockify\";a:13:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:11:\"certificate\";a:18:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.3\";s:9:\"datestamp\";s:10:\"1464119460\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1464119460\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Certificate\";s:4:\"link\";s:42:\"https://www.drupal.org/project/certificate\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha1\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:26:\"certificate 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/certificate/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/certificate-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1468513139\";s:6:\"mdhash\";s:32:\"75642a4b7370eefd554d4884b413057a\";s:8:\"filesize\";s:5:\"99111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"certificate 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/certificate/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/certificate-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1464117251\";s:6:\"mdhash\";s:32:\"ed4648e740feb1ad3458164cd4b03eac\";s:8:\"filesize\";s:5:\"22979\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-2.3\";s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:5:\"chart\";a:17:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:32:\"Google Chart Tools: Image Charts\";s:4:\"link\";s:36:\"https://www.drupal.org/project/chart\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"chart 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/chart/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/chart-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1314765120\";s:6:\"mdhash\";s:32:\"f877a12cef203b13ba46199b0ffff0dc\";s:8:\"filesize\";s:5:\"18712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:8:\"colorbox\";a:17:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1491291489\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.13\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Colorbox\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:14:\"latest_version\";s:8:\"7.x-2.13\";s:8:\"releases\";a:1:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491291483\";s:6:\"mdhash\";s:32:\"81942f2858a20cd9b986b4c7c82708e0\";s:8:\"filesize\";s:6:\"163128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.13\";s:6:\"status\";i:5;}s:7:\"context\";a:17:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500436439;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.7\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Context\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:14:\"latest_version\";s:7:\"7.x-3.7\";s:8:\"releases\";a:1:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:5;}s:6:\"course\";a:17:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:16:\"_info_file_ctime\";i:1500436440;}s:9:\"datestamp\";s:10:\"1487351587\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Course\";s:4:\"link\";s:37:\"https://www.drupal.org/project/course\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"course 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/course/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/course-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1487351584\";s:6:\"mdhash\";s:32:\"800204628d7a4c8b2ed7aa15cbd17f39\";s:8:\"filesize\";s:6:\"119172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:4:\"date\";a:17:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Date\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:6:\"entity\";a:17:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500028008;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:5;}s:15:\"entityreference\";a:17:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Entity reference\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:8:\"features\";a:17:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Features\";s:4:\"link\";s:39:\"https://www.drupal.org/project/features\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"features 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/features/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/features-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1461011639\";s:6:\"mdhash\";s:32:\"5641e5545020932570aed464fbaebf6a\";s:8:\"filesize\";s:5:\"97102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:16:\"field_collection\";a:17:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Field collection\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta12\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta12\";s:6:\"status\";i:5;}s:21:\"field_formatter_class\";a:17:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:21:\"Field Formatter Class\";s:4:\"link\";s:52:\"https://www.drupal.org/project/field_formatter_class\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361374878\";s:6:\"mdhash\";s:32:\"fcddd9d46e482811643a4340ccda7f13\";s:8:\"filesize\";s:4:\"8470\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:24:\"field_formatter_settings\";a:17:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:24:\"Field formatter settings\";s:4:\"link\";s:55:\"https://www.drupal.org/project/field_formatter_settings\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378741904\";s:6:\"mdhash\";s:32:\"d7bc7a84011a904f945b4fc54ff6eec0\";s:8:\"filesize\";s:4:\"9545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:11:\"field_group\";a:17:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:15:\"field_slideshow\";a:18:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.82\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Field Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:4:\"also\";a:1:{i:2;s:13:\"7.x-2.0-beta1\";}s:8:\"releases\";a:2:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:8:\"7.x-1.82\";s:11:\"recommended\";s:8:\"7.x-1.82\";s:6:\"status\";i:5;}s:10:\"flexslider\";a:17:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-2.0-rc2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Flex Slider\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:14:\"latest_version\";s:11:\"7.x-2.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-2.0-rc2\";s:6:\"status\";i:5;}s:6:\"follow\";a:17:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-2.0-alpha1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Follow\";s:4:\"link\";s:37:\"https://www.drupal.org/project/follow\";s:14:\"latest_version\";s:14:\"7.x-2.0-alpha1\";s:8:\"releases\";a:1:{s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:21:\"follow 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/follow/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/follow-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1366924811\";s:6:\"mdhash\";s:32:\"f694c41d16d6185fa76d2e255bada18e\";s:8:\"filesize\";s:6:\"454741\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-2.0-alpha1\";s:6:\"status\";i:5;}s:11:\"fontawesome\";a:17:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.6\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Font Awesome Icons\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:14:\"latest_version\";s:7:\"7.x-2.6\";s:8:\"releases\";a:1:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.6\";s:6:\"status\";i:5;}s:4:\"i18n\";a:17:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1497704047\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.18\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:20:\"Internationalization\";s:4:\"link\";s:35:\"https://www.drupal.org/project/i18n\";s:14:\"latest_version\";s:8:\"7.x-1.18\";s:8:\"releases\";a:1:{s:8:\"7.x-1.18\";a:14:{s:4:\"name\";s:13:\"i18n 7.x-1.18\";s:7:\"version\";s:8:\"7.x-1.18\";s:3:\"tag\";s:8:\"7.x-1.18\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/i18n/releases/7.x-1.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/i18n-7.x-1.18.tar.gz\";s:4:\"date\";s:10:\"1497704042\";s:6:\"mdhash\";s:32:\"e497647e0f4f8e53bfcfc3ff7cd3b5d7\";s:8:\"filesize\";s:6:\"158805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.18\";s:6:\"status\";i:5;}s:6:\"panels\";a:17:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.9\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Panels\";s:4:\"link\";s:37:\"https://www.drupal.org/project/panels\";s:14:\"latest_version\";s:7:\"7.x-3.9\";s:8:\"releases\";a:1:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:14:\"panels 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/panels/releases/7.x-3.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/panels-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1486394283\";s:6:\"mdhash\";s:32:\"b44a927da8ec8863192f3d806a127c6b\";s:8:\"filesize\";s:6:\"363262\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.9\";s:6:\"status\";i:5;}s:4:\"imce\";a:17:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1495890787\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1495890787\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"IMCE\";s:4:\"link\";s:35:\"https://www.drupal.org/project/imce\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"imce 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/imce/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/imce-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1495890784\";s:6:\"mdhash\";s:32:\"57c956347a4511727b7e03f122b909fc\";s:8:\"filesize\";s:5:\"62452\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:18:\"inline_entity_form\";a:17:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Inline Entity Form\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1460849406\";s:6:\"mdhash\";s:32:\"3e9bd90b93c363153a3914804a0dfb91\";s:8:\"filesize\";s:5:\"38827\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:5;}s:9:\"jcarousel\";a:17:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"jCarousel\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:14:\"latest_version\";s:7:\"7.x-2.7\";s:8:\"releases\";a:1:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:13:\"lang_dropdown\";a:17:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:26:\"Language Switcher Dropdown\";s:4:\"link\";s:44:\"https://www.drupal.org/project/lang_dropdown\";s:14:\"latest_version\";s:7:\"7.x-2.5\";s:8:\"releases\";a:1:{s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"lang_dropdown 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/lang_dropdown/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/lang_dropdown-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1387127904\";s:6:\"mdhash\";s:32:\"691113055535b8b1d4225d7eecb5a667\";s:8:\"filesize\";s:5:\"24486\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.5\";s:6:\"status\";i:5;}s:13:\"languageicons\";a:17:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:14:\"Language Icons\";s:4:\"link\";s:44:\"https://www.drupal.org/project/languageicons\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"languageicons 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/languageicons/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/languageicons-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1399825727\";s:6:\"mdhash\";s:32:\"5097ac19d351655794d0cda9a596120f\";s:8:\"filesize\";s:5:\"23863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:4:\"link\";a:13:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:10:\"logo_block\";a:17:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1498837444\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1498837444\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Logo Block\";s:4:\"link\";s:41:\"https://www.drupal.org/project/logo_block\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:18:\"logo_block 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/logo_block/releases/7.x-1.7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/logo_block-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1498837442\";s:6:\"mdhash\";s:32:\"b70d76b007e603ee34f4f466ac2963f2\";s:8:\"filesize\";s:4:\"9514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:15:\"menu_attributes\";a:17:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu attributes\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:5;}s:10:\"menu_block\";a:17:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1435676232\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1435676232\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Menu block\";s:4:\"link\";s:41:\"https://www.drupal.org/project/menu_block\";s:14:\"latest_version\";s:7:\"7.x-2.7\";s:8:\"releases\";a:1:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:18:\"menu_block 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/menu_block/releases/7.x-2.7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/menu_block-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1435675672\";s:6:\"mdhash\";s:32:\"83e01370ea5d503b47c8f888c10afc17\";s:8:\"filesize\";s:5:\"34548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:18:\"menu_trail_by_path\";a:13:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1489443187\";s:16:\"_info_file_ctime\";i:1500436445;}s:9:\"datestamp\";s:10:\"1489443187\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.3\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:13:\"module_filter\";a:13:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:10:\"newsletter\";a:17:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta10\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Newsletter\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta10\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta10\";s:6:\"status\";i:5;}s:10:\"references\";a:17:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500027352;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"References\";s:4:\"link\";s:41:\"https://www.drupal.org/project/references\";s:14:\"latest_version\";s:7:\"7.x-2.2\";s:8:\"releases\";a:1:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1492534743\";s:6:\"mdhash\";s:32:\"5d0a85ca042f6624087d094b84169f0a\";s:8:\"filesize\";s:5:\"40244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.2\";s:6:\"status\";i:5;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:5:\"print\";a:17:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.0\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:31:\"Printer, email and PDF versions\";s:4:\"link\";s:36:\"https://www.drupal.org/project/print\";s:14:\"latest_version\";s:7:\"7.x-2.0\";s:8:\"releases\";a:1:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:13:\"print 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/print/releases/7.x-2.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/print-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1396426745\";s:6:\"mdhash\";s:32:\"5e5cef97acc0135bf0debefa82f3c4f8\";s:8:\"filesize\";s:5:\"96755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.0\";s:6:\"status\";i:5;}s:9:\"quicktabs\";a:17:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.8\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Quick Tabs\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:14:\"latest_version\";s:7:\"7.x-3.8\";s:8:\"releases\";a:1:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.8\";s:6:\"status\";i:5;}s:5:\"rules\";a:17:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1492697958\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Rules\";s:4:\"link\";s:36:\"https://www.drupal.org/project/rules\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:14:\"rules 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/rules/releases/7.x-2.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/rules-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1492697942\";s:6:\"mdhash\";s:32:\"b66045ee97acdec07b4808f649e9dcc8\";s:8:\"filesize\";s:6:\"187783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:8:\"services\";a:17:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:16:\"_info_file_ctime\";i:1500028096;}s:9:\"datestamp\";s:10:\"1498574947\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.20\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Services\";s:4:\"link\";s:39:\"https://www.drupal.org/project/services\";s:14:\"latest_version\";s:8:\"7.x-3.20\";s:8:\"releases\";a:1:{s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:17:\"services 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/services/releases/7.x-3.20\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/services-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1498574943\";s:6:\"mdhash\";s:32:\"14b44ed8e020f9085e1c0be0dab5386c\";s:8:\"filesize\";s:6:\"109037\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-3.20\";s:6:\"status\";i:5;}s:6:\"signup\";a:19:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:6:\"Signup\";s:4:\"link\";s:37:\"https://www.drupal.org/project/signup\";s:14:\"latest_version\";s:11:\"7.x-1.x-dev\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"signup 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/signup/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/signup-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1390351105\";s:6:\"mdhash\";s:32:\"4d78ec1e9b7ab2dfe9cb08e3b4cd386b\";s:8:\"filesize\";s:5:\"90325\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:11:\"recommended\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:11:\"socialfield\";a:17:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1493127246\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1493127246\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:12:\"Social field\";s:4:\"link\";s:42:\"https://www.drupal.org/project/socialfield\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"socialfield 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/socialfield/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/socialfield-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1493127243\";s:6:\"mdhash\";s:32:\"1abc69d7fbb02711aa963edffdf76fee\";s:8:\"filesize\";s:5:\"16008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:18:\"statistics_counter\";a:13:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1432654383\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1432654383\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:9:\"strongarm\";a:17:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.0\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"Strongarm\";s:4:\"link\";s:40:\"https://www.drupal.org/project/strongarm\";s:14:\"latest_version\";s:7:\"7.x-2.0\";s:8:\"releases\";a:1:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"strongarm 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/strongarm/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/strongarm-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1339604214\";s:6:\"mdhash\";s:32:\"76f0757b173e612937b0e6ce0b9bca70\";s:8:\"filesize\";s:5:\"12284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.0\";s:6:\"status\";i:5;}s:13:\"taxonomy_menu\";a:18:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Taxonomy menu\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:4:\"also\";a:1:{i:2;s:14:\"7.x-2.0-alpha2\";}s:8:\"releases\";a:2:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-1.5\";s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:11:\"tb_megamenu\";a:13:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.0-rc2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:8:\"ubercart\";a:17:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1468644909\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.10\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Ubercart\";s:4:\"link\";s:39:\"https://www.drupal.org/project/ubercart\";s:14:\"latest_version\";s:8:\"7.x-3.10\";s:8:\"releases\";a:1:{s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:17:\"ubercart 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ubercart/releases/7.x-3.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ubercart-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1468637039\";s:6:\"mdhash\";s:32:\"7fa7e8418518b3bcb7d039d4d1aef4cf\";s:8:\"filesize\";s:6:\"623990\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:8:\"7.x-3.10\";s:6:\"status\";i:5;}s:10:\"timeperiod\";a:13:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:4:\"uuid\";a:17:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1493291958\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:29:\"Universally Unique IDentifier\";s:4:\"link\";s:35:\"https://www.drupal.org/project/uuid\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"uuid 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/uuid/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/uuid-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493291943\";s:6:\"mdhash\";s:32:\"8b0e255654fe243d05c2d9b40253d37b\";s:8:\"filesize\";s:5:\"35318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:5;}s:8:\"variable\";a:13:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:5:\"views\";a:13:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_bootstrap\";a:13:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:16:\"views_field_view\";a:13:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_fieldsets\";a:13:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:23:\"views_horizontal_slider\";a:13:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_load_more\";a:13:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_slideshow\";a:13:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.9\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:20:\"we_content_migration\";a:13:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:7:\"webform\";a:13:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-4.15\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}}',1500440403,1500436803,1),('update_project_projects','a:67:{s:21:\"views_bulk_operations\";a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"advanced_help\";a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1432557782\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436433;}s:9:\"datestamp\";s:10:\"1432557782\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"quiz\";a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:16:\"_info_file_ctime\";i:1500436436;}s:9:\"datestamp\";s:10:\"1498728262\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"block_class\";a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"blockify\";a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"certificate\";a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.3\";s:9:\"datestamp\";s:10:\"1464119460\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1464119460\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"chart\";a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"colorbox\";a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1491291489\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"context\";a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500436439;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"course\";a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:16:\"_info_file_ctime\";i:1500436440;}s:9:\"datestamp\";s:10:\"1487351587\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"date\";a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"entity\";a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500028008;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"entityreference\";a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"features\";a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"field_collection\";a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:21:\"field_formatter_class\";a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:24:\"field_formatter_settings\";a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"field_group\";a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"field_slideshow\";a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"flexslider\";a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"follow\";a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"fontawesome\";a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"i18n\";a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1497704047\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"panels\";a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"imce\";a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1495890787\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1495890787\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"inline_entity_form\";a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"jcarousel\";a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"lang_dropdown\";a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"languageicons\";a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"link\";a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"logo_block\";a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1498837444\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1498837444\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_attributes\";a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"menu_block\";a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1435676232\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1435676232\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"menu_trail_by_path\";a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1489443187\";s:16:\"_info_file_ctime\";i:1500436445;}s:9:\"datestamp\";s:10:\"1489443187\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"newsletter\";a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"references\";a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500027352;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"print\";a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"quicktabs\";a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"rules\";a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1492697958\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"services\";a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:16:\"_info_file_ctime\";i:1500028096;}s:9:\"datestamp\";s:10:\"1498574947\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"signup\";a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"socialfield\";a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1493127246\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1493127246\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"statistics_counter\";a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1432654383\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1432654383\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"strongarm\";a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"taxonomy_menu\";a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"tb_megamenu\";a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"ubercart\";a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1468644909\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"timeperiod\";a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"uuid\";a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1493291958\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"variable\";a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_bootstrap\";a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"views_field_view\";a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:23:\"views_horizontal_slider\";a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_load_more\";a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"webform\";a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1500440403,1500436803,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_variable`
--

DROP TABLE IF EXISTS `cache_variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_variable` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for variables.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_variable`
--

LOCK TABLES `cache_variable` WRITE;
/*!40000 ALTER TABLE `cache_variable` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `certificate_node`
--

DROP TABLE IF EXISTS `certificate_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `certificate_node` (
  `cnid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the per-node / per-type template setting.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Course node ID.',
  `mapper` varchar(255) NOT NULL COMMENT 'The mapper to use.',
  `type` varchar(255) NOT NULL COMMENT 'The value to match on.',
  `template` int(11) NOT NULL DEFAULT '0' COMMENT 'The certificate node ID to deliver on a match.',
  PRIMARY KEY (`cnid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-node certificate settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `certificate_node`
--

LOCK TABLES `certificate_node` WRITE;
/*!40000 ALTER TABLE `certificate_node` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `certificate_node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `certificate_node_settings`
--

DROP TABLE IF EXISTS `certificate_node_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `certificate_node_settings` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `orientation` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-node template settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `certificate_node_settings`
--

LOCK TABLES `certificate_node_settings` WRITE;
/*!40000 ALTER TABLE `certificate_node_settings` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `certificate_node_settings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `certificate_snapshots`
--

DROP TABLE IF EXISTS `certificate_snapshots`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `certificate_snapshots` (
  `csid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the per-user / per-course certificate snapshot.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'user.uid of the u.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'node.nid of the node.',
  `date` int(10) unsigned DEFAULT NULL COMMENT 'Date the certificate was generated.',
  `snapshot` longtext NOT NULL COMMENT 'The generated content of the certificate_snapshots.',
  `cid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Template ID used for generation.',
  PRIMARY KEY (`csid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores snapshots of users certificate for a particular...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `certificate_snapshots`
--

LOCK TABLES `certificate_snapshots` WRITE;
/*!40000 ALTER TABLE `certificate_snapshots` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `certificate_snapshots` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,7,1,'Nam at tortor in tellus','::1',1419788940,1419788938,1,'01/','admin','','','und','e9ce3339-5ffc-4da8-a9b3-a47577b18ad1'),(2,1,7,1,'Praesent ut ligula non mi','::1',1420649886,1420649883,1,'01.00/','admin','','','und','b6a32066-a549-490e-88a4-f05852443cd9');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `contact` VALUES (1,'Website feedback','you@yourdomain.com','',0,1);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `context`
--

DROP TABLE IF EXISTS `context`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The primary identifier for a context.',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT 'Description for this context.',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Tag for this context.',
  `conditions` text COMMENT 'Serialized storage of all context condition settings.',
  `reactions` text COMMENT 'Serialized storage of all context reaction settings.',
  `condition_mode` int(11) DEFAULT '0' COMMENT 'Condition mode for this context.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Storage for normal (user-defined) contexts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `context`
--

LOCK TABLES `context` WRITE;
/*!40000 ALTER TABLE `context` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `context` VALUES ('courses','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:8:\"courses*\";s:8:\"courses*\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:4:{s:28:\"menu-menu-properties-courses\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:23:\"menu-properties-courses\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:3:\"-10\";}s:23:\"views-our_courses-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"our_courses-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-10\";}s:23:\"views-recent_post-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"recent_post-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-9\";}s:23:\"views-testimonial-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"testimonial-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-8\";}}}}',0),('events','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:6:\"events\";s:6:\"events\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:3:{s:27:\"menu-menu-properties-events\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:22:\"menu-properties-events\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:3:\"-10\";}s:23:\"views-recent_news-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"recent_news-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-35\";}s:23:\"views-testimonial-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"testimonial-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-34\";}}}}',0),('event_grid','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:11:\"events/grid\";s:11:\"events/grid\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:1:{s:27:\"menu-menu-properties-events\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:22:\"menu-properties-events\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:3:\"-10\";}}}}',0),('gallery','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:8:\"gallery*\";s:8:\"gallery*\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:1:{s:22:\"menu-menu-gallery-menu\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:17:\"menu-gallery-menu\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:3:\"-10\";}}}}',0),('list_student','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:13:\"list-student*\";s:13:\"list-student*\";}}}','a:0:{}',0),('news','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:4:\"news\";s:4:\"news\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:4:{s:25:\"menu-menu-properties-view\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:20:\"menu-properties-view\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:2:\"-9\";}s:28:\"views-up_coming_events-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:22:\"up_coming_events-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-10\";}s:23:\"views-recent_post-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"recent_post-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-9\";}s:23:\"views-testimonial-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"testimonial-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-8\";}}}}',0),('news_grid','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:9:\"news/grid\";s:9:\"news/grid\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:1:{s:25:\"menu-menu-properties-view\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:20:\"menu-properties-view\";s:6:\"region\";s:11:\"top_content\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('node','','','a:1:{s:4:\"node\";a:2:{s:6:\"values\";a:1:{s:4:\"news\";s:4:\"news\";}s:7:\"options\";a:1:{s:9:\"node_form\";s:1:\"1\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:23:\"views-recent_post-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"recent_post-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-10\";}s:22:\"views-hot_course-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:16:\"hot_course-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('node_courses','','','a:1:{s:4:\"node\";a:2:{s:6:\"values\";a:1:{s:6:\"course\";s:6:\"course\";}s:7:\"options\";a:1:{s:9:\"node_form\";s:1:\"1\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:24:\"views-courses_info-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:18:\"courses_info-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-46\";}s:23:\"views-testimonial-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:17:\"testimonial-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-44\";}}}}',0),('node_events','','','a:1:{s:4:\"node\";a:2:{s:6:\"values\";a:1:{s:6:\"events\";s:6:\"events\";}s:7:\"options\";a:1:{s:9:\"node_form\";s:1:\"1\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:25:\"views-event_speaker-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:19:\"event_speaker-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:3:\"-10\";}s:28:\"views-up_coming_events-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:22:\"up_coming_events-block\";s:6:\"region\";s:14:\"sidebar_second\";s:6:\"weight\";s:2:\"-9\";}}}}',0);
/*!40000 ALTER TABLE `context` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_enrollment`
--

DROP TABLE IF EXISTS `course_enrollment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_enrollment` (
  `eid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: The eid of the enrollment.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The nid of the course node',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uid of the user',
  `enrollmenttype` varchar(128) DEFAULT '' COMMENT 'The type of enrollment, if applicable',
  `status` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The enrollment status.',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this enrollment was created.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time the user started the course.',
  `enroll_end` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Date enrollment ends.',
  `code` varchar(128) NOT NULL DEFAULT '' COMMENT 'The access code used to enroll.',
  `user_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The user type while in the context of this enrollment.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this enrollment type.',
  `data` mediumtext COMMENT 'Extra serialized enrollment data.',
  PRIMARY KEY (`eid`),
  UNIQUE KEY `nid_uid` (`nid`,`uid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores enrollment records.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_enrollment`
--

LOCK TABLES `course_enrollment` WRITE;
/*!40000 ALTER TABLE `course_enrollment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_enrollment` VALUES (1,18,7,NULL,1,1417429907,1417429907,0,'','','course_enrollment',NULL),(2,18,1,NULL,1,1417430638,1417430638,0,'','','course_enrollment',NULL);
/*!40000 ALTER TABLE `course_enrollment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_enrollment_type`
--

DROP TABLE IF EXISTS `course_enrollment_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_enrollment_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique enrollment type ID.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this enrollment type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this enrollment type.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The exportable status of the entity.',
  `module` varchar(255) DEFAULT NULL COMMENT 'The name of the providing module if the entity has been defined in code.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined profile types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_enrollment_type`
--

LOCK TABLES `course_enrollment_type` WRITE;
/*!40000 ALTER TABLE `course_enrollment_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_enrollment_type` VALUES (1,'course_enrollment','Course',1,NULL);
/*!40000 ALTER TABLE `course_enrollment_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_node`
--

DROP TABLE IF EXISTS `course_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_node` (
  `nid` int(10) unsigned NOT NULL COMMENT 'Course node ID.',
  `outline` varchar(255) NOT NULL DEFAULT '' COMMENT 'Course outline display handler.',
  `credits` decimal(6,2) DEFAULT NULL COMMENT 'Course credit.',
  `open` int(10) unsigned DEFAULT NULL COMMENT 'Date course opens.',
  `close` int(10) unsigned DEFAULT NULL COMMENT 'Date course closes.',
  `duration` int(11) NOT NULL DEFAULT '0' COMMENT 'Amount of time a user has to access this course.',
  `external_id` varchar(128) DEFAULT NULL COMMENT 'External ID of the course.',
  `enrollment_type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this enrollment type.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores course node settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_node`
--

LOCK TABLES `course_node` WRITE;
/*!40000 ALTER TABLE `course_node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_node` VALUES (16,'course',0.00,NULL,NULL,0,'CA-150','course_enrollment'),(17,'course',0.00,NULL,NULL,0,'','course_enrollment'),(18,'course',0.00,NULL,NULL,2599320,'CA-159','course_enrollment');
/*!40000 ALTER TABLE `course_node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_outline`
--

DROP TABLE IF EXISTS `course_outline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_outline` (
  `coid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the course object record.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'nid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The implementing module name (course_quiz etc)',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The item title',
  `object_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The course object key as defined by hook_course_handlers()',
  `enabled` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'is this item enabled?',
  `info` varchar(255) NOT NULL DEFAULT '' COMMENT 'The item info',
  `instance` varchar(255) DEFAULT NULL COMMENT 'The fulfillment instance',
  `required` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'is this item required?',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Order in course outline.',
  `hidden` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Visibility in course utline',
  `duration` int(11) NOT NULL DEFAULT '0' COMMENT 'Amount of time in seconds a user has to access this object.',
  `uuid` varchar(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  `data` text COMMENT 'Serialized data',
  PRIMARY KEY (`coid`),
  UNIQUE KEY `uuid` (`uuid`),
  KEY `nid` (`nid`),
  KEY `instance` (`instance`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores users’ course reports';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_outline`
--

LOCK TABLES `course_outline` WRITE;
/*!40000 ALTER TABLE `course_outline` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_outline` VALUES (1,18,'course_quiz','Quiz','quiz',1,'','44',1,-50,0,0,'f3f744ff-8d9a-4aff-b624-c660e0e6d667','a:10:{s:6:\"uniqid\";N;s:9:\"skippable\";i:0;s:6:\"delete\";i:0;s:15:\"delete_instance\";i:0;s:13:\"grade_include\";i:0;s:7:\"private\";i:0;s:9:\"node_type\";N;s:14:\"use_node_title\";i:0;s:9:\"quiz_goto\";s:4:\"view\";s:13:\"passing_grade\";i:75;}');
/*!40000 ALTER TABLE `course_outline` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_outline_fulfillment`
--

DROP TABLE IF EXISTS `course_outline_fulfillment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_outline_fulfillment` (
  `cofid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the course object fufillment record.',
  `coid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Identifier for the course object.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'uid of user.',
  `complete` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Is this item complete?',
  `grade_result` int(11) DEFAULT NULL COMMENT 'Object grade received.',
  `date_started` int(10) unsigned DEFAULT NULL COMMENT 'Date object was started.',
  `date_completed` int(10) unsigned DEFAULT NULL COMMENT 'Date object was completed.',
  `info` text COMMENT 'Description of fulfillment event',
  `uuid` varchar(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  `instance` varchar(255) DEFAULT NULL COMMENT 'The object instance',
  PRIMARY KEY (`cofid`),
  UNIQUE KEY `coid_uid` (`coid`,`uid`),
  UNIQUE KEY `uuid` (`uuid`),
  KEY `coid` (`coid`),
  KEY `date_completed` (`date_completed`),
  KEY `instance` (`instance`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores users’ course reports';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_outline_fulfillment`
--

LOCK TABLES `course_outline_fulfillment` WRITE;
/*!40000 ALTER TABLE `course_outline_fulfillment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_outline_fulfillment` VALUES (1,1,7,0,NULL,1417430461,NULL,'a:0:{}','123aa563-e1ee-488b-8617-4787d3f7d46b',NULL),(2,1,1,1,100,1417500987,1417501003,'a:1:{s:15:\"quiz_result_ids\";a:2:{i:0;s:1:\"1\";i:1;s:1:\"2\";}}','453920d1-7e04-47de-a024-10a50775e5a4',NULL);
/*!40000 ALTER TABLE `course_outline_fulfillment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `course_report`
--

DROP TABLE IF EXISTS `course_report`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_report` (
  `crid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Course report record ID.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Drupal course node.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Drupal user ID.',
  `date_completed` int(10) unsigned DEFAULT NULL COMMENT 'Date completed.',
  `updated` int(10) unsigned DEFAULT NULL COMMENT 'Date this record was updated.',
  `grade_result` int(11) DEFAULT NULL COMMENT 'Course grade received.',
  `section` varchar(255) NOT NULL DEFAULT '' COMMENT 'Key of current section.',
  `section_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of current section.',
  `complete` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Flag to mark this course as complete.',
  `data` mediumtext COMMENT 'Serialized snapshot data.',
  `coid` int(10) unsigned DEFAULT '0' COMMENT 'Identifier for the course object.',
  PRIMARY KEY (`crid`),
  UNIQUE KEY `uk` (`nid`,`uid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`),
  KEY `date_completed` (`date_completed`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores users’ course reports.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_report`
--

LOCK TABLES `course_report` WRITE;
/*!40000 ALTER TABLE `course_report` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `course_report` VALUES (1,18,7,1417429907,NULL,NULL,'complete','Quiz',1,'a:1:{s:4:\"uuid\";s:36:\"f6f008d1-9bd6-4315-86ce-41b432fe3d10\";}',1),(2,18,1,1417501003,NULL,NULL,'complete','Complete',1,'a:1:{s:4:\"uuid\";s:36:\"14499d64-6c5d-466e-b390-d48656cc22ac\";}',1);
/*!40000 ALTER TABLE `course_report` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_access_ruleset`
--

DROP TABLE IF EXISTS `ctools_access_ruleset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_access_ruleset` (
  `rsid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this ruleset. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this ruleset.',
  `admin_description` longtext COMMENT 'Administrative description for this ruleset.',
  `requiredcontexts` longtext COMMENT 'Any required contexts for this ruleset.',
  `contexts` longtext COMMENT 'Any embedded contexts for this ruleset.',
  `relationships` longtext COMMENT 'Any relationships for this ruleset.',
  `access` longtext COMMENT 'The actual group of access plugins for this ruleset.',
  PRIMARY KEY (`rsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains exportable customized access rulesets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_access_ruleset`
--

LOCK TABLES `ctools_access_ruleset` WRITE;
/*!40000 ALTER TABLE `ctools_access_ruleset` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_access_ruleset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_custom_content`
--

DROP TABLE IF EXISTS `ctools_custom_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_custom_content` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this content. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this content.',
  `admin_description` longtext COMMENT 'Administrative description for this content.',
  `category` varchar(255) DEFAULT NULL COMMENT 'Administrative category for this content.',
  `settings` longtext COMMENT 'Serialized settings for the actual content to be used',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains exportable customized content for this site.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_custom_content`
--

LOCK TABLES `ctools_custom_content` WRITE;
/*!40000 ALTER TABLE `ctools_custom_content` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_custom_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('day','Day',0),('day_month','Day Month',0),('long','Long',1),('medium','Medium',1),('month','Month',0),('month_day_year','Month Day, Year',0),('short','Short',1),('uc_store','Ubercart',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1),(36,'d M','custom',0),(37,'d','custom',0),(38,'M','custom',0),(39,'F d, Y','custom',0),(40,'Y-m-d','uc_store',1),(41,'m/d/Y','uc_store',1),(42,'d/m/Y','uc_store',1),(43,'Y/m/d','uc_store',1),(44,'d.m.Y','uc_store',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item`
--

DROP TABLE IF EXISTS `field_collection_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique field collection item ID.',
  `revision_id` int(11) NOT NULL COMMENT 'Default revision ID.',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of the field on the host entity embedding this entity.',
  `archived` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the field collection item is archived.',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`item_id`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item`
--

LOCK TABLES `field_collection_item` WRITE;
/*!40000 ALTER TABLE `field_collection_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item` VALUES (1,1,'field_list_file',0,'3e292ea5-fd25-4d75-a081-e577b4e971b4'),(2,2,'field_list_file',0,'74fbcd1d-de7a-43b5-beec-4c85a840604b'),(3,3,'field_list_file',0,'3a8f4b3e-5537-482a-9f3e-dd5e2b062e0c');
/*!40000 ALTER TABLE `field_collection_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item_revision`
--

DROP TABLE IF EXISTS `field_collection_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item_revision` (
  `revision_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique revision ID.',
  `item_id` int(11) NOT NULL COMMENT 'Field collection item ID.',
  PRIMARY KEY (`revision_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores revision information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item_revision`
--

LOCK TABLES `field_collection_item_revision` WRITE;
/*!40000 ALTER TABLE `field_collection_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item_revision` VALUES (1,1),(2,2),(3,3);
/*!40000 ALTER TABLE `field_collection_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:15:\"field_data_body\";a:3:{s:5:\"value\";s:10:\"body_value\";s:7:\"summary\";s:12:\"body_summary\";s:6:\"format\";s:11:\"body_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:19:\"field_revision_body\";a:3:{s:5:\"value\";s:10:\"body_value\";s:7:\"summary\";s:12:\"body_summary\";s:6:\"format\";s:11:\"body_format\";}}}}}s:2:\"id\";s:1:\"2\";}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}s:21:\"options_list_callback\";s:28:\"i18n_taxonomy_allowed_values\";}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"3\";}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:3:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:2:\"id\";s:1:\"4\";}',1,0,0),(5,'field_flexslider_example_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:13:\"default_image\";i:0;s:10:\"uri_scheme\";s:6:\"public\";}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}}',-1,0,0),(6,'field_flexslider_example_slidesh','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:13:\"default_image\";i:0;s:10:\"uri_scheme\";s:6:\"public\";}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}}',-1,0,0),(7,'taxonomy_forums','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"forums\";s:6:\"parent\";i:0;}}s:21:\"options_list_callback\";s:28:\"i18n_taxonomy_allowed_values\";}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_taxonomy_forums\";a:1:{s:3:\"tid\";s:19:\"taxonomy_forums_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_taxonomy_forums\";a:1:{s:3:\"tid\";s:19:\"taxonomy_forums_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_start_date','datetime','date',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:11:\"granularity\";a:6:{s:5:\"month\";s:5:\"month\";s:3:\"day\";s:3:\"day\";s:4:\"year\";s:4:\"year\";s:4:\"hour\";i:0;s:6:\"minute\";i:0;s:6:\"second\";i:0;}s:11:\"tz_handling\";s:4:\"none\";s:11:\"timezone_db\";s:0:\"\";s:13:\"cache_enabled\";i:0;s:11:\"cache_count\";s:1:\"4\";s:6:\"repeat\";s:1:\"0\";s:6:\"todate\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:27:\"field_data_field_start_date\";a:1:{s:5:\"value\";s:22:\"field_start_date_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:31:\"field_revision_field_start_date\";a:1:{s:5:\"value\";s:22:\"field_start_date_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:1:\"8\";}',1,0,0),(10,'field_user','user_reference','user_reference',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:3:{s:19:\"referenceable_roles\";a:2:{i:2;s:1:\"2\";i:3;i:0;}s:20:\"referenceable_status\";a:2:{i:1;i:0;i:0;i:0;}s:4:\"view\";a:3:{s:9:\"view_name\";s:0:\"\";s:12:\"display_name\";s:0:\"\";s:4:\"args\";a:0:{}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_user\";a:1:{s:3:\"uid\";s:14:\"field_user_uid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_user\";a:1:{s:3:\"uid\";s:14:\"field_user_uid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:7:\"indexes\";a:1:{s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}}s:2:\"id\";s:2:\"10\";}',1,0,0),(11,'field_full_name','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"11\";}',1,0,0),(12,'field_class','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_class\";a:2:{s:5:\"value\";s:17:\"field_class_value\";s:6:\"format\";s:18:\"field_class_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_class\";a:2:{s:5:\"value\";s:17:\"field_class_value\";s:6:\"format\";s:18:\"field_class_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"12\";}',1,0,0),(13,'field_user_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"user\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_user_type\";a:1:{s:3:\"tid\";s:19:\"field_user_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_user_type\";a:1:{s:3:\"tid\";s:19:\"field_user_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"13\";}',1,0,0),(14,'field_forums','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"forums\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(15,'field_courses','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:7:\"courses\";s:6:\"parent\";i:0;}}s:17:\"course_enrollment\";b:0;}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_courses\";a:1:{s:3:\"tid\";s:17:\"field_courses_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_courses\";a:1:{s:3:\"tid\";s:17:\"field_courses_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"15\";}',-1,0,0),(16,'field_events','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"events\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(17,'field_newsletter_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:21:\"newsletter_categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(18,'field_services','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"services\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(19,'field_newsletter_list','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',-1,0,0),(20,'field_newsletter_template','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',1,0,0),(21,'field_list_description','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(22,'field_newsletter_body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:32:\"field_data_field_newsletter_body\";a:3:{s:5:\"value\";s:27:\"field_newsletter_body_value\";s:7:\"summary\";s:29:\"field_newsletter_body_summary\";s:6:\"format\";s:28:\"field_newsletter_body_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:36:\"field_revision_field_newsletter_body\";a:3:{s:5:\"value\";s:27:\"field_newsletter_body_value\";s:7:\"summary\";s:29:\"field_newsletter_body_summary\";s:6:\"format\";s:28:\"field_newsletter_body_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"22\";}',1,0,0),(23,'field_field_professors','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"professors\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(24,'field_position','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_position\";a:2:{s:5:\"value\";s:20:\"field_position_value\";s:6:\"format\";s:21:\"field_position_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_position\";a:2:{s:5:\"value\";s:20:\"field_position_value\";s:6:\"format\";s:21:\"field_position_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"24\";}',1,0,0),(25,'field_graduated','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_graduated\";a:2:{s:5:\"value\";s:21:\"field_graduated_value\";s:6:\"format\";s:22:\"field_graduated_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_graduated\";a:2:{s:5:\"value\";s:21:\"field_graduated_value\";s:6:\"format\";s:22:\"field_graduated_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"25\";}',1,0,0),(26,'field_field_category','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"category\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(27,'field_category','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"category\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"27\";}',1,0,0),(28,'field_field_our_campus','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"our_campus\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(29,'field_address','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_address\";a:2:{s:5:\"value\";s:19:\"field_address_value\";s:6:\"format\";s:20:\"field_address_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_address\";a:2:{s:5:\"value\";s:19:\"field_address_value\";s:6:\"format\";s:20:\"field_address_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"29\";}',1,0,0),(30,'field_tel','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_tel\";a:2:{s:5:\"value\";s:15:\"field_tel_value\";s:6:\"format\";s:16:\"field_tel_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_tel\";a:2:{s:5:\"value\";s:15:\"field_tel_value\";s:6:\"format\";s:16:\"field_tel_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"30\";}',1,0,0),(31,'uc_product_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:8:\"settings\";a:3:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:27:\"field_data_uc_product_image\";a:5:{s:3:\"fid\";s:20:\"uc_product_image_fid\";s:3:\"alt\";s:20:\"uc_product_image_alt\";s:5:\"title\";s:22:\"uc_product_image_title\";s:5:\"width\";s:22:\"uc_product_image_width\";s:6:\"height\";s:23:\"uc_product_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:31:\"field_revision_uc_product_image\";a:5:{s:3:\"fid\";s:20:\"uc_product_image_fid\";s:3:\"alt\";s:20:\"uc_product_image_alt\";s:5:\"title\";s:22:\"uc_product_image_title\";s:5:\"width\";s:22:\"uc_product_image_width\";s:6:\"height\";s:23:\"uc_product_image_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"31\";}',-1,0,0),(32,'field_field_status','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"status\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(33,'field_status','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"status\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_status\";a:1:{s:3:\"tid\";s:16:\"field_status_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_status\";a:1:{s:3:\"tid\";s:16:\"field_status_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"33\";}',-1,0,0),(35,'field_description','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_description\";a:2:{s:5:\"value\";s:23:\"field_description_value\";s:6:\"format\";s:24:\"field_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_description\";a:2:{s:5:\"value\";s:23:\"field_description_value\";s:6:\"format\";s:24:\"field_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"35\";}',1,0,0),(39,'field_location','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_location\";a:2:{s:5:\"value\";s:20:\"field_location_value\";s:6:\"format\";s:21:\"field_location_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_location\";a:2:{s:5:\"value\";s:20:\"field_location_value\";s:6:\"format\";s:21:\"field_location_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"39\";}',1,0,0),(40,'field_campus','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"our_campus\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_campus\";a:1:{s:3:\"tid\";s:16:\"field_campus_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_campus\";a:1:{s:3:\"tid\";s:16:\"field_campus_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"40\";}',-1,0,0),(41,'field_user_description','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:33:\"field_data_field_user_description\";a:2:{s:5:\"value\";s:28:\"field_user_description_value\";s:6:\"format\";s:29:\"field_user_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:37:\"field_revision_field_user_description\";a:2:{s:5:\"value\";s:28:\"field_user_description_value\";s:6:\"format\";s:29:\"field_user_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"41\";}',1,0,0),(42,'field_person','user_reference','user_reference',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:4:{s:19:\"referenceable_roles\";a:2:{i:2;i:0;i:3;i:0;}s:20:\"referenceable_status\";a:2:{i:1;s:1:\"1\";i:0;i:0;}s:17:\"course_enrollment\";b:0;s:4:\"view\";a:3:{s:9:\"view_name\";s:0:\"\";s:12:\"display_name\";s:0:\"\";s:4:\"args\";a:0:{}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_person\";a:1:{s:3:\"uid\";s:16:\"field_person_uid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_person\";a:1:{s:3:\"uid\";s:16:\"field_person_uid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:7:\"indexes\";a:1:{s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}}s:2:\"id\";s:2:\"42\";}',1,0,0),(43,'field_timings','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_timings\";a:2:{s:5:\"value\";s:19:\"field_timings_value\";s:6:\"format\";s:20:\"field_timings_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_timings\";a:2:{s:5:\"value\";s:19:\"field_timings_value\";s:6:\"format\";s:20:\"field_timings_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"43\";}',1,0,0),(44,'field_during','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_during\";a:2:{s:5:\"value\";s:18:\"field_during_value\";s:6:\"format\";s:19:\"field_during_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_during\";a:2:{s:5:\"value\";s:18:\"field_during_value\";s:6:\"format\";s:19:\"field_during_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"44\";}',1,0,0),(45,'field_date','datetime','date',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:8:\"settings\";a:8:{s:11:\"granularity\";a:6:{s:5:\"month\";s:5:\"month\";s:3:\"day\";s:3:\"day\";s:4:\"year\";s:4:\"year\";s:4:\"hour\";i:0;s:6:\"minute\";i:0;s:6:\"second\";i:0;}s:11:\"tz_handling\";s:4:\"none\";s:11:\"timezone_db\";s:0:\"\";s:13:\"cache_enabled\";i:0;s:11:\"cache_count\";s:1:\"4\";s:6:\"repeat\";s:1:\"0\";s:17:\"course_enrollment\";b:0;s:6:\"todate\";s:0:\"\";}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_date\";a:1:{s:5:\"value\";s:16:\"field_date_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_date\";a:1:{s:5:\"value\";s:16:\"field_date_value\";}}}}}s:2:\"id\";s:2:\"45\";}',1,0,0),(46,'field_integer','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_integer\";a:1:{s:5:\"value\";s:19:\"field_integer_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_integer\";a:1:{s:5:\"value\";s:19:\"field_integer_value\";}}}}}s:2:\"id\";s:2:\"46\";}',1,0,0),(47,'field_letters','list_text','list',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:6:{s:1:\"a\";s:8:\"Aardvark\";s:1:\"b\";s:10:\"Bumble-Bee\";s:1:\"c\";s:12:\" Caterpillar\";s:1:\"d\";s:16:\"Devil, Tasmanian\";s:1:\"e\";s:8:\"Elephant\";s:1:\"f\";s:11:\"Frigatebird\";}s:23:\"allowed_values_function\";s:0:\"\";}s:12:\"translatable\";i:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";}s:2:\"id\";s:2:\"47\";}',-1,0,0),(48,'field_field_location','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"location\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(49,'field_field_gallery_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:18:\"gallery_categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(50,'field_gallery_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:18:\"gallery_categories\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:35:\"field_data_field_gallery_categories\";a:1:{s:3:\"tid\";s:28:\"field_gallery_categories_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:39:\"field_revision_field_gallery_categories\";a:1:{s:3:\"tid\";s:28:\"field_gallery_categories_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"50\";}',1,0,0),(51,'field_field_statistic','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:9:\"statistic\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(54,'field_map','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_map\";a:3:{s:5:\"value\";s:15:\"field_map_value\";s:7:\"summary\";s:17:\"field_map_summary\";s:6:\"format\";s:16:\"field_map_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_map\";a:3:{s:5:\"value\";s:15:\"field_map_value\";s:7:\"summary\";s:17:\"field_map_summary\";s:6:\"format\";s:16:\"field_map_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"54\";}',1,0,0),(56,'field_field_newsletter','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"newsletter\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(59,'field_field_class','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:5:\"class\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(60,'field__class','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:5:\"class\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field__class\";a:1:{s:3:\"tid\";s:16:\"field__class_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field__class\";a:1:{s:3:\"tid\";s:16:\"field__class_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"60\";}',1,0,0),(61,'field_facebook','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:8:{s:17:\"course_enrollment\";b:0;s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"61\";}',1,0,0),(62,'field_twitter','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:8:{s:17:\"course_enrollment\";b:0;s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"62\";}',1,0,0),(63,'field_google_plus','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:8:{s:17:\"course_enrollment\";b:0;s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_google_plus\";a:3:{s:3:\"url\";s:21:\"field_google_plus_url\";s:5:\"title\";s:23:\"field_google_plus_title\";s:10:\"attributes\";s:28:\"field_google_plus_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_google_plus\";a:3:{s:3:\"url\";s:21:\"field_google_plus_url\";s:5:\"title\";s:23:\"field_google_plus_title\";s:10:\"attributes\";s:28:\"field_google_plus_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"63\";}',1,0,0),(64,'field_linkedin','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:8:{s:17:\"course_enrollment\";b:0;s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_linkedin\";a:3:{s:3:\"url\";s:18:\"field_linkedin_url\";s:5:\"title\";s:20:\"field_linkedin_title\";s:10:\"attributes\";s:25:\"field_linkedin_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_linkedin\";a:3:{s:3:\"url\";s:18:\"field_linkedin_url\";s:5:\"title\";s:20:\"field_linkedin_title\";s:10:\"attributes\";s:25:\"field_linkedin_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"64\";}',1,0,0),(65,'field_timing','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_timing\";a:2:{s:5:\"value\";s:18:\"field_timing_value\";s:6:\"format\";s:19:\"field_timing_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_timing\";a:2:{s:5:\"value\";s:18:\"field_timing_value\";s:6:\"format\";s:19:\"field_timing_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"65\";}',1,0,0),(66,'field_date_to_date','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_date_to_date\";a:2:{s:5:\"value\";s:24:\"field_date_to_date_value\";s:6:\"format\";s:25:\"field_date_to_date_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_date_to_date\";a:2:{s:5:\"value\";s:24:\"field_date_to_date_value\";s:6:\"format\";s:25:\"field_date_to_date_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"66\";}',1,0,0),(67,'field_field_room','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"room\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(68,'field_room','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"room\";s:6:\"parent\";s:1:\"0\";}}s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_room\";a:1:{s:3:\"tid\";s:14:\"field_room_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_room\";a:1:{s:3:\"tid\";s:14:\"field_room_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"68\";}',1,0,0),(69,'field_credit','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_credit\";a:1:{s:5:\"value\";s:18:\"field_credit_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_credit\";a:1:{s:5:\"value\";s:18:\"field_credit_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"69\";}',1,0,0),(70,'field_email','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"max_length\";s:3:\"255\";s:17:\"course_enrollment\";b:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_email\";a:2:{s:5:\"value\";s:17:\"field_email_value\";s:6:\"format\";s:18:\"field_email_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_email\";a:2:{s:5:\"value\";s:17:\"field_email_value\";s:6:\"format\";s:18:\"field_email_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"70\";}',1,0,0),(71,'field_list_file','field_collection','field_collection',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:16:\"hide_blank_items\";i:1;s:4:\"path\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_list_file\";a:2:{s:5:\"value\";s:21:\"field_list_file_value\";s:11:\"revision_id\";s:27:\"field_list_file_revision_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_list_file\";a:2:{s:5:\"value\";s:21:\"field_list_file_value\";s:11:\"revision_id\";s:27:\"field_list_file_revision_id\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:2:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:2:\"id\";s:2:\"71\";}',-1,0,0),(72,'field_file','file','file',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:3:{s:13:\"display_field\";i:0;s:15:\"display_default\";i:0;s:10:\"uri_scheme\";s:6:\"public\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_file\";a:3:{s:3:\"fid\";s:14:\"field_file_fid\";s:7:\"display\";s:18:\"field_file_display\";s:11:\"description\";s:22:\"field_file_description\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_file\";a:3:{s:3:\"fid\";s:14:\"field_file_fid\";s:7:\"display\";s:18:\"field_file_display\";s:11:\"description\";s:22:\"field_file_description\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"72\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=146 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"2\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";i:-4;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";b:0;s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}}}',0),(7,5,'field_flexslider_example_image','node','flexslider_example','a:6:{s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:24:\"FlexSlider Example Image\";s:8:\"required\";i:0;s:8:\"settings\";a:9:{s:9:\"alt_field\";i:0;s:13:\"default_image\";i:0;s:14:\"file_directory\";s:18:\"flexslider_example\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:11:\"title_field\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:5:\"image\";s:8:\"settings\";a:2:{s:19:\"preview_image_style\";s:9:\"thumbnail\";s:18:\"progress_indicator\";s:8:\"throbber\";}s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";s:2:\"-4\";}}',0),(8,6,'field_flexslider_example_slidesh','node','flexslider_example','a:6:{s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:6:\"module\";s:17:\"flexslider_fields\";s:8:\"settings\";a:4:{s:7:\"caption\";i:1;s:11:\"image_style\";s:0:\"\";s:9:\"optionset\";s:35:\"flexslider_default_thumbnail_slider\";s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:10:\"flexslider\";s:6:\"weight\";s:1:\"1\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:28:\"FlexSlider Example Slideshow\";s:8:\"required\";i:0;s:8:\"settings\";a:9:{s:9:\"alt_field\";i:0;s:13:\"default_image\";i:0;s:14:\"file_directory\";s:18:\"flexslider_example\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:11:\"title_field\";i:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:5:\"image\";s:8:\"settings\";a:2:{s:19:\"preview_image_style\";s:9:\"thumbnail\";s:18:\"progress_indicator\";s:8:\"throbber\";}s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";s:2:\"-3\";}}',0),(9,1,'comment_body','comment','comment_node_flexslider_example','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(10,7,'taxonomy_forums','node','forum','a:6:{s:5:\"label\";s:6:\"Forums\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(11,1,'comment_body','comment','comment_node_forum','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(12,2,'body','node','forum','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:11;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:11;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(13,1,'comment_body','comment','comment_node_events','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(14,2,'body','node','events','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(15,8,'field_start_date','node','events','a:6:{s:5:\"label\";s:10:\"Start Date\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:10:\"date_popup\";s:6:\"module\";s:4:\"date\";s:6:\"active\";i:1;s:8:\"settings\";a:8:{s:12:\"input_format\";s:13:\"m/d/Y - H:i:s\";s:19:\"input_format_custom\";s:0:\"\";s:10:\"year_range\";s:5:\"-3:+3\";s:9:\"increment\";s:2:\"15\";s:14:\"label_position\";s:5:\"above\";s:10:\"text_parts\";a:0:{}s:15:\"display_all_day\";i:0;s:16:\"repeat_collapsed\";i:0;}}s:8:\"settings\";a:5:{s:13:\"default_value\";s:3:\"now\";s:18:\"default_value_code\";s:0:\"\";s:14:\"default_value2\";s:4:\"same\";s:19:\"default_value_code2\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(16,1,'comment_body','comment','comment_node_news','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";s:1:\"4\";s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(17,2,'body','node','news','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(19,4,'field_image','node','news','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"images/news\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(20,4,'field_image','taxonomy_term','services','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:15:\"images/services\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(21,1,'comment_body','comment','comment_node_why_us','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(22,2,'body','node','why_us','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(23,1,'comment_body','comment','comment_node_testimonials','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(24,2,'body','node','testimonials','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(26,10,'field_user','node','testimonials','a:7:{s:5:\"label\";s:4:\"User\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:22:\"user_reference_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:14:\"user_reference\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(27,11,'field_full_name','user','user','a:7:{s:5:\"label\";s:9:\"Full name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(29,13,'field_user_type','user','user','a:7:{s:5:\"label\";s:9:\"User type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:3:\"tid\";s:2:\"18\";}}}',0),(30,14,'field_forums','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Forums\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(32,15,'field_courses','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:7:\"Courses\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:2;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(33,16,'field_events','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Events\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:3;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(34,17,'field_newsletter_categories','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(35,18,'field_services','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:8:\"Services\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:4;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(36,3,'field_tags','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:5;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(37,10,'field_user','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"User\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:22:\"user_reference_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:14:\"user_reference\";s:6:\"weight\";i:6;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(38,21,'field_list_description','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"text_textfield\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(39,19,'field_newsletter_list','newsletter_subscriber','newsletter_subscriber','a:6:{s:5:\"label\";s:5:\"Lists\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"newsletter_list\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:2:{s:4:\"link\";b:0;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:0;}}s:11:\"description\";s:0:\"\";}',0),(40,20,'field_newsletter_template','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Template\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"newsletter_template\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:2:{s:4:\"link\";b:0;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',0),(41,22,'field_newsletter_body','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:7;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(42,22,'field_newsletter_body','newsletter_newsletter','newsletter_newsletter','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(46,24,'field_position','taxonomy_term','professors','a:7:{s:5:\"label\";s:8:\"Position\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(47,25,'field_graduated','taxonomy_term','professors','a:6:{s:5:\"label\";s:9:\"Graduated\";s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(48,4,'field_image','taxonomy_term','professors','a:6:{s:5:\"label\";s:9:\"Slideshow\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:16:\"images/professor\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(49,1,'comment_body','comment','comment_node_slideshow','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(50,2,'body','node','slideshow','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(51,4,'field_image','node','slideshow','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:16:\"images/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(52,27,'field_category','node','news','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(53,4,'field_image','taxonomy_term','our_campus','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:17:\"images/our_campus\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(54,29,'field_address','taxonomy_term','our_campus','a:7:{s:5:\"label\";s:7:\"Address\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(55,30,'field_tel','taxonomy_term','our_campus','a:7:{s:5:\"label\";s:3:\"Tel\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(56,1,'comment_body','comment','comment_node_webform','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(57,1,'comment_body','comment','comment_node_quiz','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(58,2,'body','node','quiz','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(59,1,'comment_body','comment','comment_node_book','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(60,2,'body','node','book','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(61,1,'comment_body','comment','comment_node_certificate','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(62,2,'body','node','certificate','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(63,1,'comment_body','comment','comment_node_course','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(64,1,'comment_body','comment','comment_node_poll','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(65,1,'comment_body','comment','comment_node_product','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(66,2,'body','node','product','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(67,31,'uc_product_image','node','product','a:7:{s:5:\"label\";s:5:\"Image\";s:6:\"weight\";i:-2;s:6:\"widget\";a:5:{s:6:\"weight\";i:-3;s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:7:\"display\";a:3:{s:4:\"full\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:16:\"uc_product_image\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:10:\"uc_product\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:16:\"uc_product_image\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:10:\"uc_product\";s:6:\"weight\";i:1;}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:14:\"images/product\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(68,1,'comment_body','comment','comment_node_long_answer','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(69,2,'body','node','long_answer','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(70,1,'comment_body','comment','comment_node_matching','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(71,2,'body','node','matching','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(72,1,'comment_body','comment','comment_node_multichoice','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(73,2,'body','node','multichoice','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(74,1,'comment_body','comment','comment_node_quiz_ddlines','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(75,2,'body','node','quiz_ddlines','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(76,4,'field_image','node','quiz_ddlines','a:6:{s:5:\"label\";s:16:\"Background image\";s:11:\"description\";s:715:\"<p>Start by uploading a background image. The image is movable within the canvas.<br/> \n    				The next step is to add the alternatives, by clicking in the canvas. \n    				Each alternative consists of a circular hotspot, a label, and a connecting line. You need \n    				to double click the rectangular label to add the text, and move the hotspot to the correct\n    				position. When selecting a label, a popup-window is displayed, which gives you the following\n    				alternatives:\n    				<ul>\n    					<li>Set the alternative\'s feedback (only possible if feedback is enabled)</li>\n    					<li>Set the color of each alternative</li>\n    					<li>Delete the alternative</li>\n    				</ul>    				\n    				</p>\";s:8:\"required\";b:1;s:8:\"settings\";a:10:{s:5:\"no_ui\";b:1;s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:14:\"file_directory\";s:0:\"\";s:12:\"max_filesize\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:8:\"settings\";a:3:{s:19:\"preview_image_style\";s:12:\"quiz_ddlines\";s:5:\"no_ui\";b:1;s:18:\"progress_indicator\";s:8:\"throbber\";}s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:-2;s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}}',0),(77,1,'comment_body','comment','comment_node_quiz_directions','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(78,2,'body','node','quiz_directions','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(79,1,'comment_body','comment','comment_node_scale','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(80,2,'body','node','scale','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(81,1,'comment_body','comment','comment_node_short_answer','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(82,2,'body','node','short_answer','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(83,1,'comment_body','comment','comment_node_truefalse','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(84,2,'body','node','truefalse','a:6:{s:5:\"label\";s:8:\"Question\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:6;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-10;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:8:\"question\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(85,4,'field_image','node','course','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"module\";s:5:\"image\";}s:8:\"settings\";a:9:{s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:14:\"file_directory\";s:0:\"\";s:12:\"max_filesize\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"14\";s:8:\"settings\";a:0:{}}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(86,33,'field_status','node','course','a:7:{s:5:\"label\";s:6:\"Status\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"12\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(88,35,'field_description','node','course','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"13\";s:8:\"settings\";a:0:{}}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(89,4,'field_image','node','events','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:12:\"images/event\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(93,39,'field_location','node','events','a:7:{s:5:\"label\";s:8:\"Location\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(94,40,'field_campus','node','events','a:7:{s:5:\"label\";s:6:\"Campus\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(95,41,'field_user_description','user','user','a:7:{s:5:\"label\";s:16:\"User Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(96,42,'field_person','node','events','a:7:{s:5:\"label\";s:6:\"Person\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:27:\"user_reference_autocomplete\";s:6:\"module\";s:14:\"user_reference\";s:6:\"active\";i:1;s:8:\"settings\";a:3:{s:18:\"autocomplete_match\";s:8:\"contains\";s:4:\"size\";s:2:\"60\";s:17:\"autocomplete_path\";s:27:\"user_reference/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(97,43,'field_timings','node','events','a:7:{s:5:\"label\";s:7:\"Timings\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(98,44,'field_during','node','events','a:7:{s:5:\"label\";s:6:\"During\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(100,40,'field_campus','node','course','a:7:{s:5:\"label\";s:6:\"Campus\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"15\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(101,2,'body','node','bef_test','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:0;}}s:5:\"label\";s:4:\"Body\";s:8:\"required\";b:0;s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:7;}}',0),(102,45,'field_date','node','bef_test','a:6:{s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:6:\"module\";s:4:\"date\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:4:\"long\";s:6:\"fromto\";s:4:\"both\";s:13:\"multiple_from\";s:0:\"\";s:15:\"multiple_number\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:12:\"date_default\";s:6:\"weight\";i:6;}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:4:\"date\";s:8:\"required\";i:0;s:8:\"settings\";a:5:{s:13:\"default_value\";s:3:\"now\";s:14:\"default_value2\";s:4:\"same\";s:18:\"default_value_code\";s:0:\"\";s:19:\"default_value_code2\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:4:\"date\";s:8:\"settings\";a:8:{s:9:\"increment\";i:1;s:12:\"input_format\";s:13:\"m/d/Y - H:i:s\";s:19:\"input_format_custom\";s:0:\"\";s:14:\"label_position\";s:5:\"above\";s:10:\"text_parts\";a:0:{}s:10:\"year_range\";s:5:\"-3:+3\";s:15:\"display_all_day\";i:0;s:16:\"repeat_collapsed\";i:0;}s:4:\"type\";s:9:\"date_text\";s:6:\"weight\";i:6;}}',0),(103,46,'field_integer','node','bef_test','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:6:\"module\";s:6:\"number\";s:8:\"settings\";a:5:{s:17:\"decimal_separator\";s:1:\".\";s:13:\"prefix_suffix\";b:1;s:5:\"scale\";i:0;s:18:\"thousand_separator\";s:1:\" \";s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";i:4;}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:7:\"Integer\";s:8:\"required\";i:0;s:8:\"settings\";a:5:{s:3:\"max\";i:5000;s:3:\"min\";i:100;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:0;s:6:\"module\";s:6:\"number\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:4;}}',0),(104,47,'field_letters','node','bef_test','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:6:\"module\";s:4:\"list\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:12:\"list_default\";s:6:\"weight\";i:1;}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:7:\"Letters\";s:8:\"required\";i:0;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:7:\"options\";s:8:\"settings\";a:0:{}s:4:\"type\";s:15:\"options_buttons\";s:6:\"weight\";i:1;}}',0),(105,39,'field_location','node','bef_test','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:6:\"module\";s:8:\"taxonomy\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:3;}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:8:\"Location\";s:8:\"required\";i:0;s:8:\"settings\";a:2:{s:18:\"user_register_form\";b:0;s:15:\"text_processing\";i:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:7:\"options\";s:8:\"settings\";a:0:{}s:4:\"type\";s:15:\"options_buttons\";s:6:\"weight\";i:3;}}',0),(106,39,'field_location','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:8:\"Location\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:8;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(107,4,'field_image','node','page','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:6:\"images\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(108,1,'comment_body','comment','comment_node_gallery','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(109,2,'body','node','gallery','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(110,4,'field_image','node','gallery','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"33\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:14:\"images/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(111,50,'field_gallery_categories','node','gallery','a:7:{s:5:\"label\";s:18:\"Gallery Categories\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"34\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(112,1,'comment_body','comment','comment_node_faq','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(113,2,'body','node','faq','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(116,54,'field_map','node','webform','a:7:{s:5:\"label\";s:3:\"Map\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"20\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(117,2,'body','node','webform','a:7:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"20\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(118,22,'field_newsletter_body','user','user','a:7:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"20\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(120,12,'field_class','taxonomy_term','category','a:7:{s:5:\"label\";s:5:\"Class\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(121,12,'field_class','taxonomy_term','gallery_categories','a:7:{s:5:\"label\";s:5:\"Class\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(122,2,'body','node','course','a:7:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"20\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(123,42,'field_person','node','course','a:7:{s:5:\"label\";s:7:\"Teacher\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"14\";s:4:\"type\";s:27:\"user_reference_autocomplete\";s:6:\"module\";s:14:\"user_reference\";s:6:\"active\";i:1;s:8:\"settings\";a:3:{s:18:\"autocomplete_match\";s:8:\"contains\";s:4:\"size\";s:2:\"60\";s:17:\"autocomplete_path\";s:27:\"user_reference/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(126,12,'field_class','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:5:\"Class\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:9;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(127,60,'field__class','user','user','a:7:{s:5:\"label\";s:5:\"Class\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"i18n_taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(128,61,'field_facebook','user','user','a:7:{s:5:\"label\";s:8:\"Facebook\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"absolute_url\";i:1;s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:27:\"title_label_use_field_label\";i:0;s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:6:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:18:\"configurable_class\";i:0;s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:8:\"Facebook\";s:3:\"url\";s:21:\"http://facebook.com/#\";}}}',0),(129,62,'field_twitter','user','user','a:7:{s:5:\"label\";s:7:\"Twitter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"13\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"absolute_url\";i:1;s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:27:\"title_label_use_field_label\";i:0;s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:6:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:18:\"configurable_class\";i:0;s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Twitter\";s:3:\"url\";s:20:\"http://twitter.com/#\";}}}',0),(130,63,'field_google_plus','user','user','a:7:{s:5:\"label\";s:11:\"Google Plus\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"14\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"absolute_url\";i:1;s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:27:\"title_label_use_field_label\";i:0;s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:6:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:18:\"configurable_class\";i:0;s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:11:\"Google Plus\";s:3:\"url\";s:24:\"http://plus.google.com/#\";}}}',0),(131,64,'field_linkedin','user','user','a:7:{s:5:\"label\";s:8:\"Linkedin\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"15\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"absolute_url\";i:1;s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:27:\"title_label_use_field_label\";i:0;s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:6:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:18:\"configurable_class\";i:0;s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:8:\"Linkedin\";s:3:\"url\";s:21:\"http://linkedin.com/#\";}}}',0),(132,65,'field_timing','node','course','a:7:{s:5:\"label\";s:7:\"Timings\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(134,66,'field_date_to_date','node','course','a:7:{s:5:\"label\";s:4:\"Date\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(135,68,'field_room','node','course','a:7:{s:5:\"label\";s:4:\"Room\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(136,46,'field_integer','node','course','a:7:{s:5:\"label\";s:20:\"Number Student (Max)\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(137,69,'field_credit','node','course','a:7:{s:5:\"label\";s:6:\"Credit\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:1:\"0\";}}}',0),(139,15,'field_courses','node','course','a:7:{s:5:\"label\";s:18:\"Courses Categories\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"13\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:3:\"tid\";s:1:\"6\";}}}',0),(140,70,'field_email','comment','comment_node_news','a:7:{s:5:\"label\";s:5:\"Email\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(142,11,'field_full_name','comment','comment_node_news','a:7:{s:5:\"label\";s:9:\"Full name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(143,71,'field_list_file','node','course','a:7:{s:5:\"label\";s:16:\"Course Downloads\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"16\";s:4:\"type\";s:22:\"field_collection_embed\";s:6:\"module\";s:16:\"field_collection\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:2:{s:17:\"course_enrollment\";b:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"field_collection_view\";s:8:\"settings\";a:6:{s:4:\"edit\";s:4:\"Edit\";s:6:\"delete\";s:6:\"Delete\";s:3:\"add\";s:3:\"Add\";s:11:\"description\";b:1;s:9:\"view_mode\";s:4:\"full\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:16:\"field_collection\";s:6:\"weight\";i:16;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(144,35,'field_description','field_collection_item','field_list_file','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"0\";s:17:\"course_enrollment\";b:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(145,72,'field_file','field_collection_item','field_list_file','a:6:{s:5:\"label\";s:4:\"File\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:12:\"file_generic\";s:6:\"module\";s:4:\"file\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:6:{s:14:\"file_directory\";s:10:\"field/docs\";s:15:\"file_extensions\";s:30:\"doc pdf docx xls xlsx ppt pptx\";s:12:\"max_filesize\";s:0:\"\";s:17:\"description_field\";i:0;s:17:\"course_enrollment\";b:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"file_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"file\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','page',0,1,1,'und',0,'<p>Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.</p>\r\n','','filtered_html'),('node','events',0,2,2,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,3,3,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n														<blockquote>\r\n															<p>\" Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. \"</p>\r\n														</blockquote>\r\n														<h1>h1. Heading 1</h1>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<ul>\r\n															<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n															<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n															<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n														</ul>\r\n														<h2>h2. Heading 2</h1>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<h3>h3. Heading 3</h3>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','events',0,4,4,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','news',0,5,5,'und',0,'Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco \r\neuismod ornare omra furato suda. ','','filtered_html'),('node','news',0,6,6,'und',0,'<p>Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur</p>\r\n','','filtered_html'),('node','news',0,7,7,'und',0,'<p>Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur</p>\r\n','','filtered_html'),('node','why_us',0,8,8,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','why_us',0,9,9,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','why_us',0,10,10,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','testimonials',0,11,11,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','testimonials',0,12,12,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','testimonials',0,13,13,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','course',0,16,16,'und',0,'Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid.\r\n\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\nList of Content\r\n	•	Recognize and understand HTML web page elements\r\n	•	Know how to write HTML code\r\n	•	Understand and apply effective web design principles\r\n	•	Enhance web pages using text formatting, color, graphics, images, and multimedia\r\n	•	Incorporate forms into web pages\r\n	•	Understand and apply CSS to format web page elements\r\n	•	Plan, design, and publish a multi-page website','','filtered_html'),('node','course',0,17,17,'und',0,'Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid.\r\n\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\nList of Content\r\n	•	Recognize and understand HTML web page elements\r\n	•	Know how to write HTML code\r\n	•	Understand and apply effective web design principles\r\n	•	Enhance web pages using text formatting, color, graphics, images, and multimedia\r\n	•	Incorporate forms into web pages\r\n	•	Understand and apply CSS to format web page elements\r\n	•	Plan, design, and publish a multi-page website','','filtered_html'),('node','course',0,18,18,'und',0,'<p>Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid. </p>\r\n\r\n<p>\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n</p>\r\n\r\n<p>\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\n</p>\r\n<hr />\r\n<h5>List of Content</h5>\r\n<ul>\r\n	<li>Recognize and understand HTML web page elements</li>\r\n	<li>Know how to write HTML code</li>\r\n	<li>Understand and apply effective web design principles</li>\r\n	<li>Enhance web pages using text formatting, color, graphics, images, and multimedia</li>\r\n	<li>Incorporate forms into web pages</li>\r\n	<li>Understand and apply CSS to format web page elements</li>\r\n	<li>Plan, design, and publish a multi-page website</li>\r\n<ul>','','full_html'),('node','events',0,19,19,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,20,20,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,21,21,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,22,22,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,23,23,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','page',0,24,24,'und',0,'<div class=\"error-404\">\r\n<p><img src=\"<?php print base_path(); ?>sites/default/files/images/404.png\" alt=\"404 Error\"/></p>\r\n<p>PAGE NOT FOUND</p>\r\n<p><a class=\"button\" href=\"/<?php echo base_path(); ?>\">RETURN TO HOMEPAGE</a></p>\r\n</div>\r\n','','php_code'),('node','gallery',0,25,25,'und',0,'<p>Gallery Menu 1</p>\r\n','','filtered_html'),('node','gallery',0,26,26,'und',0,'<p>Gallery Menu 2</p>\r\n','','filtered_html'),('node','gallery',0,27,27,'und',0,'<p>Gallery Menu 3</p>\r\n','','filtered_html'),('node','gallery',0,28,28,'und',0,'<p>Gallery Menu 4</p>\r\n','','filtered_html'),('node','gallery',0,29,29,'und',0,'<p>Gallery Menu 5</p>\r\n','','filtered_html'),('node','gallery',0,30,30,'und',0,'<p>Gallery Menu 6</p>\r\n','','filtered_html'),('node','gallery',0,31,31,'und',0,'<p>Gallery Menu 7</p>\r\n','','filtered_html'),('node','gallery',0,32,32,'und',0,'<p>Gallery Menu 8</p>\r\n','','filtered_html'),('node','gallery',0,33,33,'und',0,'<p>Gallery Menu 9</p>\r\n','','filtered_html'),('node','faq',0,34,34,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,35,35,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />','','filtered_html'),('node','faq',0,36,36,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,37,37,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />','','filtered_html'),('node','faq',0,38,38,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,39,39,'und',0,'<p>1 Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />','','filtered_html'),('node','page',0,40,40,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit. Maecenas dictum felis risus, vitae vestibulum tortor maximus quis. Ut consectetur neque sed ipsum elementum, sed mollis purus cursus. In pulvinar risus eget luctus aliquam. Nullam vitae massa nulla. Integer risus nibh, accumsan ac gravida vel, facilisis vitae erat. Donec eu leo eget ante semper vehicula id vulputate lacus. Curabitur rhoncus diam sed urna luctus posuere.</p>\r\n\r\n\r\n','','filtered_html'),('node','page',0,41,41,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','page',0,42,42,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','page',0,43,43,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','truefalse',0,45,45,'und',0,'<p>Demo Question ?</p>\r\n','','filtered_html'),('node','webform',0,46,46,'und',0,'<address>\r\n<strong>United States Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Canada Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Japan Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Italy Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Vietnam Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n','','full_html'),('node','gallery',0,47,47,'und',0,'<p>Gallery Menu 10</p>\r\n','','filtered_html'),('node','article',0,48,48,'und',0,'Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.','','filtered_html'),('node','page',0,49,49,'und',0,'Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.','','filtered_html'),('node','page',0,50,50,'und',0,'Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.','','filtered_html'),('node','page',0,51,51,'und',0,'Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.','','filtered_html'),('node','page',0,52,52,'und',0,'Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.','','filtered_html');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_news',0,1,1,'und',0,'\r\n\r\nCras non dolor. Aliquam eu nunc. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Curabitur turpis. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi.\r\n\r\nInteger tincidunt. Pellentesque ut neque. Donec orci lectus, aliquam ut, faucibus non, euismod id, nulla. Nam commodo suscipit quam. Quisque id odio.\r\n','filtered_html'),('comment','comment_node_news',0,2,2,'und',0,'Cras non dolor. Aliquam eu nunc. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Curabitur turpis. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi.','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field__class`
--

DROP TABLE IF EXISTS `field_data_field__class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field__class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field__class_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field__class_tid` (`field__class_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 60 (field__class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field__class`
--

LOCK TABLES `field_data_field__class` WRITE;
/*!40000 ALTER TABLE `field_data_field__class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field__class` VALUES ('user','user',0,1,1,'und',0,49),('user','user',0,2,2,'und',0,50),('user','user',0,3,3,'und',0,51),('user','user',0,4,4,'und',0,52),('user','user',0,5,5,'und',0,48),('user','user',0,6,6,'und',0,49),('user','user',0,7,7,'und',0,50),('user','user',0,8,8,'und',0,51),('user','user',0,9,9,'und',0,52),('user','user',0,10,10,'und',0,48),('user','user',0,11,11,'und',0,49),('user','user',0,12,12,'und',0,48);
/*!40000 ALTER TABLE `field_data_field__class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_address`
--

DROP TABLE IF EXISTS `field_data_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_value` varchar(255) DEFAULT NULL,
  `field_address_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_address_format` (`field_address_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 29 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_address`
--

LOCK TABLES `field_data_field_address` WRITE;
/*!40000 ALTER TABLE `field_data_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_address` VALUES ('taxonomy_term','our_campus',0,26,26,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,27,27,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,28,28,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,29,29,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,30,30,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,31,31,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,32,32,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL);
/*!40000 ALTER TABLE `field_data_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_campus`
--

DROP TABLE IF EXISTS `field_data_field_campus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_campus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_campus_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_campus_tid` (`field_campus_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 40 (field_campus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_campus`
--

LOCK TABLES `field_data_field_campus` WRITE;
/*!40000 ALTER TABLE `field_data_field_campus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_campus` VALUES ('node','events',0,2,2,'und',0,32),('node','events',0,3,3,'und',0,30),('node','events',0,4,4,'und',0,31),('node','course',0,16,16,'und',0,26),('node','course',0,17,17,'und',0,27),('node','course',0,18,18,'und',0,28),('node','events',0,19,19,'und',0,32),('node','events',0,20,20,'und',0,28),('node','events',0,20,20,'und',1,29),('node','events',0,21,21,'und',0,26),('node','events',0,22,22,'und',0,27),('node','events',0,23,23,'und',0,29);
/*!40000 ALTER TABLE `field_data_field_campus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_category`
--

DROP TABLE IF EXISTS `field_data_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 27 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_category`
--

LOCK TABLES `field_data_field_category` WRITE;
/*!40000 ALTER TABLE `field_data_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_category` VALUES ('node','news',0,5,5,'und',0,25),('node','news',0,6,6,'und',0,24),('node','news',0,7,7,'und',0,24);
/*!40000 ALTER TABLE `field_data_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_class`
--

DROP TABLE IF EXISTS `field_data_field_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_class_value` varchar(255) DEFAULT NULL,
  `field_class_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_class_format` (`field_class_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 12 (field_class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_class`
--

LOCK TABLES `field_data_field_class` WRITE;
/*!40000 ALTER TABLE `field_data_field_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_class` VALUES ('taxonomy_term','category',0,24,24,'und',0,'educational-global',NULL),('taxonomy_term','category',0,25,25,'und',0,'educational-scholarship',NULL),('taxonomy_term','category',0,36,36,'und',0,'educational-student',NULL),('taxonomy_term','category',0,37,37,'und',0,'educational-notification',NULL),('taxonomy_term','category',0,38,38,'und',0,'educational-schools',NULL),('taxonomy_term','gallery_categories',0,40,40,'und',0,'gallery-educational',NULL),('taxonomy_term','gallery_categories',0,41,41,'und',0,'gallery-student',NULL),('taxonomy_term','gallery_categories',0,42,42,'und',0,'gallery-news',NULL),('taxonomy_term','gallery_categories',0,43,43,'und',0,'gallery-scholarship',NULL);
/*!40000 ALTER TABLE `field_data_field_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_courses`
--

DROP TABLE IF EXISTS `field_data_field_courses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_courses` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_courses_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_courses_tid` (`field_courses_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 15 (field_courses)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_courses`
--

LOCK TABLES `field_data_field_courses` WRITE;
/*!40000 ALTER TABLE `field_data_field_courses` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_courses` VALUES ('node','course',0,16,16,'und',0,2),('node','course',0,17,17,'und',0,2);
/*!40000 ALTER TABLE `field_data_field_courses` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_credit`
--

DROP TABLE IF EXISTS `field_data_field_credit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_credit` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_credit_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 69 (field_credit)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_credit`
--

LOCK TABLES `field_data_field_credit` WRITE;
/*!40000 ALTER TABLE `field_data_field_credit` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_credit` VALUES ('node','course',0,16,16,'und',0,5),('node','course',0,17,17,'und',0,15),('node','course',0,18,18,'und',0,100);
/*!40000 ALTER TABLE `field_data_field_credit` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_date`
--

DROP TABLE IF EXISTS `field_data_field_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 45 (field_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_date`
--

LOCK TABLES `field_data_field_date` WRITE;
/*!40000 ALTER TABLE `field_data_field_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_date_to_date`
--

DROP TABLE IF EXISTS `field_data_field_date_to_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_date_to_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_to_date_value` varchar(255) DEFAULT NULL,
  `field_date_to_date_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_date_to_date_format` (`field_date_to_date_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 66 (field_date_to_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_date_to_date`
--

LOCK TABLES `field_data_field_date_to_date` WRITE;
/*!40000 ALTER TABLE `field_data_field_date_to_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_date_to_date` VALUES ('node','course',0,16,16,'und',0,'06/01/2014 - 06/07/2014',NULL),('node','course',0,17,17,'und',0,'06/01/2014 - 06/07/2014',NULL),('node','course',0,18,18,'und',0,'06/01/2014 - 06/07/2014',NULL);
/*!40000 ALTER TABLE `field_data_field_date_to_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_description`
--

DROP TABLE IF EXISTS `field_data_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 35 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_description`
--

LOCK TABLES `field_data_field_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_description` VALUES ('field_collection_item','field_list_file',0,1,1,'und',0,'This packet contains the same content',NULL),('field_collection_item','field_list_file',0,2,2,'und',0,'This packet contains the same content',NULL),('field_collection_item','field_list_file',0,3,3,'und',0,'This packet contains the same content',NULL),('node','course',0,16,16,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL),('node','course',0,17,17,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL),('node','course',0,18,18,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL);
/*!40000 ALTER TABLE `field_data_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_during`
--

DROP TABLE IF EXISTS `field_data_field_during`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_during` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_during_value` varchar(255) DEFAULT NULL,
  `field_during_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_during_format` (`field_during_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 44 (field_during)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_during`
--

LOCK TABLES `field_data_field_during` WRITE;
/*!40000 ALTER TABLE `field_data_field_during` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_during` VALUES ('node','events',0,2,2,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,3,3,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,4,4,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,19,19,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,20,20,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,21,21,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,22,22,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,23,23,'und',0,'06/07/2015 - 06/27/2015',NULL);
/*!40000 ALTER TABLE `field_data_field_during` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_email`
--

DROP TABLE IF EXISTS `field_data_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(255) DEFAULT NULL,
  `field_email_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_email_format` (`field_email_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 70 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_email`
--

LOCK TABLES `field_data_field_email` WRITE;
/*!40000 ALTER TABLE `field_data_field_email` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_events`
--

DROP TABLE IF EXISTS `field_data_field_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_events` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_events_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_events_tid` (`field_events_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 16 (field_events)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_events`
--

LOCK TABLES `field_data_field_events` WRITE;
/*!40000 ALTER TABLE `field_data_field_events` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_events` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_facebook`
--

DROP TABLE IF EXISTS `field_data_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 61 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_facebook`
--

LOCK TABLES `field_data_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_data_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,2,2,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,3,3,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,6,6,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,7,7,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,8,8,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,9,9,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,10,10,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,11,11,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,12,12,'und',0,'http://facebook.com/#','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_category`
--

DROP TABLE IF EXISTS `field_data_field_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_category_tid` (`field_field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 26 (field_field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_category`
--

LOCK TABLES `field_data_field_field_category` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_category` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_class`
--

DROP TABLE IF EXISTS `field_data_field_field_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_class_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_class_tid` (`field_field_class_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 59 (field_field_class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_class`
--

LOCK TABLES `field_data_field_field_class` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_class` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_gallery_categories`
--

DROP TABLE IF EXISTS `field_data_field_field_gallery_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_gallery_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_gallery_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_gallery_categories_tid` (`field_field_gallery_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 49 (field_field_gallery_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_gallery_categories`
--

LOCK TABLES `field_data_field_field_gallery_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_gallery_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_gallery_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_location`
--

DROP TABLE IF EXISTS `field_data_field_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_location_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_location_tid` (`field_field_location_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 48 (field_field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_location`
--

LOCK TABLES `field_data_field_field_location` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_location` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_newsletter`
--

DROP TABLE IF EXISTS `field_data_field_field_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_newsletter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_newsletter_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_newsletter_tid` (`field_field_newsletter_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 56 (field_field_newsletter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_newsletter`
--

LOCK TABLES `field_data_field_field_newsletter` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_our_campus`
--

DROP TABLE IF EXISTS `field_data_field_field_our_campus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_our_campus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_our_campus_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_our_campus_tid` (`field_field_our_campus_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 28 (field_field_our_campus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_our_campus`
--

LOCK TABLES `field_data_field_field_our_campus` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_our_campus` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_our_campus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_professors`
--

DROP TABLE IF EXISTS `field_data_field_field_professors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_professors` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_professors_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_professors_tid` (`field_field_professors_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 23 (field_field_professors)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_professors`
--

LOCK TABLES `field_data_field_field_professors` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_professors` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_professors` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_room`
--

DROP TABLE IF EXISTS `field_data_field_field_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_room` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_room_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_room_tid` (`field_field_room_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 67 (field_field_room)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_room`
--

LOCK TABLES `field_data_field_field_room` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_room` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_room` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_statistic`
--

DROP TABLE IF EXISTS `field_data_field_field_statistic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_statistic` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_statistic_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_statistic_tid` (`field_field_statistic_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 51 (field_field_statistic)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_statistic`
--

LOCK TABLES `field_data_field_field_statistic` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_statistic` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_statistic` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_status`
--

DROP TABLE IF EXISTS `field_data_field_field_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_status_tid` (`field_field_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 32 (field_field_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_status`
--

LOCK TABLES `field_data_field_field_status` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_status` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_file`
--

DROP TABLE IF EXISTS `field_data_field_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_file` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_file_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_file_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_fid` (`field_file_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 72 (field_file)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_file`
--

LOCK TABLES `field_data_field_file` WRITE;
/*!40000 ALTER TABLE `field_data_field_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_file` VALUES ('field_collection_item','field_list_file',0,1,1,'und',0,92,1,''),('field_collection_item','field_list_file',0,2,2,'und',0,94,1,''),('field_collection_item','field_list_file',0,3,3,'und',0,93,1,'');
/*!40000 ALTER TABLE `field_data_field_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_flexslider_example_image`
--

DROP TABLE IF EXISTS `field_data_field_flexslider_example_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_flexslider_example_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_flexslider_example_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_flexslider_example_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_flexslider_example_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_flexslider_example_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_flexslider_example_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_flexslider_example_image_fid` (`field_flexslider_example_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (field_flexslider_example_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_flexslider_example_image`
--

LOCK TABLES `field_data_field_flexslider_example_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_flexslider_example_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_flexslider_example_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_flexslider_example_slidesh`
--

DROP TABLE IF EXISTS `field_data_field_flexslider_example_slidesh`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_flexslider_example_slidesh` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_flexslider_example_slidesh_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_flexslider_example_slidesh_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_flexslider_example_slidesh_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_flexslider_example_slidesh_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_flexslider_example_slidesh_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_flexslider_example_slidesh_fid` (`field_flexslider_example_slidesh_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_flexslider_example_slidesh)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_flexslider_example_slidesh`
--

LOCK TABLES `field_data_field_flexslider_example_slidesh` WRITE;
/*!40000 ALTER TABLE `field_data_field_flexslider_example_slidesh` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_flexslider_example_slidesh` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_forums`
--

DROP TABLE IF EXISTS `field_data_field_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_forums_tid` (`field_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 14 (field_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_forums`
--

LOCK TABLES `field_data_field_forums` WRITE;
/*!40000 ALTER TABLE `field_data_field_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_full_name`
--

DROP TABLE IF EXISTS `field_data_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_full_name`
--

LOCK TABLES `field_data_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_data_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_full_name` VALUES ('user','user',0,2,2,'und',0,'David BC',NULL),('user','user',0,3,3,'und',0,'Jone LA',NULL),('user','user',0,4,4,'und',0,'Michel Shiny',NULL),('user','user',0,5,5,'und',0,'Mactin QC',NULL),('user','user',0,6,6,'und',0,'Mactin QC',NULL),('user','user',0,7,7,'und',0,'Marzo',NULL),('user','user',0,8,8,'und',0,'Dr. David Jonhson',NULL),('user','user',0,9,9,'und',0,'Smith .DC',NULL),('user','user',0,10,10,'und',0,'Mayza .DA',NULL),('user','user',0,11,11,'und',0,'Scrola .LA',NULL),('user','user',0,12,12,'und',0,'Dr. Mark II',NULL);
/*!40000 ALTER TABLE `field_data_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gallery_categories`
--

DROP TABLE IF EXISTS `field_data_field_gallery_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gallery_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_categories_tid` (`field_gallery_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 50 (field_gallery_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gallery_categories`
--

LOCK TABLES `field_data_field_gallery_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_gallery_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gallery_categories` VALUES ('node','gallery',0,25,25,'und',0,40),('node','gallery',0,26,26,'und',0,42),('node','gallery',0,27,27,'und',0,43),('node','gallery',0,28,28,'und',0,41),('node','gallery',0,29,29,'und',0,40),('node','gallery',0,30,30,'und',0,42),('node','gallery',0,31,31,'und',0,43),('node','gallery',0,32,32,'und',0,41),('node','gallery',0,33,33,'und',0,40),('node','gallery',0,47,47,'und',0,42);
/*!40000 ALTER TABLE `field_data_field_gallery_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_google_plus`
--

DROP TABLE IF EXISTS `field_data_field_google_plus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_google_plus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_google_plus_url` varchar(2048) DEFAULT NULL,
  `field_google_plus_title` varchar(255) DEFAULT NULL,
  `field_google_plus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 63 (field_google_plus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_google_plus`
--

LOCK TABLES `field_data_field_google_plus` WRITE;
/*!40000 ALTER TABLE `field_data_field_google_plus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_google_plus` VALUES ('user','user',0,1,1,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,2,2,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,3,3,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,4,4,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,5,5,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,6,6,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,7,7,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,8,8,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,9,9,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,10,10,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,11,11,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,12,12,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_google_plus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_graduated`
--

DROP TABLE IF EXISTS `field_data_field_graduated`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_graduated` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_graduated_value` varchar(255) DEFAULT NULL,
  `field_graduated_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_graduated_format` (`field_graduated_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 25 (field_graduated)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_graduated`
--

LOCK TABLES `field_data_field_graduated` WRITE;
/*!40000 ALTER TABLE `field_data_field_graduated` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_graduated` VALUES ('taxonomy_term','professors',0,19,19,'und',0,'(Graduated in 2010)',NULL),('taxonomy_term','professors',0,20,20,'und',0,'(Graduated in 2011)',NULL),('taxonomy_term','professors',0,21,21,'und',0,'(Graduated in 2012)',NULL),('taxonomy_term','professors',0,23,23,'und',0,'(Graduated in 2008)',NULL);
/*!40000 ALTER TABLE `field_data_field_graduated` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('node','events',0,2,2,'und',0,39,'','',287,229),('node','events',0,3,3,'und',0,37,'','',287,229),('node','events',0,4,4,'und',0,38,'','',287,229),('node','news',0,5,5,'und',0,69,'','',570,340),('node','news',0,6,6,'und',0,67,'','',570,340),('node','news',0,7,7,'und',0,68,'','',570,340),('node','slideshow',0,14,14,'und',0,21,'','',1441,1054),('node','slideshow',0,15,15,'und',0,23,'','',1441,1054),('node','course',0,16,16,'und',0,31,'','',370,200),('node','course',0,17,17,'und',0,32,'','',370,200),('node','course',0,18,18,'und',0,33,'','',370,200),('node','events',0,19,19,'und',0,40,'','',287,229),('node','events',0,20,20,'und',0,41,'','',287,229),('node','events',0,21,21,'und',0,42,'','',287,229),('node','events',0,22,22,'und',0,43,'','',287,229),('node','events',0,23,23,'und',0,44,'','',287,229),('node','gallery',0,25,25,'und',0,50,'','',403,269),('node','gallery',0,26,26,'und',0,51,'','',403,269),('node','gallery',0,27,27,'und',0,52,'','',403,269),('node','gallery',0,28,28,'und',0,53,'','',403,269),('node','gallery',0,29,29,'und',0,54,'','',403,269),('node','gallery',0,30,30,'und',0,55,'','',403,269),('node','gallery',0,31,31,'und',0,56,'','',403,269),('node','gallery',0,32,32,'und',0,57,'','',403,269),('node','gallery',0,33,33,'und',0,58,'','',403,269),('node','page',0,41,41,'und',0,59,'','',686,517),('node','page',0,42,42,'und',0,60,'','',290,194),('node','page',0,43,43,'und',0,61,'','',287,229),('node','gallery',0,47,47,'und',0,64,'','',403,269),('taxonomy_term','services',0,13,13,'und',0,70,'','',58,39),('taxonomy_term','services',0,14,14,'und',0,73,'','',58,39),('taxonomy_term','services',0,15,15,'und',0,72,'','',58,39),('taxonomy_term','services',0,16,16,'und',0,71,'','',58,39),('taxonomy_term','professors',0,19,19,'und',0,20,'','',1200,400),('taxonomy_term','professors',0,20,20,'und',0,19,'','',1200,400),('taxonomy_term','professors',0,21,21,'und',0,18,'','',1200,400),('taxonomy_term','professors',0,23,23,'und',0,17,'','',1200,400),('taxonomy_term','our_campus',0,26,26,'und',0,34,'','',1200,400),('taxonomy_term','our_campus',0,27,27,'und',0,25,'','',1200,400),('taxonomy_term','our_campus',0,28,28,'und',0,26,'','',1200,400),('taxonomy_term','our_campus',0,29,29,'und',0,27,'','',1200,400),('taxonomy_term','our_campus',0,30,30,'und',0,28,'','',1200,400),('taxonomy_term','our_campus',0,31,31,'und',0,36,'','',1200,400),('taxonomy_term','our_campus',0,32,32,'und',0,35,'','',1200,400);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_integer`
--

DROP TABLE IF EXISTS `field_data_field_integer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_integer` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_integer_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 46 (field_integer)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_integer`
--

LOCK TABLES `field_data_field_integer` WRITE;
/*!40000 ALTER TABLE `field_data_field_integer` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_integer` VALUES ('node','course',0,16,16,'und',0,100),('node','course',0,17,17,'und',0,100),('node','course',0,18,18,'und',0,100);
/*!40000 ALTER TABLE `field_data_field_integer` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_letters`
--

DROP TABLE IF EXISTS `field_data_field_letters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_letters` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_letters_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_letters_value` (`field_letters_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 47 (field_letters)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_letters`
--

LOCK TABLES `field_data_field_letters` WRITE;
/*!40000 ALTER TABLE `field_data_field_letters` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_letters` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_linkedin`
--

DROP TABLE IF EXISTS `field_data_field_linkedin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_linkedin_title` varchar(255) DEFAULT NULL,
  `field_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 64 (field_linkedin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_linkedin`
--

LOCK TABLES `field_data_field_linkedin` WRITE;
/*!40000 ALTER TABLE `field_data_field_linkedin` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_linkedin` VALUES ('user','user',0,1,1,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,2,2,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,3,3,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,4,4,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,5,5,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,6,6,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,7,7,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,8,8,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,9,9,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,10,10,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,11,11,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,12,12,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_linkedin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_list_description`
--

DROP TABLE IF EXISTS `field_data_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 21 (field_list_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_list_description`
--

LOCK TABLES `field_data_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_data_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_list_file`
--

DROP TABLE IF EXISTS `field_data_field_list_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_list_file` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_file_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_list_file_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_file_revision_id` (`field_list_file_revision_id`),
  KEY `field_list_file_value` (`field_list_file_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 71 (field_list_file)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_list_file`
--

LOCK TABLES `field_data_field_list_file` WRITE;
/*!40000 ALTER TABLE `field_data_field_list_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_list_file` VALUES ('node','course',0,18,18,'und',0,1,1),('node','course',0,18,18,'und',1,2,2),('node','course',0,18,18,'und',2,3,3);
/*!40000 ALTER TABLE `field_data_field_list_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_location`
--

DROP TABLE IF EXISTS `field_data_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_location_value` varchar(255) DEFAULT NULL,
  `field_location_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_location_format` (`field_location_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 39 (field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_location`
--

LOCK TABLES `field_data_field_location` WRITE;
/*!40000 ALTER TABLE `field_data_field_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_location` VALUES ('node','events',0,2,2,'und',0,'Zone B',NULL),('node','events',0,3,3,'und',0,'Zone A',NULL),('node','events',0,4,4,'und',0,'Zone C',NULL),('node','events',0,19,19,'und',0,'Zone B',NULL),('node','events',0,20,20,'und',0,'Zone A',NULL),('node','events',0,21,21,'und',0,'Zone B',NULL),('node','events',0,22,22,'und',0,'Zone C',NULL),('node','events',0,23,23,'und',0,'Zone A',NULL);
/*!40000 ALTER TABLE `field_data_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_map`
--

DROP TABLE IF EXISTS `field_data_field_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_map` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_map_value` longtext,
  `field_map_summary` longtext,
  `field_map_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_map_format` (`field_map_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 54 (field_map)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_map`
--

LOCK TABLES `field_data_field_map` WRITE;
/*!40000 ALTER TABLE `field_data_field_map` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_map` VALUES ('node','webform',0,46,46,'und',0,'<div class=\"iframe-map\"><iframe class=\"contact_map\"  width=\"100%\" height=\"300\" src=\"https://maps.google.com/maps?f=q&amp;source=s_q&amp;hl=vi&amp;q=795+Folsom+Ave+%236000,+Hayward,+Alameda,+California+94544&amp;sll=37.0625,-95.677068&amp;sspn=56.112526,114.169922&amp;ie=UTF8&amp;geocode=FZQfPgIdJnC5-A&amp;split=0&amp;hq=&amp;hnear=795+Folsom+Ave+%236000,+Hayward,+Alameda,+California+94544&amp;t=m&amp;z=14&amp;ll=37.625748,-122.064858&amp;output=embed\"></iframe></div>\r\n','','full_html');
/*!40000 ALTER TABLE `field_data_field_map` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 22 (field_newsletter_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_body`
--

LOCK TABLES `field_data_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html'),('user','user',0,1,1,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,2,2,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,3,3,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,4,4,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,5,5,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,6,6,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,7,7,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,8,8,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,9,9,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,10,10,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,11,11,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,12,12,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_data_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 17 (field_newsletter_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_categories`
--

LOCK TABLES `field_data_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  `target_id_tids` text COMMENT 'The serialized terms this subscriber selected(only if list is exposed, else NULL).',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 19 (field_newsletter_list)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_list`
--

LOCK TABLES `field_data_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 20 (field_newsletter_template)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_template`
--

LOCK TABLES `field_data_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_data_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_person`
--

DROP TABLE IF EXISTS `field_data_field_person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_person` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_person_uid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_person_uid` (`field_person_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 42 (field_person)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_person`
--

LOCK TABLES `field_data_field_person` WRITE;
/*!40000 ALTER TABLE `field_data_field_person` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_person` VALUES ('node','events',0,2,2,'und',0,12),('node','events',0,3,3,'und',0,12),('node','events',0,4,4,'und',0,12),('node','course',0,16,16,'und',0,11),('node','course',0,17,17,'und',0,10),('node','course',0,18,18,'und',0,9),('node','events',0,19,19,'und',0,12),('node','events',0,20,20,'und',0,12),('node','events',0,21,21,'und',0,12),('node','events',0,22,22,'und',0,12),('node','events',0,23,23,'und',0,12);
/*!40000 ALTER TABLE `field_data_field_person` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_position`
--

DROP TABLE IF EXISTS `field_data_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_value` varchar(255) DEFAULT NULL,
  `field_position_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_format` (`field_position_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 24 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_position`
--

LOCK TABLES `field_data_field_position` WRITE;
/*!40000 ALTER TABLE `field_data_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_position` VALUES ('taxonomy_term','professors',0,19,19,'und',0,'Founder of SUper Medicial center',NULL),('taxonomy_term','professors',0,20,20,'und',0,'CEO',NULL),('taxonomy_term','professors',0,21,21,'und',0,'Founder of South',NULL),('taxonomy_term','professors',0,23,23,'und',0,'HR',NULL);
/*!40000 ALTER TABLE `field_data_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_room`
--

DROP TABLE IF EXISTS `field_data_field_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_room` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_room_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_room_tid` (`field_room_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 68 (field_room)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_room`
--

LOCK TABLES `field_data_field_room` WRITE;
/*!40000 ALTER TABLE `field_data_field_room` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_room` VALUES ('node','course',0,16,16,'und',0,56),('node','course',0,17,17,'und',0,54),('node','course',0,18,18,'und',0,53);
/*!40000 ALTER TABLE `field_data_field_room` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_services`
--

DROP TABLE IF EXISTS `field_data_field_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_services` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_services_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_services_tid` (`field_services_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 18 (field_services)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_services`
--

LOCK TABLES `field_data_field_services` WRITE;
/*!40000 ALTER TABLE `field_data_field_services` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_services` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_start_date`
--

DROP TABLE IF EXISTS `field_data_field_start_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_start_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_start_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_start_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_start_date`
--

LOCK TABLES `field_data_field_start_date` WRITE;
/*!40000 ALTER TABLE `field_data_field_start_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_start_date` VALUES ('node','events',0,2,2,'und',0,'2014-11-20 00:00:00'),('node','events',0,3,3,'und',0,'2014-11-20 00:00:00'),('node','events',0,4,4,'und',0,'2014-11-20 00:00:00'),('node','events',0,19,19,'und',0,'2014-11-20 00:00:00'),('node','events',0,20,20,'und',0,'2014-11-20 00:00:00'),('node','events',0,21,21,'und',0,'2014-11-20 00:00:00'),('node','events',0,22,22,'und',0,'2014-11-20 00:00:00'),('node','events',0,23,23,'und',0,'2014-11-20 00:00:00');
/*!40000 ALTER TABLE `field_data_field_start_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_status`
--

DROP TABLE IF EXISTS `field_data_field_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_status_tid` (`field_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 33 (field_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_status`
--

LOCK TABLES `field_data_field_status` WRITE;
/*!40000 ALTER TABLE `field_data_field_status` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_status` VALUES ('node','course',0,18,18,'und',0,34);
/*!40000 ALTER TABLE `field_data_field_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tel`
--

DROP TABLE IF EXISTS `field_data_field_tel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tel` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tel_value` varchar(255) DEFAULT NULL,
  `field_tel_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tel_format` (`field_tel_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 30 (field_tel)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tel`
--

LOCK TABLES `field_data_field_tel` WRITE;
/*!40000 ALTER TABLE `field_data_field_tel` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tel` VALUES ('taxonomy_term','our_campus',0,26,26,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,27,27,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,28,28,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,29,29,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,30,30,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,31,31,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,32,32,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL);
/*!40000 ALTER TABLE `field_data_field_tel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_timing`
--

DROP TABLE IF EXISTS `field_data_field_timing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_timing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timing_value` varchar(255) DEFAULT NULL,
  `field_timing_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_timing_format` (`field_timing_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 65 (field_timing)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_timing`
--

LOCK TABLES `field_data_field_timing` WRITE;
/*!40000 ALTER TABLE `field_data_field_timing` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_timing` VALUES ('node','course',0,16,16,'und',0,'01:00 PM - 04:00 PM',NULL),('node','course',0,17,17,'und',0,'01:00 PM - 04:00 PM',NULL),('node','course',0,18,18,'und',0,'01:00 PM - 04:00 PM',NULL);
/*!40000 ALTER TABLE `field_data_field_timing` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_timings`
--

DROP TABLE IF EXISTS `field_data_field_timings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_timings` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timings_value` varchar(255) DEFAULT NULL,
  `field_timings_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_timings_format` (`field_timings_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 43 (field_timings)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_timings`
--

LOCK TABLES `field_data_field_timings` WRITE;
/*!40000 ALTER TABLE `field_data_field_timings` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_timings` VALUES ('node','events',0,2,2,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,3,3,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,4,4,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,19,19,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,20,20,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,21,21,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,22,22,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,23,23,'und',0,'01:00 PM - 04:00 PM',NULL);
/*!40000 ALTER TABLE `field_data_field_timings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_twitter`
--

DROP TABLE IF EXISTS `field_data_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 62 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_twitter`
--

LOCK TABLES `field_data_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_data_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,2,2,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,3,3,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,6,6,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,7,7,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,8,8,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,9,9,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,10,10,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,11,11,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,12,12,'und',0,'http://twitter.com/#','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_user`
--

DROP TABLE IF EXISTS `field_data_field_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_user` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_uid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_uid` (`field_user_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_user)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_user`
--

LOCK TABLES `field_data_field_user` WRITE;
/*!40000 ALTER TABLE `field_data_field_user` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_user` VALUES ('node','testimonials',0,11,11,'und',0,2),('node','testimonials',0,12,12,'und',0,3),('node','testimonials',0,13,13,'und',0,5);
/*!40000 ALTER TABLE `field_data_field_user` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_user_description`
--

DROP TABLE IF EXISTS `field_data_field_user_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_user_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_description_value` longtext,
  `field_user_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_description_format` (`field_user_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 41 (field_user_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_user_description`
--

LOCK TABLES `field_data_field_user_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_user_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_user_description` VALUES ('user','user',0,6,6,'und',0,'MASTER OF COMPUTER SCIENCE',NULL),('user','user',0,8,8,'und',0,'MASTER OF COMPUTER SCIENCE',NULL),('user','user',0,9,9,'und',0,'Master of Computer Science',NULL),('user','user',0,10,10,'und',0,'Master of Computer Science',NULL),('user','user',0,11,11,'und',0,'Master of Computer Science',NULL),('user','user',0,12,12,'und',0,'Master of Computer Science',NULL);
/*!40000 ALTER TABLE `field_data_field_user_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_user_type`
--

DROP TABLE IF EXISTS `field_data_field_user_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_user_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_type_tid` (`field_user_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 13 (field_user_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_user_type`
--

LOCK TABLES `field_data_field_user_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_user_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_user_type` VALUES ('user','user',0,2,2,'und',0,18),('user','user',0,3,3,'und',0,18),('user','user',0,4,4,'und',0,18),('user','user',0,5,5,'und',0,18),('user','user',0,6,6,'und',0,17),('user','user',0,7,7,'und',0,18),('user','user',0,8,8,'und',0,17),('user','user',0,9,9,'und',0,17),('user','user',0,10,10,'und',0,17),('user','user',0,11,11,'und',0,17),('user','user',0,12,12,'und',0,39);
/*!40000 ALTER TABLE `field_data_field_user_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_data_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_taxonomy_forums`
--

LOCK TABLES `field_data_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_data_taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_uc_product_image`
--

DROP TABLE IF EXISTS `field_data_uc_product_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_uc_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `uc_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `uc_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `uc_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `uc_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `uc_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `uc_product_image_fid` (`uc_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 31 (uc_product_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_uc_product_image`
--

LOCK TABLES `field_data_uc_product_image` WRITE;
/*!40000 ALTER TABLE `field_data_uc_product_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_uc_product_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_group`
--

DROP TABLE IF EXISTS `field_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_group`
--

LOCK TABLES `field_group` WRITE;
/*!40000 ALTER TABLE `field_group` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_group` VALUES (2,'group_user_info|user|user|default','group_user_info','user','user','default','','a:5:{s:5:\"label\";s:9:\"User Info\";s:6:\"weight\";s:1:\"0\";s:8:\"children\";a:4:{i:0;s:15:\"field_full_name\";i:1;s:15:\"field_user_type\";i:2;s:12:\"field__class\";i:3;s:21:\"group_social_networks\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:9:\"User Info\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:15:\"group-user-info\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"1\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:11:\"collapsible\";}}'),(4,'group_user_description|user|user|default','group_user_description','user','user','default','','a:5:{s:5:\"label\";s:16:\"User Description\";s:6:\"weight\";s:1:\"1\";s:8:\"children\";a:1:{i:0;s:21:\"field_newsletter_body\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:11:\"collapsible\";s:17:\"instance_settings\";a:7:{s:11:\"description\";s:0:\"\";s:10:\"show_label\";i:1;s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";s:7:\"classes\";s:38:\"group-user-description field-group-div\";s:2:\"id\";s:0:\"\";}}}'),(6,'group_social_networks|user|user|default','group_social_networks','user','user','default','group_user_info','a:5:{s:5:\"label\";s:15:\"Social networks\";s:6:\"weight\";s:1:\"4\";s:8:\"children\";a:4:{i:0;s:14:\"field_facebook\";i:1;s:13:\"field_twitter\";i:2;s:17:\"field_google_plus\";i:3;s:14:\"field_linkedin\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:11:\"collapsible\";s:17:\"instance_settings\";a:7:{s:11:\"description\";s:0:\"\";s:10:\"show_label\";i:1;s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";s:7:\"classes\";s:37:\"group-social-networks field-group-div\";s:2:\"id\";s:0:\"\";}}}'),(7,'group_social_networks|user|user|form','group_social_networks','user','user','form','','a:5:{s:5:\"label\";s:15:\"Social networks\";s:6:\"weight\";s:2:\"11\";s:8:\"children\";a:4:{i:0;s:14:\"field_facebook\";i:1;s:13:\"field_twitter\";i:2;s:17:\"field_google_plus\";i:3;s:14:\"field_linkedin\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:4:\"open\";s:17:\"instance_settings\";a:8:{s:11:\"description\";s:0:\"\";s:10:\"show_label\";i:1;s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";s:7:\"classes\";s:0:\"\";s:15:\"required_fields\";i:1;s:2:\"id\";s:0:\"\";}}}');
/*!40000 ALTER TABLE `field_group` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','page',0,1,1,'und',0,'<p>Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.</p>\r\n','','filtered_html'),('node','events',0,2,2,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,3,3,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n														<blockquote>\r\n															<p>\" Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. \"</p>\r\n														</blockquote>\r\n														<h1>h1. Heading 1</h1>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<ul>\r\n															<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n															<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n															<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n														</ul>\r\n														<h2>h2. Heading 2</h1>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n														<h3>h3. Heading 3</h3>\r\n														<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','events',0,4,4,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','news',0,5,5,'und',0,'Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco euismod ornare omra furato suda. Proin pretium nequ eget turco \r\neuismod ornare omra furato suda. ','','filtered_html'),('node','news',0,6,6,'und',0,'<p>Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur</p>\r\n','','filtered_html'),('node','news',0,7,7,'und',0,'<p>Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur Vivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficiturVivamus ante libero, porttitor nec purus a, viverra semper elit. Morbi et blandit ex. Integer nec felis efficitur</p>\r\n','','filtered_html'),('node','why_us',0,8,8,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','why_us',0,9,9,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','why_us',0,10,10,'und',0,'Mauris a ipsum lorem. Aliquam vehicula turpis congue pellentesque convallis. Vestibulum malesuada, nulla et viverra mollis, sem dolor eleifend. nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu.\r\n','','filtered_html'),('node','testimonials',0,11,11,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','testimonials',0,12,12,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','testimonials',0,13,13,'und',0,'Quisque nec mattis tellus. Sed vitae risus ac mi tempor finibus in nec massa. In sollicitudin, a faucibus dui libero quis nibh. semper et fermentum ac, lobortis id erat.','','filtered_html'),('node','course',0,16,16,'und',0,'Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid.\r\n\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\nList of Content\r\n	•	Recognize and understand HTML web page elements\r\n	•	Know how to write HTML code\r\n	•	Understand and apply effective web design principles\r\n	•	Enhance web pages using text formatting, color, graphics, images, and multimedia\r\n	•	Incorporate forms into web pages\r\n	•	Understand and apply CSS to format web page elements\r\n	•	Plan, design, and publish a multi-page website','','filtered_html'),('node','course',0,17,17,'und',0,'Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid.\r\n\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\nList of Content\r\n	•	Recognize and understand HTML web page elements\r\n	•	Know how to write HTML code\r\n	•	Understand and apply effective web design principles\r\n	•	Enhance web pages using text formatting, color, graphics, images, and multimedia\r\n	•	Incorporate forms into web pages\r\n	•	Understand and apply CSS to format web page elements\r\n	•	Plan, design, and publish a multi-page website','','filtered_html'),('node','course',0,18,18,'und',0,'<p>Metus earum pellentesque pariatur fugiat ultricies sunt molestiae, perspiciatis omnis! Quisque aute, ullam leo, at saepe, cupidatat laborum tristique commodi saepe nam lobortis at, lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing?\r\nAdipisicing sapien quasi aptent, commodi orci nesciunt scelerisque, justo mauris aliquid. </p>\r\n\r\n<p>\r\nNam? Maxime lacus. Consectetuer? Neque hymenaeos facilis, consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris. Magni, accusantium sit vehicula.\r\nTenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus? Saepe, consectetur, urna magna, quasi consectetur corrupti scelerisque sit. Volutpat inventore odio porta.\r\n</p>\r\n\r\n<p>\r\nDonec tellus augue, dictum a urna id, adipiscing placerat turpis. Nunc malesuada urna lectus, non condimentum lorem elementum eu. Nulla tincidunt auctor euismod. Vestibulum sit amet diam vel quam viverra sodales. Cras nulla sem, rhoncus eu aliquet sed, placerat quis arcu. Vivamus orci felis, vestibulum bibendum lacus vel, sagittis tempor risus. Nullam vestibulum quis magna rutrum lobortis. Suspendisse eros magna, volutpat quis suscipit vitae, semper id sem.\r\n</p>\r\n<hr />\r\n<h5>List of Content</h5>\r\n<ul>\r\n	<li>Recognize and understand HTML web page elements</li>\r\n	<li>Know how to write HTML code</li>\r\n	<li>Understand and apply effective web design principles</li>\r\n	<li>Enhance web pages using text formatting, color, graphics, images, and multimedia</li>\r\n	<li>Incorporate forms into web pages</li>\r\n	<li>Understand and apply CSS to format web page elements</li>\r\n	<li>Plan, design, and publish a multi-page website</li>\r\n<ul>','','full_html'),('node','events',0,19,19,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,20,20,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,21,21,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,22,22,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','events',0,23,23,'und',0,'<p>Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.</p>\r\n','','filtered_html'),('node','page',0,24,24,'und',0,'<div class=\"error-404\">\r\n<p><img src=\"<?php print base_path(); ?>sites/default/files/images/404.png\" alt=\"404 Error\"/></p>\r\n<p>PAGE NOT FOUND</p>\r\n<p><a class=\"button\" href=\"/<?php echo base_path(); ?>\">RETURN TO HOMEPAGE</a></p>\r\n</div>\r\n','','php_code'),('node','gallery',0,25,25,'und',0,'<p>Gallery Menu 1</p>\r\n','','filtered_html'),('node','gallery',0,26,26,'und',0,'<p>Gallery Menu 2</p>\r\n','','filtered_html'),('node','gallery',0,27,27,'und',0,'<p>Gallery Menu 3</p>\r\n','','filtered_html'),('node','gallery',0,28,28,'und',0,'<p>Gallery Menu 4</p>\r\n','','filtered_html'),('node','gallery',0,29,29,'und',0,'<p>Gallery Menu 5</p>\r\n','','filtered_html'),('node','gallery',0,30,30,'und',0,'<p>Gallery Menu 6</p>\r\n','','filtered_html'),('node','gallery',0,31,31,'und',0,'<p>Gallery Menu 7</p>\r\n','','filtered_html'),('node','gallery',0,32,32,'und',0,'<p>Gallery Menu 8</p>\r\n','','filtered_html'),('node','gallery',0,33,33,'und',0,'<p>Gallery Menu 9</p>\r\n','','filtered_html'),('node','faq',0,34,34,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,35,35,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />','','filtered_html'),('node','faq',0,36,36,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,37,37,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />','','filtered_html'),('node','faq',0,38,38,'und',0,'<p>Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.</p>\r\n','','filtered_html'),('node','faq',0,39,39,'und',0,'<p>1 Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.<br />\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.<br />','','filtered_html'),('node','page',0,40,40,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit. Maecenas dictum felis risus, vitae vestibulum tortor maximus quis. Ut consectetur neque sed ipsum elementum, sed mollis purus cursus. In pulvinar risus eget luctus aliquam. Nullam vitae massa nulla. Integer risus nibh, accumsan ac gravida vel, facilisis vitae erat. Donec eu leo eget ante semper vehicula id vulputate lacus. Curabitur rhoncus diam sed urna luctus posuere.</p>\r\n\r\n\r\n','','filtered_html'),('node','page',0,41,41,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','page',0,42,42,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','page',0,43,43,'und',0,'<p>Quisque commodo sapien lacus, quis tristique nunc varius nec. Integer eu sapien non purus pulvinar porta nec at orci. Quisque blandit turpis in elit interdum, in hendrerit ligula dapibus. Quisque eget felis augue. Curabitur velit turpis, accumsan non cursus id, eleifend quis metus. Morbi id pulvinar orci. Nulla cursus, libero vel luctus sollicitudin, quam felis euismod ligula, et scelerisque nisi libero quis turpis. Aliquam vel luctus lorem. Nunc congue tempus enim, at placerat elit iaculis in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In id molestie neque.<br />\r\nDonec dapibus, nulla non porta placerat, odio quam viverra nunc, ornare dapibus nulla sapien ut massa. Maecenas sit amet tellus non metus luctus dignissim sit amet quis mi. Donec quis diam a ipsum tempor blandit eu at libero. In consectetur elit ut ullamcorper posuere. Curabitur non gravida felis. Donec vulputate, ex vitae congue mattis, velit dui pretium est, a volutpat elit ex eget elit</p>\r\n','','filtered_html'),('node','truefalse',0,45,45,'und',0,'<p>Demo Question ?</p>\r\n','','filtered_html'),('node','webform',0,46,46,'und',0,'<address>\r\n<strong>United States Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Canada Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Japan Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Italy Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n<address>\r\n<strong>Vietnam Campus</strong>\r\n<p><i class=\"fa fa-map-marker\"></i> 795 Folsom Ave, Suite 600, San Francisco , CA94107 USA<br><i class=\"fa fa-phone\"></i> TEL: 0800-666-6666 / FAX: 1-800-666-8888</p>\r\n</address>\r\n\r\n','','full_html'),('node','gallery',0,47,47,'und',0,'<p>Gallery Menu 10</p>\r\n','','filtered_html'),('node','article',0,48,48,'und',0,'Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt eget justo vel, venenatis consequat dui. Nam sed lobortis quam. Nunc rhoncus est eu risus volutpat convallis. Fusce orci tortor, vulputate non fringilla et, lobortis eget neque. Quisque pulvinar rhoncus gravida. Praesent pulvinar sapien in porta facilisis. Etiam luctus lectus in cursus ornare. Sed facilisis libero at quam maximus tempor. Morbi eget felis nisi.\r\nMaecenas vel arcu eu enim auctor vestibulum a ut quam. Curabitur nunc quam, lobortis in massa ut, bibendum suscipit tellus. Pellentesque volutpat urna nec feugiat vulputate. Donec dapibus, justo id auctor blandit, est odio pulvinar nisl, quis vulputate nisl massa ut nibh. Integer consectetur ipsum felis, auctor dapibus mi tincidunt sed. Proin lobortis convallis lectus, a ultricies eros ullamcorper nec. Quisque dapibus neque quis volutpat aliquet. Suspendisse eget sapien arcu.\r\nVestibulum ac consectetur augue, ac feugiat turpis. Integer rutrum varius metus, sed aliquam enim commodo nec. Suspendisse interdum dictum augue ac vehicula. Aenean sed magna fringilla, ultricies tortor nec, cursus dui. Nunc id tempus tortor. Quisque eu nulla at massa tincidunt fermentum. Aliquam ultricies erat aliquam, luctus ipsum ut, rhoncus ligula. Ut semper, metus sed rhoncus ullamcorper, risus quam ultricies nisl, auctor dapibus odio orci et quam. Quisque condimentum sed dolor quis efficitur. Nullam ligula odio, faucibus sed neque non, pharetra porttitor massa. Suspendisse eu nunc molestie, facilisis nulla vitae, ullamcorper eros. Donec sed odio gravida, lacinia neque ac, lobortis augue. Fusce rhoncus vitae tortor ac pellentesque. Sed a dui mi. Proin malesuada nibh lectus, vel sagittis magna vehicula et.','','filtered_html'),('node','page',0,49,49,'und',0,'Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.','','filtered_html'),('node','page',0,50,50,'und',0,'Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror. Praesent sollicitudin sem sollicitudin hendrerit dapibus. Proin efficitur hendrerit nisi, adisu tamaror.','','filtered_html'),('node','page',0,51,51,'und',0,'Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.','','filtered_html'),('node','page',0,52,52,'und',0,'Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget nisi pulvinar arcu aliquam cursus nec et leo. Suspendisse eget faucibus justo. Morbi consectetur justo massa, sed feugiat leo rutrum interdum. Duis lobortis leo et neque dapibus, ante venenatis. Nullam et accumsan diam. Aliquam vel tortor ipsum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut.','','filtered_html');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_news',0,1,1,'und',0,'\r\n\r\nCras non dolor. Aliquam eu nunc. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Curabitur turpis. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi.\r\n\r\nInteger tincidunt. Pellentesque ut neque. Donec orci lectus, aliquam ut, faucibus non, euismod id, nulla. Nam commodo suscipit quam. Quisque id odio.\r\n','filtered_html'),('comment','comment_node_news',0,2,2,'und',0,'Cras non dolor. Aliquam eu nunc. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Curabitur turpis. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi.','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field__class`
--

DROP TABLE IF EXISTS `field_revision_field__class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field__class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field__class_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field__class_tid` (`field__class_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 60 (field__class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field__class`
--

LOCK TABLES `field_revision_field__class` WRITE;
/*!40000 ALTER TABLE `field_revision_field__class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field__class` VALUES ('user','user',0,1,1,'und',0,49),('user','user',0,2,2,'und',0,50),('user','user',0,3,3,'und',0,51),('user','user',0,4,4,'und',0,52),('user','user',0,5,5,'und',0,48),('user','user',0,6,6,'und',0,49),('user','user',0,7,7,'und',0,50),('user','user',0,8,8,'und',0,51),('user','user',0,9,9,'und',0,52),('user','user',0,10,10,'und',0,48),('user','user',0,11,11,'und',0,49),('user','user',0,12,12,'und',0,48);
/*!40000 ALTER TABLE `field_revision_field__class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_address`
--

DROP TABLE IF EXISTS `field_revision_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_value` varchar(255) DEFAULT NULL,
  `field_address_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_address_format` (`field_address_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 29 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_address`
--

LOCK TABLES `field_revision_field_address` WRITE;
/*!40000 ALTER TABLE `field_revision_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_address` VALUES ('taxonomy_term','our_campus',0,26,26,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,27,27,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,28,28,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,29,29,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,30,30,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,31,31,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL),('taxonomy_term','our_campus',0,32,32,'und',0,'795 Folsom Ave, Suite 600, San Francisco , CA94107 USA',NULL);
/*!40000 ALTER TABLE `field_revision_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_campus`
--

DROP TABLE IF EXISTS `field_revision_field_campus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_campus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_campus_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_campus_tid` (`field_campus_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 40 (field_campus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_campus`
--

LOCK TABLES `field_revision_field_campus` WRITE;
/*!40000 ALTER TABLE `field_revision_field_campus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_campus` VALUES ('node','events',0,2,2,'und',0,32),('node','events',0,3,3,'und',0,30),('node','events',0,4,4,'und',0,31),('node','course',0,16,16,'und',0,26),('node','course',0,17,17,'und',0,27),('node','course',0,18,18,'und',0,28),('node','events',0,19,19,'und',0,32),('node','events',0,20,20,'und',0,28),('node','events',0,20,20,'und',1,29),('node','events',0,21,21,'und',0,26),('node','events',0,22,22,'und',0,27),('node','events',0,23,23,'und',0,29);
/*!40000 ALTER TABLE `field_revision_field_campus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_category`
--

DROP TABLE IF EXISTS `field_revision_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 27 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_category`
--

LOCK TABLES `field_revision_field_category` WRITE;
/*!40000 ALTER TABLE `field_revision_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_category` VALUES ('node','news',0,5,5,'und',0,25),('node','news',0,6,6,'und',0,24),('node','news',0,7,7,'und',0,24);
/*!40000 ALTER TABLE `field_revision_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_class`
--

DROP TABLE IF EXISTS `field_revision_field_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_class_value` varchar(255) DEFAULT NULL,
  `field_class_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_class_format` (`field_class_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 12 (field_class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_class`
--

LOCK TABLES `field_revision_field_class` WRITE;
/*!40000 ALTER TABLE `field_revision_field_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_class` VALUES ('taxonomy_term','category',0,24,24,'und',0,'educational-global',NULL),('taxonomy_term','category',0,25,25,'und',0,'educational-scholarship',NULL),('taxonomy_term','category',0,36,36,'und',0,'educational-student',NULL),('taxonomy_term','category',0,37,37,'und',0,'educational-notification',NULL),('taxonomy_term','category',0,38,38,'und',0,'educational-schools',NULL),('taxonomy_term','gallery_categories',0,40,40,'und',0,'gallery-educational',NULL),('taxonomy_term','gallery_categories',0,41,41,'und',0,'gallery-student',NULL),('taxonomy_term','gallery_categories',0,42,42,'und',0,'gallery-news',NULL),('taxonomy_term','gallery_categories',0,43,43,'und',0,'gallery-scholarship',NULL);
/*!40000 ALTER TABLE `field_revision_field_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_courses`
--

DROP TABLE IF EXISTS `field_revision_field_courses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_courses` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_courses_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_courses_tid` (`field_courses_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 15 (field_courses)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_courses`
--

LOCK TABLES `field_revision_field_courses` WRITE;
/*!40000 ALTER TABLE `field_revision_field_courses` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_courses` VALUES ('node','course',0,16,16,'und',0,2),('node','course',0,17,17,'und',0,2);
/*!40000 ALTER TABLE `field_revision_field_courses` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_credit`
--

DROP TABLE IF EXISTS `field_revision_field_credit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_credit` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_credit_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 69 (field_credit)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_credit`
--

LOCK TABLES `field_revision_field_credit` WRITE;
/*!40000 ALTER TABLE `field_revision_field_credit` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_credit` VALUES ('node','course',0,16,16,'und',0,5),('node','course',0,17,17,'und',0,15),('node','course',0,18,18,'und',0,100);
/*!40000 ALTER TABLE `field_revision_field_credit` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_date`
--

DROP TABLE IF EXISTS `field_revision_field_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 45 (field_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_date`
--

LOCK TABLES `field_revision_field_date` WRITE;
/*!40000 ALTER TABLE `field_revision_field_date` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_date_to_date`
--

DROP TABLE IF EXISTS `field_revision_field_date_to_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_date_to_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_date_to_date_value` varchar(255) DEFAULT NULL,
  `field_date_to_date_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_date_to_date_format` (`field_date_to_date_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 66 (field_date_to_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_date_to_date`
--

LOCK TABLES `field_revision_field_date_to_date` WRITE;
/*!40000 ALTER TABLE `field_revision_field_date_to_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_date_to_date` VALUES ('node','course',0,16,16,'und',0,'06/01/2014 - 06/07/2014',NULL),('node','course',0,17,17,'und',0,'06/01/2014 - 06/07/2014',NULL),('node','course',0,18,18,'und',0,'06/01/2014 - 06/07/2014',NULL);
/*!40000 ALTER TABLE `field_revision_field_date_to_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_description`
--

DROP TABLE IF EXISTS `field_revision_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 35 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_description`
--

LOCK TABLES `field_revision_field_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_description` VALUES ('field_collection_item','field_list_file',0,1,1,'und',0,'This packet contains the same content',NULL),('field_collection_item','field_list_file',0,2,2,'und',0,'This packet contains the same content',NULL),('field_collection_item','field_list_file',0,3,3,'und',0,'This packet contains the same content',NULL),('node','course',0,16,16,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL),('node','course',0,17,17,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL),('node','course',0,18,18,'und',0,'Proin a porta leo. Mauris neque justo, ornare vel ligula efficitur, dignissim sollicitudin leo. Fusce eget.',NULL);
/*!40000 ALTER TABLE `field_revision_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_during`
--

DROP TABLE IF EXISTS `field_revision_field_during`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_during` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_during_value` varchar(255) DEFAULT NULL,
  `field_during_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_during_format` (`field_during_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 44 (field_during)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_during`
--

LOCK TABLES `field_revision_field_during` WRITE;
/*!40000 ALTER TABLE `field_revision_field_during` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_during` VALUES ('node','events',0,2,2,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,3,3,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,4,4,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,19,19,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,20,20,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,21,21,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,22,22,'und',0,'06/07/2015 - 06/27/2015',NULL),('node','events',0,23,23,'und',0,'06/07/2015 - 06/27/2015',NULL);
/*!40000 ALTER TABLE `field_revision_field_during` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_email`
--

DROP TABLE IF EXISTS `field_revision_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(255) DEFAULT NULL,
  `field_email_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_email_format` (`field_email_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 70 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_email`
--

LOCK TABLES `field_revision_field_email` WRITE;
/*!40000 ALTER TABLE `field_revision_field_email` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_events`
--

DROP TABLE IF EXISTS `field_revision_field_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_events` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_events_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_events_tid` (`field_events_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 16 (field_events)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_events`
--

LOCK TABLES `field_revision_field_events` WRITE;
/*!40000 ALTER TABLE `field_revision_field_events` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_events` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_facebook`
--

DROP TABLE IF EXISTS `field_revision_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 61 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_facebook`
--

LOCK TABLES `field_revision_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_revision_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,2,2,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,3,3,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,6,6,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,7,7,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,8,8,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,9,9,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,10,10,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,11,11,'und',0,'http://facebook.com/#','Facebook','a:0:{}'),('user','user',0,12,12,'und',0,'http://facebook.com/#','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_category`
--

DROP TABLE IF EXISTS `field_revision_field_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_category_tid` (`field_field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 26 (field_field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_category`
--

LOCK TABLES `field_revision_field_field_category` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_category` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_class`
--

DROP TABLE IF EXISTS `field_revision_field_field_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_class` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_class_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_class_tid` (`field_field_class_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 59 (field_field_class)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_class`
--

LOCK TABLES `field_revision_field_field_class` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_class` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_gallery_categories`
--

DROP TABLE IF EXISTS `field_revision_field_field_gallery_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_gallery_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_gallery_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_gallery_categories_tid` (`field_field_gallery_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 49 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_gallery_categories`
--

LOCK TABLES `field_revision_field_field_gallery_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_gallery_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_gallery_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_location`
--

DROP TABLE IF EXISTS `field_revision_field_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_location_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_location_tid` (`field_field_location_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 48 (field_field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_location`
--

LOCK TABLES `field_revision_field_field_location` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_location` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_newsletter`
--

DROP TABLE IF EXISTS `field_revision_field_field_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_newsletter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_newsletter_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_newsletter_tid` (`field_field_newsletter_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 56 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_newsletter`
--

LOCK TABLES `field_revision_field_field_newsletter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_our_campus`
--

DROP TABLE IF EXISTS `field_revision_field_field_our_campus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_our_campus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_our_campus_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_our_campus_tid` (`field_field_our_campus_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 28 (field_field_our...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_our_campus`
--

LOCK TABLES `field_revision_field_field_our_campus` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_our_campus` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_our_campus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_professors`
--

DROP TABLE IF EXISTS `field_revision_field_field_professors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_professors` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_professors_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_professors_tid` (`field_field_professors_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 23 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_professors`
--

LOCK TABLES `field_revision_field_field_professors` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_professors` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_professors` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_room`
--

DROP TABLE IF EXISTS `field_revision_field_field_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_room` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_room_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_room_tid` (`field_field_room_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 67 (field_field_room)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_room`
--

LOCK TABLES `field_revision_field_field_room` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_room` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_room` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_statistic`
--

DROP TABLE IF EXISTS `field_revision_field_field_statistic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_statistic` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_statistic_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_statistic_tid` (`field_field_statistic_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 51 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_statistic`
--

LOCK TABLES `field_revision_field_field_statistic` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_statistic` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_statistic` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_status`
--

DROP TABLE IF EXISTS `field_revision_field_field_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_status_tid` (`field_field_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 32 (field_field_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_status`
--

LOCK TABLES `field_revision_field_field_status` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_status` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_file`
--

DROP TABLE IF EXISTS `field_revision_field_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_file` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_file_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_file_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_fid` (`field_file_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 72 (field_file)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_file`
--

LOCK TABLES `field_revision_field_file` WRITE;
/*!40000 ALTER TABLE `field_revision_field_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_file` VALUES ('field_collection_item','field_list_file',0,1,1,'und',0,92,1,''),('field_collection_item','field_list_file',0,2,2,'und',0,94,1,''),('field_collection_item','field_list_file',0,3,3,'und',0,93,1,'');
/*!40000 ALTER TABLE `field_revision_field_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_flexslider_example_image`
--

DROP TABLE IF EXISTS `field_revision_field_flexslider_example_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_flexslider_example_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_flexslider_example_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_flexslider_example_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_flexslider_example_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_flexslider_example_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_flexslider_example_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_flexslider_example_image_fid` (`field_flexslider_example_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (field_flexslider...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_flexslider_example_image`
--

LOCK TABLES `field_revision_field_flexslider_example_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_flexslider_example_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_flexslider_example_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_flexslider_example_slidesh`
--

DROP TABLE IF EXISTS `field_revision_field_flexslider_example_slidesh`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_flexslider_example_slidesh` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_flexslider_example_slidesh_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_flexslider_example_slidesh_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_flexslider_example_slidesh_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_flexslider_example_slidesh_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_flexslider_example_slidesh_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_flexslider_example_slidesh_fid` (`field_flexslider_example_slidesh_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_flexslider...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_flexslider_example_slidesh`
--

LOCK TABLES `field_revision_field_flexslider_example_slidesh` WRITE;
/*!40000 ALTER TABLE `field_revision_field_flexslider_example_slidesh` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_flexslider_example_slidesh` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_forums`
--

DROP TABLE IF EXISTS `field_revision_field_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_forums_tid` (`field_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 14 (field_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_forums`
--

LOCK TABLES `field_revision_field_forums` WRITE;
/*!40000 ALTER TABLE `field_revision_field_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_full_name`
--

DROP TABLE IF EXISTS `field_revision_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_full_name`
--

LOCK TABLES `field_revision_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_revision_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_full_name` VALUES ('user','user',0,2,2,'und',0,'David BC',NULL),('user','user',0,3,3,'und',0,'Jone LA',NULL),('user','user',0,4,4,'und',0,'Michel Shiny',NULL),('user','user',0,5,5,'und',0,'Mactin QC',NULL),('user','user',0,6,6,'und',0,'Mactin QC',NULL),('user','user',0,7,7,'und',0,'Marzo',NULL),('user','user',0,8,8,'und',0,'Dr. David Jonhson',NULL),('user','user',0,9,9,'und',0,'Smith .DC',NULL),('user','user',0,10,10,'und',0,'Mayza .DA',NULL),('user','user',0,11,11,'und',0,'Scrola .LA',NULL),('user','user',0,12,12,'und',0,'Dr. Mark II',NULL);
/*!40000 ALTER TABLE `field_revision_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gallery_categories`
--

DROP TABLE IF EXISTS `field_revision_field_gallery_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gallery_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_categories_tid` (`field_gallery_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 50 (field_gallery...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gallery_categories`
--

LOCK TABLES `field_revision_field_gallery_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gallery_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gallery_categories` VALUES ('node','gallery',0,25,25,'und',0,40),('node','gallery',0,26,26,'und',0,42),('node','gallery',0,27,27,'und',0,43),('node','gallery',0,28,28,'und',0,41),('node','gallery',0,29,29,'und',0,40),('node','gallery',0,30,30,'und',0,42),('node','gallery',0,31,31,'und',0,43),('node','gallery',0,32,32,'und',0,41),('node','gallery',0,33,33,'und',0,40),('node','gallery',0,47,47,'und',0,42);
/*!40000 ALTER TABLE `field_revision_field_gallery_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_google_plus`
--

DROP TABLE IF EXISTS `field_revision_field_google_plus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_google_plus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_google_plus_url` varchar(2048) DEFAULT NULL,
  `field_google_plus_title` varchar(255) DEFAULT NULL,
  `field_google_plus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 63 (field_google_plus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_google_plus`
--

LOCK TABLES `field_revision_field_google_plus` WRITE;
/*!40000 ALTER TABLE `field_revision_field_google_plus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_google_plus` VALUES ('user','user',0,1,1,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,2,2,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,3,3,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,4,4,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,5,5,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,6,6,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,7,7,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,8,8,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,9,9,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,10,10,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,11,11,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}'),('user','user',0,12,12,'und',0,'http://plus.google.com/#','Google Plus','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_google_plus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_graduated`
--

DROP TABLE IF EXISTS `field_revision_field_graduated`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_graduated` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_graduated_value` varchar(255) DEFAULT NULL,
  `field_graduated_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_graduated_format` (`field_graduated_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 25 (field_graduated)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_graduated`
--

LOCK TABLES `field_revision_field_graduated` WRITE;
/*!40000 ALTER TABLE `field_revision_field_graduated` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_graduated` VALUES ('taxonomy_term','professors',0,19,19,'und',0,'(Graduated in 2010)',NULL),('taxonomy_term','professors',0,20,20,'und',0,'(Graduated in 2011)',NULL),('taxonomy_term','professors',0,21,21,'und',0,'(Graduated in 2012)',NULL),('taxonomy_term','professors',0,23,23,'und',0,'(Graduated in 2008)',NULL);
/*!40000 ALTER TABLE `field_revision_field_graduated` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('node','events',0,2,2,'und',0,39,'','',287,229),('node','events',0,3,3,'und',0,37,'','',287,229),('node','events',0,4,4,'und',0,38,'','',287,229),('node','news',0,5,5,'und',0,69,'','',570,340),('node','news',0,6,6,'und',0,67,'','',570,340),('node','news',0,7,7,'und',0,68,'','',570,340),('node','slideshow',0,14,14,'und',0,21,'','',1441,1054),('node','slideshow',0,15,15,'und',0,23,'','',1441,1054),('node','course',0,16,16,'und',0,31,'','',370,200),('node','course',0,17,17,'und',0,32,'','',370,200),('node','course',0,18,18,'und',0,33,'','',370,200),('node','events',0,19,19,'und',0,40,'','',287,229),('node','events',0,20,20,'und',0,41,'','',287,229),('node','events',0,21,21,'und',0,42,'','',287,229),('node','events',0,22,22,'und',0,43,'','',287,229),('node','events',0,23,23,'und',0,44,'','',287,229),('node','gallery',0,25,25,'und',0,50,'','',403,269),('node','gallery',0,26,26,'und',0,51,'','',403,269),('node','gallery',0,27,27,'und',0,52,'','',403,269),('node','gallery',0,28,28,'und',0,53,'','',403,269),('node','gallery',0,29,29,'und',0,54,'','',403,269),('node','gallery',0,30,30,'und',0,55,'','',403,269),('node','gallery',0,31,31,'und',0,56,'','',403,269),('node','gallery',0,32,32,'und',0,57,'','',403,269),('node','gallery',0,33,33,'und',0,58,'','',403,269),('node','page',0,41,41,'und',0,59,'','',686,517),('node','page',0,42,42,'und',0,60,'','',290,194),('node','page',0,43,43,'und',0,61,'','',287,229),('node','gallery',0,47,47,'und',0,64,'','',403,269),('taxonomy_term','services',0,13,13,'und',0,70,'','',58,39),('taxonomy_term','services',0,14,14,'und',0,73,'','',58,39),('taxonomy_term','services',0,15,15,'und',0,72,'','',58,39),('taxonomy_term','services',0,16,16,'und',0,71,'','',58,39),('taxonomy_term','professors',0,19,19,'und',0,20,'','',1200,400),('taxonomy_term','professors',0,20,20,'und',0,19,'','',1200,400),('taxonomy_term','professors',0,21,21,'und',0,18,'','',1200,400),('taxonomy_term','professors',0,23,23,'und',0,17,'','',1200,400),('taxonomy_term','our_campus',0,26,26,'und',0,34,'','',1200,400),('taxonomy_term','our_campus',0,27,27,'und',0,25,'','',1200,400),('taxonomy_term','our_campus',0,28,28,'und',0,26,'','',1200,400),('taxonomy_term','our_campus',0,29,29,'und',0,27,'','',1200,400),('taxonomy_term','our_campus',0,30,30,'und',0,28,'','',1200,400),('taxonomy_term','our_campus',0,31,31,'und',0,36,'','',1200,400),('taxonomy_term','our_campus',0,32,32,'und',0,35,'','',1200,400);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_integer`
--

DROP TABLE IF EXISTS `field_revision_field_integer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_integer` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_integer_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 46 (field_integer)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_integer`
--

LOCK TABLES `field_revision_field_integer` WRITE;
/*!40000 ALTER TABLE `field_revision_field_integer` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_integer` VALUES ('node','course',0,16,16,'und',0,100),('node','course',0,17,17,'und',0,100),('node','course',0,18,18,'und',0,100);
/*!40000 ALTER TABLE `field_revision_field_integer` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_letters`
--

DROP TABLE IF EXISTS `field_revision_field_letters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_letters` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_letters_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_letters_value` (`field_letters_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 47 (field_letters)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_letters`
--

LOCK TABLES `field_revision_field_letters` WRITE;
/*!40000 ALTER TABLE `field_revision_field_letters` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_letters` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_linkedin`
--

DROP TABLE IF EXISTS `field_revision_field_linkedin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_linkedin_title` varchar(255) DEFAULT NULL,
  `field_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 64 (field_linkedin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_linkedin`
--

LOCK TABLES `field_revision_field_linkedin` WRITE;
/*!40000 ALTER TABLE `field_revision_field_linkedin` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_linkedin` VALUES ('user','user',0,1,1,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,2,2,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,3,3,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,4,4,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,5,5,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,6,6,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,7,7,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,8,8,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,9,9,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,10,10,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,11,11,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}'),('user','user',0,12,12,'und',0,'http://linkedin.com/#','Linkedin','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_linkedin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_list_description`
--

DROP TABLE IF EXISTS `field_revision_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 21 (field_list...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_list_description`
--

LOCK TABLES `field_revision_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_revision_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_list_file`
--

DROP TABLE IF EXISTS `field_revision_field_list_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_list_file` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_file_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_list_file_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_file_revision_id` (`field_list_file_revision_id`),
  KEY `field_list_file_value` (`field_list_file_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 71 (field_list_file)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_list_file`
--

LOCK TABLES `field_revision_field_list_file` WRITE;
/*!40000 ALTER TABLE `field_revision_field_list_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_list_file` VALUES ('node','course',0,18,18,'und',0,1,1),('node','course',0,18,18,'und',1,2,2),('node','course',0,18,18,'und',2,3,3);
/*!40000 ALTER TABLE `field_revision_field_list_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_location`
--

DROP TABLE IF EXISTS `field_revision_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_location_value` varchar(255) DEFAULT NULL,
  `field_location_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_location_format` (`field_location_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 39 (field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_location`
--

LOCK TABLES `field_revision_field_location` WRITE;
/*!40000 ALTER TABLE `field_revision_field_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_location` VALUES ('node','events',0,2,2,'und',0,'Zone B',NULL),('node','events',0,3,3,'und',0,'Zone A',NULL),('node','events',0,4,4,'und',0,'Zone C',NULL),('node','events',0,19,19,'und',0,'Zone B',NULL),('node','events',0,20,20,'und',0,'Zone A',NULL),('node','events',0,21,21,'und',0,'Zone B',NULL),('node','events',0,22,22,'und',0,'Zone C',NULL),('node','events',0,23,23,'und',0,'Zone A',NULL);
/*!40000 ALTER TABLE `field_revision_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_map`
--

DROP TABLE IF EXISTS `field_revision_field_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_map` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_map_value` longtext,
  `field_map_summary` longtext,
  `field_map_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_map_format` (`field_map_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 54 (field_map)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_map`
--

LOCK TABLES `field_revision_field_map` WRITE;
/*!40000 ALTER TABLE `field_revision_field_map` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_map` VALUES ('node','webform',0,46,46,'und',0,'<div class=\"iframe-map\"><iframe class=\"contact_map\"  width=\"100%\" height=\"300\" src=\"https://maps.google.com/maps?f=q&amp;source=s_q&amp;hl=vi&amp;q=795+Folsom+Ave+%236000,+Hayward,+Alameda,+California+94544&amp;sll=37.0625,-95.677068&amp;sspn=56.112526,114.169922&amp;ie=UTF8&amp;geocode=FZQfPgIdJnC5-A&amp;split=0&amp;hq=&amp;hnear=795+Folsom+Ave+%236000,+Hayward,+Alameda,+California+94544&amp;t=m&amp;z=14&amp;ll=37.625748,-122.064858&amp;output=embed\"></iframe></div>\r\n','','full_html');
/*!40000 ALTER TABLE `field_revision_field_map` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 22 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_body`
--

LOCK TABLES `field_revision_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html'),('user','user',0,1,1,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,2,2,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,3,3,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,4,4,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,5,5,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,6,6,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,7,7,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,8,8,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,9,9,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,10,10,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,11,11,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html'),('user','user',0,12,12,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id massa orci. Proin vitae tristique orci, vitae tempus massa. Mauris condimentum leo porta ipsum ullamcorper imperdiet. Aliquam vitae libero sem. Donec ultrices elit venenatis commodo tincidunt. Duis tempus at leo eu pellentesque. Vivamus ut metus scelerisque, eleifend ex id, ornare quam. Etiam eget eros condimentum quam ornare mattis a vel orci. Mauris non gravida est. Suspendisse mattis, erat quis auctor eleifend, justo orci facilisis eros, non eleifend ex diam et mauris. Phasellus scelerisque est quis sem placerat commodo. Nullam pulvinar, odio vel scelerisque porta, quam nibh molestie quam, sit amet aliquet odio nisi quis mauris.\r\nUt ornare tincidunt imperdiet. Nulla a felis arcu. Nam eu euismod dolor. Sed et lacus aliquet arcu cursus blandit sed quis dolor. Cras nec finibus libero. Vestibulum a mi sollicitudin, egestas nunc in, vulputate velit. Nulla congue magna non justo facilisis suscipit eu id nisl.\r\n\r\nSuspendisse eget dapibus odio. Donec erat arcu, pulvinar accumsan nibh in, efficitur pulvinar mauris. Quisque eu commodo neque. Nam faucibus eu sapien ac cursus. Phasellus id convallis lacus, quis mattis turpis. Duis enim nibh, luctus vitae erat sit amet, tincidunt lobortis tortor. Donec congue, enim quis mollis tempus, mauris metus euismod nisi, sit amet scelerisque eros felis luctus arcu. Etiam quis sem id mauris convallis dictum nec a sem. In vehicula sodales sem vitae pretium. Proin eget mi id eros eleifend bibendum. Suspendisse dolor arcu, finibus eget bibendum eget, mattis sit amet eros.\r\n\r\nSed tempus pulvinar erat quis auctor. Nullam sodales ac dui eu interdum. Morbi tincidunt ipsum eu luctus interdum. Curabitur lorem lacus, ornare non augue cursus, lacinia bibendum lorem. Praesent ultricies lacinia nisl, non placerat dui consectetur ut. Cras eleifend hendrerit viverra. Aenean varius eu nibh nec ultrices. In efficitur nibh sem, sed interdum augue viverra vitae. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec lacus orci, mattis vitae fermentum in, eleifend quis urna. Donec finibus vestibulum ante id eleifend. Nunc ornare vestibulum urna iaculis scelerisque. Mauris placerat ut nisl tempus viverra. Aliquam mattis fermentum lorem, nec molestie magna condimentum ut.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 17 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_categories`
--

LOCK TABLES `field_revision_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 19 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_list`
--

LOCK TABLES `field_revision_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 20 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_template`
--

LOCK TABLES `field_revision_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_person`
--

DROP TABLE IF EXISTS `field_revision_field_person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_person` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_person_uid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_person_uid` (`field_person_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 42 (field_person)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_person`
--

LOCK TABLES `field_revision_field_person` WRITE;
/*!40000 ALTER TABLE `field_revision_field_person` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_person` VALUES ('node','events',0,2,2,'und',0,12),('node','events',0,3,3,'und',0,12),('node','events',0,4,4,'und',0,12),('node','course',0,16,16,'und',0,11),('node','course',0,17,17,'und',0,10),('node','course',0,18,18,'und',0,9),('node','events',0,19,19,'und',0,12),('node','events',0,20,20,'und',0,12),('node','events',0,21,21,'und',0,12),('node','events',0,22,22,'und',0,12),('node','events',0,23,23,'und',0,12);
/*!40000 ALTER TABLE `field_revision_field_person` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_position`
--

DROP TABLE IF EXISTS `field_revision_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_value` varchar(255) DEFAULT NULL,
  `field_position_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_format` (`field_position_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 24 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_position`
--

LOCK TABLES `field_revision_field_position` WRITE;
/*!40000 ALTER TABLE `field_revision_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_position` VALUES ('taxonomy_term','professors',0,19,19,'und',0,'Founder of SUper Medicial center',NULL),('taxonomy_term','professors',0,20,20,'und',0,'CEO',NULL),('taxonomy_term','professors',0,21,21,'und',0,'Founder of South',NULL),('taxonomy_term','professors',0,23,23,'und',0,'HR',NULL);
/*!40000 ALTER TABLE `field_revision_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_room`
--

DROP TABLE IF EXISTS `field_revision_field_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_room` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_room_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_room_tid` (`field_room_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 68 (field_room)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_room`
--

LOCK TABLES `field_revision_field_room` WRITE;
/*!40000 ALTER TABLE `field_revision_field_room` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_room` VALUES ('node','course',0,16,16,'und',0,56),('node','course',0,17,17,'und',0,54),('node','course',0,18,18,'und',0,53);
/*!40000 ALTER TABLE `field_revision_field_room` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_services`
--

DROP TABLE IF EXISTS `field_revision_field_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_services` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_services_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_services_tid` (`field_services_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 18 (field_services)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_services`
--

LOCK TABLES `field_revision_field_services` WRITE;
/*!40000 ALTER TABLE `field_revision_field_services` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_services` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_start_date`
--

DROP TABLE IF EXISTS `field_revision_field_start_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_start_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_start_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_start_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_start_date`
--

LOCK TABLES `field_revision_field_start_date` WRITE;
/*!40000 ALTER TABLE `field_revision_field_start_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_start_date` VALUES ('node','events',0,2,2,'und',0,'2014-11-20 00:00:00'),('node','events',0,3,3,'und',0,'2014-11-20 00:00:00'),('node','events',0,4,4,'und',0,'2014-11-20 00:00:00'),('node','events',0,19,19,'und',0,'2014-11-20 00:00:00'),('node','events',0,20,20,'und',0,'2014-11-20 00:00:00'),('node','events',0,21,21,'und',0,'2014-11-20 00:00:00'),('node','events',0,22,22,'und',0,'2014-11-20 00:00:00'),('node','events',0,23,23,'und',0,'2014-11-20 00:00:00');
/*!40000 ALTER TABLE `field_revision_field_start_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_status`
--

DROP TABLE IF EXISTS `field_revision_field_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_status_tid` (`field_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 33 (field_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_status`
--

LOCK TABLES `field_revision_field_status` WRITE;
/*!40000 ALTER TABLE `field_revision_field_status` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_status` VALUES ('node','course',0,18,18,'und',0,34);
/*!40000 ALTER TABLE `field_revision_field_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tel`
--

DROP TABLE IF EXISTS `field_revision_field_tel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tel` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tel_value` varchar(255) DEFAULT NULL,
  `field_tel_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tel_format` (`field_tel_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 30 (field_tel)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tel`
--

LOCK TABLES `field_revision_field_tel` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tel` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tel` VALUES ('taxonomy_term','our_campus',0,26,26,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,27,27,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,28,28,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,29,29,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,30,30,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,31,31,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL),('taxonomy_term','our_campus',0,32,32,'und',0,'TEL: (123) 456-7890 / FAX: (123) 456-7891',NULL);
/*!40000 ALTER TABLE `field_revision_field_tel` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_timing`
--

DROP TABLE IF EXISTS `field_revision_field_timing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_timing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timing_value` varchar(255) DEFAULT NULL,
  `field_timing_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_timing_format` (`field_timing_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 65 (field_timing)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_timing`
--

LOCK TABLES `field_revision_field_timing` WRITE;
/*!40000 ALTER TABLE `field_revision_field_timing` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_timing` VALUES ('node','course',0,16,16,'und',0,'01:00 PM - 04:00 PM',NULL),('node','course',0,17,17,'und',0,'01:00 PM - 04:00 PM',NULL),('node','course',0,18,18,'und',0,'01:00 PM - 04:00 PM',NULL);
/*!40000 ALTER TABLE `field_revision_field_timing` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_timings`
--

DROP TABLE IF EXISTS `field_revision_field_timings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_timings` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_timings_value` varchar(255) DEFAULT NULL,
  `field_timings_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_timings_format` (`field_timings_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 43 (field_timings)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_timings`
--

LOCK TABLES `field_revision_field_timings` WRITE;
/*!40000 ALTER TABLE `field_revision_field_timings` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_timings` VALUES ('node','events',0,2,2,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,3,3,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,4,4,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,19,19,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,20,20,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,21,21,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,22,22,'und',0,'01:00 PM - 04:00 PM',NULL),('node','events',0,23,23,'und',0,'01:00 PM - 04:00 PM',NULL);
/*!40000 ALTER TABLE `field_revision_field_timings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_twitter`
--

DROP TABLE IF EXISTS `field_revision_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 62 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_twitter`
--

LOCK TABLES `field_revision_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,2,2,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,3,3,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,6,6,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,7,7,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,8,8,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,9,9,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,10,10,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,11,11,'und',0,'http://twitter.com/#','Twitter','a:0:{}'),('user','user',0,12,12,'und',0,'http://twitter.com/#','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_user`
--

DROP TABLE IF EXISTS `field_revision_field_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_user` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_uid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_uid` (`field_user_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_user)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_user`
--

LOCK TABLES `field_revision_field_user` WRITE;
/*!40000 ALTER TABLE `field_revision_field_user` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_user` VALUES ('node','testimonials',0,11,11,'und',0,2),('node','testimonials',0,12,12,'und',0,3),('node','testimonials',0,13,13,'und',0,5);
/*!40000 ALTER TABLE `field_revision_field_user` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_user_description`
--

DROP TABLE IF EXISTS `field_revision_field_user_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_user_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_description_value` longtext,
  `field_user_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_description_format` (`field_user_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 41 (field_user...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_user_description`
--

LOCK TABLES `field_revision_field_user_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_user_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_user_description` VALUES ('user','user',0,6,6,'und',0,'MASTER OF COMPUTER SCIENCE',NULL),('user','user',0,8,8,'und',0,'MASTER OF COMPUTER SCIENCE',NULL),('user','user',0,9,9,'und',0,'Master of Computer Science',NULL),('user','user',0,10,10,'und',0,'Master of Computer Science',NULL),('user','user',0,11,11,'und',0,'Master of Computer Science',NULL),('user','user',0,12,12,'und',0,'Master of Computer Science',NULL);
/*!40000 ALTER TABLE `field_revision_field_user_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_user_type`
--

DROP TABLE IF EXISTS `field_revision_field_user_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_user_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_type_tid` (`field_user_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 13 (field_user_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_user_type`
--

LOCK TABLES `field_revision_field_user_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_user_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_user_type` VALUES ('user','user',0,2,2,'und',0,18),('user','user',0,3,3,'und',0,18),('user','user',0,4,4,'und',0,18),('user','user',0,5,5,'und',0,18),('user','user',0,6,6,'und',0,17),('user','user',0,7,7,'und',0,18),('user','user',0,8,8,'und',0,17),('user','user',0,9,9,'und',0,17),('user','user',0,10,10,'und',0,17),('user','user',0,11,11,'und',0,17),('user','user',0,12,12,'und',0,39);
/*!40000 ALTER TABLE `field_revision_field_user_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_revision_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_taxonomy_forums`
--

LOCK TABLES `field_revision_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_uc_product_image`
--

DROP TABLE IF EXISTS `field_revision_uc_product_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_uc_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `uc_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `uc_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `uc_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `uc_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `uc_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `uc_product_image_fid` (`uc_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 31 (uc_product_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_uc_product_image`
--

LOCK TABLES `field_revision_uc_product_image` WRITE;
/*!40000 ALTER TABLE `field_revision_uc_product_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_uc_product_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=96 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (2,1,'ads_banners.jpg','public://images/ads_banners.jpg','image/jpeg',80136,1,1416453587,'5eb53bd9-e6a3-4c7a-bb6c-6c0eda28d3a1'),(3,1,'11.jpg','public://images/11.jpg','image/jpeg',70700,1,1416453640,'537e03d4-6378-439b-88dd-3a86a29b097e'),(9,1,'picture-2-1416458734.jpg','public://images/pictures/picture-2-1416458734.jpg','image/jpeg',59356,1,1416458734,'6a9220c1-5ff2-4d7b-8ef4-49590b38e314'),(10,1,'picture-3-1416458973.jpg','public://images/pictures/picture-3-1416458973.jpg','image/jpeg',56068,1,1416458973,'788be1b2-0c3f-481b-89f9-117ea8db4956'),(11,1,'picture-4-1416459006.jpg','public://images/pictures/picture-4-1416459006.jpg','image/jpeg',42445,1,1416459006,'7e40b4e4-bc2d-4bcb-893d-ea09cb238784'),(12,1,'picture-5-1416459121.jpg','public://images/pictures/picture-5-1416459121.jpg','image/jpeg',66334,1,1416459121,'4aed4d0c-daa4-4b9e-bec2-646b65eb7007'),(14,1,'picture-7-1416468216.jpg','public://images/pictures/picture-7-1416468216.jpg','image/jpeg',56068,1,1416468216,'533711f2-a6c9-48c0-beb0-6aeff5371729'),(15,1,'picture-8-1416477673.jpg','public://images/pictures/picture-8-1416477673.jpg','image/jpeg',19939,1,1416477673,'afbff59a-2aaa-401a-bdf4-4a6b11cc5d27'),(17,1,'p1.jpg','public://images/p1.jpg','image/jpeg',160408,1,1416537648,'1adcaa9d-4b7c-45f6-9201-633da3f57899'),(18,1,'p2.jpg','public://images/p2.jpg','image/jpeg',359615,1,1416537661,'dead5df8-163b-41e5-9709-39cc160599a4'),(19,1,'p3.jpg','public://images/p3.jpg','image/jpeg',277141,1,1416537703,'ec23a76a-ac8d-4027-b75a-adfa45610d90'),(20,1,'p4.jpg','public://images/p4.jpg','image/jpeg',177581,1,1416537712,'b17aff0c-ffc2-43bf-af76-44dc78a16692'),(21,1,'slideshow.jpg','public://images/slideshow.jpg','image/jpeg',459220,1,1416551434,'cb0adccd-f040-43cf-8b80-d055ef37a70e'),(23,1,'slideshow.jpg','public://images/slideshow_0.jpg','image/jpeg',459220,1,1416551483,'969f4893-863b-4d41-b344-c5f8ad1e9489'),(25,1,'p1.jpg','public://images/p1_0.jpg','image/jpeg',160408,1,1416556533,'03b1d84c-98db-4f50-8170-32f1dc93b892'),(26,1,'p2.jpg','public://images/p2_0.jpg','image/jpeg',359615,1,1416556552,'491faa9a-bc5a-4b7f-a611-846107bb42f2'),(27,1,'p3.jpg','public://images/p3_0.jpg','image/jpeg',277141,1,1416556573,'581b138c-8dea-48b7-9f04-10df58516918'),(28,1,'p4.jpg','public://images/p4_0.jpg','image/jpeg',177581,1,1416556593,'df41b5a3-b76d-4cb2-adb0-9ae9074644af'),(31,11,'computer.jpg','public://images/computer.jpg','image/jpeg',35583,1,1416888182,'f68eb70d-046f-4e23-829c-4d3ef907aa9d'),(32,10,'language.jpg','public://images/language.jpg','image/jpeg',34556,1,1416888250,'786a4f58-6f39-4e7f-a5d7-c70a2d5cf76b'),(33,9,'camera.jpg','public://images/camera.jpg','image/jpeg',32157,1,1416888309,'ba8d8523-1d4b-4795-98c5-57947b60ab73'),(34,1,'p3.jpg','public://images/p3_1.jpg','image/jpeg',277141,1,1416890182,'81a6cda8-5457-4280-9d01-cb7d3c484e1b'),(35,1,'p1.jpg','public://images/p1_1.jpg','image/jpeg',160408,1,1416890211,'e0f10c5c-eb1c-47ca-98ac-19cd69d21904'),(36,1,'p4.jpg','public://images/p4_1.jpg','image/jpeg',177581,1,1416890225,'3a8017ac-c175-4d50-882c-2842241600a8'),(37,1,'11.jpg','public://images/11_0.jpg','image/jpeg',70700,1,1417141798,'3a68d203-3959-4b53-a8d0-dfce62830460'),(38,1,'11.jpg','public://images/11_1.jpg','image/jpeg',70700,1,1417141809,'90aaafdc-ec25-484a-b949-b0d97d8f2e5f'),(39,1,'11.jpg','public://images/11_2.jpg','image/jpeg',70700,1,1417141820,'4f9ae31a-be0d-4a83-a12e-e0133a082fa2'),(40,1,'11.jpg','public://images/11_3.jpg','image/jpeg',70700,1,1417141880,'f1b47991-9f91-4ad7-950d-aa001e4124e9'),(41,1,'11.jpg','public://images/11_4.jpg','image/jpeg',70700,1,1417141905,'502c9c56-687c-492b-a5ce-af8bbcbb5635'),(42,1,'11.jpg','public://images/11_5.jpg','image/jpeg',70700,1,1417141927,'ec7ef41c-cf6f-4e96-b43a-9925ae804455'),(43,1,'11.jpg','public://images/11_6.jpg','image/jpeg',70700,1,1417141945,'92f2ecc9-448f-4fd1-8546-a5fc0da99983'),(44,1,'11.jpg','public://images/11_7.jpg','image/jpeg',70700,1,1417141979,'7d1702bb-439a-4ed9-9f76-3bbb10791a02'),(45,1,'picture-12-1417148571.jpg','public://images/pictures/picture-12-1417148571.jpg','image/jpeg',56068,1,1417148571,'5f5d1d8b-ce8f-4d09-a6ea-773a954319b0'),(46,1,'picture-11-1417168888.jpg','public://images/pictures/picture-11-1417168888.jpg','image/jpeg',42445,1,1417168888,'eae7429c-6303-4193-be98-91b56e142405'),(47,1,'picture-10-1417168905.jpg','public://images/pictures/picture-10-1417168905.jpg','image/jpeg',59356,1,1417168905,'82f441b2-e44d-42ba-846e-274f7c70b20b'),(48,1,'picture-9-1417168919.jpg','public://images/pictures/picture-9-1417168919.jpg','image/jpeg',56068,1,1417168919,'3357573f-d638-4235-8033-b7f5a55ea539'),(50,1,'gallery1.jpg','public://images/gallery1.jpg','image/jpeg',105710,1,1417416763,'af6be6e8-c671-4bcb-97c4-352376ad3513'),(51,1,'gallery2.jpg','public://images/gallery2.jpg','image/jpeg',62543,1,1417416789,'8f92107a-0802-4189-929b-d28311e72b3c'),(52,1,'gallery3.jpg','public://images/gallery3.jpg','image/jpeg',93791,1,1417416812,'99bfbae8-89e3-4137-936b-6d4c6df53696'),(53,1,'gallery4.jpg','public://images/gallery4.jpg','image/jpeg',135225,1,1417416832,'d7251995-ac2b-40de-86a1-faf3ed30130e'),(54,1,'gallery5.jpg','public://images/gallery5.jpg','image/jpeg',101464,1,1417416852,'e5d4bc58-2720-445f-81df-76b44792dba2'),(55,1,'gallery6.jpg','public://images/gallery6.jpg','image/jpeg',91989,1,1417416870,'04c8b91a-e741-4107-839b-8232fb7762d2'),(56,1,'gallery1.jpg','public://images/gallery1_0.jpg','image/jpeg',105710,1,1417416894,'f17696f9-c591-4083-a1c5-fe3e555c45bc'),(57,1,'gallery2.jpg','public://images/gallery2_0.jpg','image/jpeg',62543,1,1417416912,'88cb81b2-501c-4a3c-842b-4e586ab2272b'),(58,1,'gallery1.jpg','public://images/gallery1_1.jpg','image/jpeg',105710,1,1417416934,'a684e926-eddf-40e2-887f-b1c76d0d3e87'),(59,1,'sl1.jpg','public://images/sl1.jpg','image/jpeg',339655,1,1417423221,'f5770e7f-f696-48c5-9379-69425b1faaca'),(60,1,'3.jpg','public://images/3_0.jpg','image/jpeg',73879,1,1417423265,'7de557ed-5f2d-46fa-a790-7f1d2adb933d'),(61,1,'11.jpg','public://images/11_8.jpg','image/jpeg',70700,1,1417423311,'326ffa77-fe08-46fe-b556-dc010bed4bbc'),(64,1,'gallery4.jpg','public://images/gallery4_0.jpg','image/jpeg',135225,1,1417589897,'4ef272ba-6e18-41a3-bb35-8727f6fb80c2'),(67,1,'potenti.jpg','public://images/news/potenti.jpg','image/jpeg',93450,1,1418208274,'d18fbcf9-09b1-4efe-9fe4-e6dd36481356'),(68,1,'student.jpg','public://images/news/student.jpg','image/jpeg',61394,1,1418208350,'6005472e-47e0-4306-bcf5-777c782a5d49'),(69,1,'ads_banners.jpg','public://images/news/ads_banners.jpg','image/jpeg',53233,1,1418208385,'d340112b-60dc-4e32-bac7-ec7011d5141f'),(70,1,'hat.png','public://images/services/hat.png','image/png',3324,1,1418208558,'c0fdfbc3-5aa4-42a2-a508-446a22c563a0'),(71,1,'idea.png','public://images/services/idea.png','image/png',3460,1,1418208642,'1ffc4cb0-d069-49ea-9e81-b0501543d50a'),(72,1,'good.png','public://images/services/good.png','image/png',3406,1,1418208662,'2b83db07-f5f5-4e6c-b483-c92031723aa8'),(73,1,'global.png','public://images/services/global.png','image/png',3836,1,1418208684,'f9f7fccc-7938-4385-bb8f-f6f15ab7006e'),(74,1,'book.jpg','public://banners/book.jpg','image/jpeg',331071,1,1418268581,'d80546b2-6d2c-4ca7-97eb-8c86cc0a4a8c'),(75,1,'glass.jpg','public://banners/glass.jpg','image/jpeg',678162,1,1418268599,'edbe4b93-619c-4807-90b5-55a87b257915'),(76,1,'logo copy.png','public://images/logo copy.png','image/png',4719,1,1418804157,'425f36d5-72f1-4cec-a994-3b76e2aa4fb7'),(91,1,'picture-6-1422114405.jpg','public://pictures/picture-6-1422114405.jpg','image/jpeg',66334,1,1422114405,'fe63182c-3597-4048-b53b-8f7fe496d5f2'),(92,1,'Weebpal Demo.docx','public://field/docs/Weebpal Demo.docx','application/vnd.openxmlformats-officedocument.wordprocessingml.document',22339,1,1422433168,'dd675e2d-7d6c-4485-bab9-94d4f432a42d'),(93,1,'Weebpal Demo 3.docx','public://field/docs/Weebpal Demo 3.docx','application/vnd.openxmlformats-officedocument.wordprocessingml.document',22406,1,1422433168,'2d199ba0-2790-44c8-acc3-c4d88ff05fe1'),(94,1,'Weebpal Demo 2.docx','public://field/docs/Weebpal Demo 2.docx','application/vnd.openxmlformats-officedocument.wordprocessingml.document',22406,1,1422433215,'1d45dd04-9628-40fc-8db7-c09d66df539b'),(95,1,'picture-1-1500029440.png','public://pictures/picture-1-1500029440.png','image/png',6672,1,1500029440,'6a016d94-6074-4f0c-b1b4-f2a42543db77');
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (9,'user','user',2,1),(10,'user','user',3,1),(11,'user','user',4,1),(12,'user','user',5,1),(14,'user','user',7,1),(15,'user','user',8,1),(17,'file','taxonomy_term',23,1),(18,'file','taxonomy_term',21,1),(19,'file','taxonomy_term',20,1),(20,'file','taxonomy_term',19,1),(21,'file','node',14,1),(23,'file','node',15,1),(25,'file','taxonomy_term',27,1),(26,'file','taxonomy_term',28,1),(27,'file','taxonomy_term',29,1),(28,'file','taxonomy_term',30,1),(31,'file','node',16,1),(32,'file','node',17,1),(33,'file','node',18,1),(34,'file','taxonomy_term',26,1),(35,'file','taxonomy_term',32,1),(36,'file','taxonomy_term',31,1),(37,'file','node',3,1),(38,'file','node',4,1),(39,'file','node',2,1),(40,'file','node',19,1),(41,'file','node',20,1),(42,'file','node',21,1),(43,'file','node',22,1),(44,'file','node',23,1),(45,'user','user',12,1),(46,'user','user',11,1),(47,'user','user',10,1),(48,'user','user',9,1),(50,'file','node',25,1),(51,'file','node',26,1),(52,'file','node',27,1),(53,'file','node',28,1),(54,'file','node',29,1),(55,'file','node',30,1),(56,'file','node',31,1),(57,'file','node',32,1),(58,'file','node',33,1),(59,'file','node',41,1),(60,'file','node',42,1),(61,'file','node',43,1),(64,'file','node',47,1),(67,'file','node',6,1),(68,'file','node',7,1),(69,'file','node',5,1),(70,'file','taxonomy_term',13,1),(71,'file','taxonomy_term',16,1),(72,'file','taxonomy_term',15,1),(73,'file','taxonomy_term',14,1),(74,'banners','banners',1,1),(75,'banners','banners',1,1),(76,'imce','file',76,1),(91,'user','user',6,1),(92,'file','field_collection_item',1,1),(93,'file','field_collection_item',3,1),(94,'file','field_collection_item',2,1),(95,'user','user',1,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',0,0,'a:0:{}'),('php_code','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',-10,0,'a:0:{}'),('php_code','filter','filter_url',0,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','php','php_code',0,1,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flexslider_optionset`
--

DROP TABLE IF EXISTS `flexslider_optionset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flexslider_optionset` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `theme` varchar(255) NOT NULL DEFAULT 'classic' COMMENT 'The flexslider theme.',
  `options` longblob COMMENT 'The options array.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store option sets for flexslider instances.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flexslider_optionset`
--

LOCK TABLES `flexslider_optionset` WRITE;
/*!40000 ALTER TABLE `flexslider_optionset` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flexslider_optionset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `follow_links`
--

DROP TABLE IF EXISTS `follow_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `follow_links` (
  `lid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the follow_links.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The machine name of the follow_links.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users uid.  Sitewide follow_links use uid 0',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or extenal URL the follow_links should point to.',
  `options` text COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human readable name for the link.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The weight of this follow_links.',
  PRIMARY KEY (`lid`),
  UNIQUE KEY `uid_name` (`uid`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores sitewide and user follow links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `follow_links`
--

LOCK TABLES `follow_links` WRITE;
/*!40000 ALTER TABLE `follow_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `follow_links` VALUES (1,'this-site',0,'rss.xml','a:2:{s:5:\"query\";a:0:{}s:8:\"fragment\";s:0:\"\";}','',0),(2,'facebook',0,'http://facebook.com/','a:2:{s:5:\"query\";a:0:{}s:8:\"fragment\";s:0:\"\";}','',0),(3,'googleplus',0,'http://plus.google.com/','a:2:{s:5:\"query\";a:0:{}s:8:\"fragment\";s:0:\"\";}','',0),(4,'twitter',0,'http://twitter.com/','a:2:{s:5:\"query\";a:0:{}s:8:\"fragment\";s:0:\"\";}','',0),(5,'linkedin',0,'http://linkedin.com/','a:2:{s:5:\"query\";a:0:{}s:8:\"fragment\";s:0:\"\";}','',0);
/*!40000 ALTER TABLE `follow_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the node.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The node.vid of the node.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_term_data.tid of the forum term assigned to the node.',
  PRIMARY KEY (`vid`),
  KEY `forum_topic` (`nid`,`tid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the relationship of nodes to forum terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum`
--

LOCK TABLES `forum` WRITE;
/*!40000 ALTER TABLE `forum` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `forum` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum_index`
--

DROP TABLE IF EXISTS `forum_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.timestamp.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  KEY `forum_topics` (`nid`,`tid`,`sticky`,`last_comment_timestamp`),
  KEY `created` (`created`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum_index`
--

LOCK TABLES `forum_index` WRITE;
/*!40000 ALTER TABLE `forum_index` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `forum_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `history` VALUES (1,1,1500436683),(1,3,1500436769),(1,5,1500436749),(1,7,1500029357),(1,17,1500026332),(1,19,1500436759),(1,21,1500026338),(1,24,1500436727),(1,40,1500436726),(1,46,1500436771);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `i18n_block_language`
--

DROP TABLE IF EXISTS `i18n_block_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `i18n_block_language` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  PRIMARY KEY (`module`,`delta`,`language`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets block visibility based on language';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `i18n_block_language`
--

LOCK TABLES `i18n_block_language` WRITE;
/*!40000 ALTER TABLE `i18n_block_language` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `i18n_block_language` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `i18n_path`
--

DROP TABLE IF EXISTS `i18n_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `i18n_path` (
  `tpid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a path in the translation set.',
  `tsid` int(10) unsigned NOT NULL COMMENT 'The primary identifier for a translation set.',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language for which this path is a translation.',
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'A unique path alias identifier if the path has an alias.',
  PRIMARY KEY (`tpid`),
  UNIQUE KEY `set_language` (`tsid`,`language`),
  KEY `path` (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Path translation';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `i18n_path`
--

LOCK TABLES `i18n_path` WRITE;
/*!40000 ALTER TABLE `i18n_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `i18n_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `i18n_string`
--

DROP TABLE IF EXISTS `i18n_string`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `i18n_string` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `textgroup` varchar(50) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'Full string ID for quick search: type:objectid:property.',
  `objectid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Object ID.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'Object type for this string.',
  `property` varchar(255) NOT NULL DEFAULT '' COMMENT 'Object property for this string.',
  `objectindex` int(11) NOT NULL DEFAULT '0' COMMENT 'Integer value of Object ID.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the string.',
  PRIMARY KEY (`lid`),
  KEY `group_context` (`textgroup`,`context`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Metadata for source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `i18n_string`
--

LOCK TABLES `i18n_string` WRITE;
/*!40000 ALTER TABLE `i18n_string` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `i18n_string` VALUES (13,'taxonomy','vocabulary:2:name','2','vocabulary','name',2,''),(14,'taxonomy','vocabulary:2:description','2','vocabulary','description',2,''),(15,'contact','category:1:category','1','category','category',1,''),(16,'field','comment_body:comment_node_page:label','comment_node_page','comment_body','label',0,''),(17,'field','comment_body:comment_node_article:label','comment_node_article','comment_body','label',0,''),(18,'field','comment_body:comment_node_flexslider_example:label','comment_node_flexslider_example','comment_body','label',0,''),(19,'field','comment_body:comment_node_forum:label','comment_node_forum','comment_body','label',0,''),(20,'field','body:page:label','page','body','label',0,''),(21,'field','body:article:label','article','body','label',0,''),(22,'field','body:forum:label','forum','body','label',0,''),(23,'field','field_tags:article:label','article','field_tags','label',0,''),(24,'field','field_tags:article:description','article','field_tags','description',0,''),(25,'field','field_image:article:label','article','field_image','label',0,''),(26,'field','field_image:article:description','article','field_image','description',0,''),(27,'field','field_flexslider_example_image:flexslider_example:label','flexslider_example','field_flexslider_example_image','label',0,''),(28,'field','field_flexslider_example_slidesh:flexslider_example:label','flexslider_example','field_flexslider_example_slidesh','label',0,''),(29,'field','taxonomy_forums:forum:label','forum','taxonomy_forums','label',0,''),(30,'node','type:flexslider_example:name','flexslider_example','type','name',0,''),(31,'node','type:flexslider_example:title_label','flexslider_example','type','title_label',0,''),(32,'node','type:flexslider_example:description','flexslider_example','type','description',0,''),(33,'node','type:forum:name','forum','type','name',0,''),(34,'node','type:forum:title_label','forum','type','title_label',0,''),(35,'node','type:forum:description','forum','type','description',0,''),(36,'node','type:article:name','article','type','name',0,''),(37,'node','type:article:title_label','article','type','title_label',0,''),(38,'node','type:article:description','article','type','description',0,''),(39,'node','type:page:name','page','type','name',0,''),(40,'node','type:page:title_label','page','type','title_label',0,''),(41,'node','type:page:description','page','type','description',0,''),(42,'taxonomy','vocabulary:1:name','1','vocabulary','name',1,''),(43,'taxonomy','vocabulary:1:description','1','vocabulary','description',1,''),(44,'menu','menu:features:title','features','menu','title',0,''),(45,'menu','menu:features:description','features','menu','description',0,''),(46,'menu','menu:main-menu:title','main-menu','menu','title',0,''),(47,'menu','menu:main-menu:description','main-menu','menu','description',0,''),(48,'menu','menu:management:title','management','menu','title',0,''),(49,'menu','menu:management:description','management','menu','description',0,''),(50,'menu','menu:menu-flexslider-example:title','menu-flexslider-example','menu','title',0,''),(51,'menu','menu:menu-flexslider-example:description','menu-flexslider-example','menu','description',0,''),(52,'menu','menu:navigation:title','navigation','menu','title',0,''),(53,'menu','menu:navigation:description','navigation','menu','description',0,''),(54,'menu','menu:user-menu:title','user-menu','menu','title',0,''),(55,'menu','menu:user-menu:description','user-menu','menu','description',0,''),(78,'taxonomy','vocabulary:3:name','3','vocabulary','name',3,''),(79,'taxonomy','vocabulary:4:name','4','vocabulary','name',4,''),(80,'taxonomy','vocabulary:4:description','4','vocabulary','description',4,''),(98,'field','comment_body:comment_node_events:label','comment_node_events','comment_body','label',0,''),(99,'node','type:events:name','events','type','name',0,''),(100,'node','type:events:title_label','events','type','title_label',0,''),(101,'field','body:events:label','events','body','label',0,''),(117,'field','field_start_date:events:label','events','field_start_date','label',0,''),(176,'field','comment_body:comment_node_news:label','comment_node_news','comment_body','label',0,''),(177,'node','type:news:name','news','type','name',0,''),(178,'node','type:news:title_label','news','type','title_label',0,''),(179,'node','type:news:description','news','type','description',0,''),(180,'field','body:news:label','news','body','label',0,''),(184,'field','field_image:news:label','news','field_image','label',0,''),(187,'taxonomy','vocabulary:6:name','6','vocabulary','name',6,''),(188,'taxonomy','vocabulary:6:description','6','vocabulary','description',6,''),(189,'field','field_image:services:label','services','field_image','label',0,''),(191,'field','comment_body:comment_node_why_us:label','comment_node_why_us','comment_body','label',0,''),(192,'node','type:why_us:name','why_us','type','name',0,''),(193,'node','type:why_us:title_label','why_us','type','title_label',0,''),(194,'field','body:why_us:label','why_us','body','label',0,''),(196,'field','comment_body:comment_node_testimonials:label','comment_node_testimonials','comment_body','label',0,''),(197,'node','type:testimonials:name','testimonials','type','name',0,''),(198,'node','type:testimonials:title_label','testimonials','type','title_label',0,''),(199,'node','type:testimonials:description','testimonials','type','description',0,''),(200,'field','body:testimonials:label','testimonials','body','label',0,''),(202,'field','field_user:testimonials:label','testimonials','field_user','label',0,''),(205,'field','field_full_name:user:label','user','field_full_name','label',0,''),(214,'taxonomy','vocabulary:7:name','7','vocabulary','name',7,''),(215,'taxonomy','vocabulary:7:description','7','vocabulary','description',7,''),(216,'field','field_user_type:user:label','user','field_user_type','label',0,''),(218,'menu','menu:menu-footer-menu:title','menu-footer-menu','menu','title',0,''),(219,'taxonomy','vocabulary:8:name','8','vocabulary','name',8,''),(220,'taxonomy','vocabulary:8:description','8','vocabulary','description',8,''),(221,'field','field_forums:newsletter_template:label','newsletter_template','field_forums','label',0,''),(223,'field','field_courses:newsletter_template:label','newsletter_template','field_courses','label',0,''),(224,'field','field_events:newsletter_template:label','newsletter_template','field_events','label',0,''),(225,'field','field_newsletter_categories:newsletter_list:label','newsletter_list','field_newsletter_categories','label',0,''),(226,'field','field_services:newsletter_template:label','newsletter_template','field_services','label',0,''),(227,'field','field_tags:newsletter_template:label','newsletter_template','field_tags','label',0,''),(228,'field','field_user:newsletter_template:label','newsletter_template','field_user','label',0,''),(229,'field','field_list_description:newsletter_list:label','newsletter_list','field_list_description','label',0,''),(230,'field','field_newsletter_list:newsletter_subscriber:label','newsletter_subscriber','field_newsletter_list','label',0,''),(231,'field','field_newsletter_template:newsletter_list:label','newsletter_list','field_newsletter_template','label',0,''),(232,'field','field_newsletter_body:newsletter_template:label','newsletter_template','field_newsletter_body','label',0,''),(233,'field','field_newsletter_body:newsletter_newsletter:label','newsletter_newsletter','field_newsletter_body','label',0,''),(242,'field','field_position:professors:label','professors','field_position','label',0,''),(243,'field','field_graduated:professors:label','professors','field_graduated','label',0,''),(244,'field','field_image:professors:label','professors','field_image','label',0,''),(245,'field','comment_body:comment_node_slideshow:label','comment_node_slideshow','comment_body','label',0,''),(246,'node','type:slideshow:name','slideshow','type','name',0,''),(247,'node','type:slideshow:title_label','slideshow','type','title_label',0,''),(248,'field','body:slideshow:label','slideshow','body','label',0,''),(249,'field','field_image:slideshow:label','slideshow','field_image','label',0,''),(251,'field','field_category:news:label','news','field_category','label',0,''),(254,'field','field_image:our_campus:label','our_campus','field_image','label',0,''),(255,'field','field_address:our_campus:label','our_campus','field_address','label',0,''),(256,'field','field_tel:our_campus:label','our_campus','field_tel','label',0,''),(267,'field','comment_body:comment_node_webform:label','comment_node_webform','comment_body','label',0,''),(268,'node','type:webform:name','webform','type','name',0,''),(269,'node','type:webform:title_label','webform','type','title_label',0,''),(270,'node','type:webform:description','webform','type','description',0,''),(271,'field','comment_body:comment_node_quiz:label','comment_node_quiz','comment_body','label',0,''),(272,'node','type:quiz:name','quiz','type','name',0,''),(273,'node','type:quiz:title_label','quiz','type','title_label',0,''),(274,'node','type:quiz:description','quiz','type','description',0,''),(275,'field','body:quiz:label','quiz','body','label',0,''),(276,'field','comment_body:comment_node_book:label','comment_node_book','comment_body','label',0,''),(277,'node','type:book:name','book','type','name',0,''),(278,'node','type:book:title_label','book','type','title_label',0,''),(279,'node','type:book:description','book','type','description',0,''),(280,'field','body:book:label','book','body','label',0,''),(281,'field','comment_body:comment_node_certificate:label','comment_node_certificate','comment_body','label',0,''),(282,'node','type:certificate:name','certificate','type','name',0,''),(283,'node','type:certificate:title_label','certificate','type','title_label',0,''),(284,'node','type:certificate:description','certificate','type','description',0,''),(285,'field','body:certificate:label','certificate','body','label',0,''),(286,'field','comment_body:comment_node_course:label','comment_node_course','comment_body','label',0,''),(287,'node','type:course:name','course','type','name',0,''),(288,'node','type:course:title_label','course','type','title_label',0,''),(289,'node','type:course:description','course','type','description',0,''),(290,'field','comment_body:comment_node_poll:label','comment_node_poll','comment_body','label',0,''),(291,'node','type:poll:name','poll','type','name',0,''),(292,'node','type:poll:title_label','poll','type','title_label',0,''),(293,'node','type:poll:description','poll','type','description',0,''),(294,'field','comment_body:comment_node_product:label','comment_node_product','comment_body','label',0,''),(295,'node','type:product:name','product','type','name',0,''),(296,'node','type:product:title_label','product','type','title_label',0,''),(297,'node','type:product:description','product','type','description',0,''),(298,'field','body:product:label','product','body','label',0,''),(299,'field','uc_product_image:product:label','product','uc_product_image','label',0,''),(300,'uc_order_status','status:abandoned:title','abandoned','status','title',0,''),(301,'uc_order_status','status:canceled:title','canceled','status','title',0,''),(302,'uc_order_status','status:completed:title','completed','status','title',0,''),(303,'uc_order_status','status:in_checkout:title','in_checkout','status','title',0,''),(304,'uc_order_status','status:pending:title','pending','status','title',0,''),(305,'uc_order_status','status:processing:title','processing','status','title',0,''),(306,'field','comment_body:comment_node_long_answer:label','comment_node_long_answer','comment_body','label',0,''),(307,'node','type:long_answer:name','long_answer','type','name',0,''),(308,'node','type:long_answer:title_label','long_answer','type','title_label',0,''),(309,'node','type:long_answer:description','long_answer','type','description',0,''),(310,'field','body:long_answer:label','long_answer','body','label',0,''),(311,'field','comment_body:comment_node_matching:label','comment_node_matching','comment_body','label',0,''),(312,'node','type:matching:name','matching','type','name',0,''),(313,'node','type:matching:title_label','matching','type','title_label',0,''),(314,'node','type:matching:description','matching','type','description',0,''),(315,'field','body:matching:label','matching','body','label',0,''),(316,'field','comment_body:comment_node_multichoice:label','comment_node_multichoice','comment_body','label',0,''),(317,'node','type:multichoice:name','multichoice','type','name',0,''),(318,'node','type:multichoice:title_label','multichoice','type','title_label',0,''),(319,'node','type:multichoice:description','multichoice','type','description',0,''),(320,'field','body:multichoice:label','multichoice','body','label',0,''),(321,'field','comment_body:comment_node_quiz_ddlines:label','comment_node_quiz_ddlines','comment_body','label',0,''),(322,'node','type:quiz_ddlines:name','quiz_ddlines','type','name',0,''),(323,'node','type:quiz_ddlines:title_label','quiz_ddlines','type','title_label',0,''),(324,'node','type:quiz_ddlines:description','quiz_ddlines','type','description',0,''),(325,'field','body:quiz_ddlines:label','quiz_ddlines','body','label',0,''),(326,'field','field_image:quiz_ddlines:label','quiz_ddlines','field_image','label',0,''),(327,'field','field_image:quiz_ddlines:description','quiz_ddlines','field_image','description',0,''),(328,'field','comment_body:comment_node_quiz_directions:label','comment_node_quiz_directions','comment_body','label',0,''),(329,'node','type:quiz_directions:name','quiz_directions','type','name',0,''),(330,'node','type:quiz_directions:title_label','quiz_directions','type','title_label',0,''),(331,'node','type:quiz_directions:description','quiz_directions','type','description',0,''),(332,'field','body:quiz_directions:label','quiz_directions','body','label',0,''),(333,'field','comment_body:comment_node_scale:label','comment_node_scale','comment_body','label',0,''),(334,'node','type:scale:name','scale','type','name',0,''),(335,'node','type:scale:title_label','scale','type','title_label',0,''),(336,'node','type:scale:description','scale','type','description',0,''),(337,'field','body:scale:label','scale','body','label',0,''),(338,'field','comment_body:comment_node_short_answer:label','comment_node_short_answer','comment_body','label',0,''),(339,'node','type:short_answer:name','short_answer','type','name',0,''),(340,'node','type:short_answer:title_label','short_answer','type','title_label',0,''),(341,'node','type:short_answer:description','short_answer','type','description',0,''),(342,'field','body:short_answer:label','short_answer','body','label',0,''),(343,'field','comment_body:comment_node_truefalse:label','comment_node_truefalse','comment_body','label',0,''),(344,'node','type:truefalse:name','truefalse','type','name',0,''),(345,'node','type:truefalse:title_label','truefalse','type','title_label',0,''),(346,'node','type:truefalse:description','truefalse','type','description',0,''),(347,'field','body:truefalse:label','truefalse','body','label',0,''),(348,'field','field_image:course:label','course','field_image','label',0,''),(350,'field','field_status:course:label','course','field_status','label',0,''),(354,'field','field_description:course:label','course','field_description','label',0,''),(376,'menu','menu:menu-category:title','menu-category','menu','title',0,''),(377,'menu','menu:menu-properties-view:title','menu-properties-view','menu','title',0,''),(379,'field','field_image:events:label','events','field_image','label',0,''),(383,'menu','menu:menu-properties-events:title','menu-properties-events','menu','title',0,''),(387,'field','field_location:events:label','events','field_location','label',0,''),(388,'field','field_campus:events:label','events','field_campus','label',0,''),(389,'field','field_user_description:user:label','user','field_user_description','label',0,''),(390,'field','field_person:events:label','events','field_person','label',0,''),(391,'field','field_timings:events:label','events','field_timings','label',0,''),(399,'field','field_during:events:label','events','field_during','label',0,''),(407,'menu','menu:menu-properties-courses:title','menu-properties-courses','menu','title',0,''),(408,'field','field_campus:course:label','course','field_campus','label',0,''),(409,'field','field_letters:#allowed_values:a','#allowed_values','field_letters','a',0,''),(410,'field','field_letters:#allowed_values:b','#allowed_values','field_letters','b',0,''),(411,'field','field_letters:#allowed_values:c','#allowed_values','field_letters','c',0,''),(412,'field','field_letters:#allowed_values:d','#allowed_values','field_letters','d',0,''),(413,'field','field_letters:#allowed_values:e','#allowed_values','field_letters','e',0,''),(414,'field','field_letters:#allowed_values:f','#allowed_values','field_letters','f',0,''),(415,'field','body:bef_test:label','bef_test','body','label',0,''),(416,'field','field_date:bef_test:label','bef_test','field_date','label',0,''),(417,'field','field_integer:bef_test:label','bef_test','field_integer','label',0,''),(418,'field','field_letters:bef_test:label','bef_test','field_letters','label',0,''),(419,'field','field_location:bef_test:label','bef_test','field_location','label',0,''),(420,'field','field_location:newsletter_template:label','newsletter_template','field_location','label',0,''),(421,'taxonomy','vocabulary:13:name','13','vocabulary','name',13,''),(427,'field','field_image:page:label','page','field_image','label',0,''),(428,'field','comment_body:comment_node_gallery:label','comment_node_gallery','comment_body','label',0,''),(429,'node','type:gallery:name','gallery','type','name',0,''),(430,'node','type:gallery:title_label','gallery','type','title_label',0,''),(431,'field','body:gallery:label','gallery','body','label',0,''),(432,'field','field_image:gallery:label','gallery','field_image','label',0,''),(433,'menu','menu:menu-gallery-menu:title','menu-gallery-menu','menu','title',0,''),(434,'field','field_gallery_categories:gallery:label','gallery','field_gallery_categories','label',0,''),(439,'field','comment_body:comment_node_faq:label','comment_node_faq','comment_body','label',0,''),(440,'node','type:faq:name','faq','type','name',0,''),(441,'node','type:faq:title_label','faq','type','title_label',0,''),(442,'field','body:faq:label','faq','body','label',0,''),(449,'quicktabs','title:about_university','about_university','title','',0,''),(450,'quicktabs','tab:about_university-0:title','about_university-0','tab','title',0,''),(451,'quicktabs','tab:about_university-1:title','about_university-1','tab','title',0,''),(452,'quicktabs','tab:about_university-2:title','about_university-2','tab','title',0,''),(460,'field','field_map:webform:label','webform','field_map','label',0,''),(461,'field','body:webform:label','webform','body','label',0,''),(463,'taxonomy','vocabulary:10:name','10','vocabulary','name',10,''),(464,'field','field_newsletter_body:user:label','user','field_newsletter_body','label',0,''),(467,'menu','menu:menu-headline-link:title','menu-headline-link','menu','title',0,''),(487,'field','field_class:category:label','category','field_class','label',0,''),(498,'field','field_class:gallery_categories:label','gallery_categories','field_class','label',0,''),(499,'field','body:course:label','course','body','label',0,''),(500,'field','field_person:course:label','course','field_person','label',0,''),(512,'field','field_class:newsletter_template:label','newsletter_template','field_class','label',0,''),(513,'taxonomy','vocabulary:17:name','17','vocabulary','name',17,''),(514,'taxonomy','vocabulary:17:description','17','vocabulary','description',17,''),(515,'field','field__class:user:label','user','field__class','label',0,''),(517,'field','field_facebook:user:label','user','field_facebook','label',0,''),(518,'field','field_twitter:user:label','user','field_twitter','label',0,''),(519,'field','field_google_plus:user:label','user','field_google_plus','label',0,''),(520,'field','field_linkedin:user:label','user','field_linkedin','label',0,''),(524,'field','field_timing:course:label','course','field_timing','label',0,''),(526,'field','field_date_to_date:course:label','course','field_date_to_date','label',0,''),(528,'field','field_room:course:label','course','field_room','label',0,''),(529,'field','field_integer:course:label','course','field_integer','label',0,''),(534,'field','field_credit:course:label','course','field_credit','label',0,''),(538,'field','field_courses:course:label','course','field_courses','label',0,''),(545,'field','field_email:comment_node_news:label','comment_node_news','field_email','label',0,''),(547,'field','field_full_name:comment_node_news:label','comment_node_news','field_full_name','label',0,''),(548,'field','field_list_file:course:label','course','field_list_file','label',0,''),(549,'field','field_list_file:course:setting_edit','course','field_list_file','setting_edit',0,''),(550,'field','field_list_file:course:setting_delete','course','field_list_file','setting_delete',0,''),(551,'field','field_list_file:course:setting_add','course','field_list_file','setting_add',0,''),(552,'field','field_description:field_list_file:label','field_list_file','field_description','label',0,''),(553,'field','field_file:field_list_file:label','field_list_file','field_file','label',0,'');
/*!40000 ALTER TABLE `i18n_string` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `i18n_translation_set`
--

DROP TABLE IF EXISTS `i18n_translation_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `i18n_translation_set` (
  `tsid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a translation set.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this translation set, always treated as non-markup plain text.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'Object type or entity type.',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'Optional bundle for entity translation sets.',
  `master_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The master object/entity id (the others will be synchronized with this one).',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Status of this translation set. TBD.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the set was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the set was most recently saved.',
  PRIMARY KEY (`tsid`),
  KEY `entity_bundle` (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Translation set.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `i18n_translation_set`
--

LOCK TABLES `i18n_translation_set` WRITE;
/*!40000 ALTER TABLE `i18n_translation_set` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `i18n_translation_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (1,1,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"955\";s:6:\"height\";s:3:\"450\";}'),(2,2,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"850\";s:6:\"height\";s:3:\"400\";}'),(6,3,2,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"850\";s:6:\"height\";s:3:\"500\";}'),(7,5,0,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}'),(8,6,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"370\";s:6:\"height\";s:3:\"220\";}'),(10,7,2,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"870\";s:6:\"height\";s:3:\"516\";}'),(11,8,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"390\";s:6:\"height\";s:3:\"250\";}'),(12,4,2,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"300\";s:6:\"height\";s:3:\"300\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (1,'slideshow__760x400_','Slideshow (955x450)'),(2,'slideshow__955x400_','accordian (850x400)'),(3,'medium','Medium (850x500)'),(4,'thumbnail','Thumbnail (220x220)'),(5,'flexslider_thumbnail','flexslider_thumbnail'),(6,'events','events'),(7,'large','Large (870x516)'),(8,'gallery','gallery');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('en','English','English',0,1,0,'','','',0,''),('zh-hant','Chinese, Traditional','繁體中文',0,1,0,'','','zh-hant',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`),
  KEY `textgroup_context` (`textgroup`,`context`(50))
) ENGINE=InnoDB AUTO_INCREMENT=568 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'misc/drupal.js','default','Debugging information follows.','','none'),(5,'misc/drupal.js','default','Path: !uri','','none'),(6,'misc/drupal.js','default','StatusText: !statusText','','none'),(7,'misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'modules/overlay/overlay-child.js','default','Loading','','none'),(10,'modules/overlay/overlay-child.js; misc/vertical-tabs.js; sites/all/modules/quicktabs/js/quicktabs.js','default','(active tab)','','none'),(11,'misc/collapse.js','default','Hide','','none'),(12,'misc/collapse.js','default','Show','','none'),(13,'taxonomy:vocabulary:2:name','taxonomy','Forums','vocabulary:2:name','1'),(14,'taxonomy:vocabulary:2:description','taxonomy','Forum navigation vocabulary','vocabulary:2:description','1'),(15,'contact:category:1:category','contact','Website feedback','category:1:category','1'),(16,'field:comment_body:comment_node_page:label','field','Comment','comment_body:comment_node_page:label','1'),(17,'field:comment_body:comment_node_article:label','field','Comment','comment_body:comment_node_article:label','1'),(18,'field:comment_body:comment_node_flexslider_example:label','field','Comment','comment_body:comment_node_flexslider_example:label','1'),(19,'field:comment_body:comment_node_forum:label','field','Comment','comment_body:comment_node_forum:label','1'),(20,'field:body:page:label','field','Body','body:page:label','1'),(21,'field:body:article:label','field','Body','body:article:label','1'),(22,'field:body:forum:label','field','Body','body:forum:label','1'),(23,'field:field_tags:article:label','field','Tags','field_tags:article:label','1'),(24,'field:field_tags:article:description','field','Enter a comma-separated list of words to describe your content.','field_tags:article:description','1'),(25,'field:field_image:article:label','field','Image','field_image:article:label','1'),(26,'field:field_image:article:description','field','Upload an image to go with this article.','field_image:article:description','1'),(27,'field:field_flexslider_example_image:flexslider_example:label','field','FlexSlider Example Image','field_flexslider_example_image:flexslider_example:label','1'),(28,'field:field_flexslider_example_slidesh:flexslider_example:label','field','FlexSlider Example Slideshow','field_flexslider_example_slidesh:flexslider_example:label','1'),(29,'field:taxonomy_forums:forum:label','field','Forums','taxonomy_forums:forum:label','1'),(30,'node:type:flexslider_example:name','node','FlexSlider Example','type:flexslider_example:name','1'),(31,'node:type:flexslider_example:title_label','node','Title','type:flexslider_example:title_label','1'),(32,'node:type:flexslider_example:description','node','Used for generating example FlexSlider implementations','type:flexslider_example:description','1'),(33,'node:type:forum:name','node','Forum topic','type:forum:name','1'),(34,'node:type:forum:title_label','node','Subject','type:forum:title_label','1'),(35,'node:type:forum:description','node','A <em>forum topic</em> starts a new discussion thread within a forum.','type:forum:description','1'),(36,'node:type:article:name','node','Article','type:article:name','1'),(37,'node:type:article:title_label','node','Title','type:article:title_label','1'),(38,'node:type:article:description','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','type:article:description','1'),(39,'node:type:page:name','node','Basic page','type:page:name','1'),(40,'node:type:page:title_label','node','Title','type:page:title_label','1'),(41,'node:type:page:description','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','type:page:description','1'),(42,'taxonomy:vocabulary:1:name','taxonomy','Tags','vocabulary:1:name','1'),(43,'taxonomy:vocabulary:1:description','taxonomy','Use tags to group articles on similar topics into categories.','vocabulary:1:description','1'),(44,'menu:menu:features:title','menu','Features','menu:features:title','1'),(45,'menu:menu:features:description','menu','Menu items for any enabled features.','menu:features:description','1'),(46,'menu:menu:main-menu:title','menu','Main menu','menu:main-menu:title','1'),(47,'menu:menu:main-menu:description','menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.','menu:main-menu:description','1'),(48,'menu:menu:management:title','menu','Management','menu:management:title','1'),(49,'menu:menu:management:description','menu','The <em>Management</em> menu contains links for administrative tasks.','menu:management:description','1'),(50,'menu:menu:menu-flexslider-example:title','menu','FlexSlider Example','menu:menu-flexslider-example:title','1'),(51,'menu:menu:menu-flexslider-example:description','menu','Example FlexSlider implementations','menu:menu-flexslider-example:description','1'),(52,'menu:menu:navigation:title','menu','Navigation','menu:navigation:title','1'),(53,'menu:menu:navigation:description','menu','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.','menu:navigation:description','1'),(54,'menu:menu:user-menu:title','menu','User menu','menu:user-menu:title','1'),(55,'menu:menu:user-menu:description','menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.','menu:user-menu:description','1'),(56,'sites/all/modules/jcarousel/js/jcarousel.js','default','Internal server error. Please see server or PHP logs for error information.','','none'),(57,'sites/all/modules/jcarousel/js/jcarousel.js','default','An error occurred at @path.\\n\\nError Description: @error','','none'),(58,'sites/all/modules/jquery_update/replace/misc/1.9/overlay-parent.js; modules/overlay/overlay-parent.js','default','@title dialog','','none'),(59,'modules/contextual/contextual.js','default','Configure','','none'),(60,'modules/block/block.js; sites/all/modules/i18n/i18n_block/i18n_block.js','default','Not restricted','','none'),(61,'modules/block/block.js','default','Restricted to certain pages','','none'),(62,'modules/block/block.js','default','Not customizable','','none'),(63,'modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(64,'modules/block/block.js','default','The block cannot be placed in this region.','','none'),(65,'misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(66,'misc/tabledrag.js','default','Show row weights','','none'),(67,'misc/tabledrag.js','default','Hide row weights','','none'),(68,'misc/tabledrag.js','default','Drag to re-order','','none'),(69,'misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(70,'sites/all/modules/i18n/i18n_block/i18n_block.js','default','Translatable','','none'),(71,'sites/all/modules/i18n/i18n_block/i18n_block.js','default','Not translatable','','none'),(72,'sites/all/modules/i18n/i18n_block/i18n_block.js','default','Restricted to certain languages','','none'),(73,'misc/machine-name.js','default','Edit','','none'),(74,'misc/ajax.js','default','Please wait...','','none'),(75,'modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(76,'sites/all/modules/megamenus/js/megamenus.js; sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Remove this block','','none'),(77,'sites/all/modules/megamenus/js/megamenus.js; sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Saved config sucessfully!','','none'),(78,'taxonomy:vocabulary:3:name','taxonomy','Events','vocabulary:3:name','1'),(79,'taxonomy:vocabulary:4:name','taxonomy','Courses','vocabulary:4:name','1'),(80,'taxonomy:vocabulary:4:description','taxonomy','Our courses','vocabulary:4:description','1'),(81,'modules/field/modules/text/text.js','default','Hide summary','','none'),(82,'modules/field/modules/text/text.js','default','Edit summary','','none'),(83,'modules/menu/menu.js','default','Not in menu','','none'),(84,'modules/node/node.js','default','New revision','','none'),(85,'modules/node/node.js','default','No revision','','none'),(86,'modules/node/node.js','default','By @name on @date','','none'),(87,'modules/node/node.js','default','By @name','','none'),(88,'modules/node/node.js; modules/node/content_types.js','default','Not published','','none'),(89,'modules/path/path.js; sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(90,'modules/path/path.js; sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(91,'modules/comment/comment-node-form.js','default','@number comments per page','','none'),(92,'misc/autocomplete.js','default','Autocomplete popup','','none'),(93,'misc/autocomplete.js','default','Searching for matches...','','none'),(94,'misc/tableselect.js','default','Select all rows in this table','','none'),(95,'misc/tableselect.js','default','Deselect all rows in this table','','none'),(96,'modules/node/content_types.js','default','Requires a title','','none'),(97,'modules/node/content_types.js','default','Don\'t display post information','','none'),(98,'field:comment_body:comment_node_events:label','field','Comment','comment_body:comment_node_events:label','1'),(99,'node:type:events:name','node','Events','type:events:name','1'),(100,'node:type:events:title_label','node','Title','type:events:title_label','1'),(101,'field:body:events:label','field','Body','body:events:label','1'),(102,'sites/all/modules/views/js/views-admin.js','default','Add','','none'),(103,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(104,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(105,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(106,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(107,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Master','','7.33'),(108,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Up coming events','','7.33'),(109,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','more','','7.33'),(110,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Apply','','7.33'),(111,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Reset','','7.33'),(112,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Sort by','','7.33'),(113,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Asc','','7.33'),(114,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Desc','','7.33'),(115,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Read more...','','7.33'),(116,'/weebpal/edustation/admin/structure/views/view/up_coming_events?render=overlay&render=overlay','default','Block','','7.33'),(117,'field:field_start_date:events:label','field','Start Date','field_start_date:events:label','1'),(118,'sites/all/modules/token/token.js','default','Loading token browser...','','none'),(119,'sites/all/modules/token/token.js','default','Available tokens','','none'),(120,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(121,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(122,'sites/all/modules/date/date_api/date_year_range.js','default','Other','','none'),(123,'sites/all/modules/date/date_api/date_year_range.js','default','@count year from now','','none'),(124,'sites/all/modules/date/date_api/date_year_range.js','default','@count years from now','','none'),(125,'modules/locale/locale.datepicker.js; modules/dashboard/dashboard.js','default','Done','','none'),(126,'modules/locale/locale.datepicker.js','default','Prev','','none'),(127,'modules/locale/locale.datepicker.js','default','Next','','none'),(128,'modules/locale/locale.datepicker.js','default','Today','','none'),(129,'modules/locale/locale.datepicker.js','default','January','','none'),(130,'modules/locale/locale.datepicker.js','default','February','','none'),(131,'modules/locale/locale.datepicker.js','default','March','','none'),(132,'modules/locale/locale.datepicker.js','default','April','','none'),(133,'modules/locale/locale.datepicker.js','default','May','','none'),(134,'modules/locale/locale.datepicker.js','default','June','','none'),(135,'modules/locale/locale.datepicker.js','default','July','','none'),(136,'modules/locale/locale.datepicker.js','default','August','','none'),(137,'modules/locale/locale.datepicker.js','default','September','','none'),(138,'modules/locale/locale.datepicker.js','default','October','','none'),(139,'modules/locale/locale.datepicker.js','default','November','','none'),(140,'modules/locale/locale.datepicker.js','default','December','','none'),(141,'modules/locale/locale.datepicker.js','default','Jan','','none'),(142,'modules/locale/locale.datepicker.js','default','Feb','','none'),(143,'modules/locale/locale.datepicker.js','default','Mar','','none'),(144,'modules/locale/locale.datepicker.js','default','Apr','','none'),(145,'modules/locale/locale.datepicker.js','default','Jun','','none'),(146,'modules/locale/locale.datepicker.js','default','Jul','','none'),(147,'modules/locale/locale.datepicker.js','default','Aug','','none'),(148,'modules/locale/locale.datepicker.js','default','Sep','','none'),(149,'modules/locale/locale.datepicker.js','default','Oct','','none'),(150,'modules/locale/locale.datepicker.js','default','Nov','','none'),(151,'modules/locale/locale.datepicker.js','default','Dec','','none'),(152,'modules/locale/locale.datepicker.js','default','Sunday','','none'),(153,'modules/locale/locale.datepicker.js','default','Monday','','none'),(154,'modules/locale/locale.datepicker.js','default','Tuesday','','none'),(155,'modules/locale/locale.datepicker.js','default','Wednesday','','none'),(156,'modules/locale/locale.datepicker.js','default','Thursday','','none'),(157,'modules/locale/locale.datepicker.js','default','Friday','','none'),(158,'modules/locale/locale.datepicker.js','default','Saturday','','none'),(159,'modules/locale/locale.datepicker.js','default','Sun','','none'),(160,'modules/locale/locale.datepicker.js','default','Mon','','none'),(161,'modules/locale/locale.datepicker.js','default','Tue','','none'),(162,'modules/locale/locale.datepicker.js','default','Wed','','none'),(163,'modules/locale/locale.datepicker.js','default','Thu','','none'),(164,'modules/locale/locale.datepicker.js','default','Fri','','none'),(165,'modules/locale/locale.datepicker.js','default','Sat','','none'),(166,'modules/locale/locale.datepicker.js','default','Su','','none'),(167,'modules/locale/locale.datepicker.js','default','Mo','','none'),(168,'modules/locale/locale.datepicker.js','default','Tu','','none'),(169,'modules/locale/locale.datepicker.js','default','We','','none'),(170,'modules/locale/locale.datepicker.js','default','Th','','none'),(171,'modules/locale/locale.datepicker.js','default','Fr','','none'),(172,'modules/locale/locale.datepicker.js','default','Sa','','none'),(173,'modules/locale/locale.datepicker.js','default','mm/dd/yy','','none'),(174,'/weebpal/edustation/admin/structure/views/view/our_courses?render=overlay&render=overlay','default','Our courses','','7.33'),(175,'/weebpal/edustation/admin/structure/views/view/our_courses?render=overlay&render=overlay','default','Name','','7.33'),(176,'field:comment_body:comment_node_news:label','field','Comment','comment_body:comment_node_news:label','1'),(177,'node:type:news:name','node','News','type:news:name','1'),(178,'node:type:news:title_label','node','Title','type:news:title_label','1'),(179,'node:type:news:description','node','News','type:news:description','1'),(180,'field:body:news:label','field','Body','body:news:label','1'),(184,'field:field_image:news:label','field','Image','field_image:news:label','1'),(185,'/weebpal/edustation/admin/structure/views/view/hot_news','default','Hot news','','7.33'),(186,'/weebpal/edustation/admin/structure/views/view/hot_news/edit/block_1?destination=node%2F1&render=overlay&render=overlay','default','News','','7.33'),(187,'taxonomy:vocabulary:6:name','taxonomy','Services','vocabulary:6:name','1'),(188,'taxonomy:vocabulary:6:description','taxonomy','Services','vocabulary:6:description','1'),(189,'field:field_image:services:label','field','Image','field_image:services:label','1'),(190,'/weebpal/edustation/admin/structure/views/view/services?render=overlay&render=overlay','default','Services','','7.33'),(191,'field:comment_body:comment_node_why_us:label','field','Comment','comment_body:comment_node_why_us:label','1'),(192,'node:type:why_us:name','node','Why us','type:why_us:name','1'),(193,'node:type:why_us:title_label','node','Title','type:why_us:title_label','1'),(194,'field:body:why_us:label','field','Body','body:why_us:label','1'),(195,'/weebpal/edustation/admin/structure/views/view/why_choose_us?render=overlay&render=overlay','default','Why choose us','','7.33'),(196,'field:comment_body:comment_node_testimonials:label','field','Comment','comment_body:comment_node_testimonials:label','1'),(197,'node:type:testimonials:name','node','Testimonials','type:testimonials:name','1'),(198,'node:type:testimonials:title_label','node','Title','type:testimonials:title_label','1'),(199,'node:type:testimonials:description','node','Testimonials','type:testimonials:description','1'),(200,'field:body:testimonials:label','field','Body','body:testimonials:label','1'),(202,'field:field_user:testimonials:label','field','User','field_user:testimonials:label','1'),(203,'/weebpal/edustation/admin/structure/views/view/testimonial?render=overlay&render=overlay','default','Testimonial','','7.33'),(204,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F1&render=overlay&render=overlay','default','Testimonials','','7.33'),(205,'field:field_full_name:user:label','field','Full name','field_full_name:user:label','1'),(207,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F11&render=overlay&render=overlay','default','field_user','','7.33'),(208,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F11&render=overlay&render=overlay','default','Fieldset','','7.33'),(209,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F11&render=overlay&render=overlay','default','Class','','7.33'),(210,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F11&render=overlay&render=overlay','default','Full name','','7.33'),(211,'/weebpal/edustation/admin/structure/views/view/testimonial/edit/block?destination=node%2F11&render=overlay&render=overlay','default','Picture','','7.33'),(212,'/weebpal/edustation/admin/structure/views/view/testimonial?render=overlay&render=overlay','default','Title','','7.33'),(213,'/weebpal/edustation/admin/structure/views/view/testimonial?render=overlay&render=overlay','default','Image','','7.33'),(214,'taxonomy:vocabulary:7:name','taxonomy','User','vocabulary:7:name','1'),(215,'taxonomy:vocabulary:7:description','taxonomy','User','vocabulary:7:description','1'),(216,'field:field_user_type:user:label','field','User type','field_user_type:user:label','1'),(217,'/weebpal/edustation/admin/structure/views/view/student?render=overlay&render=overlay','default','Student','','7.33'),(218,'menu:menu:menu-footer-menu:title','menu','Footer Menu','menu:menu-footer-menu:title','1'),(219,'taxonomy:vocabulary:8:name','taxonomy','Newsletter categories','vocabulary:8:name','1'),(220,'taxonomy:vocabulary:8:description','taxonomy','Vocabulary used to store the categories of newsletter lists','vocabulary:8:description','1'),(221,'field:field_forums:newsletter_template:label','field','Forums','field_forums:newsletter_template:label','1'),(223,'field:field_courses:newsletter_template:label','field','Courses','field_courses:newsletter_template:label','1'),(224,'field:field_events:newsletter_template:label','field','Events','field_events:newsletter_template:label','1'),(225,'field:field_newsletter_categories:newsletter_list:label','field','Category','field_newsletter_categories:newsletter_list:label','1'),(226,'field:field_services:newsletter_template:label','field','Services','field_services:newsletter_template:label','1'),(227,'field:field_tags:newsletter_template:label','field','Tags','field_tags:newsletter_template:label','1'),(228,'field:field_user:newsletter_template:label','field','User','field_user:newsletter_template:label','1'),(229,'field:field_list_description:newsletter_list:label','field','Description','field_list_description:newsletter_list:label','1'),(230,'field:field_newsletter_list:newsletter_subscriber:label','field','Lists','field_newsletter_list:newsletter_subscriber:label','1'),(231,'field:field_newsletter_template:newsletter_list:label','field','Template','field_newsletter_template:newsletter_list:label','1'),(232,'field:field_newsletter_body:newsletter_template:label','field','Body','field_newsletter_body:newsletter_template:label','1'),(233,'field:field_newsletter_body:newsletter_newsletter:label','field','Body','field_newsletter_body:newsletter_newsletter:label','1'),(234,'sites/all/modules/newsletter/js/newsletter.js','default','user@example.com','','none'),(235,'/weebpal/edustation/admin/structure/views/view/slide_accordian?render=overlay&render=overlay','default','Slide Accordian','','7.33'),(236,'/weebpal/edustation/admin/structure/views/view/accordian_slideshow?render=overlay&render=overlay','default','Accordian Slideshow','','7.33'),(242,'field:field_position:professors:label','field','Position','field_position:professors:label','1'),(243,'field:field_graduated:professors:label','field','Graduated','field_graduated:professors:label','1'),(244,'field:field_image:professors:label','field','Slideshow','field_image:professors:label','1'),(245,'field:comment_body:comment_node_slideshow:label','field','Comment','comment_body:comment_node_slideshow:label','1'),(246,'node:type:slideshow:name','node','Slideshow','type:slideshow:name','1'),(247,'node:type:slideshow:title_label','node','Title','type:slideshow:title_label','1'),(248,'field:body:slideshow:label','field','Body','body:slideshow:label','1'),(249,'field:field_image:slideshow:label','field','Image','field_image:slideshow:label','1'),(250,'/weebpal/edustation/admin/structure/views/view/slideshow?render=overlay&render=overlay','default','Slideshow','','7.33'),(251,'field:field_category:news:label','field','Category','field_category:news:label','1'),(252,'modules/user/user.permissions.js','default','This permission is inherited from the authenticated user role.','','none'),(253,'sites/all/modules/admin_menu/admin_menu.admin.js','default','Also allow !name role to !permission?','','none'),(254,'field:field_image:our_campus:label','field','Image','field_image:our_campus:label','1'),(255,'field:field_address:our_campus:label','field','Address','field_address:our_campus:label','1'),(256,'field:field_tel:our_campus:label','field','Tel','field_tel:our_campus:label','1'),(257,'sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/formoptions.js','default','Update Advanced Option','','none'),(258,'sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/formoptions.js','default','Applied Options','','none'),(259,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Resume','','none'),(260,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Pause','','none'),(261,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','There was no action specified.','','none'),(262,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','This slideshow is forced paused.','','none'),(263,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid integer was specified for slideNum.','','none'),(264,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid action \"!action\" was specified.','','none'),(265,'/weebpal/edustation/admin/structure/views/view/campus_slideshow?render=overlay&render=overlay','default','Campus Slideshow','','7.33'),(266,'/weebpal/edustation/admin/structure/views/view/campus_slideshow?render=overlay&render=overlay','default','Our Campus','','7.33'),(267,'field:comment_body:comment_node_webform:label','field','Comment','comment_body:comment_node_webform:label','1'),(268,'node:type:webform:name','node','Webform','type:webform:name','1'),(269,'node:type:webform:title_label','node','Title','type:webform:title_label','1'),(270,'node:type:webform:description','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','type:webform:description','1'),(271,'field:comment_body:comment_node_quiz:label','field','Comment','comment_body:comment_node_quiz:label','1'),(272,'node:type:quiz:name','node','Quiz','type:quiz:name','1'),(273,'node:type:quiz:title_label','node','Title','type:quiz:title_label','1'),(274,'node:type:quiz:description','node','Create interactive quizzes for site visitors','type:quiz:description','1'),(275,'field:body:quiz:label','field','Body','body:quiz:label','1'),(276,'field:comment_body:comment_node_book:label','field','Comment','comment_body:comment_node_book:label','1'),(277,'node:type:book:name','node','Book page','type:book:name','1'),(278,'node:type:book:title_label','node','Title','type:book:title_label','1'),(279,'node:type:book:description','node','<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','type:book:description','1'),(280,'field:body:book:label','field','Body','body:book:label','1'),(281,'field:comment_body:comment_node_certificate:label','field','Comment','comment_body:comment_node_certificate:label','1'),(282,'node:type:certificate:name','node','Certificate','type:certificate:name','1'),(283,'node:type:certificate:title_label','node','Title','type:certificate:title_label','1'),(284,'node:type:certificate:description','node','A tokenized certificate template that will be converted to a PDF and displayed to users who complete accredited activities.','type:certificate:description','1'),(285,'field:body:certificate:label','field','Body','body:certificate:label','1'),(286,'field:comment_body:comment_node_course:label','field','Comment','comment_body:comment_node_course:label','1'),(287,'node:type:course:name','node','Course','type:course:name','1'),(288,'node:type:course:title_label','node','Title','type:course:title_label','1'),(289,'node:type:course:description','node','A <em>course</em> containing Drupal learning objects.','type:course:description','1'),(290,'field:comment_body:comment_node_poll:label','field','Comment','comment_body:comment_node_poll:label','1'),(291,'node:type:poll:name','node','Poll','type:poll:name','1'),(292,'node:type:poll:title_label','node','Question','type:poll:title_label','1'),(293,'node:type:poll:description','node','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','type:poll:description','1'),(294,'field:comment_body:comment_node_product:label','field','Comment','comment_body:comment_node_product:label','1'),(295,'node:type:product:name','node','Product','type:product:name','1'),(296,'node:type:product:title_label','node','Name','type:product:title_label','1'),(297,'node:type:product:description','node','Use <em>products</em> to represent items for sale on the website, including all the unique information that can be attributed to a specific model number.','type:product:description','1'),(298,'field:body:product:label','field','Description','body:product:label','1'),(299,'field:uc_product_image:product:label','field','Image','uc_product_image:product:label','1'),(300,'uc_order_status:status:abandoned:title','uc_order_status','Abandoned','status:abandoned:title','1'),(301,'uc_order_status:status:canceled:title','uc_order_status','Canceled','status:canceled:title','1'),(302,'uc_order_status:status:completed:title','uc_order_status','Completed','status:completed:title','1'),(303,'uc_order_status:status:in_checkout:title','uc_order_status','In checkout','status:in_checkout:title','1'),(304,'uc_order_status:status:pending:title','uc_order_status','Pending','status:pending:title','1'),(305,'uc_order_status:status:processing:title','uc_order_status','Processing','status:processing:title','1'),(306,'field:comment_body:comment_node_long_answer:label','field','Comment','comment_body:comment_node_long_answer:label','1'),(307,'node:type:long_answer:name','node','Long answer question','type:long_answer:name','1'),(308,'node:type:long_answer:title_label','node','Title','type:long_answer:title_label','1'),(309,'node:type:long_answer:description','node','Quiz questions that allow a user to enter multiple paragraphs of text.','type:long_answer:description','1'),(310,'field:body:long_answer:label','field','Question','body:long_answer:label','1'),(311,'field:comment_body:comment_node_matching:label','field','Comment','comment_body:comment_node_matching:label','1'),(312,'node:type:matching:name','node','Matching','type:matching:name','1'),(313,'node:type:matching:title_label','node','Title','type:matching:title_label','1'),(314,'node:type:matching:description','node','Matching question type for quiz module. A question type for the quiz module: allows you to create matching type questions, which connect terms with one another.','type:matching:description','1'),(315,'field:body:matching:label','field','Question','body:matching:label','1'),(316,'field:comment_body:comment_node_multichoice:label','field','Comment','comment_body:comment_node_multichoice:label','1'),(317,'node:type:multichoice:name','node','Multiple choice question','type:multichoice:name','1'),(318,'node:type:multichoice:title_label','node','Title','type:multichoice:title_label','1'),(319,'node:type:multichoice:description','node','This provides multiple choice questions for use by the Quiz module.','type:multichoice:description','1'),(320,'field:body:multichoice:label','field','Question','body:multichoice:label','1'),(321,'field:comment_body:comment_node_quiz_ddlines:label','field','Comment','comment_body:comment_node_quiz_ddlines:label','1'),(322,'node:type:quiz_ddlines:name','node','Drag and drop question with lines','type:quiz_ddlines:name','1'),(323,'node:type:quiz_ddlines:title_label','node','Title','type:quiz_ddlines:title_label','1'),(324,'node:type:quiz_ddlines:description','node','This provides drag and drop question types with lines for the Quiz module.','type:quiz_ddlines:description','1'),(325,'field:body:quiz_ddlines:label','field','Question','body:quiz_ddlines:label','1'),(326,'field:field_image:quiz_ddlines:label','field','Background image','field_image:quiz_ddlines:label','1'),(327,'field:field_image:quiz_ddlines:description','field','<p>Start by uploading a background image. The image is movable within the canvas.<br/> \n    				The next step is to add the alternatives, by clicking in the canvas. \n    				Each alternative consists of a circular hotspot, a label, and a connecting line. You need \n    				to double click the rectangular label to add the text, and move the hotspot to the correct\n    				position. When selecting a label, a popup-window is displayed, which gives you the following\n    				alternatives:\n    				<ul>\n    					<li>Set the alternative\'s feedback (only possible if feedback is enabled)</li>\n    					<li>Set the color of each alternative</li>\n    					<li>Delete the alternative</li>\n    				</ul>    				\n    				</p>','field_image:quiz_ddlines:description','1'),(328,'field:comment_body:comment_node_quiz_directions:label','field','Comment','comment_body:comment_node_quiz_directions:label','1'),(329,'node:type:quiz_directions:name','node','Quiz directions','type:quiz_directions:name','1'),(330,'node:type:quiz_directions:title_label','node','Title','type:quiz_directions:title_label','1'),(331,'node:type:quiz_directions:description','node','Quiz directions allow you to drop in directions anywhere in a quiz. You can also use them to insert a confirmation step at the end of the quiz.','type:quiz_directions:description','1'),(332,'field:body:quiz_directions:label','field','Question','body:quiz_directions:label','1'),(333,'field:comment_body:comment_node_scale:label','field','Comment','comment_body:comment_node_scale:label','1'),(334,'node:type:scale:name','node','Scale question','type:scale:name','1'),(335,'node:type:scale:title_label','node','Title','type:scale:title_label','1'),(336,'node:type:scale:description','node','Quiz questions that allow a user to choose from a scale.','type:scale:description','1'),(337,'field:body:scale:label','field','Question','body:scale:label','1'),(338,'field:comment_body:comment_node_short_answer:label','field','Comment','comment_body:comment_node_short_answer:label','1'),(339,'node:type:short_answer:name','node','Short answer question','type:short_answer:name','1'),(340,'node:type:short_answer:title_label','node','Title','type:short_answer:title_label','1'),(341,'node:type:short_answer:description','node','Quiz questions that allow a user to enter a line of text.','type:short_answer:description','1'),(342,'field:body:short_answer:label','field','Question','body:short_answer:label','1'),(343,'field:comment_body:comment_node_truefalse:label','field','Comment','comment_body:comment_node_truefalse:label','1'),(344,'node:type:truefalse:name','node','True/false question','type:truefalse:name','1'),(345,'node:type:truefalse:title_label','node','Title','type:truefalse:title_label','1'),(346,'node:type:truefalse:description','node','Quiz questions that allow a user to select \"true\" or \"false\" as his response to a statement.','type:truefalse:description','1'),(347,'field:body:truefalse:label','field','Question','body:truefalse:label','1'),(348,'field:field_image:course:label','field','Image','field_image:course:label','1'),(349,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(350,'field:field_status:course:label','field','Status','field_status:course:label','1'),(351,'modules/book/book.js','default','Not in book','','none'),(352,'modules/book/book.js','default','New book','','none'),(354,'field:field_description:course:label','field','Description','field_description:course:label','1'),(355,'/weebpal/edustation/admin/structure/views/view/hot_course?render=overlay&render=overlay','default','Hot course','','7.33'),(356,'/weebpal/edustation/admin/structure/views/view/hot_course?render=overlay&render=overlay','default','author','','7.33'),(357,'/weebpal/edustation/admin/structure/views/view/hot_course/edit/block?destination=node%2F1&render=overlay&render=overlay','default','[title] Courses','','7.33'),(358,'/weebpal/edustation/admin/structure/views/view/hot_course/edit/block?destination=node%2F1&render=overlay&render=overlay','default','By [name]','','7.33'),(360,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','Items per page','','7.33'),(361,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','- All -','','7.33'),(362,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','Offset','','7.33'),(363,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','« first','','7.33'),(364,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','‹ previous','','7.33'),(365,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','next ›','','7.33'),(366,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','last »','','7.33'),(367,'/weebpal/edustation/admin/structure/views/view/timenews?render=overlay&render=overlay','default','Page','','7.33'),(368,'/weebpal/edustation/admin/structure/views/view/timenews/edit?render=overlay&render=overlay','default','.','','7.33'),(369,'/weebpal/edustation/admin/structure/views/view/timenews/edit?render=overlay&render=overlay','default',',','','7.33'),(370,'/weebpal/edustation/admin/structure/views/view/timenews/edit?render=overlay&render=overlay','default','Read more','','7.33'),(371,'sites/all/modules/context/plugins/context_reaction_block.js','default','Desired block weight exceeds available weight options, please check weights for blocks before saving','','none'),(372,'sites/all/modules/context/plugins/context_reaction_block.js','default','Now Editing: ','','none'),(373,'sites/all/modules/ckeditor/includes/ckeditor.utils.js','default','Content can only be inserted into CKEditor in the WYSIWYG mode.','','none'),(374,'/weebpal/edustation/admin/structure/views/view/timenews/edit?render=overlay&render=overlay','default','<none>','','7.33'),(375,'/weebpal/edustation/admin/structure/views/view/recent_post?render=overlay&render=overlay','default','Recent post','','7.33'),(376,'menu:menu:menu-category:title','menu','Category','menu:menu-category:title','1'),(377,'menu:menu:menu-properties-view:title','menu','Properties View','menu:menu-properties-view:title','1'),(378,'/weebpal/edustation/admin/structure/views/view/timenews/edit/page_1?render=overlay&render=overlay','default','Page Grid','','7.33'),(379,'field:field_image:events:label','field','Image','field_image:events:label','1'),(380,'/weebpal/edustation/admin/structure/views/view/events?render=overlay&render=overlay','default','Events','','7.33'),(381,'/weebpal/edustation/admin/structure/views/view/events/edit/page_1?render=overlay&render=overlay','default','Start Date','','7.33'),(382,'/weebpal/edustation/admin/structure/views/view/recent_news?render=overlay&render=overlay','default','Recent news','','7.33'),(383,'menu:menu:menu-properties-events:title','menu','Properties Events','menu:menu-properties-events:title','1'),(387,'field:field_location:events:label','field','Location','field_location:events:label','1'),(388,'field:field_campus:events:label','field','Campus','field_campus:events:label','1'),(389,'field:field_user_description:user:label','field','User Description','field_user_description:user:label','1'),(390,'field:field_person:events:label','field','Person','field_person:events:label','1'),(391,'field:field_timings:events:label','field','Timings','field_timings:events:label','1'),(392,'/weebpal/edustation/admin/structure/views/view/event_speaker?render=overlay&render=overlay','default','Event Speaker','','7.33'),(393,'/weebpal/edustation/admin/structure/views/view/event_speaker?render=overlay&render=overlay; sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.33'),(394,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F23&render=overlay&render=overlay','default','Location','','7.33'),(395,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F22&render=overlay&render=overlay','default','field_person','','7.33'),(396,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F22&render=overlay&render=overlay','default','Timings','','7.33'),(397,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F22&render=overlay&render=overlay','default','User Description','','7.33'),(398,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F22&render=overlay&render=overlay','default','User type','','7.33'),(399,'field:field_during:events:label','field','During','field_during:events:label','1'),(400,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F23&render=overlay&render=overlay','default','Date','','7.33'),(401,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F23&render=overlay&render=overlay','default','term from field_user_type','','7.33'),(402,'/weebpal/edustation/admin/structure/views/view/event_speaker/edit/block?destination=node%2F3&render=overlay&render=overlay','default','Campus','','7.33'),(403,'/weebpal/edustation/admin/structure/views/view/courses?render=overlay&render=overlay','default','Courses','','7.33'),(405,'/weebpal/edustation/admin/structure/views/view/courses?render=overlay&render=overlay','default','During','','7.33'),(406,'modules/dashboard/dashboard.js','default','Customize dashboard','','none'),(407,'menu:menu:menu-properties-courses:title','menu','Properties Courses','menu:menu-properties-courses:title','1'),(408,'field:field_campus:course:label','field','Campus','field_campus:course:label','1'),(409,'field:field_letters:#allowed_values:a','field','Aardvark','field_letters:#allowed_values:a','1'),(410,'field:field_letters:#allowed_values:b','field','Bumble-Bee','field_letters:#allowed_values:b','1'),(411,'field:field_letters:#allowed_values:c','field',' Caterpillar','field_letters:#allowed_values:c','1'),(412,'field:field_letters:#allowed_values:d','field','Devil, Tasmanian','field_letters:#allowed_values:d','1'),(413,'field:field_letters:#allowed_values:e','field','Elephant','field_letters:#allowed_values:e','1'),(414,'field:field_letters:#allowed_values:f','field','Frigatebird','field_letters:#allowed_values:f','1'),(415,'field:body:bef_test:label','field','Body','body:bef_test:label','1'),(416,'field:field_date:bef_test:label','field','date','field_date:bef_test:label','1'),(417,'field:field_integer:bef_test:label','field','Integer','field_integer:bef_test:label','1'),(418,'field:field_letters:bef_test:label','field','Letters','field_letters:bef_test:label','1'),(419,'field:field_location:bef_test:label','field','Location','field_location:bef_test:label','1'),(420,'field:field_location:newsletter_template:label','field','Location','field_location:newsletter_template:label','1'),(421,'taxonomy:vocabulary:13:name','taxonomy','Location','vocabulary:13:name','1'),(422,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select All','','none'),(423,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select None','','none'),(424,'/weebpal/edustation/admin/structure/views/view/courses/edit?render=overlay&render=overlay','default','Search Courses','','7.33'),(425,'/weebpal/edustation/admin/structure/views/view/courses/edit?render=overlay&render=overlay','default','Select any filter and click on Apply to see results','','7.33'),(426,'/weebpal/edustation/admin/structure/views/view/courses/edit/page_1?render=overlay&render=overlay','default','Campus (field_campus)','','7.33'),(427,'field:field_image:page:label','field','Image','field_image:page:label','1'),(428,'field:comment_body:comment_node_gallery:label','field','Comment','comment_body:comment_node_gallery:label','1'),(429,'node:type:gallery:name','node','Gallery','type:gallery:name','1'),(430,'node:type:gallery:title_label','node','Title','type:gallery:title_label','1'),(431,'field:body:gallery:label','field','Body','body:gallery:label','1'),(432,'field:field_image:gallery:label','field','Image','field_image:gallery:label','1'),(433,'menu:menu:menu-gallery-menu:title','menu','Gallery Menu','menu:menu-gallery-menu:title','1'),(434,'field:field_gallery_categories:gallery:label','field','Gallery Categories','field_gallery_categories:gallery:label','1'),(435,'/weebpal/edustation/admin/structure/views/view/gallery?render=overlay&render=overlay','default','Gallery','','7.33'),(436,'/weebpal/edustation/admin/structure/views/view/gallery/edit/page_2?render=overlay&render=overlay','default','Page Edustation','','7.33'),(437,'/weebpal/edustation/admin/structure/views/view/gallery/edit/page_3?render=overlay&render=overlay','default','Page News','','7.33'),(438,'/weebpal/edustation/admin/structure/views/view/gallery/edit/page_4?render=overlay&render=overlay','default','Page Scholarship','','7.33'),(439,'field:comment_body:comment_node_faq:label','field','Comment','comment_body:comment_node_faq:label','1'),(440,'node:type:faq:name','node','FAQ','type:faq:name','1'),(441,'node:type:faq:title_label','node','Title','type:faq:title_label','1'),(442,'field:body:faq:label','field','Body','body:faq:label','1'),(443,'/weebpal/edustation/admin/structure/views/view/faqs?render=overlay&render=overlay','default','FAQs','','7.33'),(444,'/weebpal/edustation/admin/structure/views/view/statistic?render=overlay&render=overlay','default','Statistic','','7.33'),(445,'/weebpal/edustation/admin/structure/views/view/about_block/edit/block?render=overlay&render=overlay','default','About Block','','7.33'),(446,'/weebpal/edustation/admin/structure/views/view/about_block/edit/block?render=overlay&render=overlay','default','Organistation','','7.33'),(447,'/weebpal/edustation/admin/structure/views/view/about_block/edit/block?render=overlay&render=overlay','default','History','','7.33'),(448,'/weebpal/edustation/admin/structure/views/view/about_block/edit/block?render=overlay&render=overlay','default','Our mission','','7.33'),(449,'quicktabs:title:about_university','quicktabs','About University','title:about_university','1'),(450,'quicktabs:tab:about_university-0:title','quicktabs','Organisation','tab:about_university-0:title','1'),(451,'quicktabs:tab:about_university-1:title','quicktabs','History','tab:about_university-1:title','1'),(452,'quicktabs:tab:about_university-2:title','quicktabs','Our mission','tab:about_university-2:title','1'),(453,'/weebpal/edustation/admin/structure/views/view/meet_our_teachers?render=overlay&render=overlay','default','Meet our teachers','','7.33'),(454,'/weebpal/edustation/admin/structure/views/view/testimonials_about?render=overlay&render=overlay','default','Testimonials About','','7.33'),(455,'sites/all/modules/quiz/theme/quiz_question_browser.js','default','Any unsaved changes will be lost. Are you sure you want to proceed?','','none'),(456,'/weebpal/edustation/admin/structure/views/view/courses/edit/page?destination=courses&render=overlay&render=overlay','default','aaaaa','','7.33'),(457,'/weebpal/edustation/admin/structure/views/view/courses/edit/page?destination=courses&render=overlay&render=overlay','default','bbbb','','7.33'),(460,'field:field_map:webform:label','field','Map','field_map:webform:label','1'),(461,'field:body:webform:label','field','Body','body:webform:label','1'),(462,'/weebpal/edustation/admin/structure/views/view/gallery/edit/page?destination=gallery&render=overlay&render=overlay','default','Page Student','','7.33'),(463,'taxonomy:vocabulary:10:name','taxonomy','Category','vocabulary:10:name','1'),(464,'field:field_newsletter_body:user:label','field','Body','field_newsletter_body:user:label','1'),(465,'/weebpal/edustation/admin/structure/views/view/gallery/edit/page?destination=gallery&render=overlay&render=overlay','default','Load more','','7.33'),(467,'menu:menu:menu-headline-link:title','menu','Headline Link','menu:menu-headline-link:title','1'),(468,'/educational/admin/structure/views/view/timenews/edit/page?render=overlay&render=overlay','default','<i class=\"fa fa-eye\"></i> [totalcount]','','7.33'),(469,'/educational/admin/structure/views/view/timenews/edit/page?render=overlay&render=overlay','default','<i class=\"fa fa-calendar\"></i> [created]','','7.33'),(470,'/educational/admin/structure/views/view/timenews/edit/page?render=overlay&render=overlay','default',' [view_node] <i class=\"fa fa-chevron-circle-right\"></i>','','7.33'),(471,'sites/all/modules/imce/js/imce.js','default','File browsing is disabled in directory %dir.','','none'),(472,'sites/all/modules/imce/js/imce.js','default','Upload','','none'),(473,'sites/all/modules/imce/js/imce.js','default','You can not perform this operation.','','none'),(474,'sites/all/modules/imce/js/imce.js','default','Do you want to refresh the current directory?','','none'),(475,'sites/all/modules/imce/js/imce.js','default','Only files with the following extensions are allowed: %files-allowed.','','none'),(476,'sites/all/modules/imce/js/imce.js','default','Delete selected files?','','none'),(477,'sites/all/modules/imce/js/imce.js','default','Please select a thumbnail.','','none'),(478,'sites/all/modules/imce/js/imce.js','default','Please specify dimensions within the allowed range that is from 1x1 to @dimensions.','','none'),(479,'sites/all/modules/imce/js/imce.js','default','Please select a file.','','none'),(480,'sites/all/modules/imce/js/imce.js','default','Log messages','','none'),(481,'sites/all/modules/imce/js/imce.js','default','%filename is not an image.','','none'),(482,'sites/all/modules/imce/js/imce.js','default','You must select at least %num files.','','none'),(483,'sites/all/modules/imce/js/imce.js','default','You are not allowed to operate on more than %num files.','','none'),(484,'sites/all/modules/imce/js/imce.js','default','Close','','none'),(485,'sites/all/modules/imce/js/imce_extras.js','default','Change view','','none'),(486,'sites/all/modules/imce/js/imce_set_app.js','default','Insert file','','none'),(487,'field:field_class:category:label','field','Class','field_class:category:label','1'),(488,'/weebpal/educational/admin/structure/views/view/news/edit/block?destination=node%2F1&render=overlay&render=overlay','default','term','','7.33'),(489,'/weebpal/educational/admin/structure/views/view/news/edit/block?destination=node%2F1&render=overlay&render=overlay','default','All taxonomy terms','','7.33'),(490,'/weebpal/educational/admin/structure/views/view/news/edit/block?destination=node%2F1&render=overlay&render=overlay','default','<div class=\"views-field views-field-field-category\">\n<div class=\"field-content\">\n<a href=\"/weebpal/educational/news/global\" typeof=\"skos:Concept\" property=\"rdfs:label skos:prefLabel\">Global</a>\n</div>\n</div>','','7.33'),(491,'/weebpal/educational/admin/structure/views/view/news/edit/block?destination=node%2F1&render=overlay&render=overlay','default','<a href=\"/weebpal/educational/news/global\" typeof=\"skos:Concept\" property=\"rdfs:label skos:prefLabel\">Global</a>','','7.33'),(492,'/educational/admin/structure/views/view/courses/edit?render=overlay&render=overlay','default','<i class=\"fa fa-calendar\"></i> [field_during]','','7.33'),(493,'/educational/admin/structure/views/view/courses/edit?render=overlay&render=overlay','default','<i class=\"fa fa-user\"></i> [totalcount]','','7.33'),(494,'/weebpal/educational/admin/structure/views/view/timenews/edit/page?destination=taxonomy%2Fterm%2F24&render=overlay&render=overlay','default',' ','','7.33'),(495,'/weebpal/educational/admin/structure/views/view/list_student?render=overlay&render=overlay','default','List Student','','7.33'),(496,'/weebpal/educational/admin/structure/views/view/list_student?render=overlay&render=overlay','default','Join date','','7.33'),(497,'/weebpal/educational/admin/structure/views/view/list_student?render=overlay&render=overlay','default','Detail','','7.33'),(498,'field:field_class:gallery_categories:label','field','Class','field_class:gallery_categories:label','1'),(499,'field:body:course:label','field','Body','body:course:label','1'),(500,'field:field_person:course:label','field','Teacher','field_person:course:label','1'),(501,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Timming','','7.33'),(502,'/weebpal/educational/admin/structure/views/view/meet_our_teachers/edit/block?destination=node%2F40&render=overlay&render=overlay','default','Social networks (field_social:delta)','','7.33'),(503,'/weebpal/educational/admin/structure/views/view/meet_our_teachers/edit/block?destination=node%2F40&render=overlay&render=overlay','default','Social networks','','7.33'),(504,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','All unsaved changed has been reseted!','','none'),(505,'sites/all/modules/ctools/bulk_export/bulk_export.js','default','Exportables selected','','none'),(506,'/weebpal/educational/admin/structure/views/view/campus_slideshow/edit/block?destination=node%2F1&render=overlay&render=overlay','default','Term edit link','','7.33'),(512,'field:field_class:newsletter_template:label','field','Class','field_class:newsletter_template:label','1'),(513,'taxonomy:vocabulary:17:name','taxonomy','Class','vocabulary:17:name','1'),(514,'taxonomy:vocabulary:17:description','taxonomy','Class','vocabulary:17:description','1'),(515,'field:field__class:user:label','field','Class','field__class:user:label','1'),(516,'/weebpal/educational/admin/structure/views/view/student/edit/block?destination=node%2F1&render=overlay&render=overlay','default','term from field__class','','7.33'),(517,'field:field_facebook:user:label','field','Facebook','field_facebook:user:label','1'),(518,'field:field_twitter:user:label','field','Twitter','field_twitter:user:label','1'),(519,'field:field_google_plus:user:label','field','Google Plus','field_google_plus:user:label','1'),(520,'field:field_linkedin:user:label','field','Linkedin','field_linkedin:user:label','1'),(521,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Course','','7.33'),(522,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Credits','','7.33'),(523,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Duration','','7.33'),(524,'field:field_timing:course:label','field','Timings','field_timing:course:label','1'),(526,'field:field_date_to_date:course:label','field','Date','field_date_to_date:course:label','1'),(527,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Course ID','','7.33'),(528,'field:field_room:course:label','field','Room','field_room:course:label','1'),(529,'field:field_integer:course:label','field','Number Student (Max)','field_integer:course:label','1'),(530,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Students','','7.33'),(531,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','Room','','7.33'),(532,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','INSTRUCTOR','','7.33'),(533,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','<a>Apply</a>','','7.33'),(534,'field:field_credit:course:label','field','Credit','field_credit:course:label','1'),(535,'/weebpal/educational/admin/structure/views/view/courses_info/edit/block?destination=node%2F18&render=overlay&render=overlay','default','<a href=\"#\" class=\"courses-apply form-submit\">Apply</a>','','7.33'),(536,'/weebpal/educational/admin/structure/views/view/courses/edit/page_1?render=overlay&render=overlay','default','Search Course','','7.33'),(538,'field:field_courses:course:label','field','Courses Categories','field_courses:course:label','1'),(539,'sites/all/modules/ubercart/uc_product/uc_product.js','default','Not shippable','','none'),(540,'sites/all/modules/ubercart/uc_product/uc_product.js','default','SKU','','none'),(541,'sites/all/modules/ubercart/uc_product/uc_product.js','default','Sell price','','none'),(542,'sites/all/modules/ubercart/uc_product/uc_product.js','default','Shippable','','none'),(543,'/weebpal/educational/admin/structure/views/view/campus_slideshow/edit/block?destination=node%2F1&render=overlay&render=overlay','default','[name] Campus','','7.33'),(544,'/educational/admin/structure/views/view/courses/edit?render=overlay&render=overlay','default','<i class=\"fa fa-calendar\"></i> [field_date_to_date]','','7.33'),(545,'field:field_email:comment_node_news:label','field','Email','field_email:comment_node_news:label','1'),(547,'field:field_full_name:comment_node_news:label','field','Full name','field_full_name:comment_node_news:label','1'),(548,'field:field_list_file:course:label','field','Course Downloads','field_list_file:course:label','1'),(549,'field:field_list_file:course:setting_edit','field','Edit','field_list_file:course:setting_edit','1'),(550,'field:field_list_file:course:setting_delete','field','Delete','field_list_file:course:setting_delete','1'),(551,'field:field_list_file:course:setting_add','field','Add','field_list_file:course:setting_add','1'),(552,'field:field_description:field_list_file:label','field','Description','field_description:field_list_file:label','1'),(553,'field:field_file:field_list_file:label','field','File','field_file:field_list_file:label','1'),(554,'misc/drupal.js','default','CustomMessage: !customMessage','','none'),(555,'misc/ajax.js','default','The response failed verification so will not be processed.','','none'),(556,'misc/ajax.js','default','The callback URL is not local and not trusted: !url','','none'),(557,'sites/all/modules/webform/js/webform.js','default','This field is required.','','none'),(558,'sites/all/modules/ubercart/payment/uc_credit/uc_credit.admin.js','default','Encryption key path','','none'),(559,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(560,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(561,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(562,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(563,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(564,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','none'),(565,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(566,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(567,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  `i18n_status` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation needs to be updated.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  `language` varchar(12) NOT NULL DEFAULT 'und',
  `i18n_mode` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('features','Features','Menu items for any enabled features.','und',0),('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.','und',0),('management','Management','The <em>Management</em> menu contains links for administrative tasks.','und',0),('menu-category','Category','','und',0),('menu-flexslider-example','FlexSlider Example','Example FlexSlider implementations','und',0),('menu-footer-menu','Footer Menu','','und',0),('menu-gallery-menu','Gallery Menu','','und',0),('menu-headline-link','Headline Link','','und',0),('menu-properties-courses','Properties Courses','','und',0),('menu-properties-events','Properties Events','','und',0),('menu-properties-view','Properties News','','und',0),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.','und',0),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.','und',0);
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  `language` varchar(12) NOT NULL DEFAULT 'und',
  `i18n_tsid` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=1420 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0,'und',0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,2,0,0,0,0,0,0,0,0,0,'und',0),('navigation',3,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0,'und',0),('navigation',4,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,4,0,0,0,0,0,0,0,0,0,'und',0),('navigation',5,0,'node/%','node/%','','a:0:{}','system',0,0,1,0,0,1,0,5,0,0,0,0,0,0,0,0,0,'und',0),('navigation',6,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,6,0,0,0,0,0,0,0,0,0,'und',0),('management',7,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,7,0,0,0,0,0,0,0,0,'und',0),('management',8,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,8,0,0,0,0,0,0,0,0,'und',0),('management',9,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,9,0,0,0,0,0,0,0,0,'und',0),('user-menu',10,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,10,0,0,0,0,0,0,0,0,'und',0),('management',11,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,11,0,0,0,0,0,0,0,0,'und',0),('management',12,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,12,0,0,0,0,0,0,0,0,'und',0),('user-menu',13,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,13,0,0,0,0,0,0,0,0,'und',0),('user-menu',14,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,14,0,0,0,0,0,0,0,0,0,'und',0),('management',15,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,15,0,0,0,0,0,0,0,0,'und',0),('navigation',16,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,16,0,0,0,0,0,0,0,0,0,'und',0),('management',17,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,17,0,0,0,0,0,0,0,0,'und',0),('management',18,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,18,0,0,0,0,0,0,0,0,'und',0),('user-menu',19,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,19,0,0,0,0,0,0,0,0,'und',0),('management',20,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,20,0,0,0,0,0,0,0,0,'und',0),('management',21,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,21,0,0,0,0,0,0,0,0,'und',0),('navigation',22,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,22,0,0,0,0,0,0,0,0,0,'und',0),('navigation',23,3,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,3,23,0,0,0,0,0,0,0,0,'und',0),('navigation',24,3,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,3,24,0,0,0,0,0,0,0,0,'und',0),('navigation',25,3,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,3,25,0,0,0,0,0,0,0,0,'und',0),('navigation',26,3,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,3,26,0,0,0,0,0,0,0,0,'und',0),('management',27,17,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,17,27,0,0,0,0,0,0,0,'und',0),('management',28,20,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,20,28,0,0,0,0,0,0,0,'und',0),('navigation',29,16,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,16,29,0,0,0,0,0,0,0,0,'und',0),('management',30,9,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,9,30,0,0,0,0,0,0,0,'und',0),('management',31,11,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,31,0,0,0,0,0,0,0,'und',0),('management',32,9,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,9,32,0,0,0,0,0,0,0,'und',0),('management',33,8,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,8,33,0,0,0,0,0,0,0,'und',0),('management',34,20,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,34,0,0,0,0,0,0,0,'und',0),('management',35,11,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,35,0,0,0,0,0,0,0,'und',0),('navigation',36,5,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,5,36,0,0,0,0,0,0,0,0,'und',0),('management',37,8,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,8,37,0,0,0,0,0,0,0,'und',0),('navigation',38,16,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,16,38,0,0,0,0,0,0,0,0,'und',0),('navigation',39,5,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,5,39,0,0,0,0,0,0,0,0,'und',0),('management',40,18,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,18,40,0,0,0,0,0,0,0,'und',0),('management',41,15,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,15,41,0,0,0,0,0,0,0,'und',0),('management',42,17,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,17,42,0,0,0,0,0,0,0,'und',0),('management',43,7,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,7,43,0,0,0,0,0,0,0,'und',0),('management',44,8,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,8,44,0,0,0,0,0,0,0,'und',0),('management',45,20,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,20,45,0,0,0,0,0,0,0,'und',0),('management',46,8,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,8,46,0,0,0,0,0,0,0,'und',0),('management',47,17,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,17,47,0,0,0,0,0,0,0,'und',0),('management',48,18,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,18,48,0,0,0,0,0,0,0,'und',0),('management',49,8,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,8,49,0,0,0,0,0,0,0,'und',0),('navigation',50,5,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,5,50,0,0,0,0,0,0,0,0,'und',0),('management',51,8,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,8,51,0,0,0,0,0,0,0,'und',0),('management',52,7,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,7,52,0,0,0,0,0,0,0,'und',0),('management',53,18,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,18,53,0,0,0,0,0,0,0,'und',0),('management',54,8,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,8,54,0,0,0,0,0,0,0,'und',0),('management',55,18,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,18,55,0,0,0,0,0,0,0,'und',0),('management',56,18,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,18,56,0,0,0,0,0,0,0,'und',0),('management',57,15,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,15,57,0,0,0,0,0,0,0,'und',0),('management',58,8,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,8,58,0,0,0,0,0,0,0,'und',0),('navigation',59,5,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,5,59,0,0,0,0,0,0,0,0,'und',0),('navigation',60,16,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,16,60,0,0,0,0,0,0,0,0,'und',0),('management',61,8,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,8,61,0,0,0,0,0,0,0,'und',0),('management',62,8,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,1,8,62,0,0,0,0,0,0,0,'und',0),('management',63,46,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,8,46,63,0,0,0,0,0,0,'und',0),('management',64,54,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,8,54,64,0,0,0,0,0,0,'und',0),('management',65,28,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,65,0,0,0,0,0,0,'und',0),('management',66,34,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,34,66,0,0,0,0,0,0,'und',0),('management',67,45,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,20,45,67,0,0,0,0,0,0,'und',0),('management',68,52,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,68,0,0,0,0,0,0,'und',0),('management',69,51,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,8,51,69,0,0,0,0,0,0,'und',0),('management',70,54,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,8,54,70,0,0,0,0,0,0,'und',0),('management',71,49,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,8,49,71,0,0,0,0,0,0,'und',0),('management',72,18,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,18,72,0,0,0,0,0,0,0,'und',0),('management',74,44,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,8,44,74,0,0,0,0,0,0,'und',0),('management',75,52,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,75,0,0,0,0,0,0,'und',0),('management',76,52,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,7,52,76,0,0,0,0,0,0,'und',0),('management',77,46,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,8,46,77,0,0,0,0,0,0,'und',0),('management',78,44,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,8,44,78,0,0,0,0,0,0,'und',0),('management',79,44,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,8,44,79,0,0,0,0,0,0,'und',0),('management',80,41,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,15,41,80,0,0,0,0,0,0,'und',0),('management',81,34,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,34,81,0,0,0,0,0,0,'und',0),('management',82,45,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,45,82,0,0,0,0,0,0,'und',0),('management',83,37,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,8,37,83,0,0,0,0,0,0,'und',0),('management',84,37,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,8,37,84,0,0,0,0,0,0,'und',0),('management',85,37,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,8,37,85,0,0,0,0,0,0,'und',0),('management',86,47,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,17,47,86,0,0,0,0,0,0,'und',0),('management',87,30,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,9,30,87,0,0,0,0,0,0,'und',0),('management',88,61,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,8,61,88,0,0,0,0,0,0,'und',0),('management',89,49,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,8,49,89,0,0,0,0,0,0,'und',0),('management',90,47,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,17,47,90,0,0,0,0,0,0,'und',0),('management',91,45,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,45,91,0,0,0,0,0,0,'und',0),('management',92,52,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,92,0,0,0,0,0,0,'und',0),('management',93,54,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,8,54,93,0,0,0,0,0,0,'und',0),('management',94,52,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,94,0,0,0,0,0,0,'und',0),('management',95,33,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,8,33,95,0,0,0,0,0,0,'und',0),('management',96,30,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,9,30,96,0,0,0,0,0,0,'und',0),('management',97,57,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,15,57,97,0,0,0,0,0,0,'und',0),('navigation',98,38,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,16,38,98,0,0,0,0,0,0,0,'und',0),('management',99,95,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,8,33,95,99,0,0,0,0,0,'und',0),('management',100,78,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,8,44,78,100,0,0,0,0,0,'und',0),('management',101,95,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,8,33,95,101,0,0,0,0,0,'und',0),('management',102,28,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,102,0,0,0,0,0,0,'und',0),('management',103,64,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,8,54,64,103,0,0,0,0,0,'und',0),('management',104,45,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,20,45,104,0,0,0,0,0,0,'und',0),('management',105,34,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,20,34,105,0,0,0,0,0,0,'und',0),('management',107,71,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,8,49,71,107,0,0,0,0,0,'und',0),('management',108,28,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,108,0,0,0,0,0,0,'und',0),('management',109,95,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,33,95,109,0,0,0,0,0,'und',0),('management',110,78,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,8,44,78,110,0,0,0,0,0,'und',0),('management',111,64,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,8,54,64,111,0,0,0,0,0,'und',0),('management',112,63,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,46,63,112,0,0,0,0,0,'und',0),('management',113,28,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,113,0,0,0,0,0,0,'und',0),('management',114,28,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,114,0,0,0,0,0,0,'und',0),('management',115,71,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,8,49,71,115,0,0,0,0,0,'und',0),('navigation',116,50,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,116,0,0,0,0,0,0,0,'und',0),('navigation',117,50,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,117,0,0,0,0,0,0,0,'und',0),('navigation',118,50,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,5,50,118,0,0,0,0,0,0,0,'und',0),('management',120,108,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,108,120,0,0,0,0,0,'und',0),('management',121,113,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,113,121,0,0,0,0,0,'und',0),('management',122,114,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,114,122,0,0,0,0,0,'und',0),('management',123,115,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,71,115,123,0,0,0,0,'und',0),('management',124,107,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,71,107,124,0,0,0,0,'und',0),('management',125,104,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,104,125,0,0,0,0,0,'und',0),('management',126,28,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,20,28,126,0,0,0,0,0,0,'und',0),('navigation',127,29,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,16,29,127,0,0,0,0,0,0,0,'und',0),('management',128,105,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,34,105,128,0,0,0,0,0,'und',0),('management',129,77,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,8,46,77,129,0,0,0,0,0,'und',0),('management',130,64,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,8,54,64,130,0,0,0,0,0,'und',0),('management',131,104,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,20,45,104,131,0,0,0,0,0,'und',0),('management',132,45,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,132,0,0,0,0,0,0,'und',0),('management',133,90,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,90,133,0,0,0,0,0,'und',0),('management',134,99,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,8,33,95,99,134,0,0,0,0,'und',0),('management',135,105,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,34,105,135,0,0,0,0,0,'und',0),('management',136,104,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,104,136,0,0,0,0,0,'und',0),('management',137,45,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',-1,0,0,0,0,4,0,1,20,45,137,0,0,0,0,0,0,'und',0),('management',138,90,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,90,138,0,0,0,0,0,'und',0),('management',139,78,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,8,44,78,139,0,0,0,0,0,'und',0),('management',140,104,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,45,104,140,0,0,0,0,0,'und',0),('management',141,45,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,141,0,0,0,0,0,0,'und',0),('management',142,78,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,78,142,0,0,0,0,0,'und',0),('management',143,78,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,78,143,0,0,0,0,0,'und',0),('management',144,105,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,20,34,105,144,0,0,0,0,0,'und',0),('management',145,105,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,20,34,105,145,0,0,0,0,0,'und',0),('management',146,126,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure','a:0:{}','system',-1,0,0,0,-100,5,0,1,20,28,126,146,0,0,0,0,0,'und',0),('management',147,126,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,126,147,0,0,0,0,0,'und',0),('management',148,107,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,71,107,148,0,0,0,0,'und',0),('management',149,115,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,8,49,71,115,149,0,0,0,0,'und',0),('management',150,107,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,71,107,150,0,0,0,0,'und',0),('management',151,139,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,8,44,78,139,151,0,0,0,0,'und',0),('management',152,139,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,8,44,78,139,152,0,0,0,0,'und',0),('management',153,152,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,8,44,78,139,152,153,0,0,0,'und',0),('management',154,45,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,154,0,0,0,0,0,0,'und',0),('management',155,45,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,155,0,0,0,0,0,0,'und',0),('management',156,45,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,156,0,0,0,0,0,0,'und',0),('management',157,45,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,157,0,0,0,0,0,0,'und',0),('navigation',158,0,'search','search','Search','a:0:{}','system',1,0,1,0,0,1,0,158,0,0,0,0,0,0,0,0,0,'und',0),('navigation',159,158,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,158,159,0,0,0,0,0,0,0,0,'und',0),('navigation',160,158,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,158,160,0,0,0,0,0,0,0,0,'und',0),('management',161,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,161,0,0,0,0,0,0,0,0,'und',0),('navigation',162,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,162,0,0,0,0,0,0,0,0,0,'und',0),('navigation',163,159,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,158,159,163,0,0,0,0,0,0,0,'und',0),('navigation',164,16,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,16,164,0,0,0,0,0,0,0,0,'und',0),('management',165,20,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,20,165,0,0,0,0,0,0,0,'und',0),('management',166,18,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,18,166,0,0,0,0,0,0,0,'und',0),('navigation',167,160,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,158,160,167,0,0,0,0,0,0,0,'und',0),('management',168,161,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,168,0,0,0,0,0,0,0,'und',0),('management',169,161,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,161,169,0,0,0,0,0,0,0,'und',0),('management',170,161,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,161,170,0,0,0,0,0,0,0,'und',0),('management',171,161,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,161,171,0,0,0,0,0,0,0,'und',0),('management',172,161,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,161,172,0,0,0,0,0,0,0,'und',0),('management',173,161,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,173,0,0,0,0,0,0,0,'und',0),('management',174,161,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,161,174,0,0,0,0,0,0,0,'und',0),('management',175,161,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,161,175,0,0,0,0,0,0,0,'und',0),('management',176,161,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,176,0,0,0,0,0,0,0,'und',0),('management',177,161,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,161,177,0,0,0,0,0,0,0,'und',0),('management',178,161,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,161,178,0,0,0,0,0,0,0,'und',0),('management',179,161,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,161,179,0,0,0,0,0,0,0,'und',0),('management',180,161,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,161,180,0,0,0,0,0,0,0,'und',0),('management',181,161,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,161,181,0,0,0,0,0,0,0,'und',0),('management',182,161,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,182,0,0,0,0,0,0,0,'und',0),('management',183,161,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,161,183,0,0,0,0,0,0,0,'und',0),('management',184,161,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,161,184,0,0,0,0,0,0,0,'und',0),('management',185,161,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,161,185,0,0,0,0,0,0,0,'und',0),('management',186,161,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,161,186,0,0,0,0,0,0,0,'und',0),('management',187,161,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,161,187,0,0,0,0,0,0,0,'und',0),('management',188,161,'admin/help/rdf','admin/help/rdf','rdf','a:0:{}','system',-1,0,0,0,0,3,0,1,161,188,0,0,0,0,0,0,0,'und',0),('management',189,161,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,161,189,0,0,0,0,0,0,0,'und',0),('management',190,161,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,161,190,0,0,0,0,0,0,0,'und',0),('management',191,161,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,161,191,0,0,0,0,0,0,0,'und',0),('management',192,161,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,161,192,0,0,0,0,0,0,0,'und',0),('management',193,161,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,161,193,0,0,0,0,0,0,0,'und',0),('management',194,161,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,161,194,0,0,0,0,0,0,0,'und',0),('navigation',195,162,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,162,195,0,0,0,0,0,0,0,0,'und',0),('navigation',196,162,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,162,196,0,0,0,0,0,0,0,0,'und',0),('management',197,165,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,165,197,0,0,0,0,0,0,'und',0),('management',198,165,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,20,165,198,0,0,0,0,0,0,'und',0),('management',199,165,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,165,199,0,0,0,0,0,0,'und',0),('management',200,51,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,8,51,200,0,0,0,0,0,0,'und',0),('management',201,58,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,8,58,201,0,0,0,0,0,0,'und',0),('management',202,51,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,8,51,202,0,0,0,0,0,0,'und',0),('management',203,202,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,202,203,0,0,0,0,0,'und',0),('management',204,201,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,8,58,201,204,0,0,0,0,0,'und',0),('management',205,197,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,20,165,197,205,0,0,0,0,0,'und',0),('management',206,200,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,200,206,0,0,0,0,0,'und',0),('management',207,197,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,165,197,207,0,0,0,0,0,'und',0),('management',208,201,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,8,58,201,208,0,0,0,0,0,'und',0),('management',209,197,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,20,165,197,209,0,0,0,0,0,'und',0),('management',210,202,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,51,202,210,0,0,0,0,0,'und',0),('management',211,208,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,8,58,201,208,211,0,0,0,0,'und',0),('management',212,202,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,202,212,0,0,0,0,0,'und',0),('management',213,208,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,8,58,201,208,213,0,0,0,0,'und',0),('management',214,202,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,202,214,0,0,0,0,0,'und',0),('management',215,208,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,8,58,201,208,215,0,0,0,0,'und',0),('management',216,201,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,8,58,201,216,0,0,0,0,0,'und',0),('management',217,208,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,8,58,201,208,217,0,0,0,0,'und',0),('management',218,216,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,8,58,201,216,218,0,0,0,0,'und',0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0,'und',0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',221,0,'<front>','','Home','a:0:{}','menu',0,1,0,0,-50,1,1,221,0,0,0,0,0,0,0,0,0,'und',0),('navigation',222,6,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,6,222,0,0,0,0,0,0,0,0,'und',0),('navigation',223,6,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,6,223,0,0,0,0,0,0,0,0,'und',0),('management',263,15,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,15,263,0,0,0,0,0,0,0,'und',0),('management',264,7,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,7,264,0,0,0,0,0,0,0,'und',0),('management',265,15,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,15,265,0,0,0,0,0,0,0,'und',0),('management',266,18,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,18,266,0,0,0,0,0,0,0,'und',0),('management',267,7,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,7,267,0,0,0,0,0,0,0,'und',0),('management',268,161,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,268,0,0,0,0,0,0,0,'und',0),('management',269,266,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,18,266,269,0,0,0,0,0,0,'und',0),('management',270,266,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,18,266,270,0,0,0,0,0,0,'und',0),('management',271,266,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,18,266,271,0,0,0,0,0,0,'und',0),('management',272,266,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,18,266,272,0,0,0,0,0,0,'und',0),('management',311,8,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,1,8,311,0,0,0,0,0,0,0,'und',0),('management',312,161,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,312,0,0,0,0,0,0,0,'und',0),('management',313,311,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,1,8,311,313,0,0,0,0,0,0,'und',0),('management',315,20,'admin/structure/field-collections','admin/structure/field-collections','Field collections','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage fields on field collections.\";}}','system',0,0,1,0,0,3,0,1,20,315,0,0,0,0,0,0,0,'und',0),('management',316,161,'admin/help/field_collection','admin/help/field_collection','field_collection','a:0:{}','system',-1,0,0,0,0,3,0,1,161,316,0,0,0,0,0,0,0,'und',0),('navigation',317,0,'ctools_ajax_sample','ctools_ajax_sample','Chaos Tools AJAX Demo','a:0:{}','system',0,0,1,0,0,1,0,317,0,0,0,0,0,0,0,0,0,'und',0),('navigation',318,317,'ctools_ajax_sample/jumped','ctools_ajax_sample/jumped','Successful Jumping','a:0:{}','system',0,0,0,0,0,2,0,317,318,0,0,0,0,0,0,0,0,'und',0),('management',319,20,'admin/structure/bulk-export','admin/structure/bulk-export','Bulk Exporter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Bulk-export multiple CTools-handled data objects to code.\";}}','system',0,0,0,0,0,3,0,1,20,319,0,0,0,0,0,0,0,'und',0),('management',320,20,'admin/structure/context','admin/structure/context','Context','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Associate menus, views, blocks, etc. with different contexts to structure your site.\";}}','system',0,0,0,0,0,3,0,1,20,320,0,0,0,0,0,0,0,'und',0),('management',321,20,'admin/structure/ctools-rulesets','admin/structure/ctools-rulesets','Custom access rulesets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:117:\"Add, edit or delete custom access rulesets for use with Panels and other systems that utilize CTools content plugins.\";}}','system',0,0,0,0,0,3,0,1,20,321,0,0,0,0,0,0,0,'und',0),('management',322,20,'admin/structure/ctools-content','admin/structure/ctools-content','Custom content panes','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Add, edit or delete custom content panes.\";}}','system',0,0,0,0,0,3,0,1,20,322,0,0,0,0,0,0,0,'und',0),('management',323,20,'admin/structure/features','admin/structure/features','Features','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Manage features.\";}}','system',0,0,0,0,0,3,0,1,20,323,0,0,0,0,0,0,0,'und',0),('management',324,20,'admin/structure/pages','admin/structure/pages','Pages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Add, edit and remove overridden system pages and user defined pages from the system.\";}}','system',0,0,1,0,0,3,0,1,20,324,0,0,0,0,0,0,0,'und',0),('management',325,20,'admin/structure/stylizer','admin/structure/stylizer','Stylizer','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Add, edit or delete stylizer styles.\";}}','system',0,0,0,0,0,3,0,1,20,325,0,0,0,0,0,0,0,'und',0),('management',327,161,'admin/help/context','admin/help/context','context','a:0:{}','system',-1,0,0,0,0,3,0,1,161,327,0,0,0,0,0,0,0,'und',0),('management',328,161,'admin/help/context_layouts','admin/help/context_layouts','context_layouts','a:0:{}','system',-1,0,0,0,0,3,0,1,161,328,0,0,0,0,0,0,0,'und',0),('management',329,161,'admin/help/context_ui','admin/help/context_ui','context_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,329,0,0,0,0,0,0,0,'und',0),('management',330,161,'admin/help/features','admin/help/features','features','a:0:{}','system',-1,0,0,0,0,3,0,1,161,330,0,0,0,0,0,0,0,'und',0),('management',331,320,'admin/structure/context/add','admin/structure/context/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,320,331,0,0,0,0,0,0,'und',0),('management',332,321,'admin/structure/ctools-rulesets/add','admin/structure/ctools-rulesets/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,321,332,0,0,0,0,0,0,'und',0),('management',333,322,'admin/structure/ctools-content/add','admin/structure/ctools-content/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,322,333,0,0,0,0,0,0,'und',0),('management',334,325,'admin/structure/stylizer/add','admin/structure/stylizer/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,325,334,0,0,0,0,0,0,'und',0),('management',335,324,'admin/structure/pages/add','admin/structure/pages/add','Add custom page','a:0:{}','system',-1,0,0,0,0,4,0,1,20,324,335,0,0,0,0,0,0,'und',0),('management',336,323,'admin/structure/features/create','admin/structure/features/create','Create feature','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Create a new feature.\";}}','system',-1,0,0,0,10,4,0,1,20,323,336,0,0,0,0,0,0,'und',0),('management',337,320,'admin/structure/context/import','admin/structure/context/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,320,337,0,0,0,0,0,0,'und',0),('management',338,321,'admin/structure/ctools-rulesets/import','admin/structure/ctools-rulesets/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,321,338,0,0,0,0,0,0,'und',0),('management',339,322,'admin/structure/ctools-content/import','admin/structure/ctools-content/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,322,339,0,0,0,0,0,0,'und',0),('management',340,325,'admin/structure/stylizer/import','admin/structure/stylizer/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,325,340,0,0,0,0,0,0,'und',0),('management',341,324,'admin/structure/pages/import','admin/structure/pages/import','Import page','a:0:{}','system',-1,0,0,0,0,4,0,1,20,324,341,0,0,0,0,0,0,'und',0),('management',342,320,'admin/structure/context/list','admin/structure/context/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,320,342,0,0,0,0,0,0,'und',0),('management',343,324,'admin/structure/pages/list','admin/structure/pages/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,324,343,0,0,0,0,0,0,'und',0),('management',344,321,'admin/structure/ctools-rulesets/list','admin/structure/ctools-rulesets/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,321,344,0,0,0,0,0,0,'und',0),('management',345,322,'admin/structure/ctools-content/list','admin/structure/ctools-content/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,322,345,0,0,0,0,0,0,'und',0),('management',346,325,'admin/structure/stylizer/list','admin/structure/stylizer/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,325,346,0,0,0,0,0,0,'und',0),('management',347,323,'admin/structure/features/manage','admin/structure/features/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Enable and disable features.\";}}','system',-1,0,0,0,0,4,0,1,20,323,347,0,0,0,0,0,0,'und',0),('management',348,320,'admin/structure/context/settings','admin/structure/context/settings','Settings','a:0:{}','system',-1,0,0,0,3,4,0,1,20,320,348,0,0,0,0,0,0,'und',0),('management',349,323,'admin/structure/features/settings','admin/structure/features/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Adjust settings for using features module.\";}}','system',-1,0,0,0,11,4,0,1,20,323,349,0,0,0,0,0,0,'und',0),('management',350,324,'admin/structure/pages/wizard','admin/structure/pages/wizard','Wizards','a:0:{}','system',-1,0,0,0,-5,4,0,1,20,324,350,0,0,0,0,0,0,'und',0),('management',351,324,'admin/structure/pages/edit/%','admin/structure/pages/edit/%','Edit','a:0:{}','system',0,0,0,0,0,4,0,1,20,324,351,0,0,0,0,0,0,'und',0),('management',352,323,'admin/structure/features/%/view','admin/structure/features/%/view','View','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Display components of a feature.\";}}','system',-1,0,0,0,-10,4,0,1,20,323,352,0,0,0,0,0,0,'und',0),('management',353,323,'admin/structure/features/%/recreate','admin/structure/features/%/recreate','Recreate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Recreate an existing feature.\";}}','system',-1,0,0,0,11,4,0,1,20,323,353,0,0,0,0,0,0,'und',0),('management',354,324,'admin/structure/pages/%/operation/%','admin/structure/pages/%/operation/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,324,354,0,0,0,0,0,0,'und',0),('management',355,342,'admin/structure/context/list/%/edit','admin/structure/context/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,320,342,355,0,0,0,0,0,'und',0),('management',356,344,'admin/structure/ctools-rulesets/list/%/edit','admin/structure/ctools-rulesets/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,321,344,356,0,0,0,0,0,'und',0),('management',357,345,'admin/structure/ctools-content/list/%/edit','admin/structure/ctools-content/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,322,345,357,0,0,0,0,0,'und',0),('management',358,346,'admin/structure/stylizer/list/%/edit','admin/structure/stylizer/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,325,346,358,0,0,0,0,0,'und',0),('management',359,342,'admin/structure/context/list/%/export','admin/structure/context/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,320,342,359,0,0,0,0,0,'und',0),('management',360,344,'admin/structure/ctools-rulesets/list/%/export','admin/structure/ctools-rulesets/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,321,344,360,0,0,0,0,0,'und',0),('management',361,345,'admin/structure/ctools-content/list/%/export','admin/structure/ctools-content/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,322,345,361,0,0,0,0,0,'und',0),('management',362,346,'admin/structure/stylizer/list/%/export','admin/structure/stylizer/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,325,346,362,0,0,0,0,0,'und',0),('menu-flexslider-example',363,0,'flexslider-views-example','flexslider-views-example','Basic Slider (Views)','a:0:{}','system',0,0,0,0,0,1,0,363,0,0,0,0,0,0,0,0,0,'und',0),('menu-flexslider-example',364,0,'flexslider-views-example-with-thumbnail-controls','flexslider-views-example-with-thumbnail-controls','slider w/thumbnail controlnav pattern (Views)','a:0:{}','system',0,0,0,0,0,1,0,364,0,0,0,0,0,0,0,0,0,'und',0),('menu-flexslider-example',365,0,'flexslider-views-example-with-thumbnail-slider','flexslider-views-example-with-thumbnail-slider','slider w/thumbnail slider (Views)','a:0:{}','system',0,0,0,0,0,1,0,365,0,0,0,0,0,0,0,0,0,'und',0),('menu-flexslider-example',366,0,'flexslider-views-example-basic-carousel','flexslider-views-example-basic-carousel','basic carousel (Views)','a:0:{}','system',0,0,0,0,0,1,0,366,0,0,0,0,0,0,0,0,0,'und',0),('menu-flexslider-example',367,0,'flexslider-views-example-carousel-min-max','flexslider-views-example-carousel-min-max','carousel with min and max ranges (Views)','a:0:{}','system',0,0,0,0,0,1,0,367,0,0,0,0,0,0,0,0,0,'und',0),('menu-flexslider-example',368,0,'flexslider-views-example-thumbnail-captions','flexslider-views-example-thumbnail-captions','Thumbnail Captions (Views)','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Basic slider with thumbnail captions\";}}','system',0,0,0,0,0,1,0,368,0,0,0,0,0,0,0,0,0,'und',0),('navigation',369,6,'node/add/flexslider-example','node/add/flexslider-example','FlexSlider Example','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Used for generating example FlexSlider implementations\";}}','system',0,0,0,0,0,2,0,6,369,0,0,0,0,0,0,0,0,'und',0),('management',371,161,'admin/help/flexslider','admin/help/flexslider','flexslider','a:0:{}','system',-1,0,0,0,0,3,0,1,161,371,0,0,0,0,0,0,0,'und',0),('management',372,161,'admin/help/strongarm','admin/help/strongarm','strongarm','a:0:{}','system',-1,0,0,0,0,3,0,1,161,372,0,0,0,0,0,0,0,'und',0),('management',373,44,'admin/config/media/flexslider','admin/config/media/flexslider','FlexSlider','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Administer FlexSlider presets.\";}}','system',0,0,0,0,0,4,0,1,8,44,373,0,0,0,0,0,0,'und',0),('management',377,37,'admin/config/development/strongarm','admin/config/development/strongarm','Strongarm','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Manage Drupal variable settings that have been strongarmed.\";}}','system',0,0,0,0,0,4,0,1,8,37,377,0,0,0,0,0,0,'und',0),('management',378,373,'admin/config/media/flexslider/add','admin/config/media/flexslider/add','Add','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,373,378,0,0,0,0,0,'und',0),('management',379,373,'admin/config/media/flexslider/advanced','admin/config/media/flexslider/advanced','Advanced settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Configure the advanced flexslider module settings.\";}}','system',-1,0,0,0,2,5,0,1,8,44,373,379,0,0,0,0,0,'und',0),('management',381,373,'admin/config/media/flexslider/import','admin/config/media/flexslider/import','Import','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,373,381,0,0,0,0,0,'und',0),('management',382,373,'admin/config/media/flexslider/list','admin/config/media/flexslider/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,44,373,382,0,0,0,0,0,'und',0),('management',383,382,'admin/config/media/flexslider/list/%/edit','admin/config/media/flexslider/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,44,373,382,383,0,0,0,0,'und',0),('management',384,382,'admin/config/media/flexslider/list/%/export','admin/config/media/flexslider/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,373,382,384,0,0,0,0,'und',0),('management',385,20,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,1,20,385,0,0,0,0,0,0,0,'und',0),('management',386,18,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,18,386,0,0,0,0,0,0,0,'und',0),('management',387,161,'admin/help/lang_dropdown','admin/help/lang_dropdown','lang_dropdown','a:0:{}','system',-1,0,0,0,0,3,0,1,161,387,0,0,0,0,0,0,0,'und',0),('management',388,161,'admin/help/lang_dropdown_hideout','admin/help/lang_dropdown_hideout','lang_dropdown_hideout','a:0:{}','system',-1,0,0,0,0,3,0,1,161,388,0,0,0,0,0,0,0,'und',0),('management',389,161,'admin/help/languageicons','admin/help/languageicons','languageicons','a:0:{}','system',-1,0,0,0,0,3,0,1,161,389,0,0,0,0,0,0,0,'und',0),('management',390,161,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,161,390,0,0,0,0,0,0,0,'und',0),('management',391,161,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,1,161,391,0,0,0,0,0,0,0,'und',0),('management',392,161,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,1,161,392,0,0,0,0,0,0,0,'und',0),('management',393,385,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,1,20,385,393,0,0,0,0,0,0,'und',0),('management',394,385,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,1,20,385,394,0,0,0,0,0,0,'und',0),('management',395,385,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,385,395,0,0,0,0,0,0,'und',0),('management',396,49,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,8,49,396,0,0,0,0,0,0,'und',0),('management',397,385,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,385,397,0,0,0,0,0,0,'und',0),('management',398,40,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,40,398,0,0,0,0,0,0,'und',0),('management',399,385,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,20,385,399,0,0,0,0,0,0,'und',0),('management',400,49,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,8,49,400,0,0,0,0,0,0,'und',0),('management',401,40,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,18,40,401,0,0,0,0,0,0,'und',0),('management',402,396,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,8,49,396,402,0,0,0,0,0,'und',0),('management',403,399,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,1,20,385,399,403,0,0,0,0,0,'und',0),('management',404,399,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,399,404,0,0,0,0,0,'und',0),('management',405,396,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,396,405,0,0,0,0,0,'und',0),('management',406,400,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,8,49,400,406,0,0,0,0,0,'und',0),('management',407,396,'admin/config/regional/language/icons','admin/config/regional/language/icons','Icons','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,396,407,0,0,0,0,0,'und',0),('management',408,400,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,8,49,400,408,0,0,0,0,0,'und',0),('management',409,396,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,396,409,0,0,0,0,0,'und',0),('management',410,71,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,8,49,71,410,0,0,0,0,0,'und',0),('management',411,400,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,400,411,0,0,0,0,0,'und',0),('management',412,400,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,400,412,0,0,0,0,0,'und',0),('management',413,385,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,385,413,0,0,0,0,0,0,'und',0),('management',414,413,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,414,0,0,0,0,0,'und',0),('management',415,396,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,396,415,0,0,0,0,0,'und',0),('management',416,400,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,400,416,0,0,0,0,0,'und',0),('management',417,396,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,396,417,0,0,0,0,0,'und',0),('management',418,400,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,400,418,0,0,0,0,0,'und',0),('management',419,413,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,385,413,419,0,0,0,0,0,'und',0),('management',420,405,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,396,405,420,0,0,0,0,'und',0),('management',421,405,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,396,405,421,0,0,0,0,'und',0),('management',422,413,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,422,0,0,0,0,0,'und',0),('management',423,413,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,423,0,0,0,0,0,'und',0),('management',424,413,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,424,0,0,0,0,0,'und',0),('management',425,413,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,425,0,0,0,0,0,'und',0),('management',426,410,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,8,49,71,410,426,0,0,0,0,'und',0),('management',427,413,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,1,20,385,413,427,0,0,0,0,0,'und',0),('management',428,385,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,385,428,0,0,0,0,0,0,'und',0),('management',429,385,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,385,429,0,0,0,0,0,0,'und',0),('management',430,410,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,8,49,71,410,430,0,0,0,0,'und',0),('navigation',431,0,'contact','contact','Contact','a:0:{}','system',1,0,0,0,0,1,0,431,0,0,0,0,0,0,0,0,0,'und',0),('navigation',432,0,'forum','forum','Forums','a:0:{}','system',0,0,1,0,0,1,0,432,0,0,0,0,0,0,0,0,0,'und',0),('navigation',433,432,'forum/%','forum/%','Forums','a:0:{}','system',0,0,0,0,0,2,0,432,433,0,0,0,0,0,0,0,0,'und',0),('navigation',434,16,'user/%/contact','user/%/contact','Contact','a:0:{}','system',-1,0,0,0,2,2,0,16,434,0,0,0,0,0,0,0,0,'und',0),('management',435,20,'admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:71:\"Create a system contact form and set up categories for the form to use.\";}}','system',0,0,1,0,0,3,0,1,20,435,0,0,0,0,0,0,0,'und',0),('navigation',436,6,'node/add/forum','node/add/forum','Forum topic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";}}','system',0,0,0,0,0,2,0,6,436,0,0,0,0,0,0,0,0,'und',0),('management',437,20,'admin/structure/forum','admin/structure/forum','Forums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Control forum hierarchy settings.\";}}','system',0,0,1,0,0,3,0,1,20,437,0,0,0,0,0,0,0,'und',0),('management',438,20,'admin/structure/panels','admin/structure/panels','Panels','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Get a bird\'s eye view of items related to Panels.\";}}','system',0,0,0,0,0,3,0,1,20,438,0,0,0,0,0,0,0,'und',0),('navigation',439,5,'node/%/translate','node/%/translate','Translate','a:0:{}','system',-1,0,0,0,2,2,0,5,439,0,0,0,0,0,0,0,0,'und',0),('management',440,161,'admin/help/contact','admin/help/contact','contact','a:0:{}','system',-1,0,0,0,0,3,0,1,161,440,0,0,0,0,0,0,0,'und',0),('management',441,161,'admin/help/forum','admin/help/forum','forum','a:0:{}','system',-1,0,0,0,0,3,0,1,161,441,0,0,0,0,0,0,0,'und',0),('management',442,161,'admin/help/i18n','admin/help/i18n','i18n','a:0:{}','system',-1,0,0,0,0,3,0,1,161,442,0,0,0,0,0,0,0,'und',0),('management',443,161,'admin/help/i18n_block','admin/help/i18n_block','i18n_block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,443,0,0,0,0,0,0,0,'und',0),('management',444,161,'admin/help/i18n_forum','admin/help/i18n_forum','i18n_forum','a:0:{}','system',-1,0,0,0,0,3,0,1,161,444,0,0,0,0,0,0,0,'und',0),('management',445,161,'admin/help/i18n_menu','admin/help/i18n_menu','i18n_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,445,0,0,0,0,0,0,0,'und',0),('management',446,161,'admin/help/i18n_node','admin/help/i18n_node','i18n_node','a:0:{}','system',-1,0,0,0,0,3,0,1,161,446,0,0,0,0,0,0,0,'und',0),('management',447,161,'admin/help/i18n_redirect','admin/help/i18n_redirect','i18n_redirect','a:0:{}','system',-1,0,0,0,0,3,0,1,161,447,0,0,0,0,0,0,0,'und',0),('management',448,161,'admin/help/i18n_string','admin/help/i18n_string','i18n_string','a:0:{}','system',-1,0,0,0,0,3,0,1,161,448,0,0,0,0,0,0,0,'und',0),('management',449,161,'admin/help/i18n_sync','admin/help/i18n_sync','i18n_sync','a:0:{}','system',-1,0,0,0,0,3,0,1,161,449,0,0,0,0,0,0,0,'und',0),('management',450,161,'admin/help/i18n_taxonomy','admin/help/i18n_taxonomy','i18n_taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,161,450,0,0,0,0,0,0,0,'und',0),('management',451,161,'admin/help/translation','admin/help/translation','translation','a:0:{}','system',-1,0,0,0,0,3,0,1,161,451,0,0,0,0,0,0,0,'und',0),('management',452,435,'admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system',-1,0,0,0,1,4,0,1,20,435,452,0,0,0,0,0,0,'und',0),('management',453,438,'admin/structure/panels/dashboard','admin/structure/panels/dashboard','Dashboard','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,438,453,0,0,0,0,0,0,'und',0),('management',455,437,'admin/structure/forum/list','admin/structure/forum/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,437,455,0,0,0,0,0,0,'und',0),('management',456,49,'admin/config/regional/i18n','admin/config/regional/i18n','Multilingual settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"Configure extended options for multilingual content and translations.\";}}','system',0,0,0,0,10,4,0,1,8,49,456,0,0,0,0,0,0,'und',0),('management',457,438,'admin/structure/panels/settings','admin/structure/panels/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,20,438,457,0,0,0,0,0,0,'und',0),('navigation',458,162,'taxonomy/term/%/translate','taxonomy/term/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,2,0,162,458,0,0,0,0,0,0,0,0,'und',0),('management',459,49,'admin/config/regional/i18n_translation','admin/config/regional/i18n_translation','Translation sets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Translation sets overview.\";}}','system',0,0,0,0,10,4,0,1,8,49,459,0,0,0,0,0,0,'und',0),('management',460,437,'admin/structure/forum/settings','admin/structure/forum/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,437,460,0,0,0,0,0,0,'und',0),('management',462,435,'admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system',0,0,0,0,0,4,0,1,20,435,462,0,0,0,0,0,0,'und',0),('management',463,435,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system',0,0,0,0,0,4,0,1,20,435,463,0,0,0,0,0,0,'und',0),('management',464,457,'admin/structure/panels/settings/general','admin/structure/panels/settings/general','General','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,438,457,464,0,0,0,0,0,'und',0),('management',467,456,'admin/config/regional/i18n/configure','admin/config/regional/i18n/configure','Multilingual system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"Configure extended options for multilingual content and translations.\";}}','system',-1,0,0,0,0,5,0,1,8,49,456,467,0,0,0,0,0,'und',0),('management',468,456,'admin/config/regional/i18n/node','admin/config/regional/i18n/node','Node options','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"Configure extended options for multilingual content and translations.\";}}','system',-1,0,0,0,10,5,0,1,8,49,456,468,0,0,0,0,0,'und',0),('management',469,457,'admin/structure/panels/settings/panel-page','admin/structure/panels/settings/panel-page','Panel pages','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,438,457,469,0,0,0,0,0,'und',0),('management',470,459,'admin/config/regional/i18n_translation/path','admin/config/regional/i18n_translation/path','Paths','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Path translation.\";}}','system',-1,0,0,0,10,5,0,1,8,49,459,470,0,0,0,0,0,'und',0),('management',471,456,'admin/config/regional/i18n/select','admin/config/regional/i18n/select','Selection','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"Configure extended options for multilingual content and translations.\";}}','system',-1,0,0,0,0,5,0,1,8,49,456,471,0,0,0,0,0,'und',0),('management',472,456,'admin/config/regional/i18n/strings','admin/config/regional/i18n/strings','Strings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Options for user defined strings.\";}}','system',-1,0,0,0,20,5,0,1,8,49,456,472,0,0,0,0,0,'und',0),('management',473,400,'admin/config/regional/translate/i18n_string','admin/config/regional/translate/i18n_string','Strings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Refresh user defined strings.\";}}','system',-1,0,0,0,20,5,0,1,8,49,400,473,0,0,0,0,0,'und',0),('management',474,197,'admin/structure/taxonomy/%/translate','admin/structure/taxonomy/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,20,165,197,474,0,0,0,0,0,'und',0),('management',475,45,'admin/structure/menu/manage/translation','admin/structure/menu/manage/translation','Translation sets','a:0:{}','system',-1,0,0,0,10,4,0,1,20,45,475,0,0,0,0,0,0,'und',0),('management',476,459,'admin/config/regional/i18n_translation/configure','admin/config/regional/i18n_translation/configure','Translation sets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of existing translation sets.\";}}','system',-1,0,0,0,0,5,0,1,8,49,459,476,0,0,0,0,0,'und',0),('management',477,456,'admin/config/regional/i18n/variable','admin/config/regional/i18n/variable','Variables','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Configure multilingual variables.\";}}','system',-1,0,0,0,0,5,0,1,8,49,456,477,0,0,0,0,0,'und',0),('management',478,437,'admin/structure/forum/add/container','admin/structure/forum/add/container','Add container','a:0:{}','system',-1,0,0,0,0,4,0,1,20,437,478,0,0,0,0,0,0,'und',0),('management',479,437,'admin/structure/forum/add/forum','admin/structure/forum/add/forum','Add forum','a:0:{}','system',-1,0,0,0,0,4,0,1,20,437,479,0,0,0,0,0,0,'und',0),('management',480,475,'admin/structure/menu/manage/translation/add','admin/structure/menu/manage/translation/add','Add translation','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,475,480,0,0,0,0,0,'und',0),('management',481,463,'admin/structure/contact/edit/%/edit','admin/structure/contact/edit/%/edit','Edit','a:0:{}','system',-1,0,0,0,-100,5,0,1,20,435,463,481,0,0,0,0,0,'und',0),('management',482,437,'admin/structure/forum/edit/container/%','admin/structure/forum/edit/container/%','Edit container','a:0:{}','system',0,0,0,0,0,4,0,1,20,437,482,0,0,0,0,0,0,'und',0),('management',483,437,'admin/structure/forum/edit/forum/%','admin/structure/forum/edit/forum/%','Edit forum','a:0:{}','system',0,0,0,0,0,4,0,1,20,437,483,0,0,0,0,0,0,'und',0),('management',484,470,'admin/config/regional/i18n_translation/path/list','admin/config/regional/i18n_translation/path/list','Paths','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,49,459,470,484,0,0,0,0,'und',0),('management',485,209,'admin/structure/taxonomy/%/list/list','admin/structure/taxonomy/%/list/list','Terms','a:0:{}','system',-1,0,0,0,-20,6,0,1,20,165,197,209,485,0,0,0,0,'und',0),('management',486,463,'admin/structure/contact/edit/%/translate','admin/structure/contact/edit/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,20,435,463,486,0,0,0,0,0,'und',0),('management',487,104,'admin/structure/menu/manage/%/translate','admin/structure/menu/manage/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,20,45,104,487,0,0,0,0,0,'und',0),('management',488,45,'admin/structure/menu/item/%/translate','admin/structure/menu/item/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,4,0,1,20,45,488,0,0,0,0,0,0,'und',0),('management',489,105,'admin/structure/types/manage/%/translate','admin/structure/types/manage/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,20,34,105,489,0,0,0,0,0,'und',0),('management',490,209,'admin/structure/taxonomy/%/list/sets','admin/structure/taxonomy/%/list/sets','Translation sets','a:0:{}','system',-1,0,0,0,0,6,0,1,20,165,197,209,490,0,0,0,0,'und',0),('management',491,470,'admin/config/regional/i18n_translation/path/add','admin/config/regional/i18n_translation/path/add','Add path translation','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,459,470,491,0,0,0,0,'und',0),('management',492,490,'admin/structure/taxonomy/%/list/sets/add','admin/structure/taxonomy/%/list/sets/add','Create new translation','a:0:{}','system',-1,0,0,0,0,7,0,1,20,165,197,209,490,492,0,0,0,'und',0),('management',493,470,'admin/config/regional/i18n_translation/path/delete/%','admin/config/regional/i18n_translation/path/delete/%','Delete path translation','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,459,470,493,0,0,0,0,'und',0),('management',494,470,'admin/config/regional/i18n_translation/path/edit/%','admin/config/regional/i18n_translation/path/edit/%','Edit path translation','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,459,470,494,0,0,0,0,'und',0),('management',495,126,'admin/structure/block/manage/%/%/translate','admin/structure/block/manage/%/%/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,20,28,126,495,0,0,0,0,0,'und',0),('management',502,161,'admin/help/jcarousel','admin/help/jcarousel','jcarousel','a:0:{}','system',-1,0,0,0,0,3,0,1,161,502,0,0,0,0,0,0,0,'und',0),('management',503,161,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,503,0,0,0,0,0,0,0,'und',0),('management',504,37,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,1,8,37,504,0,0,0,0,0,0,'und',0),('management',505,161,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,161,505,0,0,0,0,0,0,0,'und',0),('management',506,54,'admin/config/system/variable','admin/config/system/variable','Variables','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Variable settings for mixed modules.\";}}','system',0,0,1,0,0,4,0,1,8,54,506,0,0,0,0,0,0,'und',0),('management',507,506,'admin/config/system/variable/group','admin/config/system/variable/group','Groups','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Variables per group.\";}}','system',-1,0,0,0,0,5,0,1,8,54,506,507,0,0,0,0,0,'und',0),('management',508,506,'admin/config/system/variable/module','admin/config/system/variable/module','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Variables per module.\";}}','system',-1,0,0,0,0,5,0,1,8,54,506,508,0,0,0,0,0,'und',0),('management',509,506,'admin/config/system/variable/realm','admin/config/system/variable/realm','Realms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Configure realms.\";}}','system',-1,0,1,0,0,5,0,1,8,54,506,509,0,0,0,0,0,'und',0),('management',510,506,'admin/config/system/variable/edit/%','admin/config/system/variable/edit/%','Edit variable','a:0:{}','system',0,0,0,0,0,5,0,1,8,54,506,510,0,0,0,0,0,'und',0),('management',511,509,'admin/config/system/variable/realm/overview','admin/config/system/variable/realm/overview','Overview','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Configure realms.\";}}','system',-1,0,0,0,-10,6,0,1,8,54,506,509,511,0,0,0,0,'und',0),('management',514,509,'admin/config/system/variable/realm/global','admin/config/system/variable/realm/global','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure realm variables.\";}}','system',-1,0,0,0,0,6,0,1,8,54,506,509,514,0,0,0,0,'und',0),('management',515,509,'admin/config/system/variable/realm/language','admin/config/system/variable/realm/language','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure realm variables.\";}}','system',-1,0,0,0,1,6,0,1,8,54,506,509,515,0,0,0,0,'und',0),('management',516,509,'admin/config/system/variable/realm/%/configure','admin/config/system/variable/realm/%/configure','Configure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure realm variables.\";}}','system',0,0,0,0,0,6,0,1,8,54,506,509,516,0,0,0,0,'und',0),('management',517,509,'admin/config/system/variable/realm/%/edit','admin/config/system/variable/realm/%/edit','Edit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Edit realm variables.\";}}','system',0,0,0,0,0,6,0,1,8,54,506,509,517,0,0,0,0,'und',0),('management',520,102,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,102,520,0,0,0,0,0,'und',0),('management',527,20,'admin/structure/banners','admin/structure/banners','Banners','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,20,527,0,0,0,0,0,0,0,'und',0),('navigation',528,0,'banners/item/%/edit','banners/item/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,1,0,528,0,0,0,0,0,0,0,0,0,'und',0),('navigation',529,0,'banners/item/%/view','banners/item/%/view','View','a:0:{}','system',-1,0,0,0,0,1,0,529,0,0,0,0,0,0,0,0,0,'und',0),('management',530,527,'admin/structure/banners/%','admin/structure/banners/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,527,530,0,0,0,0,0,0,'und',0),('management',531,527,'admin/structure/banners/add','admin/structure/banners/add','Add banners block','a:0:{}','system',-1,0,0,0,0,4,0,1,20,527,531,0,0,0,0,0,0,'und',0),('management',532,527,'admin/structure/banners/list','admin/structure/banners/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,527,532,0,0,0,0,0,0,'und',0),('management',533,530,'admin/structure/banners/%/add','admin/structure/banners/%/add','Add item','a:0:{}','system',-1,0,0,0,0,5,0,1,20,527,530,533,0,0,0,0,0,'und',0),('management',534,530,'admin/structure/banners/%/edit','admin/structure/banners/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,527,530,534,0,0,0,0,0,'und',0),('management',535,530,'admin/structure/banners/%/list','admin/structure/banners/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,20,527,530,535,0,0,0,0,0,'und',0),('main-menu',547,0,'node/40','node/%','About','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,547,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',548,0,'courses','courses','Courses','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,548,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',549,0,'news','news','News','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,549,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',550,0,'events','events','Events','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-45,1,1,550,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',551,0,'list-student','list-student','Students','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-44,1,1,551,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',552,0,'node/3','node/%','Pages','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,1,0,-43,1,1,552,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',553,0,'node/46','node/%','Contact','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-42,1,1,553,0,0,0,0,0,0,0,0,0,'und',0),('navigation',555,6,'node/add/events','node/add/events','Events','a:0:{}','system',0,0,0,0,0,2,0,6,555,0,0,0,0,0,0,0,0,'und',0),('management',556,8,'admin/config/date','admin/config/date','Date API','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Settings for modules the use the Date API.\";}}','system',0,0,1,0,-10,3,0,1,8,556,0,0,0,0,0,0,0,'und',0),('management',557,161,'admin/help/date','admin/help/date','date','a:0:{}','system',-1,0,0,0,0,3,0,1,161,557,0,0,0,0,0,0,0,'und',0),('management',558,161,'admin/help/date_tools','admin/help/date_tools','date_tools','a:0:{}','system',-1,0,0,0,0,3,0,1,161,558,0,0,0,0,0,0,0,'und',0),('management',559,556,'admin/config/date/date_popup','admin/config/date/date_popup','Date Popup','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Configure the Date Popup settings.\";}}','system',0,0,0,0,0,4,0,1,8,556,559,0,0,0,0,0,0,'und',0),('management',560,556,'admin/config/date/tools','admin/config/date/tools','Date Tools','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"Date Wizard and other tools to manage and create dates and calendars. \";}}','system',0,0,0,0,0,4,0,1,8,556,560,0,0,0,0,0,0,'und',0),('management',561,560,'admin/config/date/tools/about','admin/config/date/tools/about','About','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"Date Wizard and other tools to manage and create dates and calendars. \";}}','system',-1,0,0,0,-5,5,0,1,8,556,560,561,0,0,0,0,0,'und',0),('management',562,71,'admin/config/regional/date-time/date-views','admin/config/regional/date-time/date-views','Date views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Configure settings for date views.\";}}','system',-1,0,0,0,0,5,0,1,8,49,71,562,0,0,0,0,0,'und',0),('management',563,560,'admin/config/date/tools/date_wizard','admin/config/date/tools/date_wizard','Date wizard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Easy creation of date content types and calendars. \";}}','system',-1,0,0,0,1,5,0,1,8,556,560,563,0,0,0,0,0,'und',0),('navigation',564,6,'node/add/news','node/add/news','News','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:4:\"News\";}}','system',0,0,0,0,0,2,0,6,564,0,0,0,0,0,0,0,0,'und',0),('navigation',565,6,'node/add/why-us','node/add/why-us','Why us','a:0:{}','system',0,0,0,0,0,2,0,6,565,0,0,0,0,0,0,0,0,'und',0),('navigation',566,6,'node/add/testimonials','node/add/testimonials','Testimonials','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Testimonials\";}}','system',0,0,0,0,0,2,0,6,566,0,0,0,0,0,0,0,0,'und',0),('management',567,45,'admin/structure/menu/manage/menu-footer-menu','admin/structure/menu/manage/%','Footer Menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,567,0,0,0,0,0,0,'und',0),('menu-footer-menu',568,0,'node/1','node/%','Research','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,568,0,0,0,0,0,0,0,0,0,'und',0),('menu-footer-menu',569,0,'node/48','node/%','Projects','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,569,0,0,0,0,0,0,0,0,0,'und',0),('menu-footer-menu',570,0,'node/49','node/%','Professors','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,570,0,0,0,0,0,0,0,0,0,'und',0),('menu-footer-menu',571,0,'node/50','node/%','Job Opportunities','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,571,0,0,0,0,0,0,0,0,0,'und',0),('menu-footer-menu',572,0,'node/51','node/%','University Ranking','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-46,1,1,572,0,0,0,0,0,0,0,0,0,'und',0),('menu-footer-menu',573,0,'node/52','node/%','Privacy Policy','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-45,1,1,573,0,0,0,0,0,0,0,0,0,'und',0),('navigation',574,0,'newsletter/edit/%','newsletter/edit/%','Edit newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,1,0,574,0,0,0,0,0,0,0,0,0,'und',0),('navigation',575,16,'user/%/newsletter','user/%/newsletter','Newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,2,0,16,575,0,0,0,0,0,0,0,0,'und',0),('management',576,44,'admin/config/media/newsletter','admin/config/media/newsletter','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Manage newsletters, subscribers, and settings.\";}}','system',0,0,0,0,0,4,0,1,8,44,576,0,0,0,0,0,0,'und',0),('management',577,576,'admin/config/media/newsletter/create-send','admin/config/media/newsletter/create-send','Create/Send','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Create custom static newsletters and send non-automated ones\";}}','system',-1,0,0,0,1,5,0,1,8,44,576,577,0,0,0,0,0,'und',0),('management',578,576,'admin/config/media/newsletter/lists','admin/config/media/newsletter/lists','Lists','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Find and manage newsletter lists.\";}}','system',-1,0,0,0,2,5,0,1,8,44,576,578,0,0,0,0,0,'und',0),('management',579,576,'admin/config/media/newsletter/configure','admin/config/media/newsletter/configure','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configure newsletter lists.\";}}','system',-1,0,0,0,5,5,0,1,8,44,576,579,0,0,0,0,0,'und',0),('management',580,576,'admin/config/media/newsletter/stats','admin/config/media/newsletter/stats','Statistics','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,576,580,0,0,0,0,0,'und',0),('management',581,576,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter/subscribers','Subscribers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"List subscribers.\";}}','system',-1,0,0,0,3,5,0,1,8,44,576,581,0,0,0,0,0,'und',0),('management',582,576,'admin/config/media/newsletter/templates','admin/config/media/newsletter/templates','Templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer newsletter templates.\";}}','system',-1,0,0,0,4,5,0,1,8,44,576,582,0,0,0,0,0,'und',0),('management',583,576,'admin/config/media/newsletter/archive','admin/config/media/newsletter/archive','Issue archive','a:0:{}','system',-1,0,0,0,1,5,0,1,8,44,576,583,0,0,0,0,0,'und',0),('management',584,578,'admin/config/media/newsletter/lists/add','admin/config/media/newsletter/lists/add','Add new list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new newsletter list.\";}}','system',-1,0,0,0,0,6,0,1,8,44,576,578,584,0,0,0,0,'und',0),('management',585,581,'admin/config/media/newsletter/subscribers/add','admin/config/media/newsletter/subscribers/add','Add new subscriber','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new list subscriber.\";}}','system',-1,0,0,0,0,6,0,1,8,44,576,581,585,0,0,0,0,'und',0),('management',586,581,'admin/config/media/newsletter/subscribers/add-mass','admin/config/media/newsletter/subscribers/add-mass','Add subscribers (Mass)','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Add subscribers.\";}}','system',-1,0,0,0,0,6,0,1,8,44,576,581,586,0,0,0,0,'und',0),('management',587,582,'admin/config/media/newsletter/templates/confirmation','admin/config/media/newsletter/templates/confirmation','Confirmation','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Edit confirmation template.\";}}','system',-1,0,0,0,-9,6,0,1,8,44,576,582,587,0,0,0,0,'und',0),('management',588,577,'admin/config/media/newsletter/create-send/new','admin/config/media/newsletter/create-send/new','Create and send a custom newsletter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Create a custom static newsletter\";}}','system',-1,0,0,0,0,6,0,1,8,44,576,577,588,0,0,0,0,'und',0),('management',589,580,'admin/config/media/newsletter/stats/general','admin/config/media/newsletter/stats/general','General','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Watch general statistics.\";}}','system',-1,0,0,0,0,6,0,1,8,44,576,580,589,0,0,0,0,'und',0),('management',590,580,'admin/config/media/newsletter/stats/graphic','admin/config/media/newsletter/stats/graphic','Graphic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Watch advanced JQuery statistics.\";}}','system',-1,0,0,0,1,6,0,1,8,44,576,580,590,0,0,0,0,'und',0),('management',591,582,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter/templates/mail','Mail templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,-10,6,0,1,8,44,576,582,591,0,0,0,0,'und',0),('management',596,582,'admin/config/media/newsletter/templates/unsubscribe','admin/config/media/newsletter/templates/unsubscribe','Unsubscribe','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Edit unsubscribe template.\";}}','system',-1,0,0,0,-7,6,0,1,8,44,576,582,596,0,0,0,0,'und',0),('management',597,582,'admin/config/media/newsletter/templates/welcome','admin/config/media/newsletter/templates/welcome','Welcome','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Edit welcome template.\";}}','system',-1,0,0,0,-8,6,0,1,8,44,576,582,597,0,0,0,0,'und',0),('management',598,591,'admin/config/media/newsletter/templates/mail/add','admin/config/media/newsletter/templates/mail/add','Add new mail template','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,0,7,0,1,8,44,576,582,591,598,0,0,0,'und',0),('navigation',613,6,'node/add/slideshow','node/add/slideshow','Slideshow','a:0:{}','system',0,0,0,0,0,2,0,6,613,0,0,0,0,0,0,0,0,'und',0),('navigation',614,5,'node/%/webform-results','node/%/webform-results','Results','a:0:{}','system',-1,0,0,0,2,2,0,5,614,0,0,0,0,0,0,0,0,'und',0),('navigation',615,6,'node/add/webform','node/add/webform','Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:138:\"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.\";}}','system',0,0,0,0,0,2,0,6,615,0,0,0,0,0,0,0,0,'und',0),('navigation',616,5,'node/%/webform','node/%/webform','Webform','a:0:{}','system',-1,0,0,0,1,2,0,5,616,0,0,0,0,0,0,0,0,'und',0),('management',617,9,'admin/content/webform','admin/content/webform','Webforms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"View and edit all the available webforms on your site.\";}}','system',-1,0,0,0,0,3,0,1,9,617,0,0,0,0,0,0,0,'und',0),('management',618,161,'admin/help/webform','admin/help/webform','webform','a:0:{}','system',-1,0,0,0,0,3,0,1,161,618,0,0,0,0,0,0,0,'und',0),('navigation',619,614,'node/%/webform-results/analysis','node/%/webform-results/analysis','Analysis','a:0:{}','system',-1,0,0,0,5,3,0,5,614,619,0,0,0,0,0,0,0,'und',0),('navigation',620,614,'node/%/webform-results/clear','node/%/webform-results/clear','Clear','a:0:{}','system',-1,0,0,0,8,3,0,5,614,620,0,0,0,0,0,0,0,'und',0),('navigation',621,616,'node/%/webform/conditionals','node/%/webform/conditionals','Conditionals','a:0:{}','system',-1,0,0,0,1,3,0,5,616,621,0,0,0,0,0,0,0,'und',0),('navigation',622,614,'node/%/webform-results/download','node/%/webform-results/download','Download','a:0:{}','system',-1,0,0,0,7,3,0,5,614,622,0,0,0,0,0,0,0,'und',0),('navigation',623,616,'node/%/webform/emails','node/%/webform/emails','E-mails','a:0:{}','system',-1,0,0,0,4,3,0,5,616,623,0,0,0,0,0,0,0,'und',0),('navigation',624,616,'node/%/webform/components','node/%/webform/components','Form components','a:0:{}','system',-1,0,0,0,0,3,0,5,616,624,0,0,0,0,0,0,0,'und',0),('navigation',625,616,'node/%/webform/configure','node/%/webform/configure','Form settings','a:0:{}','system',-1,0,0,0,5,3,0,5,616,625,0,0,0,0,0,0,0,'und',0),('navigation',626,614,'node/%/webform-results/submissions','node/%/webform-results/submissions','Submissions','a:0:{}','system',-1,0,0,0,4,3,0,5,614,626,0,0,0,0,0,0,0,'und',0),('navigation',627,614,'node/%/webform-results/table','node/%/webform-results/table','Table','a:0:{}','system',-1,0,0,0,6,3,0,5,614,627,0,0,0,0,0,0,0,'und',0),('management',628,33,'admin/config/content/webform','admin/config/content/webform','Webform settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Global configuration of webform functionality.\";}}','system',0,0,0,0,0,4,0,1,8,33,628,0,0,0,0,0,0,'und',0),('navigation',629,624,'node/%/webform/components/%','node/%/webform/components/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,616,624,629,0,0,0,0,0,0,'und',0),('navigation',630,619,'node/%/webform-results/analysis/%','node/%/webform-results/analysis/%','Analysis','a:0:{}','system',-1,0,0,0,0,4,0,5,614,619,630,0,0,0,0,0,0,'und',0),('navigation',631,5,'node/%/submission/%/delete','node/%/submission/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,5,631,0,0,0,0,0,0,0,0,'und',0),('navigation',632,5,'node/%/submission/%/edit','node/%/submission/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,2,0,5,632,0,0,0,0,0,0,0,0,'und',0),('navigation',633,5,'node/%/submission/%/view','node/%/submission/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,5,633,0,0,0,0,0,0,0,0,'und',0),('navigation',634,630,'node/%/webform-results/analysis/%/more','node/%/webform-results/analysis/%/more','In-depth analysis','a:0:{}','system',-1,0,0,0,0,5,0,5,614,619,630,634,0,0,0,0,0,'und',0),('navigation',635,629,'node/%/webform/components/%/delete','node/%/webform/components/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,616,624,629,635,0,0,0,0,0,'und',0),('navigation',636,629,'node/%/webform/components/%/clone','node/%/webform/components/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,616,624,629,636,0,0,0,0,0,'und',0),('navigation',637,0,'book','book','Books','a:0:{}','system',1,0,0,0,0,1,0,637,0,0,0,0,0,0,0,0,0,'und',0),('navigation',638,0,'print/print','print/print','','a:0:{}','system',0,0,0,0,0,1,0,638,0,0,0,0,0,0,0,0,0,'und',0),('navigation',639,0,'printpdf/printpdf','printpdf/printpdf','','a:0:{}','system',0,0,0,0,0,1,0,639,0,0,0,0,0,0,0,0,0,'und',0),('management',640,1,'admin/quiz','admin/quiz','@quiz','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:65:\"View results, score answers, run reports and edit configurations.\";}}','system',0,0,1,0,0,2,0,1,640,0,0,0,0,0,0,0,0,'und',0),('management',641,1,'admin/course','admin/course','Course','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Configure courses.\";}}','system',0,0,1,0,0,2,0,1,641,0,0,0,0,0,0,0,0,'und',0),('management',642,640,'admin/quiz/settings','admin/quiz/settings','@quiz settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Change settings for the all Quiz project modules.\";}}','system',0,0,1,0,0,3,0,1,640,642,0,0,0,0,0,0,0,'und',0),('management',643,641,'admin/course/appearance','admin/course/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:128:\"Configure the course appearance, including outline style, disabling regions, and <em>enroll</em> and <em>take course</em> links.\";}}','system',0,0,1,0,0,3,0,1,641,643,0,0,0,0,0,0,0,'und',0),('navigation',644,6,'node/add/book','node/add/book','Book page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:87:\"<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.\";}}','system',0,0,0,0,0,2,0,6,644,0,0,0,0,0,0,0,0,'und',0),('management',645,9,'admin/content/book','admin/content/book','Books','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Manage your site\'s book outlines.\";}}','system',-1,0,0,0,0,3,0,1,9,645,0,0,0,0,0,0,0,'und',0),('navigation',646,6,'node/add/certificate','node/add/certificate','Certificate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:123:\"A tokenized certificate template that will be converted to a PDF and displayed to users who complete accredited activities.\";}}','system',0,0,0,0,0,2,0,6,646,0,0,0,0,0,0,0,0,'und',0),('navigation',647,5,'node/%/certificate','node/%/certificate','Certificate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Display earned certificate for this node\";}}','system',-1,0,0,0,0,2,0,5,647,0,0,0,0,0,0,0,0,'und',0),('management',648,20,'admin/structure/certificates','admin/structure/certificates','Certificates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Manage certificates and mappings.\";}}','system',0,0,0,0,0,3,0,1,20,648,0,0,0,0,0,0,0,'und',0),('navigation',649,6,'node/add/course','node/add/course','Course','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"A <em>course</em> containing Drupal learning objects.\";}}','system',0,0,0,0,0,2,0,6,649,0,0,0,0,0,0,0,0,'und',0),('navigation',650,5,'node/%/course-outline','node/%/course-outline','Course outline','a:0:{}','system',-1,0,0,0,0,2,0,5,650,0,0,0,0,0,0,0,0,'und',0),('management',651,18,'admin/reports/course','admin/reports/course','Course reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"View and download course information.\";}}','system',0,0,1,0,0,3,0,1,18,651,0,0,0,0,0,0,0,'und',0),('management',652,641,'admin/course/enrollment-types','admin/course/enrollment-types','Enrollment types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Manage Enrollment types.\";}}','system',0,0,1,0,0,3,0,1,641,652,0,0,0,0,0,0,0,'und',0),('management',653,641,'admin/course/enrollment','admin/course/enrollment','Enrollments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Configure enrollments.\";}}','system',0,0,1,0,0,3,0,1,641,653,0,0,0,0,0,0,0,'und',0),('navigation',654,5,'node/%/questions','node/%/questions','Manage questions','a:0:{}','system',-1,0,0,0,2,2,0,5,654,0,0,0,0,0,0,0,0,'und',0),('navigation',655,16,'user/%/myresults','user/%/myresults','My results','a:0:{}','system',-1,0,0,0,0,2,0,16,655,0,0,0,0,0,0,0,0,'und',0),('navigation',656,5,'node/%/myresults','node/%/myresults','My results','a:0:{}','system',-1,0,0,0,3,2,0,5,656,0,0,0,0,0,0,0,0,'und',0),('management',657,641,'admin/course/object','admin/course/object','Objects','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure course objects.\";}}','system',0,0,1,0,0,3,0,1,641,657,0,0,0,0,0,0,0,'und',0),('navigation',658,5,'node/%/outline','node/%/outline','Outline','a:0:{}','system',-1,0,1,0,2,2,0,5,658,0,0,0,0,0,0,0,0,'und',0),('management',659,641,'admin/course/overview','admin/course/overview','Overview','a:0:{}','system',-1,0,0,0,-10,3,0,1,641,659,0,0,0,0,0,0,0,'und',0),('navigation',660,6,'node/add/quiz','node/add/quiz','Quiz','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Create interactive quizzes for site visitors\";}}','system',0,0,0,0,0,2,0,6,660,0,0,0,0,0,0,0,0,'und',0),('management',661,640,'admin/quiz/reports','admin/quiz/reports','Quiz reports and scoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"View reports and score answers.\";}}','system',0,0,1,0,0,3,0,1,640,661,0,0,0,0,0,0,0,'und',0),('management',662,641,'admin/course/report','admin/course/report','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configure course reporting.\";}}','system',0,0,1,0,0,3,0,1,641,662,0,0,0,0,0,0,0,'und',0),('navigation',663,5,'node/%/results','node/%/results','Results','a:0:{}','system',-1,0,0,0,3,2,0,5,663,0,0,0,0,0,0,0,0,'und',0),('navigation',664,5,'node/%/take','node/%/take','Take','a:0:{}','system',-1,0,0,0,0,2,0,5,664,0,0,0,0,0,0,0,0,'und',0),('navigation',665,5,'node/%/takecourse','node/%/takecourse','Take course','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Take course.\";}}','system',-1,0,0,0,0,2,0,5,665,0,0,0,0,0,0,0,0,'und',0),('management',666,161,'admin/help/book','admin/help/book','book','a:0:{}','system',-1,0,0,0,0,3,0,1,161,666,0,0,0,0,0,0,0,'und',0),('management',667,161,'admin/help/print','admin/help/print','print','a:0:{}','system',-1,0,0,0,0,3,0,1,161,667,0,0,0,0,0,0,0,'und',0),('management',668,161,'admin/help/quiz','admin/help/quiz','quiz','a:0:{}','system',-1,0,0,0,0,3,0,1,161,668,0,0,0,0,0,0,0,'und',0),('navigation',669,5,'node/%/course-enrollments','node/%/course-enrollments','Enrollments','a:0:{}','system',-1,0,0,0,0,2,0,5,669,0,0,0,0,0,0,0,0,'und',0),('navigation',670,5,'node/%/course-reports','node/%/course-reports','Course reports','a:0:{}','system',-1,0,0,0,1,2,0,5,670,0,0,0,0,0,0,0,0,'und',0),('main-menu',671,0,'user/%/courses','user/%/courses','Courses','a:0:{}','system',-1,0,0,0,0,1,0,671,0,0,0,0,0,0,0,0,0,'und',0),('navigation',672,0,'course/autocomplete/node/%','course/autocomplete/node/%','','a:0:{}','system',0,0,0,0,0,1,0,672,0,0,0,0,0,0,0,0,0,'und',0),('management',673,652,'admin/course/enrollment-types/import','admin/course/enrollment-types/import','','a:0:{}','system',-1,0,0,0,0,4,0,1,641,652,673,0,0,0,0,0,0,'und',0),('management',674,642,'admin/quiz/settings/config','admin/quiz/settings/config','@quiz configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure the Quiz module.\";}}','system',0,0,0,0,0,4,0,1,640,642,674,0,0,0,0,0,0,'und',0),('management',675,642,'admin/quiz/settings/quiz_form','admin/quiz/settings/quiz_form','@quiz form configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Configure default values for the quiz creation form.\";}}','system',0,0,0,0,0,4,0,1,640,642,675,0,0,0,0,0,0,'und',0),('management',676,652,'admin/course/enrollment-types/add','admin/course/enrollment-types/add','','a:0:{}','system',-1,0,0,0,0,4,0,1,641,652,676,0,0,0,0,0,0,'und',0),('management',677,661,'admin/quiz/reports/results','admin/quiz/reports/results','@quiz results','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:13:\"View results.\";}}','system',0,0,0,0,0,4,0,1,640,661,677,0,0,0,0,0,0,'und',0),('management',678,648,'admin/structure/certificates/clear','admin/structure/certificates/clear','Clear','a:0:{}','system',-1,0,0,0,99,4,0,1,20,648,678,0,0,0,0,0,0,'und',0),('navigation',679,5,'node/%/course-object/%','node/%/course-object/%','Course object router','a:0:{}','system',0,0,1,0,2,2,0,5,679,0,0,0,0,0,0,0,0,'und',0),('navigation',680,670,'node/%/course-reports/objects','node/%/course-reports/objects','Course objects','a:0:{}','system',-1,0,0,0,0,3,0,5,670,680,0,0,0,0,0,0,0,'und',0),('management',681,645,'admin/content/book/list','admin/content/book/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,9,645,681,0,0,0,0,0,0,'und',0),('management',682,648,'admin/structure/certificates/templates','admin/structure/certificates/templates','List','a:0:{}','system',-1,0,0,0,-5,4,0,1,20,648,682,0,0,0,0,0,0,'und',0),('management',683,652,'admin/course/enrollment-types/list','admin/course/enrollment-types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,641,652,683,0,0,0,0,0,0,'und',0),('management',688,648,'admin/structure/certificates/mapping','admin/structure/certificates/mapping','Mapping','a:0:{}','system',-1,0,0,0,-4,4,0,1,20,648,688,0,0,0,0,0,0,'und',0),('management',689,58,'admin/config/user-interface/print','admin/config/user-interface/print','Printer, email and PDF versions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:73:\"Adds a printer-friendly version link to content and administrative pages.\";}}','system',0,0,0,0,0,4,0,1,8,58,689,0,0,0,0,0,0,'und',0),('navigation',690,658,'node/%/outline/remove','node/%/outline/remove','Remove from outline','a:0:{}','system',0,0,0,0,0,3,0,5,658,690,0,0,0,0,0,0,0,'und',0),('management',691,643,'admin/course/appearance/course_appearance','admin/course/appearance/course_appearance','Settings','a:0:{}','system',0,0,0,0,0,4,0,1,641,643,691,0,0,0,0,0,0,'und',0),('management',692,653,'admin/course/enrollment/course_enrollment','admin/course/enrollment/course_enrollment','Settings','a:0:{}','system',0,0,0,0,0,4,0,1,641,653,692,0,0,0,0,0,0,'und',0),('management',693,645,'admin/content/book/settings','admin/content/book/settings','Settings','a:0:{}','system',-1,0,0,0,8,4,0,1,9,645,693,0,0,0,0,0,0,'und',0),('management',694,657,'admin/course/object/course_object','admin/course/object/course_object','Settings','a:0:{}','system',0,0,0,0,0,4,0,1,641,657,694,0,0,0,0,0,0,'und',0),('management',695,662,'admin/course/report/course_report','admin/course/report/course_report','Settings','a:0:{}','system',0,0,0,0,0,4,0,1,641,662,695,0,0,0,0,0,0,'und',0),('management',696,648,'admin/structure/certificates/settings','admin/structure/certificates/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Certificate settings.\";}}','system',-1,0,0,0,0,4,0,1,20,648,696,0,0,0,0,0,0,'und',0),('management',697,54,'admin/config/system/uuid','admin/config/system/uuid','Universally unique identifiers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Configure universally unique identifiers.\";}}','system',0,0,0,0,0,4,0,1,8,54,697,0,0,0,0,0,0,'und',0),('management',698,651,'admin/reports/course/overview','admin/reports/course/overview','All courses','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"View and download course information.\";}}','system',0,0,0,0,0,4,0,1,18,651,698,0,0,0,0,0,0,'und',0),('navigation',699,669,'node/%/course-enrollments/search-add','node/%/course-enrollments/search-add','Search and Enroll','a:0:{}','system',-1,0,0,0,0,3,0,5,669,699,0,0,0,0,0,0,0,'und',0),('navigation',700,669,'node/%/course-enrollments/list','node/%/course-enrollments/list','List','a:0:{}','system',-1,0,0,0,0,3,0,5,669,700,0,0,0,0,0,0,0,'und',0),('navigation',701,670,'node/%/course-reports/overview','node/%/course-reports/overview','Overview','a:0:{}','system',-1,0,0,0,-1,3,0,5,670,701,0,0,0,0,0,0,0,'und',0),('main-menu',702,671,'user/%/courses/completed','user/%/courses/completed','Completed','a:0:{}','system',-1,0,0,0,0,2,0,671,702,0,0,0,0,0,0,0,0,'und',0),('main-menu',703,671,'user/%/courses/pending','user/%/courses/pending','In progress','a:0:{}','system',-1,0,0,0,0,2,0,671,703,0,0,0,0,0,0,0,0,'und',0),('management',706,688,'admin/structure/certificates/mapping/groups','admin/structure/certificates/mapping/groups','Field groups','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Set up certificate field groups\";}}','system',-1,0,0,0,0,5,0,1,20,648,688,706,0,0,0,0,0,'und',0),('management',707,688,'admin/structure/certificates/mapping/list','admin/structure/certificates/mapping/list','Global','a:0:{}','system',-1,0,0,0,-5,5,0,1,20,648,688,707,0,0,0,0,0,'und',0),('management',708,689,'admin/config/user-interface/print/pdf','admin/config/user-interface/print/pdf','PDF','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Configure the settings of the PDF generation functionality.\";}}','system',-1,0,0,0,3,5,0,1,8,58,689,708,0,0,0,0,0,'und',0),('management',709,689,'admin/config/user-interface/print/common','admin/config/user-interface/print/common','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"Settings for the common functionalities for all the print sub-modules.\";}}','system',-1,0,0,0,10,5,0,1,8,58,689,709,0,0,0,0,0,'und',0),('management',710,689,'admin/config/user-interface/print/html','admin/config/user-interface/print/html','Web page','a:0:{}','system',-1,0,0,0,1,5,0,1,8,58,689,710,0,0,0,0,0,'und',0),('management',711,698,'admin/reports/course/overview/list','admin/reports/course/overview/list','All courses','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"View or download a report of all courses.\";}}','system',-1,0,0,0,0,5,0,1,18,651,698,711,0,0,0,0,0,'und',0),('management',712,652,'admin/course/enrollment-types/manage/%','admin/course/enrollment-types/manage/%','Edit','a:0:{}','system',0,0,1,0,0,4,0,1,641,652,712,0,0,0,0,0,0,'und',0),('management',714,698,'admin/reports/course/overview/select','admin/reports/course/overview/select','Select','a:0:{}','system',-1,0,0,0,0,5,0,1,18,651,698,714,0,0,0,0,0,'und',0),('management',716,706,'admin/structure/certificates/mapping/groups/add','admin/structure/certificates/mapping/groups/add','Add field group','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Add a field group\";}}','system',-1,0,0,0,0,6,0,1,20,648,688,706,716,0,0,0,0,'und',0),('navigation',717,679,'node/%/course-object/%/%/options','node/%/course-object/%/%/options','Course object settings','a:0:{}','system',0,0,0,0,0,3,0,5,679,717,0,0,0,0,0,0,0,'und',0),('management',718,708,'admin/config/user-interface/print/pdf/options','admin/config/user-interface/print/pdf/options','Options','a:0:{}','system',-1,0,0,0,-1,6,0,1,8,58,689,708,718,0,0,0,0,'und',0),('management',719,712,'admin/course/enrollment-types/manage/%/%','admin/course/enrollment-types/manage/%/%','','a:0:{}','system',0,0,0,0,0,5,0,1,641,652,712,719,0,0,0,0,0,'und',0),('management',720,712,'admin/course/enrollment-types/manage/%/clone','admin/course/enrollment-types/manage/%/clone','Clone','a:0:{}','system',0,0,0,0,0,5,0,1,641,652,712,720,0,0,0,0,0,'und',0),('management',721,712,'admin/course/enrollment-types/manage/%/edit','admin/course/enrollment-types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,641,652,712,721,0,0,0,0,0,'und',0),('navigation',733,0,'poll','poll','Polls','a:0:{}','system',1,0,0,0,0,1,0,733,0,0,0,0,0,0,0,0,0,'und',0),('navigation',734,0,'cart','cart','Shopping cart','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"View/modify the contents of your shopping cart or proceed to checkout.\";}}','system',0,0,1,0,0,1,0,734,0,0,0,0,0,0,0,0,0,'und',0),('management',735,1,'admin/store','admin/store','Store','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Administer orders, products, customers, store settings, etc.\";}}','system',0,0,1,0,-12,2,0,1,735,0,0,0,0,0,0,0,0,'und',0),('navigation',736,0,'signup/edit/%','signup/edit/%','Edit signup','a:0:{}','system',-1,0,0,0,0,1,0,736,0,0,0,0,0,0,0,0,0,'und',0),('management',737,641,'admin/course/book','admin/course/book','Book','a:0:{}','system',-1,0,0,0,0,3,0,1,641,737,0,0,0,0,0,0,0,'und',0),('management',738,735,'admin/store/settings','admin/store/settings','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Adjust configuration settings for Ubercart.\";}}','system',0,0,1,0,6,3,0,1,735,738,0,0,0,0,0,0,0,'und',0),('management',739,735,'admin/store/customers','admin/store/customers','Customers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"View and search customer information.\";}}','system',0,0,1,0,-6,3,0,1,735,739,0,0,0,0,0,0,0,'und',0),('navigation',740,6,'node/add/poll','node/add/poll','Poll','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:191:\"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.\";}}','system',0,0,0,0,0,2,0,6,740,0,0,0,0,0,0,0,0,'und',0),('navigation',741,6,'node/add/product','node/add/product','Product','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:153:\"Use <em>products</em> to represent items for sale on the website, including all the unique information that can be attributed to a specific model number.\";}}','system',0,0,0,0,0,2,0,6,741,0,0,0,0,0,0,0,0,'und',0),('management',742,735,'admin/store/orders','admin/store/orders','Orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"View and process orders.\";}}','system',0,0,1,0,-10,3,0,1,735,742,0,0,0,0,0,0,0,'und',0),('management',743,735,'admin/store/products','admin/store/products','Products','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Administer products, classes, and more.\";}}','system',0,0,1,0,-2,3,0,1,735,743,0,0,0,0,0,0,0,'und',0),('management',744,735,'admin/store/reports','admin/store/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Browse various store reports.\";}}','system',0,0,0,0,2,3,0,1,735,744,0,0,0,0,0,0,0,'und',0),('navigation',745,5,'node/%/signups','node/%/signups','Signups','a:0:{}','system',-1,0,0,0,20,2,0,5,745,0,0,0,0,0,0,0,0,'und',0),('navigation',746,5,'node/%/votes','node/%/votes','Votes','a:0:{}','system',-1,0,0,0,3,2,0,5,746,0,0,0,0,0,0,0,0,'und',0),('management',747,17,'admin/people/signup','admin/people/signup','Signups','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:65:\"View all signup-enabled posts, and open or close signups on them.\";}}','system',-1,0,0,0,0,3,0,1,17,747,0,0,0,0,0,0,0,'und',0),('management',748,161,'admin/help/poll','admin/help/poll','poll','a:0:{}','system',-1,0,0,0,0,3,0,1,161,748,0,0,0,0,0,0,0,'und',0),('management',749,161,'admin/help/rules','admin/help/rules','rules','a:0:{}','system',-1,0,0,0,0,3,0,1,161,749,0,0,0,0,0,0,0,'und',0),('management',750,161,'admin/help/signup','admin/help/signup','signup','a:0:{}','system',-1,0,0,0,0,3,0,1,161,750,0,0,0,0,0,0,0,'und',0),('management',751,161,'admin/help/uc_order','admin/help/uc_order','uc_order','a:0:{}','system',-1,0,0,0,0,3,0,1,161,751,0,0,0,0,0,0,0,'und',0),('management',752,161,'admin/help/uc_store','admin/help/uc_store','uc_store','a:0:{}','system',-1,0,0,0,0,3,0,1,161,752,0,0,0,0,0,0,0,'und',0),('management',753,641,'admin/course/signup','admin/course/signup','Signup','a:0:{}','system',-1,0,0,0,0,3,0,1,641,753,0,0,0,0,0,0,0,'und',0),('navigation',754,745,'node/%/signups/add','node/%/signups/add','Add','a:0:{}','system',-1,0,0,0,5,3,0,5,745,754,0,0,0,0,0,0,0,'und',0),('navigation',755,745,'node/%/signups/admin','node/%/signups/admin','Administer','a:0:{}','system',-1,0,0,0,0,3,0,5,745,755,0,0,0,0,0,0,0,'und',0),('management',756,738,'admin/store/settings/cart','admin/store/settings/cart','Cart','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Configure the cart page display and settings.\";}}','system',0,0,0,0,0,4,0,1,735,738,756,0,0,0,0,0,0,'und',0),('management',757,738,'admin/store/settings/checkout','admin/store/settings/checkout','Checkout','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Configure the checkout page display and completion rules.\";}}','system',0,0,0,0,0,4,0,1,735,738,757,0,0,0,0,0,0,'und',0),('management',758,738,'admin/store/settings/countries','admin/store/settings/countries','Countries and addresses','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Manage available countries and configure address formats.\";}}','system',0,0,1,0,0,4,0,1,735,738,758,0,0,0,0,0,0,'und',0),('management',759,742,'admin/store/orders/create','admin/store/orders/create','Create order','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Create an empty new order.\";}}','system',0,0,1,0,-5,4,0,1,735,742,759,0,0,0,0,0,0,'und',0),('navigation',760,745,'node/%/signups/list','node/%/signups/list','List','a:0:{}','system',-1,0,0,0,-5,3,0,5,745,760,0,0,0,0,0,0,0,'und',0),('management',761,743,'admin/store/products/classes','admin/store/products/classes','Manage classes','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Create and edit product node types.\";}}','system',0,0,1,0,-2,4,0,1,735,743,761,0,0,0,0,0,0,'und',0),('management',762,738,'admin/store/settings/orders','admin/store/settings/orders','Orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure the display and workflow for orders.\";}}','system',0,0,0,0,0,4,0,1,735,738,762,0,0,0,0,0,0,'und',0),('navigation',763,39,'node/%/edit/product','node/%/edit/product','Product','a:0:{}','system',-1,0,0,0,-10,3,0,5,39,763,0,0,0,0,0,0,0,'und',0),('management',764,738,'admin/store/settings/products','admin/store/settings/products','Products','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configure product settings.\";}}','system',0,0,1,0,0,4,0,1,735,738,764,0,0,0,0,0,0,'und',0),('navigation',765,745,'node/%/signups/settings','node/%/signups/settings','Settings','a:0:{}','system',-1,0,0,0,1,3,0,5,745,765,0,0,0,0,0,0,0,'und',0),('navigation',766,745,'node/%/signups/signup','node/%/signups/signup','Sign up','a:0:{}','system',-1,0,0,0,-10,3,0,5,745,766,0,0,0,0,0,0,0,'und',0),('navigation',767,745,'node/%/signups/broadcast','node/%/signups/broadcast','Signup broadcast','a:0:{}','system',-1,0,0,0,10,3,0,5,745,767,0,0,0,0,0,0,0,'und',0),('management',768,738,'admin/store/settings/store','admin/store/settings/store','Store','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Configure basic store settings.\";}}','system',0,0,0,0,-1,4,0,1,735,738,768,0,0,0,0,0,0,'und',0),('management',769,46,'admin/config/people/signup','admin/config/people/signup','Signup settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Configure settings for signups.\";}}','system',0,0,0,0,0,4,0,1,8,46,769,0,0,0,0,0,0,'und',0),('management',770,742,'admin/store/orders/%','admin/store/orders/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"View order\";}}','system',0,0,1,0,0,4,0,1,735,742,770,0,0,0,0,0,0,'und',0),('navigation',771,16,'user/%/orders/%','user/%/orders/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:11:\"View order.\";}}','system',0,0,1,0,0,2,0,16,771,0,0,0,0,0,0,0,0,'und',0),('management',772,764,'admin/store/settings/products/defaults','admin/store/settings/products/defaults','','a:0:{}','system',0,0,0,0,0,5,0,1,735,738,764,772,0,0,0,0,0,'und',0),('management',773,758,'admin/store/settings/countries/fields','admin/store/settings/countries/fields','Address fields','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Edit the address field settings.\";}}','system',-1,0,0,0,1,5,0,1,735,738,758,773,0,0,0,0,0,'und',0),('management',774,758,'admin/store/settings/countries/formats','admin/store/settings/countries/formats','Address formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Edit country specific address format settings.\";}}','system',-1,0,0,0,1,5,0,1,735,738,758,774,0,0,0,0,0,'und',0),('management',775,758,'admin/store/settings/countries/import','admin/store/settings/countries/import','Countries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Import and manage countries.\";}}','system',-1,0,0,0,0,5,0,1,735,738,758,775,0,0,0,0,0,'und',0),('management',776,759,'admin/store/orders/create/%','admin/store/orders/create/%','Create order for this customer','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Create an empty new order.\";}}','system',0,0,0,0,0,5,0,1,735,742,759,776,0,0,0,0,0,'und',0),('management',777,770,'admin/store/orders/%/delete','admin/store/orders/%/delete','Delete an order','a:0:{}','system',0,0,0,0,0,5,0,1,735,742,770,777,0,0,0,0,0,'und',0),('management',778,770,'admin/store/orders/%/edit','admin/store/orders/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,5,0,1,735,742,770,778,0,0,0,0,0,'und',0),('management',779,770,'admin/store/orders/%/invoice','admin/store/orders/%/invoice','Invoice','a:0:{}','system',-1,0,0,0,3,5,0,1,735,742,770,779,0,0,0,0,0,'und',0),('management',780,770,'admin/store/orders/%/log','admin/store/orders/%/log','Log','a:0:{}','system',-1,0,0,0,10,5,0,1,735,742,770,780,0,0,0,0,0,'und',0),('navigation',783,771,'user/%/orders/%/print','user/%/orders/%/print','Print invoice','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Print order invoice.\";}}','system',0,0,0,0,0,3,0,16,771,783,0,0,0,0,0,0,0,'und',0),('management',784,761,'admin/store/products/classes/%','admin/store/products/classes/%','Product class','a:0:{}','system',0,0,1,0,0,5,0,1,735,743,761,784,0,0,0,0,0,'und',0),('management',785,757,'admin/store/settings/checkout/rules','admin/store/settings/checkout/rules','Rules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Edit the checkout rules.\";}}','system',-1,0,0,0,2,5,0,1,735,738,757,785,0,0,0,0,0,'und',0),('management',786,757,'admin/store/settings/checkout/settings','admin/store/settings/checkout/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Edit the basic checkout settings.\";}}','system',-1,0,0,0,0,5,0,1,735,738,757,786,0,0,0,0,0,'und',0),('management',787,762,'admin/store/settings/orders/settings','admin/store/settings/orders/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Edit the basic order settings.\";}}','system',-1,0,0,0,-10,5,0,1,735,738,762,787,0,0,0,0,0,'und',0),('management',788,770,'admin/store/orders/%/view','admin/store/orders/%/view','View','a:0:{}','system',-1,0,0,0,-10,5,0,1,735,742,770,788,0,0,0,0,0,'und',0),('navigation',789,771,'user/%/orders/%/invoice','user/%/orders/%/invoice','View invoice','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"View order invoice.\";}}','system',0,0,0,0,0,3,0,16,771,789,0,0,0,0,0,0,0,'und',0),('management',790,762,'admin/store/settings/orders/workflow','admin/store/settings/orders/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Modify and configure order states and statuses.\";}}','system',-1,0,0,0,-8,5,0,1,735,738,762,790,0,0,0,0,0,'und',0),('management',791,784,'admin/store/products/classes/%/delete','admin/store/products/classes/%/delete','','a:0:{}','system',0,0,0,0,0,6,0,1,735,743,761,784,791,0,0,0,0,'und',0),('management',793,790,'admin/store/settings/orders/workflow/create','admin/store/settings/orders/workflow/create','Create custom order status','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Create a custom order status for your store.\";}}','system',-1,0,0,0,0,6,0,1,735,738,762,790,793,0,0,0,0,'und',0),('management',796,784,'admin/store/products/classes/%/edit','admin/store/products/classes/%/edit','Edit','a:0:{}','system',-1,0,0,0,-5,6,0,1,735,743,761,784,796,0,0,0,0,'und',0),('management',797,779,'admin/store/orders/%/invoice/mail','admin/store/orders/%/invoice/mail','Mail invoice','a:0:{}','system',-1,0,0,0,0,6,0,1,735,742,770,779,797,0,0,0,0,'und',0),('management',799,762,'admin/store/settings/orders/products/display','admin/store/settings/orders/products/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,735,738,762,799,0,0,0,0,0,'und',0),('management',801,762,'admin/store/settings/orders/products/fields','admin/store/settings/orders/products/fields','Ordered product fields','a:0:{}','system',-1,0,1,0,3,5,0,1,735,738,762,801,0,0,0,0,0,'und',0),('management',802,779,'admin/store/orders/%/invoice/print','admin/store/orders/%/invoice/print','Printable invoice','a:0:{}','system',-1,0,0,0,-5,6,0,1,735,742,770,779,802,0,0,0,0,'und',0),('management',803,758,'admin/store/settings/countries/%/remove','admin/store/settings/countries/%/remove','Remove a country','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Remove an installed country.\";}}','system',0,0,0,0,0,5,0,1,735,738,758,803,0,0,0,0,0,'und',0),('management',805,779,'admin/store/orders/%/invoice/view','admin/store/orders/%/invoice/view','View invoice','a:0:{}','system',-1,0,0,0,-10,6,0,1,735,742,770,779,805,0,0,0,0,'und',0),('management',807,785,'admin/store/settings/checkout/rules/manage/%','admin/store/settings/checkout/rules/manage/%','','a:0:{}','system',-1,0,1,0,0,6,0,1,735,738,757,785,807,0,0,0,0,'und',0),('management',820,807,'admin/store/settings/checkout/rules/manage/%/clone','admin/store/settings/checkout/rules/manage/%/clone','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,820,0,0,0,'und',0),('management',821,807,'admin/store/settings/checkout/rules/manage/%/execute','admin/store/settings/checkout/rules/manage/%/execute','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,821,0,0,0,'und',0),('management',822,807,'admin/store/settings/checkout/rules/manage/%/export','admin/store/settings/checkout/rules/manage/%/export','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,822,0,0,0,'und',0),('management',823,807,'admin/store/settings/checkout/rules/manage/%/%','admin/store/settings/checkout/rules/manage/%/%','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,823,0,0,0,'und',0),('management',834,807,'admin/store/settings/checkout/rules/manage/%/delete/event','admin/store/settings/checkout/rules/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,834,0,0,0,'und',0),('management',835,807,'admin/store/settings/checkout/rules/manage/%/add/event','admin/store/settings/checkout/rules/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,835,0,0,0,'und',0),('management',836,807,'admin/store/settings/checkout/rules/manage/%/delete/%','admin/store/settings/checkout/rules/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,836,0,0,0,'und',0),('management',837,807,'admin/store/settings/checkout/rules/manage/%/edit/%','admin/store/settings/checkout/rules/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,837,0,0,0,'und',0),('management',838,807,'admin/store/settings/checkout/rules/manage/%/add/%','admin/store/settings/checkout/rules/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,7,0,1,735,738,757,785,807,838,0,0,0,'und',0),('navigation',839,0,'printepub/printepub','printepub/printepub','','a:0:{}','system',0,0,0,0,0,1,0,839,0,0,0,0,0,0,0,0,0,'und',0),('navigation',841,5,'node/%/ajax-quiz','node/%/ajax-quiz','Take by AJAX','a:0:{}','system',-1,0,0,0,0,2,0,5,841,0,0,0,0,0,0,0,0,'und',0),('management',842,641,'admin/course/ubercart','admin/course/ubercart','Ubercart','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Ubercart course settings.\";}}','system',0,0,1,0,0,3,0,1,641,842,0,0,0,0,0,0,0,'und',0),('management',843,161,'admin/help/ajax_quiz','admin/help/ajax_quiz','ajax_quiz','a:0:{}','system',-1,0,0,0,0,3,0,1,161,843,0,0,0,0,0,0,0,'und',0),('navigation',845,16,'user/%/signups','user/%/signups','Signups','a:0:{}','system',-1,0,0,0,10,2,0,16,845,0,0,0,0,0,0,0,0,'und',0),('navigation',846,16,'user/%/orders','user/%/orders','Orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"View your order history.\";}}','system',-1,0,0,0,0,2,0,16,846,0,0,0,0,0,0,0,0,'und',0),('management',848,842,'admin/course/ubercart/course_uc_ubercart','admin/course/ubercart/course_uc_ubercart','Settings','a:0:{}','system',0,0,0,0,0,4,0,1,641,842,848,0,0,0,0,0,0,'und',0),('management',849,739,'admin/store/customers/view','admin/store/customers/view','View customers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"View and search customer information.\";}}','system',0,0,0,0,-10,4,0,1,735,739,849,0,0,0,0,0,0,'und',0),('management',850,742,'admin/store/orders/view','admin/store/orders/view','View orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"View and process the orders received through your website.\";}}','system',0,0,0,0,-10,4,0,1,735,742,850,0,0,0,0,0,0,'und',0),('management',851,742,'admin/store/orders/search','admin/store/orders/search','Search orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Search existing orders.\";}}','system',0,0,0,0,0,4,0,1,735,742,851,0,0,0,0,0,0,'und',0),('management',852,743,'admin/store/products/view','admin/store/products/view','View products','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:56:\"View and search products available through your website.\";}}','system',0,0,0,0,-10,4,0,1,735,743,852,0,0,0,0,0,0,'und',0),('navigation',853,845,'user/%/signups/available','user/%/signups/available','Available','a:0:{}','system',-1,0,0,0,10,3,0,16,845,853,0,0,0,0,0,0,0,'und',0),('navigation',854,845,'user/%/signups/current','user/%/signups/current','Current','a:0:{}','system',-1,0,0,0,-2,3,0,16,845,854,0,0,0,0,0,0,0,'und',0),('management',856,689,'admin/config/user-interface/print/epub','admin/config/user-interface/print/epub','EPUB','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Configure the settings of the EPUB generation functionality.\";}}','system',-1,0,0,0,3,5,0,1,8,58,689,856,0,0,0,0,0,'und',0),('management',861,856,'admin/config/user-interface/print/epub/options','admin/config/user-interface/print/epub/options','Options','a:0:{}','system',-1,0,0,0,-1,6,0,1,8,58,689,856,861,0,0,0,0,'und',0),('management',867,18,'admin/reports/charts','admin/reports/charts','System Charts','a:0:{}','system',0,0,0,0,0,3,0,1,18,867,0,0,0,0,0,0,0,'und',0),('management',868,161,'admin/help/uc_2checkout','admin/help/uc_2checkout','uc_2checkout','a:0:{}','system',-1,0,0,0,0,3,0,1,161,868,0,0,0,0,0,0,0,'und',0),('management',869,161,'admin/help/uc_credit','admin/help/uc_credit','uc_credit','a:0:{}','system',-1,0,0,0,0,3,0,1,161,869,0,0,0,0,0,0,0,'und',0),('management',870,44,'admin/config/media/chart','admin/config/media/chart','Chart','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Modify chart settings.\";}}','system',0,0,0,0,0,4,0,1,8,44,870,0,0,0,0,0,0,'und',0),('management',871,867,'admin/reports/charts/nodes','admin/reports/charts/nodes','Nodes','a:0:{}','system',-1,0,0,0,0,4,0,1,18,867,871,0,0,0,0,0,0,'und',0),('management',872,738,'admin/store/settings/payment','admin/store/settings/payment','Payment methods','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Choose and configure available payment methods.\";}}','system',0,0,1,0,0,4,0,1,735,738,872,0,0,0,0,0,0,'und',0),('management',873,738,'admin/store/settings/quotes','admin/store/settings/quotes','Shipping quotes','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure shipping quotes.\";}}','system',0,0,0,0,0,4,0,1,735,738,873,0,0,0,0,0,0,'und',0),('management',874,867,'admin/reports/charts/users','admin/reports/charts/users','Users','a:0:{}','system',-1,0,0,0,0,4,0,1,18,867,874,0,0,0,0,0,0,'und',0),('management',875,867,'admin/reports/charts/watchdog','admin/reports/charts/watchdog','Watchdog','a:0:{}','system',-1,0,0,0,0,4,0,1,18,867,875,0,0,0,0,0,0,'und',0),('management',876,873,'admin/store/settings/quotes/methods','admin/store/settings/quotes/methods','Methods','a:0:{}','system',-1,0,0,0,0,5,0,1,735,738,873,876,0,0,0,0,0,'und',0),('management',877,770,'admin/store/orders/%/payments','admin/store/orders/%/payments','Payments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Show payments made against an order.\";}}','system',-1,0,0,0,5,5,0,1,735,742,770,877,0,0,0,0,0,'und',0),('management',878,770,'admin/store/orders/%/receive_check','admin/store/orders/%/receive_check','Receive check','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Record details of a check that has been received.\";}}','system',0,0,0,0,0,5,0,1,735,742,770,878,0,0,0,0,0,'und',0),('management',879,873,'admin/store/settings/quotes/settings','admin/store/settings/quotes/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Configure shipping quote options.\";}}','system',-1,0,0,0,0,5,0,1,735,738,873,879,0,0,0,0,0,'und',0),('management',880,770,'admin/store/orders/%/credit','admin/store/orders/%/credit','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Displays a form to process a credit card payment.\";}}','system',0,0,0,0,0,5,0,1,735,742,770,880,0,0,0,0,0,'und',0),('management',881,872,'admin/store/settings/payment/manage/%','admin/store/settings/payment/manage/%','','a:0:{}','system',-1,0,1,0,0,5,0,1,735,738,872,881,0,0,0,0,0,'und',0),('management',882,873,'admin/store/settings/quotes/manage/%','admin/store/settings/quotes/manage/%','','a:0:{}','system',-1,0,1,0,0,5,0,1,735,738,873,882,0,0,0,0,0,'und',0),('management',883,879,'admin/store/settings/quotes/settings/general','admin/store/settings/quotes/settings/general','Basic settings','a:0:{}','system',-1,0,0,0,0,6,0,1,735,738,873,879,883,0,0,0,0,'und',0),('management',884,872,'admin/store/settings/payment/method/%','admin/store/settings/payment/method/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Configures a specific payment method.\";}}','system',0,0,0,0,0,5,0,1,735,738,872,884,0,0,0,0,0,'und',0),('management',885,881,'admin/store/settings/payment/manage/%/clone','admin/store/settings/payment/manage/%/clone','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,885,0,0,0,0,'und',0),('management',886,882,'admin/store/settings/quotes/manage/%/clone','admin/store/settings/quotes/manage/%/clone','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,886,0,0,0,0,'und',0),('management',887,881,'admin/store/settings/payment/manage/%/execute','admin/store/settings/payment/manage/%/execute','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,887,0,0,0,0,'und',0),('management',888,882,'admin/store/settings/quotes/manage/%/execute','admin/store/settings/quotes/manage/%/execute','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,888,0,0,0,0,'und',0),('management',889,881,'admin/store/settings/payment/manage/%/export','admin/store/settings/payment/manage/%/export','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,889,0,0,0,0,'und',0),('management',890,882,'admin/store/settings/quotes/manage/%/export','admin/store/settings/quotes/manage/%/export','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,890,0,0,0,0,'und',0),('management',891,881,'admin/store/settings/payment/manage/%/%','admin/store/settings/payment/manage/%/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,891,0,0,0,0,'und',0),('management',892,882,'admin/store/settings/quotes/manage/%/%','admin/store/settings/quotes/manage/%/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,892,0,0,0,0,'und',0),('management',893,881,'admin/store/settings/payment/manage/%/delete/event','admin/store/settings/payment/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,6,0,1,735,738,872,881,893,0,0,0,0,'und',0),('management',894,882,'admin/store/settings/quotes/manage/%/delete/event','admin/store/settings/quotes/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,6,0,1,735,738,873,882,894,0,0,0,0,'und',0),('management',895,881,'admin/store/settings/payment/manage/%/add/event','admin/store/settings/payment/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,895,0,0,0,0,'und',0),('management',896,882,'admin/store/settings/quotes/manage/%/add/event','admin/store/settings/quotes/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,896,0,0,0,0,'und',0),('management',897,881,'admin/store/settings/payment/manage/%/delete/%','admin/store/settings/payment/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,897,0,0,0,0,'und',0),('management',898,882,'admin/store/settings/quotes/manage/%/delete/%','admin/store/settings/quotes/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,898,0,0,0,0,'und',0),('management',899,881,'admin/store/settings/payment/manage/%/edit/%','admin/store/settings/payment/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,899,0,0,0,0,'und',0),('management',900,882,'admin/store/settings/quotes/manage/%/edit/%','admin/store/settings/quotes/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,900,0,0,0,0,'und',0),('management',901,881,'admin/store/settings/payment/manage/%/add/%','admin/store/settings/payment/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,872,881,901,0,0,0,0,'und',0),('management',902,882,'admin/store/settings/quotes/manage/%/add/%','admin/store/settings/quotes/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,873,882,902,0,0,0,0,'und',0),('navigation',903,0,'scale/collection/manage','scale/collection/manage','Manage your preset collections','a:0:{}','system',1,0,0,0,0,1,0,903,0,0,0,0,0,0,0,0,0,'und',0),('navigation',904,6,'node/add/quiz-ddlines','node/add/quiz-ddlines','Drag and drop question with lines','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"This provides drag and drop question types with lines for the Quiz module.\";}}','system',0,0,0,0,0,2,0,6,904,0,0,0,0,0,0,0,0,'und',0),('navigation',905,6,'node/add/long-answer','node/add/long-answer','Long answer question','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"Quiz questions that allow a user to enter multiple paragraphs of text.\";}}','system',0,0,0,0,0,2,0,6,905,0,0,0,0,0,0,0,0,'und',0),('navigation',906,6,'node/add/matching','node/add/matching','Matching','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:160:\"Matching question type for quiz module. A question type for the quiz module: allows you to create matching type questions, which connect terms with one another.\";}}','system',0,0,0,0,0,2,0,6,906,0,0,0,0,0,0,0,0,'und',0),('navigation',907,6,'node/add/multichoice','node/add/multichoice','Multiple choice question','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"This provides multiple choice questions for use by the Quiz module.\";}}','system',0,0,0,0,0,2,0,6,907,0,0,0,0,0,0,0,0,'und',0),('navigation',908,6,'node/add/quiz-directions','node/add/quiz-directions','Quiz directions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:143:\"Quiz directions allow you to drop in directions anywhere in a quiz. You can also use them to insert a confirmation step at the end of the quiz.\";}}','system',0,0,0,0,0,2,0,6,908,0,0,0,0,0,0,0,0,'und',0),('navigation',909,6,'node/add/scale','node/add/scale','Scale question','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:56:\"Quiz questions that allow a user to choose from a scale.\";}}','system',0,0,0,0,0,2,0,6,909,0,0,0,0,0,0,0,0,'und',0),('management',910,20,'admin/structure/services','admin/structure/services','Services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"Manage Services\";}}','system',0,0,0,0,0,3,0,1,20,910,0,0,0,0,0,0,0,'und',0),('navigation',911,6,'node/add/short-answer','node/add/short-answer','Short answer question','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Quiz questions that allow a user to enter a line of text.\";}}','system',0,0,0,0,0,2,0,6,911,0,0,0,0,0,0,0,0,'und',0),('navigation',912,6,'node/add/truefalse','node/add/truefalse','True/false question','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Quiz questions that allow a user to select \"true\" or \"false\" as his response to a statement.\";}}','system',0,0,0,0,0,2,0,6,912,0,0,0,0,0,0,0,0,'und',0),('management',913,161,'admin/help/long_answer','admin/help/long_answer','long_answer','a:0:{}','system',-1,0,0,0,0,3,0,1,161,913,0,0,0,0,0,0,0,'und',0),('management',914,161,'admin/help/matching','admin/help/matching','matching','a:0:{}','system',-1,0,0,0,0,3,0,1,161,914,0,0,0,0,0,0,0,'und',0),('management',915,161,'admin/help/multichoice','admin/help/multichoice','multichoice','a:0:{}','system',-1,0,0,0,0,3,0,1,161,915,0,0,0,0,0,0,0,'und',0),('management',916,161,'admin/help/quiz_ddlines','admin/help/quiz_ddlines','quiz_ddlines','a:0:{}','system',-1,0,0,0,0,3,0,1,161,916,0,0,0,0,0,0,0,'und',0),('management',917,161,'admin/help/quiz_directions','admin/help/quiz_directions','quiz_directions','a:0:{}','system',-1,0,0,0,0,3,0,1,161,917,0,0,0,0,0,0,0,'und',0),('management',918,161,'admin/help/quiz_question','admin/help/quiz_question','quiz_question','a:0:{}','system',-1,0,0,0,0,3,0,1,161,918,0,0,0,0,0,0,0,'und',0),('management',919,161,'admin/help/scale','admin/help/scale','scale','a:0:{}','system',-1,0,0,0,0,3,0,1,161,919,0,0,0,0,0,0,0,'und',0),('management',920,161,'admin/help/services','admin/help/services','services','a:0:{}','system',-1,0,0,0,0,3,0,1,161,920,0,0,0,0,0,0,0,'und',0),('management',921,161,'admin/help/short_answer','admin/help/short_answer','short_answer','a:0:{}','system',-1,0,0,0,0,3,0,1,161,921,0,0,0,0,0,0,0,'und',0),('management',922,161,'admin/help/truefalse','admin/help/truefalse','truefalse','a:0:{}','system',-1,0,0,0,0,3,0,1,161,922,0,0,0,0,0,0,0,'und',0),('navigation',923,0,'quiz_question/%/%/revision_actions','quiz_question/%/%/revision_actions','Revision actions','a:0:{}','system',0,0,0,0,0,1,0,923,0,0,0,0,0,0,0,0,0,'und',0),('management',924,910,'admin/structure/services/add','admin/structure/services/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,910,924,0,0,0,0,0,0,'und',0),('management',925,910,'admin/structure/services/import','admin/structure/services/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,910,925,0,0,0,0,0,0,'und',0),('management',926,910,'admin/structure/services/list','admin/structure/services/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,910,926,0,0,0,0,0,0,'und',0),('management',927,642,'admin/quiz/settings/questions_settings','admin/quiz/settings/questions_settings','Question configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Configure the question types.\";}}','system',0,0,0,0,0,4,0,1,640,642,927,0,0,0,0,0,0,'und',0),('management',928,661,'admin/quiz/reports/score-long-answer','admin/quiz/reports/score-long-answer','Score long answer questions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Score the answers from quizzes that use long answer questions.\";}}','system',0,0,1,0,0,4,0,1,640,661,928,0,0,0,0,0,0,'und',0),('management',929,661,'admin/quiz/reports/score-short-answer','admin/quiz/reports/score-short-answer','Score short answer questions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:63:\"Score the answers from quizzes that use short answer questions.\";}}','system',0,0,1,0,0,4,0,1,640,661,929,0,0,0,0,0,0,'und',0),('management',930,61,'admin/config/services/uuid-services','admin/config/services/uuid-services','UUID Services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Configure settings for UUID Services.\";}}','system',0,0,0,0,0,4,0,1,8,61,930,0,0,0,0,0,0,'und',0),('management',931,928,'admin/quiz/reports/score-long-answer/%/%','admin/quiz/reports/score-long-answer/%/%','Score long answer response','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Score a response to a long answer question.\";}}','system',0,0,0,0,0,5,0,1,640,661,928,931,0,0,0,0,0,'und',0),('management',932,929,'admin/quiz/reports/score-short-answer/%/%','admin/quiz/reports/score-short-answer/%/%','Score short answer response','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Score a response to a short answer question.\";}}','system',0,0,0,0,0,5,0,1,640,661,929,932,0,0,0,0,0,'und',0),('management',933,926,'admin/structure/services/list/%/authentication','admin/structure/services/list/%/authentication','Authentication','a:0:{}','system',-1,0,0,0,-3,5,0,1,20,910,926,933,0,0,0,0,0,'und',0),('management',934,926,'admin/structure/services/list/%/resources','admin/structure/services/list/%/resources','Resources','a:0:{}','system',-1,0,0,0,-2,5,0,1,20,910,926,934,0,0,0,0,0,'und',0),('management',935,926,'admin/structure/services/list/%/server','admin/structure/services/list/%/server','Server','a:0:{}','system',-1,0,0,0,-4,5,0,1,20,910,926,935,0,0,0,0,0,'und',0),('management',936,926,'admin/structure/services/list/%/edit','admin/structure/services/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,910,926,936,0,0,0,0,0,'und',0),('management',937,926,'admin/structure/services/list/%/export','admin/structure/services/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,910,926,937,0,0,0,0,0,'und',0),('navigation',940,158,'search/advanced_help/%','search/advanced_help/%','','a:0:{}','system',0,0,0,0,0,2,0,158,940,0,0,0,0,0,0,0,0,'und',0),('navigation',941,16,'user/%/stats','user/%/stats','Result Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Generates a report on quiz results for quiz creators.\";}}','system',-1,0,0,0,0,2,0,16,941,0,0,0,0,0,0,0,0,'und',0),('navigation',942,5,'node/%/statistics','node/%/statistics','Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Generates a report on quiz results for quiz creators.\";}}','system',-1,0,0,0,4,2,0,5,942,0,0,0,0,0,0,0,0,'und',0),('management',943,161,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,161,943,0,0,0,0,0,0,0,'und',0),('management',944,161,'admin/help/quiz_stats','admin/help/quiz_stats','quiz_stats','a:0:{}','system',-1,0,0,0,0,3,0,1,161,944,0,0,0,0,0,0,0,'und',0),('management',945,202,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk generate','a:0:{}','system',-1,0,0,0,30,5,0,1,8,51,202,945,0,0,0,0,0,'und',0),('management',946,202,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,8,51,202,946,0,0,0,0,0,'und',0),('management',947,202,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,202,947,0,0,0,0,0,'und',0),('management',948,661,'admin/quiz/reports/stats/creator','admin/quiz/reports/stats/creator','Quiz Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Generates a report on quiz results for quiz creators.\";}}','system',0,0,0,0,0,4,0,1,640,661,948,0,0,0,0,0,0,'und',0),('management',949,202,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,8,51,202,949,0,0,0,0,0,'und',0),('management',950,44,'admin/config/media/socialfield','admin/config/media/socialfield','Social field','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Social field settings\";}}','system',0,0,1,0,0,4,0,1,8,44,950,0,0,0,0,0,0,'und',0),('management',951,950,'admin/config/media/socialfield/add','admin/config/media/socialfield/add','Add new service','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,950,951,0,0,0,0,0,'und',0),('management',952,950,'admin/config/media/socialfield/%/delete','admin/config/media/socialfield/%/delete','Delete service','a:0:{}','system',0,0,0,0,0,5,0,1,8,44,950,952,0,0,0,0,0,'und',0),('management',953,950,'admin/config/media/socialfield/%/edit','admin/config/media/socialfield/%/edit','Edit service','a:0:{}','system',0,0,0,0,0,5,0,1,8,44,950,953,0,0,0,0,0,'und',0),('management',969,18,'admin/reports/hits','admin/reports/hits','Recent hits','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View pages that have recently been visited.\";}}','system',0,0,0,0,0,3,0,1,18,969,0,0,0,0,0,0,0,'und',0),('management',970,18,'admin/reports/pages','admin/reports/pages','Top pages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"View pages that have been hit frequently.\";}}','system',0,0,0,0,1,3,0,1,18,970,0,0,0,0,0,0,0,'und',0),('management',971,18,'admin/reports/referrers','admin/reports/referrers','Top referrers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"View top referrers.\";}}','system',0,0,0,0,0,3,0,1,18,971,0,0,0,0,0,0,0,'und',0),('management',972,18,'admin/reports/visitors','admin/reports/visitors','Top visitors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View visitors that hit many pages.\";}}','system',0,0,0,0,2,3,0,1,18,972,0,0,0,0,0,0,0,'und',0),('navigation',973,5,'node/%/track','node/%/track','Track','a:0:{}','system',-1,0,0,0,2,2,0,5,973,0,0,0,0,0,0,0,0,'und',0),('management',974,161,'admin/help/statistics','admin/help/statistics','statistics','a:0:{}','system',-1,0,0,0,0,3,0,1,161,974,0,0,0,0,0,0,0,'und',0),('management',975,18,'admin/reports/access/%','admin/reports/access/%','Details','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"View access log.\";}}','system',0,0,0,0,0,3,0,1,18,975,0,0,0,0,0,0,0,'und',0),('management',976,54,'admin/config/system/statistics','admin/config/system/statistics','Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Control details about what and how your site logs access statistics.\";}}','system',0,0,0,0,-15,4,0,1,8,54,976,0,0,0,0,0,0,'und',0),('navigation',977,16,'user/%/track/navigation','user/%/track/navigation','Track page visits','a:0:{}','system',-1,0,0,0,2,2,0,16,977,0,0,0,0,0,0,0,0,'und',0),('management',979,45,'admin/structure/menu/manage/menu-category','admin/structure/menu/manage/%','Category','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,979,0,0,0,0,0,0,'und',0),('menu-category',980,0,'news/global','news','Global','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,980,0,0,0,0,0,0,0,0,0,'und',0),('menu-category',981,0,'news/notification','news','Notification','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,981,0,0,0,0,0,0,0,0,0,'und',0),('menu-category',982,0,'news/scholarship','news','Scholarship','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,982,0,0,0,0,0,0,0,0,0,'und',0),('menu-category',983,0,'news/schools','news','Schools','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,983,0,0,0,0,0,0,0,0,0,'und',0),('menu-category',984,0,'news/student','news','Student','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,984,0,0,0,0,0,0,0,0,0,'und',0),('management',985,45,'admin/structure/menu/manage/menu-properties-view','admin/structure/menu/manage/%','Properties News','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,985,0,0,0,0,0,0,'und',0),('menu-properties-view',987,0,'news/grid','news/grid','Grid','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-th-large\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,987,0,0,0,0,0,0,0,0,0,'und',0),('management',988,45,'admin/structure/menu/manage/menu-properties-events','admin/structure/menu/manage/%','Properties Events','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,988,0,0,0,0,0,0,'und',0),('menu-properties-events',989,0,'events','events','List','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-list\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,989,0,0,0,0,0,0,0,0,0,'und',0),('menu-properties-events',990,0,'events/grid','events/grid','Grid','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-th-large\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,990,0,0,0,0,0,0,0,0,0,'und',0),('management',991,45,'admin/structure/menu/manage/menu-properties-courses','admin/structure/menu/manage/%','Properties Courses','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,991,0,0,0,0,0,0,'und',0),('menu-properties-courses',992,0,'courses/grid','courses/grid','Grid','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-th-large\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,992,0,0,0,0,0,0,0,0,0,'und',0),('menu-properties-courses',993,0,'courses','courses','List','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-list\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,993,0,0,0,0,0,0,0,0,0,'und',0),('navigation',996,6,'node/add/gallery','node/add/gallery','Gallery','a:0:{}','system',0,0,0,0,0,2,0,6,996,0,0,0,0,0,0,0,0,'und',0),('management',997,45,'admin/structure/menu/manage/menu-gallery-menu','admin/structure/menu/manage/%','Gallery Menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,997,0,0,0,0,0,0,'und',0),('menu-gallery-menu',998,0,'gallery','gallery','All','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:8:\"fa-photo\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,998,0,0,0,0,0,0,0,0,0,'und',0),('menu-gallery-menu',999,0,'gallery/edustation','gallery/edustation','Edustation','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-bank\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,999,0,0,0,0,0,0,0,0,0,'und',0),('menu-gallery-menu',1000,0,'gallery/student','gallery/student','Student','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:8:\"fa-users\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,1000,0,0,0,0,0,0,0,0,0,'und',0),('menu-gallery-menu',1001,0,'gallery/news','gallery/news','News','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:14:\"fa-newspaper-o\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,1001,0,0,0,0,0,0,0,0,0,'und',0),('menu-gallery-menu',1002,0,'gallery/scholarship','gallery/scholarship','Scholarship','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:17:\"fa-graduation-cap\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,1002,0,0,0,0,0,0,0,0,0,'und',0),('navigation',1003,6,'node/add/faq','node/add/faq','FAQ','a:0:{}','system',0,0,0,0,0,2,0,6,1003,0,0,0,0,0,0,0,0,'und',0),('management',1004,20,'admin/structure/quicktabs','admin/structure/quicktabs','Quicktabs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Create blocks of tabbed content.\";}}','system',0,0,1,0,0,3,0,1,20,1004,0,0,0,0,0,0,0,'und',0),('management',1005,161,'admin/help/quicktabs','admin/help/quicktabs','quicktabs','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1005,0,0,0,0,0,0,0,'und',0),('management',1006,1004,'admin/structure/quicktabs/add','admin/structure/quicktabs/add','Add Quicktabs Instance','a:0:{}','system',-1,0,0,0,0,4,0,1,20,1004,1006,0,0,0,0,0,0,'und',0),('management',1007,1004,'admin/structure/quicktabs/list','admin/structure/quicktabs/list','List quicktabs','a:0:{}','system',-1,0,0,0,0,4,0,1,20,1004,1007,0,0,0,0,0,0,'und',0),('management',1008,1004,'admin/structure/quicktabs/styles','admin/structure/quicktabs/styles','Styles','a:0:{}','system',-1,0,0,0,0,4,0,1,20,1004,1008,0,0,0,0,0,0,'und',0),('management',1009,1004,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','a:0:{}','system',0,0,0,0,0,4,0,1,20,1004,1009,0,0,0,0,0,0,'und',0),('management',1010,1009,'admin/structure/quicktabs/manage/%/clone','admin/structure/quicktabs/manage/%/clone','Clone quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,1004,1009,1010,0,0,0,0,0,'und',0),('management',1011,1009,'admin/structure/quicktabs/manage/%/delete','admin/structure/quicktabs/manage/%/delete','Delete quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,1004,1009,1011,0,0,0,0,0,'und',0),('management',1012,1009,'admin/structure/quicktabs/manage/%/edit','admin/structure/quicktabs/manage/%/edit','Edit quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,1004,1009,1012,0,0,0,0,0,'und',0),('management',1013,1009,'admin/structure/quicktabs/manage/%/export','admin/structure/quicktabs/manage/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,1004,1009,1013,0,0,0,0,0,'und',0),('management',1014,161,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1014,0,0,0,0,0,0,0,'und',0),('main-menu',1021,0,'taxonomy/term/24','taxonomy/term/%','News','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',1,0,1,0,-46,1,1,1021,0,0,0,0,0,0,0,0,0,'und',0),('management',1022,161,'admin/help/fontawesome','admin/help/fontawesome','fontawesome','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1022,0,0,0,0,0,0,0,'und',0),('management',1023,161,'admin/help/menu_block','admin/help/menu_block','menu_block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1023,0,0,0,0,0,0,0,'und',0),('management',1024,28,'admin/structure/block/add-menu-block','admin/structure/block/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,4,0,1,20,28,1024,0,0,0,0,0,0,'und',0),('management',1025,645,'admin/content/book/%','admin/content/book/%','Edit book outline','a:0:{}','system',-1,0,0,0,0,4,0,1,9,645,1025,0,0,0,0,0,0,'und',0),('management',1026,58,'admin/config/user-interface/menu-block','admin/config/user-interface/menu-block','Menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Configure menu block.\";}}','system',0,0,0,0,0,4,0,1,8,58,1026,0,0,0,0,0,0,'und',0),('management',1027,102,'admin/structure/block/list/bartik/add-menu-block','admin/structure/block/list/bartik/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,102,1027,0,0,0,0,0,'und',0),('management',1028,108,'admin/structure/block/list/garland/add-menu-block','admin/structure/block/list/garland/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,108,1028,0,0,0,0,0,'und',0),('management',1029,113,'admin/structure/block/list/seven/add-menu-block','admin/structure/block/list/seven/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,113,1029,0,0,0,0,0,'und',0),('management',1030,114,'admin/structure/block/list/stark/add-menu-block','admin/structure/block/list/stark/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,114,1030,0,0,0,0,0,'und',0),('main-menu',1031,1021,'taxonomy/term/24','taxonomy/term/%','Global','a:3:{s:5:\"alter\";b:1;s:10:\"attributes\";a:2:{s:5:\"title\";s:6:\"Global\";s:5:\"class\";a:1:{i:0;s:8:\"fa-globe\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','taxonomy_menu',0,0,0,1,0,2,1,1021,1031,0,0,0,0,0,0,0,0,'und',0),('main-menu',1032,1021,'taxonomy/term/37','taxonomy/term/%','Notification','a:3:{s:5:\"alter\";b:1;s:10:\"attributes\";a:2:{s:5:\"title\";s:12:\"Notification\";s:5:\"class\";a:1:{i:0;s:11:\"fa-bullhorn\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','taxonomy_menu',0,0,0,1,0,2,1,1021,1032,0,0,0,0,0,0,0,0,'und',0),('main-menu',1033,1021,'taxonomy/term/25','taxonomy/term/%','Scholarship','a:3:{s:5:\"alter\";b:1;s:10:\"attributes\";a:2:{s:5:\"title\";s:11:\"Scholarship\";s:5:\"class\";a:1:{i:0;s:17:\"fa-graduation-cap\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','taxonomy_menu',0,0,0,1,0,2,1,1021,1033,0,0,0,0,0,0,0,0,'und',0),('main-menu',1034,1021,'taxonomy/term/38','taxonomy/term/%','Schools','a:3:{s:5:\"alter\";b:1;s:10:\"attributes\";a:2:{s:5:\"title\";s:7:\"Schools\";s:5:\"class\";a:1:{i:0;s:7:\"fa-bank\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','taxonomy_menu',0,0,0,1,0,2,1,1021,1034,0,0,0,0,0,0,0,0,'und',0),('main-menu',1035,1021,'taxonomy/term/36','taxonomy/term/%','Student','a:3:{s:5:\"alter\";b:1;s:10:\"attributes\";a:2:{s:5:\"title\";s:7:\"Student\";s:5:\"class\";a:1:{i:0;s:8:\"fa-users\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','taxonomy_menu',0,0,0,1,0,2,1,1021,1035,0,0,0,0,0,0,0,0,'und',0),('menu-properties-view',1036,0,'news','news','List','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-list\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,1036,0,0,0,0,0,0,0,0,0,'und',0),('navigation',1039,16,'user/%/follow','user/%/follow','Follow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Update the associated web service follow links.\";}}','system',-1,0,0,0,0,2,0,16,1039,0,0,0,0,0,0,0,0,'und',0),('management',1040,161,'admin/help/follow','admin/help/follow','follow','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1040,0,0,0,0,0,0,0,'und',0),('management',1041,61,'admin/config/services/follow','admin/config/services/follow','Follow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Configure the site-wide web service follow links.\";}}','system',0,0,0,0,0,4,0,1,8,61,1041,0,0,0,0,0,0,'und',0),('management',1042,45,'admin/structure/menu/manage/menu-headline-link','admin/structure/menu/manage/%','Headline Link','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,1042,0,0,0,0,0,0,'und',0),('menu-headline-link',1043,0,'user/login','user/login','Login','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:3:{i:0;s:17:\"educational-login\";i:1;s:2:\"fa\";i:2;s:7:\"fa-bars\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,1043,0,0,0,0,0,0,0,0,0,'und',0),('menu-headline-link',1044,0,'user/logout','user/logout','Logout','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:3:{i:0;s:17:\"edustation-logout\";i:1;s:2:\"fa\";i:2;s:7:\"fa-bars\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,1044,0,0,0,0,0,0,0,0,0,'und',0),('management',1045,52,'admin/appearance/settings/educational','admin/appearance/settings/educational','Educational','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,1045,0,0,0,0,0,0,'und',0),('management',1046,28,'admin/structure/block/list/educational','admin/structure/block/list/educational','Educational','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,28,1046,0,0,0,0,0,0,'und',0),('navigation',1062,16,'user/%/imce','user/%/imce','File browser','a:0:{}','system',-1,0,0,0,10,2,0,16,1062,0,0,0,0,0,0,0,0,'und',0),('management',1063,44,'admin/config/media/imce','admin/config/media/imce','IMCE','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Control how your image/file browser works.\";}}','system',0,0,0,0,0,4,0,1,8,44,1063,0,0,0,0,0,0,'und',0),('management',1064,1063,'admin/config/media/imce/profile','admin/config/media/imce/profile','Add new profile','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,1063,1064,0,0,0,0,0,'und',0),('management',1066,44,'admin/config/media/colorbox','admin/config/media/colorbox','Colorbox','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Adjust Colorbox settings.\";}}','system',0,0,0,0,0,4,0,1,8,44,1066,0,0,0,0,0,0,'und',0),('main-menu',1067,552,'node/24','node/%','404 Page','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-49,2,1,552,1067,0,0,0,0,0,0,0,0,'und',0),('main-menu',1068,552,'faqs','faqs','FAQs','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','system',0,0,0,0,-48,2,1,552,1068,0,0,0,0,0,0,0,0,'und',0),('management',1069,161,'admin/help/blockify','admin/help/blockify','blockify','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1069,0,0,0,0,0,0,0,'und',0),('management',1070,58,'admin/config/user-interface/blockify','admin/config/user-interface/blockify','Blockify','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Settings for the Blockify module.\";}}','system',0,0,0,0,0,4,0,1,8,58,1070,0,0,0,0,0,0,'und',0),('management',1071,20,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,1,20,1071,0,0,0,0,0,0,0,'und',0),('management',1072,1071,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,1071,1072,0,0,0,0,0,0,'und',0),('management',1073,1071,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,1071,1073,0,0,0,0,0,0,'und',0),('main-menu',1074,552,'gallery','gallery','Gallery','a:0:{}','system',0,0,0,0,-50,2,1,552,1074,0,0,0,0,0,0,0,0,'und',0),('management',1075,52,'admin/appearance/settings/edustation','admin/appearance/settings/edustation','Edustation','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,1075,0,0,0,0,0,0,'und',0),('management',1076,28,'admin/structure/block/list/edustation','admin/structure/block/list/edustation','Edustation','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,1076,0,0,0,0,0,0,'und',0),('management',1077,1076,'admin/structure/block/list/edustation/add','admin/structure/block/list/edustation/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,1076,1077,0,0,0,0,0,'und',0),('management',1078,1076,'admin/structure/block/list/edustation/add-menu-block','admin/structure/block/list/edustation/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,1076,1078,0,0,0,0,0,'und',0),('menu-properties-courses',1080,0,'courses/list','courses/list','List','a:2:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-list\";}}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,1080,0,0,0,0,0,0,0,0,0,'und',0),('main-menu',1081,0,'courses/list','courses/list','Courses','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,1081,0,0,0,0,0,0,0,0,0,'und',0),('navigation',1082,0,'field-collection/field-list-file/%','field-collection/field-list-file/%','','a:0:{}','system',0,0,1,0,0,1,0,1082,0,0,0,0,0,0,0,0,0,'und',0),('navigation',1083,1082,'field-collection/field-list-file/%/delete','field-collection/field-list-file/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,2,0,1082,1083,0,0,0,0,0,0,0,0,'und',0),('navigation',1084,1082,'field-collection/field-list-file/%/edit','field-collection/field-list-file/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,1082,1084,0,0,0,0,0,0,0,0,'und',0),('navigation',1085,1082,'field-collection/field-list-file/%/view','field-collection/field-list-file/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,1082,1085,0,0,0,0,0,0,0,0,'und',0),('navigation',1087,0,'field-collection/field-list-file/add/%/%','field-collection/field-list-file/add/%/%','','a:0:{}','system',0,0,0,0,0,1,0,1087,0,0,0,0,0,0,0,0,0,'und',0),('navigation',1088,1082,'field-collection/field-list-file/%/revisions/%','field-collection/field-list-file/%/revisions/%','','a:0:{}','system',0,0,0,0,0,2,0,1082,1088,0,0,0,0,0,0,0,0,'und',0),('management',1101,20,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,1,20,1101,0,0,0,0,0,0,0,'und',0),('management',1102,1101,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,1,20,1101,1102,0,0,0,0,0,0,'und',0),('management',1103,1101,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,1,20,1101,1103,0,0,0,0,0,0,'und',0),('management',1104,1101,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,1,20,1101,1104,0,0,0,0,0,0,'und',0),('management',1105,1101,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,1,20,1101,1105,0,0,0,0,0,0,'und',0),('management',1106,52,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,1106,0,0,0,0,0,0,'und',0),('management',1107,28,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,20,28,1107,0,0,0,0,0,0,'und',0),('management',1108,1107,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,28,1107,1108,0,0,0,0,0,'und',0),('management',1109,1107,'admin/structure/block/list/we_backend/add-menu-block','admin/structure/block/list/we_backend/add-menu-block','Add menu block','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Add a new menu block.\";}}','system',-1,0,0,0,0,5,0,1,20,28,1107,1109,0,0,0,0,0,'und',0),('navigation',1110,4,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,4,1110,0,0,0,0,0,0,0,0,'und',0),('navigation',1255,623,'node/%/webform/emails/%','node/%/webform/emails/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,616,623,1255,0,0,0,0,0,0,'und',0),('navigation',1256,1255,'node/%/webform/emails/%/delete','node/%/webform/emails/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,616,623,1255,1256,0,0,0,0,0,'und',0),('navigation',1257,1255,'node/%/webform/emails/%/clone','node/%/webform/emails/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,616,623,1255,1257,0,0,0,0,0,'und',0),('management',1258,61,'admin/config/services/services-security','admin/config/services/services-security','Services Security update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Services module security updates\";}}','system',0,0,0,0,0,4,0,1,8,61,1258,0,0,0,0,0,0,'und',0),('management',1259,58,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,1,8,58,1259,0,0,0,0,0,0,'und',0),('management',1260,161,'admin/help/ah','admin/help/ah','Advanced Help','a:0:{}','system',-1,0,0,0,2,3,0,1,161,1260,0,0,0,0,0,0,0,'und',0),('navigation',1261,734,'cart/2checkout/notification','cart/2checkout/notification','','a:0:{}','system',0,0,0,0,0,2,0,734,1261,0,0,0,0,0,0,0,0,'und',0),('navigation',1262,5,'node/%/course-complete','node/%/course-complete','Course complete','a:0:{}','system',0,0,0,0,0,2,0,5,1262,0,0,0,0,0,0,0,0,'und',0),('management',1263,161,'admin/help/tab1','admin/help/tab1','Help','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1263,0,0,0,0,0,0,0,'und',0),('management',1264,18,'admin/reports/libraries','admin/reports/libraries','Libraries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"An overview of libraries installed on this site.\";}}','system',0,0,1,0,0,3,0,1,18,1264,0,0,0,0,0,0,0,'und',0),('management',1265,161,'admin/help/libraries','admin/help/libraries','libraries','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1265,0,0,0,0,0,0,0,'und',0),('navigation',1266,0,'help/ah/search/%','help/ah/search/%','Search help','a:0:{}','system',0,0,0,0,0,1,0,1266,0,0,0,0,0,0,0,0,0,'und',0),('management',1267,648,'admin/structure/certificates/add','admin/structure/certificates/add','Create new certificate','a:0:{}','system',-1,0,0,0,0,4,0,1,20,648,1267,0,0,0,0,0,0,'und',0),('management',1268,1264,'admin/reports/libraries/%','admin/reports/libraries/%','Library status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Status overview for a single library\";}}','system',0,0,0,0,0,4,0,1,18,1264,1268,0,0,0,0,0,0,'und',0),('management',1269,51,'admin/config/search/menu_trail_by_path','admin/config/search/menu_trail_by_path','Menu trail by path','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Configure menu trail by path module.\";}}','system',0,0,0,0,0,4,0,1,8,51,1269,0,0,0,0,0,0,'und',0),('management',1270,657,'admin/course/object/display','admin/course/object/display','Manage display','a:0:{}','system',-1,0,0,0,2,4,0,1,641,657,1270,0,0,0,0,0,0,'und',0),('management',1271,662,'admin/course/report/display','admin/course/report/display','Manage display','a:0:{}','system',-1,0,0,0,2,4,0,1,641,662,1271,0,0,0,0,0,0,'und',0),('management',1272,657,'admin/course/object/fields','admin/course/object/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,4,0,1,641,657,1272,0,0,0,0,0,0,'und',0),('management',1273,662,'admin/course/report/fields','admin/course/report/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,4,0,1,641,662,1273,0,0,0,0,0,0,'und',0),('management',1274,315,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','a:0:{}','system',0,0,0,0,1,4,0,1,20,315,1274,0,0,0,0,0,0,'und',0),('management',1275,1270,'admin/course/object/display/default','admin/course/object/display/default','Default','a:0:{}','system',-1,0,0,0,-10,5,0,1,641,657,1270,1275,0,0,0,0,0,'und',0),('management',1276,1271,'admin/course/report/display/default','admin/course/report/display/default','Default','a:0:{}','system',-1,0,0,0,-10,5,0,1,641,662,1271,1276,0,0,0,0,0,'und',0),('management',1277,530,'admin/structure/banners/%/display','admin/structure/banners/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,527,530,1277,0,0,0,0,0,'und',0),('management',1278,1274,'admin/structure/field-collections/%/display','admin/structure/field-collections/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,315,1274,1278,0,0,0,0,0,'und',0),('management',1279,197,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,165,197,1279,0,0,0,0,0,'und',0),('management',1280,762,'admin/store/settings/orders/display','admin/store/settings/orders/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,735,738,762,1280,0,0,0,0,0,'und',0),('management',1281,63,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,46,63,1281,0,0,0,0,0,'und',0),('management',1282,530,'admin/structure/banners/%/fields','admin/structure/banners/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,527,530,1282,0,0,0,0,0,'und',0),('management',1283,1274,'admin/structure/field-collections/%/fields','admin/structure/field-collections/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,315,1274,1283,0,0,0,0,0,'und',0),('management',1284,197,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,165,197,1284,0,0,0,0,0,'und',0),('management',1285,762,'admin/store/settings/orders/fields','admin/store/settings/orders/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,735,738,762,1285,0,0,0,0,0,'und',0),('management',1286,63,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,46,63,1286,0,0,0,0,0,'und',0),('management',1287,1270,'admin/course/object/display/token','admin/course/object/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,5,0,1,641,657,1270,1287,0,0,0,0,0,'und',0),('management',1288,1271,'admin/course/report/display/token','admin/course/report/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,5,0,1,641,662,1271,1288,0,0,0,0,0,'und',0),('management',1289,1272,'admin/course/object/fields/%','admin/course/object/fields/%','','a:0:{}','system',0,0,0,0,0,5,0,1,641,657,1272,1289,0,0,0,0,0,'und',0),('management',1290,1273,'admin/course/report/fields/%','admin/course/report/fields/%','','a:0:{}','system',0,0,0,0,0,5,0,1,641,662,1273,1290,0,0,0,0,0,'und',0),('management',1291,1280,'admin/store/settings/orders/display/view','admin/store/settings/orders/display/view','Admin view','a:0:{}','system',-1,0,0,0,0,6,0,1,735,738,762,1280,1291,0,0,0,0,'und',0),('management',1292,1280,'admin/store/settings/orders/display/customer','admin/store/settings/orders/display/customer','Customer view','a:0:{}','system',-1,0,0,0,1,6,0,1,735,738,762,1280,1292,0,0,0,0,'und',0),('management',1293,1277,'admin/structure/banners/%/display/default','admin/structure/banners/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,527,530,1277,1293,0,0,0,0,'und',0),('management',1294,1278,'admin/structure/field-collections/%/display/default','admin/structure/field-collections/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,315,1274,1278,1294,0,0,0,0,'und',0),('management',1295,1279,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,165,197,1279,1295,0,0,0,0,'und',0),('management',1296,1280,'admin/store/settings/orders/display/default','admin/store/settings/orders/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,735,738,762,1280,1296,0,0,0,0,'und',0),('management',1297,1281,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,46,63,1281,1297,0,0,0,0,'und',0),('management',1298,1278,'admin/structure/field-collections/%/display/full','admin/structure/field-collections/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,315,1274,1278,1298,0,0,0,0,'und',0),('management',1299,712,'admin/course/enrollment-types/manage/%/display','admin/course/enrollment-types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,641,652,712,1299,0,0,0,0,0,'und',0),('management',1300,581,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter/subscribers/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,576,581,1300,0,0,0,0,'und',0),('management',1301,582,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter/templates/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,576,582,1301,0,0,0,0,'und',0),('management',1302,105,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,34,105,1302,0,0,0,0,0,'und',0),('management',1303,712,'admin/course/enrollment-types/manage/%/fields','admin/course/enrollment-types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,641,652,712,1303,0,0,0,0,0,'und',0),('management',1304,581,'admin/config/media/newsletter/subscribers/fields','admin/config/media/newsletter/subscribers/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,576,581,1304,0,0,0,0,'und',0),('management',1305,582,'admin/config/media/newsletter/templates/fields','admin/config/media/newsletter/templates/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,576,582,1305,0,0,0,0,'und',0),('management',1306,105,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,34,105,1306,0,0,0,0,0,'und',0),('management',1307,1278,'admin/structure/field-collections/%/display/print','admin/structure/field-collections/%/display/print','Print','a:0:{}','system',-1,0,0,0,1,6,0,1,20,315,1274,1278,1307,0,0,0,0,'und',0),('management',1308,1279,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,20,165,197,1279,1308,0,0,0,0,'und',0),('management',1309,1277,'admin/structure/banners/%/display/token','admin/structure/banners/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,527,530,1277,1309,0,0,0,0,'und',0),('management',1310,1278,'admin/structure/field-collections/%/display/token','admin/structure/field-collections/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,2,6,0,1,20,315,1274,1278,1310,0,0,0,0,'und',0),('management',1311,1279,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,165,197,1279,1311,0,0,0,0,'und',0),('management',1312,1280,'admin/store/settings/orders/display/token','admin/store/settings/orders/display/token','Tokens','a:0:{}','system',-1,0,0,0,2,6,0,1,735,738,762,1280,1312,0,0,0,0,'und',0),('management',1313,1281,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,46,63,1281,1313,0,0,0,0,'und',0),('management',1314,1281,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,8,46,63,1281,1314,0,0,0,0,'und',0),('management',1315,1277,'admin/structure/banners/%/display/full','admin/structure/banners/%/display/full','banners item page','a:0:{}','system',-1,0,0,0,0,6,0,1,20,527,530,1277,1315,0,0,0,0,'und',0),('management',1316,1290,'admin/course/report/fields/%/delete','admin/course/report/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,6,0,1,641,662,1273,1290,1316,0,0,0,0,'und',0),('management',1317,1282,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,527,530,1282,1317,0,0,0,0,'und',0),('management',1318,1290,'admin/course/report/fields/%/edit','admin/course/report/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,6,0,1,641,662,1273,1290,1318,0,0,0,0,'und',0),('management',1319,1289,'admin/course/object/fields/%/delete','admin/course/object/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,6,0,1,641,657,1272,1289,1319,0,0,0,0,'und',0),('management',1320,1289,'admin/course/object/fields/%/edit','admin/course/object/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,6,0,1,641,657,1272,1289,1320,0,0,0,0,'und',0),('management',1321,1289,'admin/course/object/fields/%/field-settings','admin/course/object/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,6,0,1,641,657,1272,1289,1321,0,0,0,0,'und',0),('management',1322,1289,'admin/course/object/fields/%/translate','admin/course/object/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,6,0,1,641,657,1272,1289,1322,0,0,0,0,'und',0),('management',1323,1289,'admin/course/object/fields/%/widget-type','admin/course/object/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,6,0,1,641,657,1272,1289,1323,0,0,0,0,'und',0),('management',1324,1290,'admin/course/report/fields/%/field-settings','admin/course/report/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,6,0,1,641,662,1273,1290,1324,0,0,0,0,'und',0),('management',1325,1290,'admin/course/report/fields/%/translate','admin/course/report/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,6,0,1,641,662,1273,1290,1325,0,0,0,0,'und',0),('management',1326,1290,'admin/course/report/fields/%/widget-type','admin/course/report/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,6,0,1,641,662,1273,1290,1326,0,0,0,0,'und',0),('management',1327,1283,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,315,1274,1283,1327,0,0,0,0,'und',0),('management',1328,1284,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,165,197,1284,1328,0,0,0,0,'und',0),('management',1329,1285,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,762,1285,1329,0,0,0,0,'und',0),('management',1330,1286,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,46,63,1286,1330,0,0,0,0,'und',0),('management',1331,799,'admin/store/settings/orders/products/display/cart','admin/store/settings/orders/products/display/cart','Cart view','a:0:{}','system',-1,0,0,0,1,6,0,1,735,738,762,799,1331,0,0,0,0,'und',0),('management',1332,1299,'admin/course/enrollment-types/manage/%/display/default','admin/course/enrollment-types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,641,652,712,1299,1332,0,0,0,0,'und',0),('management',1333,1300,'admin/config/media/newsletter/subscribers/display/default','admin/config/media/newsletter/subscribers/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,576,581,1300,1333,0,0,0,'und',0),('management',1334,1301,'admin/config/media/newsletter/templates/display/default','admin/config/media/newsletter/templates/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,576,582,1301,1334,0,0,0,'und',0),('management',1335,1302,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,34,105,1302,1335,0,0,0,0,'und',0),('management',1336,799,'admin/store/settings/orders/products/display/default','admin/store/settings/orders/products/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,735,738,762,799,1336,0,0,0,0,'und',0),('management',1337,1302,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,34,105,1302,1337,0,0,0,0,'und',0),('management',1338,799,'admin/store/settings/orders/products/display/full','admin/store/settings/orders/products/display/full','Normal view','a:0:{}','system',-1,0,0,0,0,6,0,1,735,738,762,799,1338,0,0,0,0,'und',0),('management',1339,1302,'admin/structure/types/manage/%/display/print','admin/structure/types/manage/%/display/print','Print','a:0:{}','system',-1,0,0,0,5,6,0,1,20,34,105,1302,1339,0,0,0,0,'und',0),('management',1340,1302,'admin/structure/types/manage/%/display/question','admin/structure/types/manage/%/display/question','Question','a:0:{}','system',-1,0,0,0,6,6,0,1,20,34,105,1302,1340,0,0,0,0,'und',0),('management',1341,1302,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,20,34,105,1302,1341,0,0,0,0,'und',0),('management',1342,1302,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,20,34,105,1302,1342,0,0,0,0,'und',0),('management',1343,1302,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,20,34,105,1302,1343,0,0,0,0,'und',0),('management',1344,1302,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,20,34,105,1302,1344,0,0,0,0,'und',0),('management',1345,1299,'admin/course/enrollment-types/manage/%/display/token','admin/course/enrollment-types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,1,641,652,712,1299,1345,0,0,0,0,'und',0),('management',1346,1300,'admin/config/media/newsletter/subscribers/display/token','admin/config/media/newsletter/subscribers/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,576,581,1300,1346,0,0,0,'und',0),('management',1347,1301,'admin/config/media/newsletter/templates/display/token','admin/config/media/newsletter/templates/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,576,582,1301,1347,0,0,0,'und',0),('management',1348,1302,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,7,6,0,1,20,34,105,1302,1348,0,0,0,0,'und',0),('management',1349,799,'admin/store/settings/orders/products/display/token','admin/store/settings/orders/products/display/token','Tokens','a:0:{}','system',-1,0,0,0,2,6,0,1,735,738,762,799,1349,0,0,0,0,'und',0),('management',1350,1303,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,641,652,712,1303,1350,0,0,0,0,'und',0),('management',1351,1327,'admin/structure/field-collections/%/fields/%/delete','admin/structure/field-collections/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,315,1274,1283,1327,1351,0,0,0,'und',0),('management',1352,1317,'admin/structure/banners/%/fields/%/delete','admin/structure/banners/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,527,530,1282,1317,1352,0,0,0,'und',0),('management',1353,1317,'admin/structure/banners/%/fields/%/edit','admin/structure/banners/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,527,530,1282,1317,1353,0,0,0,'und',0),('management',1354,1317,'admin/structure/banners/%/fields/%/field-settings','admin/structure/banners/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,527,530,1282,1317,1354,0,0,0,'und',0),('management',1355,1317,'admin/structure/banners/%/fields/%/translate','admin/structure/banners/%/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,20,527,530,1282,1317,1355,0,0,0,'und',0),('management',1356,1317,'admin/structure/banners/%/fields/%/widget-type','admin/structure/banners/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,527,530,1282,1317,1356,0,0,0,'und',0),('management',1357,1327,'admin/structure/field-collections/%/fields/%/edit','admin/structure/field-collections/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,315,1274,1283,1327,1357,0,0,0,'und',0),('management',1358,1327,'admin/structure/field-collections/%/fields/%/field-settings','admin/structure/field-collections/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,315,1274,1283,1327,1358,0,0,0,'und',0),('management',1359,1327,'admin/structure/field-collections/%/fields/%/translate','admin/structure/field-collections/%/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,20,315,1274,1283,1327,1359,0,0,0,'und',0),('management',1360,1327,'admin/structure/field-collections/%/fields/%/widget-type','admin/structure/field-collections/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,315,1274,1283,1327,1360,0,0,0,'und',0),('management',1361,1304,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,576,581,1304,1361,0,0,0,'und',0),('management',1362,1305,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,576,582,1305,1362,0,0,0,'und',0),('management',1363,1306,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,34,105,1306,1363,0,0,0,0,'und',0),('management',1364,1328,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,165,197,1284,1328,1364,0,0,0,'und',0),('management',1365,1328,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,165,197,1284,1328,1365,0,0,0,'und',0),('management',1366,1328,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,165,197,1284,1328,1366,0,0,0,'und',0),('management',1367,1328,'admin/structure/taxonomy/%/fields/%/translate','admin/structure/taxonomy/%/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,20,165,197,1284,1328,1367,0,0,0,'und',0),('management',1368,1328,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,165,197,1284,1328,1368,0,0,0,'und',0),('management',1369,1329,'admin/store/settings/orders/fields/%/delete','admin/store/settings/orders/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,735,738,762,1285,1329,1369,0,0,0,'und',0),('management',1370,1329,'admin/store/settings/orders/fields/%/edit','admin/store/settings/orders/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,1285,1329,1370,0,0,0,'und',0),('management',1371,1329,'admin/store/settings/orders/fields/%/field-settings','admin/store/settings/orders/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,1285,1329,1371,0,0,0,'und',0),('management',1372,1329,'admin/store/settings/orders/fields/%/translate','admin/store/settings/orders/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,1285,1329,1372,0,0,0,'und',0),('management',1373,1329,'admin/store/settings/orders/fields/%/widget-type','admin/store/settings/orders/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,1285,1329,1373,0,0,0,'und',0),('management',1374,801,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,735,738,762,801,1374,0,0,0,0,'und',0),('management',1375,1330,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,46,63,1286,1330,1375,0,0,0,'und',0),('management',1376,1330,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,63,1286,1330,1376,0,0,0,'und',0),('management',1377,1330,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,63,1286,1330,1377,0,0,0,'und',0),('management',1378,1330,'admin/config/people/accounts/fields/%/translate','admin/config/people/accounts/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,63,1286,1330,1378,0,0,0,'und',0),('management',1379,1330,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,63,1286,1330,1379,0,0,0,'und',0),('management',1380,144,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,34,105,144,1380,0,0,0,0,'und',0),('management',1381,144,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,20,34,105,144,1381,0,0,0,0,'und',0),('management',1382,144,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,34,105,144,1382,0,0,0,0,'und',0),('management',1383,145,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,34,105,145,1383,0,0,0,0,'und',0),('management',1384,1350,'admin/course/enrollment-types/manage/%/fields/%/delete','admin/course/enrollment-types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,641,652,712,1303,1350,1384,0,0,0,'und',0),('management',1385,1350,'admin/course/enrollment-types/manage/%/fields/%/edit','admin/course/enrollment-types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,641,652,712,1303,1350,1385,0,0,0,'und',0),('management',1386,1350,'admin/course/enrollment-types/manage/%/fields/%/field-settings','admin/course/enrollment-types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,641,652,712,1303,1350,1386,0,0,0,'und',0),('management',1387,1350,'admin/course/enrollment-types/manage/%/fields/%/translate','admin/course/enrollment-types/manage/%/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,641,652,712,1303,1350,1387,0,0,0,'und',0),('management',1388,1350,'admin/course/enrollment-types/manage/%/fields/%/widget-type','admin/course/enrollment-types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,641,652,712,1303,1350,1388,0,0,0,'und',0),('management',1389,1361,'admin/config/media/newsletter/subscribers/fields/%/delete','admin/config/media/newsletter/subscribers/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,576,581,1304,1361,1389,0,0,'und',0),('management',1390,1361,'admin/config/media/newsletter/subscribers/fields/%/edit','admin/config/media/newsletter/subscribers/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,581,1304,1361,1390,0,0,'und',0),('management',1391,1361,'admin/config/media/newsletter/subscribers/fields/%/field-settings','admin/config/media/newsletter/subscribers/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,581,1304,1361,1391,0,0,'und',0),('management',1392,1361,'admin/config/media/newsletter/subscribers/fields/%/translate','admin/config/media/newsletter/subscribers/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,581,1304,1361,1392,0,0,'und',0),('management',1393,1361,'admin/config/media/newsletter/subscribers/fields/%/widget-type','admin/config/media/newsletter/subscribers/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,581,1304,1361,1393,0,0,'und',0),('management',1394,1362,'admin/config/media/newsletter/templates/fields/%/delete','admin/config/media/newsletter/templates/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,576,582,1305,1362,1394,0,0,'und',0),('management',1395,1362,'admin/config/media/newsletter/templates/fields/%/edit','admin/config/media/newsletter/templates/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,582,1305,1362,1395,0,0,'und',0),('management',1396,1362,'admin/config/media/newsletter/templates/fields/%/field-settings','admin/config/media/newsletter/templates/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,582,1305,1362,1396,0,0,'und',0),('management',1397,1362,'admin/config/media/newsletter/templates/fields/%/translate','admin/config/media/newsletter/templates/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,582,1305,1362,1397,0,0,'und',0),('management',1398,1362,'admin/config/media/newsletter/templates/fields/%/widget-type','admin/config/media/newsletter/templates/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,576,582,1305,1362,1398,0,0,'und',0),('management',1399,1363,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,34,105,1306,1363,1399,0,0,0,'und',0),('management',1400,1363,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,1306,1363,1400,0,0,0,'und',0),('management',1401,1363,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,1306,1363,1401,0,0,0,'und',0),('management',1402,1363,'admin/structure/types/manage/%/fields/%/translate','admin/structure/types/manage/%/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,1306,1363,1402,0,0,0,'und',0),('management',1403,1363,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,1306,1363,1403,0,0,0,'und',0),('management',1404,1374,'admin/store/settings/orders/products/fields/%/delete','admin/store/settings/orders/products/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,735,738,762,801,1374,1404,0,0,0,'und',0),('management',1405,1374,'admin/store/settings/orders/products/fields/%/edit','admin/store/settings/orders/products/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,801,1374,1405,0,0,0,'und',0),('management',1406,1374,'admin/store/settings/orders/products/fields/%/field-settings','admin/store/settings/orders/products/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,801,1374,1406,0,0,0,'und',0),('management',1407,1374,'admin/store/settings/orders/products/fields/%/translate','admin/store/settings/orders/products/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,801,1374,1407,0,0,0,'und',0),('management',1408,1374,'admin/store/settings/orders/products/fields/%/widget-type','admin/store/settings/orders/products/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,735,738,762,801,1374,1408,0,0,0,'und',0),('management',1409,1383,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,34,105,145,1383,1409,0,0,0,'und',0),('management',1410,1383,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,145,1383,1410,0,0,0,'und',0),('management',1411,1383,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,145,1383,1411,0,0,0,'und',0),('management',1412,1383,'admin/structure/types/manage/%/comment/fields/%/translate','admin/structure/types/manage/%/comment/fields/%/translate','Translate','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,145,1383,1412,0,0,0,'und',0),('management',1413,1383,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,34,105,145,1383,1413,0,0,0,'und',0),('management',1414,438,'admin/structure/panels/layouts','admin/structure/panels/layouts','Layouts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Add, edit or delete custom content layouts.\";}}','system',-1,0,0,0,0,4,0,1,20,438,1414,0,0,0,0,0,0,'und',0),('management',1415,1414,'admin/structure/panels/layouts/add-flexible','admin/structure/panels/layouts/add-flexible','Add flexible layout','a:0:{}','system',-1,0,0,0,0,5,0,1,20,438,1414,1415,0,0,0,0,0,'und',0),('management',1416,1414,'admin/structure/panels/layouts/import','admin/structure/panels/layouts/import','Import','a:0:{}','system',-1,0,0,0,0,5,0,1,20,438,1414,1416,0,0,0,0,0,'und',0),('management',1417,1414,'admin/structure/panels/layouts/list','admin/structure/panels/layouts/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,438,1414,1417,0,0,0,0,0,'und',0),('management',1418,1417,'admin/structure/panels/layouts/list/%/edit','admin/structure/panels/layouts/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,438,1414,1417,1418,0,0,0,0,'und',0),('management',1419,1417,'admin/structure/panels/layouts/list/%/export','admin/structure/panels/layouts/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,6,0,1,20,438,1414,1417,1419,0,0,0,0,'und',0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/educational','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/educational/educational.info\";s:4:\"name\";s:11:\"educational\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Educational\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:27:{s:17:\"panel_mobile_menu\";s:17:\"Panel Mobile Menu\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:3:{s:10:\"aquamarine\";s:10:\"Aquamarine\";s:5:\"green\";s:5:\"Green\";s:10:\"strawberry\";s:10:\"Strawberry\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:10:\"screenshot\";s:43:\"sites/all/themes/educational/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:11:\"educational\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Educational','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/edustation','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/edustation/edustation.info\";s:4:\"name\";s:10:\"edustation\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Edustation\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:26:{s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";}s:5:\"skins\";a:7:{s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"brown\";s:5:\"Brown\";}s:10:\"screenshot\";s:42:\"sites/all/themes/edustation/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"edustation\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Edustation','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/webform','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:22:\"webform_admin_settings\";}','',15,4,0,'','admin/config/content/webform','Webform settings','t','','','a:0:{}',6,'Global configuration of webform functionality.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/config/date','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/date','Date API','t','','','a:0:{}',6,'Settings for modules the use the Date API.','left',-10,'modules/system/system.admin.inc'),('admin/config/date/date_popup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"date_popup_settings\";}','',15,4,0,'','admin/config/date/date_popup','Date Popup','t','','','a:0:{}',6,'Configure the Date Popup settings.','',0,''),('admin/config/date/tools','','','user_access','a:1:{i:0;s:21:\"administer date tools\";}','date_tools_page','a:0:{}','',15,4,0,'','admin/config/date/tools','Date Tools','t','','','a:0:{}',6,'Date Wizard and other tools to manage and create dates and calendars. ','',0,''),('admin/config/date/tools/about','','','user_access','a:1:{i:0;s:21:\"administer date tools\";}','date_tools_page','a:0:{}','',31,5,1,'admin/config/date/tools','admin/config/date/tools','About','t','','','a:0:{}',140,'Date Wizard and other tools to manage and create dates and calendars. ','',-5,''),('admin/config/date/tools/date_wizard','','','user_access','a:1:{i:0;s:21:\"administer date tools\";}','drupal_get_form','a:1:{i:0;s:22:\"date_tools_wizard_form\";}','',31,5,1,'admin/config/date/tools','admin/config/date/tools','Date wizard','t','','','a:0:{}',132,'Easy creation of date content types and calendars. ','',1,'sites/all/modules/date/date_tools/date_tools.wizard.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/development/strongarm','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"strongarm_admin_form\";}','',15,4,0,'','admin/config/development/strongarm','Strongarm','t','','','a:0:{}',6,'Manage Drupal variable settings that have been strongarmed.','',0,'sites/all/modules/strongarm/strongarm.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/chart','','','user_access','a:1:{i:0;s:16:\"administer chart\";}','drupal_get_form','a:1:{i:0;s:14:\"chart_settings\";}','',15,4,0,'','admin/config/media/chart','Chart','t','','','a:0:{}',6,'Modify chart settings.','',0,''),('admin/config/media/colorbox','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"colorbox_admin_settings\";}','',15,4,0,'','admin/config/media/colorbox','Colorbox','t','','','a:0:{}',6,'Adjust Colorbox settings.','',0,'sites/all/modules/colorbox/colorbox.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/flexslider','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',15,4,0,'','admin/config/media/flexslider','FlexSlider','t','','','a:0:{}',6,'Administer FlexSlider presets.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/advanced','','','user_access','a:1:{i:0;s:21:\"administer flexslider\";}','drupal_get_form','a:1:{i:0;s:24:\"flexslider_form_settings\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Advanced settings','t','','','a:0:{}',132,'Configure the advanced flexslider module settings.','',2,'sites/all/modules/flexslider/flexslider.admin.inc'),('admin/config/media/flexslider/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',62,6,0,'','admin/config/media/flexslider/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/clone','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/delete','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/disable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/edit','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/enable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/export','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/revert','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"revert\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/imce','','','user_access','a:1:{i:0;s:15:\"administer imce\";}','imce_admin','a:0:{}','',15,4,0,'','admin/config/media/imce','IMCE','t','','','a:0:{}',6,'Control how your image/file browser works.','',0,'sites/all/modules/imce/inc/imce.admin.inc'),('admin/config/media/imce/profile','','','user_access','a:1:{i:0;s:15:\"administer imce\";}','imce_profile_operations','a:0:{}','',31,5,0,'','admin/config/media/imce/profile','Add new profile','t','','','a:0:{}',4,'','',0,'sites/all/modules/imce/inc/imce.admin.inc'),('admin/config/media/newsletter','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',15,4,0,'','admin/config/media/newsletter','Newsletters','t','','','a:0:{}',6,'Manage newsletters, subscribers, and settings.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/archive','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:28:\"access newsletter statistics\";}}}','views_page','a:2:{i:0;s:18:\"newsletter_archive\";i:1;s:4:\"page\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Issue archive','t','','','a:0:{}',132,'','',1,''),('admin/config/media/newsletter/configure','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:20:\"newsletter_configure\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Settings','t','','','a:0:{}',132,'Configure newsletter lists.','',5,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_draft_manual_list','a:0:{}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Create/Send','t','','','a:0:{}',132,'Create custom static newsletters and send non-automated ones','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/%','a:1:{i:6;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_form_send_draft\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/draft/%','Send a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_form_delete_draft\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/draft/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/new','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:22:\"newsletter_create_send\";}','',63,6,1,'admin/config/media/newsletter/create-send','admin/config/media/newsletter','Create and send a custom newsletter','t','','','a:0:{}',388,'Create a custom static newsletter','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/newsletter/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:33:\"newsletter_form_delete_newsletter\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/newsletter/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/send/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_manual_send','a:1:{i:0;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/send/%','Send a manual newsletter','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:15:\"newsletter_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Lists','t','','','a:0:{}',132,'Find and manage newsletter lists.','',2,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_list_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/lists','admin/config/media/newsletter','Add new list','t','','','a:0:{}',388,'Add new newsletter list.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/delete/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_list_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/delete/%','Delete newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/edit/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:20:\"newsletter_list_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/edit/%','Edit newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Statistics','t','','','a:0:{}',140,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/general','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','General','t','','','a:0:{}',140,'Watch general statistics.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/graphic','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','newsletter_stats_graphic','a:0:{}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','Graphic','t','','','a:0:{}',132,'Watch advanced JQuery statistics.','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:26:\"newsletter_subscriber_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Subscribers','t','','','a:0:{}',132,'List subscribers.','',3,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_subscriber_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add new subscriber','t','','','a:0:{}',388,'Add new list subscriber.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add-mass','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:30:\"newsletter_subscriber_add_mass\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add subscribers (Mass)','t','','','a:0:{}',388,'Add subscribers.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/delete/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_subscriber_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/delete/%','Delete subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/edit/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_subscriber_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/edit/%','Edit newsletter subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/translate','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','i18n_field_page_translate','a:1:{i:0;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/media/newsletter/subscribers/fields/%/translate/%','a:2:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:8;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','i18n_field_page_translate','a:2:{i:0;i:6;i:1;i:8;}','',506,9,0,'','admin/config/media/newsletter/subscribers/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/media/newsletter/subscribers/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/subscribers/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/subscribers/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/subscribers/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Templates','t','','','a:0:{}',132,'Administer newsletter templates.','',4,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/confirmation','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"1\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Confirmation','t','','','a:0:{}',132,'Edit confirmation template.','',-9,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/delete/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_template_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/delete/%','Delete newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/edit/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:24:\"newsletter_template_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/edit/%','Edit newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/translate','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','i18n_field_page_translate','a:1:{i:0;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/media/newsletter/templates/fields/%/translate/%','a:2:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:8;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','i18n_field_page_translate','a:2:{i:0;i:6;i:1;i:8;}','',506,9,0,'','admin/config/media/newsletter/templates/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/media/newsletter/templates/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/templates/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/templates/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates/mail','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Mail templates','t','','','a:0:{}',140,'Administer mail templates.','',-10,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/mail/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_template_add','a:0:{}','',127,7,1,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter','Add new mail template','t','','','a:0:{}',388,'Administer mail templates.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/unsubscribe','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"3\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Unsubscribe','t','','','a:0:{}',132,'Edit unsubscribe template.','',-7,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/welcome','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"2\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Welcome','t','','','a:0:{}',132,'Edit welcome template.','',-8,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/socialfield','','','user_access','a:1:{i:0;s:13:\"view services\";}','socialfield_settings','a:0:{}','',15,4,0,'','admin/config/media/socialfield','Social field','t','','','a:0:{}',6,'Social field settings','',0,''),('admin/config/media/socialfield/%/delete','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:18:\"delete any service\";}','drupal_get_form','a:2:{i:0;s:26:\"socialfield_delete_service\";i:1;i:4;}','',61,6,0,'','admin/config/media/socialfield/%/delete','Delete service','t','','','a:0:{}',6,'','',0,''),('admin/config/media/socialfield/%/edit','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:16:\"edit any service\";}','drupal_get_form','a:2:{i:0;s:24:\"socialfield_edit_service\";i:1;i:4;}','',61,6,0,'','admin/config/media/socialfield/%/edit','Edit service','t','','','a:0:{}',6,'','',0,''),('admin/config/media/socialfield/add','','','user_access','a:1:{i:0;s:18:\"create new service\";}','drupal_get_form','a:1:{i:0;s:23:\"socialfield_add_service\";}','',31,5,1,'admin/config/media/socialfield','admin/config/media/socialfield','Add new service','t','','','a:0:{}',388,'','',0,''),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/translate','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','i18n_field_page_translate','a:1:{i:0;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/people/accounts/fields/%/translate/%','a:2:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','i18n_field_page_translate','a:2:{i:0;i:5;i:1;i:7;}','',250,8,0,'','admin/config/people/accounts/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/people/signup','','','user_access','a:1:{i:0;s:22:\"administer all signups\";}','drupal_get_form','a:1:{i:0;s:20:\"signup_settings_form\";}','',15,4,0,'','admin/config/people/signup','Signup settings','t','','','a:0:{}',6,'Configure settings for signups.','',0,'sites/all/modules/signup/includes/admin.settings.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/date-views','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"date_views_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Date views','t','','','a:0:{}',132,'Configure settings for date views.','',0,''),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/i18n','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:20:\"variable_module_form\";i:1;s:4:\"i18n\";}','',15,4,0,'','admin/config/regional/i18n','Multilingual settings','t','','','a:0:{}',6,'Configure extended options for multilingual content and translations.','',10,''),('admin/config/regional/i18n/configure','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:20:\"variable_module_form\";i:1;s:4:\"i18n\";}','',31,5,1,'admin/config/regional/i18n','admin/config/regional/i18n','Multilingual system','t','','','a:0:{}',140,'Configure extended options for multilingual content and translations.','',0,''),('admin/config/regional/i18n/node','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:19:\"variable_group_form\";i:1;s:9:\"i18n_node\";}','',31,5,1,'admin/config/regional/i18n','admin/config/regional/i18n','Node options','t','','','a:0:{}',132,'Configure extended options for multilingual content and translations.','',10,''),('admin/config/regional/i18n/select','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:26:\"i18n_select_admin_settings\";}','',31,5,1,'admin/config/regional/i18n','admin/config/regional/i18n','Selection','t','','','a:0:{}',132,'Configure extended options for multilingual content and translations.','',0,'sites/all/modules/i18n/i18n_select/i18n_select.admin.inc'),('admin/config/regional/i18n/strings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:18:\"variable_edit_form\";i:1;a:2:{i:0;s:27:\"i18n_string_allowed_formats\";i:1;s:27:\"i18n_string_source_language\";}}','',31,5,1,'admin/config/regional/i18n','admin/config/regional/i18n','Strings','t','','','a:0:{}',132,'Options for user defined strings.','',20,''),('admin/config/regional/i18n/variable','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:36:\"variable_realm_select_variables_form\";i:1;s:8:\"language\";}','',31,5,1,'admin/config/regional/i18n','admin/config/regional/i18n','Variables','t','','','a:0:{}',132,'Configure multilingual variables.','',0,'sites/all/modules/variable/variable_realm/variable_realm.form.inc'),('admin/config/regional/i18n_translation','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','i18n_translation_admin_overview','a:0:{}','',15,4,0,'','admin/config/regional/i18n_translation','Translation sets','t','','','a:0:{}',6,'Translation sets overview.','',10,'sites/all/modules/i18n/i18n_translation/i18n_translation.admin.inc'),('admin/config/regional/i18n_translation/configure','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','i18n_translation_admin_overview','a:0:{}','',31,5,1,'admin/config/regional/i18n_translation','admin/config/regional/i18n_translation','Translation sets','t','','','a:0:{}',140,'Overview of existing translation sets.','',0,'sites/all/modules/i18n/i18n_translation/i18n_translation.admin.inc'),('admin/config/regional/i18n_translation/path','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','i18n_path_admin_overview','a:0:{}','',31,5,1,'admin/config/regional/i18n_translation','admin/config/regional/i18n_translation','Paths','t','','','a:0:{}',132,'Path translation.','',10,'sites/all/modules/i18n/i18n_path/i18n_path.admin.inc'),('admin/config/regional/i18n_translation/path/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"i18n_path_admin_form\";}','',63,6,1,'admin/config/regional/i18n_translation/path','admin/config/regional/i18n_translation','Add path translation','t','','','a:0:{}',388,'','',0,'sites/all/modules/i18n/i18n_path/i18n_path.admin.inc'),('admin/config/regional/i18n_translation/path/delete/%','a:1:{i:6;s:30:\"i18n_path_translation_set_load\";}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"i18n_translation_set_delete_confirm\";i:1;i:6;}','',126,7,2,'admin/config/regional/i18n_translation/path','admin/config/regional/i18n_translation','Delete path translation','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_path/i18n_path.admin.inc'),('admin/config/regional/i18n_translation/path/edit/%','a:1:{i:6;s:30:\"i18n_path_translation_set_load\";}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:20:\"i18n_path_admin_form\";i:1;i:6;}','',126,7,2,'admin/config/regional/i18n_translation/path','admin/config/regional/i18n_translation','Edit path translation','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_path/i18n_path.admin.inc'),('admin/config/regional/i18n_translation/path/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','i18n_path_admin_overview','a:0:{}','',63,6,1,'admin/config/regional/i18n_translation/path','admin/config/regional/i18n_translation','Paths','t','','','a:0:{}',140,'','',-10,'sites/all/modules/i18n/i18n_path/i18n_path.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/icons','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:28:\"languageicons_admin_settings\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Icons','t','','','a:0:{}',132,'','',10,'sites/all/modules/languageicons/languageicons.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:38:\"i18n_string_locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'sites/all/modules/i18n/i18n_string/i18n_string.pages.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/i18n_string','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:30:\"i18n_string_admin_refresh_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Strings','t','','','a:0:{}',132,'Refresh user defined strings.','',20,'sites/all/modules/i18n/i18n_string/i18n_string.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/menu_trail_by_path','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"menu_trail_by_path_form\";}','',15,4,0,'','admin/config/search/menu_trail_by_path','Menu trail by path','t','','','a:0:{}',6,'Configure menu trail by path module.','',0,'sites/all/modules/menu_trail_by_path/menu_trail_by_path.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk generate','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/follow','','','user_access','a:1:{i:0;s:22:\"edit site follow links\";}','drupal_get_form','a:1:{i:0;s:17:\"follow_links_form\";}','',15,4,0,'','admin/config/services/follow','Follow','t','','','a:0:{}',6,'Configure the site-wide web service follow links.','',0,''),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/services/services-security','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"services_security_admin_form\";}','',15,4,0,'','admin/config/services/services-security','Services Security update','t','','','a:0:{}',6,'Services module security updates','',0,'sites/all/modules/services/services.admin.inc'),('admin/config/services/uuid-services','','','user_access','a:1:{i:0;s:19:\"administer services\";}','drupal_get_form','a:1:{i:0;s:22:\"uuid_services_settings\";}','',15,4,0,'','admin/config/services/uuid-services','UUID Services','t','','','a:0:{}',6,'Configure settings for UUID Services.','',0,'sites/all/modules/uuid/uuid_services/uuid_services.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/system/statistics','','','user_access','a:1:{i:0;s:21:\"administer statistics\";}','drupal_get_form','a:1:{i:0;s:24:\"statistics_settings_form\";}','',15,4,0,'','admin/config/system/statistics','Statistics','t','','','a:0:{}',6,'Control details about what and how your site logs access statistics.','',-15,'modules/statistics/statistics.admin.inc'),('admin/config/system/uuid','','','user_access','a:1:{i:0;s:15:\"administer uuid\";}','drupal_get_form','a:1:{i:0;s:15:\"uuid_admin_form\";}','',15,4,0,'','admin/config/system/uuid','Universally unique identifiers','t','','','a:0:{}',6,'Configure universally unique identifiers.','',0,'sites/all/modules/uuid/uuid.admin.inc'),('admin/config/system/variable','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','variable_admin_page_group','a:0:{}','',15,4,0,'','admin/config/system/variable','Variables','t','','','a:0:{}',6,'Variable settings for mixed modules.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/edit/%','a:1:{i:5;N;}','','variable_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"variable_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/variable/edit/%','Edit variable','t','','','a:0:{}',6,'','',0,''),('admin/config/system/variable/group','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','variable_admin_page_group','a:0:{}','',31,5,1,'admin/config/system/variable','admin/config/system/variable','Groups','t','','','a:0:{}',140,'Variables per group.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/module','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','variable_admin_page_module','a:0:{}','',31,5,1,'admin/config/system/variable','admin/config/system/variable','Modules','t','','','a:0:{}',132,'Variables per module.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/realm','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"variable_admin_realm_overview\";}','',31,5,1,'admin/config/system/variable','admin/config/system/variable','Realms','t','','','a:0:{}',132,'Configure realms.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/realm/%/configure','a:1:{i:5;N;}','','variable_admin_realm_access','a:2:{i:0;i:5;i:1;s:6:\"select\";}','drupal_get_form','a:2:{i:0;s:36:\"variable_realm_select_variables_form\";i:1;i:5;}','',125,7,0,'','admin/config/system/variable/realm/%/configure','Configure','t','','','a:0:{}',6,'Configure realm variables.','',0,'sites/all/modules/variable/variable_realm/variable_realm.form.inc'),('admin/config/system/variable/realm/%/edit','a:1:{i:5;N;}','','variable_admin_realm_access','a:2:{i:0;i:5;i:1;s:6:\"select\";}','variable_admin_realm_edit','a:1:{i:0;i:5;}','',125,7,0,'','admin/config/system/variable/realm/%/edit','Edit','t','','','a:0:{}',6,'Edit realm variables.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/realm/global','','','variable_admin_realm_access','a:1:{i:0;s:6:\"global\";}','variable_admin_realm_info','a:1:{i:0;s:6:\"global\";}','',63,6,1,'admin/config/system/variable/realm','admin/config/system/variable','','variable_admin_realm_title','a:1:{i:0;s:6:\"global\";}','','a:0:{}',132,'Configure realm variables.','',0,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/realm/language','','','variable_admin_realm_access','a:1:{i:0;s:8:\"language\";}','variable_admin_realm_info','a:1:{i:0;s:8:\"language\";}','',63,6,1,'admin/config/system/variable/realm','admin/config/system/variable','','variable_admin_realm_title','a:1:{i:0;s:8:\"language\";}','','a:0:{}',132,'Configure realm variables.','',1,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/system/variable/realm/overview','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"variable_admin_realm_overview\";}','',63,6,1,'admin/config/system/variable/realm','admin/config/system/variable','Overview','t','','','a:0:{}',140,'Configure realms.','',-10,'sites/all/modules/variable/variable_admin/variable_admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/blockify','','','user_access','a:1:{i:0;s:19:\"administer blockify\";}','drupal_get_form','a:1:{i:0;s:23:\"blockify_admin_settings\";}','',15,4,0,'','admin/config/user-interface/blockify','Blockify','t','','','a:0:{}',6,'Settings for the Blockify module.','',0,'sites/all/modules/blockify/blockify.admin.inc'),('admin/config/user-interface/menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:30:\"menu_block_admin_settings_form\";}','',15,4,0,'','admin/config/user-interface/menu-block','Menu block','t','','','a:0:{}',6,'Configure menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/print','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:19:\"print_html_settings\";}','',15,4,0,'','admin/config/user-interface/print','Printer, email and PDF versions','t','','','a:0:{}',6,'Adds a printer-friendly version link to content and administrative pages.','',0,'sites/all/modules/print/print.admin.inc'),('admin/config/user-interface/print/common','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:19:\"print_main_settings\";}','',31,5,1,'admin/config/user-interface/print','admin/config/user-interface/print','Settings','t','','','a:0:{}',132,'Settings for the common functionalities for all the print sub-modules.','',10,'sites/all/modules/print/print.admin.inc'),('admin/config/user-interface/print/epub','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:19:\"print_epub_settings\";}','',31,5,1,'admin/config/user-interface/print','admin/config/user-interface/print','EPUB','t','','','a:0:{}',132,'Configure the settings of the EPUB generation functionality.','',3,'sites/all/modules/print/print_epub/print_epub.admin.inc'),('admin/config/user-interface/print/epub/options','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:19:\"print_epub_settings\";}','',63,6,1,'admin/config/user-interface/print/epub','admin/config/user-interface/print','Options','t','','','a:0:{}',140,'','',-1,'sites/all/modules/print/print_epub/print_epub.admin.inc'),('admin/config/user-interface/print/html','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:19:\"print_html_settings\";}','',31,5,1,'admin/config/user-interface/print','admin/config/user-interface/print','Web page','t','','','a:0:{}',140,'','',1,'sites/all/modules/print/print.admin.inc'),('admin/config/user-interface/print/pdf','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:18:\"print_pdf_settings\";}','',31,5,1,'admin/config/user-interface/print','admin/config/user-interface/print','PDF','t','','','a:0:{}',132,'Configure the settings of the PDF generation functionality.','',3,'sites/all/modules/print/print_pdf/print_pdf.admin.inc'),('admin/config/user-interface/print/pdf/options','','','user_access','a:1:{i:0;s:16:\"administer print\";}','drupal_get_form','a:1:{i:0;s:18:\"print_pdf_settings\";}','',63,6,1,'admin/config/user-interface/print/pdf','admin/config/user-interface/print','Options','t','','','a:0:{}',140,'','',-1,'sites/all/modules/print/print_pdf/print_pdf.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/config/workflow/rules/autocomplete_tags','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','rules_autocomplete_tags','a:1:{i:0;i:5;}','',31,5,0,'','admin/config/workflow/rules/autocomplete_tags','Rules tags autocomplete','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/upgrade','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:18:\"rules_upgrade_form\";}','',31,5,0,'','admin/config/workflow/rules/upgrade','Upgrade','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/includes/rules.upgrade.inc'),('admin/config/workflow/rules/upgrade/clear','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:32:\"rules_upgrade_confirm_clear_form\";}','',63,6,0,'','admin/config/workflow/rules/upgrade/clear','Clear','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/includes/rules.upgrade.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/book','','','user_access','a:1:{i:0;s:24:\"administer book outlines\";}','book_admin_overview','a:0:{}','',7,3,1,'admin/content','admin/content','Books','t','','','a:0:{}',132,'Manage your site\'s book outlines.','',0,'modules/book/book.admin.inc'),('admin/content/book/%','a:1:{i:3;s:9:\"node_load\";}','','_book_outline_access','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:15:\"book_admin_edit\";i:1;i:3;}','',14,4,3,'admin/content/book','admin/content/book','Edit book outline','t','','','a:0:{}',132,'','',0,'modules/book/book.admin.inc'),('admin/content/book/list','','','user_access','a:1:{i:0;s:24:\"administer book outlines\";}','book_admin_overview','a:0:{}','',15,4,1,'admin/content/book','admin/content','List','t','','','a:0:{}',140,'','',0,'modules/book/book.admin.inc'),('admin/content/book/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"book_admin_settings\";}','',15,4,1,'admin/content/book','admin/content','Settings','t','','','a:0:{}',132,'','',8,'modules/book/book.admin.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/content/webform','','','user_access','a:1:{i:0;s:26:\"access all webform results\";}','webform_admin_content','a:0:{}','',7,3,1,'admin/content','admin/content','Webforms','t','','','a:0:{}',132,'View and edit all the available webforms on your site.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/course','','','course_admin_access','a:0:{}','course_settings_overview','a:0:{}','',3,2,0,'','admin/course','Course','t','','','a:0:{}',6,'Configure courses.','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/appearance','','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:1:{i:0;s:31:\"course_settings_appearance_form\";}','',7,3,0,'','admin/course/appearance','Appearance','t','','','a:0:{}',6,'Configure the course appearance, including outline style, disabling regions, and <em>enroll</em> and <em>take course</em> links.','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/appearance/course_appearance','','','0','a:0:{}','drupal_get_form','a:1:{i:0;s:31:\"course_settings_appearance_form\";}','',15,4,0,'','admin/course/appearance/course_appearance','Settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/book','','','user_access','a:1:{i:0;s:18:\"administer courses\";}','drupal_get_form','a:1:{i:0;s:17:\"course_book_admin\";}','',7,3,1,'admin/course','admin/course','Book','t','','','a:0:{}',132,'','',0,''),('admin/course/enrollment','','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:1:{i:0;s:31:\"course_enrollment_settings_form\";}','',7,3,0,'','admin/course/enrollment','Enrollments','t','','','a:0:{}',6,'Configure enrollments.','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/enrollment-types','','','entity_access','a:2:{i:0;s:4:\"view\";i:1;s:22:\"course_enrollment_type\";}','drupal_get_form','a:2:{i:0;s:36:\"course_enrollment_type_overview_form\";i:1;s:22:\"course_enrollment_type\";}','',7,3,0,'','admin/course/enrollment-types','Enrollment types','t','','','a:0:{}',6,'Manage Enrollment types.','',0,'sites/all/modules/entity/includes/entity.ui.inc'),('admin/course/enrollment-types/add','','','entity_access','a:2:{i:0;s:6:\"create\";i:1;s:22:\"course_enrollment_type\";}','entity_ui_get_form','a:3:{i:0;s:22:\"course_enrollment_type\";i:1;N;i:2;s:3:\"add\";}','',15,4,1,'admin/course/enrollment-types','admin/course/enrollment-types','','entity_ui_get_action_title','a:2:{i:0;s:3:\"add\";i:1;s:22:\"course_enrollment_type\";}','','a:0:{}',388,'','',0,''),('admin/course/enrollment-types/import','','','entity_access','a:2:{i:0;s:6:\"create\";i:1;s:22:\"course_enrollment_type\";}','drupal_get_form','a:4:{i:0;s:37:\"course_enrollment_type_operation_form\";i:1;s:22:\"course_enrollment_type\";i:2;N;i:3;s:6:\"import\";}','',15,4,1,'admin/course/enrollment-types','admin/course/enrollment-types','','entity_ui_get_action_title','a:2:{i:0;s:6:\"import\";i:1;s:22:\"course_enrollment_type\";}','','a:0:{}',388,'','',0,'sites/all/modules/entity/includes/entity.ui.inc'),('admin/course/enrollment-types/list','','','entity_access','a:2:{i:0;s:4:\"view\";i:1;s:22:\"course_enrollment_type\";}','drupal_get_form','a:2:{i:0;s:36:\"course_enrollment_type_overview_form\";i:1;s:22:\"course_enrollment_type\";}','',15,4,1,'admin/course/enrollment-types','admin/course/enrollment-types','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/entity/includes/entity.ui.inc'),('admin/course/enrollment-types/manage/%','a:1:{i:4;a:1:{s:18:\"entity_object_load\";a:1:{i:0;s:22:\"course_enrollment_type\";}}}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:22:\"course_enrollment_type\";i:2;i:4;}','entity_ui_get_form','a:2:{i:0;s:22:\"course_enrollment_type\";i:1;i:4;}','',30,5,0,'','admin/course/enrollment-types/manage/%','Edit','entity_label','a:2:{i:0;s:22:\"course_enrollment_type\";i:1;i:4;}','','a:0:{}',6,'','',0,''),('admin/course/enrollment-types/manage/%/%','a:2:{i:4;a:1:{s:18:\"entity_object_load\";a:1:{i:0;s:22:\"course_enrollment_type\";}}i:5;N;}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:22:\"course_enrollment_type\";i:2;i:4;}','drupal_get_form','a:4:{i:0;s:37:\"course_enrollment_type_operation_form\";i:1;s:22:\"course_enrollment_type\";i:2;i:4;i:3;i:5;}','',60,6,0,'','admin/course/enrollment-types/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/entity/includes/entity.ui.inc'),('admin/course/enrollment-types/manage/%/clone','a:1:{i:4;a:1:{s:18:\"entity_object_load\";a:1:{i:0;s:22:\"course_enrollment_type\";}}}','','entity_access','a:2:{i:0;s:6:\"create\";i:1;s:22:\"course_enrollment_type\";}','entity_ui_get_form','a:3:{i:0;s:22:\"course_enrollment_type\";i:1;i:4;i:2;s:5:\"clone\";}','',61,6,0,'','admin/course/enrollment-types/manage/%/clone','Clone','t','','','a:0:{}',6,'','',0,''),('admin/course/enrollment-types/manage/%/display','a:1:{i:4;s:27:\"course_enrollment_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:17:\"course_enrollment\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/course/enrollment-types/manage/%','admin/course/enrollment-types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/display/default','a:1:{i:4;s:27:\"course_enrollment_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:17:\"course_enrollment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/course/enrollment-types/manage/%/display','admin/course/enrollment-types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/display/token','a:1:{i:4;s:27:\"course_enrollment_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:17:\"course_enrollment\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/course/enrollment-types/manage/%/display','admin/course/enrollment-types/manage/%','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/edit','a:1:{i:4;a:1:{s:18:\"entity_object_load\";a:1:{i:0;s:22:\"course_enrollment_type\";}}}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:22:\"course_enrollment_type\";i:2;i:4;}','entity_ui_get_form','a:2:{i:0;s:22:\"course_enrollment_type\";i:1;i:4;}','',61,6,1,'admin/course/enrollment-types/manage/%','admin/course/enrollment-types/manage/%','Edit','t','','','a:0:{}',140,'','',0,''),('admin/course/enrollment-types/manage/%/fields','a:1:{i:4;s:27:\"course_enrollment_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:17:\"course_enrollment\";i:2;i:4;}','',61,6,1,'admin/course/enrollment-types/manage/%','admin/course/enrollment-types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/fields/%','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/course/enrollment-types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/fields/%/translate','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:34:\"administer course enrollment types\";}','i18n_field_page_translate','a:1:{i:0;i:6;}','',245,8,1,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/enrollment-types/manage/%/fields/%/translate/%','a:3:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:8;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:34:\"administer course enrollment types\";}','i18n_field_page_translate','a:2:{i:0;i:6;i:1;i:8;}','',490,9,0,'','admin/course/enrollment-types/manage/%/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/enrollment-types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:34:\"administer course enrollment types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/course/enrollment-types/manage/%/fields/%','admin/course/enrollment-types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/enrollment-types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:34:\"administer course enrollment types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/course/enrollment-types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/enrollment-types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:27:\"course_enrollment_type_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:17:\"course_enrollment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:34:\"administer course enrollment types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/course/enrollment-types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/enrollment/course_enrollment','','','0','a:0:{}','drupal_get_form','a:1:{i:0;s:31:\"course_enrollment_settings_form\";}','',15,4,0,'','admin/course/enrollment/course_enrollment','Settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/object','','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:1:{i:0;s:27:\"course_object_settings_form\";}','',7,3,0,'','admin/course/object','Objects','t','','','a:0:{}',6,'Configure course objects.','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/object/course_object','','','0','a:0:{}','drupal_get_form','a:1:{i:0;s:27:\"course_object_settings_form\";}','',15,4,0,'','admin/course/object/course_object','Settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/object/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_object\";i:2;s:13:\"course_object\";i:3;s:7:\"default\";}','',15,4,1,'admin/course/object','admin/course/object','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_object\";i:2;s:13:\"course_object\";i:3;s:7:\"default\";}','',31,5,1,'admin/course/object/display','admin/course/object','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_object\";i:2;s:13:\"course_object\";i:3;s:5:\"token\";}','',31,5,1,'admin/course/object/display','admin/course/object','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"course_object\";i:2;s:13:\"course_object\";}','',15,4,1,'admin/course/object','admin/course/object','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields/%','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:4;}','',30,5,0,'','admin/course/object/fields/%','','field_ui_menu_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields/%/delete','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:4;}','',61,6,1,'admin/course/object/fields/%','admin/course/object/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields/%/edit','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:4;}','',61,6,1,'admin/course/object/fields/%','admin/course/object/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields/%/field-settings','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:4;}','',61,6,1,'admin/course/object/fields/%','admin/course/object/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/fields/%/translate','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','i18n_field_page_translate','a:1:{i:0;i:4;}','',61,6,1,'admin/course/object/fields/%','admin/course/object/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/object/fields/%/translate/%','a:2:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','i18n_field_page_translate','a:2:{i:0;i:4;i:1;i:6;}','',122,7,0,'','admin/course/object/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/object/fields/%/widget-type','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:4;}','',61,6,1,'admin/course/object/fields/%','admin/course/object/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/object/groups/%/delete','a:1:{i:4;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:4;}','',61,6,0,'','admin/course/object/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/object/groups/%/enable','a:1:{i:4;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"course_object\";i:1;s:13:\"course_object\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:4;}','',61,6,0,'','admin/course/object/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/overview','','','course_admin_access','a:0:{}','course_settings_overview','a:0:{}','',7,3,1,'admin/course','admin/course','Overview','t','','','a:0:{}',140,'','',-10,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/report','','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:1:{i:0;s:27:\"course_report_settings_form\";}','',7,3,0,'','admin/course/report','Reports','t','','','a:0:{}',6,'Configure course reporting.','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/report/course_report','','','0','a:0:{}','drupal_get_form','a:1:{i:0;s:27:\"course_report_settings_form\";}','',15,4,0,'','admin/course/report/course_report','Settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/course/includes/course.settings.inc'),('admin/course/report/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_report\";i:2;s:13:\"course_report\";i:3;s:7:\"default\";}','',15,4,1,'admin/course/report','admin/course/report','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_report\";i:2;s:13:\"course_report\";i:3;s:7:\"default\";}','',31,5,1,'admin/course/report/display','admin/course/report','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"course_report\";i:2;s:13:\"course_report\";i:3;s:5:\"token\";}','',31,5,1,'admin/course/report/display','admin/course/report','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"course_report\";i:2;s:13:\"course_report\";}','',15,4,1,'admin/course/report','admin/course/report','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields/%','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:4;}','',30,5,0,'','admin/course/report/fields/%','','field_ui_menu_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields/%/delete','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:4;}','',61,6,1,'admin/course/report/fields/%','admin/course/report/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields/%/edit','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:4;}','',61,6,1,'admin/course/report/fields/%','admin/course/report/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields/%/field-settings','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:4;}','',61,6,1,'admin/course/report/fields/%','admin/course/report/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/fields/%/translate','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','i18n_field_page_translate','a:1:{i:0;i:4;}','',61,6,1,'admin/course/report/fields/%','admin/course/report/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/report/fields/%/translate/%','a:2:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','i18n_field_page_translate','a:2:{i:0;i:4;i:1;i:6;}','',122,7,0,'','admin/course/report/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/course/report/fields/%/widget-type','a:1:{i:4;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:17:\"administer course\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:4;}','',61,6,1,'admin/course/report/fields/%','admin/course/report/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/course/report/groups/%/delete','a:1:{i:4;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:4;}','',61,6,0,'','admin/course/report/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/report/groups/%/enable','a:1:{i:4;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"course_report\";i:1;s:13:\"course_report\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:4;}','',61,6,0,'','admin/course/report/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/course/signup','','','user_access','a:1:{i:0;s:18:\"administer courses\";}','drupal_get_form','a:1:{i:0;s:19:\"course_signup_admin\";}','',7,3,1,'admin/course','admin/course','Signup','t','','','a:0:{}',132,'','',0,''),('admin/course/ubercart','','','user_access','a:1:{i:0;s:17:\"administer course\";}','drupal_get_form','a:1:{i:0;s:23:\"course_uc_settings_form\";}','',7,3,0,'','admin/course/ubercart','Ubercart','t','','','a:0:{}',6,'Ubercart course settings.','',0,''),('admin/course/ubercart/course_uc_ubercart','','','0','a:0:{}','drupal_get_form','a:1:{i:0;s:23:\"course_uc_settings_form\";}','',15,4,0,'','admin/course/ubercart/course_uc_ubercart','Settings','t','','','a:0:{}',6,'','',0,''),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/ah','','','user_access','a:1:{i:0;s:24:\"view advanced help index\";}','advanced_help_index_page','a:0:{}','',7,3,1,'admin/help','admin/help','Advanced Help','t','','','a:0:{}',132,'','',2,''),('admin/help/ajax_quiz','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/ajax_quiz','ajax_quiz','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blockify','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blockify','blockify','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/book','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/book','book','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contact','contact','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context','context','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_layouts','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_layouts','context_layouts','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_ui','context_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/date','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/date','date','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/date_tools','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/date_tools','date_tools','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/features','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/features','features','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_collection','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_collection','field_collection','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flexslider','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flexslider','flexslider','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/follow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/follow','follow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/fontawesome','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/fontawesome','fontawesome','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/forum','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/forum','forum','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n','i18n','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_block','i18n_block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_forum','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_forum','i18n_forum','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_menu','i18n_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_node','i18n_node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_redirect','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_redirect','i18n_redirect','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_string','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_string','i18n_string','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_sync','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_sync','i18n_sync','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/i18n_taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/i18n_taxonomy','i18n_taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jcarousel','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jcarousel','jcarousel','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/languageicons','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/languageicons','languageicons','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/lang_dropdown','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/lang_dropdown','lang_dropdown','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/lang_dropdown_hideout','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/lang_dropdown_hideout','lang_dropdown_hideout','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/libraries','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/libraries','libraries','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/long_answer','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/long_answer','long_answer','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/matching','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/matching','matching','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu_block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu_block','menu_block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/multichoice','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/multichoice','multichoice','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/poll','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/poll','poll','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/print','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/print','print','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quicktabs','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quicktabs','quicktabs','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quiz','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quiz','quiz','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quiz_ddlines','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quiz_ddlines','quiz_ddlines','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quiz_directions','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quiz_directions','quiz_directions','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quiz_question','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quiz_question','quiz_question','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quiz_stats','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quiz_stats','quiz_stats','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/rdf','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/rdf','rdf','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/rules','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/rules','rules','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/scale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/scale','scale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/services','services','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/short_answer','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/short_answer','short_answer','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/signup','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/signup','signup','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/statistics','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/statistics','statistics','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/strongarm','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/strongarm','strongarm','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/tab1','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',7,3,1,'admin/help','admin/help','Help','t','','','a:0:{}',140,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/translation','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/translation','translation','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/truefalse','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/truefalse','truefalse','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/uc_2checkout','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/uc_2checkout','uc_2checkout','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/uc_credit','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/uc_credit','uc_credit','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/uc_order','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/uc_order','uc_order','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/uc_store','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/uc_store','uc_store','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/webform','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/webform','webform','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/signup','','','user_access','a:1:{i:0;s:22:\"administer all signups\";}','signup_admin_page','a:0:{}','',7,3,1,'admin/people','admin/people','Signups','t','','','a:0:{}',132,'View all signup-enabled posts, and open or close signups on them.','',0,'sites/all/modules/signup/includes/admin.signup_administration.inc'),('admin/quiz','','','quiz_access_multi_or','a:5:{i:0;s:29:\"administer quiz configuration\";i:1;s:14:\"score any quiz\";i:2;s:14:\"score own quiz\";i:3;s:21:\"view any quiz results\";i:4;s:25:\"view results for own quiz\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/quiz','@quiz','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'View results, score answers, run reports and edit configurations.','',0,'modules/system/system.admin.inc'),('admin/quiz/%/questions','a:1:{i:2;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:17:\"questions_by_quiz\";i:1;s:6:\"page_2\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:29:\"administer quiz configuration\";}}}','views_page','a:3:{i:0;s:17:\"questions_by_quiz\";i:1;s:6:\"page_2\";i:2;i:2;}','',13,4,0,'','admin/quiz/%/questions','','t','','','a:0:{}',0,'','',0,''),('admin/quiz/questions_by_quiz/%','a:1:{i:3;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:17:\"questions_by_quiz\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:29:\"administer quiz configuration\";}}}','views_page','a:3:{i:0;s:17:\"questions_by_quiz\";i:1;s:6:\"page_1\";i:2;i:3;}','',14,4,0,'','admin/quiz/questions_by_quiz/%','','t','','','a:0:{}',0,'','',0,''),('admin/quiz/reports','','','quiz_access_multi_or','a:2:{i:0;s:21:\"view any quiz results\";i:1;s:25:\"view results for own quiz\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/quiz/reports','Quiz reports and scoring','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'View reports and score answers.','',0,'modules/system/system.admin.inc'),('admin/quiz/reports/results','','','quiz_access_multi_or','a:2:{i:0;s:21:\"view any quiz results\";i:1;s:25:\"view results for own quiz\";}','quiz_admin_quizzes','a:0:{}','',15,4,0,'','admin/quiz/reports/results','@quiz results','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'View results.','',0,'sites/all/modules/quiz/quiz.admin.inc'),('admin/quiz/reports/score-long-answer','','','quiz_access_multi_or','a:3:{i:0;s:14:\"score any quiz\";i:1;s:14:\"score own quiz\";i:2;s:23:\"score taken quiz answer\";}','long_answer_view_unscored','a:0:{}','',15,4,0,'','admin/quiz/reports/score-long-answer','Score long answer questions','t','','','a:0:{}',6,'Score the answers from quizzes that use long answer questions.','',0,'sites/all/modules/quiz/question_types/long_answer/long_answer.admin.inc'),('admin/quiz/reports/score-long-answer/%/%','a:2:{i:4;N;i:5;N;}','','quiz_question_access_to_score','a:2:{i:0;i:4;i:1;i:5;}','long_answer_edit_score','a:2:{i:0;i:4;i:1;i:5;}','',60,6,0,'','admin/quiz/reports/score-long-answer/%/%','Score long answer response','t','','','a:0:{}',6,'Score a response to a long answer question.','',0,'sites/all/modules/quiz/question_types/long_answer/long_answer.admin.inc'),('admin/quiz/reports/score-short-answer','','','quiz_access_multi_or','a:3:{i:0;s:14:\"score any quiz\";i:1;s:14:\"score own quiz\";i:2;s:23:\"score taken quiz answer\";}','short_answer_view_unscored','a:0:{}','',15,4,0,'','admin/quiz/reports/score-short-answer','Score short answer questions','t','','','a:0:{}',6,'Score the answers from quizzes that use short answer questions.','',0,'sites/all/modules/quiz/question_types/short_answer/short_answer.admin.inc'),('admin/quiz/reports/score-short-answer/%/%','a:2:{i:4;N;i:5;N;}','','quiz_question_access_to_score','a:2:{i:0;i:4;i:1;i:5;}','short_answer_edit_score','a:2:{i:0;i:4;i:1;i:5;}','',60,6,0,'','admin/quiz/reports/score-short-answer/%/%','Score short answer response','t','','','a:0:{}',6,'Score a response to a short answer question.','',0,'sites/all/modules/quiz/question_types/short_answer/short_answer.admin.inc'),('admin/quiz/reports/stats/creator','','','user_access','a:1:{i:0;s:19:\"access author stats\";}','quiz_stats_get_basic_stats','a:0:{}','',31,5,0,'','admin/quiz/reports/stats/creator','Quiz Statistics','t','','','a:0:{}',6,'Generates a report on quiz results for quiz creators.','',0,'sites/all/modules/quiz/includes/quiz_stats/quiz_stats.admin.inc'),('admin/quiz/settings','','','user_access','a:1:{i:0;s:29:\"administer quiz configuration\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/quiz/settings','@quiz settings','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'Change settings for the all Quiz project modules.','',0,'modules/system/system.admin.inc'),('admin/quiz/settings/config','','','user_access','a:1:{i:0;s:29:\"administer quiz configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"quiz_admin_settings\";}','',15,4,0,'','admin/quiz/settings/config','@quiz configuration','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'Configure the Quiz module.','',0,'sites/all/modules/quiz/quiz.admin.inc'),('admin/quiz/settings/questions_settings','','','user_access','a:1:{i:0;s:29:\"administer quiz configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"quiz_question_config\";}','',15,4,0,'','admin/quiz/settings/questions_settings','Question configuration','t','','','a:0:{}',6,'Configure the question types.','',0,''),('admin/quiz/settings/quiz_form','','','user_access','a:1:{i:0;s:29:\"administer quiz configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"quiz_admin_node_form\";}','',15,4,0,'','admin/quiz/settings/quiz_form','@quiz form configuration','t','a:1:{s:5:\"@quiz\";s:4:\"Quiz\";}','','a:0:{}',6,'Configure default values for the quiz creation form.','',0,'sites/all/modules/quiz/quiz.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/access/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_access_log','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/access/%','Details','t','','','a:0:{}',6,'View access log.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/charts','','','user_access','a:1:{i:0;s:20:\"access system charts\";}','system_charts','a:1:{i:0;s:5:\"nodes\";}','',7,3,0,'','admin/reports/charts','System Charts','t','','','a:0:{}',6,'','',0,''),('admin/reports/charts/nodes','','','user_access','a:1:{i:0;s:20:\"access system charts\";}','system_charts','a:1:{i:0;s:5:\"nodes\";}','',15,4,1,'admin/reports/charts','admin/reports/charts','Nodes','t','','','a:0:{}',140,'','',0,''),('admin/reports/charts/users','','','user_access','a:1:{i:0;s:20:\"access system charts\";}','system_charts','a:1:{i:0;s:5:\"users\";}','',15,4,1,'admin/reports/charts','admin/reports/charts','Users','t','','','a:0:{}',132,'','',0,''),('admin/reports/charts/watchdog','','','user_access','a:1:{i:0;s:20:\"access system charts\";}','system_charts','a:1:{i:0;s:8:\"watchdog\";}','',15,4,1,'admin/reports/charts','admin/reports/charts','Watchdog','t','','','a:0:{}',132,'','',0,''),('admin/reports/course','','','user_access','a:1:{i:0;s:25:\"access all course reports\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/reports/course','Course reports','t','','','a:0:{}',6,'View and download course information.','',0,'modules/system/system.admin.inc'),('admin/reports/course/overview','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:25:\"access all course reports\";}}}','views_page','a:2:{i:0;s:13:\"course_report\";i:1;s:6:\"page_2\";}','',15,4,0,'','admin/reports/course/overview','All courses','t','','','a:0:{}',6,'View and download course information.','',0,''),('admin/reports/course/overview/list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:25:\"access all course reports\";}}}','views_page','a:2:{i:0;s:13:\"course_report\";i:1;s:6:\"page_2\";}','',31,5,1,'admin/reports/course/overview','admin/reports/course/overview','All courses','t','','','a:0:{}',140,'View or download a report of all courses.','',0,''),('admin/reports/course/overview/select','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:25:\"access all course reports\";}}}','views_page','a:2:{i:0;s:20:\"course_report_select\";i:1;s:6:\"page_1\";}','',31,5,1,'admin/reports/course/overview','admin/reports/course/overview','Select','t','','','a:0:{}',132,'','',0,''),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/hits','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_recent_hits','a:0:{}','',7,3,0,'','admin/reports/hits','Recent hits','t','','','a:0:{}',6,'View pages that have recently been visited.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/libraries','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:1:{i:0;s:24:\"libraries_admin_overview\";}','',7,3,0,'','admin/reports/libraries','Libraries','t','','','a:0:{}',6,'An overview of libraries installed on this site.','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/libraries/%','a:1:{i:3;s:17:\"libraries_ui_load\";}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:2:{i:0;s:35:\"libraries_admin_library_status_form\";i:1;i:3;}','',14,4,0,'','admin/reports/libraries/%','Library status report','t','','','a:0:{}',6,'Status overview for a single library','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/pages','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_pages','a:0:{}','',7,3,0,'','admin/reports/pages','Top pages','t','','','a:0:{}',6,'View pages that have been hit frequently.','',1,'modules/statistics/statistics.admin.inc'),('admin/reports/referrers','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_referrers','a:0:{}','',7,3,0,'','admin/reports/referrers','Top referrers','t','','','a:0:{}',6,'View top referrers.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/visitors','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_visitors','a:0:{}','',7,3,0,'','admin/reports/visitors','Top visitors','t','','','a:0:{}',6,'View visitors that hit many pages.','',2,'modules/statistics/statistics.admin.inc'),('admin/store','','','uc_store_admin_access','a:0:{}','uc_store_admin','a:0:{}','',3,2,0,'','admin/store','Store','t','','','a:0:{}',6,'Administer orders, products, customers, store settings, etc.','',-12,'sites/all/modules/ubercart/uc_store/uc_store.admin.inc'),('admin/store/customers','','','user_access','a:1:{i:0;s:14:\"view customers\";}','uc_order_customers','a:0:{}','',7,3,0,'','admin/store/customers','Customers','t','','','a:0:{}',6,'View and search customer information.','left',-6,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/customers/orders','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:15:\"view all orders\";}}}','views_page','a:2:{i:0;s:9:\"uc_orders\";i:1;s:11:\"by_customer\";}','',15,4,0,'','admin/store/customers/orders','','t','','','a:0:{}',0,'','',0,''),('admin/store/customers/view','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"view customers\";}}}','views_page','a:2:{i:0;s:12:\"uc_customers\";i:1;s:10:\"admin_page\";}','',15,4,0,'','admin/store/customers/view','View customers','t','','','a:0:{}',6,'View and search customer information.','',-10,''),('admin/store/orders','','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_orders','a:0:{}','',7,3,0,'','admin/store/orders','Orders','t','','','a:0:{}',6,'View and process orders.','left',-10,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_view','a:2:{i:0;i:3;i:1;s:4:\"view\";}','',14,4,0,'','admin/store/orders/%','','uc_order_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'View order','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/add_line_item/%','a:2:{i:3;s:13:\"uc_order_load\";i:5;N;}','','user_access','a:1:{i:0;s:11:\"edit orders\";}','drupal_get_form','a:3:{i:0;s:27:\"uc_order_add_line_item_form\";i:1;i:3;i:2;i:5;}','',58,6,0,'','admin/store/orders/%/add_line_item/%','Add a line item','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/credit','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:20:\"process credit cards\";}','uc_credit_terminal','a:1:{i:0;i:3;}','',29,5,0,'','admin/store/orders/%/credit','','uc_credit_terminal_title','a:1:{i:0;i:3;}','','a:0:{}',6,'Displays a form to process a credit card payment.','',0,'sites/all/modules/ubercart/payment/uc_credit/uc_credit.admin.inc'),('admin/store/orders/%/cs_tax','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:16:\"administer store\";}','uc_cybersource_tax_test','a:1:{i:0;i:3;}','',29,5,0,'','admin/store/orders/%/cs_tax','Order Taxes','t','','','a:0:{}',0,'','',0,''),('admin/store/orders/%/delete','a:1:{i:3;s:13:\"uc_order_load\";}','','uc_order_can_delete','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:28:\"uc_order_delete_confirm_form\";i:1;i:3;}','',29,5,0,'','admin/store/orders/%/delete','Delete an order','t','','','a:0:{}',6,'','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/edit','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:11:\"edit orders\";}','drupal_get_form','a:2:{i:0;s:18:\"uc_order_edit_form\";i:1;i:3;}','',29,5,1,'admin/store/orders/%','admin/store/orders/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/invoice','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_view_invoice','a:1:{i:0;i:3;}','',29,5,1,'admin/store/orders/%','admin/store/orders/%','Invoice','t','','','a:0:{}',132,'','',3,''),('admin/store/orders/%/invoice/mail','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','drupal_get_form','a:2:{i:0;s:26:\"uc_order_mail_invoice_form\";i:1;i:3;}','',59,6,1,'admin/store/orders/%/invoice','admin/store/orders/%','Mail invoice','t','','','a:0:{}',132,'','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/invoice/print','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_view_invoice','a:2:{i:0;i:3;i:1;b:1;}','',59,6,1,'admin/store/orders/%/invoice','admin/store/orders/%','Printable invoice','t','','','a:0:{}',132,'','',-5,''),('admin/store/orders/%/invoice/view','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_view_invoice','a:1:{i:0;i:3;}','',59,6,1,'admin/store/orders/%/invoice','admin/store/orders/%','View invoice','t','','','a:0:{}',140,'','',-10,''),('admin/store/orders/%/log','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_log','a:1:{i:0;i:3;}','',29,5,1,'admin/store/orders/%','admin/store/orders/%','Log','t','','','a:0:{}',132,'','',10,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/%/payments','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:13:\"view payments\";}','drupal_get_form','a:2:{i:0;s:24:\"uc_payment_by_order_form\";i:1;i:3;}','',29,5,1,'admin/store/orders/%','admin/store/orders/%','Payments','t','','','a:0:{}',132,'Show payments made against an order.','',5,'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc'),('admin/store/orders/%/payments/%/delete','a:2:{i:3;s:13:\"uc_order_load\";i:5;s:15:\"uc_payment_load\";}','','user_access','a:1:{i:0;s:15:\"delete payments\";}','drupal_get_form','a:3:{i:0;s:30:\"uc_payment_delete_confirm_form\";i:1;i:3;i:2;i:5;}','',117,7,0,'','admin/store/orders/%/payments/%/delete','Delete payment?','t','','','a:0:{}',0,'Delete payment?','',0,'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc'),('admin/store/orders/%/receive_check','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','drupal_get_form','a:2:{i:0;s:34:\"uc_payment_pack_receive_check_form\";i:1;i:3;}','',29,5,0,'','admin/store/orders/%/receive_check','Receive check','t','','','a:0:{}',6,'Record details of a check that has been received.','',0,'sites/all/modules/ubercart/payment/uc_payment_pack/uc_payment_pack.admin.inc'),('admin/store/orders/%/view','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:15:\"view all orders\";}','uc_order_view','a:2:{i:0;i:3;i:1;s:4:\"view\";}','',29,5,1,'admin/store/orders/%','admin/store/orders/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/address_book','','','user_access','a:1:{i:0;s:11:\"edit orders\";}','uc_order_address_book','a:0:{}','',15,4,0,'','admin/store/orders/address_book','Select address','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/create','','','user_access','a:1:{i:0;s:13:\"create orders\";}','drupal_get_form','a:1:{i:0;s:20:\"uc_order_create_form\";}','',15,4,0,'','admin/store/orders/create','Create order','t','','','a:0:{}',6,'Create an empty new order.','',-5,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/create/%','a:1:{i:4;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:13:\"create orders\";}','uc_order_create_for_user','a:1:{i:0;i:4;}','',30,5,0,'','admin/store/orders/create/%','Create order for this customer','t','','','a:0:{}',6,'Create an empty new order.','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/customer','','','user_access','a:1:{i:0;s:11:\"edit orders\";}','uc_order_select_customer','a:1:{i:0;N;}','',15,4,0,'','admin/store/orders/customer','Select customer','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/orders/search','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:15:\"view all orders\";}}}','views_page','a:2:{i:0;s:9:\"uc_orders\";i:1;s:6:\"search\";}','',15,4,0,'','admin/store/orders/search','Search orders','t','','','a:0:{}',6,'Search existing orders.','',0,''),('admin/store/orders/view','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:15:\"view all orders\";}}}','views_page','a:2:{i:0;s:9:\"uc_orders\";i:1;s:10:\"admin_page\";}','',15,4,0,'','admin/store/orders/view','View orders','t','','','a:0:{}',6,'View and process the orders received through your website.','',-10,''),('admin/store/products','','','user_access','a:1:{i:0;s:19:\"administer products\";}','drupal_goto','a:1:{i:0;s:25:\"admin/store/products/view\";}','',7,3,0,'','admin/store/products','Products','t','','','a:0:{}',6,'Administer products, classes, and more.','left',-2,''),('admin/store/products/classes','','','user_access','a:1:{i:0;s:26:\"administer product classes\";}','uc_product_class_default','a:0:{}','',15,4,0,'','admin/store/products/classes','Manage classes','t','','','a:0:{}',6,'Create and edit product node types.','',-2,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/products/classes/%','a:1:{i:4;s:21:\"uc_product_class_load\";}','','user_access','a:1:{i:0;s:26:\"administer product classes\";}','drupal_get_form','a:2:{i:0;s:21:\"uc_product_class_form\";i:1;i:4;}','',30,5,0,'','admin/store/products/classes/%','Product class','t','','','a:0:{}',6,'','',0,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/products/classes/%/delete','a:1:{i:4;s:21:\"uc_product_class_load\";}','','uc_product_class_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:31:\"uc_product_class_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/store/products/classes/%/delete','','t','','','a:0:{}',6,'','',0,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/products/classes/%/edit','a:1:{i:4;s:21:\"uc_product_class_load\";}','','user_access','a:1:{i:0;s:26:\"administer product classes\";}','drupal_get_form','a:2:{i:0;s:21:\"uc_product_class_form\";i:1;i:4;}','',61,6,1,'admin/store/products/classes/%','admin/store/products/classes/%','Edit','t','','','a:0:{}',140,'','',-5,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/products/view','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:19:\"administer products\";}}}','views_page','a:2:{i:0;s:11:\"uc_products\";i:1;s:10:\"admin_page\";}','',15,4,0,'','admin/store/products/view','View products','t','','','a:0:{}',6,'View and search products available through your website.','',-10,''),('admin/store/reports','','','user_access','a:1:{i:0;s:12:\"view reports\";}','uc_store_reports','a:0:{}','',7,3,0,'','admin/store/reports','Reports','t','','','a:0:{}',6,'Browse various store reports.','right',2,'sites/all/modules/ubercart/uc_store/uc_store.admin.inc'),('admin/store/settings','','','user_access','a:1:{i:0;s:16:\"administer store\";}','uc_store_configuration_page','a:0:{}','',7,3,0,'','admin/store/settings','Configuration','t','','','a:0:{}',6,'Adjust configuration settings for Ubercart.','right',6,'sites/all/modules/ubercart/uc_store/uc_store.admin.inc'),('admin/store/settings/cart','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:26:\"uc_cart_cart_settings_form\";}','',15,4,0,'','admin/store/settings/cart','Cart','t','','','a:0:{}',6,'Configure the cart page display and settings.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc'),('admin/store/settings/checkout','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:30:\"uc_cart_checkout_settings_form\";}','',15,4,0,'','admin/store/settings/checkout','Checkout','t','','','a:0:{}',6,'Configure the checkout page display and completion rules.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc'),('admin/store/settings/checkout/rules','','','user_access','a:1:{i:0;s:16:\"administer store\";}','uc_cart_checkout_rules','a:0:{}','',31,5,1,'admin/store/settings/checkout','admin/store/settings/checkout','Rules','t','','','a:0:{}',132,'Edit the checkout rules.','',2,'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc'),('admin/store/settings/checkout/rules/manage/%','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:6;i:2;s:35:\"admin/store/settings/checkout/rules\";}','',126,7,0,'','admin/store/settings/checkout/rules/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/%','a:2:{i:6;s:17:\"rules_config_load\";i:7;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:6;i:2;i:7;i:3;s:35:\"admin/store/settings/checkout/rules\";}','',252,8,0,'','admin/store/settings/checkout/rules/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/add/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:35:\"admin/store/settings/checkout/rules\";}','',506,9,0,'','admin/store/settings/checkout/rules/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:9;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/add/event','a:1:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:6;i:2;s:35:\"admin/store/settings/checkout/rules\";}','',507,9,0,'','admin/store/settings/checkout/rules/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/autocomplete','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}','',253,8,0,'','admin/store/settings/checkout/rules/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/clone','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:6;i:2;s:35:\"admin/store/settings/checkout/rules\";}','',253,8,0,'','admin/store/settings/checkout/rules/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/delete/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:6;i:2;i:8;i:3;s:35:\"admin/store/settings/checkout/rules\";}','',506,9,0,'','admin/store/settings/checkout/rules/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/delete/event','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:6;i:2;i:9;i:3;s:35:\"admin/store/settings/checkout/rules\";}','',507,9,0,'','admin/store/settings/checkout/rules/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/edit/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:6;i:2;i:8;i:3;s:35:\"admin/store/settings/checkout/rules\";}','',506,9,0,'','admin/store/settings/checkout/rules/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/execute','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:6;i:2;s:35:\"admin/store/settings/checkout/rules\";}','',253,8,0,'','admin/store/settings/checkout/rules/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/rules/manage/%/export','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:6;i:2;s:35:\"admin/store/settings/checkout/rules\";}','',253,8,0,'','admin/store/settings/checkout/rules/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/checkout/settings','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:30:\"uc_cart_checkout_settings_form\";}','',31,5,1,'admin/store/settings/checkout','admin/store/settings/checkout','Settings','t','','','a:0:{}',140,'Edit the basic checkout settings.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc'),('admin/store/settings/countries','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_country_import_form\";}','',15,4,0,'','admin/store/settings/countries','Countries and addresses','t','','','a:0:{}',6,'Manage available countries and configure address formats.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/%/disable','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:16:\"administer store\";}','_uc_country_perform_country_action','a:2:{i:0;s:18:\"uc_country_disable\";i:1;i:4;}','',61,6,0,'','admin/store/settings/countries/%/disable','Disable a country','t','','','a:0:{}',0,'Disable a country from use.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/%/enable','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:16:\"administer store\";}','_uc_country_perform_country_action','a:2:{i:0;s:17:\"uc_country_enable\";i:1;i:4;}','',61,6,0,'','admin/store/settings/countries/%/enable','Enable a country','t','','','a:0:{}',0,'Enable a disabled country.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/%/remove','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:22:\"uc_country_remove_form\";i:1;i:4;}','',61,6,0,'','admin/store/settings/countries/%/remove','Remove a country','t','','','a:0:{}',6,'Remove an installed country.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/%/update/%','a:2:{i:4;N;i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer store\";}','_uc_country_perform_country_action','a:3:{i:0;s:17:\"uc_country_update\";i:1;i:4;i:2;i:6;}','',122,7,0,'','admin/store/settings/countries/%/update/%','Update a country','t','','','a:0:{}',0,'Update an installed country.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/fields','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:28:\"uc_store_address_fields_form\";}','',31,5,1,'admin/store/settings/countries','admin/store/settings/countries','Address fields','t','','','a:0:{}',132,'Edit the address field settings.','',1,'sites/all/modules/ubercart/uc_store/uc_store.admin.inc'),('admin/store/settings/countries/formats','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:23:\"uc_country_formats_form\";}','',31,5,1,'admin/store/settings/countries','admin/store/settings/countries','Address formats','t','','','a:0:{}',132,'Edit country specific address format settings.','',1,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/countries/import','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_country_import_form\";}','',31,5,1,'admin/store/settings/countries','admin/store/settings/countries','Countries','t','','','a:0:{}',140,'Import and manage countries.','',0,'sites/all/modules/ubercart/uc_store/uc_store.countries.inc'),('admin/store/settings/orders','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_order_settings_form\";}','',15,4,0,'','admin/store/settings/orders','Orders','t','','','a:0:{}',6,'Configure the display and workflow for orders.','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/settings/orders/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";i:3;s:7:\"default\";}','',31,5,1,'admin/store/settings/orders','admin/store/settings/orders','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/display/customer','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:8:\"customer\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";i:3;s:8:\"customer\";}','',63,6,1,'admin/store/settings/orders/display','admin/store/settings/orders','Customer view','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";i:3;s:7:\"default\";}','',63,6,1,'admin/store/settings/orders/display','admin/store/settings/orders','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";i:3;s:5:\"token\";}','',63,6,1,'admin/store/settings/orders/display','admin/store/settings/orders','Tokens','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/display/view','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:4:\"view\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";i:3;s:4:\"view\";}','',63,6,1,'admin/store/settings/orders/display','admin/store/settings/orders','Admin view','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:8:\"uc_order\";i:2;s:8:\"uc_order\";}','',31,5,1,'admin/store/settings/orders','admin/store/settings/orders','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/store/settings/orders/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/fields/%/translate','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','i18n_field_page_translate','a:1:{i:0;i:5;}','',125,7,1,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/store/settings/orders/fields/%/translate/%','a:2:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','i18n_field_page_translate','a:2:{i:0;i:5;i:1;i:7;}','',250,8,0,'','admin/store/settings/orders/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/store/settings/orders/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/store/settings/orders/fields/%','admin/store/settings/orders/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/store/settings/orders/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/store/settings/orders/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/store/settings/orders/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/store/settings/orders/products/display','','','0','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";i:3;s:7:\"default\";}','',63,6,1,'admin/store/settings/orders','admin/store/settings/orders','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/display/cart','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:4:\"cart\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";i:3;s:4:\"cart\";}','',127,7,1,'admin/store/settings/orders/products/display','admin/store/settings/orders','Cart view','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";i:3;s:7:\"default\";}','',127,7,1,'admin/store/settings/orders/products/display','admin/store/settings/orders','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";i:3;s:4:\"full\";}','',127,7,1,'admin/store/settings/orders/products/display','admin/store/settings/orders','Normal view','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";i:3;s:5:\"token\";}','',127,7,1,'admin/store/settings/orders/products/display','admin/store/settings/orders','Tokens','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:16:\"uc_order_product\";i:2;s:16:\"uc_order_product\";}','',63,6,1,'admin/store/settings/orders','admin/store/settings/orders','Ordered product fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/store/settings/orders/products/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/fields/%/translate','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','i18n_field_page_translate','a:1:{i:0;i:6;}','',253,8,1,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/store/settings/orders/products/fields/%/translate/%','a:2:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}i:8;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','i18n_field_page_translate','a:2:{i:0;i:6;i:1;i:8;}','',506,9,0,'','admin/store/settings/orders/products/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/store/settings/orders/products/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer store\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/store/settings/orders/products/fields/%','admin/store/settings/orders/products/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/store/settings/orders/products/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/store/settings/orders/products/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/store/settings/orders/products/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"uc_order_product\";i:1;s:16:\"uc_order_product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/store/settings/orders/products/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/store/settings/orders/settings','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_order_settings_form\";}','',31,5,1,'admin/store/settings/orders','admin/store/settings/orders','Settings','t','','','a:0:{}',140,'Edit the basic order settings.','',-10,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/settings/orders/workflow','','','user_access','a:1:{i:0;s:25:\"administer order workflow\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_order_workflow_form\";}','',31,5,1,'admin/store/settings/orders','admin/store/settings/orders','Workflow','t','','','a:0:{}',132,'Modify and configure order states and statuses.','',-8,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/settings/orders/workflow/create','','','user_access','a:1:{i:0;s:25:\"administer order workflow\";}','drupal_get_form','a:1:{i:0;s:27:\"uc_order_status_create_form\";}','',63,6,1,'admin/store/settings/orders/workflow','admin/store/settings/orders','Create custom order status','t','','','a:0:{}',388,'Create a custom order status for your store.','',0,'sites/all/modules/ubercart/uc_order/uc_order.admin.inc'),('admin/store/settings/payment','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:23:\"uc_payment_methods_form\";}','',15,4,0,'','admin/store/settings/payment','Payment methods','t','','','a:0:{}',6,'Choose and configure available payment methods.','',0,'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc'),('admin/store/settings/payment/manage/%','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:5;i:2;s:28:\"admin/store/settings/payment\";}','',62,6,0,'','admin/store/settings/payment/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/%','a:2:{i:5;s:17:\"rules_config_load\";i:6;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:5;i:2;i:6;i:3;s:28:\"admin/store/settings/payment\";}','',124,7,0,'','admin/store/settings/payment/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/add/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:5;i:2;i:8;i:3;i:7;i:4;s:28:\"admin/store/settings/payment\";}','',250,8,0,'','admin/store/settings/payment/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:8;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/add/event','a:1:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:5;i:2;s:28:\"admin/store/settings/payment\";}','',251,8,0,'','admin/store/settings/payment/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/autocomplete','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:7;i:1;i:8;i:2;i:9;}','',125,7,0,'','admin/store/settings/payment/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/clone','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:5;i:2;s:28:\"admin/store/settings/payment\";}','',125,7,0,'','admin/store/settings/payment/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/delete/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:5;i:2;i:7;i:3;s:28:\"admin/store/settings/payment\";}','',250,8,0,'','admin/store/settings/payment/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/delete/event','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:5;i:2;i:8;i:3;s:28:\"admin/store/settings/payment\";}','',251,8,0,'','admin/store/settings/payment/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/edit/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:5;i:2;i:7;i:3;s:28:\"admin/store/settings/payment\";}','',250,8,0,'','admin/store/settings/payment/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/execute','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:5;i:2;s:28:\"admin/store/settings/payment\";}','',125,7,0,'','admin/store/settings/payment/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/manage/%/export','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:5;i:2;s:28:\"admin/store/settings/payment\";}','',125,7,0,'','admin/store/settings/payment/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/payment/method/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:2:{i:0;s:31:\"uc_payment_method_settings_form\";i:1;i:5;}','',62,6,0,'','admin/store/settings/payment/method/%','','uc_payment_method_title','a:1:{i:0;i:5;}','','a:0:{}',6,'Configures a specific payment method.','',0,'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc'),('admin/store/settings/products','','','user_access','a:1:{i:0;s:19:\"administer products\";}','drupal_get_form','a:1:{i:0;s:24:\"uc_product_settings_form\";}','',15,4,0,'','admin/store/settings/products','Products','t','','','a:0:{}',6,'Configure product settings.','',0,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/settings/products/defaults','','','user_access','a:1:{i:0;s:19:\"administer products\";}','uc_product_image_defaults','a:0:{}','',31,5,0,'','admin/store/settings/products/defaults','','t','','','a:0:{}',6,'','',0,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('admin/store/settings/quotes','','','user_access','a:1:{i:0;s:16:\"configure quotes\";}','drupal_get_form','a:1:{i:0;s:24:\"uc_quote_method_settings\";}','',15,4,0,'','admin/store/settings/quotes','Shipping quotes','t','','','a:0:{}',6,'Configure shipping quotes.','',0,'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc'),('admin/store/settings/quotes/manage/%','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:5;i:2;s:27:\"admin/store/settings/quotes\";}','',62,6,0,'','admin/store/settings/quotes/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/%','a:2:{i:5;s:17:\"rules_config_load\";i:6;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:5;i:2;i:6;i:3;s:27:\"admin/store/settings/quotes\";}','',124,7,0,'','admin/store/settings/quotes/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/add/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:5;i:2;i:8;i:3;i:7;i:4;s:27:\"admin/store/settings/quotes\";}','',250,8,0,'','admin/store/settings/quotes/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:8;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/add/event','a:1:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:5;i:2;s:27:\"admin/store/settings/quotes\";}','',251,8,0,'','admin/store/settings/quotes/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/autocomplete','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:7;i:1;i:8;i:2;i:9;}','',125,7,0,'','admin/store/settings/quotes/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/clone','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:5;i:2;s:27:\"admin/store/settings/quotes\";}','',125,7,0,'','admin/store/settings/quotes/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/delete/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:5;i:2;i:7;i:3;s:27:\"admin/store/settings/quotes\";}','',250,8,0,'','admin/store/settings/quotes/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/delete/event','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:5;i:2;i:8;i:3;s:27:\"admin/store/settings/quotes\";}','',251,8,0,'','admin/store/settings/quotes/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/edit/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:5;i:2;i:7;i:3;s:27:\"admin/store/settings/quotes\";}','',250,8,0,'','admin/store/settings/quotes/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/execute','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:5;i:2;s:27:\"admin/store/settings/quotes\";}','',125,7,0,'','admin/store/settings/quotes/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/manage/%/export','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:5;i:2;s:27:\"admin/store/settings/quotes\";}','',125,7,0,'','admin/store/settings/quotes/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/store/settings/quotes/methods','','','user_access','a:1:{i:0;s:16:\"configure quotes\";}','drupal_get_form','a:1:{i:0;s:24:\"uc_quote_method_settings\";}','',31,5,1,'admin/store/settings/quotes','admin/store/settings/quotes','Methods','t','','','a:0:{}',140,'','',0,'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc'),('admin/store/settings/quotes/settings','','','user_access','a:1:{i:0;s:16:\"configure quotes\";}','drupal_get_form','a:1:{i:0;s:23:\"uc_quote_admin_settings\";}','',31,5,1,'admin/store/settings/quotes','admin/store/settings/quotes','Settings','t','','','a:0:{}',132,'Configure shipping quote options.','',0,'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc'),('admin/store/settings/quotes/settings/general','','','user_access','a:1:{i:0;s:16:\"configure quotes\";}','drupal_get_form','a:1:{i:0;s:23:\"uc_quote_admin_settings\";}','',63,6,1,'admin/store/settings/quotes/settings','admin/store/settings/quotes','Basic settings','t','','','a:0:{}',140,'','',0,'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc'),('admin/store/settings/store','','','user_access','a:1:{i:0;s:16:\"administer store\";}','drupal_get_form','a:1:{i:0;s:22:\"uc_store_settings_form\";}','',15,4,0,'','admin/store/settings/store','Store','t','','','a:0:{}',6,'Configure basic store settings.','',-1,'sites/all/modules/ubercart/uc_store/uc_store.admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/banners','','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:1:{i:0;s:30:\"banners_overview_bannersblocks\";}','',7,3,0,'','admin/structure/banners','Banners','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/%','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:2:{i:0;s:22:\"banners_overview_items\";i:1;i:3;}','',14,4,0,'','admin/structure/banners/%','','entity_label','a:2:{i:0;s:20:\"banners_bannersblock\";i:1;i:3;}','','a:0:{}',6,'','',0,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/%/add','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:3:{i:0;s:17:\"banners_form_item\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/banners/%','admin/structure/banners/%','Add item','t','','','a:0:{}',388,'','',0,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/%/display','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:12:\"banners_item\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/banners/%','admin/structure/banners/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/display/default','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:12:\"banners_item\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/banners/%/display','admin/structure/banners/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/display/full','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:12:\"banners_item\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/banners/%/display','admin/structure/banners/%','banners item page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/display/token','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:12:\"banners_item\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/banners/%/display','admin/structure/banners/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/edit','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:2:{i:0;s:25:\"banners_form_bannersblock\";i:1;i:3;}','',29,5,1,'admin/structure/banners/%','admin/structure/banners/%','Edit','t','','','a:0:{}',132,'','',-10,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/%/fields','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:12:\"banners_item\";i:2;i:3;}','',29,5,1,'admin/structure/banners/%','admin/structure/banners/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/fields/%','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/banners/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/fields/%/delete','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/fields/%/edit','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/fields/%/field-settings','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/fields/%/translate','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','i18n_field_page_translate','a:1:{i:0;i:5;}','',117,7,1,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/banners/%/fields/%/translate/%','a:3:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','i18n_field_page_translate','a:2:{i:0;i:5;i:1;i:7;}','',234,8,0,'','admin/structure/banners/%/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/banners/%/fields/%/widget-type','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:18:\"administer banners\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/banners/%/fields/%','admin/structure/banners/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/banners/%/groups/%/delete','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/banners/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/banners/%/groups/%/enable','a:2:{i:3;a:1:{s:38:\"banners_bannersblock_machine_name_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:12:\"banners_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/banners/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/banners/%/list','a:1:{i:3;s:38:\"banners_bannersblock_machine_name_load\";}','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:2:{i:0;s:22:\"banners_overview_items\";i:1;i:3;}','',29,5,1,'admin/structure/banners/%','admin/structure/banners/%','List','t','','','a:0:{}',140,'','',-20,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/add','','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:1:{i:0;s:25:\"banners_form_bannersblock\";}','',15,4,1,'admin/structure/banners','admin/structure/banners','Add banners block','t','','','a:0:{}',388,'','',0,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/banners/list','','','user_access','a:1:{i:0;s:18:\"administer banners\";}','drupal_get_form','a:1:{i:0;s:30:\"banners_overview_bannersblocks\";}','',15,4,1,'admin/structure/banners','admin/structure/banners','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/banners/banners.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:11:\"educational\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/delete-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:22:\"menu_block_delete_form\";}','',15,4,0,'','admin/structure/block/delete-menu-block','Delete menu block','t','','','a:0:{}',0,'','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/educational','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/educational/educational.info\";s:4:\"name\";s:11:\"educational\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Educational\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:27:{s:17:\"panel_mobile_menu\";s:17:\"Panel Mobile Menu\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:3:{s:10:\"aquamarine\";s:10:\"Aquamarine\";s:5:\"green\";s:5:\"Green\";s:10:\"strawberry\";s:10:\"Strawberry\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:10:\"screenshot\";s:43:\"sites/all/themes/educational/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:11:\"educational\";}','',31,5,0,'','admin/structure/block/demo/educational','Educational','t','','_block_custom_theme','a:1:{i:0;s:11:\"educational\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/edustation','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/edustation/edustation.info\";s:4:\"name\";s:10:\"edustation\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Edustation\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:26:{s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";}s:5:\"skins\";a:7:{s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"brown\";s:5:\"Brown\";}s:10:\"screenshot\";s:42:\"sites/all/themes/edustation/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"edustation\";}','',31,5,0,'','admin/structure/block/demo/edustation','Edustation','t','','_block_custom_theme','a:1:{i:0;s:10:\"edustation\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/list/educational','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/educational/educational.info\";s:4:\"name\";s:11:\"educational\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Educational\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:27:{s:17:\"panel_mobile_menu\";s:17:\"Panel Mobile Menu\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:3:{s:10:\"aquamarine\";s:10:\"Aquamarine\";s:5:\"green\";s:5:\"Green\";s:10:\"strawberry\";s:10:\"Strawberry\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:10:\"screenshot\";s:43:\"sites/all/themes/educational/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:11:\"educational\";}','',31,5,1,'admin/structure/block','admin/structure/block','Educational','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/edustation','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/edustation/edustation.info\";s:4:\"name\";s:10:\"edustation\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Edustation\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:26:{s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";}s:5:\"skins\";a:7:{s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"brown\";s:5:\"Brown\";}s:10:\"screenshot\";s:42:\"sites/all/themes/edustation/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"edustation\";}','',31,5,1,'admin/structure/block','admin/structure/block','Edustation','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/edustation/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/edustation','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/edustation/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/edustation','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add-menu-block','','','menu_block_access','a:0:{}','drupal_get_form','a:1:{i:0;s:25:\"menu_block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add menu block','t','','','a:0:{}',388,'Add a new menu block.','',0,'sites/all/modules/menu_block/menu_block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,3,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure','t','','','a:0:{}',140,'','',-100,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'','admin/structure/block/manage/%/%/delete','Delete block','t','','','a:0:{}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/translate','a:2:{i:4;N;i:5;N;}','','i18n_block_translate_tab_access','a:2:{i:0;i:4;i:1;i:5;}','i18n_block_translate_tab_page','a:2:{i:0;i:4;i:1;i:5;}','',121,7,3,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Translate','t','','','a:0:{}',132,'','',10,''),('admin/structure/block/manage/%/%/translate/%','a:3:{i:4;N;i:5;N;i:7;s:18:\"i18n_language_load\";}','','i18n_block_translate_tab_access','a:2:{i:0;i:4;i:1;i:5;}','i18n_block_translate_tab_page','a:3:{i:0;i:4;i:1;i:5;i:2;i:7;}','',242,8,0,'','admin/structure/block/manage/%/%/translate/%','Translate','t','','','a:0:{}',0,'','',10,''),('admin/structure/bulk-export','','','user_access','a:1:{i:0;s:17:\"use bulk exporter\";}','bulk_export_export','a:0:{}','',7,3,0,'','admin/structure/bulk-export','Bulk Exporter','t','','','a:0:{}',6,'Bulk-export multiple CTools-handled data objects to code.','',0,''),('admin/structure/bulk-export/results','','','user_access','a:1:{i:0;s:17:\"use bulk exporter\";}','bulk_export_export','a:0:{}','',15,4,0,'','admin/structure/bulk-export/results','','t','','','a:0:{}',0,'','',0,''),('admin/structure/certificates','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','certificate_templates_list','a:0:{}','',7,3,0,'','admin/structure/certificates','Certificates','t','','','a:0:{}',6,'Manage certificates and mappings.','',0,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/add','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"certificate\";}','drupal_goto','a:2:{i:0;s:20:\"node/add/certificate\";i:1;a:1:{s:5:\"query\";a:1:{s:11:\"destination\";s:28:\"admin/structure/certificates\";}}}','',15,4,1,'admin/structure/certificates','admin/structure/certificates','Create new certificate','t','','','a:0:{}',388,'','',0,''),('admin/structure/certificates/clear','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:28:\"certificate_admin_clear_form\";}','',15,4,1,'admin/structure/certificates','admin/structure/certificates','Clear','t','','','a:0:{}',132,'','',99,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/mapping','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:25:\"certificate_settings_form\";}','',15,4,1,'admin/structure/certificates','admin/structure/certificates','Mapping','t','','','a:0:{}',132,'','',-4,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/mapping/groups','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:31:\"certificate_field_grouping_form\";}','',31,5,1,'admin/structure/certificates/mapping','admin/structure/certificates','Field groups','t','','','a:0:{}',132,'Set up certificate field groups','',0,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/mapping/groups/add','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:35:\"certificate_field_grouping_add_form\";}','',63,6,1,'admin/structure/certificates/mapping/groups','admin/structure/certificates','Add field group','t','','','a:0:{}',388,'Add a field group','',0,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/mapping/list','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:25:\"certificate_settings_form\";}','',31,5,1,'admin/structure/certificates/mapping','admin/structure/certificates','Global','t','','','a:0:{}',140,'','',-5,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/settings','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','drupal_get_form','a:1:{i:0;s:31:\"certificate_admin_settings_form\";}','',15,4,1,'admin/structure/certificates','admin/structure/certificates','Settings','t','','','a:0:{}',132,'Certificate settings.','',0,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/templates','','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','certificate_templates_list','a:0:{}','',15,4,1,'admin/structure/certificates','admin/structure/certificates','List','t','','','a:0:{}',140,'','',-5,'sites/all/modules/certificate/certificate.admin.inc'),('admin/structure/certificates/templates/preview/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:23:\"administer certificates\";}','certificate_preview','a:1:{i:0;i:5;}','',62,6,0,'','admin/structure/certificates/templates/preview/%','Certificate Preview','t','','','a:0:{}',0,'Display earned certificate for this node','',0,'sites/all/modules/certificate/certificate.pages.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','contact_category_list','a:0:{}','',7,3,0,'','admin/structure/contact','Contact form','t','','','a:0:{}',6,'Create a system contact form and set up categories for the form to use.','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:1:{i:0;s:26:\"contact_category_edit_form\";}','',15,4,1,'admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}',388,'','',1,'modules/contact/contact.admin.inc'),('admin/structure/contact/delete/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:28:\"contact_category_delete_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%/edit','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',61,6,1,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit','t','','','a:0:{}',140,'','',-100,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%/translate','a:1:{i:4;s:12:\"contact_load\";}','','i18n_object_translate_access','a:2:{i:0;s:16:\"contact_category\";i:1;i:4;}','i18n_page_translate_localize','a:2:{i:0;s:16:\"contact_category\";i:1;i:4;}','',61,6,1,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/contact/edit/%/translate/%','a:2:{i:4;s:12:\"contact_load\";i:6;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:16:\"contact_category\";i:1;i:4;}','i18n_page_translate_localize','a:3:{i:0;s:16:\"contact_category\";i:1;i:4;i:2;i:6;}','',122,7,0,'','admin/structure/contact/edit/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/context','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/context','Context','t','','','a:0:{}',6,'Associate menus, views, blocks, etc. with different contexts to structure your site.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/add','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/context','admin/structure/context','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/import','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/context','admin/structure/context','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/context','admin/structure/context','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/context/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/settings','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','drupal_get_form','a:1:{i:0;s:19:\"context_ui_settings\";}','',15,4,1,'admin/structure/context','admin/structure/context','Settings','t','','','a:0:{}',132,'','',3,''),('admin/structure/ctools-content','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/ctools-content','Custom content panes','t','','','a:0:{}',6,'Add, edit or delete custom content panes.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/add','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/ctools-content','admin/structure/ctools-content','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/import','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/ctools-content','admin/structure/ctools-content','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/ctools-content','admin/structure/ctools-content','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/ctools-content/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-content/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-content/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-content/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/ctools-content/list/%','admin/structure/ctools-content/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-content/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/ctools-content/list/%','admin/structure/ctools-content/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-content/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_custom_content\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_custom_content\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-content/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/ctools-rulesets','Custom access rulesets','t','','','a:0:{}',6,'Add, edit or delete custom access rulesets for use with Panels and other systems that utilize CTools content plugins.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/add','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/ctools-rulesets','admin/structure/ctools-rulesets','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/import','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/ctools-rulesets','admin/structure/ctools-rulesets','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list','','','ctools_export_ui_task_access','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/ctools-rulesets','admin/structure/ctools-rulesets','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/ctools-rulesets/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-rulesets/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-rulesets/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-rulesets/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/ctools-rulesets/list/%','admin/structure/ctools-rulesets/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-rulesets/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/ctools-rulesets/list/%','admin/structure/ctools-rulesets/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/ctools-rulesets/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:21:\"ctools_access_ruleset\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:21:\"ctools_access_ruleset\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/ctools-rulesets/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/features','','','user_access','a:1:{i:0;s:15:\"manage features\";}','drupal_get_form','a:1:{i:0;s:19:\"features_admin_form\";}','',7,3,0,'','admin/structure/features','Features','t','','','a:0:{}',6,'Manage features.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:25:\"features_admin_components\";i:1;i:3;}','',14,4,0,'','admin/structure/features/%','','features_get_feature_title','a:1:{i:0;i:3;}','','a:0:{}',0,'Display components of a feature.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/lock','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_admin_lock','a:3:{i:0;i:3;i:1;i:5;i:2;i:6;}','',29,5,0,'','admin/structure/features/%/lock','Lock','t','','','a:0:{}',0,'Lock a feature or components.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/recreate','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:20:\"features_export_form\";i:1;i:3;}','',29,5,1,'admin/structure/features/%','admin/structure/features/%','Recreate','t','','','a:0:{}',132,'Recreate an existing feature.','',11,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/status','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','features_feature_status','a:1:{i:0;i:3;}','',29,5,0,'','admin/structure/features/%/status','Status','t','','','a:0:{}',0,'Javascript status call back.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/view','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:25:\"features_admin_components\";i:1;i:3;}','',29,5,1,'admin/structure/features/%','admin/structure/features/%','View','t','','','a:0:{}',140,'Display components of a feature.','',-10,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/cleanup','','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_cleanup','a:0:{}','',15,4,0,'','admin/structure/features/cleanup','Cleanup','t','','','a:0:{}',0,'Clear cache after enabling/disabling a feature.','',1,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/create','','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:1:{i:0;s:20:\"features_export_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Create feature','t','','','a:0:{}',132,'Create a new feature.','',10,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/manage','','','user_access','a:1:{i:0;s:15:\"manage features\";}','drupal_get_form','a:1:{i:0;s:19:\"features_admin_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Manage','t','','','a:0:{}',140,'Enable and disable features.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/settings','','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:1:{i:0;s:22:\"features_settings_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Settings','t','','','a:0:{}',132,'Adjust settings for using features module.','',11,'sites/all/modules/features/features.admin.inc'),('admin/structure/field-collections','','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','field_collections_overview','a:0:{}','',7,3,0,'','admin/structure/field-collections','Field collections','t','','','a:0:{}',6,'Manage fields on field collections.','',0,'sites/all/modules/field_collection/field_collection.admin.inc'),('admin/structure/field-collections/%','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',14,4,0,'','admin/structure/field-collections/%','Manage fields','field_collection_admin_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/default','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/full','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/print','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:5:\"print\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:5:\"print\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Print','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/token','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Tokens','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','t','','','a:0:{}',140,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/field-collections/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/edit','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/field-settings','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/translate','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','i18n_field_page_translate','a:1:{i:0;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/field-collections/%/fields/%/translate/%','a:3:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','i18n_field_page_translate','a:2:{i:0;i:5;i:1;i:7;}','',234,8,0,'','admin/structure/field-collections/%/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/field-collections/%/fields/%/widget-type','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/groups/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/field-collections/%/groups/%/enable','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',7,3,0,'','admin/structure/forum','Forums','t','','','a:0:{}',6,'Control forum hierarchy settings.','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/container','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:9:\"container\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add container','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:5:\"forum\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add forum','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/container/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:9:\"container\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/container/%','Edit container','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/forum/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:5:\"forum\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/forum/%','Edit forum','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/list','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','List','t','','','a:0:{}',140,'','',-10,'modules/forum/forum.admin.inc'),('admin/structure/forum/settings','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:20:\"forum_admin_settings\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','Settings','t','','','a:0:{}',132,'','',5,'modules/forum/forum.admin.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',30,5,0,'','admin/structure/menu/item/%','Edit menu link','t','','','a:0:{}',0,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,1,'admin/structure/menu/item/%','admin/structure/menu/item/%','Edit menu link','t','','','a:0:{}',140,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/translate','a:1:{i:4;s:14:\"menu_link_load\";}','','i18n_object_translate_access','a:2:{i:0;s:9:\"menu_link\";i:1;i:4;}','i18n_page_translate_tab','a:2:{i:0;s:9:\"menu_link\";i:1;i:4;}','',61,6,1,'admin/structure/menu/item/%','admin/structure/menu/item/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/menu/item/%/translate/%','a:2:{i:4;s:14:\"menu_link_load\";i:6;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:9:\"menu_link\";i:1;i:4;}','i18n_page_translate_tab','a:3:{i:0;s:9:\"menu_link\";i:1;i:4;i:2;i:6;}','',122,7,0,'','admin/structure/menu/item/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','i18n_menu_menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/translate','a:1:{i:4;s:9:\"menu_load\";}','','i18n_object_translate_access','a:2:{i:0;s:4:\"menu\";i:1;i:4;}','i18n_page_translate_localize','a:2:{i:0;s:4:\"menu\";i:1;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/menu/manage/%/translate/%','a:2:{i:4;s:9:\"menu_load\";i:6;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:4:\"menu\";i:1;i:4;}','i18n_page_translate_localize','a:3:{i:0;s:4:\"menu\";i:1;i:4;i:2;i:6;}','',122,7,0,'','admin/structure/menu/manage/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/menu/manage/translation','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','i18n_translation_set_list_manage','a:1:{i:0;s:9:\"menu_link\";}','',31,5,1,'admin/structure/menu','admin/structure/menu','Translation sets','t','','','a:0:{}',132,'','',10,''),('admin/structure/menu/manage/translation/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:26:\"i18n_menu_translation_form\";}','',63,6,1,'admin/structure/menu/manage/translation','admin/structure/menu','Add translation','t','','','a:0:{}',388,'','',0,'sites/all/modules/i18n/i18n_menu/i18n_menu.admin.inc'),('admin/structure/menu/manage/translation/delete/%','a:1:{i:6;s:26:\"i18n_menu_translation_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:35:\"i18n_translation_set_delete_confirm\";i:1;i:6;}','',126,7,0,'','admin/structure/menu/manage/translation/delete/%','Delete translation','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/manage/translation/edit/%','a:1:{i:6;s:26:\"i18n_menu_translation_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:26:\"i18n_menu_translation_form\";i:1;i:6;}','',126,7,0,'','admin/structure/menu/manage/translation/edit/%','Edit translation','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_menu/i18n_menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/pages','','','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_list_page','a:0:{}','',7,3,0,'','admin/structure/pages','Pages','t','','ajax_base_page_theme','a:0:{}',6,'Add, edit and remove overridden system pages and user defined pages from the system.','',0,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/%/disable/%','a:2:{i:3;s:14:\"ctools_js_load\";i:5;s:23:\"page_manager_cache_load\";}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_enable_page','a:3:{i:0;b:1;i:1;i:3;i:2;i:5;}','',58,6,0,'','admin/structure/pages/%/disable/%','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/%/enable/%','a:2:{i:3;s:14:\"ctools_js_load\";i:5;s:23:\"page_manager_cache_load\";}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_enable_page','a:3:{i:0;b:0;i:1;i:3;i:2;i:5;}','',58,6,0,'','admin/structure/pages/%/enable/%','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/%/operation/%','a:2:{i:3;s:14:\"ctools_js_load\";i:5;s:23:\"page_manager_cache_load\";}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_edit_page_operation','a:2:{i:0;i:3;i:1;i:5;}','',58,6,0,'','admin/structure/pages/%/operation/%','','t','','ajax_base_page_theme','a:0:{}',6,'','',0,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/add','','','user_access','a:1:{i:0;s:23:\"administer page manager\";}','page_manager_page_add_subtask','a:0:{}','',15,4,1,'admin/structure/pages','admin/structure/pages','Add custom page','t','','ajax_base_page_theme','a:0:{}',388,'','',0,'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),('admin/structure/pages/argument','','','user_access','a:1:{i:0;s:23:\"administer page manager\";}','page_manager_page_subtask_argument_ajax','a:0:{}','',15,4,0,'','admin/structure/pages/argument','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),('admin/structure/pages/edit/%','a:1:{i:4;s:23:\"page_manager_cache_load\";}','','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/pages/edit/%','Edit','t','','ajax_base_page_theme','a:0:{}',6,'','',0,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/import','','','ctools_access_multiperm','a:2:{i:0;s:23:\"administer page manager\";i:1;s:17:\"use ctools import\";}','drupal_get_form','a:2:{i:0;s:32:\"page_manager_page_import_subtask\";i:1;s:4:\"page\";}','',15,4,1,'admin/structure/pages','admin/structure/pages','Import page','t','','ajax_base_page_theme','a:0:{}',388,'','',0,'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),('admin/structure/pages/list','','','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_list_page','a:0:{}','',15,4,1,'admin/structure/pages','admin/structure/pages','List','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),('admin/structure/pages/wizard','','','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_page_wizard_list','a:1:{i:0;i:4;}','',15,4,1,'admin/structure/pages','admin/structure/pages','Wizards','t','','ajax_base_page_theme','a:0:{}',132,'','',-5,'sites/all/modules/ctools/includes/page-wizard.inc'),('admin/structure/pages/wizard/%','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:16:\"use page manager\";}','page_manager_page_wizard','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/pages/wizard/%','Wizard','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/page-wizard.inc'),('admin/structure/panels','','','user_access','a:1:{i:0;s:20:\"use panels dashboard\";}','panels_admin_page','a:0:{}','',7,3,0,'','admin/structure/panels','Panels','t','','','a:0:{}',6,'Get a bird\'s eye view of items related to Panels.','',0,'sites/all/modules/panels/includes/callbacks.inc'),('admin/structure/panels/dashboard','','','user_access','a:1:{i:0;s:20:\"use panels dashboard\";}','panels_admin_page','a:0:{}','',15,4,1,'admin/structure/panels','admin/structure/panels','Dashboard','t','','','a:0:{}',140,'','',-10,'sites/all/modules/panels/includes/callbacks.inc'),('admin/structure/panels/layouts','','','ctools_export_ui_task_access','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/panels','admin/structure/panels','Layouts','t','','','a:0:{}',132,'Add, edit or delete custom content layouts.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/add-flexible','','','ctools_export_ui_task_access','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:3:\"add\";i:2;s:8:\"flexible\";}','',31,5,1,'admin/structure/panels/layouts','admin/structure/panels','Add flexible layout','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/import','','','ctools_export_ui_task_access','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"import\";}','',31,5,1,'admin/structure/panels/layouts','admin/structure/panels','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list','','','ctools_export_ui_task_access','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"list\";}','',31,5,1,'admin/structure/panels/layouts','admin/structure/panels','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"edit\";i:2;i:5;}','',62,6,0,'','admin/structure/panels/layouts/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/clone','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:5:\"clone\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:5:\"clone\";i:2;i:5;}','',125,7,0,'','admin/structure/panels/layouts/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/delete','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"delete\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/structure/panels/layouts/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/disable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:7:\"disable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:7:\"disable\";i:2;i:5;}','',125,7,0,'','admin/structure/panels/layouts/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/edit','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:4:\"edit\";i:2;i:5;}','',125,7,1,'admin/structure/panels/layouts/list/%','admin/structure/panels/layouts/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/enable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"enable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"enable\";i:2;i:5;}','',125,7,0,'','admin/structure/panels/layouts/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/export','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"export\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"export\";i:2;i:5;}','',125,7,1,'admin/structure/panels/layouts/list/%','admin/structure/panels/layouts/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/layouts/list/%/revert','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:14:\"panels_layouts\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"revert\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:14:\"panels_layouts\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/structure/panels/layouts/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/panels/settings','','','user_access','a:1:{i:0;s:20:\"use panels dashboard\";}','drupal_get_form','a:1:{i:0;s:26:\"panels_admin_settings_page\";}','',15,4,1,'admin/structure/panels','admin/structure/panels','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/panels/includes/callbacks.inc'),('admin/structure/panels/settings/general','','','user_access','a:1:{i:0;s:23:\"administer page manager\";}','drupal_get_form','a:1:{i:0;s:26:\"panels_admin_settings_page\";}','',31,5,1,'admin/structure/panels/settings','admin/structure/panels','General','t','','','a:0:{}',140,'','',-10,'sites/all/modules/panels/includes/callbacks.inc'),('admin/structure/panels/settings/panel-page','','','user_access','a:1:{i:0;s:20:\"use panels dashboard\";}','panels_admin_panel_context_page','a:0:{}','',31,5,1,'admin/structure/panels/settings','admin/structure/panels','Panel pages','t','','','a:0:{}',132,'','',-10,'sites/all/modules/panels/includes/callbacks.inc'),('admin/structure/quicktabs','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',7,3,0,'','admin/structure/quicktabs','Quicktabs','t','','','a:0:{}',6,'Create blocks of tabbed content.','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/add','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:14:\"quicktabs_form\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Add Quicktabs Instance','t','','','a:0:{}',388,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/list','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','List quicktabs','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',6,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/clone','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_clone','a:1:{i:0;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Clone quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/delete','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:22:\"quicktabs_block_delete\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Delete quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/edit','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,2,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/export','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:21:\"quicktabs_export_form\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/styles','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:1:{i:0;s:26:\"quicktabs_tabstyles_styles\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Styles','t','','','a:0:{}',132,'','',0,''),('admin/structure/services','','','ctools_export_ui_task_access','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/services','Services','t','','','a:0:{}',6,'Manage Services','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/add','','','ctools_export_ui_task_access','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/services','admin/structure/services','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/import','','','ctools_export_ui_task_access','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/services','admin/structure/services','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list','','','ctools_export_ui_task_access','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/services','admin/structure/services','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/services/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/authentication','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','user_access','a:1:{i:0;s:19:\"administer services\";}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:14:\"authentication\";i:2;i:4;}','',61,6,1,'admin/structure/services/list/%','admin/structure/services/list/%','Authentication','t','','','a:0:{}',132,'','',-3,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/services/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/services/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/services/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/services/list/%','admin/structure/services/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/services/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/services/list/%','admin/structure/services/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/resources','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','user_access','a:1:{i:0;s:19:\"administer services\";}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:9:\"resources\";i:2;i:4;}','',61,6,1,'admin/structure/services/list/%','admin/structure/services/list/%','Resources','t','','','a:0:{}',132,'','',-2,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/services/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/services/list/%/server','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:25:\"services_ctools_export_ui\";}}}','','user_access','a:1:{i:0;s:19:\"administer services\";}','ctools_export_ui_switcher_page','a:3:{i:0;s:25:\"services_ctools_export_ui\";i:1;s:6:\"server\";i:2;i:4;}','',61,6,1,'admin/structure/services/list/%','admin/structure/services/list/%','Server','t','','','a:0:{}',132,'','',-4,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"stylizer\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"stylizer\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/stylizer','Stylizer','t','','','a:0:{}',6,'Add, edit or delete stylizer styles.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/add','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"stylizer\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"stylizer\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/stylizer','admin/structure/stylizer','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/import','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"stylizer\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"stylizer\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/stylizer','admin/structure/stylizer','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"stylizer\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"stylizer\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/stylizer','admin/structure/stylizer','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/stylizer/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/stylizer/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/stylizer/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/stylizer/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/stylizer/list/%','admin/structure/stylizer/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/stylizer/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/stylizer/list/%','admin/structure/stylizer/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/stylizer/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"stylizer\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"stylizer\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/stylizer/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/translate','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','i18n_field_page_translate','a:1:{i:0;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/taxonomy/%/fields/%/translate/%','a:3:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','i18n_field_page_translate','a:2:{i:0;i:5;i:1;i:7;}','',234,8,0,'','admin/structure/taxonomy/%/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/groups/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/groups/%/enable','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/list/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',59,6,1,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%','Terms','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/list/sets','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','i18n_taxonomy_vocabulary_translation_tab_sets_access','a:1:{i:0;i:3;}','i18n_taxonomy_translation_sets_overview','a:1:{i:0;i:3;}','',59,6,1,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%','Translation sets','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.admin.inc'),('admin/structure/taxonomy/%/list/sets/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','i18n_taxonomy_vocabulary_translation_tab_sets_access','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:35:\"i18n_taxonomy_translation_term_form\";i:1;i:3;}','',119,7,1,'admin/structure/taxonomy/%/list/sets','admin/structure/taxonomy/%','Create new translation','t','','','a:0:{}',388,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.admin.inc'),('admin/structure/taxonomy/%/list/sets/delete/%','a:2:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";i:7;s:34:\"i18n_taxonomy_translation_set_load\";}','','i18n_taxonomy_vocabulary_translation_tab_sets_access','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:35:\"i18n_translation_set_delete_confirm\";i:1;i:7;}','',238,8,0,'','admin/structure/taxonomy/%/list/sets/delete/%','Delete translation','t','','','a:0:{}',0,'','',0,''),('admin/structure/taxonomy/%/list/sets/edit/%','a:2:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";i:7;s:34:\"i18n_taxonomy_translation_set_load\";}','','i18n_taxonomy_vocabulary_translation_tab_sets_access','a:1:{i:0;i:3;}','drupal_get_form','a:3:{i:0;s:35:\"i18n_taxonomy_translation_term_form\";i:1;i:3;i:2;i:7;}','',238,8,0,'','admin/structure/taxonomy/%/list/sets/edit/%','Edit translation','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.admin.inc'),('admin/structure/taxonomy/%/translate','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','i18n_object_translate_access','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','i18n_page_translate_localize','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/taxonomy/%/translate/%','a:2:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";i:5;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','i18n_page_translate_localize','a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;i:2;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/translate','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','i18n_field_page_translate','a:1:{i:0;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/types/manage/%/comment/fields/%/translate/%i18n_language','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','i18n_field_page_translate','a:2:{i:0;i:7;i:1;i:9;}','',493,9,0,'','admin/structure/types/manage/%/comment/fields/%/translate/%i18n_language','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/groups/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/comment/groups/%/enable','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/print','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"print\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"print\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Print','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/question','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:8:\"question\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:8:\"question\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Question','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/translate','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','i18n_field_page_translate','a:1:{i:0;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Translate','t','','','a:0:{}',132,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/types/manage/%/fields/%/translate/%','a:3:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:8;a:1:{s:18:\"i18n_language_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','i18n_field_page_translate','a:2:{i:0;i:6;i:1;i:8;}','',490,9,0,'','admin/structure/types/manage/%/fields/%/translate/%','Instance','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_field/i18n_field.pages.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/translate','a:1:{i:4;s:14:\"node_type_load\";}','','i18n_object_translate_access','a:2:{i:0;s:9:\"node_type\";i:1;i:4;}','i18n_page_translate_localize','a:2:{i:0;s:9:\"node_type\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/types/manage/%/translate/%','a:2:{i:4;s:14:\"node_type_load\";i:6;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:9:\"node_type\";i:1;i:4;}','i18n_page_translate_localize','a:3:{i:0;s:9:\"node_type\";i:1;i:4;i:2;i:6;}','',122,7,0,'','admin/structure/types/manage/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('authnet/silent-post','','','1','a:0:{}','uc_authorizenet_silent_post','a:0:{}','',3,2,0,'','authnet/silent-post','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_authorizenet/uc_authorizenet.pages.inc'),('banners/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','banners_autocomplete','a:0:{}','',3,2,0,'','banners/autocomplete','Autocomplete banners','t','','','a:0:{}',0,'','',0,'sites/all/modules/banners/banners.pages.inc'),('banners/item/%/edit','a:1:{i:2;s:17:\"banners_item_load\";}','','banners_item_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:17:\"banners_form_item\";i:1;i:2;i:2;N;}','',13,4,1,'','banners/item/%/edit','Edit','t','','','a:0:{}',132,'','',10,'sites/all/modules/banners/banners.admin.inc'),('banners/item/%/feed','a:1:{i:2;s:17:\"banners_item_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','banners_item_feed','a:1:{i:0;i:2;}','',13,4,0,'','banners/item/%/feed','Banners item','banners_item_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'sites/all/modules/banners/banners.pages.inc'),('banners/item/%/view','a:1:{i:2;s:17:\"banners_item_load\";}','','0','a:0:{}','','a:0:{}','',13,4,1,'','banners/item/%/view','View','t','','','a:0:{}',140,'','',0,''),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('book','','','user_access','a:1:{i:0;s:14:\"access content\";}','book_render','a:0:{}','',1,1,0,'','book','Books','t','','','a:0:{}',20,'','',0,'modules/book/book.pages.inc'),('book/export/%/%','a:2:{i:2;N;i:3;N;}','','user_access','a:1:{i:0;s:31:\"access printer-friendly version\";}','book_export','a:2:{i:0;i:2;i:1;i:3;}','',12,4,0,'','book/export/%/%','','t','','','a:0:{}',0,'','',0,'modules/book/book.pages.inc'),('cart','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_cart_view','a:0:{}','',1,1,0,'','cart','Shopping cart','t','','','a:0:{}',6,'View/modify the contents of your shopping cart or proceed to checkout.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc'),('cart/2checkout/complete','','','1','a:0:{}','uc_2checkout_complete','a:0:{}','',7,3,0,'','cart/2checkout/complete','Order complete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_2checkout/uc_2checkout.pages.inc'),('cart/2checkout/notification','','','1','a:0:{}','uc_2checkout_process_notification','a:0:{}','',7,3,0,'','cart/2checkout/notification','','t','','','a:0:{}',6,'','',0,'sites/all/modules/ubercart/payment/uc_2checkout/uc_2checkout.pages.inc'),('cart/checkout','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_cart_checkout','a:0:{}','',3,2,0,'','cart/checkout','Checkout','t','','','a:0:{}',0,'Purchase the items in your shopping cart.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc'),('cart/checkout/complete','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_cart_checkout_complete','a:0:{}','',7,3,0,'','cart/checkout/complete','Order complete','t','','','a:0:{}',0,'Display information upon completion of an order.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc'),('cart/checkout/credit/cvv_info','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_credit_cvv_info','a:0:{}','',15,4,0,'','cart/checkout/credit/cvv_info','CVV information','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_credit/uc_credit.pages.inc'),('cart/checkout/review','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_cart_checkout_review','a:0:{}','',7,3,0,'','cart/checkout/review','Review order','t','','','a:0:{}',0,'Review an order before final submission.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc'),('cart/echeckout/review','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_paypal_ec_review','a:0:{}','',7,3,0,'','cart/echeckout/review','Review payment','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('cart/echeckout/selected','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_paypal_ec_review_redirect','a:0:{}','',7,3,0,'','cart/echeckout/selected','Review order','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('cart/echeckout/submit','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_paypal_ec_submit','a:0:{}','',7,3,0,'','cart/echeckout/submit','Submit order','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('cart/empty','','','user_access','a:1:{i:0;s:14:\"access content\";}','drupal_get_form','a:1:{i:0;s:21:\"uc_cart_empty_confirm\";}','',3,2,0,'','cart/empty','Empty cart','t','','','a:0:{}',0,'Confirm that the cart should be emptied.','',0,'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc'),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('contact','','','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','drupal_get_form','a:1:{i:0;s:17:\"contact_site_form\";}','',1,1,0,'','contact','Contact','t','','','a:0:{}',20,'','',0,'modules/contact/contact.pages.inc'),('context-ui/activate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_activate','a:0:{}','',3,2,0,'','context-ui/activate','Activate Context UI','t','','','a:0:{}',0,'','',0,''),('context-ui/deactivate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_deactivate','a:0:{}','',3,2,0,'','context-ui/deactivate','Deactivate Context UI','t','','','a:0:{}',0,'','',0,''),('course/autocomplete/node/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','course_object_autocomplete_node','a:2:{i:0;i:3;i:1;i:4;}','',14,4,0,'','course/autocomplete/node/%','','t','','','a:0:{}',6,'','',0,''),('courses/grid','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:7:\"courses\";i:1;s:6:\"page_1\";}','',3,2,0,'','courses/grid','','t','','','a:0:{}',0,'','',0,''),('courses/list','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:7:\"courses\";i:1;s:4:\"page\";}','',3,2,0,'','courses/list','','t','','','a:0:{}',0,'','',0,''),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools_ajax_sample','','','1','a:0:{}','ctools_ajax_sample_page','a:0:{}','',1,1,0,'','ctools_ajax_sample','Chaos Tools AJAX Demo','t','','','a:0:{}',6,'','',0,''),('ctools_ajax_sample/%/animal','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','ctools_ajax_sample_animal','a:1:{i:0;i:1;}','',5,3,0,'','ctools_ajax_sample/%/animal','Animal','t','','','a:0:{}',0,'','',0,''),('ctools_ajax_sample/%/hello','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','ctools_ajax_sample_hello','a:1:{i:0;i:1;}','',5,3,0,'','ctools_ajax_sample/%/hello','Hello World','t','','','a:0:{}',0,'','',0,''),('ctools_ajax_sample/%/login','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','ctools_ajax_sample_login','a:1:{i:0;i:1;}','',5,3,0,'','ctools_ajax_sample/%/login','Login','t','','','a:0:{}',0,'','',0,''),('ctools_ajax_sample/%/login/%','a:2:{i:1;s:14:\"ctools_js_load\";i:3;N;}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','ctools_ajax_sample_login_success','a:2:{i:0;i:1;i:1;i:3;}','',10,4,0,'','ctools_ajax_sample/%/login/%','Post-Login Action','t','','','a:0:{}',0,'','',0,''),('ctools_ajax_sample/%/tablenix/%','a:2:{i:1;s:14:\"ctools_js_load\";i:3;N;}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','ctools_ajax_sample_tablenix','a:2:{i:0;i:1;i:1;i:3;}','',10,4,0,'','ctools_ajax_sample/%/tablenix/%','Hello World','t','','','a:0:{}',0,'','',0,''),('ctools_ajax_sample/jumped','','','1','a:0:{}','ctools_ajax_sample_jump_menu_page','a:0:{}','',3,2,0,'','ctools_ajax_sample/jumped','Successful Jumping','t','','','a:0:{}',6,'','',0,''),('ctools_ajax_sample/simple_form','','','1','a:0:{}','ctools_ajax_simple_form','a:0:{}','',3,2,0,'','ctools_ajax_sample/simple_form','Simple Form','t','','','a:0:{}',0,'','',0,''),('cybersource/hop-complete/%','a:1:{i:2;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_cybersource_hop_complete','a:1:{i:0;i:2;}','',6,3,0,'','cybersource/hop-complete/%','CyberSource payment complete','t','','','a:0:{}',0,'','',0,''),('cybersource/hop-post','','','1','a:0:{}','uc_cybersource_hop_post','a:0:{}','',3,2,0,'','cybersource/hop-post','Payment received','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/single/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/single/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/tags/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/tags/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('events','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:6:\"events\";i:1;s:4:\"page\";}','',1,1,0,'','events','','t','','','a:0:{}',0,'','',0,''),('events/grid','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:6:\"events\";i:1;s:6:\"page_1\";}','',3,2,0,'','events/grid','','t','','','a:0:{}',0,'','',0,''),('faqs','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"faqs\";i:1;s:4:\"page\";}','',1,1,0,'','faqs','FAQ','t','','','a:0:{}',6,'','',0,''),('features/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:19:\"administer features\";}','features_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','features/ajaxcallback/%','','features_get_feature_components','','','a:0:{}',0,'Return components of a feature.','',0,'sites/all/modules/features/features.admin.inc'),('features/autocomplete/packages','','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_autocomplete_packages','a:0:{}','',7,3,0,'','features/autocomplete/packages','','t','','','a:0:{}',0,'','',0,'sites/all/modules/features/features.admin.inc'),('field-collection/field-list-file/%','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',6,3,0,'','field-collection/field-list-file/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-list-file/%/delete','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:36:\"field_collection_item_delete_confirm\";i:1;i:2;}','',13,4,2,'field-collection/field-list-file/%','field-collection/field-list-file/%','Delete','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-list-file/%/edit','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:26:\"field_collection_item_form\";i:1;i:2;}','',13,4,3,'field-collection/field-list-file/%','field-collection/field-list-file/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-list-file/%/revisions/%','a:2:{i:2;s:26:\"field_collection_item_load\";i:4;s:35:\"field_collection_item_revision_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:4;}','field_collection_item_page_view','a:1:{i:0;i:4;}','',26,5,0,'','field-collection/field-list-file/%/revisions/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-list-file/%/view','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',13,4,1,'field-collection/field-list-file/%','field-collection/field-list-file/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-list-file/add/%/%','a:2:{i:3;N;i:4;N;}','','1','a:0:{}','field_collection_item_add','a:3:{i:0;s:15:\"field_list_file\";i:1;i:3;i:2;i:4;}','',28,5,0,'','field-collection/field-list-file/add/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('flexslider-views-example','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:4:\"page\";}','',1,1,0,'','flexslider-views-example','Basic Slider (Views)','t','','','a:0:{}',6,'','',0,''),('flexslider-views-example-basic-carousel','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:6:\"page_3\";}','',1,1,0,'','flexslider-views-example-basic-carousel','basic carousel (Views)','t','','','a:0:{}',6,'','',0,''),('flexslider-views-example-carousel-min-max','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:6:\"page_4\";}','',1,1,0,'','flexslider-views-example-carousel-min-max','carousel with min and max ranges (Views)','t','','','a:0:{}',6,'','',0,''),('flexslider-views-example-thumbnail-captions','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:6:\"page_5\";}','',1,1,0,'','flexslider-views-example-thumbnail-captions','Thumbnail Captions (Views)','t','','','a:0:{}',6,'Basic slider with thumbnail captions','',0,''),('flexslider-views-example-with-thumbnail-controls','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:6:\"page_1\";}','',1,1,0,'','flexslider-views-example-with-thumbnail-controls','slider w/thumbnail controlnav pattern (Views)','t','','','a:0:{}',6,'','',0,''),('flexslider-views-example-with-thumbnail-slider','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:24:\"flexslider_views_example\";i:1;s:6:\"page_2\";}','',1,1,0,'','flexslider-views-example-with-thumbnail-slider','slider w/thumbnail slider (Views)','t','','','a:0:{}',6,'','',0,''),('forum','','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:0:{}','',1,1,0,'','forum','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('forum/%','a:1:{i:1;s:16:\"forum_forum_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:1:{i:0;i:1;}','',2,2,0,'','forum/%','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('gallery','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:4:\"page\";}','',1,1,0,'','gallery','Gallery','t','','','a:0:{}',6,'','',0,''),('gallery/edustation','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_1\";}','',3,2,0,'','gallery/edustation','','t','','','a:0:{}',0,'','',0,''),('gallery/news','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_2\";}','',3,2,0,'','gallery/news','','t','','','a:0:{}',0,'','',0,''),('gallery/scholarship','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_3\";}','',3,2,0,'','gallery/scholarship','','t','','','a:0:{}',0,'','',0,''),('gallery/student','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_4\";}','',3,2,0,'','gallery/student','','t','','','a:0:{}',0,'','',0,''),('help/%/%','a:2:{i:1;N;i:2;N;}','','user_access','a:1:{i:0;s:24:\"view advanced help topic\";}','advanced_help_topic_page','a:2:{i:0;i:1;i:1;i:2;}','',4,3,0,'','help/%/%','','t','','','a:0:{}',0,'','',0,''),('help/ah/search/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:24:\"view advanced help index\";}','advanced_help_search_view','a:1:{i:0;s:13:\"advanced_help\";}','',14,4,0,'','help/ah/search/%','Search help','t','','','a:0:{}',6,'','',0,''),('i18n/node/autocomplete','','','user_access','a:1:{i:0;s:31:\"administer content translations\";}','i18n_node_autocomplete','a:0:{}','',7,3,0,'','i18n/node/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_node/i18n_node.pages.inc'),('i18n/taxonomy/autocomplete/language/%','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','i18n_taxonomy_autocomplete_language','a:2:{i:0;i:4;i:1;N;}','',30,5,0,'','i18n/taxonomy/autocomplete/language/%','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc'),('i18n/taxonomy/autocomplete/vocabulary/%/%','a:2:{i:4;s:37:\"taxonomy_vocabulary_machine_name_load\";i:5;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','i18n_taxonomy_autocomplete_language','a:2:{i:0;i:5;i:1;i:4;}','',60,6,0,'','i18n/taxonomy/autocomplete/vocabulary/%/%','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc'),('i18n_string/save','','','user_access','a:1:{i:0;s:23:\"use on-page translation\";}','i18n_string_l10n_client_save_string','a:0:{}','',3,2,0,'','i18n_string/save','Save string','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_string/i18n_string.pages.inc'),('imce','','','imce_access','a:2:{i:0;b:0;i:1;i:1;}','imce','a:0:{}','',1,1,0,'','imce','File browser','t','','','a:0:{}',0,'','',0,'sites/all/modules/imce/inc/imce.page.inc'),('inline_entity_form/autocomplete','','','1','a:0:{}','inline_entity_form_autocomplete','a:0:{}','',3,2,0,'','inline_entity_form/autocomplete','Inline Entity Form Autocomplete','t','','','a:0:{}',0,'','',0,''),('jcarousel/ajax/views','','','1','a:0:{}','jcarousel_views_ajax','a:0:{}','',7,3,0,'','jcarousel/ajax/views','','t','','','a:0:{}',0,'','',0,'sites/all/modules/jcarousel/includes/jcarousel.views.inc'),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('list-student','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:20:\"access user profiles\";}}}','views_page','a:2:{i:0;s:12:\"list_student\";i:1;s:4:\"page\";}','',1,1,0,'','list-student','','t','','','a:0:{}',0,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('news','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"timenews\";i:1;s:4:\"page\";}','',1,1,0,'','news','','t','','','a:0:{}',0,'','',0,''),('news/grid','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"timenews\";i:1;s:6:\"page_1\";}','',3,2,0,'','news/grid','','t','','','a:0:{}',0,'','',0,''),('newsletter/confirm/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','newsletter_confirm','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/confirm/%','Confirm subscription','t','','','a:0:{}',0,'Confirm your subscription to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/edit/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','1','a:0:{}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:2;}','',6,3,1,'','newsletter/edit/%','Edit newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/statistics/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','newsletter_statistics_open','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/statistics/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/subscribe','','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:1:{i:0;s:36:\"newsletter_manage_subscriptions_form\";}','',3,2,0,'','newsletter/subscribe','Subscribe','t','','','a:0:{}',0,'Subscribe to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/unsubscribe/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_unsubscribe\";i:1;i:2;}','',6,3,0,'','newsletter/unsubscribe/%','Unsubscribe','t','','','a:0:{}',0,'Confirm that you want to unsubscribe from our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/ajax-quiz','a:1:{i:1;s:21:\"quiz_type_access_load\";}','','user_access','a:1:{i:0;s:16:\"access ajax quiz\";}','ajax_quiz_instruction','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Take by AJAX','t','','','a:0:{}',132,'','',0,'sites/all/modules/quiz/includes/ajax_quiz/ajax_quiz.admin.inc'),('node/%/certificate','a:1:{i:1;s:9:\"node_load\";}','','certificate_can_access_certificate','a:1:{i:0;i:1;}','certificate_node_certificate','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Certificate','t','','','a:0:{}',132,'Display earned certificate for this node','',0,'sites/all/modules/certificate/certificate.pages.inc'),('node/%/course-complete','a:1:{i:1;s:11:\"course_load\";}','','1','a:0:{}','course_completion_page','a:1:{i:0;i:1;}','',5,3,0,'','node/%/course-complete','Course complete','t','','','a:0:{}',6,'','',0,'sites/all/modules/course/includes/course.outline.inc'),('node/%/course-enrollments','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:27:\"course_enrollment_vbo_admin\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:27:\"course_enrollment_vbo_admin\";i:1;s:6:\"page_1\";i:2;i:1;}','',5,3,1,'node/%','node/%','Enrollments','t','','','a:0:{}',132,'','',0,''),('node/%/course-enrollments/list','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:27:\"course_enrollment_vbo_admin\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:27:\"course_enrollment_vbo_admin\";i:1;s:6:\"page_1\";i:2;i:1;}','',11,4,1,'node/%/course-enrollments','node/%','List','t','','','a:0:{}',140,'','',0,''),('node/%/course-enrollments/search-add','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:28:\"course_enrollment_search_add\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:28:\"course_enrollment_search_add\";i:1;s:6:\"page_1\";i:2;i:1;}','',11,4,1,'node/%/course-enrollments','node/%','Search and Enroll','t','','','a:0:{}',132,'','',0,''),('node/%/course-object/%','a:2:{i:1;s:11:\"course_load\";i:3;s:18:\"course_object_load\";}','','course_access_object','a:2:{i:0;i:1;i:1;i:3;}','course_object_take','a:1:{i:0;i:3;}','',10,4,0,'','node/%/course-object/%','Course object router','t','','','a:0:{}',6,'','',2,''),('node/%/course-object/%/%/nav','a:3:{i:1;s:11:\"course_load\";i:3;s:18:\"course_object_load\";i:4;s:14:\"ctools_js_load\";}','a:1:{i:4;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','course_ajaj_fulfullment_check','a:3:{i:0;i:1;i:1;i:3;i:2;i:5;}','',41,6,0,'','node/%/course-object/%/%/nav','','t','','','a:0:{}',0,'','',0,''),('node/%/course-object/%/%/options','a:3:{i:1;s:11:\"course_load\";i:3;s:14:\"ctools_js_load\";i:4;s:18:\"course_object_load\";}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','course_object_options','a:3:{i:0;i:1;i:1;i:3;i:2;i:4;}','',41,6,0,'','node/%/course-object/%/%/options','Course object settings','t','','','a:0:{}',6,'','',0,''),('node/%/course-object/%/%/restore','a:3:{i:1;s:11:\"course_load\";i:3;s:14:\"ctools_js_load\";i:4;s:18:\"course_object_load\";}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','course_object_restore','a:3:{i:0;i:1;i:1;i:3;i:2;i:4;}','',41,6,0,'','node/%/course-object/%/%/restore','','t','','','a:0:{}',0,'','',0,''),('node/%/course-outline','a:1:{i:1;s:11:\"course_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','drupal_get_form','a:1:{i:0;s:28:\"course_outline_overview_form\";}','',5,3,1,'node/%','node/%','Course outline','t','','','a:0:{}',132,'','',0,'sites/all/modules/course/includes/course.outline.inc'),('node/%/course-outline/%/more/%','a:3:{i:1;s:11:\"course_load\";i:3;s:14:\"ctools_js_load\";i:5;N;}','a:1:{i:3;s:16:\"ctools_js_to_arg\";}','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','course_outline_overview_js_more','a:3:{i:0;i:1;i:1;i:3;i:2;i:5;}','',42,6,0,'','node/%/course-outline/%/more/%','','t','','','a:0:{}',0,'','',0,''),('node/%/course-reports','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"course_report\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:13:\"course_report\";i:1;s:6:\"page_1\";i:2;i:1;}','',5,3,1,'node/%','node/%','Course reports','t','','','a:0:{}',132,'','',1,''),('node/%/course-reports/objects','a:1:{i:1;s:11:\"course_load\";}','','_course_reports_access','a:1:{i:0;i:1;}','course_object_reports_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/course-reports','node/%','Course objects','t','','','a:0:{}',132,'','',0,'sites/all/modules/course/includes/course.reports.inc'),('node/%/course-reports/objects/%/overview','a:2:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:20:\"course_object_report\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}i:4;N;}','','views_access','a:1:{i:0;b:1;}','views_page','a:4:{i:0;s:20:\"course_object_report\";i:1;s:4:\"page\";i:2;i:1;i:3;i:4;}','',45,6,0,'','node/%/course-reports/objects/%/overview','','t','','','a:0:{}',0,'','',0,''),('node/%/course-reports/overview','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"course_report\";i:1;s:6:\"page_1\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:13:\"course_report\";i:1;s:6:\"page_1\";i:2;i:1;}','',11,4,1,'node/%/course-reports','node/%','Overview','t','','','a:0:{}',140,'','',-1,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/done','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_confirmation_page_access','a:1:{i:0;i:1;}','_webform_confirmation','a:1:{i:0;i:1;}','',5,3,0,'','node/%/done','Webform confirmation','t','','','a:0:{}',0,'','',0,''),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/edit/product','a:1:{i:1;s:9:\"node_load\";}','','uc_product_edit_access','a:1:{i:0;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',11,4,1,'node/%/edit','node/%','Product','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ubercart/uc_product/uc_product.admin.inc'),('node/%/myresults','a:1:{i:1;s:9:\"node_load\";}','','quiz_access_my_results','a:1:{i:0;i:1;}','quiz_my_results','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','My results','t','','','a:0:{}',132,'','',3,'sites/all/modules/quiz/quiz.pages.inc'),('node/%/myresults/%','a:2:{i:1;s:9:\"node_load\";i:3;s:13:\"quiz_rid_load\";}','a:1:{i:3;s:15:\"quiz_rid_to_arg\";}','quiz_access_my_result','a:1:{i:0;i:3;}','quiz_user_results','a:1:{i:0;i:3;}','',10,4,0,'','node/%/myresults/%','User results','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.pages.inc'),('node/%/outline','a:1:{i:1;s:9:\"node_load\";}','','_book_outline_access','a:1:{i:0;i:1;}','book_outline','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Outline','t','','','a:0:{}',132,'','',2,'modules/book/book.pages.inc'),('node/%/outline/remove','a:1:{i:1;s:9:\"node_load\";}','','_book_outline_remove_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:16:\"book_remove_form\";i:1;i:1;}','',11,4,0,'','node/%/outline/remove','Remove from outline','t','','','a:0:{}',6,'','',0,'modules/book/book.pages.inc'),('node/%/questions','a:1:{i:1;s:9:\"node_load\";}','','quiz_type_confirm','a:2:{i:0;i:1;i:1;s:6:\"update\";}','quiz_questions','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Manage questions','t','','','a:0:{}',132,'','',2,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/questions/browser_ahah','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:19:\"create quiz content\";}','quiz_browser_ahah','a:0:{}','',11,4,0,'','node/%/questions/browser_ahah','','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/questions/term_ahah','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:19:\"create quiz content\";}','quiz_categorized_term_ahah','a:0:{}','',11,4,0,'','node/%/questions/term_ahah','','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/results','a:1:{i:1;s:9:\"node_load\";}','','quiz_access_results','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:32:\"quiz_results_manage_results_form\";i:1;i:1;}','',5,3,1,'node/%','node/%','Results','t','','','a:0:{}',132,'','',3,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/results/%','a:2:{i:1;s:9:\"node_load\";i:3;s:13:\"quiz_rid_load\";}','a:1:{i:3;s:15:\"quiz_rid_to_arg\";}','quiz_access_results','a:2:{i:0;i:1;i:1;i:3;}','quiz_admin_results','a:2:{i:0;i:1;i:1;i:3;}','',10,4,0,'','node/%/results/%','Results','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/results/browser_ahah','a:1:{i:1;s:9:\"node_load\";}','','quiz_access_results','a:1:{i:0;i:1;}','quiz_results_mr_browser_ahah','a:0:{}','',11,4,0,'','node/%/results/browser_ahah','','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.admin.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/signups','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:3:\"any\";}','signup_node_tab_page','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Signups','t','','','a:0:{}',132,'','',20,''),('node/%/signups/add','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:3:\"add\";}','signup_node_admin_add_user_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/signups','node/%','Add','t','','','a:0:{}',132,'','',5,'sites/all/modules/signup/includes/signup_form.inc'),('node/%/signups/admin','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:5:\"admin\";}','signup_node_admin_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/signups','node/%','Administer','t','','','a:0:{}',132,'','',0,'sites/all/modules/signup/includes/node_admin.inc'),('node/%/signups/broadcast','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:9:\"broadcast\";}','drupal_get_form','a:2:{i:0;s:21:\"signup_broadcast_form\";i:1;i:1;}','',11,4,1,'node/%/signups','node/%','Signup broadcast','t','','','a:0:{}',132,'','',10,'sites/all/modules/signup/includes/broadcast.inc'),('node/%/signups/confirm','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:5:\"admin\";}','drupal_get_form','a:2:{i:0;s:30:\"signup_cancel_multiple_confirm\";i:1;i:1;}','',11,4,0,'','node/%/signups/confirm','','t','','','a:0:{}',0,'','',0,'sites/all/modules/signup/includes/node_admin.inc'),('node/%/signups/list','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:8:\"list-tab\";}','signup_user_list_output','a:1:{i:0;i:1;}','',11,4,1,'node/%/signups','node/%','List','t','','','a:0:{}',140,'','',-5,'sites/all/modules/signup/includes/node_output.inc'),('node/%/signups/settings','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:5:\"admin\";}','signup_node_settings_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/signups','node/%','Settings','t','','','a:0:{}',132,'','',1,'sites/all/modules/signup/includes/node_settings.inc'),('node/%/signups/signup','a:1:{i:1;s:9:\"node_load\";}','','_signup_menu_access','a:2:{i:0;i:1;i:1;s:6:\"signup\";}','signup_current_user_signup_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/signups','node/%','Sign up','t','','','a:0:{}',132,'','',-10,'sites/all/modules/signup/includes/node_output.inc'),('node/%/statistics','a:1:{i:1;s:9:\"node_load\";}','','quiz_type_confirm','a:2:{i:0;i:1;i:1;s:17:\"access user stats\";}','quiz_stats_revision_selector_page','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Statistics','t','','','a:0:{}',132,'Generates a report on quiz results for quiz creators.','',4,'sites/all/modules/quiz/includes/quiz_stats/quiz_stats.admin.inc'),('node/%/statistics/%','a:2:{i:1;s:9:\"node_load\";i:3;N;}','','quiz_stats_validate_vid','a:2:{i:0;i:1;i:1;i:3;}','quiz_stats_get_adv_stats','a:1:{i:0;i:3;}','',10,4,0,'','node/%/statistics/%','Statistics','t','','','a:0:{}',0,'Generates a report on quiz results for quiz creators.','',4,'sites/all/modules/quiz/includes/quiz_stats/quiz_stats.admin.inc'),('node/%/submission/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',10,4,0,'','node/%/submission/%','Webform submission','webform_submission_title','a:2:{i:0;i:1;i:1;i:3;}','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:6:\"delete\";}','drupal_get_form','a:3:{i:0;s:30:\"webform_submission_delete_form\";i:1;i:1;i:2;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Delete','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/edit','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"edit\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"form\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/resend','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_submission_resend\";i:1;i:1;i:2;i:3;}','',21,5,0,'','node/%/submission/%/resend','Resend e-mails','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/view','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;N;i:2;s:4:\"list\";}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:1;i:2;s:2:\"50\";}','',5,3,0,'','node/%/submissions','Submissions','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/take','a:1:{i:1;s:9:\"node_load\";}','','quiz_take_access','a:1:{i:0;i:1;}','quiz_take','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Take','t','','','a:0:{}',132,'','',0,''),('node/%/takecourse','a:1:{i:1;s:11:\"course_load\";}','','course_take_course_menu_access','a:1:{i:0;i:1;}','course_take_course','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Take course','course_takecourse_title','a:1:{i:0;i:1;}','','a:0:{}',132,'Take course.','',0,''),('node/%/track','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_node_tracker','a:0:{}','',5,3,1,'node/%','node/%','Track','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('node/%/translate','a:1:{i:1;s:9:\"node_load\";}','','_translation_tab_access','a:1:{i:0;i:1;}','i18n_node_translation_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Translate','t','','','a:0:{}',132,'','',2,'sites/all/modules/i18n/i18n_node/i18n_node.pages.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/votes','a:1:{i:1;s:9:\"node_load\";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:17:\"inspect all votes\";i:2;b:0;}','poll_votes','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Votes','t','','','a:0:{}',132,'','',3,'modules/poll/poll.pages.inc'),('node/%/webform','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Webform','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform-results','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',5,3,3,'node/%','node/%','Results','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform-results','node/%','Analysis','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',22,5,1,'node/%/webform-results/analysis','node/%','Analysis','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%/more','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',45,6,1,'node/%/webform-results/analysis/%','node/%','In-depth analysis','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/clear','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_clear_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:26:\"webform_results_clear_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Clear','t','','','a:0:{}',132,'','',8,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:29:\"webform_results_download_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Download','t','','','a:0:{}',132,'','',7,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download-file','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_download_callback','a:1:{i:0;i:1;}','',11,4,0,'','node/%/webform-results/download-file','Download','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Submissions','t','','','a:0:{}',140,'','',4,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/table','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_table','a:2:{i:0;i:1;i:1;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Table','t','','','a:0:{}',132,'','',6,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform/components','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform','node/%','Form components','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:0;}','',22,5,1,'node/%/webform/components','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:29:\"webform_component_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/conditionals','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:25:\"webform_conditionals_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Conditionals','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.conditionals.inc'),('node/%/webform/configure','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:22:\"webform_configure_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Form settings','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.pages.inc'),('node/%/webform/emails','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"webform_emails_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','E-mails','t','','','a:0:{}',132,'','',4,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;}','',22,5,1,'node/%/webform/emails','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_email_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/add','','','_node_add_access','a:0:{}','i18n_node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'sites/all/modules/i18n/i18n_node/i18n_node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','i18n_node_type_name','a:2:{i:0;s:7:\"article\";i:1;s:7:\"Article\";}','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/book','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"book\";}','node_add','a:1:{i:0;s:4:\"book\";}','',7,3,0,'','node/add/book','Book page','i18n_node_type_name','a:2:{i:0;s:4:\"book\";i:1;s:9:\"Book page\";}','','a:0:{}',6,'<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','',0,'modules/node/node.pages.inc'),('node/add/certificate','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"certificate\";}','node_add','a:1:{i:0;s:11:\"certificate\";}','',7,3,0,'','node/add/certificate','Certificate','i18n_node_type_name','a:2:{i:0;s:11:\"certificate\";i:1;s:11:\"Certificate\";}','','a:0:{}',6,'A tokenized certificate template that will be converted to a PDF and displayed to users who complete accredited activities.','',0,'modules/node/node.pages.inc'),('node/add/course','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:6:\"course\";}','node_add','a:1:{i:0;s:6:\"course\";}','',7,3,0,'','node/add/course','Course','i18n_node_type_name','a:2:{i:0;s:6:\"course\";i:1;s:6:\"Course\";}','','a:0:{}',6,'A <em>course</em> containing Drupal learning objects.','',0,'modules/node/node.pages.inc'),('node/add/events','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:6:\"events\";}','node_add','a:1:{i:0;s:6:\"events\";}','',7,3,0,'','node/add/events','Events','i18n_node_type_name','a:2:{i:0;s:6:\"events\";i:1;s:6:\"Events\";}','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/faq','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:3:\"faq\";}','node_add','a:1:{i:0;s:3:\"faq\";}','',7,3,0,'','node/add/faq','FAQ','i18n_node_type_name','a:2:{i:0;s:3:\"faq\";i:1;s:3:\"FAQ\";}','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/flexslider-example','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:18:\"flexslider_example\";}','node_add','a:1:{i:0;s:18:\"flexslider_example\";}','',7,3,0,'','node/add/flexslider-example','FlexSlider Example','i18n_node_type_name','a:2:{i:0;s:18:\"flexslider_example\";i:1;s:18:\"FlexSlider Example\";}','','a:0:{}',6,'Used for generating example FlexSlider implementations','',0,'modules/node/node.pages.inc'),('node/add/forum','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:5:\"forum\";}','node_add','a:1:{i:0;s:5:\"forum\";}','',7,3,0,'','node/add/forum','Forum topic','i18n_node_type_name','a:2:{i:0;s:5:\"forum\";i:1;s:11:\"Forum topic\";}','','a:0:{}',6,'A <em>forum topic</em> starts a new discussion thread within a forum.','',0,'modules/node/node.pages.inc'),('node/add/gallery','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"gallery\";}','node_add','a:1:{i:0;s:7:\"gallery\";}','',7,3,0,'','node/add/gallery','Gallery','i18n_node_type_name','a:2:{i:0;s:7:\"gallery\";i:1;s:7:\"Gallery\";}','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/long-answer','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"long_answer\";}','node_add','a:1:{i:0;s:11:\"long_answer\";}','',7,3,0,'','node/add/long-answer','Long answer question','i18n_node_type_name','a:2:{i:0;s:11:\"long_answer\";i:1;s:20:\"Long answer question\";}','','a:0:{}',6,'Quiz questions that allow a user to enter multiple paragraphs of text.','',0,'modules/node/node.pages.inc'),('node/add/matching','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"matching\";}','node_add','a:1:{i:0;s:8:\"matching\";}','',7,3,0,'','node/add/matching','Matching','i18n_node_type_name','a:2:{i:0;s:8:\"matching\";i:1;s:8:\"Matching\";}','','a:0:{}',6,'Matching question type for quiz module. A question type for the quiz module: allows you to create matching type questions, which connect terms with one another.','',0,'modules/node/node.pages.inc'),('node/add/multichoice','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"multichoice\";}','node_add','a:1:{i:0;s:11:\"multichoice\";}','',7,3,0,'','node/add/multichoice','Multiple choice question','i18n_node_type_name','a:2:{i:0;s:11:\"multichoice\";i:1;s:24:\"Multiple choice question\";}','','a:0:{}',6,'This provides multiple choice questions for use by the Quiz module.','',0,'modules/node/node.pages.inc'),('node/add/news','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"news\";}','node_add','a:1:{i:0;s:4:\"news\";}','',7,3,0,'','node/add/news','News','i18n_node_type_name','a:2:{i:0;s:4:\"news\";i:1;s:4:\"News\";}','','a:0:{}',6,'News','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','i18n_node_type_name','a:2:{i:0;s:4:\"page\";i:1;s:10:\"Basic page\";}','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/poll','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"poll\";}','node_add','a:1:{i:0;s:4:\"poll\";}','',7,3,0,'','node/add/poll','Poll','i18n_node_type_name','a:2:{i:0;s:4:\"poll\";i:1;s:4:\"Poll\";}','','a:0:{}',6,'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',0,'modules/node/node.pages.inc'),('node/add/product','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"product\";}','node_add','a:1:{i:0;s:7:\"product\";}','',7,3,0,'','node/add/product','Product','i18n_node_type_name','a:2:{i:0;s:7:\"product\";i:1;s:7:\"Product\";}','','a:0:{}',6,'Use <em>products</em> to represent items for sale on the website, including all the unique information that can be attributed to a specific model number.','',0,'modules/node/node.pages.inc'),('node/add/quiz','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"quiz\";}','node_add','a:1:{i:0;s:4:\"quiz\";}','',7,3,0,'','node/add/quiz','Quiz','i18n_node_type_name','a:2:{i:0;s:4:\"quiz\";i:1;s:4:\"Quiz\";}','','a:0:{}',6,'Create interactive quizzes for site visitors','',0,'modules/node/node.pages.inc'),('node/add/quiz-ddlines','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"quiz_ddlines\";}','node_add','a:1:{i:0;s:12:\"quiz_ddlines\";}','',7,3,0,'','node/add/quiz-ddlines','Drag and drop question with lines','i18n_node_type_name','a:2:{i:0;s:12:\"quiz_ddlines\";i:1;s:33:\"Drag and drop question with lines\";}','','a:0:{}',6,'This provides drag and drop question types with lines for the Quiz module.','',0,'modules/node/node.pages.inc'),('node/add/quiz-directions','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:15:\"quiz_directions\";}','node_add','a:1:{i:0;s:15:\"quiz_directions\";}','',7,3,0,'','node/add/quiz-directions','Quiz directions','i18n_node_type_name','a:2:{i:0;s:15:\"quiz_directions\";i:1;s:15:\"Quiz directions\";}','','a:0:{}',6,'Quiz directions allow you to drop in directions anywhere in a quiz. You can also use them to insert a confirmation step at the end of the quiz.','',0,'modules/node/node.pages.inc'),('node/add/scale','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:5:\"scale\";}','node_add','a:1:{i:0;s:5:\"scale\";}','',7,3,0,'','node/add/scale','Scale question','i18n_node_type_name','a:2:{i:0;s:5:\"scale\";i:1;s:14:\"Scale question\";}','','a:0:{}',6,'Quiz questions that allow a user to choose from a scale.','',0,'modules/node/node.pages.inc'),('node/add/short-answer','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"short_answer\";}','node_add','a:1:{i:0;s:12:\"short_answer\";}','',7,3,0,'','node/add/short-answer','Short answer question','i18n_node_type_name','a:2:{i:0;s:12:\"short_answer\";i:1;s:21:\"Short answer question\";}','','a:0:{}',6,'Quiz questions that allow a user to enter a line of text.','',0,'modules/node/node.pages.inc'),('node/add/slideshow','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:9:\"slideshow\";}','node_add','a:1:{i:0;s:9:\"slideshow\";}','',7,3,0,'','node/add/slideshow','Slideshow','i18n_node_type_name','a:2:{i:0;s:9:\"slideshow\";i:1;s:9:\"Slideshow\";}','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/testimonials','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"testimonials\";}','node_add','a:1:{i:0;s:12:\"testimonials\";}','',7,3,0,'','node/add/testimonials','Testimonials','i18n_node_type_name','a:2:{i:0;s:12:\"testimonials\";i:1;s:12:\"Testimonials\";}','','a:0:{}',6,'Testimonials','',0,'modules/node/node.pages.inc'),('node/add/truefalse','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:9:\"truefalse\";}','node_add','a:1:{i:0;s:9:\"truefalse\";}','',7,3,0,'','node/add/truefalse','True/false question','i18n_node_type_name','a:2:{i:0;s:9:\"truefalse\";i:1;s:19:\"True/false question\";}','','a:0:{}',6,'Quiz questions that allow a user to select \"true\" or \"false\" as his response to a statement.','',0,'modules/node/node.pages.inc'),('node/add/webform','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"webform\";}','node_add','a:1:{i:0;s:7:\"webform\";}','',7,3,0,'','node/add/webform','Webform','i18n_node_type_name','a:2:{i:0;s:7:\"webform\";i:1;s:7:\"Webform\";}','','a:0:{}',6,'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',0,'modules/node/node.pages.inc'),('node/add/why-us','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:6:\"why_us\";}','node_add','a:1:{i:0;s:6:\"why_us\";}','',7,3,0,'','node/add/why-us','Why us','i18n_node_type_name','a:2:{i:0;s:6:\"why_us\";i:1;s:6:\"Why us\";}','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node_reference/autocomplete/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','reference_autocomplete_access','a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}','node_reference_autocomplete','a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}','',24,5,0,'','node_reference/autocomplete/%/%/%','','t','','','a:0:{}',0,'','',0,''),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('panels/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','panels_ajax_router','a:0:{}','ajax_deliver',3,2,0,'','panels/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('poll','','','user_access','a:1:{i:0;s:14:\"access content\";}','poll_page','a:0:{}','',1,1,0,'','poll','Polls','t','','','a:0:{}',20,'','',0,'modules/poll/poll.pages.inc'),('print','','','user_access','a:1:{i:0;s:12:\"access print\";}','print_controller_html','a:0:{}','',1,1,0,'','print','Printer-friendly','t','','','a:0:{}',0,'','',0,'sites/all/modules/print/print.pages.inc'),('print/print','','','0','a:0:{}','print_controller_html','a:0:{}','',3,2,0,'','print/print','','t','','','a:0:{}',6,'','',0,'sites/all/modules/print/print.pages.inc'),('printepub','','','user_access','a:1:{i:0;s:19:\"access EPUB version\";}','print_epub_controller','a:0:{}','',1,1,0,'','printepub','Printer-friendly EPUB','t','','','a:0:{}',0,'','',0,'sites/all/modules/print/print_epub/print_epub.pages.inc'),('printepub/printepub','','','0','a:0:{}','print_epub_controller','a:0:{}','',3,2,0,'','printepub/printepub','','t','','','a:0:{}',6,'','',0,'sites/all/modules/print/print_epub/print_epub.pages.inc'),('printpdf','','','user_access','a:1:{i:0;s:18:\"access PDF version\";}','print_pdf_controller','a:0:{}','',1,1,0,'','printpdf','Printer-friendly PDF','t','','','a:0:{}',0,'','',0,'sites/all/modules/print/print_pdf/print_pdf.pages.inc'),('printpdf/printpdf','','','0','a:0:{}','print_pdf_controller','a:0:{}','',3,2,0,'','printpdf/printpdf','','t','','','a:0:{}',6,'','',0,'sites/all/modules/print/print_pdf/print_pdf.pages.inc'),('quicktabs/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','quicktabs_ajax','a:0:{}','',3,2,0,'','quicktabs/ajax','','t','','','a:0:{}',0,'','',0,''),('quiztest/byauthor/%','a:1:{i:2;N;}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:19:\"create quiz content\";}}}','views_page','a:3:{i:0;s:14:\"quiz_by_author\";i:1;s:6:\"page_1\";i:2;i:2;}','',6,3,0,'','quiztest/byauthor/%','','t','','','a:0:{}',0,'','',0,''),('quiztest/bytaker/%','a:1:{i:2;N;}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:29:\"administer quiz configuration\";}}}','views_page','a:3:{i:0;s:13:\"quiz_by_taker\";i:1;s:6:\"page_1\";i:2;i:2;}','',6,3,0,'','quiztest/bytaker/%','','t','','','a:0:{}',0,'','',0,''),('quiz_question/%/%/revision_actions','a:2:{i:1;N;i:2;N;}','','user_access','a:1:{i:0;s:23:\"manual quiz revisioning\";}','drupal_get_form','a:3:{i:0;s:30:\"quiz_question_revision_actions\";i:1;i:1;i:2;i:2;}','',9,4,0,'','quiz_question/%/%/revision_actions','Revision actions','t','','','a:0:{}',6,'','',0,'sites/all/modules/quiz/question_types/quiz_question/quiz_question.pages.inc'),('rss.xml','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_feed','a:2:{i:0;b:0;i:1;a:0:{}}','',1,1,0,'','rss.xml','RSS feed','t','','','a:0:{}',0,'','',0,''),('scale/collection/manage','','','user_access','a:1:{i:0;s:19:\"create quiz content\";}','drupal_get_form','a:1:{i:0;s:28:\"scale_manage_collection_form\";}','',7,3,0,'','scale/collection/manage','Manage your preset collections','t','','','a:0:{}',20,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/advanced_help/%','a:1:{i:2;s:14:\"menu_tail_load\";}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','user_access','a:1:{i:0;s:24:\"view advanced help index\";}','search_view','a:0:{}','',6,3,0,'','search/advanced_help/%','','t','','','a:0:{}',6,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('services/session/token','','','1','a:0:{}','_services_session_token','a:0:{}','',7,3,0,'','services/session/token','','t','','','a:0:{}',0,'','',0,''),('signup/cancel/%/%','a:2:{i:2;s:16:\"signup_menu_load\";i:3;N;}','','_signup_menu_signup_access','a:2:{i:0;i:2;i:1;s:6:\"cancel\";}','signup_cancel_signup_page','a:2:{i:0;i:2;i:1;i:3;}','',12,4,0,'','signup/cancel/%/%','','t','','','a:0:{}',0,'View all signup-enabled posts, and open or close signups on them.','',0,'sites/all/modules/signup/includes/signup_cancel.inc'),('signup/edit/%','a:1:{i:2;s:16:\"signup_menu_load\";}','','_signup_menu_signup_access','a:2:{i:0;i:2;i:1;s:4:\"edit\";}','signup_edit_page','a:1:{i:0;i:2;}','',6,3,1,'','signup/edit/%','Edit signup','t','','','a:0:{}',132,'','',0,'sites/all/modules/signup/includes/signup_edit_form.inc'),('sites/default/files/css/follow.css','','','1','a:0:{}','follow_css','a:0:{}','',31,5,0,'','sites/default/files/css/follow.css','Generate Follow CSS','t','','','a:0:{}',0,'','',0,''),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','i18n_taxonomy_autocomplete_field','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','i18n_taxonomy_term_page','a:1:{i:0;i:2;}','',6,3,0,'','taxonomy/term/%','Taxonomy term','i18n_taxonomy_term_name','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/translate','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','i18n_object_translate_access','a:2:{i:0;s:13:\"taxonomy_term\";i:1;i:2;}','i18n_page_translate_tab','a:2:{i:0;s:13:\"taxonomy_term\";i:1;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Translate','t','','','a:0:{}',132,'','',10,'sites/all/modules/i18n/i18n.pages.inc'),('taxonomy/term/%/translate/%','a:2:{i:2;s:18:\"taxonomy_term_load\";i:4;s:18:\"i18n_language_load\";}','','i18n_object_translate_access','a:2:{i:0;s:13:\"taxonomy_term\";i:1;i:2;}','i18n_page_translate_tab','a:3:{i:0;s:13:\"taxonomy_term\";i:1;i:2;i:2;i:4;}','',26,5,0,'','taxonomy/term/%/translate/%','Translate','t','','','a:0:{}',0,'','',0,'sites/all/modules/i18n/i18n.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','i18n_taxonomy_term_page','a:1:{i:0;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc'),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('uc_paypal/ipn','','','1','a:0:{}','uc_paypal_ipn','a:0:{}','',3,2,0,'','uc_paypal/ipn','PayPal IPN','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('uc_paypal/wps/cancel','','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_paypal_cancel','a:0:{}','',7,3,0,'','uc_paypal/wps/cancel','PayPal payment canceled','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('uc_paypal/wps/complete/%','a:1:{i:3;s:13:\"uc_order_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','uc_paypal_complete','a:1:{i:0;i:3;}','',14,4,0,'','uc_paypal/wps/complete/%','PayPal payment complete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:\"user_load\";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:\"contact_personal_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Contact','t','','','a:0:{}',132,'','',2,'modules/contact/contact.pages.inc'),('user/%/courses','a:1:{i:1;N;}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:10:\"transcript\";i:1;s:9:\"completed\";i:2;i:1;}','',5,3,1,'user/%','user/%','Courses','t','','','a:0:{}',132,'','',0,''),('user/%/courses/completed','a:1:{i:1;N;}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:10:\"transcript\";i:1;s:9:\"completed\";i:2;i:1;}','',11,4,1,'user/%/courses','user/%','Completed','t','','','a:0:{}',140,'','',0,''),('user/%/courses/pending','a:1:{i:1;N;}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:10:\"transcript\";i:1;s:7:\"pending\";i:2;i:1;}','',11,4,1,'user/%/courses','user/%','In progress','t','','','a:0:{}',132,'','',0,''),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/follow','a:1:{i:1;N;}','','follow_links_user_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"follow_links_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Follow','t','','','a:0:{}',132,'Update the associated web service follow links.','',0,''),('user/%/imce','a:1:{i:1;s:9:\"user_load\";}','','imce_user_page_access','a:1:{i:0;i:1;}','imce_user_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','File browser','t','','','a:0:{}',132,'','',10,'sites/all/modules/imce/inc/imce.page.inc'),('user/%/myresults','a:1:{i:1;N;}','','_quiz_user_results_access','a:1:{i:0;i:1;}','quiz_get_user_results','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','My results','t','','','a:0:{}',132,'','',0,'sites/all/modules/quiz/quiz.pages.inc'),('user/%/newsletter','a:1:{i:1;s:9:\"user_load\";}','','newsletter_edit_subsdcriber_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('user/%/orders','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:14:\"uc_orders_user\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:15:\"view own orders\";}}}','views_page','a:3:{i:0;s:14:\"uc_orders_user\";i:1;s:4:\"page\";i:2;i:1;}','',5,3,1,'user/%','user/%','Orders','t','','','a:0:{}',132,'View your order history.','',0,''),('user/%/orders/%','a:2:{i:1;s:9:\"user_load\";i:3;s:13:\"uc_order_load\";}','','uc_order_can_view_order','a:2:{i:0;i:1;i:1;i:3;}','uc_order_view','a:2:{i:0;i:3;i:1;s:8:\"customer\";}','',10,4,0,'','user/%/orders/%','','uc_order_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'View order.','',0,''),('user/%/orders/%/invoice','a:2:{i:1;s:9:\"user_load\";i:3;s:13:\"uc_order_load\";}','','uc_order_can_view_order','a:3:{i:0;i:1;i:1;i:3;i:2;b:1;}','uc_order_view_invoice','a:1:{i:0;i:3;}','',21,5,0,'','user/%/orders/%/invoice','View invoice','t','','','a:0:{}',6,'View order invoice.','',0,''),('user/%/orders/%/print','a:2:{i:1;s:9:\"user_load\";i:3;s:13:\"uc_order_load\";}','','uc_order_can_view_order','a:3:{i:0;i:1;i:1;i:3;i:2;b:1;}','uc_order_view_invoice','a:2:{i:0;i:3;i:1;b:1;}','',21,5,0,'','user/%/orders/%/print','Print invoice','t','','','a:0:{}',6,'Print order invoice.','',0,''),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/signups','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:28:\"signup_view_user_list_access\";i:1;a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;s:3:\"uid\";}}}','views_page','a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;i:1;}','',5,3,1,'user/%','user/%','Signups','t','','','a:0:{}',132,'','',10,''),('user/%/signups/available','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:24:\"signup_available_signups\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:28:\"signup_view_user_list_access\";i:1;a:3:{i:0;s:24:\"signup_available_signups\";i:1;s:4:\"page\";i:2;s:14:\"uid_no_signups\";}}}','views_page','a:3:{i:0;s:24:\"signup_available_signups\";i:1;s:4:\"page\";i:2;i:1;}','',11,4,1,'user/%/signups','user/%','Available','t','','','a:0:{}',132,'','',10,''),('user/%/signups/current','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:28:\"signup_view_user_list_access\";i:1;a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;s:3:\"uid\";}}}','views_page','a:3:{i:0;s:22:\"signup_current_signups\";i:1;s:4:\"page\";i:2;i:1;}','',11,4,1,'user/%/signups','user/%','Current','t','','','a:0:{}',140,'','',-2,''),('user/%/stats','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:17:\"access user stats\";}','quiz_stats_get_basic_stats','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','Result Statistics','t','','','a:0:{}',132,'Generates a report on quiz results for quiz creators.','',0,'sites/all/modules/quiz/includes/quiz_stats/quiz_stats.admin.inc'),('user/%/stats/%/view','a:2:{i:1;N;i:3;N;}','','user_access','a:1:{i:0;s:17:\"access user stats\";}','quiz_stats_get_adv_stats','a:2:{i:0;i:3;i:1;i:1;}','',21,5,0,'','user/%/stats/%/view','Result Statistics','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/includes/quiz_stats/quiz_stats.admin.inc'),('user/%/track/navigation','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_user_tracker','a:0:{}','',11,4,1,'user/%','user/%','Track page visits','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/quiz/%/userresults','a:1:{i:2;N;}','','quiz_access_my_result','a:1:{i:0;i:2;}','quiz_user_results','a:1:{i:0;i:2;}','',13,4,0,'','user/quiz/%/userresults','User results','t','','','a:0:{}',0,'','',0,'sites/all/modules/quiz/quiz.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user_reference/autocomplete/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','reference_autocomplete_access','a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}','user_reference_autocomplete','a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}','',24,5,0,'','user_reference/autocomplete/%/%/%','','t','','','a:0:{}',0,'','',0,''),('uuid','','','1','a:0:{}','uuid_redirector','a:0:{}','',1,1,0,'','uuid','UUID redirector','t','','','a:0:{}',0,'Redirects requests for UUID URIs to the referenced entity.','',0,''),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('webform/ajax/options/%','a:1:{i:3;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:3;}}}','a:1:{i:3;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:3;}','webform_select_options_ajax','a:0:{}','',14,4,0,'','webform/ajax/options/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/components/select.inc'),('webform/autocomplete','','','user_access','a:1:{i:0;s:16:\"administer views\";}','webform_views_autocomplete','a:0:{}','',3,2,0,'','webform/autocomplete','Webforms','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/views/webform.views.inc'),('win-8','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:5:\"win_8\";i:1;s:4:\"page\";}','',1,1,0,'','win-8','','t','','','a:0:{}',0,'','',0,'');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_list`
--

DROP TABLE IF EXISTS `newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_list` (
  `nlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this list.',
  `title` varchar(255) NOT NULL COMMENT 'The list’s title.',
  `send_rate` varchar(11) NOT NULL DEFAULT 'Manual' COMMENT 'How often to send this list.Manual,Daily,Weekly or Monthly.',
  `last_sent` int(11) DEFAULT NULL COMMENT 'Timestamp this list was last sent.',
  `send_again` date DEFAULT NULL COMMENT 'Date this list needs to be sent again.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nlid`),
  UNIQUE KEY `list_title` (`title`),
  KEY `list_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter subscriber lists with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_list`
--

LOCK TABLES `newsletter_list` WRITE;
/*!40000 ALTER TABLE `newsletter_list` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_list` VALUES (1,'Standard list','Manual',NULL,NULL,1416471243);
/*!40000 ALTER TABLE `newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_newsletter`
--

DROP TABLE IF EXISTS `newsletter_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_newsletter` (
  `nnid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a newsletter.',
  `title` varchar(255) NOT NULL COMMENT 'The newsletter’s title.(If this newsletter is automatic then it gets its list title)',
  `send_id` int(11) DEFAULT '0' COMMENT 'The # of sent times.',
  `custom` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this newsletter sent as a custom one.',
  `ntid` int(10) unsigned NOT NULL COMMENT 'The newsletter_templates.id this newsletter uses.',
  `subscribers_sent` int(10) unsigned DEFAULT '0' COMMENT 'No Of subscribers this newsletter sent to.',
  `clicks` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many clicks this newsletter/list generated for the website.',
  `opens` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many times this newsletter/list opened by subscriber.',
  `last_sent` int(11) DEFAULT '0' COMMENT 'The last sent timestamp of this newsletter.',
  PRIMARY KEY (`nnid`),
  KEY `newsletter_send_id` (`send_id`),
  KEY `newsletter_last_sent` (`last_sent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the newsletters that are sent with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_newsletter`
--

LOCK TABLES `newsletter_newsletter` WRITE;
/*!40000 ALTER TABLE `newsletter_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_subscriber`
--

DROP TABLE IF EXISTS `newsletter_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_subscriber` (
  `nsid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a subscriber.',
  `uid` int(11) DEFAULT NULL COMMENT 'The user id (if the user is registered) of the subscriber.',
  `email` varchar(64) NOT NULL COMMENT 'The subscriber’s email.',
  `firstname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `lastname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `gender` varchar(24) DEFAULT NULL COMMENT 'The subscriber’s gender.',
  `receive_format` varchar(11) DEFAULT NULL COMMENT 'The subscriber’s Preferred newsletter format.',
  `ip` varchar(22) DEFAULT NULL COMMENT 'Subscriber’s IP, when he/she subscribed.',
  `hash` varchar(128) NOT NULL COMMENT 'Subscriber’s hash, used to confirm subscription and unsubscribe.',
  `confirmed` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this user has confirm his subscription through email.',
  `confirmation_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The confirmation timestamp of this subscriber.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nsid`),
  UNIQUE KEY `subscriber_email` (`email`),
  UNIQUE KEY `subscriber_uid` (`uid`),
  KEY `subscriber_created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the subscriber emails with their list relations.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_subscriber`
--

LOCK TABLES `newsletter_subscriber` WRITE;
/*!40000 ALTER TABLE `newsletter_subscriber` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_template`
--

DROP TABLE IF EXISTS `newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_template` (
  `ntid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this template.',
  `subject` varchar(255) NOT NULL COMMENT 'The template’s title/subject .',
  `basic` int(11) DEFAULT '0' COMMENT 'Whether this template is basic or not.',
  `exposed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean.whether this list is exposed or not',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this template.',
  PRIMARY KEY (`ntid`),
  UNIQUE KEY `template_subject` (`subject`),
  KEY `template_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter templates.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_template`
--

LOCK TABLES `newsletter_template` WRITE;
/*!40000 ALTER TABLE `newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_template` VALUES (1,'Newsletter confirmation',1,0,1416471243),(2,'Newsletter welcome',1,0,1416471243),(3,'Newsletter unsubscribe',1,0,1416471243),(4,'Default',0,0,1416471243);
/*!40000 ALTER TABLE `newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'page','en','Welcome to University',1,1,1416378125,1420600613,1,0,0,0,0,'7e5e0a34-c4bc-49af-8990-15eef9fa9e8c'),(2,2,'events','en','The Teacher’s day',1,1,1416378510,1417162221,1,0,0,0,0,'c32198b1-21e9-4227-9034-77fe884eb1e0'),(3,3,'events','en','The Teacher’s day',1,1,1416378532,1419922960,1,0,0,0,0,'d91cced2-6dc7-48f4-9926-5b8baf4cb796'),(4,4,'events','en','The Teacher’s day',1,1,1416378553,1417162236,1,0,0,0,0,'e1c29dfc-7a98-4653-9b89-b33f50d83290'),(5,5,'news','en','Proin pretium nequ eget turco  euismod ornare omra furato suda.',1,1,1416453587,1419920649,2,0,0,0,0,'ad262744-5573-4024-8fdc-e40e3953ac06'),(6,6,'news','en','Suspendisse potenti. Curabitur dapibus.',1,1,1416453640,1418208274,2,0,0,0,0,'43cadf29-8eeb-42ff-b95b-201e4f68f3a5'),(7,7,'news','en','Suspendisse potenti. Curabitur dapibus.',1,1,1416453701,1418208350,2,0,0,0,0,'b7745661-4393-4abc-a962-3cdeccfd74cd'),(8,8,'why_us','en','Nulla convallis, velit non consequat consectetur.',1,1,1416456850,1416456850,2,0,0,0,0,'d839322d-a72c-4ad0-bbec-fb24e81dfa9b'),(9,9,'why_us','en','Nulla convallis, velit non consequat consectetur.',1,1,1416456867,1416456867,2,0,0,0,0,'55d7cb32-4254-4e6b-a747-8d209fd3fdfa'),(10,10,'why_us','en','Nulla convallis, velit non consequat consectetur.',1,1,1416456875,1416456875,2,0,0,0,0,'9f15819c-8dda-4cae-a784-c2c25a7809a8'),(11,11,'testimonials','en','Quisque nec mattis tellus.',1,1,1416457801,1416466790,2,0,0,0,0,'5abb2422-8d4f-4604-8017-8d0c4a5e0506'),(12,12,'testimonials','en','White Skirt',1,1,1416466684,1416466684,2,0,0,0,0,'9fc69941-ccf3-4593-8f21-3cf30100fabe'),(13,13,'testimonials','en','White Skirt',1,1,1416466698,1416466737,2,0,0,0,0,'6e3a193c-5794-42e3-bd70-cecce6bf198f'),(14,14,'slideshow','en','Slide 1',1,1,1416551434,1416551434,2,0,0,0,0,'85e78a98-6625-45ae-84a7-786bfccb7549'),(15,15,'slideshow','en','Slide 2',1,1,1416551466,1416551483,2,0,0,0,0,'89914472-3cb2-4e0c-922d-e95daacc1a6f'),(16,16,'course','en','Computer',11,1,1416888182,1420529886,1,1,0,0,0,'b12ddaa5-fa06-411d-9781-4c1db09239bd'),(17,17,'course','en','Languages',10,1,1416888250,1420529874,1,1,0,0,0,'cb5df367-3669-466c-a40e-63684d30d870'),(18,18,'course','en','Camera',9,1,1416888309,1422433215,1,1,0,0,0,'1a870304-5fbb-4c29-96b8-7817c05e1bf5'),(19,19,'events','en','The Teacher’s day',1,1,1417141880,1417162211,1,0,0,0,0,'6f957cf5-fb60-4244-8e4a-24c51c4faeb7'),(20,20,'events','en','The Teacher’s day',1,1,1417141905,1417162135,1,0,0,0,0,'1177a8e7-e3be-4d09-bce4-5e7574938b8e'),(21,21,'events','en','The Teacher’s day',1,1,1417141927,1417162167,1,0,0,0,0,'82b96cf1-ea64-4046-bb2e-a16fb4ca08ba'),(22,22,'events','en','The Teacher’s day',1,1,1417141945,1417162185,1,0,0,0,0,'2e10c5f1-1ef7-4070-94f5-6801d4fabcb2'),(23,23,'events','en','The Teacher’s day',1,1,1417141979,1417162196,1,0,0,0,0,'51216d51-5b1f-483f-b5b4-a56fbf2c0bb8'),(24,24,'page','en','404 Page',1,1,1417410110,1419959133,1,0,0,0,0,'8ed11b57-8521-4fd4-8119-bd8f671f7881'),(25,25,'gallery','en','Gallery Menu 1',1,1,1417416763,1417416763,2,0,0,0,0,'119c1616-a189-4d35-9f26-508d53c6fef3'),(26,26,'gallery','en','Gallery Menu 2',1,1,1417416789,1417416789,2,0,0,0,0,'f1e36c8f-d41e-476b-9189-b0eb5fa60ec0'),(27,27,'gallery','en','Gallery Menu 3',1,1,1417416812,1417416812,2,0,0,0,0,'ff4aab29-e29c-4ff5-aea9-703d84ff006f'),(28,28,'gallery','en','Gallery Menu 4',1,1,1417416832,1417416832,2,0,0,0,0,'059f3f43-7a7e-4776-a289-6d8b7007ac90'),(29,29,'gallery','en','Gallery Menu 5',1,1,1417416852,1417416852,2,0,0,0,0,'11316776-b270-4384-8f46-bda771ffeb62'),(30,30,'gallery','en','Gallery Menu 6',1,1,1417416870,1417416870,2,0,0,0,0,'9faa0583-60ed-47ae-9222-ed0e8de795ec'),(31,31,'gallery','en','Gallery Menu 7',1,1,1417416894,1417416894,2,0,0,0,0,'38ad18b1-254e-4aa7-af59-3899a74ef7c8'),(32,32,'gallery','en','Gallery Menu 8',1,1,1417416912,1417416912,2,0,0,0,0,'f5e8be07-dbc3-4c0b-97f8-3e0a4bdc6558'),(33,33,'gallery','en','Gallery Menu 9',1,1,1417416934,1417416934,2,0,0,0,0,'524926b1-20da-4fa9-be94-ea9e1b988c22'),(34,34,'faq','en','Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?',1,1,1417420177,1417420177,2,0,0,0,0,'8aeb293a-da13-44c5-9546-d1397ef678e2'),(35,35,'faq','en','raesent finibus eros libero, non luctus tellus tincidunt sit amet.',1,1,1417420194,1420538682,2,0,0,0,0,'d88edfe4-2f09-4e62-9741-f33d15797441'),(36,36,'faq','en','Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?',1,1,1417420208,1417420208,2,0,0,0,0,'cd0834bb-631c-43dc-a4ca-35368cfd30c4'),(37,37,'faq','en','raesent finibus eros libero, non luctus tellus tincidunt sit amet.',1,1,1417420221,1420538675,2,0,0,0,0,'b9e80729-362f-49cd-b79b-fa2fa8466702'),(38,38,'faq','en','Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?',1,1,1417420234,1417420234,2,0,0,0,0,'7a338ad9-bdf2-4b61-900e-3129e76c8715'),(39,39,'faq','en','raesent finibus eros libero, non luctus tellus tincidunt sit amet.',1,1,1417420249,1420538669,2,0,0,0,0,'746d7a5c-dd47-46a3-ab90-f30ac1ebe0a3'),(40,40,'page','en','About University',1,1,1417421895,1419056713,1,0,0,0,0,'ca9962cc-eb7a-4518-a139-d0ff95d46091'),(41,41,'page','en','Organisation of the University',1,1,1417423221,1417423221,1,0,0,0,0,'4134ff43-89db-4fa2-b11d-5d5ba671f8d8'),(42,42,'page','en','History of the University',1,1,1417423265,1417423265,1,0,0,0,0,'52b19112-fbc8-48c7-a6a3-0eba4c314c5e'),(43,43,'page','en','Our mission of the University',1,1,1417423311,1417423311,1,0,0,0,0,'09704899-e0a4-49dc-b8a3-a0a7f21d3b80'),(44,44,'quiz','und','Quiz',1,1,1417430446,1417430524,0,1,0,0,0,'fc5279f6-78ce-49ef-9b0b-b7f252042507'),(45,45,'truefalse','en','Demo Question',1,1,1417430516,1417430516,2,0,0,0,0,'afbdd113-a221-4e8f-827a-1ca743a72048'),(46,46,'webform','en','Contacts',1,1,1417493095,1419052495,1,0,0,0,0,'9bd7276e-6cc0-4470-8e77-0edfd0e0ea1a'),(47,47,'gallery','en','Gallery Menu 10',1,1,1417589897,1417589897,2,0,0,0,0,'1eb434be-82ed-4a86-9ba0-92a8bf2d5a74'),(48,48,'article','en','Projects',1,1,1420603799,1420603799,2,0,0,0,0,'6e99fe4e-a7cd-48d1-ac50-7b11277de5e6'),(49,49,'page','en','Professors',1,1,1420604047,1420604047,1,0,0,0,0,'447d647c-e13a-4a98-9289-db48c2643721'),(50,50,'page','en','Job Opportunities',1,1,1420604149,1420604149,1,0,0,0,0,'02343e4b-6da3-46f9-a27e-279ad0f6bc88'),(51,51,'page','en','University Ranking',1,1,1420604188,1420604188,1,0,0,0,0,'977fb59c-4211-4d02-9151-6077b7277930'),(52,52,'page','en','Privacy Policy',1,1,1420604221,1420604221,1,0,0,0,0,'06ade81a-1ee9-48f0-957d-03c75fc4e549');
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (1,0,'all',1,0,0),(2,0,'all',1,0,0),(3,0,'all',1,0,0),(4,0,'all',1,0,0),(5,0,'all',1,0,0),(6,0,'all',1,0,0),(7,0,'all',1,0,0),(8,0,'all',1,0,0),(9,0,'all',1,0,0),(10,0,'all',1,0,0),(11,0,'all',1,0,0),(12,0,'all',1,0,0),(13,0,'all',1,0,0),(14,0,'all',1,0,0),(15,0,'all',1,0,0),(16,0,'all',1,0,0),(17,0,'all',1,0,0),(18,0,'all',1,0,0),(19,0,'all',1,0,0),(20,0,'all',1,0,0),(21,0,'all',1,0,0),(22,0,'all',1,0,0),(23,0,'all',1,0,0),(24,0,'all',1,0,0),(25,0,'all',1,0,0),(26,0,'all',1,0,0),(27,0,'all',1,0,0),(28,0,'all',1,0,0),(29,0,'all',1,0,0),(30,0,'all',1,0,0),(31,0,'all',1,0,0),(32,0,'all',1,0,0),(33,0,'all',1,0,0),(34,0,'all',1,0,0),(35,0,'all',1,0,0),(36,0,'all',1,0,0),(37,0,'all',1,0,0),(38,0,'all',1,0,0),(39,0,'all',1,0,0),(40,0,'all',1,0,0),(41,0,'all',1,0,0),(42,0,'all',1,0,0),(43,0,'all',1,0,0),(44,0,'all',1,0,0),(45,1,'quiz_question',1,0,0),(46,0,'all',1,0,0),(47,0,'all',1,0,0),(48,0,'all',1,0,0),(49,0,'all',1,0,0),(50,0,'all',1,0,0),(51,0,'all',1,0,0),(52,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1416378125,NULL,1,0),(2,0,1416378510,NULL,1,0),(3,0,1416378532,NULL,1,0),(4,0,1416378553,NULL,1,0),(5,0,1416453587,NULL,1,0),(6,0,1416453640,NULL,1,0),(7,2,1420649883,'',1,2),(8,0,1416456850,NULL,1,0),(9,0,1416456867,NULL,1,0),(10,0,1416456875,NULL,1,0),(11,0,1416457801,NULL,1,0),(12,0,1416466684,NULL,1,0),(13,0,1416466698,NULL,1,0),(14,0,1416551434,NULL,1,0),(15,0,1416551466,NULL,1,0),(16,0,1416888182,NULL,11,0),(17,0,1416888250,NULL,10,0),(18,0,1416888309,NULL,9,0),(19,0,1417141880,NULL,1,0),(20,0,1417141905,NULL,1,0),(21,0,1417141927,NULL,1,0),(22,0,1417141945,NULL,1,0),(23,0,1417141979,NULL,1,0),(24,0,1417410110,NULL,1,0),(25,0,1417416763,NULL,1,0),(26,0,1417416789,NULL,1,0),(27,0,1417416812,NULL,1,0),(28,0,1417416832,NULL,1,0),(29,0,1417416852,NULL,1,0),(30,0,1417416870,NULL,1,0),(31,0,1417416894,NULL,1,0),(32,0,1417416912,NULL,1,0),(33,0,1417416934,NULL,1,0),(34,0,1417420177,NULL,1,0),(35,0,1417420194,NULL,1,0),(36,0,1417420208,NULL,1,0),(37,0,1417420221,NULL,1,0),(38,0,1417420234,NULL,1,0),(39,0,1417420249,NULL,1,0),(40,0,1417421895,NULL,1,0),(41,0,1417423221,NULL,1,0),(42,0,1417423265,NULL,1,0),(43,0,1417423311,NULL,1,0),(44,0,1417430446,NULL,1,0),(45,0,1417430516,NULL,1,0),(46,0,1417493095,NULL,1,0),(47,0,1417589897,NULL,1,0),(48,0,1420603799,NULL,1,0),(49,0,1420604047,NULL,1,0),(50,0,1420604149,NULL,1,0),(51,0,1420604188,NULL,1,0),(52,0,1420604221,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_counter`
--

DROP TABLE IF EXISTS `node_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_counter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid for these statistics.',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed.',
  `daycount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed today.',
  `weekcount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed this week.',
  `monthcount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed this month.',
  `yearcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed this year.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The most recent time the node has been viewed.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Access statistics for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_counter`
--

LOCK TABLES `node_counter` WRITE;
/*!40000 ALTER TABLE `node_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_counter` VALUES (1,632,7,632,632,632,1500436683),(2,2,0,2,2,2,1420604028),(3,7,1,7,7,7,1500436769),(5,3,1,3,3,3,1500436749),(6,2,0,2,2,2,1420602979),(7,89,0,89,89,89,1500029357),(16,6,0,6,6,6,1420529889),(17,8,0,8,8,8,1500026332),(18,140,0,140,140,140,1422433217),(19,1,1,1,1,1,1500436759),(21,3,0,3,3,3,1500026338),(23,31,0,31,31,31,1422002153),(24,233,1,233,233,233,1500436727),(40,193,1,193,193,193,1500436726),(41,1,0,1,1,1,1420649088),(46,50,1,50,50,50,1500436771),(48,4,0,4,4,4,1421993355),(49,5,0,5,5,5,1421993310),(50,3,0,3,3,3,1421993134),(51,3,0,3,3,3,1421993130),(52,15,0,15,15,15,1421989266);
/*!40000 ALTER TABLE `node_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  `vuuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`),
  KEY `vuuid` (`vuuid`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'Welcome to University','',1420600613,1,1,0,0,'8995ccdd-dca8-4662-82f3-22e644055b35'),(2,2,1,'The Teacher’s day','',1417162221,1,1,0,0,'36b0aa6f-6925-46ab-9682-ca1e2f2e0ae9'),(3,3,1,'The Teacher’s day','',1419922960,1,1,0,0,'17401fbc-d83f-43f8-8afe-9b066bed586b'),(4,4,1,'The Teacher’s day','',1417162236,1,1,0,0,'9ff58fc5-bbc1-433d-ade1-984511a426f0'),(5,5,1,'Proin pretium nequ eget turco  euismod ornare omra furato suda.','',1419920649,1,2,0,0,'47dc3897-5025-4e46-9b94-ad3f06c82e14'),(6,6,1,'Suspendisse potenti. Curabitur dapibus.','',1418208274,1,2,0,0,'b39a5ce4-1bf0-4f92-817e-8613cac6e1db'),(7,7,1,'Suspendisse potenti. Curabitur dapibus.','',1418208350,1,2,0,0,'2af9c703-3e46-49b1-a509-b591c7a951ec'),(8,8,1,'Nulla convallis, velit non consequat consectetur.','',1416456850,1,2,0,0,'8091b414-f06a-4554-9024-cb16c8be371e'),(9,9,1,'Nulla convallis, velit non consequat consectetur.','',1416456867,1,2,0,0,'da5867a6-3441-48fc-a833-b408d2b61d70'),(10,10,1,'Nulla convallis, velit non consequat consectetur.','',1416456875,1,2,0,0,'3a6c7587-7f39-4703-80cd-a54878d01228'),(11,11,1,'Quisque nec mattis tellus.','',1416466790,1,2,0,0,'f51ff0ce-2c77-46ec-8d96-3b62f780bcba'),(12,12,1,'White Skirt','',1416466684,1,2,0,0,'db0eca94-e375-44c2-b850-c54e5d0982de'),(13,13,1,'White Skirt','',1416466737,1,2,0,0,'87b0fde9-2702-43b2-817b-e81bfecb0a98'),(14,14,1,'Slide 1','',1416551434,1,2,0,0,'a90cd6b5-3927-43ba-8b7e-b9b66a31385a'),(15,15,1,'Slide 2','',1416551483,1,2,0,0,'64742b6f-bff7-454f-b4ad-84d5eafb047f'),(16,16,1,'Computer','',1420529886,1,1,1,0,'345a9a65-7b8b-4d06-ad19-a540955cb88b'),(17,17,1,'Languages','',1420529874,1,1,1,0,'e00661e6-a057-40ca-a6e3-fd9658896e22'),(18,18,1,'Camera','',1422433215,1,1,1,0,'098997ff-6e40-4224-8e0b-df00eb668400'),(19,19,1,'The Teacher’s day','',1417162211,1,1,0,0,'ea374b28-61fd-4570-907f-e536fad67d16'),(20,20,1,'The Teacher’s day','',1417162135,1,1,0,0,'8fae163e-4329-4828-9e8a-1e042e47df16'),(21,21,1,'The Teacher’s day','',1417162167,1,1,0,0,'008339bf-443c-4e0f-b440-d2ddae7d0cf6'),(22,22,1,'The Teacher’s day','',1417162185,1,1,0,0,'5205f961-95dc-4576-9352-db21d53d2593'),(23,23,1,'The Teacher’s day','',1417162196,1,1,0,0,'a7a62d9b-790b-4063-adc8-eccd0582a63c'),(24,24,1,'404 Page','',1419959133,1,1,0,0,'0a4ab1ce-eb3c-414d-8acf-9e4b3d68d637'),(25,25,1,'Gallery Menu 1','',1417416763,1,2,0,0,'43348fbd-6c3c-4aa2-8531-b6398b4efcb7'),(26,26,1,'Gallery Menu 2','',1417416789,1,2,0,0,'c4c0fab9-a5ab-4fe2-a5aa-4dd61cb590e2'),(27,27,1,'Gallery Menu 3','',1417416812,1,2,0,0,'e246bf26-dde4-403b-881a-6fbfebef13f8'),(28,28,1,'Gallery Menu 4','',1417416832,1,2,0,0,'61d19076-2515-419e-b3e6-d5ec7d4b0875'),(29,29,1,'Gallery Menu 5','',1417416852,1,2,0,0,'e7f15216-5abf-4814-a0d2-a1cc7855b321'),(30,30,1,'Gallery Menu 6','',1417416870,1,2,0,0,'e8a32081-9c72-47b7-9fd9-8def6a9be98b'),(31,31,1,'Gallery Menu 7','',1417416894,1,2,0,0,'3ab2fd63-7266-4418-9611-c70bb6a85830'),(32,32,1,'Gallery Menu 8','',1417416912,1,2,0,0,'f62474df-7ac5-4744-93a1-0eeffd986b64'),(33,33,1,'Gallery Menu 9','',1417416934,1,2,0,0,'ce61eb7a-6aec-46bc-ac2c-4481ba4f9b9b'),(34,34,1,'Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?','',1417420177,1,2,0,0,'5a36a7a5-f80a-4862-8c17-6ff5bba3fcab'),(35,35,1,'raesent finibus eros libero, non luctus tellus tincidunt sit amet.','',1420538682,1,2,0,0,'91e4bf36-ed3a-402d-89bd-a82800ce2d69'),(36,36,1,'Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?','',1417420208,1,2,0,0,'d680cf52-a93b-4efc-a1be-42edffd06bc3'),(37,37,1,'raesent finibus eros libero, non luctus tellus tincidunt sit amet.','',1420538675,1,2,0,0,'3233ed21-66a7-4223-9dc3-a61cc832d27d'),(38,38,1,'Nunc interdum interdum est id interdum. Suspendisse facilisis imperdiet justo posuere congue. Ut ligula lectus, tincidunt?','',1417420234,1,2,0,0,'39ca1822-8ea2-4033-8637-3d85d72ff6f9'),(39,39,1,'raesent finibus eros libero, non luctus tellus tincidunt sit amet.','',1420538669,1,2,0,0,'28a02f27-a7a9-48d5-bae6-511a0a7b92ea'),(40,40,1,'About University','',1419056713,1,1,0,0,'bcfd260a-9d53-4aec-9cd2-acdf9a94f49d'),(41,41,1,'Organisation of the University','',1417423221,1,1,0,0,'6033b540-40a5-41f6-9c19-409d544f499b'),(42,42,1,'History of the University','',1417423265,1,1,0,0,'53f31359-401e-4fb0-8852-72bafc47d9a9'),(43,43,1,'Our mission of the University','',1417423311,1,1,0,0,'761de55d-5964-4640-8457-4519f08cb9f4'),(44,44,1,'Quiz','',1417430524,1,0,1,0,'293610f0-87e1-423b-b177-84a0a8619593'),(45,45,1,'Demo Question','',1417430516,1,2,0,0,'f5ecfa79-9d81-44a7-9fcc-cb49a6fe34df'),(46,46,1,'Contacts','',1419052495,1,1,0,0,'860602d9-7a16-457f-8e3f-027e806d63bd'),(47,47,1,'Gallery Menu 10','',1417589897,1,2,0,0,'10d30116-e07d-43f3-948d-105d9513fb59'),(48,48,1,'Projects','',1420603799,1,2,0,0,'dc07a2d3-275e-463c-8327-12ac56bfea08'),(49,49,1,'Professors','',1420604047,1,1,0,0,'d620efd4-126e-48ef-aedd-f7d9d2443d38'),(50,50,1,'Job Opportunities','',1420604149,1,1,0,0,'b0732bfa-2fe7-4880-aedb-bb71905537f4'),(51,51,1,'University Ranking','',1420604188,1,1,0,0,'23457948-7aa3-44b5-b99d-3051846b98fd'),(52,52,1,'Privacy Policy','',1420604221,1,1,0,0,'68e9db93-4399-4374-bf45-e5e97f96edbd');
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('book','Book page','node_content','node','<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','',1,'Title',1,1,0,0,'book'),('certificate','Certificate','certificate','certificate','A tokenized certificate template that will be converted to a PDF and displayed to users who complete accredited activities.','',1,'Title',0,0,1,0,'certificate'),('course','Course','node_content','node','A <em>course</em> containing Drupal learning objects.','',1,'Title',1,1,0,0,'course'),('events','Events','node_content','node','','',1,'Title',1,1,0,0,'events'),('faq','FAQ','node_content','node','','',1,'Title',1,1,0,0,'faq'),('flexslider_example','FlexSlider Example','node_content','flexslider_example','Used for generating example FlexSlider implementations','',1,'Title',0,0,1,0,'flexslider_example'),('forum','Forum topic','forum','forum','A <em>forum topic</em> starts a new discussion thread within a forum.','',1,'Subject',0,0,1,0,'forum'),('gallery','Gallery','node_content','node','','',1,'Title',1,1,0,0,'gallery'),('long_answer','Long answer question','quiz_question','quiz_question','Quiz questions that allow a user to enter multiple paragraphs of text.','',1,'Title',0,0,1,0,'long_answer'),('matching','Matching','quiz_question','quiz_question','Matching question type for quiz module. A question type for the quiz module: allows you to create matching type questions, which connect terms with one another.','',1,'Title',0,0,1,0,'matching'),('multichoice','Multiple choice question','quiz_question','quiz_question','This provides multiple choice questions for use by the Quiz module.','',1,'Title',0,0,1,0,'multichoice'),('news','News','node_content','node','News','',1,'Title',1,1,0,0,'news'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('poll','Poll','poll','poll','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',1,'Question',0,0,1,0,'poll'),('product','Product','uc_product','uc_product','Use <em>products</em> to represent items for sale on the website, including all the unique information that can be attributed to a specific model number.','',1,'Name',0,0,1,0,'product'),('quiz','Quiz','quiz','quiz','Create interactive quizzes for site visitors','',1,'Title',0,0,1,0,'quiz'),('quiz_ddlines','Drag and drop question with lines','quiz_question','quiz_question','This provides drag and drop question types with lines for the Quiz module.','',1,'Title',0,0,1,0,'quiz_ddlines'),('quiz_directions','Quiz directions','quiz_question','quiz_question','Quiz directions allow you to drop in directions anywhere in a quiz. You can also use them to insert a confirmation step at the end of the quiz.','',1,'Title',0,0,1,0,'quiz_directions'),('scale','Scale question','quiz_question','quiz_question','Quiz questions that allow a user to choose from a scale.','',1,'Title',0,0,1,0,'scale'),('short_answer','Short answer question','quiz_question','quiz_question','Quiz questions that allow a user to enter a line of text.','',1,'Title',0,0,1,0,'short_answer'),('slideshow','Slideshow','node_content','node','','',1,'Title',1,1,0,0,'slideshow'),('testimonials','Testimonials','node_content','node','Testimonials','',1,'Title',1,1,0,0,'testimonials'),('truefalse','True/false question','quiz_question','quiz_question','Quiz questions that allow a user to select \"true\" or \"false\" as his response to a statement.','',1,'Title',0,0,1,0,'truefalse'),('webform','Webform','node_content','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',1,'Title',1,1,0,0,'webform'),('why_us','Why us','node_content','node','','',1,'Title',1,1,0,0,'why_us');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `page_manager_handlers`
--

DROP TABLE IF EXISTS `page_manager_handlers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `page_manager_handlers` (
  `did` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this task handler. Used to identify it programmatically.',
  `task` varchar(64) DEFAULT NULL COMMENT 'ID of the task this handler is for.',
  `subtask` varchar(64) NOT NULL DEFAULT '' COMMENT 'ID of the subtask this handler is for.',
  `handler` varchar(64) DEFAULT NULL COMMENT 'ID of the task handler being used.',
  `weight` int(11) DEFAULT NULL COMMENT 'The order in which this handler appears. Lower numbers go first.',
  `conf` longtext NOT NULL COMMENT 'Serialized configuration of the handler, if needed.',
  PRIMARY KEY (`did`),
  UNIQUE KEY `name` (`name`),
  KEY `fulltask` (`task`,`subtask`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `page_manager_handlers`
--

LOCK TABLES `page_manager_handlers` WRITE;
/*!40000 ALTER TABLE `page_manager_handlers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `page_manager_handlers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `page_manager_pages`
--

DROP TABLE IF EXISTS `page_manager_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `page_manager_pages` (
  `pid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this subtask. Used to identify it programmatically.',
  `task` varchar(64) DEFAULT 'page' COMMENT 'What type of page this is, so that we can use the same mechanism for creating tighter UIs for targeted pages.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Human readable title for this page subtask.',
  `admin_description` longtext COMMENT 'Administrative description of this item.',
  `path` varchar(255) DEFAULT NULL COMMENT 'The menu path that will invoke this task.',
  `access` longtext NOT NULL COMMENT 'Access configuration for this path.',
  `menu` longtext NOT NULL COMMENT 'Serialized configuration of Drupal menu visibility settings for this item.',
  `arguments` longtext NOT NULL COMMENT 'Configuration of arguments for this menu item.',
  `conf` longtext NOT NULL COMMENT 'Serialized configuration of the page, if needed.',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `name` (`name`),
  KEY `task` (`task`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains page subtasks for implementing pages with...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `page_manager_pages`
--

LOCK TABLES `page_manager_pages` WRITE;
/*!40000 ALTER TABLE `page_manager_pages` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `page_manager_pages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `page_manager_weights`
--

DROP TABLE IF EXISTS `page_manager_weights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `page_manager_weights` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Unique ID for this task handler. Used to identify it programmatically.',
  `weight` int(11) DEFAULT NULL COMMENT 'The order in which this handler appears. Lower numbers go first.',
  PRIMARY KEY (`name`),
  KEY `weights` (`name`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains override weights for page_manager handlers that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `page_manager_weights`
--

LOCK TABLES `page_manager_weights` WRITE;
/*!40000 ALTER TABLE `page_manager_weights` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `page_manager_weights` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `panels_allowed_types`
--

DROP TABLE IF EXISTS `panels_allowed_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_allowed_types` (
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module requiring allowed type settings.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'Ctools content type to allow.',
  `allowed` tinyint(4) DEFAULT '1' COMMENT 'A boolean for if the type is allowed or not.',
  KEY `type_idx` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_allowed_types`
--

LOCK TABLES `panels_allowed_types` WRITE;
/*!40000 ALTER TABLE `panels_allowed_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `panels_allowed_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `panels_display`
--

DROP TABLE IF EXISTS `panels_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_display` (
  `did` int(11) NOT NULL AUTO_INCREMENT,
  `layout` varchar(255) DEFAULT '',
  `layout_settings` longtext,
  `panel_settings` longtext,
  `cache` text,
  `title` varchar(255) DEFAULT '',
  `hide_title` tinyint(4) DEFAULT '0',
  `title_pane` int(11) DEFAULT '0',
  `uuid` char(36) DEFAULT NULL,
  `storage_type` varchar(255) DEFAULT '',
  `storage_id` varchar(255) DEFAULT '',
  PRIMARY KEY (`did`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_display`
--

LOCK TABLES `panels_display` WRITE;
/*!40000 ALTER TABLE `panels_display` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `panels_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `panels_layout`
--

DROP TABLE IF EXISTS `panels_layout`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_layout` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this content. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this layout.',
  `admin_description` longtext COMMENT 'Administrative description for this layout.',
  `category` varchar(255) DEFAULT NULL COMMENT 'Administrative category for this layout.',
  `plugin` varchar(255) DEFAULT NULL COMMENT 'The layout plugin that owns this layout.',
  `settings` longtext COMMENT 'Serialized settings for the actual layout. The contents of this field are up to the plugin that uses it.',
  PRIMARY KEY (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains exportable customized layouts for this site.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_layout`
--

LOCK TABLES `panels_layout` WRITE;
/*!40000 ALTER TABLE `panels_layout` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `panels_layout` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `panels_pane`
--

DROP TABLE IF EXISTS `panels_pane`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_pane` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `did` int(11) NOT NULL DEFAULT '0',
  `panel` varchar(255) DEFAULT '',
  `type` varchar(255) DEFAULT '',
  `subtype` varchar(255) DEFAULT '',
  `shown` tinyint(4) DEFAULT '1',
  `access` longtext,
  `configuration` longtext,
  `cache` longtext,
  `style` longtext,
  `css` longtext,
  `extras` longtext,
  `position` smallint(6) DEFAULT '0',
  `locks` longtext,
  `uuid` char(36) DEFAULT NULL,
  PRIMARY KEY (`pid`),
  KEY `did_idx` (`did`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_pane`
--

LOCK TABLES `panels_pane` WRITE;
/*!40000 ALTER TABLE `panels_pane` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `panels_pane` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `panels_renderer_pipeline`
--

DROP TABLE IF EXISTS `panels_renderer_pipeline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_renderer_pipeline` (
  `rpid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this content. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this pipeline.',
  `admin_description` longtext COMMENT 'Administrative description for this pipeline.',
  `weight` smallint(6) DEFAULT '0',
  `settings` longtext COMMENT 'Serialized settings for the actual pipeline. The contents of this field are up to the plugin that uses it.',
  PRIMARY KEY (`rpid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains renderer pipelines for Panels. Each pipeline...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_renderer_pipeline`
--

LOCK TABLES `panels_renderer_pipeline` WRITE;
/*!40000 ALTER TABLE `panels_renderer_pipeline` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `panels_renderer_pipeline` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `pathauto_state`
--

DROP TABLE IF EXISTS `pathauto_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pathauto_state` (
  `entity_type` varchar(32) NOT NULL COMMENT 'The entity type.',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity ID.',
  `pathauto` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The automatic alias status of the entity.',
  PRIMARY KEY (`entity_type`,`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The status of each entity alias (whether it was...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pathauto_state`
--

LOCK TABLES `pathauto_state` WRITE;
/*!40000 ALTER TABLE `pathauto_state` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `pathauto_state` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll`
--

DROP TABLE IF EXISTS `poll`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The poll’s node.nid.',
  `runtime` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds past node.created during which the poll is open.',
  `active` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not the poll is open.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores poll-specific information for poll nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll`
--

LOCK TABLES `poll` WRITE;
/*!40000 ALTER TABLE `poll` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `poll` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll_choice`
--

DROP TABLE IF EXISTS `poll_choice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_choice` (
  `chid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for a poll choice.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this choice belongs to.',
  `chtext` varchar(128) NOT NULL DEFAULT '' COMMENT 'The text for this choice.',
  `chvotes` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of votes this choice has received by all users.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The sort order of this choice among all choices for the same node.',
  PRIMARY KEY (`chid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all choices for all polls.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_choice`
--

LOCK TABLES `poll_choice` WRITE;
/*!40000 ALTER TABLE `poll_choice` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `poll_choice` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll_vote`
--

DROP TABLE IF EXISTS `poll_vote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_vote` (
  `chid` int(10) unsigned NOT NULL COMMENT 'The users’s vote for this poll.',
  `nid` int(10) unsigned NOT NULL COMMENT 'The poll node this vote is for.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid this vote is from unless the voter was anonymous.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address this vote is from unless the voter was logged in.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp of the vote creation.',
  PRIMARY KEY (`nid`,`uid`,`hostname`),
  KEY `chid` (`chid`),
  KEY `hostname` (`hostname`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-users votes for each poll.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_vote`
--

LOCK TABLES `poll_vote` WRITE;
/*!40000 ALTER TABLE `poll_vote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `poll_vote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_epub_node_conf`
--

DROP TABLE IF EXISTS `print_epub_node_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_epub_node_conf` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node.nid of the node.',
  `link` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link',
  `comments` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link in individual comments',
  `url_list` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show Printer-friendly URLs list',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='EPUB version node-specific configuration settings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_epub_node_conf`
--

LOCK TABLES `print_epub_node_conf` WRITE;
/*!40000 ALTER TABLE `print_epub_node_conf` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `print_epub_node_conf` VALUES (1,0,0,0),(2,1,0,1),(3,0,0,0),(4,1,0,1),(5,1,0,1),(6,1,0,1),(7,1,0,1),(16,1,0,1),(17,1,0,1),(18,1,0,1),(19,1,0,1),(20,1,0,1),(21,1,0,1),(22,1,0,1),(23,1,0,1),(24,0,0,0),(25,0,0,0),(26,0,0,0),(27,0,0,0),(28,0,0,0),(29,0,0,0),(30,0,0,0),(31,0,0,0),(32,0,0,0),(33,0,0,0),(34,0,0,0),(35,0,0,0),(36,0,0,0),(37,0,0,0),(38,0,0,0),(39,0,0,0),(40,0,0,0),(41,1,0,1),(42,1,0,1),(43,1,0,1),(44,1,0,1),(45,1,0,1),(46,0,0,0),(47,0,0,0);
/*!40000 ALTER TABLE `print_epub_node_conf` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_epub_page_counter`
--

DROP TABLE IF EXISTS `print_epub_page_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_epub_page_counter` (
  `path` varchar(255) NOT NULL COMMENT 'Page path',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of page accesses',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Last access',
  PRIMARY KEY (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='EPUB version access counter';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_epub_page_counter`
--

LOCK TABLES `print_epub_page_counter` WRITE;
/*!40000 ALTER TABLE `print_epub_page_counter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `print_epub_page_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_node_conf`
--

DROP TABLE IF EXISTS `print_node_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_node_conf` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node.nid of the node.',
  `link` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link',
  `comments` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link in individual comments',
  `url_list` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show Printer-friendly URLs list',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Printer-friendly version node-specific configuration...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_node_conf`
--

LOCK TABLES `print_node_conf` WRITE;
/*!40000 ALTER TABLE `print_node_conf` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `print_node_conf` VALUES (1,0,0,0),(2,1,0,1),(3,0,0,0),(4,1,0,1),(5,1,0,1),(6,1,0,1),(7,1,0,1),(16,1,0,1),(17,1,0,1),(18,1,0,1),(19,1,0,1),(20,1,0,1),(21,1,0,1),(22,1,0,1),(23,1,0,1),(24,0,0,0),(25,0,0,0),(26,0,0,0),(27,0,0,0),(28,0,0,0),(29,0,0,0),(30,0,0,0),(31,0,0,0),(32,0,0,0),(33,0,0,0),(34,0,0,0),(35,0,0,0),(36,0,0,0),(37,0,0,0),(38,0,0,0),(39,0,0,0),(40,0,0,0),(41,1,0,1),(42,1,0,1),(43,1,0,1),(44,1,0,1),(45,1,0,1),(46,0,0,0),(47,0,0,0);
/*!40000 ALTER TABLE `print_node_conf` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_page_counter`
--

DROP TABLE IF EXISTS `print_page_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_page_counter` (
  `path` varchar(255) NOT NULL COMMENT 'Page path',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of page accesses',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Last access',
  PRIMARY KEY (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Printer-friendly version access counter';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_page_counter`
--

LOCK TABLES `print_page_counter` WRITE;
/*!40000 ALTER TABLE `print_page_counter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `print_page_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_pdf_node_conf`
--

DROP TABLE IF EXISTS `print_pdf_node_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_pdf_node_conf` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node.nid of the node.',
  `link` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link',
  `comments` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show link in individual comments',
  `url_list` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Show Printer-friendly URLs list',
  `size` varchar(9) DEFAULT NULL COMMENT 'Paper size',
  `orientation` varchar(9) DEFAULT NULL COMMENT 'Page orientation',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='PDF version node-specific configuration settings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_pdf_node_conf`
--

LOCK TABLES `print_pdf_node_conf` WRITE;
/*!40000 ALTER TABLE `print_pdf_node_conf` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `print_pdf_node_conf` VALUES (1,0,0,0,'',''),(2,1,0,1,'',''),(3,0,0,0,'',''),(4,1,0,1,'',''),(5,1,0,1,'',''),(6,1,0,1,'',''),(7,1,0,1,'',''),(16,1,0,1,'',''),(17,1,0,1,'',''),(18,1,0,1,'',''),(19,1,0,1,'',''),(20,1,0,1,'',''),(21,1,0,1,'',''),(22,1,0,1,'',''),(23,1,0,1,'',''),(24,0,0,0,'',''),(25,0,0,0,'',''),(26,0,0,0,'',''),(27,0,0,0,'',''),(28,0,0,0,'',''),(29,0,0,0,'',''),(30,0,0,0,'',''),(31,0,0,0,'',''),(32,0,0,0,'',''),(33,0,0,0,'',''),(34,0,0,0,'',''),(35,0,0,0,'',''),(36,0,0,0,'',''),(37,0,0,0,'',''),(38,0,0,0,'',''),(39,0,0,0,'',''),(40,0,0,0,'',''),(41,1,0,1,'',''),(42,1,0,1,'',''),(43,1,0,1,'',''),(44,1,0,1,NULL,NULL),(45,1,0,1,'',''),(46,0,0,0,'',''),(47,0,0,0,'',''),(48,1,1,1,'',''),(49,1,1,1,'',''),(50,1,1,1,'',''),(51,1,1,1,'',''),(52,1,1,1,'','');
/*!40000 ALTER TABLE `print_pdf_node_conf` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `print_pdf_page_counter`
--

DROP TABLE IF EXISTS `print_pdf_page_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `print_pdf_page_counter` (
  `path` varchar(255) NOT NULL COMMENT 'Page path',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of page accesses',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Last access',
  PRIMARY KEY (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='PDF version access counter';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `print_pdf_page_counter`
--

LOCK TABLES `print_pdf_page_counter` WRITE;
/*!40000 ALTER TABLE `print_pdf_page_counter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `print_pdf_page_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=3628 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `queue` VALUES (1201,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1202,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1203,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1204,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1205,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1206,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1207,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1208,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1209,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1418960667),(1210,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1211,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1212,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1213,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1214,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1215,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1216,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1217,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1218,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1219,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1220,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1221,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1222,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1223,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1224,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1225,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1226,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1227,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1228,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1229,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1230,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1231,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1232,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1233,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1234,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1235,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1236,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1237,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1238,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1239,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1240,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1241,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1242,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1243,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1244,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1245,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1246,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1247,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1248,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1249,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1250,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1251,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1252,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1253,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1254,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1255,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1256,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1257,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1258,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1259,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1260,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1261,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1262,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1263,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1264,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1265,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1266,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1267,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1268,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1269,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419230783),(1270,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1271,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1272,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1273,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1274,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1275,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1276,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1277,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1278,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1279,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1280,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1281,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1282,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1283,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1284,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1285,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1286,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1287,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1288,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1289,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1290,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1291,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1292,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1293,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1294,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1295,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1296,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1297,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1298,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1299,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1300,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1301,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1302,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1303,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1304,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1305,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1306,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1307,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1308,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1309,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1310,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1311,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1312,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1313,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1314,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1315,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1316,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1317,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1318,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1319,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1320,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1321,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1322,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1323,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1324,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1325,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1326,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1327,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1328,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1329,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419404258),(1330,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419405782),(1331,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1332,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1333,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1334,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1335,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1336,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1337,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1338,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1339,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1340,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1341,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1342,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1343,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1344,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1345,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1346,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1347,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1348,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1349,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1350,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1351,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1352,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1353,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1354,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1355,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1356,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1357,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1358,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1359,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1360,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1361,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1362,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1363,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1364,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1365,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1366,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482334),(1367,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1368,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1369,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1370,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1371,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1372,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1373,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1374,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1375,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1376,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1377,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1378,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1379,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1380,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1381,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1382,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1383,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1384,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1385,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1386,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1387,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1388,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1389,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1390,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1391,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419482335),(1392,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419494825),(1393,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1394,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1395,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1396,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1397,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1398,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700376),(1399,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1400,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1401,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1402,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1403,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1404,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1405,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1406,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1407,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1408,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1409,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1410,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1411,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1412,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1413,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1414,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1415,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1416,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1417,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1418,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1419,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1420,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1421,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1422,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1423,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1424,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1425,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1426,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1427,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1428,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1429,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1430,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1431,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1432,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1433,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1434,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1435,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1436,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1437,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1438,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1439,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1440,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1441,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1442,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1443,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1444,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1445,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1446,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1447,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1448,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1449,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1450,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1451,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1452,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1453,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1454,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419700377),(1455,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1456,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1457,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1458,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1459,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1460,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1461,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1462,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1463,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1464,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1465,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1466,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1467,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1468,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1469,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1470,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1471,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1472,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1473,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1474,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1475,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1476,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1477,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1478,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1479,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1480,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1481,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1482,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1483,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1484,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1485,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1486,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1487,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1488,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1489,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1490,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1491,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1492,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1493,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1494,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1495,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1496,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1497,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1498,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1499,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1500,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1501,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1502,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1503,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1504,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1505,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1506,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1507,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1508,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1509,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1510,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1511,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1512,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1513,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1514,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1515,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1516,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419834492),(1517,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1518,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1519,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1520,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1521,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1522,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1523,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1524,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1525,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1526,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1527,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1528,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1529,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1530,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1531,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1532,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1533,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1534,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1535,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1536,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1537,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1538,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1539,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1540,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1541,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1542,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1543,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1544,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1545,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1546,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1547,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1548,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841532),(1549,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1550,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1551,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1552,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1553,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1554,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1555,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1556,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1557,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1558,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1559,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1560,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1561,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1562,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1563,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1564,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1565,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1566,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1567,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1568,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1569,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1570,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1571,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1572,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1573,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1574,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1575,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1576,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1577,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1578,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419841533),(1579,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1580,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1581,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1582,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1583,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1584,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1585,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1586,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1587,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1588,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1589,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1590,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1591,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1592,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1593,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1594,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1595,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1596,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1597,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1598,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1599,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1600,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1601,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1602,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1603,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1604,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1605,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1606,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1607,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1608,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1609,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1610,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1611,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1612,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1613,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1614,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1615,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1616,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1617,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1618,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1619,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1620,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1621,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1622,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1623,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1624,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1625,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1626,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1627,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1628,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1629,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1630,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1631,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1632,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1633,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1634,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1635,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1636,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1637,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1638,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1639,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1640,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1641,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1642,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1643,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1644,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1645,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1646,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1647,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1648,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1649,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1650,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1651,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1652,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1653,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1654,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1655,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1656,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1657,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1658,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1659,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1660,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:10:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:18:\"print_epub_phpepub\";s:23:\"PHPePub library handler\";s:10:\"print_mail\";s:13:\"Send by email\";s:9:\"print_pdf\";s:11:\"PDF version\";s:16:\"print_pdf_dompdf\";s:22:\"dompdf library handler\";s:14:\"print_pdf_mpdf\";s:20:\"mPDF library handler\";s:15:\"print_pdf_tcpdf\";s:21:\"TCPDF library handler\";s:21:\"print_pdf_wkhtmltopdf\";s:27:\"wkhtmltopdf library handler\";s:8:\"print_ui\";s:25:\"Printer-friendly pages UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1661,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1662,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1663,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1664,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1665,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1666,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1667,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1668,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907447),(1669,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1670,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1671,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1672,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1673,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1674,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1675,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1676,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1677,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1678,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1679,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1680,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1681,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1682,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1683,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1684,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1685,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1686,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1687,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1688,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1689,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1690,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1691,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1692,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1693,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1694,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1695,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1696,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1697,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1698,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1699,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1700,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1701,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1702,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1419907448),(1703,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1704,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1705,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1706,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1707,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1708,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1709,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1710,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1711,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1712,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1713,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1714,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1715,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1716,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1717,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1718,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1719,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1720,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1721,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1722,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1723,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1724,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1725,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1726,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1727,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1728,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1729,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1730,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1731,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1732,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1733,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1734,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1735,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1736,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1737,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1738,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1739,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1740,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1741,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1742,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1743,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1744,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1745,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1746,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1747,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1748,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1749,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1750,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1751,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1752,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1753,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1754,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1755,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1756,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1757,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1758,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1759,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1760,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1761,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1762,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1763,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1764,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420013635),(1765,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1766,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1767,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1768,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1769,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1770,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1771,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1772,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1773,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1774,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1775,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1776,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1777,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1778,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1779,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1780,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1781,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1782,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1783,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1784,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1785,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1786,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1787,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1788,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1789,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1790,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1791,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1792,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1793,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1794,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1795,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1796,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1797,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1798,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1799,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1800,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1801,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1802,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1803,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1804,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1805,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1806,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1807,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1808,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1809,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1810,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1811,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1812,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1813,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1814,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1815,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1816,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1817,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1818,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1819,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1820,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1821,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1822,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1823,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1824,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1825,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1826,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420270681),(1827,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1828,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1829,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1830,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1831,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1832,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1833,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1834,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1835,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1836,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1837,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1838,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1839,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1840,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1841,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1842,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1843,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1844,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1845,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1846,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1847,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1848,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1849,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1850,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1851,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1852,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1853,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1854,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1855,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1856,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1857,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1858,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1859,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1860,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1861,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1862,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1863,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1864,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1865,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1866,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1867,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1868,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1869,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1870,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1871,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1872,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1873,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1874,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1875,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1876,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1877,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1878,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1879,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1880,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1881,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1882,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1883,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1884,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1885,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1886,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1887,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1888,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420300441),(1889,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1890,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1891,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1892,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1893,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1894,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1895,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1896,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1897,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1898,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1899,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1900,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1901,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1902,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1903,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1904,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1905,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1906,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1907,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1908,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1909,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1910,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1911,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1912,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1913,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1914,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1915,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1916,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1917,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1918,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1919,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1920,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1921,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1922,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1923,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1924,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1925,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1926,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1927,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1928,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1929,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1930,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1931,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1932,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1933,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1934,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1935,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1936,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1937,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1938,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1939,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1940,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1941,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1942,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1943,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1944,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1945,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1946,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1947,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1948,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1949,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1950,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420446430),(1951,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1952,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1953,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1954,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1955,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1956,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1957,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1958,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1959,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1960,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1961,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1962,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1963,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1964,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1965,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1966,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1967,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1968,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1969,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1970,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1971,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1972,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1973,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1974,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1975,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1976,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1977,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1978,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1979,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1980,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1981,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1982,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1983,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1984,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1985,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1986,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1987,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1988,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1989,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1990,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1991,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1992,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1993,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1994,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1995,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1996,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1997,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1998,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(1999,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2000,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2001,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2002,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2003,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2004,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2005,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2006,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2007,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2008,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2009,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2010,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2011,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2012,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420451259),(2013,'update_fetch_tasks','a:8:{s:4:\"name\";s:19:\"extended_file_field\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Extended File Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:19:\"extended_file_field\";s:9:\"datestamp\";s:10:\"1396113245\";s:16:\"_info_file_ctime\";i:1420452495;}s:9:\"datestamp\";s:10:\"1396113245\";s:8:\"includes\";a:1:{s:19:\"extended_file_field\";s:19:\"Extended File Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420452784),(2014,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2015,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2016,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2017,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2018,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2019,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2020,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2021,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2022,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2023,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2024,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2025,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2026,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2027,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2028,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2029,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2030,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2031,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2032,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2033,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2034,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2035,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2036,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2037,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2038,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2039,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2040,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2041,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2042,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2043,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2044,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2045,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2046,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2047,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2048,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2049,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2050,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2051,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2052,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2053,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2054,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2055,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2056,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2057,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2058,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418638654;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2059,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2060,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2061,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2062,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2063,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2064,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2065,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2066,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2067,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2068,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2069,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2070,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2071,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2072,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2073,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2074,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2075,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420473863),(2076,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2077,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2078,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2079,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2080,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2081,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2082,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2083,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2084,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2085,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2086,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2087,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2088,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2089,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2090,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2091,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2092,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2093,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2094,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2095,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2096,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2097,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2098,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2099,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2100,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2101,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2102,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2103,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2104,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2105,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2106,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2107,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2108,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2109,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2110,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2111,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2112,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2113,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2114,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2115,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2116,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2117,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2118,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2119,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2120,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:16:\"_info_file_ctime\";i:1418637013;}s:9:\"datestamp\";s:10:\"1406878150\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2121,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2122,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2123,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2124,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2125,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2126,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2127,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2128,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2129,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2130,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2131,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2132,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2133,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2134,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2135,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2136,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2137,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513133),(2138,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420513559),(2139,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420515560),(2140,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"course_credit\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Course credit\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:13:\"course_credit\";s:9:\"datestamp\";s:10:\"1391568508\";s:16:\"_info_file_ctime\";i:1420518217;}s:9:\"datestamp\";s:10:\"1391568508\";s:8:\"includes\";a:1:{s:13:\"course_credit\";s:13:\"Course credit\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420518274),(2141,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420519354),(2142,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2143,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2144,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2145,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2146,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2147,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2148,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2149,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2150,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2151,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2152,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2153,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2154,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2155,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2156,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2157,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2158,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2159,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2160,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2161,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2162,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2163,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2164,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2165,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2166,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2167,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2168,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2169,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2170,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2171,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2172,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2173,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2174,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2175,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2176,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2177,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2178,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2179,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2180,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2181,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2182,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2183,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2184,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2185,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2186,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2187,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2188,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2189,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2190,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2191,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2192,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2193,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2194,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2195,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2196,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2197,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2198,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2199,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2200,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2201,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2202,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2203,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2204,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2205,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420520467),(2206,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2207,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2208,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2209,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2210,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2211,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2212,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2213,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2214,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2215,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2216,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2217,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2218,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2219,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2220,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2221,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2222,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2223,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2224,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2225,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2226,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2227,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2228,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2229,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2230,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2231,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2232,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2233,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2234,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2235,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2236,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2237,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2238,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2239,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2240,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2241,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2242,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2243,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2244,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2245,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2246,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2247,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2248,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2249,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2250,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2251,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2252,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2253,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2254,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2255,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2256,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2257,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2258,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2259,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2260,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2261,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2262,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2263,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2264,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2265,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2266,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2267,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2268,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2269,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420532973),(2275,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2276,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2277,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2278,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2279,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2280,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2281,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2282,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2283,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2284,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2285,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2286,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2287,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2288,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2289,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2290,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2291,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2292,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2293,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2294,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2295,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2296,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2297,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2298,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2299,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2300,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2301,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2302,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2303,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2304,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2305,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2306,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2307,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2308,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2309,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2310,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2311,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2312,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2313,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2314,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2315,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2316,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2317,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2318,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2319,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2320,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2321,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2322,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2323,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2324,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2325,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2326,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2327,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2328,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563658),(2329,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2330,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2331,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2332,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2333,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2334,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2335,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2336,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2337,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2338,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420563659),(2339,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2340,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2341,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2342,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2343,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2344,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2345,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2346,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2347,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2348,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2349,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2350,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2351,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2352,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2353,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2354,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2355,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2356,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2357,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2358,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2359,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2360,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2361,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2362,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2363,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2364,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2365,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2366,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2367,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2368,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2369,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2370,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2371,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2372,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2373,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2374,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2375,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2376,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2377,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2378,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2379,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2380,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2381,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2382,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2383,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2384,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2385,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2386,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2387,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2388,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2389,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2390,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2391,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2392,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2393,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2394,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2395,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2396,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2397,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2398,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2399,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2400,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2401,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2402,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420600558),(2403,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2404,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2405,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2406,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2407,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2408,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2409,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2410,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2411,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2412,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2413,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2414,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2415,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2416,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2417,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2418,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2419,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2420,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2421,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2422,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2423,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2424,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2425,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2426,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2427,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2428,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2429,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2430,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2431,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2432,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2433,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2434,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2435,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2436,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2437,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2438,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2439,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2440,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2441,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2442,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2443,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2444,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2445,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2446,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2447,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2448,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2449,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2450,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2451,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2452,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2453,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2454,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2455,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2456,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2457,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2458,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2459,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2460,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2461,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2462,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2463,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2464,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2465,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2466,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420646850),(2467,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2468,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2469,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2470,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2471,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2472,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2473,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2474,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2475,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2476,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2477,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2478,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2479,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2480,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2481,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2482,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2483,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2484,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2485,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2486,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2487,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2488,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2489,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2490,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2491,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2492,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2493,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2494,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2495,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2496,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2497,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707390),(2498,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2499,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2500,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2501,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2502,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2503,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2504,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2505,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2506,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2507,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2508,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2509,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2510,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2511,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2512,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2513,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2514,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2515,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2516,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2517,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2518,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2519,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2520,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2521,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2522,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2523,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2524,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2525,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2526,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2527,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2528,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2529,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2530,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420707391),(2531,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2532,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2533,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2534,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2535,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2536,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2537,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2538,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2539,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2540,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2541,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2542,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2543,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2544,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2545,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2546,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2547,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2548,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2549,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2550,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2551,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2552,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2553,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2554,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2555,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2556,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2557,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2558,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2559,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2560,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2561,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2562,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2563,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2564,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2565,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2566,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2567,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2568,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2569,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2570,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2571,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2572,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2573,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2574,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2575,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2576,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2577,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2578,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2579,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876490),(2580,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2581,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2582,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2583,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2584,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2585,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2586,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2587,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2588,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2589,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2590,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2591,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2592,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2593,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2594,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1420876491),(2595,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2596,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2597,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2598,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2599,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2600,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2601,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2602,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2603,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2604,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2605,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2606,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2607,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2608,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2609,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2610,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2611,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2612,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2613,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2614,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2615,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2616,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2617,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2618,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2619,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2620,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2621,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2622,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2623,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2624,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2625,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2626,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2627,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2628,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2629,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2630,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2631,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2632,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2633,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2634,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2635,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2636,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2637,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2638,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2639,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2640,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2641,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2642,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2643,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2644,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2645,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2646,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2647,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2648,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2649,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2650,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2651,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2652,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2653,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2654,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2655,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2656,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2657,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2658,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421682355),(2659,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2660,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2661,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2662,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2663,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2664,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2665,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2666,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2667,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2668,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2669,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2670,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2671,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2672,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2673,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2674,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2675,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2676,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2677,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2678,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2679,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2680,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2681,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2682,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2683,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2684,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2685,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2686,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2687,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2688,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2689,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2690,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2691,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2692,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2693,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2694,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2695,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2696,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2697,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2698,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2699,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2700,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2701,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2702,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2703,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2704,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2705,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2706,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2707,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2708,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2709,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2710,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2711,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2712,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2713,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2714,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2715,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2716,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2717,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2718,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2719,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989377),(2720,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989378),(2721,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989378),(2722,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421989378),(2723,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2724,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2725,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2726,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2727,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2728,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2729,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2730,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2731,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2732,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2733,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2734,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2735,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2736,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2737,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2738,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2739,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2740,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2741,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2742,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2743,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2744,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2745,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2746,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2747,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2748,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2749,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2750,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2751,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2752,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2753,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2754,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2755,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2756,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2757,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2758,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2759,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2760,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2761,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2762,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2763,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2764,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2765,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2766,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2767,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2768,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2769,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2770,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2771,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2772,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2773,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2774,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2775,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2776,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2777,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2778,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2779,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2780,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2781,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2782,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2783,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2784,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2785,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2786,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1421999012),(2787,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2788,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418636935;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2789,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2790,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2791,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418636923;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2792,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2793,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2794,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418636950;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2795,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2796,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2797,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2798,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418636946;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2799,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418636948;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2800,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2801,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2802,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2803,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418636956;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2804,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2805,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2806,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2807,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2808,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2809,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2810,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2811,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636972;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2812,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2813,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2814,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2815,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2816,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418636976;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2817,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418636978;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2818,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2819,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2820,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2821,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2822,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2823,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2824,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2825,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2826,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2827,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2828,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2829,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2830,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2831,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2832,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2833,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418637016;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2834,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2835,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2836,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2837,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2838,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2839,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2840,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2841,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2842,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2843,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2844,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2845,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2846,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2847,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2848,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2849,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2850,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418637048;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006782),(2851,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1422006602;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422006814),(2852,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418638688;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2853,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1359651687\";s:16:\"_info_file_ctime\";i:1418638562;}s:9:\"datestamp\";s:10:\"1359651687\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2854,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638563;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2855,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418638647;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2856,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.33\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1415375131\";s:16:\"_info_file_ctime\";i:1418638552;}s:9:\"datestamp\";s:10:\"1415375131\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2857,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638567;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2858,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419524433;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2859,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1392220730\";s:16:\"_info_file_ctime\";i:1418638583;}s:9:\"datestamp\";s:10:\"1392220730\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2860,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638568;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2861,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418638569;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2862,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418944268;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2863,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1412114935\";s:16:\"_info_file_ctime\";i:1418638574;}s:9:\"datestamp\";s:10:\"1412114935\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2864,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1415151823\";s:16:\"_info_file_ctime\";i:1418638577;}s:9:\"datestamp\";s:10:\"1415151823\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2865,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418638586;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2866,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638588;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2867,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418638589;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2868,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1407338930\";s:16:\"_info_file_ctime\";i:1418638591;}s:9:\"datestamp\";s:10:\"1407338930\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2869,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418638592;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2870,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418638593;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2871,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638595;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2872,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418638596;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482);
INSERT INTO `queue` VALUES (2873,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418638597;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2874,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418638600;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2875,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638603;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2876,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1391844805\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638604;}s:9:\"datestamp\";s:10:\"1391844805\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2877,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418638607;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2878,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418638638;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2879,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418874339;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2880,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418638608;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2881,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1322116852\";s:16:\"_info_file_ctime\";i:1418638609;}s:9:\"datestamp\";s:10:\"1322116852\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2882,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:16:\"_info_file_ctime\";i:1418638611;}s:9:\"datestamp\";s:10:\"1396482246\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2883,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418638617;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2884,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418638618;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2885,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638620;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2886,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420527013;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2887,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418638621;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2888,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638627;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2889,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638628;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2890,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1422009959;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2891,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418638633;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2892,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418638648;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2893,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638639;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2894,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418638642;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2895,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638643;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2896,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418638650;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2897,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418638653;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011482),(2898,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418638656;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2899,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1409138336\";s:16:\"_info_file_ctime\";i:1418638658;}s:9:\"datestamp\";s:10:\"1409138336\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2900,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420527028;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2901,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638661;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2902,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418638662;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2903,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419524481;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2904,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418638673;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2905,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420527031;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2906,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418638663;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2907,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418638674;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2908,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418638676;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2909,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418638678;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2910,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418638686;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2911,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418638689;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2912,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418638690;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2913,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418638691;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2914,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418638692;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2915,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418638697;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2916,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1412681932\";s:16:\"_info_file_ctime\";i:1418638699;}s:9:\"datestamp\";s:10:\"1412681932\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422011483),(2917,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1418637037;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2918,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1422431440;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2919,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636936;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2920,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1418637007;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2921,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.34\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1416429488\";s:16:\"_info_file_ctime\";i:1422431434;}s:9:\"datestamp\";s:10:\"1416429488\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2922,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636940;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2923,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1419405727;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2924,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1416423525\";s:16:\"_info_file_ctime\";i:1422431452;}s:9:\"datestamp\";s:10:\"1416423525\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2925,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636941;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2926,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1418636943;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2927,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418899842;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2928,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1422431449;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2929,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1422431450;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2930,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1418636952;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2931,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636953;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2932,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1418636955;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2933,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1422431457;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2934,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1418636957;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2935,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1418636959;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2936,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636960;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2937,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1418636961;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2938,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1418636963;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2939,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1418636968;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2940,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636970;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2941,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1422431466;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2942,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1418636973;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2943,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1418637000;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2944,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1418802698;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2945,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1418636975;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2946,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1422431470;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2947,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1422221882\";s:16:\"_info_file_ctime\";i:1422431471;}s:9:\"datestamp\";s:10:\"1422221882\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2948,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1418636981;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2949,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1418636982;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2950,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636984;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2951,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1420513520;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2952,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1418636985;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2953,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636990;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2954,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418636992;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2955,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1422006602;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2956,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1418636996;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2957,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1418637008;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2958,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637001;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2959,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1418637003;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2960,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637005;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2961,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1418637009;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2962,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1418637012;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2963,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1418637015;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2964,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1422431494;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2965,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1420519302;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2966,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637020;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2967,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1418637021;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2968,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1419494786;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2969,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1418637027;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2970,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1420515429;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2971,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1418637023;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2972,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1418637028;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2973,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1418637030;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2974,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1418637031;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2975,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1418637035;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2976,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1418637038;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2977,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1418637039;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2978,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1418637041;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2979,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1418637042;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2980,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1418637047;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2981,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.2\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1416925905\";s:16:\"_info_file_ctime\";i:1422431516;}s:9:\"datestamp\";s:10:\"1416925905\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1422432447),(2982,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2983,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2984,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2985,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2986,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.34\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1416429488\";s:16:\"_info_file_ctime\";i:1499926448;}s:9:\"datestamp\";s:10:\"1416429488\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2987,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2988,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2989,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1416423525\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416423525\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2990,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2991,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2992,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2993,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2994,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2995,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2996,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2997,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2998,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(2999,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3000,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3001,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3002,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3003,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3004,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3005,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3006,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3007,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3008,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3009,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3010,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3011,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3012,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1422221882\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1422221882\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3013,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3014,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3015,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3016,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3017,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3018,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3019,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3020,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3021,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3022,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3023,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3024,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3025,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3026,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3027,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3028,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3029,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3030,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3031,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3032,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3033,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3034,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3035,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3036,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3037,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3038,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3039,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3040,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3041,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3042,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3043,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3044,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3045,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3046,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.2\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1416925905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416925905\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936759),(3047,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936785),(3048,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3049,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3050,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3051,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3052,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.34\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1416429488\";s:16:\"_info_file_ctime\";i:1499926448;}s:9:\"datestamp\";s:10:\"1416429488\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3053,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3054,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1416423525\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416423525\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3055,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3056,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3057,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936815),(3058,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3059,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3060,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3061,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3062,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3063,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3064,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3065,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3066,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3067,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3068,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3069,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3070,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3071,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3072,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3073,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3074,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3075,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1422221882\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1422221882\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3076,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3077,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3078,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3079,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3080,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3081,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3082,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3083,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3084,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3085,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3086,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3087,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3088,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3089,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3090,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3091,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3092,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3093,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3094,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3095,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3096,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3097,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3098,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3099,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3100,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3101,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1499936816),(3111,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3112,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3113,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3114,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3115,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3116,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3117,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3118,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1416423525\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416423525\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3119,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3120,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3121,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3122,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3123,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3124,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3125,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3126,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3127,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3128,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3129,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3130,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3131,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3132,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3133,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3134,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3135,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3136,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3137,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3138,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3139,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3140,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3141,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1422221882\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1422221882\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3142,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3143,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3144,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3145,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3146,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3147,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3148,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3149,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025947),(3150,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3151,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3152,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3153,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3154,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3155,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3156,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3157,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3158,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3159,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3160,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3161,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3162,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3163,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3164,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3165,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3166,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3167,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3168,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3169,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3170,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3171,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3172,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3173,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3174,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3175,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3176,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.2\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1416925905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416925905\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500025948),(3179,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3180,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3181,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3182,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3183,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3184,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1377197769\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3185,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3186,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3187,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3188,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3189,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3190,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3191,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026593),(3192,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3193,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3194,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3195,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3196,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3197,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3198,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3199,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401918529\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3200,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3201,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3202,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3203,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3204,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3205,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3206,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3207,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3208,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3209,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1422221882\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1422221882\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3210,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3211,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3212,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3213,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3214,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3215,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3216,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3217,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3218,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3219,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3220,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3221,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3222,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3223,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3224,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3225,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3226,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3227,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3228,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3229,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3230,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3231,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3232,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3233,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3234,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3235,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3236,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1400618928\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400618928\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3237,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3238,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3239,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3240,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3241,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3242,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3243,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3244,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.2\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1416925905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416925905\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026594),(3247,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387798183\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3248,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3249,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3250,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3251,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3252,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3253,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3254,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3255,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3256,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3257,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3258,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3259,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3260,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3261,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3262,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3263,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1420492083\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420492083\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3264,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3265,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3266,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3267,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3268,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3269,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3270,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3271,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3272,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3273,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1392221614\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392221614\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3274,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3275,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1389971831\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3276,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3277,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3278,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3279,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3280,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3281,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3282,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026993),(3283,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3284,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3285,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3286,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3287,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1360265821\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3288,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3289,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3290,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3291,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3292,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3293,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3294,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3295,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3296,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3297,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3298,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3299,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3300,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3301,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3302,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3303,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3304,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3305,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3306,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3307,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3308,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3309,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3310,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3311,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3312,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:7:\"7.x-4.2\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1416925905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1416925905\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500026994),(3329,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3330,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3331,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3332,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3333,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3334,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3335,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3336,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3337,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3338,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3339,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3340,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3341,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3342,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3343,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1396975454\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396975454\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3344,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3345,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3346,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3347,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3348,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3349,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3350,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3351,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3352,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3353,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3354,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3355,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3356,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3357,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3358,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3359,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3360,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3361,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3362,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3363,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3364,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3365,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3366,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3367,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3368,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3369,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500027352;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3370,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3371,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3372,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3373,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3374,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1391207946\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391207946\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3375,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3376,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3377,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3378,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3379,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3380,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3381,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3382,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3383,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3384,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3385,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3386,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3387,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3388,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3389,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3390,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3391,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3392,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3393,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3394,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500027632),(3397,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3398,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3399,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3400,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3401,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3402,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3403,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3404,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3405,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3406,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3407,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1410514129\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3408,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3409,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3410,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3411,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500028008;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3412,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3413,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3414,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3415,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3416,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3417,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3418,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3419,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3420,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3421,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3422,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3423,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3424,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3425,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3426,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3427,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3428,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3429,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3430,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3431,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3432,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3433,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3434,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3435,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1351260718\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1351260718\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3436,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3437,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500027352;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3438,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3439,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3440,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3441,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1399041230\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399041230\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3442,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:16:\"_info_file_ctime\";i:1500028096;}s:9:\"datestamp\";s:10:\"1498574947\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3443,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3444,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3445,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1375464981\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1375464981\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3446,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3447,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3448,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3449,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3450,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3451,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3452,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3453,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3454,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3455,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3456,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3457,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3458,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3459,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3460,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3461,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3462,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028131),(3463,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3464,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3465,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1386871727\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386871727\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3466,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1383124552\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1383124552\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3467,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3468,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3469,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3470,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.2\";s:9:\"datestamp\";s:10:\"1411750160\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411750160\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3471,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3472,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3473,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1420644782\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420644782\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3474,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3475,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500028008;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3476,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3477,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3478,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3479,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3480,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3481,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3482,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3483,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3484,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3485,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3486,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3487,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3488,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3489,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3490,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3491,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3492,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3493,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3494,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3495,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1352287308\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1352287308\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3496,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3497,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1399238030\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399238030\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3498,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1386356916\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1386356916\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3499,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3500,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3501,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1417710812\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1417710812\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3502,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3503,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3504,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965350\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1413965350\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3505,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1361665026\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361665026\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3506,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1411455150\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1411455150\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3507,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3508,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3509,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3510,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1369511162\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3511,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1392335007\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1392335007\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3512,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3513,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3514,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3515,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500028983),(3516,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500369836),(3517,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1400275428\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1400275428\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500369836),(3518,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500369836),(3519,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436175),(3520,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436175),(3521,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436175),(3522,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436175),(3523,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436175),(3524,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436176),(3525,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436176),(3526,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436176),(3527,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1397666996\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1397666996\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436176),(3561,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"views_bulk_operations\";s:4:\"info\";a:6:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:16:\"_info_file_ctime\";i:1500027518;}s:9:\"datestamp\";s:10:\"1487698687\";s:8:\"includes\";a:2:{s:19:\"actions_permissions\";s:25:\"Actions permissions (VBO)\";s:21:\"views_bulk_operations\";s:21:\"Views Bulk Operations\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3562,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3563,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"advanced_help\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Advanced help\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1432557782\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436433;}s:9:\"datestamp\";s:10:\"1432557782\";s:8:\"includes\";a:1:{s:13:\"advanced_help\";s:13:\"Advanced help\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3564,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"quiz\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"AJAX Quiz\";s:7:\"package\";s:10:\"Quiz Addon\";s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:16:\"_info_file_ctime\";i:1500436436;}s:9:\"datestamp\";s:10:\"1498728262\";s:8:\"includes\";a:12:{s:9:\"ajax_quiz\";s:9:\"AJAX Quiz\";s:11:\"long_answer\";s:11:\"Long Answer\";s:8:\"matching\";s:17:\"Matching question\";s:11:\"multichoice\";s:16:\"Quiz Multichoice\";s:4:\"quiz\";s:4:\"Quiz\";s:12:\"quiz_ddlines\";s:33:\"Drag and drop with lines for Quiz\";s:15:\"quiz_directions\";s:14:\"Quiz Direction\";s:13:\"quiz_question\";s:13:\"Quiz Question\";s:10:\"quiz_stats\";s:15:\"Quiz Statistics\";s:5:\"scale\";s:5:\"Scale\";s:12:\"short_answer\";s:12:\"Short Answer\";s:9:\"truefalse\";s:10:\"True False\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3565,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500025901;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:38:{s:5:\"block\";s:5:\"Block\";s:4:\"book\";s:4:\"Book\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:11:\"translation\";s:19:\"Content translation\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3566,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500026966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3567,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"blockify\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Blockify\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1303344135\";s:8:\"includes\";a:1:{s:8:\"blockify\";s:8:\"Blockify\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3568,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Bulk Export\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500026557;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:9:{s:11:\"bulk_export\";s:11:\"Bulk Export\";s:6:\"ctools\";s:11:\"Chaos tools\";s:21:\"ctools_access_ruleset\";s:15:\"Custom rulesets\";s:18:\"ctools_ajax_sample\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:21:\"ctools_custom_content\";s:20:\"Custom content panes\";s:12:\"page_manager\";s:12:\"Page manager\";s:8:\"stylizer\";s:8:\"Stylizer\";s:10:\"term_depth\";s:17:\"Term Depth access\";s:13:\"views_content\";s:19:\"Views content panes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3569,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"certificate\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:7:\"version\";s:7:\"7.x-2.3\";s:9:\"datestamp\";s:10:\"1464119460\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1464119460\";s:8:\"includes\";a:3:{s:11:\"certificate\";s:11:\"Certificate\";s:16:\"quiz_certificate\";s:17:\"Quiz certificates\";s:18:\"signup_certificate\";s:18:\"Signup Certificate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3570,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"chart\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Chart API\";s:7:\"package\";s:8:\"Charting\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1314765120\";s:8:\"includes\";a:3:{s:5:\"chart\";s:9:\"Chart API\";s:11:\"chart_views\";s:27:\"Chart API Views Integration\";s:13:\"system_charts\";s:22:\"Drupal System Charting\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3571,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436437;}s:9:\"datestamp\";s:10:\"1491291489\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3572,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500436439;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3573,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"course\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Course\";s:7:\"package\";s:6:\"Course\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:16:\"_info_file_ctime\";i:1500436440;}s:9:\"datestamp\";s:10:\"1487351587\";s:8:\"includes\";a:10:{s:6:\"course\";s:6:\"Course\";s:11:\"course_book\";s:11:\"Course book\";s:18:\"course_certificate\";s:18:\"Course certificate\";s:14:\"course_content\";s:14:\"Course content\";s:20:\"course_object_manual\";s:20:\"Course object manual\";s:11:\"course_poll\";s:11:\"Course poll\";s:11:\"course_quiz\";s:11:\"Course quiz\";s:13:\"course_signup\";s:13:\"Course signup\";s:9:\"course_uc\";s:15:\"Course ubercart\";s:14:\"course_webform\";s:14:\"Course webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3574,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:9:{s:4:\"date\";s:4:\"Date\";s:12:\"date_all_day\";s:12:\"Date All Day\";s:8:\"date_api\";s:8:\"Date API\";s:12:\"date_context\";s:12:\"Date Context\";s:10:\"date_popup\";s:10:\"Date Popup\";s:11:\"date_repeat\";s:15:\"Date Repeat API\";s:17:\"date_repeat_field\";s:17:\"Date Repeat Field\";s:10:\"date_tools\";s:10:\"Date Tools\";s:10:\"date_views\";s:10:\"Date Views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3575,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500028008;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3576,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3577,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500027601;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436576),(3578,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3579,'update_fetch_tasks','a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3580,'update_fetch_tasks','a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3581,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500026867;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3582,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3583,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500436441;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:4:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:18:\"flexslider_example\";s:18:\"FlexSlider Example\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3584,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"follow\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1366924811\";s:8:\"includes\";a:1:{s:6:\"follow\";s:6:\"Follow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3585,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3586,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"i18n\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Internationalization\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1497704047\";s:8:\"includes\";a:16:{s:4:\"i18n\";s:20:\"Internationalization\";s:10:\"i18n_block\";s:15:\"Block languages\";s:12:\"i18n_contact\";s:19:\"Contact translation\";s:10:\"i18n_field\";s:17:\"Field translation\";s:10:\"i18n_forum\";s:18:\"Multilingual forum\";s:9:\"i18n_menu\";s:16:\"Menu translation\";s:9:\"i18n_node\";s:20:\"Multilingual content\";s:9:\"i18n_path\";s:16:\"Path translation\";s:13:\"i18n_redirect\";s:20:\"Translation redirect\";s:11:\"i18n_select\";s:19:\"Multilingual select\";s:11:\"i18n_string\";s:18:\"String translation\";s:9:\"i18n_sync\";s:24:\"Synchronize translations\";s:13:\"i18n_taxonomy\";s:20:\"Taxonomy translation\";s:16:\"i18n_translation\";s:16:\"Translation sets\";s:9:\"i18n_user\";s:21:\"User mail translation\";s:13:\"i18n_variable\";s:20:\"Variable translation\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3587,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"panels\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Panels translation\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:16:\"_info_file_ctime\";i:1500027251;}s:9:\"datestamp\";s:10:\"1486394388\";s:8:\"includes\";a:2:{s:11:\"i18n_panels\";s:18:\"Panels translation\";s:6:\"panels\";s:6:\"Panels\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3588,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"imce\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"IMCE\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1495890787\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1495890787\";s:8:\"includes\";a:1:{s:4:\"imce\";s:4:\"IMCE\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3589,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500027437;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3590,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3591,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500026786;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3592,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"lang_dropdown\";s:4:\"info\";a:6:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1387127905\";s:8:\"includes\";a:2:{s:13:\"lang_dropdown\";s:26:\"Language Switcher Dropdown\";s:21:\"lang_dropdown_hideout\";s:34:\"Language Switcher Dropdown Hideout\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3593,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"languageicons\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Language Icons\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1399825730\";s:8:\"includes\";a:1:{s:13:\"languageicons\";s:14:\"Language Icons\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3594,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3595,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3596,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"logo_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Logo Block\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1498837444\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1498837444\";s:8:\"includes\";a:1:{s:10:\"logo_block\";s:10:\"Logo Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3597,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3598,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"menu_block\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Menu Block\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1435676232\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436444;}s:9:\"datestamp\";s:10:\"1435676232\";s:8:\"includes\";a:1:{s:10:\"menu_block\";s:10:\"Menu Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3599,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"menu_trail_by_path\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1489443187\";s:16:\"_info_file_ctime\";i:1500436445;}s:9:\"datestamp\";s:10:\"1489443187\";s:8:\"includes\";a:1:{s:18:\"menu_trail_by_path\";s:18:\"Menu Trail By Path\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3600,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3601,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3602,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Node Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500027352;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:3:{s:14:\"node_reference\";s:14:\"Node Reference\";s:10:\"references\";s:10:\"References\";s:14:\"user_reference\";s:14:\"User Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3603,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3604,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"print\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396426766\";s:8:\"includes\";a:3:{s:5:\"print\";s:22:\"Printer-friendly pages\";s:10:\"print_epub\";s:12:\"EPUB version\";s:9:\"print_pdf\";s:11:\"PDF version\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3605,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3606,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:16:\"_info_file_ctime\";i:1500436446;}s:9:\"datestamp\";s:10:\"1492697958\";s:8:\"includes\";a:1:{s:5:\"rules\";s:5:\"Rules\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3607,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"services\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Services\";s:7:\"package\";s:8:\"Services\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:16:\"_info_file_ctime\";i:1500028096;}s:9:\"datestamp\";s:10:\"1498574947\";s:8:\"includes\";a:1:{s:8:\"services\";s:8:\"Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3608,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"signup\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Signup\";s:7:\"package\";s:6:\"Signup\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1390351105\";s:8:\"includes\";a:1:{s:6:\"signup\";s:6:\"Signup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3609,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"socialfield\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Social field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1493127246\";s:16:\"_info_file_ctime\";i:1500436443;}s:9:\"datestamp\";s:10:\"1493127246\";s:8:\"includes\";a:1:{s:11:\"socialfield\";s:12:\"Social field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3610,'update_fetch_tasks','a:8:{s:4:\"name\";s:18:\"statistics_counter\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Statistics Counter\";s:7:\"package\";s:10:\"Statistics\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1432654383\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1432654383\";s:8:\"includes\";a:1:{s:18:\"statistics_counter\";s:18:\"Statistics Counter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3611,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"strongarm\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Strongarm\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1339604214\";s:8:\"includes\";a:1:{s:9:\"strongarm\";s:9:\"Strongarm\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3612,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3613,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500436447;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3614,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"ubercart\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Test gateway\";s:7:\"package\";s:18:\"Ubercart - payment\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1468644909\";s:8:\"includes\";a:13:{s:12:\"test_gateway\";s:12:\"Test gateway\";s:12:\"uc_2checkout\";s:9:\"2Checkout\";s:15:\"uc_authorizenet\";s:13:\"Authorize.net\";s:7:\"uc_cart\";s:4:\"Cart\";s:9:\"uc_credit\";s:11:\"Credit card\";s:14:\"uc_cybersource\";s:11:\"CyberSource\";s:8:\"uc_order\";s:5:\"Order\";s:10:\"uc_payment\";s:7:\"Payment\";s:15:\"uc_payment_pack\";s:19:\"Payment method pack\";s:9:\"uc_paypal\";s:6:\"PayPal\";s:10:\"uc_product\";s:7:\"Product\";s:8:\"uc_quote\";s:15:\"Shipping quotes\";s:8:\"uc_store\";s:5:\"Store\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3615,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"timeperiod\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Time period\";s:7:\"package\";s:5:\"Field\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1328723441\";s:8:\"includes\";a:1:{s:10:\"timeperiod\";s:11:\"Time period\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3616,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500436448;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3617,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"uuid\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Universally Unique ID\";s:7:\"package\";s:4:\"UUID\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1493291958\";s:8:\"includes\";a:3:{s:4:\"uuid\";s:21:\"Universally Unique ID\";s:9:\"uuid_path\";s:9:\"UUID Path\";s:13:\"uuid_services\";s:13:\"UUID Services\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3618,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"variable\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Variable\";s:7:\"package\";s:8:\"Variable\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398250128\";s:8:\"includes\";a:5:{s:8:\"variable\";s:8:\"Variable\";s:14:\"variable_admin\";s:14:\"Variable admin\";s:14:\"variable_realm\";s:14:\"Variable realm\";s:14:\"variable_store\";s:14:\"Variable store\";s:14:\"variable_views\";s:14:\"Variable views\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3619,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500026679;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3620,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3621,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3622,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3623,'update_fetch_tasks','a:8:{s:4:\"name\";s:23:\"views_horizontal_slider\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1381538479\";s:8:\"includes\";a:1:{s:23:\"views_horizontal_slider\";s:28:\"Horizontal slider for Views.\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3624,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_load_more\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Load More\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:16:\"_info_file_ctime\";i:1499926447;}s:9:\"datestamp\";s:10:\"1412631229\";s:8:\"includes\";a:1:{s:15:\"views_load_more\";s:15:\"Views Load More\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3625,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500436449;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3626,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499927020;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577),(3627,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500027159;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500436577);
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quicktabs`
--

DROP TABLE IF EXISTS `quicktabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicktabs` (
  `machine_name` varchar(255) NOT NULL COMMENT 'The primary identifier for a qt block.',
  `ajax` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this is an ajax views block.',
  `hide_empty_tabs` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this tabset hides empty tabs.',
  `default_tab` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Default tab.',
  `title` varchar(255) NOT NULL COMMENT 'The title of this quicktabs block.',
  `tabs` mediumtext NOT NULL COMMENT 'A serialized array of the contents of this qt block.',
  `renderer` varchar(255) NOT NULL COMMENT 'The rendering mechanism.',
  `style` varchar(255) NOT NULL COMMENT 'The tab style.',
  `options` mediumtext COMMENT 'A serialized array of the options for this qt instance.',
  PRIMARY KEY (`machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The quicktabs table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicktabs`
--

LOCK TABLES `quicktabs` WRITE;
/*!40000 ALTER TABLE `quicktabs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quicktabs` VALUES ('about_university',1,0,0,'About University','a:3:{i:0;a:5:{s:3:\"bid\";s:29:\"views_delta_about_block-block\";s:10:\"hide_title\";i:1;s:5:\"title\";s:12:\"Organisation\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:5:\"block\";}i:1;a:5:{s:3:\"bid\";s:31:\"views_delta_about_block-block_1\";s:10:\"hide_title\";i:1;s:5:\"title\";s:7:\"History\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:5:\"block\";}i:2;a:5:{s:3:\"bid\";s:31:\"views_delta_about_block-block_2\";s:10:\"hide_title\";i:1;s:5:\"title\";s:11:\"Our mission\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:5:\"block\";}}','quicktabs','default','a:0:{}');
/*!40000 ALTER TABLE `quicktabs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_ddlines_node`
--

DROP TABLE IF EXISTS `quiz_ddlines_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_ddlines_node` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `feedback_enabled` int(10) unsigned NOT NULL DEFAULT '0',
  `hotspot_radius` int(10) unsigned NOT NULL DEFAULT '10',
  `ddlines_elements` text,
  `execution_mode` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Execution mode. 0->with lines, 1->without lines',
  PRIMARY KEY (`vid`,`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_ddlines_node`
--

LOCK TABLES `quiz_ddlines_node` WRITE;
/*!40000 ALTER TABLE `quiz_ddlines_node` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_ddlines_node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_ddlines_user_answer_multi`
--

DROP TABLE IF EXISTS `quiz_ddlines_user_answer_multi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_ddlines_user_answer_multi` (
  `user_answer_id` int(10) unsigned NOT NULL,
  `hotspot_id` int(10) unsigned NOT NULL,
  `label_id` int(10) unsigned NOT NULL,
  KEY `answer_id` (`user_answer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_ddlines_user_answer_multi`
--

LOCK TABLES `quiz_ddlines_user_answer_multi` WRITE;
/*!40000 ALTER TABLE `quiz_ddlines_user_answer_multi` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_ddlines_user_answer_multi` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_ddlines_user_answers`
--

DROP TABLE IF EXISTS `quiz_ddlines_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_ddlines_user_answers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `result_id` int(10) unsigned NOT NULL,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `answer_id` (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_ddlines_user_answers`
--

LOCK TABLES `quiz_ddlines_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_ddlines_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_ddlines_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_long_answer_node_properties`
--

DROP TABLE IF EXISTS `quiz_long_answer_node_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_long_answer_node_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `rubric` text,
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_long_answer_node_properties`
--

LOCK TABLES `quiz_long_answer_node_properties` WRITE;
/*!40000 ALTER TABLE `quiz_long_answer_node_properties` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_long_answer_node_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_long_answer_user_answers`
--

DROP TABLE IF EXISTS `quiz_long_answer_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_long_answer_user_answers` (
  `answer_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  `result_id` int(10) unsigned NOT NULL,
  `score` float unsigned NOT NULL DEFAULT '0',
  `is_evaluated` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `answer` text,
  `answer_feedback` text,
  `answer_feedback_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`answer_id`),
  UNIQUE KEY `ids` (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_long_answer_user_answers`
--

LOCK TABLES `quiz_long_answer_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_long_answer_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_long_answer_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_matching_node`
--

DROP TABLE IF EXISTS `quiz_matching_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_matching_node` (
  `match_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `feedback` text NOT NULL,
  PRIMARY KEY (`match_id`),
  KEY `question_id` (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_matching_node`
--

LOCK TABLES `quiz_matching_node` WRITE;
/*!40000 ALTER TABLE `quiz_matching_node` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_matching_node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_matching_properties`
--

DROP TABLE IF EXISTS `quiz_matching_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_matching_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `choice_penalty` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_matching_properties`
--

LOCK TABLES `quiz_matching_properties` WRITE;
/*!40000 ALTER TABLE `quiz_matching_properties` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_matching_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_matching_user_answers`
--

DROP TABLE IF EXISTS `quiz_matching_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_matching_user_answers` (
  `answer_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `match_id` int(10) unsigned NOT NULL,
  `result_id` int(10) unsigned NOT NULL,
  `score` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `answer` int(10) unsigned NOT NULL,
  PRIMARY KEY (`answer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_matching_user_answers`
--

LOCK TABLES `quiz_matching_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_matching_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_matching_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_multichoice_answers`
--

DROP TABLE IF EXISTS `quiz_multichoice_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_multichoice_answers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `answer` text,
  `answer_format` varchar(255) NOT NULL,
  `feedback_if_chosen` text,
  `feedback_if_chosen_format` varchar(255) NOT NULL,
  `feedback_if_not_chosen` text,
  `feedback_if_not_chosen_format` varchar(255) NOT NULL,
  `score_if_chosen` int(11) NOT NULL DEFAULT '0',
  `score_if_not_chosen` int(11) NOT NULL DEFAULT '0',
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `quiz_id` (`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_multichoice_answers`
--

LOCK TABLES `quiz_multichoice_answers` WRITE;
/*!40000 ALTER TABLE `quiz_multichoice_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_multichoice_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_multichoice_properties`
--

DROP TABLE IF EXISTS `quiz_multichoice_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_multichoice_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `choice_multi` int(10) unsigned NOT NULL DEFAULT '0',
  `choice_random` int(10) unsigned NOT NULL DEFAULT '0',
  `choice_boolean` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_multichoice_properties`
--

LOCK TABLES `quiz_multichoice_properties` WRITE;
/*!40000 ALTER TABLE `quiz_multichoice_properties` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_multichoice_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_multichoice_user_answer_multi`
--

DROP TABLE IF EXISTS `quiz_multichoice_user_answer_multi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_multichoice_user_answer_multi` (
  `user_answer_id` int(10) unsigned NOT NULL,
  `answer_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`user_answer_id`,`answer_id`),
  KEY `answer_id` (`user_answer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_multichoice_user_answer_multi`
--

LOCK TABLES `quiz_multichoice_user_answer_multi` WRITE;
/*!40000 ALTER TABLE `quiz_multichoice_user_answer_multi` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_multichoice_user_answer_multi` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_multichoice_user_answers`
--

DROP TABLE IF EXISTS `quiz_multichoice_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_multichoice_user_answers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `result_id` int(10) unsigned NOT NULL,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  `choice_order` text,
  PRIMARY KEY (`id`),
  KEY `answer_id` (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_multichoice_user_answers`
--

LOCK TABLES `quiz_multichoice_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_multichoice_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_multichoice_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_multichoice_user_settings`
--

DROP TABLE IF EXISTS `quiz_multichoice_user_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_multichoice_user_settings` (
  `uid` int(10) unsigned NOT NULL,
  `choice_multi` int(10) unsigned NOT NULL DEFAULT '0',
  `choice_random` int(10) unsigned NOT NULL DEFAULT '0',
  `choice_boolean` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_multichoice_user_settings`
--

LOCK TABLES `quiz_multichoice_user_settings` WRITE;
/*!40000 ALTER TABLE `quiz_multichoice_user_settings` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_multichoice_user_settings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_node_properties`
--

DROP TABLE IF EXISTS `quiz_node_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_node_properties` (
  `vid` int(10) unsigned NOT NULL,
  `nid` int(10) unsigned NOT NULL,
  `aid` varchar(255) NOT NULL,
  `number_of_random_questions` smallint(5) unsigned NOT NULL DEFAULT '0',
  `max_score_for_random` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `pass_rate` tinyint(3) unsigned NOT NULL,
  `summary_pass` text,
  `summary_pass_format` varchar(255) NOT NULL,
  `summary_default` text,
  `summary_default_format` varchar(255) NOT NULL,
  `randomization` smallint(6) NOT NULL DEFAULT '0',
  `backwards_navigation` tinyint(3) unsigned NOT NULL,
  `keep_results` tinyint(3) unsigned NOT NULL,
  `repeat_until_correct` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `feedback_time` tinyint(3) unsigned NOT NULL,
  `display_feedback` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `quiz_open` int(10) unsigned NOT NULL DEFAULT '0',
  `quiz_close` int(10) unsigned NOT NULL DEFAULT '0',
  `takes` tinyint(3) unsigned NOT NULL,
  `show_attempt_stats` tinyint(4) NOT NULL DEFAULT '1',
  `time_limit` int(10) unsigned NOT NULL DEFAULT '0',
  `quiz_always` tinyint(4) NOT NULL DEFAULT '0',
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  `has_userpoints` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `userpoints_tid` int(10) unsigned NOT NULL DEFAULT '0',
  `time_left` smallint(6) NOT NULL DEFAULT '0',
  `max_score` int(11) NOT NULL DEFAULT '0',
  `allow_skipping` smallint(6) NOT NULL DEFAULT '0',
  `allow_resume` smallint(6) NOT NULL DEFAULT '1',
  `allow_jumping` tinyint(4) NOT NULL DEFAULT '0',
  `show_passed` tinyint(4) NOT NULL DEFAULT '1',
  `mark_doubtful` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`vid`),
  KEY `quiz_id` (`vid`,`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The base table for quiz nodes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_node_properties`
--

LOCK TABLES `quiz_node_properties` WRITE;
/*!40000 ALTER TABLE `quiz_node_properties` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_node_properties` VALUES (44,44,'0',0,1,75,'','plain_text','','plain_text',0,1,2,0,0,1,1417392000,1419984000,0,1,0,1,0,0,0,0,1,1,1,0,1,0);
/*!40000 ALTER TABLE `quiz_node_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_node_relationship`
--

DROP TABLE IF EXISTS `quiz_node_relationship`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_node_relationship` (
  `parent_nid` int(10) unsigned NOT NULL,
  `parent_vid` int(10) unsigned NOT NULL,
  `child_nid` int(10) unsigned NOT NULL,
  `child_vid` int(10) unsigned NOT NULL,
  `question_status` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `weight` int(11) NOT NULL DEFAULT '0',
  `max_score` int(11) NOT NULL DEFAULT '0',
  `auto_update_max_score` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`parent_nid`,`parent_vid`,`child_nid`,`child_vid`),
  KEY `parent_id` (`parent_vid`),
  KEY `child_id` (`child_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table storing what questions belong to what quizzes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_node_relationship`
--

LOCK TABLES `quiz_node_relationship` WRITE;
/*!40000 ALTER TABLE `quiz_node_relationship` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_node_relationship` VALUES (44,44,45,45,1,1,1,0);
/*!40000 ALTER TABLE `quiz_node_relationship` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_node_result_options`
--

DROP TABLE IF EXISTS `quiz_node_result_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_node_result_options` (
  `option_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `option_name` varchar(255) NOT NULL,
  `option_summary` text,
  `option_summary_format` varchar(255) NOT NULL,
  `option_start` int(10) unsigned DEFAULT '0',
  `option_end` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`option_id`),
  KEY `quiz_id` (`vid`,`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table storing result options for quizzes. Several result...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_node_result_options`
--

LOCK TABLES `quiz_node_result_options` WRITE;
/*!40000 ALTER TABLE `quiz_node_result_options` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_node_result_options` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_node_results`
--

DROP TABLE IF EXISTS `quiz_node_results`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_node_results` (
  `result_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL,
  `time_start` int(11) DEFAULT '0',
  `time_end` int(11) DEFAULT '0',
  `released` int(10) unsigned DEFAULT '0',
  `score` int(11) NOT NULL DEFAULT '0',
  `is_invalid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_evaluated` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `time_left` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`result_id`),
  KEY `user_results` (`uid`,`vid`,`nid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Table storing the total results for a quiz';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_node_results`
--

LOCK TABLES `quiz_node_results` WRITE;
/*!40000 ALTER TABLE `quiz_node_results` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_node_results` VALUES (1,44,44,1,1417500993,1417501003,0,100,0,1,0),(2,44,44,1,1417501040,1417501047,0,0,0,1,0);
/*!40000 ALTER TABLE `quiz_node_results` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_node_results_answers`
--

DROP TABLE IF EXISTS `quiz_node_results_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_node_results_answers` (
  `result_id` int(10) unsigned NOT NULL,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  `tid` int(10) unsigned DEFAULT NULL,
  `is_correct` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_skipped` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `points_awarded` tinyint(4) NOT NULL DEFAULT '0',
  `answer_timestamp` int(10) unsigned NOT NULL,
  `number` smallint(6) NOT NULL DEFAULT '1',
  `is_doubtful` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`result_id`,`question_nid`,`question_vid`),
  KEY `result_id` (`result_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table storing information about the results for the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_node_results_answers`
--

LOCK TABLES `quiz_node_results_answers` WRITE;
/*!40000 ALTER TABLE `quiz_node_results_answers` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_node_results_answers` VALUES (1,45,45,0,1,0,1,1417501003,1,0),(2,45,45,0,0,0,0,1417501047,1,0);
/*!40000 ALTER TABLE `quiz_node_results_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_question_latest_quizzes`
--

DROP TABLE IF EXISTS `quiz_question_latest_quizzes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_question_latest_quizzes` (
  `quiz_nid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores the latest quizzes each user has been involved in';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_question_latest_quizzes`
--

LOCK TABLES `quiz_question_latest_quizzes` WRITE;
/*!40000 ALTER TABLE `quiz_question_latest_quizzes` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_question_latest_quizzes` VALUES (44,1,3);
/*!40000 ALTER TABLE `quiz_question_latest_quizzes` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_question_properties`
--

DROP TABLE IF EXISTS `quiz_question_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_question_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `max_score` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Properties common for all quizzes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_question_properties`
--

LOCK TABLES `quiz_question_properties` WRITE;
/*!40000 ALTER TABLE `quiz_question_properties` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_question_properties` VALUES (45,45,1);
/*!40000 ALTER TABLE `quiz_question_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_scale_answer`
--

DROP TABLE IF EXISTS `quiz_scale_answer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_scale_answer` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `answer_collection_id` int(10) unsigned NOT NULL,
  `answer` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COMMENT='Holds all the possible answers and what answer...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_scale_answer`
--

LOCK TABLES `quiz_scale_answer` WRITE;
/*!40000 ALTER TABLE `quiz_scale_answer` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_scale_answer` VALUES (1,1,'Always'),(2,1,'Very often'),(3,1,'Some times'),(4,1,'Rarely'),(5,1,'Very rarely'),(6,1,'Never'),(7,2,'Excellent'),(8,2,'Very good'),(9,2,'Good'),(10,2,'Ok'),(11,2,'Poor'),(12,2,'Very poor'),(13,3,'Totally agree'),(14,3,'Agree'),(15,3,'Not sure'),(16,3,'Disagree'),(17,3,'Totally disagree'),(18,4,'Very important'),(19,4,'Important'),(20,4,'Moderately important'),(21,4,'Less important'),(22,4,'Least important');
/*!40000 ALTER TABLE `quiz_scale_answer` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_scale_answer_collection`
--

DROP TABLE IF EXISTS `quiz_scale_answer_collection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_scale_answer_collection` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `for_all` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '1 for global presets, 0 otherwise',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Answer collection ids and properties';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_scale_answer_collection`
--

LOCK TABLES `quiz_scale_answer_collection` WRITE;
/*!40000 ALTER TABLE `quiz_scale_answer_collection` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_scale_answer_collection` VALUES (1,1),(2,1),(3,1),(4,1);
/*!40000 ALTER TABLE `quiz_scale_answer_collection` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_scale_node_properties`
--

DROP TABLE IF EXISTS `quiz_scale_node_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_scale_node_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `answer_collection_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Properties specific to this question type. Holds...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_scale_node_properties`
--

LOCK TABLES `quiz_scale_node_properties` WRITE;
/*!40000 ALTER TABLE `quiz_scale_node_properties` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_scale_node_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_scale_user`
--

DROP TABLE IF EXISTS `quiz_scale_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_scale_user` (
  `uid` int(10) unsigned NOT NULL,
  `answer_collection_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`uid`,`answer_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='User settings, store what answer collections the user...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_scale_user`
--

LOCK TABLES `quiz_scale_user` WRITE;
/*!40000 ALTER TABLE `quiz_scale_user` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_scale_user` VALUES (1,1),(1,2),(1,3),(1,4);
/*!40000 ALTER TABLE `quiz_scale_user` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_scale_user_answers`
--

DROP TABLE IF EXISTS `quiz_scale_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_scale_user_answers` (
  `answer_id` int(10) unsigned NOT NULL,
  `result_id` int(10) unsigned NOT NULL,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store the users answers';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_scale_user_answers`
--

LOCK TABLES `quiz_scale_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_scale_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_scale_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_short_answer_node_properties`
--

DROP TABLE IF EXISTS `quiz_short_answer_node_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_short_answer_node_properties` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `maximum_score` int(10) unsigned NOT NULL DEFAULT '1',
  `text_entry_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `correct_answer_evaluation` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `correct_answer` text,
  `feedback_correct` text,
  `feedback_incorrect` text,
  PRIMARY KEY (`nid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_short_answer_node_properties`
--

LOCK TABLES `quiz_short_answer_node_properties` WRITE;
/*!40000 ALTER TABLE `quiz_short_answer_node_properties` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_short_answer_node_properties` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_short_answer_user_answers`
--

DROP TABLE IF EXISTS `quiz_short_answer_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_short_answer_user_answers` (
  `answer_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  `result_id` int(10) unsigned NOT NULL,
  `score` float unsigned NOT NULL DEFAULT '0',
  `is_evaluated` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `answer` text,
  `answer_feedback` text,
  `answer_feedback_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`answer_id`),
  UNIQUE KEY `ids` (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_short_answer_user_answers`
--

LOCK TABLES `quiz_short_answer_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_short_answer_user_answers` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_short_answer_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_terms`
--

DROP TABLE IF EXISTS `quiz_terms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_terms` (
  `nid` int(10) unsigned NOT NULL COMMENT 'Node id',
  `vid` int(10) unsigned NOT NULL COMMENT 'Version id',
  `weight` int(10) unsigned NOT NULL COMMENT 'The terms weight decides the order of the terms',
  `tid` int(10) unsigned NOT NULL COMMENT 'Term id',
  `max_score` tinyint(3) unsigned NOT NULL COMMENT 'Max score for each question marked with this term',
  `number` tinyint(3) unsigned NOT NULL COMMENT 'Number of questions to be drawn from this term',
  PRIMARY KEY (`vid`,`tid`),
  KEY `version` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table storing what terms belongs to what quiz for...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_terms`
--

LOCK TABLES `quiz_terms` WRITE;
/*!40000 ALTER TABLE `quiz_terms` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_terms` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_truefalse_node`
--

DROP TABLE IF EXISTS `quiz_truefalse_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_truefalse_node` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `correct_answer` tinyint(3) unsigned DEFAULT '0' COMMENT 'The correct answer for the user to give. 1 for true.',
  `feedback` text,
  PRIMARY KEY (`vid`,`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_truefalse_node`
--

LOCK TABLES `quiz_truefalse_node` WRITE;
/*!40000 ALTER TABLE `quiz_truefalse_node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_truefalse_node` VALUES (45,45,1,'');
/*!40000 ALTER TABLE `quiz_truefalse_node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_truefalse_user_answers`
--

DROP TABLE IF EXISTS `quiz_truefalse_user_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_truefalse_user_answers` (
  `question_nid` int(10) unsigned NOT NULL,
  `question_vid` int(10) unsigned NOT NULL,
  `result_id` int(10) unsigned NOT NULL,
  `answer` tinyint(3) unsigned DEFAULT '0',
  `score` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`result_id`,`question_nid`,`question_vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_truefalse_user_answers`
--

LOCK TABLES `quiz_truefalse_user_answers` WRITE;
/*!40000 ALTER TABLE `quiz_truefalse_user_answers` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quiz_truefalse_user_answers` VALUES (45,45,1,1,1),(45,45,2,0,0);
/*!40000 ALTER TABLE `quiz_truefalse_user_answers` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quiz_user_settings`
--

DROP TABLE IF EXISTS `quiz_user_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quiz_user_settings` (
  `uid` int(10) unsigned NOT NULL,
  `nid` int(10) unsigned NOT NULL COMMENT 'nid for the last node the user edited',
  `vid` int(10) unsigned NOT NULL COMMENT 'vid for the last node the user edited',
  `aid` varchar(255) NOT NULL,
  `pass_rate` tinyint(3) unsigned NOT NULL,
  `summary_pass` text,
  `summary_pass_format` varchar(255) NOT NULL,
  `summary_default` text,
  `summary_default_format` varchar(255) NOT NULL,
  `randomization` smallint(6) NOT NULL DEFAULT '0',
  `backwards_navigation` tinyint(3) unsigned NOT NULL,
  `keep_results` tinyint(3) unsigned NOT NULL,
  `repeat_until_correct` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `feedback_time` tinyint(3) unsigned NOT NULL,
  `display_feedback` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `takes` tinyint(3) unsigned NOT NULL,
  `show_attempt_stats` tinyint(4) NOT NULL DEFAULT '1',
  `time_limit` int(10) unsigned NOT NULL DEFAULT '0',
  `quiz_always` tinyint(4) NOT NULL DEFAULT '0',
  `has_userpoints` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `allow_skipping` smallint(6) NOT NULL DEFAULT '0',
  `allow_resume` smallint(6) NOT NULL DEFAULT '1',
  `allow_jumping` tinyint(4) NOT NULL DEFAULT '0',
  `show_passed` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table storing the user settings for the quiz node form';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quiz_user_settings`
--

LOCK TABLES `quiz_user_settings` WRITE;
/*!40000 ALTER TABLE `quiz_user_settings` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `quiz_user_settings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','forum','a:10:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:15:\"sioct:BoardPost\";}s:15:\"taxonomy_forums\";a:2:{s:10:\"predicates\";a:1:{i:0;s:18:\"sioc:has_container\";}s:4:\"type\";s:3:\"rel\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','poll','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:10:\"sioct:Poll\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('taxonomy_term','forums','a:5:{s:7:\"rdftype\";a:2:{i:0;s:14:\"sioc:Container\";i:1;s:10:\"sioc:Forum\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:2:{i:0;s:10:\"rdfs:label\";i:1;s:14:\"skos:prefLabel\";}}s:11:\"description\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"skos:definition\";}}s:3:\"vid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:13:\"skos:inScheme\";}s:4:\"type\";s:3:\"rel\";}s:6:\"parent\";a:2:{s:10:\"predicates\";a:1:{i:0;s:12:\"skos:broader\";}s:4:\"type\";s:3:\"rel\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('bannersbannersblockController','class','sites/all/modules/banners/banners.module','banners',0),('bannersitemController','class','sites/all/modules/banners/banners.module','banners',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockClassContextTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassFeaturesTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassPermissionTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassUpdateDisplayTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BookTestCase','class','modules/book/book.test','book',0),('CertificateTestCase','class','sites/all/modules/certificate/certificate.test','certificate',0),('chart_views_plugin_style_chart','class','sites/all/modules/chart/chart_views/views/chart_views_plugin_style_chart.inc','chart_views',0),('ChoiceTestCase','class','sites/all/modules/quiz/question_types/multichoice/multichoice.test','multichoice',0),('colorbox_handler_field_colorbox','class','sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc','colorbox',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('CommerceLineItemInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/commerce_line_item.inline_entity_form.inc','inline_entity_form',0),('CommerceProductInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/commerce_product.inline_entity_form.inc','inline_entity_form',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContactPersonalTestCase','class','modules/contact/contact.test','contact',0),('ContactSitewideTestCase','class','modules/contact/contact.test','contact',0),('ContextConditionBookroot','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionBookTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionContextTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionLanguageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionMenuTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTaxonomyTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionPathTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionSitewideTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserPageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextReactionBlockAjaxAccessTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockAjaxTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBreadcrumbTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionMenuTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionRegionTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionThemeHtmlTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('ContextUiTestCase','class','sites/all/modules/context/context_ui/tests/context_ui.test','context_ui',0),('ContextUnitTest','class','sites/all/modules/context/tests/context.test','context',0),('context_condition','class','sites/all/modules/context/plugins/context_condition.inc','context',0),('context_condition_book','class','sites/all/modules/context/plugins/context_condition_book.inc','context',0),('context_condition_bookroot','class','sites/all/modules/context/plugins/context_condition_bookroot.inc','context',0),('context_condition_context','class','sites/all/modules/context/plugins/context_condition_context.inc','context',0),('context_condition_context_all','class','sites/all/modules/context/plugins/context_condition_context_all.inc','context',0),('context_condition_default','class','sites/all/modules/context/plugins/context_condition_default.inc','context',0),('context_condition_language','class','sites/all/modules/context/plugins/context_condition_language.inc','context',0),('context_condition_menu','class','sites/all/modules/context/plugins/context_condition_menu.inc','context',0),('context_condition_node','class','sites/all/modules/context/plugins/context_condition_node.inc','context',0),('context_condition_node_taxonomy','class','sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','context',0),('context_condition_path','class','sites/all/modules/context/plugins/context_condition_path.inc','context',0),('context_condition_query_string','class','sites/all/modules/context/plugins/context_condition_query_string.inc','context',0),('context_condition_sitewide','class','sites/all/modules/context/plugins/context_condition_sitewide.inc','context',0),('context_condition_taxonomy_term','class','sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','context',0),('context_condition_user','class','sites/all/modules/context/plugins/context_condition_user.inc','context',0),('context_condition_user_page','class','sites/all/modules/context/plugins/context_condition_user_page.inc','context',0),('context_condition_views','class','sites/all/modules/context/plugins/context_condition_views.inc','context',0),('context_export_ui','class','sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','context_ui',0),('context_layouts_reaction_block','class','sites/all/modules/context/context_layouts/plugins/context_layouts_reaction_block.inc','context_layouts',0),('context_reaction','class','sites/all/modules/context/plugins/context_reaction.inc','context',0),('context_reaction_block','class','sites/all/modules/context/plugins/context_reaction_block.inc','context',0),('context_reaction_breadcrumb','class','sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','context',0),('context_reaction_debug','class','sites/all/modules/context/plugins/context_reaction_debug.inc','context',0),('context_reaction_menu','class','sites/all/modules/context/plugins/context_reaction_menu.inc','context',0),('context_reaction_region','class','sites/all/modules/context/plugins/context_reaction_region.inc','context',0),('context_reaction_template_suggestions','class','sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','context',0),('context_reaction_theme','class','sites/all/modules/context/plugins/context_reaction_theme.inc','context',0),('context_reaction_theme_html','class','sites/all/modules/context/plugins/context_reaction_theme_html.inc','context',0),('Course','class','sites/all/modules/course/includes/Course.inc','course',0),('CourseAccessTestCase','class','sites/all/modules/course/tests/CourseAccessTestCase.test','course',0),('CourseContextTestCase','class','sites/all/modules/course/tests/CourseContextTestCase.test','course',0),('CourseController','class','sites/all/modules/course/includes/CourseController.inc','course',0),('CourseEnrollment','class','sites/all/modules/course/includes/CourseEnrollment.inc','course',0),('CourseEnrollmentTestCase','class','sites/all/modules/course/tests/CourseEnrollmentTestCase.test','course',0),('CourseGradeTestCase','class','sites/all/modules/course/tests/CourseGradeTestCase.test','course',0),('CourseHandler','class','sites/all/modules/course/includes/CourseHandler.inc','course',0),('CourseObject','class','sites/all/modules/course/includes/CourseObject.inc','course',0),('CourseObjectAccess','class','sites/all/modules/course/includes/CourseObjectAccess.inc','course',0),('CourseObjectAccessConditional','class','sites/all/modules/course/plugins/course_object_access/conditional.inc','course',0),('CourseObjectAccessConditionalTestCase','class','sites/all/modules/course/tests/CourseObjectAccessConditionalTestCase.test','course',0),('CourseObjectAccessGrade','class','sites/all/modules/course/plugins/course_object_access/grade.inc','course',0),('CourseObjectAccessTestCase','class','sites/all/modules/course/tests/CourseObjectAccessTestCase.test','course',0),('CourseObjectAccessTimeTestCase','class','sites/all/modules/course/tests/CourseObjectAccessTimeTestCase.test','course',0),('CourseObjectAccessTiming','class','sites/all/modules/course/plugins/course_object_access/timing.inc','course',0),('CourseObjectBook','class','sites/all/modules/course/modules/course_book/course_book.classes.inc','course_book',0),('CourseObjectBookTestCase','class','sites/all/modules/course/modules/course_book/course_book.test','course_book',0),('CourseObjectBroken','class','sites/all/modules/course/includes/CourseObjectBroken.inc','course',0),('CourseObjectCertificate','class','sites/all/modules/course/modules/course_certificate/course_certificate.classes.inc','course_certificate',0),('CourseObjectContent','class','sites/all/modules/course/modules/course_content/course_content.classes.inc','course_content',0),('CourseObjectContentTestCase','class','sites/all/modules/course/modules/course_content/course_content.test','course_content',0),('CourseObjectController','class','sites/all/modules/course/includes/CourseObjectController.inc','course',0),('CourseObjectFulfillment','class','sites/all/modules/course/includes/CourseObjectFulfillment.inc','course',0),('CourseObjectFulfillmentController','class','sites/all/modules/course/includes/CourseObjectFulfillmentController.inc','course',0),('CourseObjectFulfillmentTestCase','class','sites/all/modules/course/tests/CourseObjectFulfillmentTestCase.test','course',0),('CourseObjectManual','class','sites/all/modules/course/modules/course_object_manual/course_object_manual.classes.inc','course_object_manual',0),('CourseObjectManualTestCase','class','sites/all/modules/course/modules/course_object_manual/course_object_manual.test','course_object_manual',0),('CourseObjectNode','class','sites/all/modules/course/includes/CourseObjectNode.inc','course',0),('CourseObjectNodeTestCase','class','sites/all/modules/course/tests/CourseObjectNodeTestCase.test','course',0),('CourseObjectPoll','class','sites/all/modules/course/modules/course_poll/course_poll.classes.inc','course_poll',0),('CourseObjectQuiz','class','sites/all/modules/course/modules/course_quiz/course_quiz.classes.inc','course_quiz',0),('CourseObjectQuizFulfillment','class','sites/all/modules/course/modules/course_quiz/course_quiz.classes.inc','course_quiz',0),('CourseObjectQuizTestCase','class','sites/all/modules/course/modules/course_quiz/course_quiz.test','course_quiz',0),('CourseObjectSignup','class','sites/all/modules/course/modules/course_signup/course_signup.classes.inc','course_signup',0),('CourseObjectSignupTestCase','class','sites/all/modules/course/modules/course_signup/course_signup.test','course_signup',0),('CourseObjectTestCase','class','sites/all/modules/course/tests/CourseObjectTestCase.test','course',0),('CourseObjectUbercart','class','sites/all/modules/course/modules/course_uc/course_uc.classes.inc','course_uc',0),('CourseObjectUbercartTestCase','class','sites/all/modules/course/modules/course_uc/course_uc.test','course_uc',0),('CourseObjectWebform','class','sites/all/modules/course/modules/course_webform/course_webform.classes.inc','course_webform',0),('CourseObjectWebformFulfillment','class','sites/all/modules/course/modules/course_webform/course_webform.classes.inc','course_webform',0),('CourseObjectWebformTestCase','class','sites/all/modules/course/modules/course_webform/course_webform.test','course_webform',0),('CourseOutlineUiTestCase','class','sites/all/modules/course/tests/CourseOutlineUiTestCase.test','course',0),('CourseReport','class','sites/all/modules/course/includes/CourseReport.inc','course',0),('CourseTestCase','class','sites/all/modules/course/tests/CourseTestCase.test','course',0),('CourseWorkflowTestCase','class','sites/all/modules/course/tests/CourseWorkflowTestCase.test','course',0),('course_views_handler_relationship_ce_cr','class','sites/all/modules/course/views/handlers/course_views_handler_relationship_ce_cr.inc','course',0),('course_views_handler_relationship_ce_sl','class','sites/all/modules/course/modules/course_signup/course_signup_views_handler_relationship_ce_sl.inc','course_signup',0),('course_views_handler_relationship_cr_ce','class','sites/all/modules/course/views/handlers/course_views_handler_relationship_cr_ce.inc','course',0),('course_views_handler_relationship_sl_ce','class','sites/all/modules/course/modules/course_signup/course_signup_views_handler_relationship_sl_ce.inc','course_signup',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_access_ruleset_ui','class','sites/all/modules/ctools/ctools_access_ruleset/plugins/export_ui/ctools_access_ruleset_ui.class.php','ctools_access_ruleset',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_custom_content_ui','class','sites/all/modules/ctools/ctools_custom_content/plugins/export_ui/ctools_custom_content_ui.class.php','ctools_custom_content',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('CyberSourceSoapClient','class','sites/all/modules/ubercart/payment/uc_cybersource/uc_cybersource.soap.inc','uc_cybersource',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateAPITestCase','class','sites/all/modules/date/tests/date_api.test','date',0),('DateFieldBasic','class','sites/all/modules/date/tests/date_field.test','date',0),('DateFieldTestCase','class','sites/all/modules/date/tests/date_field.test','date',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateFormTestCase','class','sites/all/modules/date/tests/date_form.test','date',0),('DateMigrateExampleUnitTest','class','sites/all/modules/date/tests/date_migrate.test','date',0),('DateMigrateFieldHandler','class','sites/all/modules/date/date.migrate.inc','date',0),('DateObject','class','sites/all/modules/date/date_api/date_api.module','date_api',0),('DateRepeatFormTestCase','class','sites/all/modules/date/date_repeat/tests/date_repeat_form.test','date_repeat',1),('DateRepeatTestCase','class','sites/all/modules/date/date_repeat/tests/date_repeat.test','date_repeat',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DateTimezoneTestCase','class','sites/all/modules/date/tests/date_timezone.test','date',0),('DateToolsTestCase','class','sites/all/modules/date/date_tools/tests/date_tools.test','date_tools',0),('DateUITestCase','class','sites/all/modules/date/tests/date.test','date',0),('DateValidationTestCase','class','sites/all/modules/date/tests/date_validation.test','date',0),('DateViewsPopupTestCase','class','sites/all/modules/date/tests/date_views_popup.test','date',0),('date_context_date_condition','class','sites/all/modules/date/date_context/plugins/date_context_date_condition.inc','date_context',0),('date_sql_handler','class','sites/all/modules/date/date_api/date_api_sql.inc','date_api',0),('date_views_argument_handler','class','sites/all/modules/date/date_views/includes/date_views_argument_handler.inc','date_views',0),('date_views_argument_handler_simple','class','sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc','date_views',0),('date_views_filter_handler','class','sites/all/modules/date/date_views/includes/date_views_filter_handler.inc','date_views',0),('date_views_filter_handler_simple','class','sites/all/modules/date/date_views/includes/date_views_filter_handler_simple.inc','date_views',0),('date_views_plugin_pager','class','sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc','date_views',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DDLinesQuestion','class','sites/all/modules/quiz/question_types/quiz_ddlines/quiz_ddlines.classes.inc','quiz_ddlines',0),('DDLinesResponse','class','sites/all/modules/quiz/question_types/quiz_ddlines/quiz_ddlines.classes.inc','quiz_ddlines',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('Drupali18nConfigTestCase','class','sites/all/modules/i18n/i18n.test','i18n',10),('Drupali18nTestCase','class','sites/all/modules/i18n/i18n.test','i18n',10),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('Entity','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityAPICommentNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIController','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerExportable','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerRevisionableInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIi18nItegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIRulesIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPITestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityBundleableUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityContentUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDB','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDBExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDefaultExtraFieldsController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultFeaturesController','class','sites/all/modules/entity/entity.features.inc','entity',0),('EntityDefaultI18nStringController','class','sites/all/modules/entity/entity.i18n.inc','entity',0),('EntityDefaultMetadataController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultRulesController','class','sites/all/modules/entity/entity.rules.inc','entity',0),('EntityDefaultUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDefaultViewsController','class','sites/all/modules/entity/views/entity.views.inc','entity',0),('EntityDrupalWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityExtraFieldsControllerInterface','interface','sites/all/modules/entity/entity.info.inc','entity',0),('EntityFieldHandlerHelper','class','sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','entity',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/entity.inline_entity_form.inc','inline_entity_form',0),('EntityInterface','interface','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityListWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityMetadataArrayObject','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeCreateAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeRevisionAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTaxonomyAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperException','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperIterator','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('EntityReferenceAdminTestCase','class','sites/all/modules/entityreference/tests/entityreference.admin.test','entityreference',0),('EntityReferenceBehavior_TaxonomyIndex','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','entityreference',0),('EntityReferenceBehavior_ViewsFilterSelect','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','entityreference',0),('EntityReferenceHandlersTestCase','class','sites/all/modules/entityreference/tests/entityreference.handlers.test','entityreference',0),('EntityReferenceTaxonomyTestCase','class','sites/all/modules/entityreference/tests/entityreference.taxonomy.test','entityreference',0),('EntityReference_BehaviorHandler','interface','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Abstract','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Broken','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('entityreference_plugin_display','class','sites/all/modules/entityreference/views/entityreference_plugin_display.inc','entityreference',0),('entityreference_plugin_row_fields','class','sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','entityreference',0),('entityreference_plugin_style','class','sites/all/modules/entityreference/views/entityreference_plugin_style.inc','entityreference',0),('EntityReference_SelectionHandler','interface','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Broken','class','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Generic','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_comment','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_file','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_node','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_taxonomy_term','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_user','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Views','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','entityreference',0),('EntityStructureWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityTokenTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityTranslationFieldCollectionItemHandler','class','sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','field_collection',0),('EntityValueWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityWebTestCase','class','sites/all/modules/entity/entity.test','entity',0),('entity_views_handler_area_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','entity',0),('entity_views_handler_field_boolean','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','entity',0),('entity_views_handler_field_date','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','entity',0),('entity_views_handler_field_duration','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','entity',0),('entity_views_handler_field_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','entity',0),('entity_views_handler_field_field','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','entity',0),('entity_views_handler_field_numeric','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','entity',0),('entity_views_handler_field_options','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','entity',0),('entity_views_handler_field_text','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','entity',0),('entity_views_handler_field_uri','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','entity',0),('entity_views_handler_relationship','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','entity',0),('entity_views_handler_relationship_by_bundle','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','entity',0),('entity_views_plugin_row_entity_view','class','sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','entity',0),('FacesExtendable','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtendableException','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtender','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtenderInterface','interface','sites/all/modules/rules/includes/faces.inc','rules',0),('FeaturesCtoolsIntegrationTest','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesDetectionTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesEnableTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesUserTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeedsMapperFieldTestCase','class','sites/all/modules/entityreference/tests/entityreference.feeds.test','entityreference',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCollectionBasicTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionContentTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionEntityTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionItemEntity','class','sites/all/modules/field_collection/field_collection.entity.inc','field_collection',0),('FieldCollectionItemMetadataController','class','sites/all/modules/field_collection/field_collection.info.inc','field_collection',0),('FieldCollectionRulesIntegrationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('field_collection_handler_relationship','class','sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','field_collection',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FlexsliderTestCase','class','sites/all/modules/flexslider/flexslider.test','flexslider',0),('flexslider_views_plugin_style_flexslider','class','sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','flexslider_views',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('FollowTestCase','class','sites/all/modules/follow/tests/follow.test','follow',0),('ForumIndexTestCase','class','modules/forum/forum.test','forum',1),('ForumTestCase','class','modules/forum/forum.test','forum',1),('FrontPageTestCase','class','modules/system/system.test','system',0),('GroupDisplayTestCase','class','sites/all/modules/field_group/tests/field_group.display.test','field_group',1),('GroupUITestCase','class','sites/all/modules/field_group/tests/field_group.ui.test','field_group',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('i18nBlocksTestCase','class','sites/all/modules/i18n/i18n_block/i18n_block.test','i18n_block',100),('i18nFieldTestCase','class','sites/all/modules/i18n/i18n_field/i18n_field.test','i18n_field',0),('i18nForumTestCase','class','sites/all/modules/i18n/i18n_forum/i18n_forum.test','i18n_forum',0),('i18nMenuTestCase','class','sites/all/modules/i18n/i18n_menu/i18n_menu.test','i18n_menu',0),('I18nNodeTestCase','class','sites/all/modules/i18n/i18n_node/i18n_node.test','i18n_node',0),('i18nPathTestCase','class','sites/all/modules/i18n/i18n_path/i18n_path.test','i18n_path',0),('I18NSelectAdminViewsAjax','class','sites/all/modules/i18n/i18n_select/i18n_select.test','i18n_select',0),('i18nSelectTestCase','class','sites/all/modules/i18n/i18n_select/i18n_select.test','i18n_select',0),('i18nStringTestCase','class','sites/all/modules/i18n/i18n_string/i18n_string.test','i18n_string',10),('i18nSyncTestCase','class','sites/all/modules/i18n/i18n_sync/i18n_sync.test','i18n_sync',0),('i18nTaxonomyTestCase','class','sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.test','i18n_taxonomy',0),('I18nVariableLanguageRealm','class','sites/all/modules/i18n/i18n_variable/i18n_variable.class.inc','i18n_variable',0),('i18nVariableTestCase','class','sites/all/modules/i18n/i18n_variable/i18n_variable.test','i18n_variable',0),('i18n_block_object','class','sites/all/modules/i18n/i18n_block/i18n_block.inc','i18n_block',0),('i18n_field','class','sites/all/modules/i18n/i18n_field/i18n_field.inc','i18n_field',0),('i18n_field_base','class','sites/all/modules/i18n/i18n_field/i18n_field.inc','i18n_field',0),('i18n_field_instance','class','sites/all/modules/i18n/i18n_field/i18n_field.inc','i18n_field',0),('i18n_menu_link','class','sites/all/modules/i18n/i18n_menu/i18n_menu.inc','i18n_menu',0),('i18n_menu_link_translation_set','class','sites/all/modules/i18n/i18n_menu/i18n_menu.inc','i18n_menu',0),('i18n_object_wrapper','class','sites/all/modules/i18n/i18n_object.inc','i18n',0),('i18n_path_object','class','sites/all/modules/i18n/i18n_path/i18n_path.inc','i18n_path',0),('i18n_path_translation_set','class','sites/all/modules/i18n/i18n_path/i18n_path.inc','i18n_path',0),('i18n_string_object','class','sites/all/modules/i18n/i18n_string/i18n_string.inc','i18n_string',10),('i18n_string_object_wrapper','class','sites/all/modules/i18n/i18n_string/i18n_string.inc','i18n_string',10),('i18n_string_textgroup_cached','class','sites/all/modules/i18n/i18n_string/i18n_string.inc','i18n_string',10),('i18n_string_textgroup_default','class','sites/all/modules/i18n/i18n_string/i18n_string.inc','i18n_string',10),('i18n_taxonomy_term','class','sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.inc','i18n_taxonomy',0),('i18n_taxonomy_translation_set','class','sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.inc','i18n_taxonomy',0),('i18n_translation_set','class','sites/all/modules/i18n/i18n_translation/i18n_translation.inc','i18n_translation',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InlineEntityFormTestBase','class','sites/all/modules/inline_entity_form/tests/inline_entity_form_test_base.test','inline_entity_form',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('InvalidQuickSetException','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('jcarousel_style_plugin','class','sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','jcarousel',0),('LibrariesAdminWebTest','class','sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','libraries',0),('LibrariesLoadWebTest','class','sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','libraries',0),('LibrariesUnitTest','class','sites/all/modules/libraries/tests/LibrariesUnitTest.test','libraries',0),('LibrariesWebTestBase','class','sites/all/modules/libraries/tests/LibrariesWebTestBase.test','libraries',0),('LinkAttributeCrudTest','class','sites/all/modules/link/tests/link.attribute.test','link',0),('LinkBaseTestClass','class','sites/all/modules/link/tests/link.test','link',0),('LinkContentCrudTest','class','sites/all/modules/link/tests/link.crud.test','link',0),('LinkEntityTokenTest','class','sites/all/modules/link/tests/link.entity_token.test','link',0),('LinkTokenTest','class','sites/all/modules/link/tests/link.token.test','link',0),('LinkUITest','class','sites/all/modules/link/tests/link.crud_browser.test','link',0),('LinkValidateSpecificURL','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTest','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestCase','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestNews','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateUrlLight','class','sites/all/modules/link/tests/link.validate.test','link',0),('link_views_handler_argument_target','class','sites/all/modules/link/views/link_views_handler_argument_target.inc','link',0),('link_views_handler_filter_protocol','class','sites/all/modules/link/views/link_views_handler_filter_protocol.inc','link',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LongAnswerFunctionalTest','class','sites/all/modules/quiz/question_types/long_answer/long_answer.test','long_answer',0),('LongAnswerQuestion','class','sites/all/modules/quiz/question_types/long_answer/long_answer.classes.inc','long_answer',0),('LongAnswerResponse','class','sites/all/modules/quiz/question_types/long_answer/long_answer.classes.inc','long_answer',0),('LongAnswerUnitTest','class','sites/all/modules/quiz/question_types/long_answer/long_answer.test','long_answer',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MatchingQuestion','class','sites/all/modules/quiz/question_types/matching/matching.classes.inc','matching',0),('MatchingResponse','class','sites/all/modules/quiz/question_types/matching/matching.classes.inc','matching',0),('MatchingUnitTest','class','sites/all/modules/quiz/question_types/matching/matching.test','matching',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuAttributesNodeTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',0),('MenuAttributesTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',0),('MenuAttributesTestHelper','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',0),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MenutrailbypathActivetrail','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathActivetrail.inc','menu_trail_by_path',0),('MenutrailbypathBreadcrumb','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathBreadcrumb.inc','menu_trail_by_path',0),('MenutrailbypathConfig','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathConfig.inc','menu_trail_by_path',0),('MenutrailbypathMenuHelper','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathMenuHelper.inc','menu_trail_by_path',0),('MenutrailbypathPathHelper','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathPathHelper.inc','menu_trail_by_path',0),('MenuTrailByPathTestCase','class','sites/all/modules/menu_trail_by_path/menu_trail_by_path.test','menu_trail_by_path',0),('MenutrailbypathUrlHelper','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathUrlHelper.inc','menu_trail_by_path',0),('MenutrailbypathUsortMenulinks','class','sites/all/modules/menu_trail_by_path/src/MenutrailbypathUsortMenulinks.inc','menu_trail_by_path',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateDestinationFieldCollection','class','sites/all/modules/field_collection/field_collection.migrate.inc','field_collection',0),('MigrateEntityReferenceFieldHandler','class','sites/all/modules/entityreference/entityreference.migrate.inc','entityreference',0),('MigrateLinkFieldHandler','class','sites/all/modules/link/link.migrate.inc','link',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultichoiceQuestion','class','sites/all/modules/quiz/question_types/multichoice/multichoice.classes.inc','multichoice',0),('MultichoiceResponse','class','sites/all/modules/quiz/question_types/multichoice/multichoice.classes.inc','multichoice',0),('MultipleValuesWidgetTest','class','sites/all/modules/inline_entity_form/tests/multiple_values_widget.test','inline_entity_form',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NewsletterAutomated','class','sites/all/modules/newsletter/includes/newsletter.automated.inc','newsletter',0),('NewsletterBasic','class','sites/all/modules/newsletter/includes/newsletter.basic.inc','newsletter',0),('NewsletterCustom','class','sites/all/modules/newsletter/includes/newsletter.custom.inc','newsletter',0),('NewsletterListController','class','sites/all/modules/newsletter/includes/newsletter.list.controller.inc','newsletter',0),('NewsletterListTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('NewsletterMailSystem','class','sites/all/modules/newsletter/includes/newsletter.mail.inc','newsletter',0),('NewsletterNewsletterController','class','sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','newsletter',0),('NewsletterSubscriberController','class','sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','newsletter',0),('NewsletterTemplateController','class','sites/all/modules/newsletter/includes/newsletter.template.controller.inc','newsletter',0),('NewsletterTemplateTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('newsletter_handler_field_datetime','class','sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','newsletter',0),('NoAuthEndpointTestRunner','class','sites/all/modules/services/tests/functional/NoAuthEndpointTestRunner.test','services',0),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/node.inline_entity_form.inc','inline_entity_form',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeReferenceFormTest','class','sites/all/modules/references/node_reference/node_reference.test','node_reference',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PanelsEntityViewWebTestCase','class','sites/all/modules/panels/tests/PanelsEntityViewWebTestCase.test','panels',0),('PanelsLegacyState','class','sites/all/modules/panels/includes/legacy.inc','panels',0),('PanelsNodeViewWebTestCase','class','sites/all/modules/panels/tests/PanelsNodeViewWebTestCase.test','panels',0),('PanelsTermViewWebTestCase','class','sites/all/modules/panels/tests/PanelsTermViewWebTestCase.test','panels',0),('PanelsUserViewWebTestCase','class','sites/all/modules/panels/tests/PanelsUserViewWebTestCase.test','panels',0),('panels_allowed_layouts','class','sites/all/modules/panels/includes/common.inc','panels',0),('panels_cache_object','class','sites/all/modules/panels/includes/plugins.inc','panels',0),('panels_display','class','sites/all/modules/panels/panels.module','panels',0),('panels_layouts_ui','class','sites/all/modules/panels/plugins/export_ui/panels_layouts_ui.class.php','panels',0),('panels_renderer_editor','class','sites/all/modules/panels/plugins/display_renderers/panels_renderer_editor.class.php','panels',0),('panels_renderer_simple','class','sites/all/modules/panels/plugins/display_renderers/panels_renderer_simple.class.php','panels',0),('panels_renderer_standard','class','sites/all/modules/panels/plugins/display_renderers/panels_renderer_standard.class.php','panels',0),('panels_views_plugin_row_fields','class','sites/all/modules/panels/plugins/views/panels_views_plugin_row_fields.inc','panels',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoMigrationHandler','class','sites/all/modules/pathauto/pathauto.migrate.inc','pathauto',1),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('PollBlockTestCase','class','modules/poll/poll.test','poll',0),('PollCreateTestCase','class','modules/poll/poll.test','poll',0),('PollDeleteChoiceTestCase','class','modules/poll/poll.test','poll',0),('PollExpirationTestCase','class','modules/poll/poll.test','poll',0),('PollJSAddChoice','class','modules/poll/poll.test','poll',0),('PollTestCase','class','modules/poll/poll.test','poll',0),('PollTokenReplaceTestCase','class','modules/poll/poll.test','poll',0),('PollTranslateTestCase','class','modules/poll/poll.test','poll',0),('PollVoteCheckHostname','class','modules/poll/poll.test','poll',0),('PollVoteTestCase','class','modules/poll/poll.test','poll',0),('print_join_page_counter','class','sites/all/modules/print/print_join_page_counter.inc','print',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('QuickAccordion','class','sites/all/modules/quicktabs/plugins/QuickAccordion.inc','quicktabs',0),('QuickBlockContent','class','sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','quicktabs',0),('QuickCallbackContent','class','sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','quicktabs',0),('QuickContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickContentRenderable','interface','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickNodeContent','class','sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','quicktabs',0),('QuickPreRenderedContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickQtabsContent','class','sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','quicktabs',0),('QuickQuicktabs','class','sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','quicktabs',0),('QuickRenderer','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickSet','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuicktabsAdminTestCase','class','sites/all/modules/quicktabs/tests/quicktabs.test','quicktabs',0),('quicktabs_style_plugin','class','sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','quicktabs',0),('QuickUiTabs','class','sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','quicktabs',0),('QuickViewContent','class','sites/all/modules/quicktabs/plugins/QuickViewContent.inc','quicktabs',0),('QuizDirectionsQuestion','class','sites/all/modules/quiz/question_types/quiz_directions/quiz_directions.classes.inc','quiz_directions',0),('QuizDirectionsResponse','class','sites/all/modules/quiz/question_types/quiz_directions/quiz_directions.classes.inc','quiz_directions',0),('QuizQuestion','class','sites/all/modules/quiz/question_types/quiz_question/quiz_question.core.inc','quiz_question',0),('QuizQuestionResponse','class','sites/all/modules/quiz/question_types/quiz_question/quiz_question.core.inc','quiz_question',0),('quiz_views_handler_argument_quiz_nid','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_argument_quiz_nid.inc','quiz',0),('quiz_views_handler_argument_user_uid_nullable','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_argument_user_uid_nullable.inc','quiz',0),('quiz_views_handler_field_node_link_take','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_node_link_take.inc','quiz',0),('quiz_views_handler_field_number_questions','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_number_questions.inc','quiz',0),('quiz_views_handler_field_question_status','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_question_status.inc','quiz',0),('quiz_views_handler_field_score_aggregate','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_score_aggregate.inc','quiz',0),('quiz_views_handler_field_takes','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_takes.inc','quiz',0),('quiz_views_handler_field_time','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_time.inc','quiz',0),('quiz_views_handler_field_user_quiz_state','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_user_quiz_state.inc','quiz',0),('quiz_views_handler_filter_question_status','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_question_status.inc','quiz',0),('quiz_views_handler_filter_quiz_nid','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_quiz_nid.inc','quiz',0),('quiz_views_handler_filter_user_nullable','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_user_nullable.inc','quiz',0),('quiz_views_handler_filter_user_quiz_state','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_user_quiz_state.inc','quiz',0),('quiz_views_handler_relationship_quiz_nid','class','sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_relationship_quiz_nid.inc','quiz',0),('RdfCommentAttributesTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfCrudTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfGetRdfNamespacesTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfMappingDefinitionTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfMappingHookTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfRdfaMarkupTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfTrackerAttributesTestCase','class','modules/rdf/rdf.test','rdf',0),('references_handler_argument','class','sites/all/modules/references/views/references_handler_argument.inc','references',0),('references_handler_relationship','class','sites/all/modules/references/views/references_handler_relationship.inc','references',0),('references_plugin_display','class','sites/all/modules/references/views/references_plugin_display.inc','references',0),('references_plugin_row_fields','class','sites/all/modules/references/views/references_plugin_row_fields.inc','references',0),('references_plugin_style','class','sites/all/modules/references/views/references_plugin_style.inc','references',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('Rule','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesAbstractPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesAbstractPluginDefaults','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesAbstractPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesAction','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesActionContainer','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionContainerUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesActionHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesAnd','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesCondition','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesConditionContainer','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionContainerUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesConditionHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesContainerPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesContainerPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesData','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesDataDirectInputFormInterface','interface','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataInputEvaluator','class','sites/all/modules/rules/includes/rules.processor.inc','rules',0),('RulesDataInputOptionsListInterface','interface','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataProcessor','class','sites/all/modules/rules/includes/rules.processor.inc','rules',0),('RulesDataUI','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIBoolean','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIBundleEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIDate','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIDecimal','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIDuration','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIEntityExportable','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIInteger','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIIPAddress','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListInteger','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListText','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListToken','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUITaxonomyVocabulary','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIText','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUITextFormatted','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUITextToken','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIURI','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataWrapperSavableInterface','interface','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesDateInputEvaluator','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesDateOffsetProcessor','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesDependencyException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesElementMap','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesEntityController','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesEvaluationException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesEventDefaultHandler','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventDispatcherInterface','interface','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventDispatcherTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesEventHandlerBase','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventHandlerEntityBundle','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventHandlerInterface','interface','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesExtendable','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesFeaturesController','class','sites/all/modules/rules/rules.features.inc','rules',0),('RulesIdentifiableDataWrapper','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesIntegrationTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesIntegrityException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesInvocationEnabledTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesLog','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesLoop','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesLoopUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesNodeConditionBase','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionPromoted','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionPublished','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionSticky','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionType','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNumericOffsetProcessor','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesOptimizationInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesOr','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesPHPDataProcessor','class','sites/all/modules/rules/modules/php.eval.inc','rules',0),('RulesPHPEvaluator','class','sites/all/modules/rules/modules/php.eval.inc','rules',0),('RulesPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginFeaturesIntegrationInterace','interface','sites/all/modules/rules/rules.features.inc','rules',0),('RulesPluginHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginImplInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesPluginUIInterface','interface','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesReactionRule','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesReactionRuleUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesRecursiveElementIterator','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesRuleSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesRuleSetUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesRuleUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesState','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesTaxonomyVocabularyWrapper','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesTestDataCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesTokenEvaluator','class','sites/all/modules/rules/modules/system.eval.inc','rules',0),('RulesTriggerableInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesTriggerTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesUICategory','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesUIController','class','sites/all/modules/rules/ui/ui.controller.inc','rules',0),('RulesURIInputEvaluator','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('ScaleQuestion','class','sites/all/modules/quiz/question_types/scale/scale.classes.inc','scale',0),('ScaleResponse','class','sites/all/modules/quiz/question_types/scale/scale.classes.inc','scale',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('ServicesAliasTests','class','sites/all/modules/services/tests/functional/ServicesAliasTests.test','services',0),('ServicesArgumentException','class','sites/all/modules/services/includes/services.runtime.inc','services',0),('ServicesArgumentsTestCase','class','sites/all/modules/services/tests/functional/ServicesArgumentsTests.test','services',0),('ServicesEndpointTests','class','sites/all/modules/services/tests/functional/ServicesEndpointTests.test','services',0),('ServicesException','class','sites/all/modules/services/includes/services.runtime.inc','services',0),('ServicesParserTests','class','sites/all/modules/services/tests/functional/ServicesParserTests.test','services',0),('ServicesResourceCommentTests','class','sites/all/modules/services/tests/functional/ServicesResourceCommentTests.test','services',0),('ServicesResourceDisabledTest','class','sites/all/modules/services/tests/functional/ServicesResourceDisabledTests.test','services',0),('ServicesResourceFileTests','class','sites/all/modules/services/tests/functional/ServicesResourceFileTests.test','services',0),('ServicesResourceNodeTaxonomytests','class','sites/all/modules/services/tests/functional/ServicesResourceNodeTests.test','services',0),('ServicesResourceNodetests','class','sites/all/modules/services/tests/functional/ServicesResourceNodeTests.test','services',0),('ServicesResourceSystemTests','class','sites/all/modules/services/tests/functional/ServicesResourceSystemTests.test','services',0),('ServicesResourceTaxonomyTests','class','sites/all/modules/services/tests/functional/ServicesResourceTaxonomyTests.test','services',0),('ServicesResourceUsertests','class','sites/all/modules/services/tests/functional/ServicesResourceUserTests.test','services',0),('ServicesSecurityTests','class','sites/all/modules/services/tests/functional/ServicesSecurityTests.test','services',0),('ServicesSpycLibraryTests','class','sites/all/modules/services/tests/unit/ServicesSpycLibraryTests.test','services',0),('ServicesUITest','class','sites/all/modules/services/tests/ui/ServicesUITests.test','services',0),('ServicesVersionTests','class','sites/all/modules/services/tests/functional/ServicesVersionTests.test','services',0),('ServicesWebTestCase','class','sites/all/modules/services/tests/services.test','services',0),('ServicesXMLRPCTestCase','class','sites/all/modules/services/tests/functional/ServicesXMLRPCTests.test','services',0),('services_ctools_export_ui','class','sites/all/modules/services/plugins/export_ui/services_ctools_export_ui.class.php','services',0),('ShortAnswerQuestion','class','sites/all/modules/quiz/question_types/short_answer/short_answer.classes.inc','short_answer',0),('ShortAnswerResponse','class','sites/all/modules/quiz/question_types/short_answer/short_answer.classes.inc','short_answer',0),('ShortAnswerUnitTest','class','sites/all/modules/quiz/question_types/short_answer/short_answer.test','short_answer',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SignupTestCase','class','sites/all/modules/signup/signup.test','signup',0),('signup_handler_argument_signup_user_uid','class','sites/all/modules/signup/views/handlers/signup_handler_argument_signup_user_uid.inc','signup',0),('signup_handler_field_signup_edit_link','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_edit_link.inc','signup',0),('signup_handler_field_signup_node_link','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_node_link.inc','signup',0),('signup_handler_field_signup_send_confirmation','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_send_confirmation.inc','signup',0),('signup_handler_field_signup_status','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_status.inc','signup',0),('signup_handler_field_signup_user_attended','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_attended.inc','signup',0),('signup_handler_field_signup_user_email','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_email.inc','signup',0),('signup_handler_field_signup_user_form_data','class','sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_form_data.inc','signup',0),('signup_handler_filter_signup_disabled','class','sites/all/modules/signup/views/handlers/signup_handler_filter_signup_disabled.inc','signup',0),('signup_handler_filter_signup_status','class','sites/all/modules/signup/views/handlers/signup_handler_filter_signup_status.inc','signup',0),('signup_handler_filter_signup_user_attended','class','sites/all/modules/signup/views/handlers/signup_handler_filter_signup_user_attended.inc','signup',0),('signup_handler_filter_signup_user_authenticated','class','sites/all/modules/signup/views/handlers/signup_handler_filter_signup_user_authenticated.inc','signup',0),('signup_plugin_access_user_signup_list','class','sites/all/modules/signup/views/plugins/signup_plugin_access_user_signup_list.inc','signup',0),('signup_plugin_argument_validate_signup_status','class','sites/all/modules/signup/views/plugins/signup_plugin_argument_validate_signup_status.inc','signup',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StatisticsAdminTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsBlockVisitorsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsLoggingTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsReportsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTokenReplaceTestCase','class','modules/statistics/statistics.test','statistics',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('stylizer_ui','class','sites/all/modules/ctools/stylizer/plugins/export_ui/stylizer_ui.class.php','stylizer',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyMenuHierarchyTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuTreeNode','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuUnitTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuWebTestCase','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/taxonomy_term.inline_entity_form.inc','inline_entity_form',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TranslationTestCase','class','modules/translation/translation.test','translation',0),('TrueFalseQuestion','class','sites/all/modules/quiz/question_types/truefalse/truefalse.classes.inc','truefalse',0),('TrueFalseResponse','class','sites/all/modules/quiz/question_types/truefalse/truefalse.classes.inc','truefalse',0),('TrueFalseUnitTest','class','sites/all/modules/quiz/question_types/truefalse/truefalse.test','truefalse',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UbercartAddressTestCase','class','sites/all/modules/ubercart/uc_store/tests/uc_address.test','uc_store',0),('UbercartAjaxTestCase','class','sites/all/modules/ubercart/uc_store/tests/uc_ajax.test','uc_store',0),('UbercartCartCheckoutTestCase','class','sites/all/modules/ubercart/uc_cart/tests/uc_cart.test','uc_cart',0),('UbercartCartSettingsTestCase','class','sites/all/modules/ubercart/uc_cart/tests/uc_cart.test','uc_cart',0),('UbercartCheckoutSettingsTestCase','class','sites/all/modules/ubercart/uc_cart/tests/uc_cart.test','uc_cart',0),('UbercartCountryTestCase','class','sites/all/modules/ubercart/uc_store/tests/uc_store.test','uc_store',0),('UbercartCreditCardTestCase','class','sites/all/modules/ubercart/payment/uc_credit/tests/uc_credit.test','uc_credit',0),('UbercartEncryption','class','sites/all/modules/ubercart/uc_store/classes/encrypt.inc','uc_store',0),('UbercartMailSystem','class','sites/all/modules/ubercart/uc_store/classes/mail.inc','uc_store',0),('UbercartOrderTestCase','class','sites/all/modules/ubercart/uc_order/tests/uc_order.test','uc_order',0),('UbercartPaymentPaneTestCase','class','sites/all/modules/ubercart/payment/uc_payment/tests/uc_payment.test','uc_payment',0),('UbercartProductTestCase','class','sites/all/modules/ubercart/uc_product/tests/uc_product.test','uc_product',0),('UbercartQuoteTestCase','class','sites/all/modules/ubercart/shipping/uc_quote/tests/uc_quote.test','uc_quote',0),('UbercartTestHelper','class','sites/all/modules/ubercart/uc_store/tests/uc_store.test','uc_store',0),('UcAddress','class','sites/all/modules/ubercart/uc_store/classes/address.inc','uc_store',0),('UcCartItemController','class','sites/all/modules/ubercart/uc_cart/uc_cart.controller.inc','uc_cart',0),('UcOrder','class','sites/all/modules/ubercart/uc_order/uc_order.module','uc_order',0),('UcOrderController','class','sites/all/modules/ubercart/uc_order/uc_order.controller.inc','uc_order',0),('UcOrderProductController','class','sites/all/modules/ubercart/uc_order/uc_order.controller.inc','uc_order',0),('UcOrderProductMetadataController','class','sites/all/modules/ubercart/uc_order/uc_order.info.inc','uc_order',0),('uc_cart_handler_field_cart_user','class','sites/all/modules/ubercart/uc_cart/views/uc_cart_handler_field_cart_user.inc','uc_cart',0),('uc_order_handler_field_money_amount','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_money_amount.inc','uc_order',0),('uc_order_handler_field_money_total','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_money_total.inc','uc_order',0),('uc_order_handler_field_order_actions','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_actions.inc','uc_order',0),('uc_order_handler_field_order_cc_data','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_cc_data.inc','uc_order',0),('uc_order_handler_field_order_cost','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_cost.inc','uc_order',0),('uc_order_handler_field_order_fullname','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_fullname.inc','uc_order',0),('uc_order_handler_field_order_id','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_id.inc','uc_order',0),('uc_order_handler_field_order_status','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_status.inc','uc_order',0),('uc_order_handler_field_order_weight_total','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_weight_total.inc','uc_order',0),('uc_order_handler_field_payment_method','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_payment_method.inc','uc_order',0),('uc_order_handler_field_weight_total','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_weight_total.inc','uc_order',0),('uc_order_handler_filter_country','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_country.inc','uc_order',0),('uc_order_handler_filter_order_status','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_order_status.inc','uc_order',0),('uc_order_handler_filter_payment_method','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_payment_method.inc','uc_order',0),('uc_order_handler_filter_total','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_total.inc','uc_order',0),('uc_order_handler_filter_zone','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_zone.inc','uc_order',0),('uc_order_handler_sort_total','class','sites/all/modules/ubercart/uc_order/views/uc_order_handler_sort_total.inc','uc_order',0),('uc_order_plugin_argument_validate_user_perm','class','sites/all/modules/ubercart/uc_order/views/uc_order_plugin_argument_validate_user_perm.inc','uc_order',0),('uc_order_plugin_row_invoice','class','sites/all/modules/ubercart/uc_order/views/uc_order_plugin_row_invoice.inc','uc_order',0),('uc_product_handler_field_addtocart','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_addtocart.inc','uc_product',0),('uc_product_handler_field_buyitnow','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_buyitnow.inc','uc_product',0),('uc_product_handler_field_display_price','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_display_price.inc','uc_product',0),('uc_product_handler_field_length','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_length.inc','uc_product',0),('uc_product_handler_field_price','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_price.inc','uc_product',0),('uc_product_handler_field_weight','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_weight.inc','uc_product',0),('uc_product_handler_filter_product','class','sites/all/modules/ubercart/uc_product/views/uc_product_handler_filter_product.inc','uc_product',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('UUIDAPITestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDCommentTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDEntityTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDNodeTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDSyncTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDTaxonomyTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDTestHelper','trait','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDUserTestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('UUIDV5TestCase','class','sites/all/modules/uuid/uuid.test','uuid',0),('VariableRealmControllerInterface','interface','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmDefaultController','class','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmDefaultStore','class','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmGlobalStore','class','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmHooks','interface','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmStoreInterface','interface','sites/all/modules/variable/variable_realm/variable_realm.class.inc','variable_realm',0),('VariableRealmUnionController','class','sites/all/modules/variable/variable_realm/variable_realm_union.class.inc','variable_realm',0),('VariableStoreRealmStore','class','sites/all/modules/variable/variable_store/variable_store.class.inc','variable_store',0),('VariableStoreTestCase','class','sites/all/modules/variable/variable_store/variable_store.test','variable_store',0),('VariableTestCase','class','sites/all/modules/variable/variable.test','variable',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsBootstrapAccordionPluginStyle','class','sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginRows','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginStyle','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapGridPluginStyle','class','sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapMediaPluginStyle','class','sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTablePluginStyle','class','sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTabPluginStyle','class','sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginRows','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginStyle','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','views_bootstrap',0),('ViewsBulkOperationsAction','class','sites/all/modules/views_bulk_operations/plugins/operation_types/action.class.php','views_bulk_operations',0),('ViewsBulkOperationsBaseOperation','class','sites/all/modules/views_bulk_operations/plugins/operation_types/base.class.php','views_bulk_operations',0),('ViewsBulkOperationsRulesComponent','class','sites/all/modules/views_bulk_operations/plugins/operation_types/rules_component.class.php','views_bulk_operations',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('viewsFieldViewTestCase','class','sites/all/modules/views_field_view/tests/views_field_view.test','views_field_view',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',0),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',0),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPagerTestCase','class','sites/all/modules/date/tests/date_views_pager.test','date',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_bulk_operations_handler_field_operations','class','sites/all/modules/views_bulk_operations/views/views_bulk_operations_handler_field_operations.inc','views_bulk_operations',0),('views_content_plugin_display_ctools_context','class','sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_ctools_context.inc','views_content',0),('views_content_plugin_display_panel_pane','class','sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_panel_pane.inc','views_content',0),('views_content_plugin_style_ctools_context','class','sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_style_ctools_context.inc','views_content',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_field_view_handler_field_view','class','sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','views_field_view',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',0),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_variable_title','class','sites/all/modules/variable/variable_views/includes/views_handler_field_variable_title.inc','variable_views',0),('views_handler_field_variable_value','class','sites/all/modules/variable/variable_views/includes/views_handler_field_variable_value.inc','variable_views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_course','class','sites/all/modules/course/views/handlers/views_handler_filter_course.inc','course',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',0),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_horizontal_slider_style_plugin','class','sites/all/modules/views_horizontal_slider/views_horizontal_slider_style_plugin.inc','views_horizontal_slider',0),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_course','class','sites/all/modules/course/views/handlers/views_join_course.inc','course',0),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_metro_plugin_style_metro','class','sites/all/modules/views_metro/views_metro_plugin_style_metro.inc','views_metro',0),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_default_variable','class','sites/all/modules/variable/variable_views/includes/views_plugin_argument_default_variable.inc','variable_views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_course','class','sites/all/modules/course/views/plugins/views_plugin_argument_validate_course.inc','course',0),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_load_more','class','sites/all/modules/views_load_more/views_plugin_pager_load_more.inc','views_load_more',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',0),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WebformComponentsTestCase','class','sites/all/modules/webform/tests/WebformComponentsTestCase.test','webform',-1),('WebformConditionals','class','sites/all/modules/webform/includes/webform.webformconditionals.inc','webform',-1),('WebformConditionalsTestCase','class','sites/all/modules/webform/tests/WebformConditionalsTestCase.test','webform',-1),('WebformGeneralTestCase','class','sites/all/modules/webform/tests/WebformGeneralTestCase.test','webform',-1),('WebformPermissionsTestCase','class','sites/all/modules/webform/tests/WebformPermissionsTestCase.test','webform',-1),('WebformSubmissionTestCase','class','sites/all/modules/webform/tests/WebformSubmissionTestCase.test','webform',-1),('WebformTestCase','class','sites/all/modules/webform/tests/WebformTestCase.test','webform',-1),('webform_exporter','class','sites/all/modules/webform/includes/exporters/webform_exporter.inc','webform',-1),('webform_exporter_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','webform',-1),('webform_exporter_excel_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','webform',-1),('webform_exporter_excel_xlsx','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','webform',-1),('webform_handler_area_result_pager','class','sites/all/modules/webform/views/webform_handler_area_result_pager.inc','webform',-1),('webform_handler_field_form_body','class','sites/all/modules/webform/views/webform_handler_field_form_body.inc','webform',-1),('webform_handler_field_is_draft','class','sites/all/modules/webform/views/webform_handler_field_is_draft.inc','webform',0),('webform_handler_field_node_link_edit','class','sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','webform',-1),('webform_handler_field_node_link_results','class','sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','webform',-1),('webform_handler_field_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_field_submission_count','class','sites/all/modules/webform/views/webform_handler_field_submission_count.inc','webform',-1),('webform_handler_field_submission_data','class','sites/all/modules/webform/views/webform_handler_field_submission_data.inc','webform',-1),('webform_handler_field_submission_link','class','sites/all/modules/webform/views/webform_handler_field_submission_link.inc','webform',-1),('webform_handler_field_webform_status','class','sites/all/modules/webform/views/webform_handler_field_webform_status.inc','webform',-1),('webform_handler_filter_is_draft','class','sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','webform',0),('webform_handler_filter_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_filter_submission_data','class','sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','webform',-1),('webform_handler_filter_webform_status','class','sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','webform',0),('webform_handler_relationship_submission_data','class','sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','webform',0),('webform_handler_sort_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_views_plugin_row_submission_view','class','sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','webform',-1);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/book/book.test','a75a4ec12f930d85adbf7c46d6a1a4ed1356657466874f21e9cc931b6cd41aa0'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contact/contact.test','655e8d5fe7536a972c2233e438a142166b15a118cc644e94b756c2814c375634'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/forum/forum.test','d282b29d6312d63183e003ba036d7645a946e828c94448592f930d80fceb42d6'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/poll/poll.test','cc8486dc337471d13014954e1c1e4e5ad4956e4a0cbd395adbd064f8e5849c72'),('modules/rdf/rdf.test','9849d2b717119aa6b5f1496929e7ac7c9c0a6e98486b66f3876bda0a8c165525'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/statistics/statistics.test','7abe4cce7ef548637d709e22cf340f9973b6d77615a470949d20a6426f5b08f2'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/translation/translation.test','c2ad71934a9a2139cdf8213df35f4c91dcc0e643fabb883c38e3ffbdd313d608'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/banners/banners.module','234458b6a0ebea91a4ed2d66e1028fc030dd34c62aaefffdd6dfae144604e200'),('sites/all/modules/block_class/block_class.test','ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),('sites/all/modules/certificate/certificate.test','ac37a0b24c9ea65e35f1e1f9a58d3bdfe8ceadc1ea076a965319c00b0a2295c3'),('sites/all/modules/chart/chart_views/views/chart_views_plugin_style_chart.inc','d7530945c0775ffcb196d922eaa23756e7a1f00b7075c98277d7107448077d40'),('sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc','22d11284e30633c5400520348345788e829f4a1bae7ee8289015791fca90933e'),('sites/all/modules/context/context_layouts/plugins/context_layouts_reaction_block.inc','9d4b9d7b8fc0d2a03804f13c462000e3a233229f954ba85c299a79b052861e69'),('sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','669518a4d1dcbf4b01ac4aea05074e342419a07b7bbda23d2c5ba04c8b3be6a7'),('sites/all/modules/context/context_ui/tests/context_ui.test','c30c5cb7193436a17e7e7892064232dc6b53a4e02ede31d5f12e4ae0f970e903'),('sites/all/modules/context/plugins/context_condition.inc','2701acb0f8667cf922052a9265bb84c936a3b716afaf3a8eff2ad04e332b5a2f'),('sites/all/modules/context/plugins/context_condition_book.inc','53598d1146bc55eccd5f297f06b63d4b9a68343758b751e57783ae3bc70b3bc7'),('sites/all/modules/context/plugins/context_condition_bookroot.inc','a42c26327be41e1e0048e1bcecffe6d0fbe0a212916845a03c44126ef2397a9a'),('sites/all/modules/context/plugins/context_condition_context.inc','cc3630470442db0c92d2def23cc03eeb9de30fb1c00dd2e00660646e292a705c'),('sites/all/modules/context/plugins/context_condition_context_all.inc','80b00ab0cd49aa4cfe4493a2cd08dde594d73ba3f3563d34c15ae2b46fc5983e'),('sites/all/modules/context/plugins/context_condition_default.inc','5764948ea3f0c7b55e14b0cd3690ab279f2237eb45043fac102a82b5d392c4a2'),('sites/all/modules/context/plugins/context_condition_language.inc','edbd457b68a4dd1e213792dce89d89ae17127d21ec3aa7e64eb6e636f11b2034'),('sites/all/modules/context/plugins/context_condition_menu.inc','1043c5b26abfb064ee307a21d8893c97593e1bc3f1b77c848542248afe7b4c89'),('sites/all/modules/context/plugins/context_condition_node.inc','8d54a13f2ed57cd1a36d1dbcba62e32f256ed6e71554643599fca50a3dddbbd0'),('sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','bc21088c7859b6db39417b1ee3124da8b3ea720b18d3731063299d3b0edf1ecb'),('sites/all/modules/context/plugins/context_condition_path.inc','c9ad2e426c75c8ba6bc4c94181aadadf3f474272cd0dc0bc67bd7c6cd810fea7'),('sites/all/modules/context/plugins/context_condition_query_string.inc','3902793c371098e42e0d3336fb8a0c26a0f18685ac03c6ac9a04f755a8ebd0cc'),('sites/all/modules/context/plugins/context_condition_sitewide.inc','cb5061fe6757287744f3db7296380120089c4e56af3298395aeaa3da16aedc3b'),('sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','94eb955d5705e75936cc440417893e341905fa7fb3df3b6d3e7d838fa33e313c'),('sites/all/modules/context/plugins/context_condition_user.inc','a6fd04ce6574d5391427a038da1f158f47b062cde7655811fa5a41271e75d20c'),('sites/all/modules/context/plugins/context_condition_user_page.inc','c5c48146a183e6d2cdfa07222e7f614bd9ba3ff4b745131c9910aeb79bbf4bcd'),('sites/all/modules/context/plugins/context_condition_views.inc','5cd3e84b22977af2d1a72ecc9dffb9b1beb1ac42f2ad2741de5a015a45734473'),('sites/all/modules/context/plugins/context_reaction.inc','497ce814344a5789eebd05e77f9a84625d20f8bf38cf77bf794ac85fdd1c1c0a'),('sites/all/modules/context/plugins/context_reaction_block.inc','e387623a2916d3ecd34eb455a8b62d621edd2f84ba6a2a925bdd835338120fbb'),('sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','74497dfd46b263561fb22e395049edc7ba24d14ff4b6b9c89af0ae1136aba8b5'),('sites/all/modules/context/plugins/context_reaction_debug.inc','c57b92ccf0b1278dce108089989eb32fb532e786f9bc01d2cb694819b468f322'),('sites/all/modules/context/plugins/context_reaction_menu.inc','b4fe6cd7738895c013ba7bae05fe0d23e34003f5bfcf18cd2c89c666a3688eed'),('sites/all/modules/context/plugins/context_reaction_region.inc','fc61c32bcdd8da4db6441424a4b5af8c7ccfd388386b0a0f3e497fe694006241'),('sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','9f819f86c6e2865d33e5a73473ce5ca2bfccd236d7880d6bab04eff56ceb2a4e'),('sites/all/modules/context/plugins/context_reaction_theme.inc','eae05dc2e34947aacc18bdfb4925df9a7946d64d9b23e7cde92ee23610cadffd'),('sites/all/modules/context/plugins/context_reaction_theme_html.inc','b0b4f355aebce29dbaa3e2bf26c35443d134f73649f1e197170e73d5ab93e0a2'),('sites/all/modules/context/tests/context.conditions.test','d13d632b7140e82946c2238bffdaab99893c3cab9d8a59ae6a1e2bebb5a42c88'),('sites/all/modules/context/tests/context.reactions.test','4d1d8d1497fc32e685446e52e387e537a6ec183ed598d224e356ad1461676efa'),('sites/all/modules/context/tests/context.test','05e97800946a534d2a4f3f017f6ac3ee682c7ef8a430cef5bb769574701d9419'),('sites/all/modules/course/includes/Course.inc','dada375b6e97f251952ff78f2d5f2d2601093b9e3f455c8943b26c29fae87923'),('sites/all/modules/course/includes/CourseController.inc','af04a58b6e6547a697a3f2d93e0cc68ca68a35578578ac5941049b1b1bd28c04'),('sites/all/modules/course/includes/CourseEnrollment.inc','5d8eef38e532b7293fef76bd508a07027488623e5617e76532fe5e94809079a6'),('sites/all/modules/course/includes/CourseHandler.inc','4c8117f40d89c1f1341aaabecd5a8f41111123f968fb7eb83b92e9bf7fc46ffe'),('sites/all/modules/course/includes/CourseObject.inc','ac5fd01ffcb3a639003cea23287ade9a48c110afa01c309be72e27e519413d3b'),('sites/all/modules/course/includes/CourseObjectAccess.inc','50824d1fb5872a7840d9a0253e59b67cf3f7193f28d4fa631372062b4d0428a4'),('sites/all/modules/course/includes/CourseObjectBroken.inc','98a917b0e9856b16c4be150524bb4bf42881887f88705523a4f6fb4434a2c03f'),('sites/all/modules/course/includes/CourseObjectController.inc','641e4d47364336d9af0f21061352fed961d3a4bbb81235693e20912ea1fdaf80'),('sites/all/modules/course/includes/CourseObjectFulfillment.inc','7a29f68325b206fc7d7831ef885ce24bd9301dfaec17d03f9e3b830d7b9e6828'),('sites/all/modules/course/includes/CourseObjectFulfillmentController.inc','2ba19fd7ec5145b9cfe9ce71d35e57b39bb4aa5610a38a5ac05f8997eb66ff3c'),('sites/all/modules/course/includes/CourseObjectNode.inc','0c1caf66e740a820b5accebf29c7416085676645a8d973fd4adf7bebb294492c'),('sites/all/modules/course/includes/CourseReport.inc','a7ad8eafad7ae38cddc2cdcd501b376a9443d856df30f9df6d7519dd38336181'),('sites/all/modules/course/modules/course_book/course_book.classes.inc','e001ec99c26b0dd7a77a1039b96824957c48c140ee2fd757b03350c0fb62cb56'),('sites/all/modules/course/modules/course_book/course_book.test','907f3ad4ad4bc12f041862407c287784036e46ba657d300f7250f985da2e8904'),('sites/all/modules/course/modules/course_certificate/course_certificate.classes.inc','ab0485e2c555b646bfe9410205a8c2e5dd463a46fe7afaa801ba8ee736565215'),('sites/all/modules/course/modules/course_content/course_content.classes.inc','75991ec85a7d619f68cff42e64c58e899965b05a8a5adc74d4c8bea7555cba93'),('sites/all/modules/course/modules/course_content/course_content.test','787d929ff1128860dea8dc6998954f59ff6bc7b48a4acbc24977d9d26c6accdd'),('sites/all/modules/course/modules/course_object_manual/course_object_manual.classes.inc','35d161242e5361c596252421bb77c9b926017ece246b46494add3d5aaa106890'),('sites/all/modules/course/modules/course_object_manual/course_object_manual.test','5716c224b7faf2ae92a178f2bbb56209e9d19cbe1ec77d6edc4200871bde6ebb'),('sites/all/modules/course/modules/course_poll/course_poll.classes.inc','f426ffe5ccb866db3751964e9962a4e07bc7d7bc5b08a66a369f9ccab7745023'),('sites/all/modules/course/modules/course_quiz/course_quiz.classes.inc','ac9ba5333515694fdf72b4f904d86f0062acc575d11e9960dec9b0278d88a618'),('sites/all/modules/course/modules/course_quiz/course_quiz.test','b5d698cb236cd24ba1c72f76e57f9aaa6382a030a8b1d5cd094c4b3c61d7e055'),('sites/all/modules/course/modules/course_signup/course_signup.classes.inc','71c53c0109912b72422255ec568a23ef12e15ac4c71b46e984de49225f9cf036'),('sites/all/modules/course/modules/course_signup/course_signup.test','9fcb33fa6156cfdc66aa01084a95375796354a292b06a079e76ff51bb8b1086d'),('sites/all/modules/course/modules/course_signup/course_signup_views_handler_relationship_ce_sl.inc','29b74ad279d5db6702ae77e52b9c4598847d8305133459f5ee4d51f4ba8fb52e'),('sites/all/modules/course/modules/course_signup/course_signup_views_handler_relationship_sl_ce.inc','03b242dcafa4be5d9cfa5c0554037e6ff4acf7d102d4718af34d3cd9bcd129bc'),('sites/all/modules/course/modules/course_uc/course_uc.classes.inc','a85d2121b010041cef1b5a2c8752e51ef5cc3452752441566adcb76c6fd79df0'),('sites/all/modules/course/modules/course_uc/course_uc.test','8a67ad79951c13e337eac10b3ccdc6dfc35b2c54f41f20d0214dd3d5a8248f75'),('sites/all/modules/course/modules/course_webform/course_webform.classes.inc','061888af10f6b59d3c3a5347f1e63ecc5987fa54634b505260d7e748d5a1dad4'),('sites/all/modules/course/modules/course_webform/course_webform.test','c93d9832f3ef90e9735625e4738477effff1a926c69af3b2892e1a3687aa7073'),('sites/all/modules/course/plugins/course_object_access/conditional.inc','7648d7ea8cfa5bdfde27bf9de6df9c056ddfddb72433d892cca38cd632553bf4'),('sites/all/modules/course/plugins/course_object_access/grade.inc','1801ab95b4dbffb058a27399361037ae67a62ce89390895ce7474430e31f3cfc'),('sites/all/modules/course/plugins/course_object_access/timing.inc','3a1f618d80773095fb0f6e0c2fd335c4f0f2d3e7cabd1d22f64a7a486a40717e'),('sites/all/modules/course/tests/CourseAccessTestCase.test','8f37ede80201114d6fef9e09e1a7f8492c9fca01a11c8e178958f575bbccff51'),('sites/all/modules/course/tests/CourseContextTestCase.test','4aea8d7fd068aaf80fe401c3f56b8e936695a4fbbd7d0c7b351af5350e51387a'),('sites/all/modules/course/tests/CourseEnrollmentTestCase.test','99a87ffc48bd7ee36a666d15826e0dcb07b637c15f4840b8421b75577dfd4350'),('sites/all/modules/course/tests/CourseGradeTestCase.test','a55eba0cf0b576ca8e8c911abdecd2cef51b008320bb359f286954505317d088'),('sites/all/modules/course/tests/CourseObjectAccessConditionalTestCase.test','6db17e6f295817758ba392d59b6a5c0ce523973e8dde7ac5a9bdd32e01ea3d77'),('sites/all/modules/course/tests/CourseObjectAccessTestCase.test','3a60c5d90a417e503edbf89677a4cc256ef25dd2b30f3440b3e13122e592e901'),('sites/all/modules/course/tests/CourseObjectAccessTimeTestCase.test','e27b11d9517c46e07bc59982d11d6c8ff6b0b21dc68754a924b99629b99e3c54'),('sites/all/modules/course/tests/CourseObjectFulfillmentTestCase.test','c6d6731375425984e8cf4185b93eb0605fd4c850979e1157d6f12d032a399774'),('sites/all/modules/course/tests/CourseObjectNodeTestCase.test','9063c36cdfb190705463d3ec9d79c5ef5e49911393614fa5a694e0816b175761'),('sites/all/modules/course/tests/CourseObjectTestCase.test','96bd8a342045d5a358cf3bcc60efdd31379b0804e8356523df051f085033dbcc'),('sites/all/modules/course/tests/CourseOutlineUiTestCase.test','3d073e174072fac357816443854b8971da4f68a0bddb38c255ee47981244f24b'),('sites/all/modules/course/tests/CourseTestCase.test','833a22d4d10767018ef27304ccce4994eb10f2ecb17e591dfec7f25216978efa'),('sites/all/modules/course/tests/CourseWorkflowTestCase.test','592a7a88d881e8303e7005a37663d35affa5689d1c3a00c4d07bc953aaec1efe'),('sites/all/modules/course/views/handlers/course_views_handler_relationship_ce_cr.inc','4a827f0c04a92f05db66a45e5f5d055e2d5fc66780246cb2bd35fc11560d9f3f'),('sites/all/modules/course/views/handlers/course_views_handler_relationship_cr_ce.inc','83a21c393660d3dfc2c920f7b2d88bf182bc9be3922e6e0090ccb950a4f81ee8'),('sites/all/modules/course/views/handlers/views_handler_filter_course.inc','0b7129ae9ec125ccab9e0e8780d8d6e6597b5eb5061b4ea58f48df78a1abfa4b'),('sites/all/modules/course/views/handlers/views_join_course.inc','92e7f1678d97b67984fcc3a10e4250f292ae7390421f75ff5dfa1694f057ae3a'),('sites/all/modules/course/views/plugins/views_plugin_argument_validate_course.inc','56c9df0edc9d7cc5040d4b7a517fbd3643a97709725833fd0a70d9d7ae604af1'),('sites/all/modules/ctools/ctools_access_ruleset/plugins/export_ui/ctools_access_ruleset_ui.class.php','c5cbf9e68e1a813ba59c7ae93360d4d1902178d27cf0edcbdbdbcb6f9d3a2753'),('sites/all/modules/ctools/ctools_custom_content/plugins/export_ui/ctools_custom_content_ui.class.php','ee8478f560f5e5a25c4dc907b3eb6f3fcd79446ad84f3a704708a84d5142683a'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/stylizer/plugins/export_ui/stylizer_ui.class.php','a59daf0b749aa681c31c117a7d72f023c83a5b9de91690c13b9614ac0e7ea769'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_ctools_context.inc','451bc0ca2cbfdba11159e339de3890480e009de853412034b81d4afe7c102809'),('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_panel_pane.inc','f3e75d212bd63e6b739105652869c9dbd9ad7b6caa38e068a7c717d593289611'),('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_style_ctools_context.inc','71a211a7602d33bd3a4adfdbbcd5f121bdfac8a2c47ec9f8cbaf74be6c83b05a'),('sites/all/modules/date/date.migrate.inc','7822a7a36b311d200501e2cab67165e23d8501ad268df36c1a1c1d639eca450d'),('sites/all/modules/date/date_api/date_api.module','6d1d63b0f55af7e9c886384e7b259d0cf6e2da8d005cfdb82f9173995c9d68f4'),('sites/all/modules/date/date_api/date_api_sql.inc','5a484b487c13fd6094348e2011c19e72d6c6c9ceb0b0a4143ef5542cd1c495fa'),('sites/all/modules/date/date_context/date_context.module','90b73cca83b54f14f4ef2b9bc5dc1f794e19b4e72acda2227ae0ae48be3fbcd2'),('sites/all/modules/date/date_context/plugins/date_context_date_condition.inc','558be21c9cdca068f88d56599487cce641f6b322ec44797c1789496b4ad1a4b2'),('sites/all/modules/date/date_repeat/tests/date_repeat.test','3702268fa89aa7ed9bcae025f0fb21bd67f90e89d53122049854de60a5316d4a'),('sites/all/modules/date/date_repeat/tests/date_repeat_form.test','c7df0c13648deccc586792ab6a6e7782031c6d88db963b6f092bf901bf95b582'),('sites/all/modules/date/date_tools/tests/date_tools.test','7d7e4a8f39b226b5199c1a82d100e8c9bb31a65466285a9e5c1e754ac1720d08'),('sites/all/modules/date/date_views/includes/date_views.views.inc','7ddcf452b6da1c6e8d6e983674f1108b1d13a93d63948a5c7c9831e4e1c6ccee'),('sites/all/modules/date/date_views/includes/date_views_argument_handler.inc','8f4debf9b3db7698f2633c39b75aa252e40db5aba07a082468614773e2958e9a'),('sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc','082dc7463949c86d32e637c2eb0d0568670ae7100c39ee8b4b52e96246487d28'),('sites/all/modules/date/date_views/includes/date_views_filter_handler.inc','286871fb8ff6b21912639acf48544809ed0a2acca7a04b00367c45f9450c4a74'),('sites/all/modules/date/date_views/includes/date_views_filter_handler_simple.inc','93f85798f6b2b962c90c5d2520beedc45fa443453cd206bba0db3d7e0a33d0bd'),('sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc','a5cee2c0a36d76b8acb21d641c4b4f5d13f95f223fb352bb65e1c5c23bffcb5d'),('sites/all/modules/date/tests/date.test','6cb38e9ed60bfdfa268051b47fcad699f1c8104accc7286abafbeddbbc9d143c'),('sites/all/modules/date/tests/date_api.test','3018073791ba419f53d04d9b1ec73cbd751c7436e12be0215d4b64e5664ebe6b'),('sites/all/modules/date/tests/date_field.test','6f5c2ea12b3dad6516e438eaad587d5bb189f96e369c671e0e5b22b8de9e0be7'),('sites/all/modules/date/tests/date_form.test','77c10765c4da14f4c143ca8143708c53b80cb8710fb7a971bde9598dd677b4fa'),('sites/all/modules/date/tests/date_migrate.test','ea21aeccf0c30c45104c970e0074f0dab072b3fe8c47b23b934752304ab5b8b5'),('sites/all/modules/date/tests/date_timezone.test','b9439865cb3942708249130b9d4ea3e1a6335153b4d95e739dc19a81b7d61d49'),('sites/all/modules/date/tests/date_validation.test','2e4d27c29192c9d55eb27b985d7e9838702c4324d36ed6e3a85999e9f25ada99'),('sites/all/modules/date/tests/date_views_pager.test','aceff66e11dd3ea418e9905b28384432f4fe7cf9746e711cf56add73e64336dd'),('sites/all/modules/date/tests/date_views_popup.test','0684ad4977093fd7338eb045f85ceda195e82f50bd33fecbf0dca00e42b0385e'),('sites/all/modules/entity/entity.features.inc','53f537caf6ad9355fb92b2c6db019959abdf399d80764151dd976b0891f37436'),('sites/all/modules/entity/entity.i18n.inc','41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),('sites/all/modules/entity/entity.info.inc','8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),('sites/all/modules/entity/entity.rules.inc','774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),('sites/all/modules/entity/entity.test','aba6490cd2041438d832dc8f63b213e0d171a5a218f6d51a9fe00c51e95069ce'),('sites/all/modules/entity/entity_token.module','0c1ad6fb6f8c430e47a81be6d08180883c5a1ee728ce8b5dd0775713b34fb862'),('sites/all/modules/entity/entity_token.tokens.inc','084edf8f860f3c9843e23cc2e06a9084dcb644ee6d99c21cdd7bd924138d518f'),('sites/all/modules/entity/includes/entity.controller.inc','b85d1882fae38ee8a0e82bf75952f44f65a58fd95e3bf0c3cb2a1321cf4d308a'),('sites/all/modules/entity/includes/entity.inc','02c3c8b1d4b7230f875c4fae8e6ba3bd57431e01f312b32f3ed305a7be734774'),('sites/all/modules/entity/includes/entity.ui.inc','49653cbbccc4b4e51f957727aa95803c149fac9565f53ed553e2cd1c1c3580ff'),('sites/all/modules/entity/includes/entity.wrapper.inc','ba890faf0f18d6262bc211db1fdf0ca7742058b1f454cf3d9a9f281c71bface7'),('sites/all/modules/entity/views/entity.views.inc','089b8ed3103f62778be3395a99ddfbd84da4235f5ad431392f8984eaa4bf349f'),('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','88e4cbbbeab9bbaa4c928118bdefb158ea99f343f813cf88cce01ed7fbf8bf6a'),('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','e489ca209c66b76228383864b8267067e7cf3a1e375d9a195339f89932fed71f'),('sites/all/modules/entityreference/entityreference.migrate.inc','6dfe7be97f3198bff6c145dce9a0f521c3695c380d24fe6d3feb97362363407d'),('sites/all/modules/entityreference/plugins/behavior/abstract.inc','a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','29e0f80ac52c1c313455a531404a3040c9160ecd173afd2e200ff99ffbab491c'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),('sites/all/modules/entityreference/plugins/selection/abstract.inc','9c8cdf704c8e42cc2a63d4c8271d28c7b0aa7e0b1ec081ed7bd84712631e3e72'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','d9535fae7a2ef011de9138b93c5bcaa159de0fdb74a99eaa8a53e0d6e67fc5f8'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','5b2fd228aec8548b2c7b32dd966017bcedbce1c3ca211bd69b114b95a37927f4'),('sites/all/modules/entityreference/plugins/selection/views.inc','7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),('sites/all/modules/entityreference/tests/entityreference.admin.test','f9e581f0fd8481b12ae74779f28942b26d29b0df828ba092b7be87cab29e1172'),('sites/all/modules/entityreference/tests/entityreference.feeds.test','b19193542031d2e1a247ffac8852e9219e5f7f0ed38298207ffe27cd1af9352a'),('sites/all/modules/entityreference/tests/entityreference.handlers.test','501b326e8d8864614b97ccfba75c7f01d5bb76536892422fe66dc284160db42f'),('sites/all/modules/entityreference/tests/entityreference.taxonomy.test','28aed16bd109189d6b2bfc8f59d914c8e237190738fa23d81dbd6cf2c2bced9b'),('sites/all/modules/entityreference/views/entityreference_plugin_display.inc','369e6ef46c06cc651ed209f94aa64ff6a4bbb3f2af678b2f1a8b23e42c81e648'),('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),('sites/all/modules/entityreference/views/entityreference_plugin_style.inc','fef62f9375cbcadbfd1918227434193f45e4cc62964cb4fee22ab1d8d3b3bb26'),('sites/all/modules/features/tests/features.test','5fc1c5733eb4c76c32f1a79736c064f1f89001f7987eb7bf183c8d438c8f8baf'),('sites/all/modules/field_collection/field_collection.entity.inc','ffaefd3a88911d2f3cc70e287ff5e1f81ae493fcaffbabdb2f651154f8774e83'),('sites/all/modules/field_collection/field_collection.info.inc','e11b810756dabe6eb24b70a3a84390480a2de7c5d65ea5a1f0d6045802f8405e'),('sites/all/modules/field_collection/field_collection.migrate.inc','e483818782fc66acd36ce6499dcdd8725c8eb16595406dff57471c72366c9187'),('sites/all/modules/field_collection/field_collection.test','064977821eb77d471b4bd876f0c3bbedd8b1ee41ae4e7739598712d45991057a'),('sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','8730fcca390a663d98cc781d3327f122541116715605554d45848f1a371ff8be'),('sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','6e8c13805c1ff233410bb408d524786df4ca64fc10ee4bd874a16277243efba1'),('sites/all/modules/field_group/tests/field_group.display.test','68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),('sites/all/modules/field_group/tests/field_group.ui.test','17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),('sites/all/modules/field_slideshow/field_slideshow.module','659d5f7908ca6530df427b4074b1020c2b7b189b0e23d5844ef69242f5afeb3a'),('sites/all/modules/flexslider/flexslider.test','7f63bc36abe645446407ca9e185b47c931f6a99acceff22eacbd465ae0184767'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','bfb2794b3c8711c84db6f31c60e87314c26b5489903cedb92b9d632812f05496'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.views.inc','6bba7b25386477b60098a754e67f26e93cf9256ef9b85d1f1801adb130b82c73'),('sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','a4986b2603f1a0752766d4d327e7be9053cc8809bebd0221578778df4f9f5796'),('sites/all/modules/flexslider/theme/flexslider.theme.inc','14b0d81c4946e8cce3c3b7e9a626e6e0a3fc76d3b2e1f5a56c03c9d688b88c63'),('sites/all/modules/follow/tests/follow.test','cc637fd95f81059485d774d2b4738bb2affb5f56ea597b2dd5db7a4f5974371c'),('sites/all/modules/fontawesome/fontawesome.install','cc2520c84a0cf8761a3c189a8e4dfe946abba314e9548b4f6703681f0377ef5c'),('sites/all/modules/fontawesome/fontawesome.module','157fe2b54482f9ce11ed7b95a204cf8b40f0c718b8c93c99ec4dd23a5ef4e486'),('sites/all/modules/i18n/i18n.test','c52b5076bfd40ec8820a1f58dd9ea6f8d0098c771f65d740298143137d52866e'),('sites/all/modules/i18n/i18n_block/i18n_block.inc','73eb3b7ba1e14cd12b51c7a94dcd2e5d701d1cee5aaf24d907aa282dbc9212c1'),('sites/all/modules/i18n/i18n_block/i18n_block.test','b2608274dae333577514565b54b14f2ad8f84c3928fb0ea0ed848aa8db7375e6'),('sites/all/modules/i18n/i18n_field/i18n_field.inc','b8c9b97f9dbc510e0e3b478e8fe21e86278a19ac5b8ddcf2da15c37d14afcc03'),('sites/all/modules/i18n/i18n_field/i18n_field.test','933758375305519b97501c2479834620d258881088cdbabb4a493f4e0054d068'),('sites/all/modules/i18n/i18n_forum/i18n_forum.test','90b38124594fea145afac37b8343cee5a08b0db5e4f4adfcdd5cd5da9231f263'),('sites/all/modules/i18n/i18n_menu/i18n_menu.inc','932080f89ff854073641d565e46d82b8ecb9221640ce63192ff080527fa89f6e'),('sites/all/modules/i18n/i18n_menu/i18n_menu.test','c907c0cf68dec26504ede662d8afa254b3903d9a964e3099011d680de87acf0b'),('sites/all/modules/i18n/i18n_node/i18n_node.test','0009235387b1fb0a15ae46cea8e00539128f8a807c4e5f6c8abf27929ec28ff6'),('sites/all/modules/i18n/i18n_node/i18n_node.variable.inc','8f0a93b4d12a331373dac6025b9cb2cc1c8d41e8769db06d346fab011859a0e9'),('sites/all/modules/i18n/i18n_object.inc','13118a2525f7ef27040f1c4824fcd05258154fcba128bdb5802c0aac471293c8'),('sites/all/modules/i18n/i18n_path/i18n_path.inc','aab2fa18c2c8de78befa13c7c2532ba0c7646625a0e0681c433d24797fb2f9b5'),('sites/all/modules/i18n/i18n_path/i18n_path.test','d625f7e36e653d8d55cf68e4366a647f5efc20689d3905d6fc77657752ac7584'),('sites/all/modules/i18n/i18n_select/i18n_select.test','bfb4267be987278f079382f218433a191973f13f4f8c06077e719ca90fd744ed'),('sites/all/modules/i18n/i18n_string/i18n_string.admin.inc','ace6c13b12cbb5379c803def1f4c4ba073457aa7fe84d1f87a4a4693e28b216c'),('sites/all/modules/i18n/i18n_string/i18n_string.inc','b87bebf594255d564a5648c7e749a9171cf813906f78ab64caa9f8395800a0ee'),('sites/all/modules/i18n/i18n_string/i18n_string.test','9d8f64d589d8a6a4ad443591e09956686d4ccf73892887a74179549af7911d2c'),('sites/all/modules/i18n/i18n_sync/i18n_sync.install','12b053b45d9f2741afd2eccae8fc5e267c0319319976b08125a789d8df76abca'),('sites/all/modules/i18n/i18n_sync/i18n_sync.module','a73ec338118591d22fd44a230730a44fa6ff07f68a6de66c620cec633509e97b'),('sites/all/modules/i18n/i18n_sync/i18n_sync.node.inc','eeb55d7fca17c7b8396053a31d7a14e1a40643f87549648617c005115ef480c1'),('sites/all/modules/i18n/i18n_sync/i18n_sync.test','3da6de303a0d0443d312c44f72c6e346acb52688ffd1349b615640abb7a93ca5'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.admin.inc','1c0addd145245731d2ba8ec708c9557d389d5cece650ec4973d4a69261adb76e'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.inc','7bc643c59e25c8a00491bc70258821793bbcb232a70510eff071a02bb1e4343e'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.pages.inc','cd0cb343cbfe113a13583450618163b90e6bee8778f79b6dc76ce12dfd13a2f4'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.test','29fc8c69345e4d2b8eda25ae5d7775772ff1432452f07d51d66b727857ba3690'),('sites/all/modules/i18n/i18n_translation/i18n_translation.inc','e7e38105a080efcb1d947e7e6d2f1487127b166905b2722c516582827ddaf143'),('sites/all/modules/i18n/i18n_variable/i18n_variable.class.inc','8803cd58f313f348b08afb953c6ebcfc6ea2203e9751bee09326b882b346edc6'),('sites/all/modules/i18n/i18n_variable/i18n_variable.test','b511aa2d4275a7464cb0aef90e308568a08ff523c80d6a63567cbeba94918e01'),('sites/all/modules/inline_entity_form/includes/commerce_line_item.inline_entity_form.inc','a53470b7433c702c57e60e88affd22789e81ad1ca06a4bf431abba762d778c92'),('sites/all/modules/inline_entity_form/includes/commerce_product.inline_entity_form.inc','53bb71cf44c5845fd9d9edb6e59145898faa8fa16ca7be1e3b126421b8fba9ef'),('sites/all/modules/inline_entity_form/includes/entity.inline_entity_form.inc','95975e814bf1e770dd4b63c8090a2dc0eb2ec71ea4378775f8212b6410bf07fd'),('sites/all/modules/inline_entity_form/includes/node.inline_entity_form.inc','d1731bc641fd32efe96e16bf281a7fd9f050a39674c6c0282a7940ddb70c048c'),('sites/all/modules/inline_entity_form/includes/taxonomy_term.inline_entity_form.inc','6747f3f298cc0d53a82ef176611964e46c1eabace184011808a2b2af79e51255'),('sites/all/modules/inline_entity_form/tests/inline_entity_form_test_base.test','3bbedbfcb3ff5b348787833b7aed2e1d16e1f200aead633dc610a394606ce149'),('sites/all/modules/inline_entity_form/tests/multiple_values_widget.test','194ee6a30dfc4d176a604e2f99289a60079e5b945aa220f3e12f86c4614cca70'),('sites/all/modules/jcarousel/includes/jcarousel.views.inc','690f67684bd4f7dfa0e2e9573fa2db6cb0ea932ad7eebbbcac3868fd721bfe05'),('sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','07c54b3d8b4d0dfc8c02e102d36f30089e673010a3e4dd88cbb24814ab66f18d'),('sites/all/modules/jcarousel/jcarousel.module','2fc24478d406def8c9b14be739f446a344bda59a9bfaad6f8990a713ce59c1af'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/lang_dropdown/lang_dropdown.install','e7c905e92611f915a6b94695717c8b26b69e7ce74fac43e695a597fe3f8055f8'),('sites/all/modules/lang_dropdown/lang_dropdown.module','d289422a831d398e346cc3926b46fd703f89b021b2a2b37fc3aad904e48c4d59'),('sites/all/modules/lang_dropdown/lang_dropdown_hideout/lang_dropdown_hideout.install','2232e6ff3d424993cd73681ebcafcf5e3471a94d245667ece3ab2b6514c8d39c'),('sites/all/modules/lang_dropdown/lang_dropdown_hideout/lang_dropdown_hideout.module','7999d4abd57287ec9da86fd8fee3d467bff080fdeea52536eafc5685f055d6df'),('sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','933af00ee9ad342999e20c0a82440ab04933b5d7713ffe2e7371a9af15492bf5'),('sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','4cfaf88ce29e72f8ecd52b02cc9f7bac2ea60a715530cd9ff4fea929dac161ee'),('sites/all/modules/libraries/tests/LibrariesUnitTest.test','08139d770447993484828d0a642b6a771314c74e392074e94c2b7dcebc10b093'),('sites/all/modules/libraries/tests/LibrariesWebTestBase.test','056dfdd67ac9d6a84ffbe0f507e165fd6f07a0c82c3c7efbc1874e870e85e83a'),('sites/all/modules/link/link.migrate.inc','0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),('sites/all/modules/link/link.module','39bc7a76730d855c17544d4a67ef6dbf3e018b74bc2f2b5d2431b6a370e1da3d'),('sites/all/modules/link/tests/link.attribute.test','92c76292e0b2f74ef21d6bca563cf5d47d0331d72bacc454a550c6ace51697cc'),('sites/all/modules/link/tests/link.crud.test','de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),('sites/all/modules/link/tests/link.crud_browser.test','13da1fde2aa1c45ec11c8b343004d116aed074789a5b46f8dd6b299781e9755d'),('sites/all/modules/link/tests/link.entity_token.test','e3c414eb7bdc1a27b8408446ded03b77c52b3419f38f6a3d3ada68effda4b616'),('sites/all/modules/link/tests/link.test','fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),('sites/all/modules/link/tests/link.token.test','74d2a9888005d08fba8c6d3720592a4d9dffa5d30a25fee1714ce89fa0688041'),('sites/all/modules/link/tests/link.validate.test','ff8a018f4ecf621e8f5f0fdec7c8d505305778c615ef17a84c7542bee0e29c47'),('sites/all/modules/link/views/link_views_handler_argument_target.inc','d77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),('sites/all/modules/link/views/link_views_handler_filter_protocol.inc','e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),('sites/all/modules/menu_attributes/menu_attributes.test','76009e0888c9b051e6f914fdabdfd4a29a8ea6d9e8575c2fe275666366f6d74b'),('sites/all/modules/menu_trail_by_path/menu_trail_by_path.test','1c9b6f1a7c32b7f28144df905f12a2d30c26329af5cd50237e40108a1eefb7a5'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathActivetrail.inc','3b04f55ab844326ff5944db077e3420a583323a807bdf1e3d0e8c9344ca8d6dc'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathBreadcrumb.inc','3c914e018d225240b083ddf20f558d2da91b07b1103d1afc67840d6217d7a53b'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathConfig.inc','1d221011e079fbd91db0ea73d0e36b80e73a90b218f51bc8feed3656e45a7b78'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathMenuHelper.inc','c59a777a77938e963da8cb66b474bba6b6fd84a194cc04d0c2c38767c4a1e385'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathPathHelper.inc','96c7810c5a766a0cbdf8c012dcce87a4de46dfb0c3a5d3127abfe0f353e96b29'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathUrlHelper.inc','f022b9c248106e7708691c27057c0b869bd58041ae6761e1bd654ac28ac6ad37'),('sites/all/modules/menu_trail_by_path/src/MenutrailbypathUsortMenulinks.inc','2cb391ac628432dee02bcf6b814764ec5b68d2f0e283da2ff6d6e11749c21843'),('sites/all/modules/module_filter/css/module_filter.css','23d534ed382a1e7805d4391d8aa72317b79e6c56905036db2cefd6eb5124168d'),('sites/all/modules/module_filter/css/module_filter_tab.css','ed032d26ec91fa509868dca0bcd201808d2b07d8565991fd877f0c77c0ef6af6'),('sites/all/modules/module_filter/js/module_filter.js','fafd3413175777e0a7659cffb41765e9c26c2ecca11a28fbe043759dd56548da'),('sites/all/modules/module_filter/js/module_filter_tab.js','f8b24ea3eaff792ff95e74e940fa4716c682ff73f368a4cd4942a7852b3d6377'),('sites/all/modules/module_filter/module_filter.admin.inc','502ac86b3ab04a4a86ab079e5d47ad8e30d78db6fe88486efc5a532182dfcf6c'),('sites/all/modules/module_filter/module_filter.install','75f3cbebb23c5f14e70d84110ac82649d270a9c37a4f298e661a1c6148acc783'),('sites/all/modules/module_filter/module_filter.module','70a57f95a82053922f415b942e0652e726564baf7383779a68d6c5aad1be9833'),('sites/all/modules/module_filter/module_filter.theme.inc','df066d4c342572d66792b9c1c829edb8f11dcd6eccd2a89e7e6b6b26002bf542'),('sites/all/modules/newsletter/includes/newsletter.automated.inc','11a2316e4335b0764cb2e16db3e9b627da0a7eca2b887bd25340c7bc2cfd2c71'),('sites/all/modules/newsletter/includes/newsletter.basic.inc','e138df53d2d94649e473091717484d7a1e5512d0bf7a3767e5ec43878aab6192'),('sites/all/modules/newsletter/includes/newsletter.custom.inc','c391bed05b2e8ee1b872c2be404a752a3e4ba87e3bc64ec206e05185103a0ff6'),('sites/all/modules/newsletter/includes/newsletter.list.controller.inc','299bcbc54c68d1b312874163667e939f5968973c7014250a68366cf29e04debe'),('sites/all/modules/newsletter/includes/newsletter.mail.inc','3a0b0e670e8722cea4520aa461f5309e6054a46fa9aaff6d6c2ed3cf1b7ed36e'),('sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','d390bcf7ee65a1ef11ad089dc6c7e5e83189e284f7026ae1be1f864962d22f92'),('sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','f6f9eb75d1f9a371187f399ad6d3f5e9c0b27d0ef2fc5167b15856f6ccd84cbf'),('sites/all/modules/newsletter/includes/newsletter.template.controller.inc','599e43fa91609525552a249d99a8effc09d20a9601fbdf5cca5aae37ea191e2f'),('sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','990a7971895b225c9a95d96c3788bd5f416cc610a1087741e0a545095b7201dc'),('sites/all/modules/newsletter/newsletter.test','47cfc5e5e0700cfa7f68e5de4e25f1dfda4bb035626bb083db331be914257582'),('sites/all/modules/panels/includes/common.inc','ebb5477004d1d9c0411a9ec5465e14e210fff9eb747f74817efb74495d17fd88'),('sites/all/modules/panels/includes/legacy.inc','114d3c5aa112f3d824aab6cd0f4ad73c63b09ce975806cbcfdfbebe277ee2838'),('sites/all/modules/panels/includes/plugins.inc','af94f83186554a862190e510001c13bb7adb2765d3eb89c6b7352f76dbb0a8b5'),('sites/all/modules/panels/panels.module','9eec977b33252fa536971ac8288898e16f3007bbf80a6be6abf3b743e49729c7'),('sites/all/modules/panels/plugins/display_renderers/panels_renderer_editor.class.php','bdde8184d8f86a9e2093152f6e41e1c152d52c4c08437561d6f94cb7dad36ef0'),('sites/all/modules/panels/plugins/display_renderers/panels_renderer_simple.class.php','5808abc8632cd0859f5a8bb43e1319749867554748ef5ccc823a07cabc713a90'),('sites/all/modules/panels/plugins/display_renderers/panels_renderer_standard.class.php','dd2d2db1455d1d160b123dc1fd313fad1b2531db5854512ae9c77b62b8d2d970'),('sites/all/modules/panels/plugins/export_ui/panels_layouts_ui.class.php','3e024ca2eadd350cb89dce1a0c1acfc57804dbc83ed6dad8de5244bbdbf12994'),('sites/all/modules/panels/plugins/views/panels_views_plugin_row_fields.inc','3c911d90e7519b6f2c35aa9796e2a00297caeee6214d34901ab3391ff140de22'),('sites/all/modules/panels/tests/PanelsEntityViewWebTestCase.test','268042545997af02dff42c7a9ec121d0d0f0581743c2cc916a3f950c97106dd4'),('sites/all/modules/panels/tests/PanelsNodeViewWebTestCase.test','e56c3c424863b5f68114dd20b633deb8a4cb6d98107f83f7d610c4a22eb764c2'),('sites/all/modules/panels/tests/PanelsTermViewWebTestCase.test','24d75f1cef700156fb8ed3609bbf3ab4ef5780a6b8a2aa3bab25f9a0b2ccfa95'),('sites/all/modules/panels/tests/PanelsUserViewWebTestCase.test','15009c9943cfd529822044916c597a130a408a0d764e31c62bdebfb37766546b'),('sites/all/modules/pathauto/pathauto.migrate.inc','31084f25620be5620aecf9d60356dba662b6eda426c0c94ba996821110e4b1cc'),('sites/all/modules/pathauto/pathauto.test','1297560df48bad9b325d775d3bc64a411c03a0fd630c5e53ff8e46c4550a6977'),('sites/all/modules/print/print_join_page_counter.inc','e9bfd111d5ae834bde22cd40daa6f05f01f54d32a96029b4cc147e1fb78b6bd0'),('sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','400b8683c88ba26f27604e91c48a2d151aef3618677d89d06b409cfa606b9be5'),('sites/all/modules/quicktabs/plugins/QuickAccordion.inc','772c06425494bb7a51aa1de65e89013989364728eab54ee9fdf8e3744750aca7'),('sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','dfe798caf3a0ea509bbe897953247c17d1c5ec2d201f7dfb29736764ead4aa7b'),('sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','ce0426cf04622b262ab7463e1264adae84e06b2c2e63e4aca783accae4ba9009'),('sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','d790b25dadb846e851aba926660657a29c0760e7ba58b50ffe74ffaeb318f0d7'),('sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','c8e70121dd2fd7e9d37e8db93d16985902717561a011f57498af81d7cca7ac7f'),('sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','5289bbc2f5a6d3cd19897d36114ea19700636bbe3673a3807f3f22944b9bd1c5'),('sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','dec59e70103449784824e96fac41ed00eb8d22b17c3e44508ff8fc101e0281ff'),('sites/all/modules/quicktabs/plugins/QuickViewContent.inc','a099bb06157ec486ea54aa47077c066ceabebcf33d930406541a56ba91dc6da7'),('sites/all/modules/quicktabs/quicktabs.classes.inc','97e83f0f97a4b071ed1a2a4c59b0fe9a1002d07acccd590ca15a2bf895d9d9a5'),('sites/all/modules/quicktabs/quicktabs.module','99e5180f596b704b5b479ba746a85aacd7c531a75f86140a1b8a952468c0304d'),('sites/all/modules/quicktabs/tests/quicktabs.test','d23f9d8cd89eff02a2a9711858951df1d0c60b13d38ba0fba97b1b56b8104a86'),('sites/all/modules/quiz/includes/ajax_quiz/ajax_quiz.admin.inc','2cc073241f0d293ff5f121f8dd17254019b6c4158ac72e8f7b6daec0cb015965'),('sites/all/modules/quiz/includes/ajax_quiz/ajax_quiz.module','71986979ec49c60a534c33b079e577791e1587005d36107b3ef1f99809f0954c'),('sites/all/modules/quiz/includes/views/defaults/questions_by_quiz.inc','8927d1d3a0a29bed042b5a1f18e8bc1c53f59c25c052fe797e82bc479a00a057'),('sites/all/modules/quiz/includes/views/defaults/questions_by_quiz_version.inc','ce0250fcf41d63565f7a795cfc9b388ac4d9fdacbb4327e1fb269b3e3ac490f5'),('sites/all/modules/quiz/includes/views/defaults/quiz_by_author.inc','881c9fd6aa22dd4374ee7ca4e502666191cf7982d1ebcbf60f0020e4e589bb53'),('sites/all/modules/quiz/includes/views/defaults/quiz_by_taker.inc','397e38c03c88f9abc23bab1c564e7fdeade84907ea79a2eb7968d67dc8177922'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_argument_quiz_nid.inc','ced7e1677107b654eee3b38e88f71c533c41786872dbbe45fcbfcb374156d1a4'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_argument_user_uid_nullable.inc','873dda24ce3884486ae4b020ea4f5266c50feba99d7fd91eb761ed65f8d2a9e9'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_node_link_take.inc','ddb3887de6dc11d3649814bdc282ea5b09ea70768a9256cf597845fca938c1fb'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_number_questions.inc','40c1a2b7bbaf952bcae43f05a21f8b936e4a369e83e6e1b5bc6340f82481a45a'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_question_status.inc','e3f6ef6cb0b6c5531553bf47b662e1efd9a273646a6bbe537f9f4308afb94dfe'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_score_aggregate.inc','67a87cc64f7072751f874c287d3375cdf865dbca87800fab4051b9828eda939e'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_takes.inc','9cd56e3f266288cef893d359e984dc698c9959ff9c7358b17a434edf6381b232'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_time.inc','2584dce889c2afe342c0dc66d040cd05669642796071f172c96b830d34ee9c4a'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_field_user_quiz_state.inc','ee0e484362de144f5fd6fa95c5b53e788d57c081154352bd32c043eb3e7f7bb8'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_question_status.inc','182c12203674a6266896d5bd817aa93cbd6fef6a34024125c47ef7b285f79a74'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_quiz_nid.inc','e73872cfd34aa4144ad99102cb0d6246f44793be826ff6694cd833538ce40885'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_user_nullable.inc','5174a0433b3507301504fa17c02f97551344090cc9e3d1d76932059b7435979a'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_filter_user_quiz_state.inc','4214abcd7062f72c249f867b0d49ac8735896760dc5bc68f29c26def66776515'),('sites/all/modules/quiz/includes/views/handlers/quiz_views_handler_relationship_quiz_nid.inc','2684b564b5531b3fdbabc4e40749c0c51e949d84fe0e98450b4e2e357f8d5c73'),('sites/all/modules/quiz/includes/views/quiz.views.inc','ca672c26e794b6918c506aedbb7c0e99aa2aa1e69050baa5783ba4fcce41e6c8'),('sites/all/modules/quiz/includes/views/quiz.views_default.inc','92f39ac41011715b437a6aa6088c3d3584f9ff99403b0bae1391e0a234f09f5f'),('sites/all/modules/quiz/question_types/long_answer/long_answer.classes.inc','77a52c4f4b3c37bf26efc7d9c5ad3a21c40b5d05676f0ebf13454ff397525425'),('sites/all/modules/quiz/question_types/long_answer/long_answer.test','11e2096775a7ab39f191e4d4193070effec60c43fa7763f9d0a903fa5d7aa01e'),('sites/all/modules/quiz/question_types/matching/matching.classes.inc','1d9bcf551dab90298b7f6c232ce9839b8785f2f65cd10ae79b5cfa979e138f4f'),('sites/all/modules/quiz/question_types/matching/matching.test','a3879cc747454869cddfd558f429b06601ea9991da0dde4f28e379945eab1050'),('sites/all/modules/quiz/question_types/multichoice/multichoice.classes.inc','2940181dcaa651d0802530ba92e524f25f91f6ad03c28d8061d49a9202dac478'),('sites/all/modules/quiz/question_types/multichoice/multichoice.test','1bb9ce588fb85301e6d11fefc192400c0d9438866e087a3c4fb9d9d68cbe8dfa'),('sites/all/modules/quiz/question_types/quiz_ddlines/quiz_ddlines.classes.inc','90ee974b0246ce7f8035fc62d33136b190bb6fbf819af6f78740575d311a5a25'),('sites/all/modules/quiz/question_types/quiz_directions/quiz_directions.classes.inc','f000e851f7388f1e0c1c662a3ca871d1d8f7b7dbdf0b1e93e0a37b5315645e0b'),('sites/all/modules/quiz/question_types/quiz_question/quiz_question.core.inc','df10addde3271ed088c274249ed8c050a0db8cd45fbca71fe48f7fae0f4b89d3'),('sites/all/modules/quiz/question_types/scale/scale.classes.inc','49659434073d685ec6656dd720e47f79e3410055b91e4f612a207927348f4874'),('sites/all/modules/quiz/question_types/scale/scale.test','d6f1a5d6bba2e0ca0b9fe253dc688aa32a99c6e272d7c1cedd4161c4e085f8d2'),('sites/all/modules/quiz/question_types/short_answer/short_answer.classes.inc','9cdd7b76e39cb78755be573e1d0b37076556f963c722c2b972bc46bf05f6ae2b'),('sites/all/modules/quiz/question_types/short_answer/short_answer.test','535b51ccf9842df4d4a77285a586ae1cf5bb34a1f41992857c1ca13bbb4fb819'),('sites/all/modules/quiz/question_types/truefalse/truefalse.classes.inc','59d25fc4cacac8713decb23a69e26be94a7f9e30df181a7b7c35f558023371a4'),('sites/all/modules/quiz/question_types/truefalse/truefalse.test','763a09662eaa14f51ffce738e7dc22c6a1ed056124f94a1225a3a51803bcb0d5'),('sites/all/modules/references/node_reference/node_reference.test','69f352e6eaddd471301a292b74ae8dd281b53283112b9823d9fec3a51fd1310a'),('sites/all/modules/references/views/references_handler_argument.inc','231031508b499e882e2b80e66c000c38577ed9a64975ea43d0b7441bff1a98d3'),('sites/all/modules/references/views/references_handler_relationship.inc','e67c5293c59c179005999d67465946793b99f92b5c9421bc5346eaf9dfea14db'),('sites/all/modules/references/views/references_plugin_display.inc','c0abab2ec372f0c5382ec2fc48593d635806be65e0e806874f095315b8a87896'),('sites/all/modules/references/views/references_plugin_row_fields.inc','2bff7a5f9a7357f8618b514a437807156d940ba76fceb34720d2a1de10a6b679'),('sites/all/modules/references/views/references_plugin_style.inc','b0dad018a03974bde55d6b20d50a33187a856d59b42cb57287cf3b5644428f4d'),('sites/all/modules/rules/includes/faces.inc','72352c57a12e740b80e235ee5fe245b91c5bca9938f4751670acc8e719626bcb'),('sites/all/modules/rules/includes/rules.core.inc','133fefa0850863e1f4d9ef13fc9c9211ec8976042961b3c088236662eaa9da0f'),('sites/all/modules/rules/includes/rules.event.inc','286bb8005acf30a6f4fdb23ff75843f70a82a99ac3e225c31290aad10e2a50ae'),('sites/all/modules/rules/includes/rules.plugins.inc','d760fa99514c4acdc6e7abf6d820a979615304ed677eb291955356115dcbe44c'),('sites/all/modules/rules/includes/rules.processor.inc','902d554987e019cfe9c8818a83a96db7e02c556efb4c63961ee9d091ee98c988'),('sites/all/modules/rules/includes/rules.state.inc','26cb9d0792e6313e0582816527eef3e1310a07c5e3065b2b26e3408dca500bf0'),('sites/all/modules/rules/modules/node.eval.inc','7873fe5eaa00b0f6b189bb6e4d43efe63d587009e05ae502c15076c63b931a6c'),('sites/all/modules/rules/modules/php.eval.inc','4d579f9d83912a1ff4e3e35b20a7792fb7e282d8d07c706e944ffbb6b20c42f6'),('sites/all/modules/rules/modules/rules_core.eval.inc','edf268c4e9a24d700ef08ca5cf8addc93a437d30cb0129aeb7aa93e76f8f855e'),('sites/all/modules/rules/modules/system.eval.inc','1076decc24a4779c7a582b446b9147d65ddd03cec530ee62809c86e49c62f736'),('sites/all/modules/rules/rules.features.inc','dc219fc6df253743cfe775503edffd6ba8b76fe9d8b549294242b0691cad0302'),('sites/all/modules/rules/tests/rules.test','61d6f9cfb2ff09eb595639a31dbd651de0606288d7b85d29089f564bc91ca516'),('sites/all/modules/rules/ui/ui.controller.inc','c0d16bd7340a766225865d942dcdad23aead4275e3f18b326e23f42f2313f30b'),('sites/all/modules/rules/ui/ui.core.inc','ba58ed06bf4c3471c5958c2072315e016ab563a74291b89666b868214b8b0725'),('sites/all/modules/rules/ui/ui.data.inc','4646714b3c18f527193308316313944a410f95c3cc849c8605d6dcf63ef035c1'),('sites/all/modules/rules/ui/ui.plugins.inc','d290f1ab6933f0a9189c5197c471d422d04d315b137079863ef746ed4ef673c4'),('sites/all/modules/services/includes/services.runtime.inc','3e36c25ce4885510dc81135bda75f7121ba2f6e8cdf556c34c730832991cac6a'),('sites/all/modules/services/plugins/export_ui/services_ctools_export_ui.class.php','3c9bb28b6713fb0bdde9d5b76ca7f059dcbdfe6873163f7c59e40ee81300d9ef'),('sites/all/modules/services/tests/functional/NoAuthEndpointTestRunner.test','c2563cd96d0345f6678683489e39a596ea4c63809b64c1c0e75110622ec0b6ab'),('sites/all/modules/services/tests/functional/ServicesAliasTests.test','888e9239d567775b348d6ae528cc11c5a3e7a9cad1fe95109cdd4824cdeaeba7'),('sites/all/modules/services/tests/functional/ServicesArgumentsTests.test','90aad776578d77b2158e8bb949a36eec7fd5bb0316ccb1663d1de939a47a8ff0'),('sites/all/modules/services/tests/functional/ServicesEndpointTests.test','7e11aaa489828373a3070976b8afe306beb6e9dcb39794f1eda3ee81077a165a'),('sites/all/modules/services/tests/functional/ServicesParserTests.test','aaccbaeeb28610fb5d8bbb6f29cae5c54382de37561f818fa461a4c97c032338'),('sites/all/modules/services/tests/functional/ServicesResourceCommentTests.test','b01a746620ad146fb8e46ac2bd933f87f76e6273ca355ff7b17149d23a558f62'),('sites/all/modules/services/tests/functional/ServicesResourceDisabledTests.test','2624c05b293b7b2c17d81afa1356269d31d51a53ae24e539ba34be905bb1c480'),('sites/all/modules/services/tests/functional/ServicesResourceFileTests.test','332ff471ad6011b52068aa4fc5aee98629c7759292ddbd4a92fe452e366df172'),('sites/all/modules/services/tests/functional/ServicesResourceNodeTests.test','072cdc125c55991b89aca5ac3b639779e22926c23280754105ce2abf08fd59ab'),('sites/all/modules/services/tests/functional/ServicesResourceSystemTests.test','4c7bed23294a4d07ebe5fec153e476e25905f8fd7bae7538b0a0daa27d102dac'),('sites/all/modules/services/tests/functional/ServicesResourceTaxonomyTests.test','fdf005ceeaaa9e9f86c79d4edaf4660434a344bd6c42af54e3bbadcd834ebf20'),('sites/all/modules/services/tests/functional/ServicesResourceUserTests.test','8baf6702ad5d38672109831db660a14a3617d2ff478b007e527c5f13767fda4f'),('sites/all/modules/services/tests/functional/ServicesSecurityTests.test','661ac86d86337b0cebe812ebd52ae65148d5c9c38c15d3984af67fe3780349a8'),('sites/all/modules/services/tests/functional/ServicesVersionTests.test','9931b0e921a7999c1d6bace48d93667919bd82f8bbecdfa5d7d5754909303f6c'),('sites/all/modules/services/tests/functional/ServicesXMLRPCTests.test','86c2a78c8be5be82639ebea7951ce025f7ae0e1499afe8f407923dee3a934e24'),('sites/all/modules/services/tests/services.test','c64854d76ceccc6f85c0a115d40db05b8846e47355991ecd89da3faac8919351'),('sites/all/modules/services/tests/ui/ServicesUITests.test','6ed160c052ed656c20851c9cb62b9144ff798362afac2546ed0c7fedf945c543'),('sites/all/modules/services/tests/unit/ServicesSpycLibraryTests.test','e9fbeac1f1dfb0a79eb57f4f49818dff4f9ebbd2d07ec7b59e8699d0eaeac601'),('sites/all/modules/signup/signup.test','7a0271682dda9c399c7888cb8e3bf6a10c504fff55dd3f4130f001aa7f37b5d5'),('sites/all/modules/signup/views/handlers/signup_handler_argument_signup_user_uid.inc','767acd3476e18d2cedb7e3e71c7673b41369d81a80afa51dfa2b1cca14b9da5f'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_edit_link.inc','1364d23ab22e84ed4e6524174fa62f71f119fb196a487a231916663b2bc545d9'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_node_link.inc','49ece202f268674ba6dbf00302ecbe23b27c832535324a4db0699d3a59305f3d'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_send_confirmation.inc','aa27b561ea63e112261d9acf68407ccda9fa7f57a49efe564056953fedf96269'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_status.inc','94c8f53f726ce5565f728cd3b1d371ad1df1558653bb5916e514d84fd775d5fc'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_attended.inc','742d635cc5e1c45d7eeb2e50121afbe44eea2d7004ef16736eb6328ccc2f51fd'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_email.inc','8a2aa029587f4bb38ed1c34b7983038480ee8bfc85b3064c652b6c32da9793bf'),('sites/all/modules/signup/views/handlers/signup_handler_field_signup_user_form_data.inc','97e06ac039349f0c509c3f480a4dc139a1a33c1ef2644cf3293e013f6448b26c'),('sites/all/modules/signup/views/handlers/signup_handler_filter_signup_disabled.inc','d11a4e60ad4053f5ec59779fa16e5684317ef6028f0d831e79e681e9d005c427'),('sites/all/modules/signup/views/handlers/signup_handler_filter_signup_status.inc','749736606460d4de9f1f9724b9c29daffd5758e6bc7af7b1b67aad3e0ad52839'),('sites/all/modules/signup/views/handlers/signup_handler_filter_signup_user_attended.inc','071de36cc1169b3feb70cad664fa986c88c497cb68432748e578244275743173'),('sites/all/modules/signup/views/handlers/signup_handler_filter_signup_user_authenticated.inc','92c4267198c4c5b253701c74ed9b553a671abd5006f7e673247eb4c3016da5da'),('sites/all/modules/signup/views/plugins/signup_plugin_access_user_signup_list.inc','bc1e8bc14bc281ec31eca028950d86844eba590bd61520b13d2d4cffecb1ecce'),('sites/all/modules/signup/views/plugins/signup_plugin_argument_validate_signup_status.inc','b9a301c11e6d381f6476daaf0cbcf75b15eb11c74a7045f24804b4c9d792cae6'),('sites/all/modules/strongarm/strongarm.admin.inc','5e50651c629ba2bdc71f73051cd876e91f76d523d6fd4ad1d6d66d1f092d3af4'),('sites/all/modules/strongarm/strongarm.install','d198563f5fcc7a1b4b9a98c1ed8439d48a6d7d10577cc966d3a55edd06a4a365'),('sites/all/modules/strongarm/strongarm.module','3e338f1099aff4e501ad99d76bb179aafcc086760d222bbc1bd89fef0bb1c8e5'),('sites/all/modules/taxonomy_menu/taxonomy_menu.batch.inc','e7cf6aa0476da11b29910a108faca5d636e4582340d789ebe9049f3e1f944a5d'),('sites/all/modules/taxonomy_menu/taxonomy_menu.database.inc','ecb8a8713bcb2ec2aec7062137e2bc51dc819bb695da608b03be7be5472902c2'),('sites/all/modules/taxonomy_menu/taxonomy_menu.install','b1b3b627fbc2c55f2dc004d62f2192c51884b4f2667cce63b37da53bb1c9c781'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','0ee1bc326987ffa350b04287e8e9a20821ad8d8ad2129bdb147a9392c7599705'),('sites/all/modules/taxonomy_menu/taxonomy_menu.test','3a99877ef3d1fb93e110e268ea52771054425ce075e3ad11511ab93bd5728fb6'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/ubercart/payment/uc_credit/tests/uc_credit.test','b242a019e8754c36a0a70746b989e375074cac6e6d40ac7467697d6fcb0ec68f'),('sites/all/modules/ubercart/payment/uc_cybersource/uc_cybersource.soap.inc','8f8b5a7a6aec227e4dd10b1d1966fe717b027ab9dbace3f57458d1ce8710d12e'),('sites/all/modules/ubercart/payment/uc_payment/tests/uc_payment.test','aa7b02c2909bbeae6656f518d9a43169d254902c901db8272a4799219ebb1177'),('sites/all/modules/ubercart/shipping/uc_quote/tests/uc_quote.test','a1f73ed46d741e9acac82d0c52e32e450dcbd1ef39e92465acc0398a18319636'),('sites/all/modules/ubercart/uc_cart/tests/uc_cart.test','fb23a2ad716df4795a2bce553f684fbef2a39b913584df1c33a78a2b3d9ae77b'),('sites/all/modules/ubercart/uc_cart/uc_cart.controller.inc','9efea79c18af323b4bcda339ebde684122f9aca2acaf403f9eeb134f7a11f70e'),('sites/all/modules/ubercart/uc_cart/views/uc_cart_handler_field_cart_user.inc','1cb20117f6b0058323526914d893c6c7309207d5969327a1f8de9fc00fc9f722'),('sites/all/modules/ubercart/uc_order/tests/uc_order.test','5e03170dc2d77d889a1d93cfdf7d2e6431bc4470f24c1e241ee903380384aba3'),('sites/all/modules/ubercart/uc_order/uc_order.controller.inc','bcd06b87a677b222cdcf1624a16e9aaa6b93d1c78a5a6fb95f2d231d7917efac'),('sites/all/modules/ubercart/uc_order/uc_order.info.inc','a46d6d1258fe2a69857653ed66747997ce23e0df7de2ae9af758dbe114696950'),('sites/all/modules/ubercart/uc_order/uc_order.module','e39b809194222acfacd79f9cac790ddf3b51a73acb7909858c5d119c71885ba2'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_money_amount.inc','78038d9796b85823cd5ec38595540b3ce46ba36c6cd3081a9c345fe22e5160f4'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_money_total.inc','3e39064069f5b63ed0537be0d132a55411b6aa07866a2dbc97011c4cef758185'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_actions.inc','bab4ae00390d0a17e813a1f0cd9e16285f5d19ad88751032b78d679d5e9a1751'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_cc_data.inc','cb7f0a1e2e9f23af135d8eb8437bc93a520a1e7b82c2266319bb062332af0c1b'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_cost.inc','ae7b51fc853f0e5529d111f70e76d7c25990cbe4b14923de9f61325b659a75d3'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_fullname.inc','128131191ee79259a6a30b877ec1b3f9cc7202d3fadee39c66c0ca8788f2f80b'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_id.inc','5df71956d912ef357b1d072e5f8dc33f2d7c8d1721314df2ddadf3116614c6b6'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_status.inc','ad172a2cd4a855655122038f5181b5ca8400cc48f115facedecb78b0bd533219'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_order_weight_total.inc','b9c5c6b198d1a9a1068e69b19e14152eab0dd30bde579d5564edf8178b41c33c'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_payment_method.inc','f6469781f73297a1dd840b218e535c874ae06de61b62df6ec0281414feefde6e'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_field_weight_total.inc','a5670da483bcd9180afb007b8d2164f22c5d5ef6d41daac3ec4d663bcca7b067'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_country.inc','b62c3c73912e616f28f27a33c82e91af9010a028303e34dd4bf27190cfa6d665'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_order_status.inc','a90dfda329fb672f94ff23bfc3f2723516efd7130cb42148cfbeedec9be52a36'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_payment_method.inc','1d63a728bfd2beae5b6c891c9d692143be3591984b7f189f0f75415a0e208d3c'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_total.inc','acc9140209cf90e53f003bbf8345d17c706cc085f88333893973cde52d13c1a5'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_filter_zone.inc','dde85276099ad793edaa755002bc5b1eea7bdceca1bde97d32124e1b1b231e30'),('sites/all/modules/ubercart/uc_order/views/uc_order_handler_sort_total.inc','cb7ad78d00697fbd965dce047b74c2193d2aab99d5f890f2f30363dc70ab404f'),('sites/all/modules/ubercart/uc_order/views/uc_order_plugin_argument_validate_user_perm.inc','5e9cd6329fb8dd988c197e936752b2069521c6d9b66066c1593ab0ae24662c6b'),('sites/all/modules/ubercart/uc_order/views/uc_order_plugin_row_invoice.inc','a30ff0f3b7813b53949f94cda669acdd99d12dedc2e2405bcb3a2bb110953a31'),('sites/all/modules/ubercart/uc_product/tests/uc_product.test','cc94605d769352eb1610050b306e4154f91dd8e8e2b9e4751860369576bec6a6'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_addtocart.inc','a4d50c45d0a2d56af8f854caa8e0ce99de5404ce671d0ea7fda115d6810432d1'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_buyitnow.inc','0d38a0ec505f750f108ca648080a9aa1ac194de07edaab58a033abb6af4ef761'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_display_price.inc','9cf8086e8b764bd142ee49b9e9ce0d1a440ab6d2c4a32079f796e1665379cf79'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_length.inc','3961108869dcba5356b80e1e64c18a9fd8679cba1e107ef55a9cb6002125f91d'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_price.inc','7969e9aacf5781d0b82299ad80327fb3cd16f681d8ba019cd6afe50ef48eb5c8'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_field_weight.inc','8c48147bf34466b312574b31c6ba150d8eb7b3f062e31c64abe13aeb81ea4dd6'),('sites/all/modules/ubercart/uc_product/views/uc_product_handler_filter_product.inc','36d386b32fee3ed33afb24ad6a39c3957ede21c69be48d018f30fbea9826f1ae'),('sites/all/modules/ubercart/uc_store/classes/address.inc','cc2ce636f6033c6633478032cf7ab6542ea2630f91dc6ec004a109482271fa3b'),('sites/all/modules/ubercart/uc_store/classes/encrypt.inc','a7bd4a19018746edf4cb3f24e676fef36e698eaff0ed10661979329e999dc109'),('sites/all/modules/ubercart/uc_store/classes/mail.inc','69862d4cedf55b04e80eb8955453e2c1372253e4fcaa14a98c0357aa7d8ad2ad'),('sites/all/modules/ubercart/uc_store/tests/uc_address.test','f8730e2c260951e50eedc744c38a05e70cf75721817642d8813d9378e6a61b46'),('sites/all/modules/ubercart/uc_store/tests/uc_ajax.test','13f25dfd74125e676f4c8e13f7200fd56cfa564ef53e88494b11a080eec565c4'),('sites/all/modules/ubercart/uc_store/tests/uc_store.test','fc8a8ef93f1488cfff3bc7adf34e5a77705450285c78a1f5303e1a95ad699991'),('sites/all/modules/uuid/uuid.test','a9aeb97b09bb232fcf3b93d804b290a433741af191e7f2fd5b5a111610de6b9e'),('sites/all/modules/variable/includes/forum.variable.inc','84ab5992d648c704b2ae6d680cf8e02d3150cccd8939170f7e8fd82ac054b516'),('sites/all/modules/variable/includes/locale.variable.inc','27173d9c9e526a8ba88c5f48bf516aaac59ad932b64ef654621bc11f1ccd9f7a'),('sites/all/modules/variable/includes/menu.variable.inc','bc776840ee32060a9fda616ca154d3fd315461fbe07ce822d7969b79fccd8160'),('sites/all/modules/variable/includes/node.variable.inc','596064101f8fbd3affdb61ca1240354ce0b51778601a8b02c021a1150bbf4e06'),('sites/all/modules/variable/includes/system.variable.inc','909bae0f1e3a4d85c32c385a92a58c559576fb60fd13a0e4f71127eee27afd3e'),('sites/all/modules/variable/includes/taxonomy.variable.inc','7792f07f8ea088cd8c3350e16f4cacef262c319c2e605dd911f17999a872f09e'),('sites/all/modules/variable/includes/translation.variable.inc','3e4e82f779986bfb32987d6b27bdab9f907ba5e18841847f138a20c42cf725d4'),('sites/all/modules/variable/includes/user.variable.inc','b80094c1db0037f396f197bdd70c19e87afe76f4378c5c6089c4199af3bcb03a'),('sites/all/modules/variable/variable.test','a6614814c24aee5ae1d2f2f8c23c08138466c41a82e57ee670e070d7cdd6e4b2'),('sites/all/modules/variable/variable_realm/variable_realm.class.inc','ba523237a0e0116b3fdb3c86390fd2adc51b1cc50bab25d42995cd40a5b582bf'),('sites/all/modules/variable/variable_realm/variable_realm_union.class.inc','e9597edd9bac66e6b7f078cee37c3ced317b2768821cdac77b8d4c2f68b2adcc'),('sites/all/modules/variable/variable_store/variable_store.class.inc','16870479d9464f0453d573e1384c808bae8319944fdf466e67ebdb53f6f8f54c'),('sites/all/modules/variable/variable_store/variable_store.test','1546243a6be757de0fd7f9fe1428152fb0e53a91453c53c72aebb06f6cef4311'),('sites/all/modules/variable/variable_views/includes/views_handler_field_variable_title.inc','00dfa83784a2fd4804831aa809c3fcb001330386280d0bb4357bbaeb1492424f'),('sites/all/modules/variable/variable_views/includes/views_handler_field_variable_value.inc','161088e587bd81de8d404b6422d39346f33af09e15870f48fc2ea9843db56941'),('sites/all/modules/variable/variable_views/includes/views_plugin_argument_default_variable.inc','0f92ac0caf03b642eb3bd535d4b0381800fdd3dace30b402d2d58bf641a3b663'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','cd1d10d86d6478f2e09627e584bed61c2b56fbe04ab145f21fff1db57517141f'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','29dc7c5efbed6cce2a1febdca54bf32b68bc86ea44b1aaca20d317afb0c56071'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','1f0914b41bbe43d4aed077ac921aab48c0ed1ebd47842bcb54e830435d6f9933'),('sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','91729a36053b19b9b0dc19e15283145aa52e2ef256dca6fbc137f4373d5a5d21'),('sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','2fb49eab8d79cee51c0f21bd94b4c933b8ca2b0adbd3e5895811f22bfb90a99e'),('sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','9c760e3b195d4a41b3bb60c51a19ad776283ca93b71e6b06e450295b9574308c'),('sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','2e2e63ca485eb5bee8a7e84105a67862d2c6837f51c139d5c8022b25bb779ca5'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','e7865515d7fdfa8ebcda036fe002cd8081ce7042962b6952869227a57a74e8cb'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','5fcf10588197e194f205589755001d3c7ff96e8139ea8f1adc084fd3e8a7cb7c'),('sites/all/modules/views_bulk_operations/plugins/operation_types/action.class.php','de329cc0601cb107b315b9f415e292803ba929951ae7250cd712c75330a0404e'),('sites/all/modules/views_bulk_operations/plugins/operation_types/base.class.php','bbbe7c4c19b2ab588517138c378cde40b395762a20626bf8359b5be8650f8681'),('sites/all/modules/views_bulk_operations/plugins/operation_types/rules_component.class.php','4213d0ae15822b69b848ca5421b5455c60510f06b7d8984472163d368bb6ac93'),('sites/all/modules/views_bulk_operations/views/views_bulk_operations_handler_field_operations.inc','7c69ea2bc3ef7682069aacff95c90d98b87b71d1e0aeb53872a4f96a9f6e29fa'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','628b99856ed217132afe0cb416028d9e109789a6fef52b8bb2d7a0f61db0def0'),('sites/all/modules/views_field_view/tests/views_field_view.test','cbc84f9b875e681a61f6401abf0e97b95bbeb55fd6def4800cdca3f62617ac91'),('sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','31d1f7bf2d427a5d04161816a995efb72816d1583f8d69af3a244fa68a6ae0b9'),('sites/all/modules/views_horizontal_slider/views_horizontal_slider.views.inc','667cd3651d74a5a2b10f6c99964cf3f5223e5c61f8cdb4fb4b4116ae32a0722c'),('sites/all/modules/views_horizontal_slider/views_horizontal_slider_style_plugin.inc','805c6a74306ba0f4c5180b04da867d78268e57e7427cf5b227167762d02e0bb4'),('sites/all/modules/views_load_more/views_load_more.views.inc','22764ef1ea6662153e58029b170e964b9339f3374af61e6b43a20080f8eaff0f'),('sites/all/modules/views_load_more/views_plugin_pager_load_more.inc','f6e69f1f5e062dc38887b82b61d37f6b194b6e082b0826a8df8256fbdbd0a5bb'),('sites/all/modules/views_metro/views_metro.module','9bcfb7c9314bbdd428f542b3ed962fe3b7a5bfa798479bc296444f183b5a1c39'),('sites/all/modules/views_metro/views_metro_plugin_style_metro.inc','564e23daf633de1c1212b69da7d8ce820ddc7bb01270c25d629631be44bd2f95'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','ebece9df829a44c71f7043d3b972f706d9f05d6d0f548b03c3c0eec39c2902d1'),('sites/all/modules/webform/includes/exporters/webform_exporter.inc','d0ecbf7c7b218e10442b6bf1ef32ac4a67862b0cb1c37f10936dbf69b55c75a1'),('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','deb820b134e34386daa833b78aaaacdd4bc78fcb1832a452145c0851909e1bb4'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),('sites/all/modules/webform/includes/webform.webformconditionals.inc','a9097667c37e229b06f6000d3a3e76f6bb850dd28a4d2ce64d6b8815920e5f2b'),('sites/all/modules/webform/tests/WebformComponentsTestCase.test','c049c524ca26457fc0ab02580feeb65ee530a8c6ee929117bfb1588230ea0b2a'),('sites/all/modules/webform/tests/WebformConditionalsTestCase.test','70d4b6d2d29cca00179ed5e12f902c6e5c4d8aabf2f08d0bb6624a117233d2de'),('sites/all/modules/webform/tests/WebformGeneralTestCase.test','4517422697e246f32906bdf73ee4e8351eb1331c7e4f7d662e17df03b51f53d7'),('sites/all/modules/webform/tests/WebformPermissionsTestCase.test','23f0c6b6489d78e13956e0b4d6e0728bf7e461b5b585d1f21907ff24ebdcb3ee'),('sites/all/modules/webform/tests/WebformSubmissionTestCase.test','896ac04995ad9f634d7457ec35424b4be64438f9375dece837ccaa35d7b48310'),('sites/all/modules/webform/tests/WebformTestCase.test','7722ef29dd244fea0468140de978427bc7e73a41303bbeff2c5eb305a68a616c'),('sites/all/modules/webform/views/webform.views.inc','0afd6ebbcb717b1f21f39347bad1ccdc23424d74a7e53e5e2119f888597ba3ea'),('sites/all/modules/webform/views/webform_handler_area_result_pager.inc','23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),('sites/all/modules/webform/views/webform_handler_field_form_body.inc','60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),('sites/all/modules/webform/views/webform_handler_field_is_draft.inc','1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),('sites/all/modules/webform/views/webform_handler_field_submission_count.inc','1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),('sites/all/modules/webform/views/webform_handler_field_submission_data.inc','eac20f1d2b77d98e1c64e357ac676bb2941f65f6f3521f314e5923f7e372bf45'),('sites/all/modules/webform/views/webform_handler_field_submission_link.inc','faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),('sites/all/modules/webform/views/webform_handler_field_webform_status.inc','c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),('sites/all/modules/webform/views/webform_handler_numeric_data.inc','c5a8fbfa2c74e1db9a4691714cb5c1c6693f2d4350c8a2ea27b4840414b1aa79'),('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'access user profiles','user'),(1,'search content','search'),(1,'subscribe newsletters','newsletter'),(1,'use advanced search','search'),(1,'use text format filtered_html','filter'),(2,'access comments','comment'),(2,'access content','node'),(2,'access course','course'),(2,'access user profiles','user'),(2,'edit webform components','webform'),(2,'post comments','comment'),(2,'search content','search'),(2,'skip comment approval','comment'),(2,'subscribe newsletters','newsletter'),(2,'use advanced search','search'),(2,'use text format filtered_html','filter'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access ajax quiz','ajax_quiz'),(3,'access all certificates','certificate'),(3,'access all course reports','course'),(3,'access all views','views'),(3,'access all webform results','webform'),(3,'access author stats','quiz_stats'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access course','course'),(3,'access course reports','course'),(3,'access dashboard','dashboard'),(3,'access EPUB version','print_epub'),(3,'access newsletter statistics','newsletter'),(3,'access overlay','overlay'),(3,'access own webform results','webform'),(3,'access own webform submissions','webform'),(3,'access PDF version','print_pdf'),(3,'access print','print'),(3,'access printer-friendly version','book'),(3,'access quiz','quiz'),(3,'access rules debug','rules'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access site-wide contact form','contact'),(3,'access statistics','statistics'),(3,'access system charts','system_charts'),(3,'access toolbar','toolbar'),(3,'access user contact forms','contact'),(3,'access user profiles','user'),(3,'access user stats','quiz_stats'),(3,'add content to books','book'),(3,'administer actions','system'),(3,'administer advanced pane settings','panels'),(3,'administer all signups','signup'),(3,'administer banners','banners'),(3,'administer block classes','block_class'),(3,'administer blockify','blockify'),(3,'administer blocks','block'),(3,'administer book outlines','book'),(3,'administer certificates','certificate'),(3,'administer chart','chart'),(3,'administer comments','comment'),(3,'administer contact forms','contact'),(3,'administer content translations','i18n_node'),(3,'administer content types','node'),(3,'administer contexts','context_ui'),(3,'administer course','course'),(3,'administer credit cards','uc_credit'),(3,'administer ctools access ruleset','ctools_access_ruleset'),(3,'administer custom content','ctools_custom_content'),(3,'administer date tools','date_tools'),(3,'administer features','features'),(3,'administer field collections','field_collection'),(3,'administer fieldgroups','field_group'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer flexslider','flexslider'),(3,'administer follow','follow'),(3,'administer forums','forum'),(3,'administer image styles','image'),(3,'administer imce','imce'),(3,'administer languages','locale'),(3,'administer menu','menu'),(3,'administer menu attributes','menu_attributes'),(3,'administer menu_trail_by_path','menu_trail_by_path'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer newsletters','newsletter'),(3,'administer nodes','node'),(3,'administer order workflow','uc_order'),(3,'administer own product features','uc_product'),(3,'administer page manager','page_manager'),(3,'administer pane access','panels'),(3,'administer panels display styles','panels'),(3,'administer panels layouts','panels'),(3,'administer panels pane styles','panels'),(3,'administer panels region styles','panels'),(3,'administer panels styles','panels'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer print','print'),(3,'administer product classes','uc_product'),(3,'administer product features','uc_product'),(3,'administer products','uc_product'),(3,'administer quicktabs','quicktabs'),(3,'administer quiz configuration','quiz'),(3,'administer rules','rules'),(3,'administer search','search'),(3,'administer services','services'),(3,'administer shortcuts','shortcut'),(3,'administer signups for own content','signup'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer statistics','statistics'),(3,'administer store','uc_store'),(3,'administer stylizer','stylizer'),(3,'administer system charts','system_charts'),(3,'administer taxonomy','taxonomy'),(3,'administer tb_megamenu','tb_megamenu'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer uuid','uuid'),(3,'administer views','views'),(3,'assign any action to quiz events','quiz'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'bypass rules access','rules'),(3,'cancel account','user'),(3,'cancel own signups','signup'),(3,'cancel own vote','poll'),(3,'cancel signups','signup'),(3,'change follow link titles','follow'),(3,'change layouts in place editing','panels'),(3,'change own username','user'),(3,'configure quotes','uc_quote'),(3,'context ajax block access','context_ui'),(3,'create article content','node'),(3,'create new books','book'),(3,'create new service','socialfield'),(3,'create orders','uc_order'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete all webform submissions','webform'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete any quiz results','quiz'),(3,'delete any service','socialfield'),(3,'delete orders','uc_order'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete own webform submissions','webform'),(3,'delete payments','uc_payment'),(3,'delete results for own quiz','quiz'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit all webform submissions','webform'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit any service','socialfield'),(3,'edit any user follow links','follow'),(3,'Edit global presets','scale'),(3,'edit orders','uc_order'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own follow links','follow'),(3,'edit own page content','node'),(3,'edit own signups','signup'),(3,'edit own webform submissions','webform'),(3,'edit question titles','quiz'),(3,'edit site follow links','follow'),(3,'edit terms in 1','taxonomy'),(3,'email all signed up users','signup'),(3,'email users signed up for own content','signup'),(3,'execute comment_publish_action','actions_permissions'),(3,'execute comment_save_action','actions_permissions'),(3,'execute comment_unpublish_action','actions_permissions'),(3,'execute comment_unpublish_by_keyword_action','actions_permissions'),(3,'execute node_assign_owner_action','actions_permissions'),(3,'execute node_make_sticky_action','actions_permissions'),(3,'execute node_make_unsticky_action','actions_permissions'),(3,'execute node_promote_action','actions_permissions'),(3,'execute node_publish_action','actions_permissions'),(3,'execute node_save_action','actions_permissions'),(3,'execute node_unpromote_action','actions_permissions'),(3,'execute node_unpublish_action','actions_permissions'),(3,'execute node_unpublish_by_keyword_action','actions_permissions'),(3,'execute system_block_ip_action','actions_permissions'),(3,'execute system_goto_action','actions_permissions'),(3,'execute system_message_action','actions_permissions'),(3,'execute system_send_email_action','actions_permissions'),(3,'execute user_block_user_action','actions_permissions'),(3,'flush caches','admin_menu'),(3,'generate features','features'),(3,'get a system variable','services'),(3,'get any binary files','services'),(3,'get own binary files','services'),(3,'inspect all votes','poll'),(3,'manage features','features'),(3,'manual payments','uc_payment'),(3,'manual quiz revisioning','quiz'),(3,'notify of path changes','pathauto'),(3,'perform unlimited index queries','services'),(3,'post comments','comment'),(3,'process credit cards','uc_credit'),(3,'rename features','features'),(3,'revert revisions','node'),(3,'save file information','services'),(3,'score any quiz','quiz'),(3,'score own quiz','quiz'),(3,'score taken quiz answer','quiz'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'set a system variable','services'),(3,'sign up for content','signup'),(3,'skip comment approval','comment'),(3,'subscribe newsletters','newsletter'),(3,'switch shortcut sets','shortcut'),(3,'translate admin strings','i18n_string'),(3,'translate content','translation'),(3,'translate interface','locale'),(3,'translate user-defined strings','i18n_string'),(3,'unconditionally delete orders','uc_order'),(3,'use advanced search','search'),(3,'use bulk exporter','bulk_export'),(3,'use ipe with page manager','panels'),(3,'use page manager','page_manager'),(3,'use panels caching features','panels'),(3,'use panels dashboard','panels'),(3,'use panels in place editing','panels'),(3,'use panels locks','panels'),(3,'use PHP for settings','php'),(3,'use regex for short answer','short_answer'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view advanced help index','advanced_help'),(3,'view advanced help popup','advanced_help'),(3,'view advanced help topic','advanced_help'),(3,'view all orders','uc_order'),(3,'view all signups','signup'),(3,'view all user certificates','certificate'),(3,'view any quiz question correct response','quiz'),(3,'view any quiz results','quiz'),(3,'view cc details','uc_credit'),(3,'view customers','uc_order'),(3,'view date repeats','date_repeat_field'),(3,'view own invoices','uc_order'),(3,'view own orders','uc_order'),(3,'view own quiz results','quiz'),(3,'view own unpublished content','node'),(3,'view pane admin links','panels'),(3,'view payments','uc_payment'),(3,'view post access counter','statistics'),(3,'view quiz question outside of a quiz','quiz'),(3,'view reports','uc_store'),(3,'view results for own quiz','quiz'),(3,'view revisions','node'),(3,'view services','socialfield'),(3,'view the administration theme','system'),(3,'vote on polls','poll');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_config`
--

DROP TABLE IF EXISTS `rules_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The internal identifier for any configuration.',
  `name` varchar(64) NOT NULL COMMENT 'The name of the configuration.',
  `label` varchar(255) NOT NULL DEFAULT 'unlabeled' COMMENT 'The label of the configuration.',
  `plugin` varchar(127) NOT NULL COMMENT 'The name of the plugin of this configuration.',
  `active` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the configuration is active. Usage depends on how the using module makes use of it.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Weight of the configuration. Usage depends on how the using module makes use of it.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The exportable status of the entity.',
  `dirty` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Dirty configurations fail the integrity check, e.g. due to missing dependencies.',
  `module` varchar(255) DEFAULT NULL COMMENT 'The name of the providing module if the entity has been defined in code.',
  `owner` varchar(255) NOT NULL DEFAULT 'rules' COMMENT 'The name of the module via which the rule has been configured.',
  `access_exposed` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether to use a permission to control access for using components.',
  `data` longblob COMMENT 'Everything else, serialized.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `plugin` (`plugin`,`active`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_config`
--

LOCK TABLES `rules_config` WRITE;
/*!40000 ALTER TABLE `rules_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_config` VALUES (1,'rules_enroll_user_in_ordered_courses_when_complete','Enroll user in ordered courses when order marked as complete','reaction rule',1,0,2,0,'course_uc','rules',0,'O:17:\"RulesReactionRule\":17:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"1\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:50:\"rules_enroll_user_in_ordered_courses_when_complete\";s:5:\"label\";s:60:\"Enroll user in ordered courses when order marked as complete\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"status\";i:2;s:6:\"module\";s:9:\"course_uc\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:18:\"#_needs_processing\";b:1;s:12:\"order:select\";s:5:\"order\";}s:14:\"\0*\0elementName\";s:40:\"course_uc_enroll_user_in_ordered_courses\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:1:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:25;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:18:\"#_needs_processing\";b:1;s:11:\"data:select\";s:26:\"updated-order:order-status\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:9:\"completed\";}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:22:\"uc_order_status_update\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(2,'uc_cart_maximum_product_qty','Maximum product quantity','reaction rule',0,0,2,0,'uc_cart','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"2\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:27:\"uc_cart_maximum_product_qty\";s:5:\"label\";s:24:\"Maximum product quantity\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:0;s:6:\"status\";i:2;s:6:\"module\";s:7:\"uc_cart\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:2:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:16:\"uc-cart-item:qty\";s:5:\"value\";s:2:\"10\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:7:\"message\";s:75:\"You are only allowed to order a maximum of 10 of [uc-cart-item:node:title].\";s:4:\"type\";s:7:\"warning\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:14:\"drupal_message\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:1:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:37;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:16:\"uc-cart-item:qty\";s:2:\"op\";s:1:\">\";s:5:\"value\";s:2:\"10\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:20:\"uc_cart_item_presave\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(3,'uc_checkout_customer_notification','E-mail customer checkout notification','reaction rule',1,0,2,0,'uc_cart','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"3\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:33:\"uc_checkout_customer_notification\";s:5:\"label\";s:37:\"E-mail customer checkout notification\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:7:\"uc_cart\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:7:{s:12:\"order:select\";s:5:\"order\";s:4:\"from\";s:31:\"Edustation <you@yourdomain.com>\";s:9:\"addresses\";s:13:\"[order:email]\";s:7:\"subject\";s:26:\"Your Order at [store:name]\";s:8:\"template\";s:8:\"customer\";s:4:\"view\";s:13:\"checkout-mail\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:22:\"uc_order_email_invoice\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:20:\"uc_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(4,'uc_checkout_admin_notification','E-mail admin checkout notification','reaction rule',1,0,2,0,'uc_cart','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"4\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:30:\"uc_checkout_admin_notification\";s:5:\"label\";s:34:\"E-mail admin checkout notification\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:7:\"uc_cart\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:7:{s:12:\"order:select\";s:5:\"order\";s:4:\"from\";s:31:\"Edustation <you@yourdomain.com>\";s:9:\"addresses\";s:18:\"you@yourdomain.com\";s:7:\"subject\";s:25:\"New Order at [store:name]\";s:8:\"template\";s:5:\"admin\";s:4:\"view\";s:10:\"admin-mail\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:22:\"uc_order_email_invoice\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:20:\"uc_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(5,'uc_order_update_email_customer','E-mail an order update notification','reaction rule',1,0,2,0,'uc_order','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"5\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:30:\"uc_order_update_email_customer\";s:5:\"label\";s:35:\"E-mail an order update notification\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:8:\"uc_order\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:7:{s:12:\"order:select\";s:5:\"order\";s:4:\"from\";s:31:\"Edustation <you@yourdomain.com>\";s:9:\"addresses\";s:13:\"[order:email]\";s:7:\"subject\";s:34:\"Order #[order:order-number] Update\";s:7:\"message\";s:322:\"[order:first-name] [order:last-name],\n\nYour order number [order:link] at [store:name] has been updated.\n\nOrder status: [order:order-status]\n\nOrder comment:\n[order:last-comment]\n\nBrowse to the following page to login to your account and view your order details:\n[site:login-link]\n\n\nThanks again,\n\n[store:name]\n[site:slogan]\";s:6:\"format\";s:13:\"filtered_html\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:14:\"uc_order_email\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:1:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:31;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:18:\"order:order-status\";s:5:\"value\";s:11:\"in_checkout\";s:18:\"#_needs_processing\";b:1;s:2:\"op\";s:2:\"==\";}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:1;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:28:\"uc_order_status_email_update\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(6,'uc_payment_received','Update order status on full payment','reaction rule',1,0,2,0,'uc_payment','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"6\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:19:\"uc_payment_received\";s:5:\"label\";s:35:\"Update order status on full payment\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:12:\"order:select\";s:5:\"order\";s:12:\"order_status\";s:16:\"payment_received\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:22:\"uc_order_update_status\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:2:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:27;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:12:\"order:select\";s:5:\"order\";s:18:\"balance_comparison\";s:10:\"less_equal\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:34:\"uc_payment_condition_order_balance\";s:9:\"\0*\0negate\";b:0;}i:1;O:7:\"RulesOr\":8:{s:9:\"\0*\0parent\";r:27;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:2:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:45;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:12:\"order:select\";s:5:\"order\";s:11:\"order_state\";s:11:\"in_checkout\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:30:\"uc_order_condition_order_state\";s:9:\"\0*\0negate\";b:0;}i:1;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:45;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:12:\"order:select\";s:5:\"order\";s:11:\"order_state\";s:13:\"post_checkout\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:30:\"uc_order_condition_order_state\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:18:\"uc_payment_entered\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(7,'uc_checkout_complete_paid','Complete non-shippable order after payment received','reaction rule',1,0,2,0,'uc_payment','rules',0,'O:17:\"RulesReactionRule\":18:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"7\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:25:\"uc_checkout_complete_paid\";s:5:\"label\";s:51:\"Complete non-shippable order after payment received\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:12:\"order:select\";s:5:\"order\";s:12:\"order_status\";s:9:\"completed\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:22:\"uc_order_update_status\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:2:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:27;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:26:\"updated_order:order-status\";s:5:\"value\";s:16:\"payment_received\";s:18:\"#_needs_processing\";b:1;s:2:\"op\";s:2:\"==\";}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}i:1;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:27;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:12:\"order:select\";s:13:\"updated_order\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:31:\"uc_order_condition_is_shippable\";s:9:\"\0*\0negate\";b:1;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:22:\"uc_order_status_update\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(8,'uc_payment_method_free_order','Free order conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"8\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:28:\"uc_payment_method_free_order\";s:5:\"label\";s:21:\"Free order conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(9,'uc_payment_method_paypal_wps','PayPal Website Payments Standard conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"9\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:28:\"uc_payment_method_paypal_wps\";s:5:\"label\";s:43:\"PayPal Website Payments Standard conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(10,'uc_payment_method_paypal_ec','PayPal Express Checkout conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"10\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:27:\"uc_payment_method_paypal_ec\";s:5:\"label\";s:34:\"PayPal Express Checkout conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(11,'uc_payment_method_cod','COD conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"11\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:21:\"uc_payment_method_cod\";s:5:\"label\";s:14:\"COD conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(12,'uc_payment_method_check','Check conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"12\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:23:\"uc_payment_method_check\";s:5:\"label\";s:16:\"Check conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(13,'uc_payment_method_credit','Credit card conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"13\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:24:\"uc_payment_method_credit\";s:5:\"label\";s:22:\"Credit card conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(14,'uc_payment_method_2checkout','2Checkout conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"14\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:27:\"uc_payment_method_2checkout\";s:5:\"label\";s:20:\"2Checkout conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}'),(15,'uc_payment_method_other','Other conditions','and',1,0,2,0,'uc_payment','rules',0,'O:8:\"RulesAnd\":15:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"15\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:23:\"uc_payment_method_other\";s:5:\"label\";s:16:\"Other conditions\";s:6:\"plugin\";s:3:\"and\";s:6:\"status\";i:2;s:6:\"module\";s:10:\"uc_payment\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:1:{s:9:\"variables\";a:1:{s:5:\"order\";a:2:{s:4:\"type\";s:8:\"uc_order\";s:5:\"label\";s:5:\"Order\";}}}s:9:\"\0*\0negate\";b:0;}');
/*!40000 ALTER TABLE `rules_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_dependencies`
--

DROP TABLE IF EXISTS `rules_dependencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_dependencies` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `module` varchar(255) NOT NULL COMMENT 'The name of the module that is required for the configuration.',
  PRIMARY KEY (`id`,`module`),
  KEY `module` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_dependencies`
--

LOCK TABLES `rules_dependencies` WRITE;
/*!40000 ALTER TABLE `rules_dependencies` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_dependencies` VALUES (1,'course_uc'),(1,'rules'),(1,'uc_order');
/*!40000 ALTER TABLE `rules_dependencies` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_tags`
--

DROP TABLE IF EXISTS `rules_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_tags` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `tag` varchar(255) NOT NULL COMMENT 'The tag string associated with this configuration',
  PRIMARY KEY (`id`,`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_tags`
--

LOCK TABLES `rules_tags` WRITE;
/*!40000 ALTER TABLE `rules_tags` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `rules_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_trigger`
--

DROP TABLE IF EXISTS `rules_trigger`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_trigger` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `event` varchar(127) NOT NULL DEFAULT '' COMMENT 'The name of the event on which the configuration should be triggered.',
  PRIMARY KEY (`id`,`event`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_trigger`
--

LOCK TABLES `rules_trigger` WRITE;
/*!40000 ALTER TABLE `rules_trigger` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_trigger` VALUES (1,'uc_order_status_update'),(2,'uc_cart_item_presave'),(3,'uc_checkout_complete'),(4,'uc_checkout_complete'),(5,'uc_order_status_email_update'),(6,'uc_payment_entered'),(7,'uc_order_status_update');
/*!40000 ALTER TABLE `rules_trigger` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' welcome to university nulla interdum malesuada lacinia praesent id ligula non sem semper aliquet mauris in quam viverra neque tristique tincidunt vestibulum interdum semper arcu vel tincidunt sem accumsan ut integer est leo fringilla sed est id malesuada ornare magna pellentesque feugiat ultrices nisi a hendrerit libero egestas non proin a porta leo mauris neque justo ornare vel ligula efficitur dignissim sollicitudin leo fusce eget nisi pulvinar arcu aliquam cursus nec et leo suspendisse eget faucibus justo morbi consectetur justo massa sed feugiat leo rutrum interdum duis lobortis leo et neque dapibus ante venenatis nullam et accumsan diam aliquam vel tortor ipsum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut  ',0),(2,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(3,'node',' the teacher s day excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo  h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo  ',0),(4,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(5,'node',' proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda proin pretium nequ eget turco euismod ornare omra furato suda  ',0),(6,'node',' suspendisse potenti curabitur dapibus vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur  ',0),(7,'node',' suspendisse potenti curabitur dapibus vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur vivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficiturvivamus ante libero porttitor nec purus a viverra semper elit morbi et blandit ex integer nec felis efficitur nam at tortor in tellus log in or register to post comments permalink submitted by admin on mon 12292014 49 cras non dolor aliquam eu nunc maecenas tempus tellus eget condimentum rhoncus sem quam semper libero sit amet adipiscing sem neque sed ipsum curabitur turpis phasellus leo dolor tempus non auctor et hendrerit quis nisi integer tincidunt pellentesque ut neque donec orci lectus aliquam ut faucibus non euismod id nulla nam commodo suscipit quam quisque id odio praesent ut ligula non mi log in or register to post comments permalink submitted by admin on wed 1072015 2358 cras non dolor aliquam eu nunc maecenas tempus tellus eget condimentum rhoncus sem quam semper libero sit amet adipiscing sem neque sed ipsum curabitur turpis phasellus leo dolor tempus non auctor et hendrerit quis nisi  ',0),(8,'node',' nulla convallis velit non consequat consectetur mauris a ipsum lorem aliquam vehicula turpis congue pellentesque convallis vestibulum malesuada nulla et viverra mollis sem dolor eleifend nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu  ',0),(9,'node',' nulla convallis velit non consequat consectetur mauris a ipsum lorem aliquam vehicula turpis congue pellentesque convallis vestibulum malesuada nulla et viverra mollis sem dolor eleifend nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu  ',0),(10,'node',' nulla convallis velit non consequat consectetur mauris a ipsum lorem aliquam vehicula turpis congue pellentesque convallis vestibulum malesuada nulla et viverra mollis sem dolor eleifend nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatu  ',0),(11,'node',' quisque nec mattis tellus quisque nec mattis tellus sed vitae risus ac mi tempor finibus in nec massa in sollicitudin a faucibus dui libero quis nibh semper et fermentum ac lobortis id erat david ',0),(12,'node',' white skirt quisque nec mattis tellus sed vitae risus ac mi tempor finibus in nec massa in sollicitudin a faucibus dui libero quis nibh semper et fermentum ac lobortis id erat jone ',0),(13,'node',' white skirt quisque nec mattis tellus sed vitae risus ac mi tempor finibus in nec massa in sollicitudin a faucibus dui libero quis nibh semper et fermentum ac lobortis id erat mactin ',0),(14,'node',' slide 1 ',0),(15,'node',' slide 2 ',0),(16,'node',' computer metus earum pellentesque pariatur fugiat ultricies sunt molestiae perspiciatis omnis quisque aute ullam leo at saepe cupidatat laborum tristique commodi saepe nam lobortis at lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing adipisicing sapien quasi aptent commodi orci nesciunt scelerisque justo mauris aliquid nam maxime lacus consectetuer neque hymenaeos facilis consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris magni accusantium sit vehicula tenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus saepe consectetur urna magna quasi consectetur corrupti scelerisque sit volutpat inventore odio porta donec tellus augue dictum a urna id adipiscing placerat turpis nunc malesuada urna lectus non condimentum lorem elementum eu nulla tincidunt auctor euismod vestibulum sit amet diam vel quam viverra sodales cras nulla sem rhoncus eu aliquet sed placerat quis arcu vivamus orci felis vestibulum bibendum lacus vel sagittis tempor risus nullam vestibulum quis magna rutrum lobortis suspendisse eros magna volutpat quis suscipit vitae semper id sem list of content recognize and understand html web page elements know how to write html code understand and apply effective web design principles enhance web pages using text formatting color graphics images and multimedia incorporate forms into web pages understand and apply css to format web page elements plan design and publish a multipage website  ',0),(17,'node',' languages metus earum pellentesque pariatur fugiat ultricies sunt molestiae perspiciatis omnis quisque aute ullam leo at saepe cupidatat laborum tristique commodi saepe nam lobortis at lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing adipisicing sapien quasi aptent commodi orci nesciunt scelerisque justo mauris aliquid nam maxime lacus consectetuer neque hymenaeos facilis consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris magni accusantium sit vehicula tenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus saepe consectetur urna magna quasi consectetur corrupti scelerisque sit volutpat inventore odio porta donec tellus augue dictum a urna id adipiscing placerat turpis nunc malesuada urna lectus non condimentum lorem elementum eu nulla tincidunt auctor euismod vestibulum sit amet diam vel quam viverra sodales cras nulla sem rhoncus eu aliquet sed placerat quis arcu vivamus orci felis vestibulum bibendum lacus vel sagittis tempor risus nullam vestibulum quis magna rutrum lobortis suspendisse eros magna volutpat quis suscipit vitae semper id sem list of content recognize and understand html web page elements know how to write html code understand and apply effective web design principles enhance web pages using text formatting color graphics images and multimedia incorporate forms into web pages understand and apply css to format web page elements plan design and publish a multipage website  ',0),(18,'node',' camera metus earum pellentesque pariatur fugiat ultricies sunt molestiae perspiciatis omnis quisque aute ullam leo at saepe cupidatat laborum tristique commodi saepe nam lobortis at lobortis natus magni ad occaecati impedit facilisis aenean consequuntur adipiscing adipisicing sapien quasi aptent commodi orci nesciunt scelerisque justo mauris aliquid nam maxime lacus consectetuer neque hymenaeos facilis consequuntur sollicitudin nunc sapiente ex optio eos harum inventore justo ut laboris magni accusantium sit vehicula tenetur provident omnis cras exercitationem habitasse maecenas nemo commodi duis metus saepe consectetur urna magna quasi consectetur corrupti scelerisque sit volutpat inventore odio porta donec tellus augue dictum a urna id adipiscing placerat turpis nunc malesuada urna lectus non condimentum lorem elementum eu nulla tincidunt auctor euismod vestibulum sit amet diam vel quam viverra sodales cras nulla sem rhoncus eu aliquet sed placerat quis arcu vivamus orci felis vestibulum bibendum lacus vel sagittis tempor risus nullam vestibulum quis magna rutrum lobortis suspendisse eros magna volutpat quis suscipit vitae semper id sem list of content recognize and understand html web page elements know how to write html code understand and apply effective web design principles enhance web pages using text formatting color graphics images and multimedia incorporate forms into web pages understand and apply css to format web page elements plan design and publish a multipage website weebpal demodocx this packet contains the same content weebpal demo 2docx this packet contains the same content weebpal demo 3docx this packet contains the same content  ',0),(19,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(20,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(21,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(22,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(23,'node',' the teacher s day praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(24,'node',' 404 page page not found return to homepage ',0),(25,'node',' gallery menu 1 gallery menu 1 edustation ',0),(26,'node',' gallery menu 2 gallery menu 2 news ',0),(27,'node',' gallery menu 3 gallery menu 3 scholarship ',0),(28,'node',' gallery menu 4 gallery menu 4 student ',0),(29,'node',' gallery menu 5 gallery menu 5 edustation ',0),(30,'node',' gallery menu 6 gallery menu 6 news ',0),(31,'node',' gallery menu 7 gallery menu 7 scholarship ',0),(32,'node',' gallery menu 8 gallery menu 8 student ',0),(33,'node',' gallery menu 9 gallery menu 9 edustation ',0),(34,'node',' nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt  nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu vestibulum ac consectetur augue ac feugiat turpis integer rutrum varius metus sed aliquam enim commodo nec suspendisse interdum dictum augue ac vehicula aenean sed magna fringilla ultricies tortor nec cursus dui nunc id tempus tortor quisque eu nulla at massa tincidunt fermentum aliquam ultricies erat aliquam luctus ipsum ut rhoncus ligula ut semper metus sed rhoncus ullamcorper risus quam ultricies nisl auctor dapibus odio orci et quam quisque condimentum sed dolor quis efficitur nullam ligula odio faucibus sed neque non pharetra porttitor massa suspendisse eu nunc molestie facilisis nulla vitae ullamcorper eros donec sed odio gravida lacinia neque ac lobortis augue fusce rhoncus vitae tortor ac pellentesque sed a dui mi proin malesuada nibh lectus vel sagittis magna vehicula et  ',0),(35,'node',' raesent finibus eros libero non luctus tellus tincidunt sit amet nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi  ',0),(36,'node',' nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt  nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu vestibulum ac consectetur augue ac feugiat turpis integer rutrum varius metus sed aliquam enim commodo nec suspendisse interdum dictum augue ac vehicula aenean sed magna fringilla ultricies tortor nec cursus dui nunc id tempus tortor quisque eu nulla at massa tincidunt fermentum aliquam ultricies erat aliquam luctus ipsum ut rhoncus ligula ut semper metus sed rhoncus ullamcorper risus quam ultricies nisl auctor dapibus odio orci et quam quisque condimentum sed dolor quis efficitur nullam ligula odio faucibus sed neque non pharetra porttitor massa suspendisse eu nunc molestie facilisis nulla vitae ullamcorper eros donec sed odio gravida lacinia neque ac lobortis augue fusce rhoncus vitae tortor ac pellentesque sed a dui mi proin malesuada nibh lectus vel sagittis magna vehicula et  ',0),(37,'node',' raesent finibus eros libero non luctus tellus tincidunt sit amet nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu  ',0),(38,'node',' nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt  nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu vestibulum ac consectetur augue ac feugiat turpis integer rutrum varius metus sed aliquam enim commodo nec suspendisse interdum dictum augue ac vehicula aenean sed magna fringilla ultricies tortor nec cursus dui nunc id tempus tortor quisque eu nulla at massa tincidunt fermentum aliquam ultricies erat aliquam luctus ipsum ut rhoncus ligula ut semper metus sed rhoncus ullamcorper risus quam ultricies nisl auctor dapibus odio orci et quam quisque condimentum sed dolor quis efficitur nullam ligula odio faucibus sed neque non pharetra porttitor massa suspendisse eu nunc molestie facilisis nulla vitae ullamcorper eros donec sed odio gravida lacinia neque ac lobortis augue fusce rhoncus vitae tortor ac pellentesque sed a dui mi proin malesuada nibh lectus vel sagittis magna vehicula et  ',0),(39,'node',' raesent finibus eros libero non luctus tellus tincidunt sit amet 1 nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu  ',0),(40,'node',' about university quisque commodo sapien lacus quis tristique nunc varius nec integer eu sapien non purus pulvinar porta nec at orci quisque blandit turpis in elit interdum in hendrerit ligula dapibus quisque eget felis augue curabitur velit turpis accumsan non cursus id eleifend quis metus morbi id pulvinar orci nulla cursus libero vel luctus sollicitudin quam felis euismod ligula et scelerisque nisi libero quis turpis aliquam vel luctus lorem nunc congue tempus enim at placerat elit iaculis in vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in id molestie neque donec dapibus nulla non porta placerat odio quam viverra nunc ornare dapibus nulla sapien ut massa maecenas sit amet tellus non metus luctus dignissim sit amet quis mi donec quis diam a ipsum tempor blandit eu at libero in consectetur elit ut ullamcorper posuere curabitur non gravida felis donec vulputate ex vitae congue mattis velit dui pretium est a volutpat elit ex eget elit maecenas dictum felis risus vitae vestibulum tortor maximus quis ut consectetur neque sed ipsum elementum sed mollis purus cursus in pulvinar risus eget luctus aliquam nullam vitae massa nulla integer risus nibh accumsan ac gravida vel facilisis vitae erat donec eu leo eget ante semper vehicula id vulputate lacus curabitur rhoncus diam sed urna luctus posuere  ',0),(41,'node',' organisation of the university quisque commodo sapien lacus quis tristique nunc varius nec integer eu sapien non purus pulvinar porta nec at orci quisque blandit turpis in elit interdum in hendrerit ligula dapibus quisque eget felis augue curabitur velit turpis accumsan non cursus id eleifend quis metus morbi id pulvinar orci nulla cursus libero vel luctus sollicitudin quam felis euismod ligula et scelerisque nisi libero quis turpis aliquam vel luctus lorem nunc congue tempus enim at placerat elit iaculis in vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in id molestie neque donec dapibus nulla non porta placerat odio quam viverra nunc ornare dapibus nulla sapien ut massa maecenas sit amet tellus non metus luctus dignissim sit amet quis mi donec quis diam a ipsum tempor blandit eu at libero in consectetur elit ut ullamcorper posuere curabitur non gravida felis donec vulputate ex vitae congue mattis velit dui pretium est a volutpat elit ex eget elit  ',0),(42,'node',' history of the university quisque commodo sapien lacus quis tristique nunc varius nec integer eu sapien non purus pulvinar porta nec at orci quisque blandit turpis in elit interdum in hendrerit ligula dapibus quisque eget felis augue curabitur velit turpis accumsan non cursus id eleifend quis metus morbi id pulvinar orci nulla cursus libero vel luctus sollicitudin quam felis euismod ligula et scelerisque nisi libero quis turpis aliquam vel luctus lorem nunc congue tempus enim at placerat elit iaculis in vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in id molestie neque donec dapibus nulla non porta placerat odio quam viverra nunc ornare dapibus nulla sapien ut massa maecenas sit amet tellus non metus luctus dignissim sit amet quis mi donec quis diam a ipsum tempor blandit eu at libero in consectetur elit ut ullamcorper posuere curabitur non gravida felis donec vulputate ex vitae congue mattis velit dui pretium est a volutpat elit ex eget elit  ',0),(43,'node',' our mission of the university quisque commodo sapien lacus quis tristique nunc varius nec integer eu sapien non purus pulvinar porta nec at orci quisque blandit turpis in elit interdum in hendrerit ligula dapibus quisque eget felis augue curabitur velit turpis accumsan non cursus id eleifend quis metus morbi id pulvinar orci nulla cursus libero vel luctus sollicitudin quam felis euismod ligula et scelerisque nisi libero quis turpis aliquam vel luctus lorem nunc congue tempus enim at placerat elit iaculis in vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in id molestie neque donec dapibus nulla non porta placerat odio quam viverra nunc ornare dapibus nulla sapien ut massa maecenas sit amet tellus non metus luctus dignissim sit amet quis mi donec quis diam a ipsum tempor blandit eu at libero in consectetur elit ut ullamcorper posuere curabitur non gravida felis donec vulputate ex vitae congue mattis velit dui pretium est a volutpat elit ex eget elit  ',0),(44,'node',' quiz questions  1 attempts allowed  unlimited available  always pass rate  75  backwards navigation  allowed ',0),(45,'node',' demo question true false question demo question answer hidden  ',0),(46,'node',' contacts your name your email subject comments  united states campus 795 folsom ave suite 600 san francisco ca94107 usa tel 8006666666 fax 18006668888 canada campus 795 folsom ave suite 600 san francisco ca94107 usa tel 8006666666 fax 18006668888 japan campus 795 folsom ave suite 600 san francisco ca94107 usa tel 8006666666 fax 18006668888 italy campus 795 folsom ave suite 600 san francisco ca94107 usa tel 8006666666 fax 18006668888 vietnam campus 795 folsom ave suite 600 san francisco ca94107 usa tel 8006666666 fax 18006668888  ',0),(47,'node',' gallery menu 10 gallery menu 10 news ',0),(48,'node',' projects nunc interdum interdum est id interdum suspendisse facilisis imperdiet justo posuere congue ut ligula lectus tincidunt eget justo vel venenatis consequat dui nam sed lobortis quam nunc rhoncus est eu risus volutpat convallis fusce orci tortor vulputate non fringilla et lobortis eget neque quisque pulvinar rhoncus gravida praesent pulvinar sapien in porta facilisis etiam luctus lectus in cursus ornare sed facilisis libero at quam maximus tempor morbi eget felis nisi maecenas vel arcu eu enim auctor vestibulum a ut quam curabitur nunc quam lobortis in massa ut bibendum suscipit tellus pellentesque volutpat urna nec feugiat vulputate donec dapibus justo id auctor blandit est odio pulvinar nisl quis vulputate nisl massa ut nibh integer consectetur ipsum felis auctor dapibus mi tincidunt sed proin lobortis convallis lectus a ultricies eros ullamcorper nec quisque dapibus neque quis volutpat aliquet suspendisse eget sapien arcu vestibulum ac consectetur augue ac feugiat turpis integer rutrum varius metus sed aliquam enim commodo nec suspendisse interdum dictum augue ac vehicula aenean sed magna fringilla ultricies tortor nec cursus dui nunc id tempus tortor quisque eu nulla at massa tincidunt fermentum aliquam ultricies erat aliquam luctus ipsum ut rhoncus ligula ut semper metus sed rhoncus ullamcorper risus quam ultricies nisl auctor dapibus odio orci et quam quisque condimentum sed dolor quis efficitur nullam ligula odio faucibus sed neque non pharetra porttitor massa suspendisse eu nunc molestie facilisis nulla vitae ullamcorper eros donec sed odio gravida lacinia neque ac lobortis augue fusce rhoncus vitae tortor ac pellentesque sed a dui mi proin malesuada nibh lectus vel sagittis magna vehicula et  ',0),(49,'node',' professors praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(50,'node',' job opportunities praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror praesent sollicitudin sem sollicitudin hendrerit dapibus proin efficitur hendrerit nisi adisu tamaror  ',0),(51,'node',' university ranking nulla interdum malesuada lacinia praesent id ligula non sem semper aliquet mauris in quam viverra neque tristique tincidunt vestibulum interdum semper arcu vel tincidunt sem accumsan ut integer est leo fringilla sed est id malesuada ornare magna pellentesque feugiat ultrices nisi a hendrerit libero egestas non proin a porta leo mauris neque justo ornare vel ligula efficitur dignissim sollicitudin leo fusce eget nisi pulvinar arcu aliquam cursus nec et leo suspendisse eget faucibus justo morbi consectetur justo massa sed feugiat leo rutrum interdum duis lobortis leo et neque dapibus ante venenatis nullam et accumsan diam aliquam vel tortor ipsum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut  ',0),(52,'node',' privacy policy nulla interdum malesuada lacinia praesent id ligula non sem semper aliquet mauris in quam viverra neque tristique tincidunt vestibulum interdum semper arcu vel tincidunt sem accumsan ut integer est leo fringilla sed est id malesuada ornare magna pellentesque feugiat ultrices nisi a hendrerit libero egestas non proin a porta leo mauris neque justo ornare vel ligula efficitur dignissim sollicitudin leo fusce eget nisi pulvinar arcu aliquam cursus nec et leo suspendisse eget faucibus justo morbi consectetur justo massa sed feugiat leo rutrum interdum duis lobortis leo et neque dapibus ante venenatis nullam et accumsan diam aliquam vel tortor ipsum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut  ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',3,'node',26),('1',14,'node',26),('1',25,'node',27),('1',39,'node',1),('1',44,'node',4),('10',47,'node',27),('1072015',7,'node',1),('12292014',7,'node',1),('18006668888',46,'node',5),('2',3,'node',18.3346),('2',15,'node',26),('2',26,'node',27),('2358',7,'node',1),('2docx',18,'node',8.95041),('3',3,'node',15.3774),('3',27,'node',27),('3docx',18,'node',8.92007),('4',28,'node',27),('404',24,'node',26),('49',7,'node',1),('5',29,'node',27),('6',30,'node',27),('600',46,'node',5),('7',31,'node',27),('75',44,'node',4),('795',46,'node',5),('8',32,'node',27),('8006666666',46,'node',5),('9',33,'node',27),('about',40,'node',26),('accumsan',1,'node',2),('accumsan',3,'node',1),('accumsan',40,'node',2),('accumsan',41,'node',1),('accumsan',42,'node',1),('accumsan',43,'node',1),('accumsan',51,'node',2),('accumsan',52,'node',2),('accusantium',1,'node',1),('accusantium',3,'node',4.91831),('accusantium',16,'node',1),('accusantium',17,'node',1),('accusantium',18,'node',1),('accusantium',51,'node',1),('accusantium',52,'node',1),('adipisci',3,'node',0.972861),('adipiscing',7,'node',2),('adipiscing',16,'node',2),('adipiscing',17,'node',2),('adipiscing',18,'node',2),('adipisicing',16,'node',1),('adipisicing',17,'node',1),('adipisicing',18,'node',1),('adisu',2,'node',21),('adisu',4,'node',18),('adisu',19,'node',21),('adisu',20,'node',21),('adisu',21,'node',21),('adisu',22,'node',21),('adisu',23,'node',21),('adisu',49,'node',21),('adisu',50,'node',21),('admin',7,'node',22),('aenean',3,'node',1),('aenean',16,'node',1),('aenean',17,'node',1),('aenean',18,'node',1),('aenean',34,'node',1),('aenean',36,'node',1),('aenean',38,'node',1),('aenean',48,'node',1),('aliquam',1,'node',2),('aliquam',7,'node',3),('aliquam',8,'node',1),('aliquam',9,'node',1),('aliquam',10,'node',1),('aliquam',34,'node',3),('aliquam',36,'node',3),('aliquam',38,'node',3),('aliquam',40,'node',2),('aliquam',41,'node',1),('aliquam',42,'node',1),('aliquam',43,'node',1),('aliquam',48,'node',3),('aliquam',51,'node',2),('aliquam',52,'node',2),('aliquet',1,'node',1),('aliquet',3,'node',1),('aliquet',16,'node',1),('aliquet',17,'node',1),('aliquet',18,'node',1),('aliquet',34,'node',1),('aliquet',36,'node',1),('aliquet',37,'node',1),('aliquet',38,'node',1),('aliquet',39,'node',1),('aliquet',48,'node',1),('aliquet',51,'node',1),('aliquet',52,'node',1),('aliquid',8,'node',1),('aliquid',9,'node',1),('aliquid',10,'node',1),('aliquid',16,'node',1),('aliquid',17,'node',1),('aliquid',18,'node',1),('allowed',44,'node',8),('always',44,'node',4),('amet',3,'node',0.976851),('amet',7,'node',2),('amet',16,'node',1),('amet',17,'node',1),('amet',18,'node',1),('amet',35,'node',26),('amet',37,'node',26),('amet',39,'node',26),('amet',40,'node',2),('amet',41,'node',2),('amet',42,'node',2),('amet',43,'node',2),('and',16,'node',4.41488),('and',17,'node',4.41488),('and',18,'node',4.41488),('anim',3,'node',3.91831),('answer',45,'node',1),('ante',1,'node',1),('ante',6,'node',13),('ante',7,'node',11),('ante',40,'node',2),('ante',41,'node',1),('ante',42,'node',1),('ante',43,'node',1),('ante',51,'node',1),('ante',52,'node',1),('aperiam',1,'node',1),('aperiam',3,'node',4.91831),('aperiam',51,'node',1),('aperiam',52,'node',1),('apply',16,'node',1.76068),('apply',17,'node',1.76068),('apply',18,'node',1.76068),('aptent',16,'node',1),('aptent',17,'node',1),('aptent',18,'node',1),('architecto',1,'node',1),('architecto',3,'node',4.91831),('architecto',51,'node',1),('architecto',52,'node',1),('arcu',1,'node',2),('arcu',16,'node',1),('arcu',17,'node',1),('arcu',18,'node',1),('arcu',34,'node',2),('arcu',36,'node',2),('arcu',37,'node',2),('arcu',38,'node',2),('arcu',39,'node',2),('arcu',48,'node',2),('arcu',51,'node',2),('arcu',52,'node',2),('aspernatur',1,'node',1),('aspernatur',3,'node',1),('aspernatur',51,'node',1),('aspernatur',52,'node',1),('attempts',44,'node',4),('auctor',7,'node',2),('auctor',16,'node',1),('auctor',17,'node',1),('auctor',18,'node',1),('auctor',34,'node',4),('auctor',36,'node',4),('auctor',37,'node',3),('auctor',38,'node',4),('auctor',39,'node',3),('auctor',48,'node',4),('augue',16,'node',1),('augue',17,'node',1),('augue',18,'node',1),('augue',34,'node',2.99731),('augue',36,'node',2.99731),('augue',38,'node',2.99731),('augue',40,'node',1),('augue',41,'node',1),('augue',42,'node',1),('augue',43,'node',1),('augue',48,'node',2.99315),('aut',1,'node',2),('aut',3,'node',1.98633),('aut',51,'node',2),('aut',52,'node',2),('aute',16,'node',1),('aute',17,'node',1),('aute',18,'node',1),('autem',8,'node',1),('autem',9,'node',1),('autem',10,'node',1),('available',44,'node',4),('ave',46,'node',5),('backwards',44,'node',4),('beatae',1,'node',1),('beatae',3,'node',4.91831),('beatae',51,'node',1),('beatae',52,'node',1),('bibendum',16,'node',0.997306),('bibendum',17,'node',0.997306),('bibendum',18,'node',0.997306),('bibendum',34,'node',1),('bibendum',36,'node',1),('bibendum',37,'node',1),('bibendum',38,'node',1),('bibendum',39,'node',1),('bibendum',48,'node',1),('blandit',3,'node',1),('blandit',6,'node',13),('blandit',7,'node',11),('blandit',34,'node',1),('blandit',36,'node',1),('blandit',37,'node',1),('blandit',38,'node',1),('blandit',39,'node',1),('blandit',40,'node',2),('blandit',41,'node',2),('blandit',42,'node',2),('blandit',43,'node',2),('blandit',48,'node',1),('ca94107',46,'node',5),('camera',18,'node',26),('campus',46,'node',20),('canada',46,'node',4),('code',16,'node',0.909743),('code',17,'node',0.909743),('code',18,'node',0.909743),('color',16,'node',0.876337),('color',17,'node',0.876337),('color',18,'node',0.876337),('comments',7,'node',2),('comments',46,'node',1),('commodi',8,'node',1),('commodi',9,'node',1),('commodi',10,'node',1),('commodi',16,'node',3),('commodi',17,'node',3),('commodi',18,'node',3),('commodo',7,'node',1),('commodo',34,'node',1),('commodo',36,'node',1),('commodo',38,'node',1),('commodo',40,'node',1),('commodo',41,'node',1),('commodo',42,'node',1),('commodo',43,'node',1),('commodo',48,'node',1),('computer',16,'node',26),('condimentum',7,'node',2),('condimentum',16,'node',1),('condimentum',17,'node',1),('condimentum',18,'node',1),('condimentum',34,'node',1),('condimentum',36,'node',1),('condimentum',38,'node',1),('condimentum',48,'node',1),('congue',3,'node',1),('congue',8,'node',1),('congue',9,'node',1),('congue',10,'node',1),('congue',34,'node',27),('congue',35,'node',1),('congue',36,'node',27),('congue',37,'node',1),('congue',38,'node',27),('congue',39,'node',1),('congue',40,'node',2),('congue',41,'node',2),('congue',42,'node',2),('congue',43,'node',2),('congue',48,'node',1),('consectetuer',16,'node',1),('consectetuer',17,'node',1),('consectetuer',18,'node',1),('consectetur',1,'node',1),('consectetur',3,'node',2.97286),('consectetur',8,'node',26),('consectetur',9,'node',26),('consectetur',10,'node',26),('consectetur',16,'node',2),('consectetur',17,'node',2),('consectetur',18,'node',2),('consectetur',34,'node',2),('consectetur',36,'node',2),('consectetur',37,'node',1),('consectetur',38,'node',2),('consectetur',39,'node',1),('consectetur',40,'node',2),('consectetur',41,'node',1),('consectetur',42,'node',1),('consectetur',43,'node',1),('consectetur',48,'node',2),('consectetur',51,'node',1),('consectetur',52,'node',1),('consequat',8,'node',26),('consequat',9,'node',26),('consequat',10,'node',26),('consequat',34,'node',1),('consequat',35,'node',1),('consequat',36,'node',1),('consequat',37,'node',1),('consequat',38,'node',1),('consequat',39,'node',1),('consequat',48,'node',1),('consequatu',8,'node',1),('consequatu',9,'node',1),('consequatu',10,'node',1),('consequatur',8,'node',1),('consequatur',9,'node',1),('consequatur',10,'node',1),('consequuntur',16,'node',2),('consequuntur',17,'node',2),('consequuntur',18,'node',2),('contacts',46,'node',26),('contains',18,'node',2.44399),('content',16,'node',0.949597),('content',17,'node',0.949597),('content',18,'node',11.9315),('convallis',3,'node',2),('convallis',8,'node',27),('convallis',9,'node',27),('convallis',10,'node',27),('convallis',34,'node',2),('convallis',35,'node',1),('convallis',36,'node',2),('convallis',37,'node',2),('convallis',38,'node',2),('convallis',39,'node',2),('convallis',48,'node',2),('corporis',8,'node',1),('corporis',9,'node',1),('corporis',10,'node',1),('corrupti',16,'node',1),('corrupti',17,'node',1),('corrupti',18,'node',1),('cras',3,'node',1),('cras',7,'node',2),('cras',16,'node',2),('cras',17,'node',2),('cras',18,'node',2),('css',16,'node',0.854391),('css',17,'node',0.854391),('css',18,'node',0.854391),('cubilia',40,'node',1),('cubilia',41,'node',1),('cubilia',42,'node',1),('cubilia',43,'node',1),('culpa',3,'node',3.91831),('cupidatat',3,'node',3.91831),('cupidatat',16,'node',1),('cupidatat',17,'node',1),('cupidatat',18,'node',1),('curabitur',6,'node',26),('curabitur',7,'node',28),('curabitur',34,'node',1),('curabitur',36,'node',1),('curabitur',37,'node',1),('curabitur',38,'node',1),('curabitur',39,'node',1),('curabitur',40,'node',3),('curabitur',41,'node',2),('curabitur',42,'node',2),('curabitur',43,'node',2),('curabitur',48,'node',1),('curae',40,'node',1),('curae',41,'node',1),('curae',42,'node',1),('curae',43,'node',1),('cursus',1,'node',1),('cursus',3,'node',2),('cursus',34,'node',2),('cursus',35,'node',1),('cursus',36,'node',2),('cursus',37,'node',1),('cursus',38,'node',2),('cursus',39,'node',1),('cursus',40,'node',3),('cursus',41,'node',2),('cursus',42,'node',2),('cursus',43,'node',2),('cursus',48,'node',2),('cursus',51,'node',1),('cursus',52,'node',1),('dapibus',1,'node',1),('dapibus',2,'node',21),('dapibus',4,'node',18),('dapibus',6,'node',26),('dapibus',7,'node',26),('dapibus',19,'node',21),('dapibus',20,'node',21),('dapibus',21,'node',21),('dapibus',22,'node',21),('dapibus',23,'node',21),('dapibus',34,'node',4),('dapibus',36,'node',4),('dapibus',37,'node',3),('dapibus',38,'node',4),('dapibus',39,'node',3),('dapibus',40,'node',3),('dapibus',41,'node',3),('dapibus',42,'node',3),('dapibus',43,'node',3),('dapibus',48,'node',4),('dapibus',49,'node',21),('dapibus',50,'node',21),('dapibus',51,'node',1),('dapibus',52,'node',1),('david',11,'node',11),('day',2,'node',26),('day',3,'node',26),('day',4,'node',26),('day',19,'node',26),('day',20,'node',26),('day',21,'node',26),('day',22,'node',26),('day',23,'node',26),('demo',18,'node',17.901),('demo',45,'node',27),('demodocx',18,'node',9.16882),('deserunt',3,'node',3.91831),('design',16,'node',1.74478),('design',17,'node',1.74478),('design',18,'node',1.74478),('diam',1,'node',1),('diam',3,'node',1),('diam',16,'node',1),('diam',17,'node',1),('diam',18,'node',1),('diam',40,'node',2),('diam',41,'node',1),('diam',42,'node',1),('diam',43,'node',1),('diam',51,'node',1),('diam',52,'node',1),('dicta',1,'node',1),('dicta',3,'node',4.91831),('dicta',51,'node',1),('dicta',52,'node',1),('dictum',16,'node',1),('dictum',17,'node',1),('dictum',18,'node',1),('dictum',34,'node',1),('dictum',36,'node',1),('dictum',38,'node',1),('dictum',40,'node',1),('dictum',48,'node',1),('dignissim',1,'node',1),('dignissim',40,'node',1),('dignissim',41,'node',1),('dignissim',42,'node',1),('dignissim',43,'node',1),('dignissim',51,'node',1),('dignissim',52,'node',1),('dolor',3,'node',1.97685),('dolor',7,'node',4),('dolor',8,'node',1),('dolor',9,'node',1),('dolor',10,'node',1),('dolor',34,'node',1),('dolor',36,'node',1),('dolor',38,'node',1),('dolor',48,'node',1),('dolorem',3,'node',0.98493),('doloremque',1,'node',1),('doloremque',3,'node',4.91831),('doloremque',51,'node',1),('doloremque',52,'node',1),('donec',7,'node',1),('donec',16,'node',1),('donec',17,'node',1),('donec',18,'node',1),('donec',34,'node',2),('donec',36,'node',2),('donec',37,'node',1),('donec',38,'node',2),('donec',39,'node',1),('donec',40,'node',4),('donec',41,'node',3),('donec',42,'node',3),('donec',43,'node',3),('donec',48,'node',1.99731),('dui',3,'node',1),('dui',11,'node',1),('dui',12,'node',1),('dui',13,'node',1),('dui',34,'node',2.99731),('dui',35,'node',1),('dui',36,'node',2.99731),('dui',37,'node',1),('dui',38,'node',2.99731),('dui',39,'node',1),('dui',40,'node',1),('dui',41,'node',1),('dui',42,'node',1),('dui',43,'node',1),('dui',48,'node',2.99315),('duis',1,'node',1),('duis',3,'node',1),('duis',16,'node',1),('duis',17,'node',1),('duis',18,'node',1),('duis',51,'node',1),('duis',52,'node',1),('eaque',1,'node',1),('eaque',3,'node',4.91831),('eaque',51,'node',1),('eaque',52,'node',1),('earum',16,'node',1),('earum',17,'node',1),('earum',18,'node',1),('edustation',25,'node',11),('edustation',29,'node',11),('edustation',33,'node',11),('effective',16,'node',0.902857),('effective',17,'node',0.902857),('effective',18,'node',0.902857),('efficitur',1,'node',1),('efficitur',2,'node',21),('efficitur',4,'node',18),('efficitur',6,'node',13),('efficitur',7,'node',2),('efficitur',19,'node',21),('efficitur',20,'node',21),('efficitur',21,'node',21),('efficitur',22,'node',21),('efficitur',23,'node',21),('efficitur',34,'node',1),('efficitur',36,'node',1),('efficitur',38,'node',1),('efficitur',48,'node',1),('efficitur',49,'node',21),('efficitur',50,'node',21),('efficitur',51,'node',1),('efficitur',52,'node',1),('efficiturvivamus',7,'node',9),('egestas',1,'node',1),('egestas',51,'node',1),('egestas',52,'node',1),('eget',1,'node',2),('eget',3,'node',1),('eget',5,'node',41),('eget',7,'node',2),('eget',34,'node',4),('eget',35,'node',3),('eget',36,'node',4),('eget',37,'node',4),('eget',38,'node',4),('eget',39,'node',4),('eget',40,'node',4),('eget',41,'node',2),('eget',42,'node',2),('eget',43,'node',2),('eget',48,'node',4),('eget',51,'node',2),('eget',52,'node',2),('eleifend',8,'node',1),('eleifend',9,'node',1),('eleifend',10,'node',1),('eleifend',40,'node',1),('eleifend',41,'node',1),('eleifend',42,'node',1),('eleifend',43,'node',1),('elements',16,'node',1.77216),('elements',17,'node',1.77216),('elements',18,'node',1.77216),('elementum',16,'node',1),('elementum',17,'node',1),('elementum',18,'node',1),('elementum',40,'node',1),('elit',3,'node',2),('elit',6,'node',13),('elit',7,'node',11),('elit',40,'node',5),('elit',41,'node',5),('elit',42,'node',5),('elit',43,'node',5),('email',46,'node',1),('enhance',16,'node',0.892724),('enhance',17,'node',0.892724),('enhance',18,'node',0.892724),('enim',1,'node',1),('enim',3,'node',1),('enim',34,'node',2),('enim',36,'node',2),('enim',37,'node',1),('enim',38,'node',2),('enim',39,'node',1),('enim',40,'node',1),('enim',41,'node',1),('enim',42,'node',1),('enim',43,'node',1),('enim',48,'node',2),('enim',51,'node',1),('enim',52,'node',1),('eos',16,'node',1),('eos',17,'node',1),('eos',18,'node',1),('erat',3,'node',1),('erat',11,'node',1),('erat',12,'node',1),('erat',13,'node',1),('erat',34,'node',1),('erat',36,'node',1),('erat',38,'node',1),('erat',40,'node',1),('erat',48,'node',1),('eros',16,'node',0.968904),('eros',17,'node',0.968904),('eros',18,'node',0.968904),('eros',34,'node',2),('eros',35,'node',26),('eros',36,'node',2),('eros',37,'node',27),('eros',38,'node',2),('eros',39,'node',27),('eros',48,'node',1.99731),('error',1,'node',1),('error',3,'node',5.90324),('error',51,'node',1),('error',52,'node',1),('esse',8,'node',1),('esse',9,'node',1),('esse',10,'node',1),('est',1,'node',2),('est',3,'node',3.91831),('est',34,'node',29),('est',35,'node',2),('est',36,'node',29),('est',37,'node',3),('est',38,'node',29),('est',39,'node',3),('est',40,'node',1),('est',41,'node',1),('est',42,'node',1),('est',43,'node',1),('est',48,'node',3),('est',51,'node',2),('est',52,'node',2),('etiam',34,'node',1),('etiam',35,'node',1),('etiam',36,'node',1),('etiam',37,'node',1),('etiam',38,'node',1),('etiam',39,'node',1),('etiam',48,'node',1),('euismod',5,'node',41),('euismod',7,'node',1),('euismod',16,'node',1),('euismod',17,'node',1),('euismod',18,'node',1),('euismod',40,'node',1),('euismod',41,'node',1),('euismod',42,'node',1),('euismod',43,'node',1),('eum',8,'node',1),('eum',9,'node',1),('eum',10,'node',1),('excepteur',3,'node',1),('exercitationem',8,'node',1),('exercitationem',9,'node',1),('exercitationem',10,'node',1),('exercitationem',16,'node',1),('exercitationem',17,'node',1),('exercitationem',18,'node',1),('explicabo',1,'node',1),('explicabo',3,'node',4.91831),('explicabo',51,'node',1),('explicabo',52,'node',1),('facilis',16,'node',1),('facilis',17,'node',1),('facilis',18,'node',1),('facilisi',3,'node',1),('facilisis',16,'node',1),('facilisis',17,'node',1),('facilisis',18,'node',1),('facilisis',34,'node',30),('facilisis',35,'node',3),('facilisis',36,'node',30),('facilisis',37,'node',3),('facilisis',38,'node',30),('facilisis',39,'node',3),('facilisis',40,'node',1),('facilisis',48,'node',4),('false',45,'node',1),('faucibus',1,'node',1),('faucibus',7,'node',1),('faucibus',11,'node',1),('faucibus',12,'node',1),('faucibus',13,'node',1),('faucibus',34,'node',1),('faucibus',36,'node',1),('faucibus',38,'node',1),('faucibus',40,'node',1),('faucibus',41,'node',1),('faucibus',42,'node',1),('faucibus',43,'node',1),('faucibus',48,'node',1),('faucibus',51,'node',1),('faucibus',52,'node',1),('fax',46,'node',5),('felis',6,'node',13),('felis',7,'node',11),('felis',16,'node',1),('felis',17,'node',1),('felis',18,'node',1),('felis',34,'node',2),('felis',35,'node',1),('felis',36,'node',2),('felis',37,'node',2),('felis',38,'node',2),('felis',39,'node',2),('felis',40,'node',4),('felis',41,'node',3),('felis',42,'node',3),('felis',43,'node',3),('felis',48,'node',2),('fermentum',11,'node',1),('fermentum',12,'node',1),('fermentum',13,'node',1),('fermentum',34,'node',1),('fermentum',36,'node',1),('fermentum',38,'node',1),('fermentum',48,'node',1),('feugiat',1,'node',2),('feugiat',34,'node',2),('feugiat',36,'node',2),('feugiat',37,'node',1),('feugiat',38,'node',2),('feugiat',39,'node',1),('feugiat',48,'node',2),('feugiat',51,'node',2),('feugiat',52,'node',2),('finibus',11,'node',1),('finibus',12,'node',1),('finibus',13,'node',1),('finibus',35,'node',26),('finibus',37,'node',26),('finibus',39,'node',26),('folsom',46,'node',5),('format',16,'node',0.851346),('format',17,'node',0.851346),('format',18,'node',0.851346),('formatting',16,'node',0.879565),('formatting',17,'node',0.879565),('formatting',18,'node',0.879565),('forms',16,'node',0.860547),('forms',17,'node',0.860547),('forms',18,'node',0.860547),('found',24,'node',1),('francisco',46,'node',5),('fringilla',1,'node',1),('fringilla',34,'node',2),('fringilla',35,'node',1),('fringilla',36,'node',2),('fringilla',37,'node',1),('fringilla',38,'node',2),('fringilla',39,'node',1),('fringilla',48,'node',2),('fringilla',51,'node',1),('fringilla',52,'node',1),('fugiat',16,'node',1),('fugiat',17,'node',1),('fugiat',18,'node',1),('fugit',3,'node',0.989021),('furato',5,'node',41),('fusce',1,'node',1),('fusce',34,'node',1.99731),('fusce',35,'node',1),('fusce',36,'node',1.99731),('fusce',37,'node',1),('fusce',38,'node',1.99731),('fusce',39,'node',1),('fusce',48,'node',1.99315),('fusce',51,'node',1),('fusce',52,'node',1),('gallery',25,'node',27),('gallery',26,'node',27),('gallery',27,'node',27),('gallery',28,'node',27),('gallery',29,'node',27),('gallery',30,'node',27),('gallery',31,'node',27),('gallery',32,'node',27),('gallery',33,'node',27),('gallery',47,'node',27),('graphics',16,'node',0.873132),('graphics',17,'node',0.873132),('graphics',18,'node',0.873132),('gravida',34,'node',2),('gravida',35,'node',1),('gravida',36,'node',2),('gravida',37,'node',1),('gravida',38,'node',2),('gravida',39,'node',1),('gravida',40,'node',2),('gravida',41,'node',1),('gravida',42,'node',1),('gravida',43,'node',1),('gravida',48,'node',1.99731),('habitasse',16,'node',1),('habitasse',17,'node',1),('habitasse',18,'node',1),('harum',16,'node',1),('harum',17,'node',1),('harum',18,'node',1),('heading',3,'node',59.712),('hendrerit',1,'node',1),('hendrerit',2,'node',42),('hendrerit',3,'node',2),('hendrerit',4,'node',36),('hendrerit',7,'node',2),('hendrerit',19,'node',42),('hendrerit',20,'node',42),('hendrerit',21,'node',42),('hendrerit',22,'node',42),('hendrerit',23,'node',42),('hendrerit',40,'node',1),('hendrerit',41,'node',1),('hendrerit',42,'node',1),('hendrerit',43,'node',1),('hendrerit',49,'node',42),('hendrerit',50,'node',42),('hendrerit',51,'node',1),('hendrerit',52,'node',1),('hidden',45,'node',1),('history',42,'node',26),('homepage',24,'node',11),('how',16,'node',0.916736),('how',17,'node',0.916736),('how',18,'node',0.916736),('html',16,'node',1.84445),('html',17,'node',1.84445),('html',18,'node',1.84445),('hymenaeos',16,'node',1),('hymenaeos',17,'node',1),('hymenaeos',18,'node',1),('iaculis',40,'node',1),('iaculis',41,'node',1),('iaculis',42,'node',1),('iaculis',43,'node',1),('illo',1,'node',1),('illo',3,'node',4.91831),('illo',51,'node',1),('illo',52,'node',1),('images',16,'node',0.869951),('images',17,'node',0.869951),('images',18,'node',0.869951),('impedit',16,'node',1),('impedit',17,'node',1),('impedit',18,'node',1),('imperdiet',34,'node',27),('imperdiet',35,'node',1),('imperdiet',36,'node',27),('imperdiet',37,'node',1),('imperdiet',38,'node',27),('imperdiet',39,'node',1),('imperdiet',48,'node',1),('incorporate',16,'node',0.863659),('incorporate',17,'node',0.863659),('incorporate',18,'node',0.863659),('integer',1,'node',1),('integer',6,'node',13),('integer',7,'node',12),('integer',34,'node',2),('integer',36,'node',2),('integer',37,'node',1),('integer',38,'node',2),('integer',39,'node',1),('integer',40,'node',2),('integer',41,'node',1),('integer',42,'node',1),('integer',43,'node',1),('integer',48,'node',2),('integer',51,'node',1),('integer',52,'node',1),('interdum',1,'node',3),('interdum',34,'node',82),('interdum',35,'node',3),('interdum',36,'node',82),('interdum',37,'node',3),('interdum',38,'node',82),('interdum',39,'node',3),('interdum',40,'node',1),('interdum',41,'node',1),('interdum',42,'node',1),('interdum',43,'node',1),('interdum',48,'node',4),('interdum',51,'node',3),('interdum',52,'node',3),('into',16,'node',0.857458),('into',17,'node',0.857458),('into',18,'node',0.857458),('inventore',1,'node',1),('inventore',3,'node',4.91831),('inventore',16,'node',2),('inventore',17,'node',2),('inventore',18,'node',2),('inventore',51,'node',1),('inventore',52,'node',1),('ipsa',1,'node',1),('ipsa',3,'node',4.91831),('ipsa',51,'node',1),('ipsa',52,'node',1),('ipsam',1,'node',1),('ipsam',3,'node',1),('ipsam',51,'node',1),('ipsam',52,'node',1),('ipsum',1,'node',1),('ipsum',3,'node',0.980874),('ipsum',7,'node',2),('ipsum',8,'node',1),('ipsum',9,'node',1),('ipsum',10,'node',1),('ipsum',34,'node',2),('ipsum',36,'node',2),('ipsum',37,'node',1),('ipsum',38,'node',2),('ipsum',39,'node',1),('ipsum',40,'node',3),('ipsum',41,'node',2),('ipsum',42,'node',2),('ipsum',43,'node',2),('ipsum',48,'node',2),('ipsum',51,'node',1),('ipsum',52,'node',1),('iste',1,'node',1),('iste',3,'node',5.90324),('iste',51,'node',1),('iste',52,'node',1),('italy',46,'node',4),('iure',8,'node',1),('iure',9,'node',1),('iure',10,'node',1),('japan',46,'node',4),('job',50,'node',26),('jone',12,'node',11),('justo',1,'node',3),('justo',16,'node',2),('justo',17,'node',2),('justo',18,'node',2),('justo',34,'node',29),('justo',35,'node',2),('justo',36,'node',29),('justo',37,'node',3),('justo',38,'node',29),('justo',39,'node',3),('justo',48,'node',3),('justo',51,'node',3),('justo',52,'node',3),('know',16,'node',0.920273),('know',17,'node',0.920273),('know',18,'node',0.920273),('laboriosam',8,'node',1),('laboriosam',9,'node',1),('laboriosam',10,'node',1),('laboris',16,'node',1),('laboris',17,'node',1),('laboris',18,'node',1),('laborum',3,'node',3.91831),('laborum',16,'node',1),('laborum',17,'node',1),('laborum',18,'node',1),('lacinia',1,'node',1),('lacinia',34,'node',1),('lacinia',36,'node',1),('lacinia',38,'node',1),('lacinia',48,'node',0.997306),('lacinia',51,'node',1),('lacinia',52,'node',1),('lacus',16,'node',1.99315),('lacus',17,'node',1.99315),('lacus',18,'node',1.99315),('lacus',40,'node',2),('lacus',41,'node',1),('lacus',42,'node',1),('lacus',43,'node',1),('languages',17,'node',26),('laudantium',1,'node',1),('laudantium',3,'node',4.91831),('laudantium',51,'node',1),('laudantium',52,'node',1),('lectus',3,'node',1),('lectus',7,'node',1),('lectus',16,'node',1),('lectus',17,'node',1),('lectus',18,'node',1),('lectus',34,'node',29.9931),('lectus',35,'node',2),('lectus',36,'node',29.9931),('lectus',37,'node',3),('lectus',38,'node',29.9931),('lectus',39,'node',3),('lectus',48,'node',3.98902),('leo',1,'node',6),('leo',7,'node',2),('leo',16,'node',1),('leo',17,'node',1),('leo',18,'node',1),('leo',40,'node',1),('leo',51,'node',6),('leo',52,'node',6),('libero',1,'node',1),('libero',3,'node',2),('libero',6,'node',13),('libero',7,'node',13),('libero',11,'node',1),('libero',12,'node',1),('libero',13,'node',1),('libero',34,'node',1),('libero',35,'node',27),('libero',36,'node',1),('libero',37,'node',27),('libero',38,'node',1),('libero',39,'node',27),('libero',40,'node',3),('libero',41,'node',3),('libero',42,'node',3),('libero',43,'node',3),('libero',48,'node',1),('libero',51,'node',1),('libero',52,'node',1),('ligula',1,'node',2),('ligula',3,'node',2),('ligula',7,'node',26),('ligula',34,'node',29),('ligula',35,'node',1),('ligula',36,'node',29),('ligula',37,'node',1),('ligula',38,'node',29),('ligula',39,'node',1),('ligula',40,'node',2),('ligula',41,'node',2),('ligula',42,'node',2),('ligula',43,'node',2),('ligula',48,'node',3),('ligula',51,'node',2),('ligula',52,'node',2),('list',16,'node',0.953396),('list',17,'node',0.953396),('list',18,'node',9.53396),('lobortis',1,'node',1),('lobortis',3,'node',1),('lobortis',11,'node',1),('lobortis',12,'node',1),('lobortis',13,'node',1),('lobortis',16,'node',2.97286),('lobortis',17,'node',2.97286),('lobortis',18,'node',2.97286),('lobortis',34,'node',4.99731),('lobortis',35,'node',2),('lobortis',36,'node',4.99731),('lobortis',37,'node',4),('lobortis',38,'node',4.99731),('lobortis',39,'node',4),('lobortis',48,'node',4.99315),('lobortis',51,'node',1),('lobortis',52,'node',1),('log',7,'node',4.4),('lorem',8,'node',1),('lorem',9,'node',1),('lorem',10,'node',1),('lorem',16,'node',1),('lorem',17,'node',1),('lorem',18,'node',1),('lorem',40,'node',1),('lorem',41,'node',1),('lorem',42,'node',1),('lorem',43,'node',1),('luctus',34,'node',2),('luctus',35,'node',27),('luctus',36,'node',2),('luctus',37,'node',27),('luctus',38,'node',2),('luctus',39,'node',27),('luctus',40,'node',6),('luctus',41,'node',4),('luctus',42,'node',4),('luctus',43,'node',4),('luctus',48,'node',2),('mactin',13,'node',11),('maecenas',3,'node',1),('maecenas',7,'node',2),('maecenas',16,'node',1),('maecenas',17,'node',1),('maecenas',18,'node',1),('maecenas',34,'node',1),('maecenas',36,'node',1),('maecenas',37,'node',1),('maecenas',38,'node',1),('maecenas',39,'node',1),('maecenas',40,'node',2),('maecenas',41,'node',1),('maecenas',42,'node',1),('maecenas',43,'node',1),('maecenas',48,'node',1),('magna',1,'node',1),('magna',3,'node',1),('magna',16,'node',2.94183),('magna',17,'node',2.94183),('magna',18,'node',2.94183),('magna',34,'node',1.98902),('magna',36,'node',1.98902),('magna',38,'node',1.98902),('magna',48,'node',1.98493),('magna',51,'node',1),('magna',52,'node',1),('magni',16,'node',2),('magni',17,'node',2),('magni',18,'node',2),('malesuada',1,'node',2),('malesuada',8,'node',1),('malesuada',9,'node',1),('malesuada',10,'node',1),('malesuada',16,'node',1),('malesuada',17,'node',1),('malesuada',18,'node',1),('malesuada',34,'node',0.997306),('malesuada',36,'node',0.997306),('malesuada',38,'node',0.997306),('malesuada',48,'node',0.993146),('malesuada',51,'node',2),('malesuada',52,'node',2),('massa',1,'node',1),('massa',11,'node',1),('massa',12,'node',1),('massa',13,'node',1),('massa',34,'node',4),('massa',36,'node',4),('massa',37,'node',2),('massa',38,'node',4),('massa',39,'node',2),('massa',40,'node',2),('massa',41,'node',1),('massa',42,'node',1),('massa',43,'node',1),('massa',48,'node',4),('massa',51,'node',1),('massa',52,'node',1),('mattis',11,'node',27),('mattis',12,'node',1),('mattis',13,'node',1),('mattis',40,'node',1),('mattis',41,'node',1),('mattis',42,'node',1),('mattis',43,'node',1),('mauris',1,'node',2),('mauris',8,'node',1),('mauris',9,'node',1),('mauris',10,'node',1),('mauris',16,'node',1),('mauris',17,'node',1),('mauris',18,'node',1),('mauris',51,'node',2),('mauris',52,'node',2),('maxime',16,'node',1),('maxime',17,'node',1),('maxime',18,'node',1),('maximus',34,'node',1),('maximus',35,'node',1),('maximus',36,'node',1),('maximus',37,'node',1),('maximus',38,'node',1),('maximus',39,'node',1),('maximus',40,'node',1),('maximus',48,'node',1),('menu',25,'node',27),('menu',26,'node',27),('menu',27,'node',27),('menu',28,'node',27),('menu',29,'node',27),('menu',30,'node',27),('menu',31,'node',27),('menu',32,'node',27),('menu',33,'node',27),('menu',47,'node',27),('metus',3,'node',1),('metus',16,'node',2),('metus',17,'node',2),('metus',18,'node',2),('metus',34,'node',2),('metus',36,'node',2),('metus',38,'node',2),('metus',40,'node',2),('metus',41,'node',2),('metus',42,'node',2),('metus',43,'node',2),('metus',48,'node',2),('mission',43,'node',26),('molestiae',8,'node',1),('molestiae',9,'node',1),('molestiae',10,'node',1),('molestiae',16,'node',1),('molestiae',17,'node',1),('molestiae',18,'node',1),('molestie',34,'node',1),('molestie',36,'node',1),('molestie',38,'node',1),('molestie',40,'node',1),('molestie',41,'node',1),('molestie',42,'node',1),('molestie',43,'node',1),('molestie',48,'node',1),('mollis',8,'node',1),('mollis',9,'node',1),('mollis',10,'node',1),('mollis',40,'node',1),('mollit',3,'node',3.91831),('mon',7,'node',1),('morbi',1,'node',1),('morbi',3,'node',1),('morbi',6,'node',13),('morbi',7,'node',11),('morbi',34,'node',1),('morbi',35,'node',1),('morbi',36,'node',1),('morbi',37,'node',1),('morbi',38,'node',1),('morbi',39,'node',1),('morbi',40,'node',1),('morbi',41,'node',1),('morbi',42,'node',1),('morbi',43,'node',1),('morbi',48,'node',1),('morbi',51,'node',1),('morbi',52,'node',1),('multimedia',16,'node',0.866793),('multimedia',17,'node',0.866793),('multimedia',18,'node',0.866793),('multipage',16,'node',0.842342),('multipage',17,'node',0.842342),('multipage',18,'node',0.842342),('nam',7,'node',27),('nam',16,'node',2),('nam',17,'node',2),('nam',18,'node',2),('nam',34,'node',1),('nam',35,'node',1),('nam',36,'node',1),('nam',37,'node',1),('nam',38,'node',1),('nam',39,'node',1),('nam',48,'node',1),('name',46,'node',1),('natus',1,'node',1),('natus',3,'node',5.90324),('natus',16,'node',1),('natus',17,'node',1),('natus',18,'node',1),('natus',51,'node',1),('natus',52,'node',1),('navigation',44,'node',4),('nec',1,'node',1),('nec',3,'node',1),('nec',6,'node',26),('nec',7,'node',22),('nec',11,'node',28),('nec',12,'node',2),('nec',13,'node',2),('nec',34,'node',4),('nec',36,'node',4),('nec',37,'node',2),('nec',38,'node',4),('nec',39,'node',2),('nec',40,'node',2),('nec',41,'node',2),('nec',42,'node',2),('nec',43,'node',2),('nec',48,'node',4),('nec',51,'node',1),('nec',52,'node',1),('nemo',1,'node',1),('nemo',3,'node',1),('nemo',16,'node',1),('nemo',17,'node',1),('nemo',18,'node',1),('nemo',51,'node',1),('nemo',52,'node',1),('nequ',5,'node',41),('neque',1,'node',3),('neque',7,'node',3),('neque',16,'node',1),('neque',17,'node',1),('neque',18,'node',1),('neque',34,'node',3.99731),('neque',35,'node',1),('neque',36,'node',3.99731),('neque',37,'node',2),('neque',38,'node',3.99731),('neque',39,'node',2),('neque',40,'node',2),('neque',41,'node',1),('neque',42,'node',1),('neque',43,'node',1),('neque',48,'node',3.99315),('neque',51,'node',3),('neque',52,'node',3),('nesciunt',16,'node',1),('nesciunt',17,'node',1),('nesciunt',18,'node',1),('news',26,'node',11),('news',30,'node',11),('news',47,'node',11),('nibh',3,'node',1),('nibh',11,'node',1),('nibh',12,'node',1),('nibh',13,'node',1),('nibh',34,'node',1.99315),('nibh',36,'node',1.99315),('nibh',37,'node',1),('nibh',38,'node',1.99315),('nibh',39,'node',1),('nibh',40,'node',1),('nibh',48,'node',1.98902),('nihil',8,'node',1),('nihil',9,'node',1),('nihil',10,'node',1),('nisi',1,'node',2),('nisi',2,'node',21),('nisi',4,'node',18),('nisi',7,'node',2),('nisi',8,'node',1),('nisi',9,'node',1),('nisi',10,'node',1),('nisi',19,'node',21),('nisi',20,'node',21),('nisi',21,'node',21),('nisi',22,'node',21),('nisi',23,'node',21),('nisi',34,'node',1),('nisi',35,'node',1),('nisi',36,'node',1),('nisi',37,'node',1),('nisi',38,'node',1),('nisi',39,'node',1),('nisi',40,'node',1),('nisi',41,'node',1),('nisi',42,'node',1),('nisi',43,'node',1),('nisi',48,'node',1),('nisi',49,'node',21),('nisi',50,'node',21),('nisi',51,'node',2),('nisi',52,'node',2),('nisl',34,'node',3),('nisl',36,'node',3),('nisl',37,'node',2),('nisl',38,'node',3),('nisl',39,'node',2),('nisl',48,'node',3),('non',1,'node',2),('non',3,'node',4.91831),('non',7,'node',31),('non',8,'node',26),('non',9,'node',26),('non',10,'node',26),('non',16,'node',1),('non',17,'node',1),('non',18,'node',1),('non',34,'node',2),('non',35,'node',27),('non',36,'node',2),('non',37,'node',27),('non',38,'node',2),('non',39,'node',27),('non',40,'node',5),('non',41,'node',5),('non',42,'node',5),('non',43,'node',5),('non',48,'node',2),('non',51,'node',2),('non',52,'node',2),('nostrum',8,'node',1),('nostrum',9,'node',1),('nostrum',10,'node',1),('not',24,'node',1),('nulla',1,'node',1),('nulla',3,'node',2),('nulla',7,'node',1),('nulla',8,'node',27),('nulla',9,'node',27),('nulla',10,'node',27),('nulla',16,'node',2),('nulla',17,'node',2),('nulla',18,'node',2),('nulla',34,'node',2),('nulla',36,'node',2),('nulla',38,'node',2),('nulla',40,'node',4),('nulla',41,'node',3),('nulla',42,'node',3),('nulla',43,'node',3),('nulla',48,'node',2),('nulla',51,'node',1),('nulla',52,'node',1),('nullam',1,'node',1),('nullam',3,'node',1),('nullam',16,'node',0.980874),('nullam',17,'node',0.980874),('nullam',18,'node',0.980874),('nullam',34,'node',1),('nullam',36,'node',1),('nullam',38,'node',1),('nullam',40,'node',1),('nullam',48,'node',1),('nullam',51,'node',1),('nullam',52,'node',1),('nunc',3,'node',2),('nunc',7,'node',2),('nunc',16,'node',2),('nunc',17,'node',2),('nunc',18,'node',2),('nunc',34,'node',31),('nunc',35,'node',2),('nunc',36,'node',31),('nunc',37,'node',3),('nunc',38,'node',31),('nunc',39,'node',3),('nunc',40,'node',3),('nunc',41,'node',3),('nunc',42,'node',3),('nunc',43,'node',3),('nunc',48,'node',5),('occaecat',3,'node',3.91831),('occaecati',16,'node',1),('occaecati',17,'node',1),('occaecati',18,'node',1),('odio',7,'node',1),('odio',16,'node',1),('odio',17,'node',1),('odio',18,'node',1),('odio',34,'node',4),('odio',36,'node',4),('odio',37,'node',1),('odio',38,'node',4),('odio',39,'node',1),('odio',40,'node',1),('odio',41,'node',1),('odio',42,'node',1),('odio',43,'node',1),('odio',48,'node',3.99731),('odit',1,'node',1),('odit',3,'node',0.993146),('odit',51,'node',1),('odit',52,'node',1),('officia',3,'node',3.91831),('omnis',1,'node',1),('omnis',3,'node',5.90324),('omnis',16,'node',2),('omnis',17,'node',2),('omnis',18,'node',2),('omnis',51,'node',1),('omnis',52,'node',1),('omra',5,'node',41),('opportunities',50,'node',26),('optio',16,'node',1),('optio',17,'node',1),('optio',18,'node',1),('orci',7,'node',1),('orci',16,'node',2),('orci',17,'node',2),('orci',18,'node',2),('orci',34,'node',2),('orci',35,'node',1),('orci',36,'node',2),('orci',37,'node',1),('orci',38,'node',2),('orci',39,'node',1),('orci',40,'node',3),('orci',41,'node',3),('orci',42,'node',3),('orci',43,'node',3),('orci',48,'node',2),('organisation',41,'node',26),('ornare',1,'node',2),('ornare',5,'node',41),('ornare',34,'node',1),('ornare',35,'node',1),('ornare',36,'node',1),('ornare',37,'node',1),('ornare',38,'node',1),('ornare',39,'node',1),('ornare',40,'node',1),('ornare',41,'node',1),('ornare',42,'node',1),('ornare',43,'node',1),('ornare',48,'node',1),('ornare',51,'node',2),('ornare',52,'node',2),('our',43,'node',26),('packet',18,'node',2.44685),('page',16,'node',1.77575),('page',17,'node',1.77575),('page',18,'node',1.77575),('page',24,'node',27),('pages',16,'node',1.74379),('pages',17,'node',1.74379),('pages',18,'node',1.74379),('pariatur',16,'node',1),('pariatur',17,'node',1),('pariatur',18,'node',1),('pass',44,'node',4),('pellentesque',1,'node',1),('pellentesque',3,'node',2),('pellentesque',7,'node',1),('pellentesque',8,'node',1),('pellentesque',9,'node',1),('pellentesque',10,'node',1),('pellentesque',16,'node',1),('pellentesque',17,'node',1),('pellentesque',18,'node',1),('pellentesque',34,'node',1.99731),('pellentesque',36,'node',1.99731),('pellentesque',37,'node',1),('pellentesque',38,'node',1.99731),('pellentesque',39,'node',1),('pellentesque',48,'node',1.99315),('pellentesque',51,'node',1),('pellentesque',52,'node',1),('permalink',7,'node',22),('perspiciatis',1,'node',1),('perspiciatis',3,'node',5.90324),('perspiciatis',16,'node',1),('perspiciatis',17,'node',1),('perspiciatis',18,'node',1),('perspiciatis',51,'node',1),('perspiciatis',52,'node',1),('pharetra',34,'node',1),('pharetra',36,'node',1),('pharetra',38,'node',1),('pharetra',48,'node',1),('phasellus',7,'node',2),('placerat',16,'node',2),('placerat',17,'node',2),('placerat',18,'node',2),('placerat',40,'node',2),('placerat',41,'node',2),('placerat',42,'node',2),('placerat',43,'node',2),('plan',16,'node',0.848323),('plan',17,'node',0.848323),('plan',18,'node',0.848323),('policy',52,'node',26),('porta',1,'node',1),('porta',3,'node',1),('porta',16,'node',1),('porta',17,'node',1),('porta',18,'node',1),('porta',34,'node',1),('porta',35,'node',1),('porta',36,'node',1),('porta',37,'node',1),('porta',38,'node',1),('porta',39,'node',1),('porta',40,'node',2),('porta',41,'node',2),('porta',42,'node',2),('porta',43,'node',2),('porta',48,'node',1),('porta',51,'node',1),('porta',52,'node',1),('porttitor',6,'node',13),('porttitor',7,'node',11),('porttitor',34,'node',1),('porttitor',36,'node',1),('porttitor',38,'node',1),('porttitor',48,'node',1),('post',7,'node',2),('posuere',3,'node',1),('posuere',34,'node',27),('posuere',35,'node',1),('posuere',36,'node',27),('posuere',37,'node',1),('posuere',38,'node',27),('posuere',39,'node',1),('posuere',40,'node',3),('posuere',41,'node',2),('posuere',42,'node',2),('posuere',43,'node',2),('posuere',48,'node',1),('potenti',3,'node',1),('potenti',6,'node',26),('potenti',7,'node',26),('praesent',1,'node',1),('praesent',2,'node',21),('praesent',4,'node',18),('praesent',7,'node',26),('praesent',19,'node',21),('praesent',20,'node',21),('praesent',21,'node',21),('praesent',22,'node',21),('praesent',23,'node',21),('praesent',34,'node',1),('praesent',35,'node',1),('praesent',36,'node',1),('praesent',37,'node',1),('praesent',38,'node',1),('praesent',39,'node',1),('praesent',48,'node',1),('praesent',49,'node',21),('praesent',50,'node',21),('praesent',51,'node',1),('praesent',52,'node',1),('pretium',5,'node',41),('pretium',40,'node',1),('pretium',41,'node',1),('pretium',42,'node',1),('pretium',43,'node',1),('primis',40,'node',1),('primis',41,'node',1),('primis',42,'node',1),('primis',43,'node',1),('principles',16,'node',0.896076),('principles',17,'node',0.896076),('principles',18,'node',0.896076),('privacy',52,'node',26),('professors',49,'node',26),('proident',3,'node',3.91831),('proin',1,'node',1),('proin',2,'node',21),('proin',4,'node',18),('proin',5,'node',41),('proin',19,'node',21),('proin',20,'node',21),('proin',21,'node',21),('proin',22,'node',21),('proin',23,'node',21),('proin',34,'node',1.99731),('proin',36,'node',1.99731),('proin',37,'node',1),('proin',38,'node',1.99731),('proin',39,'node',1),('proin',48,'node',1.99315),('proin',49,'node',21),('proin',50,'node',21),('proin',51,'node',1),('proin',52,'node',1),('projects',48,'node',26),('provident',16,'node',1),('provident',17,'node',1),('provident',18,'node',1),('publish',16,'node',0.845322),('publish',17,'node',0.845322),('publish',18,'node',0.845322),('pulvinar',1,'node',1),('pulvinar',34,'node',3),('pulvinar',35,'node',2),('pulvinar',36,'node',3),('pulvinar',37,'node',3),('pulvinar',38,'node',3),('pulvinar',39,'node',3),('pulvinar',40,'node',3),('pulvinar',41,'node',2),('pulvinar',42,'node',2),('pulvinar',43,'node',2),('pulvinar',48,'node',3),('pulvinar',51,'node',1),('pulvinar',52,'node',1),('purus',3,'node',1),('purus',6,'node',13),('purus',7,'node',11),('purus',40,'node',2),('purus',41,'node',1),('purus',42,'node',1),('purus',43,'node',1),('quae',1,'node',1),('quae',3,'node',4.91831),('quae',51,'node',1),('quae',52,'node',1),('quam',1,'node',1),('quam',3,'node',1),('quam',7,'node',3),('quam',8,'node',1),('quam',9,'node',1),('quam',10,'node',1),('quam',16,'node',1),('quam',17,'node',1),('quam',18,'node',1),('quam',34,'node',6),('quam',35,'node',2),('quam',36,'node',6),('quam',37,'node',4),('quam',38,'node',6),('quam',39,'node',4),('quam',40,'node',2),('quam',41,'node',2),('quam',42,'node',2),('quam',43,'node',2),('quam',48,'node',6),('quam',51,'node',1),('quam',52,'node',1),('quasi',1,'node',1),('quasi',3,'node',4.91831),('quasi',16,'node',2),('quasi',17,'node',2),('quasi',18,'node',2),('quasi',51,'node',1),('quasi',52,'node',1),('question',45,'node',28),('questions',44,'node',4),('qui',3,'node',4.90324),('qui',8,'node',1),('qui',9,'node',1),('qui',10,'node',1),('quia',1,'node',1),('quia',3,'node',1.97685),('quia',51,'node',1),('quia',52,'node',1),('quis',3,'node',2),('quis',7,'node',2),('quis',8,'node',1),('quis',9,'node',1),('quis',10,'node',1),('quis',11,'node',1),('quis',12,'node',1),('quis',13,'node',1),('quis',16,'node',2.94183),('quis',17,'node',2.94183),('quis',18,'node',2.94183),('quis',34,'node',3),('quis',36,'node',3),('quis',37,'node',2),('quis',38,'node',3),('quis',39,'node',2),('quis',40,'node',6),('quis',41,'node',5),('quis',42,'node',5),('quis',43,'node',5),('quis',48,'node',3),('quisque',7,'node',1),('quisque',11,'node',27),('quisque',12,'node',1),('quisque',13,'node',1),('quisque',16,'node',1),('quisque',17,'node',1),('quisque',18,'node',1),('quisque',34,'node',4),('quisque',35,'node',1),('quisque',36,'node',4),('quisque',37,'node',2),('quisque',38,'node',4),('quisque',39,'node',2),('quisque',40,'node',3),('quisque',41,'node',3),('quisque',42,'node',3),('quisque',43,'node',3),('quisque',48,'node',4),('quiz',44,'node',26),('raesent',35,'node',26),('raesent',37,'node',26),('raesent',39,'node',26),('ranking',51,'node',26),('rate',44,'node',4),('recognize',16,'node',0.945829),('recognize',17,'node',0.945829),('recognize',18,'node',0.945829),('register',7,'node',4.4),('rem',1,'node',1),('rem',3,'node',4.91831),('rem',51,'node',1),('rem',52,'node',1),('reprehenderit',8,'node',1),('reprehenderit',9,'node',1),('reprehenderit',10,'node',1),('return',24,'node',11),('rhoncus',7,'node',2),('rhoncus',16,'node',1),('rhoncus',17,'node',1),('rhoncus',18,'node',1),('rhoncus',34,'node',4.99731),('rhoncus',35,'node',2),('rhoncus',36,'node',4.99731),('rhoncus',37,'node',2),('rhoncus',38,'node',4.99731),('rhoncus',39,'node',2),('rhoncus',40,'node',1),('rhoncus',48,'node',4.99315),('risus',3,'node',1),('risus',11,'node',1),('risus',12,'node',1),('risus',13,'node',1),('risus',16,'node',0.98493),('risus',17,'node',0.98493),('risus',18,'node',0.98493),('risus',34,'node',2),('risus',35,'node',1),('risus',36,'node',2),('risus',37,'node',1),('risus',38,'node',2),('risus',39,'node',1),('risus',40,'node',3),('risus',48,'node',2),('rutrum',1,'node',1),('rutrum',16,'node',0.976851),('rutrum',17,'node',0.976851),('rutrum',18,'node',0.976851),('rutrum',34,'node',1),('rutrum',36,'node',1),('rutrum',38,'node',1),('rutrum',48,'node',1),('rutrum',51,'node',1),('rutrum',52,'node',1),('saepe',16,'node',3),('saepe',17,'node',3),('saepe',18,'node',3),('sagittis',3,'node',1),('sagittis',16,'node',0.993146),('sagittis',17,'node',0.993146),('sagittis',18,'node',0.993146),('sagittis',34,'node',0.993146),('sagittis',36,'node',0.993146),('sagittis',38,'node',0.993146),('sagittis',48,'node',0.989021),('same',18,'node',2.43834),('san',46,'node',5),('sapien',16,'node',1),('sapien',17,'node',1),('sapien',18,'node',1),('sapien',34,'node',2),('sapien',35,'node',1),('sapien',36,'node',2),('sapien',37,'node',2),('sapien',38,'node',2),('sapien',39,'node',2),('sapien',40,'node',3),('sapien',41,'node',3),('sapien',42,'node',3),('sapien',43,'node',3),('sapien',48,'node',2),('sapiente',16,'node',1),('sapiente',17,'node',1),('sapiente',18,'node',1),('scelerisque',3,'node',1),('scelerisque',16,'node',2),('scelerisque',17,'node',2),('scelerisque',18,'node',2),('scelerisque',40,'node',1),('scelerisque',41,'node',1),('scelerisque',42,'node',1),('scelerisque',43,'node',1),('scholarship',27,'node',11),('scholarship',31,'node',11),('sed',1,'node',3),('sed',3,'node',6.90324),('sed',7,'node',2),('sed',11,'node',1),('sed',12,'node',1),('sed',13,'node',1),('sed',16,'node',1),('sed',17,'node',1),('sed',18,'node',1),('sed',34,'node',9.99731),('sed',35,'node',2),('sed',36,'node',9.99731),('sed',37,'node',3),('sed',38,'node',9.99731),('sed',39,'node',3),('sed',40,'node',3),('sed',48,'node',9.99045),('sed',51,'node',3),('sed',52,'node',3),('sem',1,'node',2),('sem',2,'node',21),('sem',4,'node',18),('sem',7,'node',4),('sem',8,'node',1),('sem',9,'node',1),('sem',10,'node',1),('sem',16,'node',1.9534),('sem',17,'node',1.9534),('sem',18,'node',1.9534),('sem',19,'node',21),('sem',20,'node',21),('sem',21,'node',21),('sem',22,'node',21),('sem',23,'node',21),('sem',49,'node',21),('sem',50,'node',21),('sem',51,'node',2),('sem',52,'node',2),('semper',1,'node',2),('semper',6,'node',13),('semper',7,'node',13),('semper',11,'node',1),('semper',12,'node',1),('semper',13,'node',1),('semper',16,'node',0.957226),('semper',17,'node',0.957226),('semper',18,'node',0.957226),('semper',34,'node',1),('semper',36,'node',1),('semper',38,'node',1),('semper',40,'node',1),('semper',48,'node',1),('semper',51,'node',2),('semper',52,'node',2),('sint',3,'node',3.91831),('sit',1,'node',2),('sit',3,'node',6.89516),('sit',7,'node',2),('sit',16,'node',3),('sit',17,'node',3),('sit',18,'node',3),('sit',35,'node',26),('sit',37,'node',26),('sit',39,'node',26),('sit',40,'node',2),('sit',41,'node',2),('sit',42,'node',2),('sit',43,'node',2),('sit',51,'node',2),('sit',52,'node',2),('skirt',12,'node',26),('skirt',13,'node',26),('slide',14,'node',26),('slide',15,'node',26),('sodales',16,'node',1),('sodales',17,'node',1),('sodales',18,'node',1),('sollicitudin',1,'node',1),('sollicitudin',2,'node',42),('sollicitudin',3,'node',2),('sollicitudin',4,'node',36),('sollicitudin',11,'node',1),('sollicitudin',12,'node',1),('sollicitudin',13,'node',1),('sollicitudin',16,'node',1),('sollicitudin',17,'node',1),('sollicitudin',18,'node',1),('sollicitudin',19,'node',42),('sollicitudin',20,'node',42),('sollicitudin',21,'node',42),('sollicitudin',22,'node',42),('sollicitudin',23,'node',42),('sollicitudin',40,'node',1),('sollicitudin',41,'node',1),('sollicitudin',42,'node',1),('sollicitudin',43,'node',1),('sollicitudin',49,'node',42),('sollicitudin',50,'node',42),('sollicitudin',51,'node',1),('sollicitudin',52,'node',1),('states',46,'node',4),('student',28,'node',11),('student',32,'node',11),('subject',46,'node',1),('submitted',7,'node',2),('suda',5,'node',41),('suite',46,'node',5),('sunt',1,'node',1),('sunt',3,'node',8.83663),('sunt',16,'node',1),('sunt',17,'node',1),('sunt',18,'node',1),('sunt',51,'node',1),('sunt',52,'node',1),('suscipit',3,'node',1),('suscipit',7,'node',1),('suscipit',8,'node',1),('suscipit',9,'node',1),('suscipit',10,'node',1),('suscipit',16,'node',0.96498),('suscipit',17,'node',0.96498),('suscipit',18,'node',0.96498),('suscipit',34,'node',1),('suscipit',36,'node',1),('suscipit',37,'node',1),('suscipit',38,'node',1),('suscipit',39,'node',1),('suscipit',48,'node',1),('suspendisse',1,'node',1),('suspendisse',3,'node',2),('suspendisse',6,'node',26),('suspendisse',7,'node',26),('suspendisse',16,'node',0.972861),('suspendisse',17,'node',0.972861),('suspendisse',18,'node',0.972861),('suspendisse',34,'node',30),('suspendisse',35,'node',1),('suspendisse',36,'node',30),('suspendisse',37,'node',2),('suspendisse',38,'node',30),('suspendisse',39,'node',2),('suspendisse',48,'node',4),('suspendisse',51,'node',1),('suspendisse',52,'node',1),('tamaror',2,'node',21),('tamaror',4,'node',18),('tamaror',19,'node',21),('tamaror',20,'node',21),('tamaror',21,'node',21),('tamaror',22,'node',21),('tamaror',23,'node',21),('tamaror',49,'node',21),('tamaror',50,'node',21),('teacher',2,'node',26),('teacher',3,'node',26),('teacher',4,'node',26),('teacher',19,'node',26),('teacher',20,'node',26),('teacher',21,'node',26),('teacher',22,'node',26),('teacher',23,'node',26),('tel',46,'node',5),('tellus',7,'node',28),('tellus',11,'node',27),('tellus',12,'node',1),('tellus',13,'node',1),('tellus',16,'node',1),('tellus',17,'node',1),('tellus',18,'node',1),('tellus',34,'node',1),('tellus',35,'node',26),('tellus',36,'node',1),('tellus',37,'node',27),('tellus',38,'node',1),('tellus',39,'node',27),('tellus',40,'node',1),('tellus',41,'node',1),('tellus',42,'node',1),('tellus',43,'node',1),('tellus',48,'node',1),('tempor',11,'node',1),('tempor',12,'node',1),('tempor',13,'node',1),('tempor',16,'node',0.989021),('tempor',17,'node',0.989021),('tempor',18,'node',0.989021),('tempor',34,'node',1),('tempor',35,'node',1),('tempor',36,'node',1),('tempor',37,'node',1),('tempor',38,'node',1),('tempor',39,'node',1),('tempor',40,'node',1),('tempor',41,'node',1),('tempor',42,'node',1),('tempor',43,'node',1),('tempor',48,'node',1),('tempus',3,'node',1),('tempus',7,'node',4),('tempus',34,'node',1),('tempus',36,'node',1),('tempus',38,'node',1),('tempus',40,'node',1),('tempus',41,'node',1),('tempus',42,'node',1),('tempus',43,'node',1),('tempus',48,'node',1),('tenetur',16,'node',1),('tenetur',17,'node',1),('tenetur',18,'node',1),('text',16,'node',0.882818),('text',17,'node',0.882818),('text',18,'node',0.882818),('the',2,'node',26),('the',3,'node',26),('the',4,'node',26),('the',18,'node',2.44116),('the',19,'node',26),('the',20,'node',26),('the',21,'node',26),('the',22,'node',26),('the',23,'node',26),('the',41,'node',26),('the',42,'node',26),('the',43,'node',26),('this',18,'node',2.44972),('tincidunt',1,'node',2),('tincidunt',3,'node',1),('tincidunt',7,'node',1),('tincidunt',16,'node',1),('tincidunt',17,'node',1),('tincidunt',18,'node',1),('tincidunt',34,'node',4),('tincidunt',35,'node',27),('tincidunt',36,'node',4),('tincidunt',37,'node',28),('tincidunt',38,'node',4),('tincidunt',39,'node',28),('tincidunt',48,'node',3),('tincidunt',51,'node',2),('tincidunt',52,'node',2),('tortor',1,'node',1),('tortor',7,'node',26),('tortor',34,'node',3.99731),('tortor',35,'node',1),('tortor',36,'node',3.99731),('tortor',37,'node',1),('tortor',38,'node',3.99731),('tortor',39,'node',1),('tortor',40,'node',1),('tortor',48,'node',3.99315),('tortor',51,'node',1),('tortor',52,'node',1),('totam',1,'node',1),('totam',3,'node',4.91831),('totam',51,'node',1),('totam',52,'node',1),('tristique',1,'node',1),('tristique',16,'node',1),('tristique',17,'node',1),('tristique',18,'node',1),('tristique',40,'node',1),('tristique',41,'node',1),('tristique',42,'node',1),('tristique',43,'node',1),('tristique',51,'node',1),('tristique',52,'node',1),('true',45,'node',1),('turco',5,'node',41),('turpis',7,'node',2),('turpis',8,'node',1),('turpis',9,'node',1),('turpis',10,'node',1),('turpis',16,'node',1),('turpis',17,'node',1),('turpis',18,'node',1),('turpis',34,'node',1),('turpis',36,'node',1),('turpis',38,'node',1),('turpis',40,'node',3),('turpis',41,'node',3),('turpis',42,'node',3),('turpis',43,'node',3),('turpis',48,'node',1),('ullam',8,'node',1),('ullam',9,'node',1),('ullam',10,'node',1),('ullam',16,'node',1),('ullam',17,'node',1),('ullam',18,'node',1),('ullamcorper',34,'node',3),('ullamcorper',36,'node',3),('ullamcorper',37,'node',1),('ullamcorper',38,'node',3),('ullamcorper',39,'node',1),('ullamcorper',40,'node',1),('ullamcorper',41,'node',1),('ullamcorper',42,'node',1),('ullamcorper',43,'node',1),('ullamcorper',48,'node',2.99731),('ultrices',1,'node',1),('ultrices',3,'node',1),('ultrices',40,'node',1),('ultrices',41,'node',1),('ultrices',42,'node',1),('ultrices',43,'node',1),('ultrices',51,'node',1),('ultrices',52,'node',1),('ultricies',16,'node',1),('ultricies',17,'node',1),('ultricies',18,'node',1),('ultricies',34,'node',4),('ultricies',36,'node',4),('ultricies',37,'node',1),('ultricies',38,'node',4),('ultricies',39,'node',1),('ultricies',48,'node',4),('unde',1,'node',1),('unde',3,'node',5.90324),('unde',51,'node',1),('unde',52,'node',1),('understand',16,'node',2.69906),('understand',17,'node',2.69906),('understand',18,'node',2.69906),('united',46,'node',4),('university',1,'node',26),('university',40,'node',26),('university',41,'node',26),('university',42,'node',26),('university',43,'node',26),('university',51,'node',26),('unlimited',44,'node',4),('urna',16,'node',3),('urna',17,'node',3),('urna',18,'node',3),('urna',34,'node',1),('urna',36,'node',1),('urna',37,'node',1),('urna',38,'node',1),('urna',39,'node',1),('urna',40,'node',1),('urna',48,'node',1),('usa',46,'node',5),('using',16,'node',0.886095),('using',17,'node',0.886095),('using',18,'node',0.886095),('varius',34,'node',1),('varius',36,'node',1),('varius',38,'node',1),('varius',40,'node',1),('varius',41,'node',1),('varius',42,'node',1),('varius',43,'node',1),('varius',48,'node',1),('vehicula',8,'node',1),('vehicula',9,'node',1),('vehicula',10,'node',1),('vehicula',16,'node',1),('vehicula',17,'node',1),('vehicula',18,'node',1),('vehicula',34,'node',1.98902),('vehicula',36,'node',1.98902),('vehicula',38,'node',1.98902),('vehicula',40,'node',1),('vehicula',48,'node',1.98493),('vel',1,'node',3),('vel',3,'node',1),('vel',8,'node',1),('vel',9,'node',1),('vel',10,'node',1),('vel',16,'node',1.99315),('vel',17,'node',1.99315),('vel',18,'node',1.99315),('vel',34,'node',2.99315),('vel',35,'node',1),('vel',36,'node',2.99315),('vel',37,'node',2),('vel',38,'node',2.99315),('vel',39,'node',2),('vel',40,'node',3),('vel',41,'node',2),('vel',42,'node',2),('vel',43,'node',2),('vel',48,'node',2.98902),('vel',51,'node',3),('vel',52,'node',3),('velit',3,'node',0.968904),('velit',8,'node',27),('velit',9,'node',27),('velit',10,'node',27),('velit',40,'node',2),('velit',41,'node',2),('velit',42,'node',2),('velit',43,'node',2),('venenatis',1,'node',1),('venenatis',34,'node',1),('venenatis',35,'node',1),('venenatis',36,'node',1),('venenatis',37,'node',1),('venenatis',38,'node',1),('venenatis',39,'node',1),('venenatis',48,'node',1),('venenatis',51,'node',1),('venenatis',52,'node',1),('veritatis',1,'node',1),('veritatis',3,'node',4.91831),('veritatis',51,'node',1),('veritatis',52,'node',1),('vestibulum',1,'node',1),('vestibulum',3,'node',2),('vestibulum',8,'node',1),('vestibulum',9,'node',1),('vestibulum',10,'node',1),('vestibulum',16,'node',2.97416),('vestibulum',17,'node',2.97416),('vestibulum',18,'node',2.97416),('vestibulum',34,'node',2),('vestibulum',36,'node',2),('vestibulum',37,'node',1),('vestibulum',38,'node',2),('vestibulum',39,'node',1),('vestibulum',40,'node',2),('vestibulum',41,'node',1),('vestibulum',42,'node',1),('vestibulum',43,'node',1),('vestibulum',48,'node',2),('vestibulum',51,'node',1),('vestibulum',52,'node',1),('vietnam',46,'node',4),('vitae',1,'node',1),('vitae',3,'node',6.91831),('vitae',11,'node',1),('vitae',12,'node',1),('vitae',13,'node',1),('vitae',16,'node',0.961087),('vitae',17,'node',0.961087),('vitae',18,'node',0.961087),('vitae',34,'node',1.99731),('vitae',36,'node',1.99731),('vitae',38,'node',1.99731),('vitae',40,'node',4),('vitae',41,'node',1),('vitae',42,'node',1),('vitae',43,'node',1),('vitae',48,'node',1.99315),('vitae',51,'node',1),('vitae',52,'node',1),('vivamus',6,'node',13),('vivamus',7,'node',2),('vivamus',16,'node',1),('vivamus',17,'node',1),('vivamus',18,'node',1),('viverra',1,'node',1),('viverra',6,'node',13),('viverra',7,'node',11),('viverra',8,'node',1),('viverra',9,'node',1),('viverra',10,'node',1),('viverra',16,'node',1),('viverra',17,'node',1),('viverra',18,'node',1),('viverra',40,'node',1),('viverra',41,'node',1),('viverra',42,'node',1),('viverra',43,'node',1),('viverra',51,'node',1),('viverra',52,'node',1),('voluptas',1,'node',1),('voluptas',3,'node',1),('voluptas',51,'node',1),('voluptas',52,'node',1),('voluptate',8,'node',1),('voluptate',9,'node',1),('voluptate',10,'node',1),('voluptatem',1,'node',2),('voluptatem',3,'node',5.91831),('voluptatem',51,'node',2),('voluptatem',52,'node',2),('volutpat',16,'node',1.96498),('volutpat',17,'node',1.96498),('volutpat',18,'node',1.96498),('volutpat',34,'node',3),('volutpat',35,'node',1),('volutpat',36,'node',3),('volutpat',37,'node',3),('volutpat',38,'node',3),('volutpat',39,'node',3),('volutpat',40,'node',1),('volutpat',41,'node',1),('volutpat',42,'node',1),('volutpat',43,'node',1),('volutpat',48,'node',3),('vulputate',3,'node',1),('vulputate',34,'node',3),('vulputate',35,'node',1),('vulputate',36,'node',3),('vulputate',37,'node',3),('vulputate',38,'node',3),('vulputate',39,'node',3),('vulputate',40,'node',2),('vulputate',41,'node',1),('vulputate',42,'node',1),('vulputate',43,'node',1),('vulputate',48,'node',3),('web',16,'node',4.42262),('web',17,'node',4.42262),('web',18,'node',4.42262),('website',16,'node',0.839384),('website',17,'node',0.839384),('website',18,'node',0.839384),('wed',7,'node',1),('weebpal',18,'node',27.1019),('welcome',1,'node',26),('white',12,'node',26),('white',13,'node',26),('write',16,'node',0.913226),('write',17,'node',0.913226),('write',18,'node',0.913226),('your',46,'node',2);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.00513964),('10',0.0157943),('1072015',0.30103),('12292014',0.30103),('18006668888',0.0791812),('2',0.00604585),('2358',0.30103),('2docx',0.045998),('3',0.0101292),('3docx',0.0461465),('4',0.0157943),('404',0.0163904),('49',0.30103),('5',0.0157943),('6',0.0157943),('600',0.0791812),('7',0.0157943),('75',0.09691),('795',0.0791812),('8',0.0157943),('8006666666',0.0791812),('9',0.0157943),('about',0.0163904),('accumsan',0.0347621),('accusantium',0.0380592),('adipisci',0.30103),('adipiscing',0.0511525),('adipisicing',0.124939),('adisu',0.00232866),('admin',0.0193052),('aenean',0.0511525),('aliquam',0.0147233),('aliquet',0.0321847),('aliquid',0.0669468),('allowed',0.0511525),('always',0.09691),('amet',0.0046963),('and',0.0316113),('anim',0.098717),('answer',0.30103),('ante',0.013364),('aperiam',0.05165),('apply',0.0752991),('aptent',0.124939),('architecto',0.05165),('arcu',0.0202034),('aspernatur',0.09691),('attempts',0.09691),('auctor',0.0157943),('augue',0.0222935),('aut',0.0512351),('aute',0.124939),('autem',0.124939),('available',0.09691),('ave',0.0791812),('backwards',0.09691),('beatae',0.05165),('bibendum',0.0457965),('blandit',0.0109954),('ca94107',0.0791812),('camera',0.0163904),('campus',0.0211893),('canada',0.09691),('code',0.135579),('color',0.139996),('comments',0.124939),('commodi',0.0347621),('commodo',0.0457575),('computer',0.0163904),('condimentum',0.0457575),('congue',0.00445434),('consectetuer',0.124939),('consectetur',0.00411763),('consequat',0.00507953),('consequatu',0.124939),('consequatur',0.124939),('consequuntur',0.0669468),('contacts',0.0163904),('contains',0.148962),('content',0.0303175),('convallis',0.0045005),('corporis',0.124939),('corrupti',0.124939),('cras',0.0457575),('css',0.143059),('cubilia',0.09691),('culpa',0.098717),('cupidatat',0.0586325),('curabitur',0.00624895),('curae',0.09691),('cursus',0.0170333),('dapibus',0.00157639),('david',0.0377886),('day',0.00208295),('demo',0.00956613),('demodocx',0.0449571),('deserunt',0.098717),('design',0.0759287),('diam',0.0347621),('dicta',0.05165),('dictum',0.0511525),('dignissim',0.0579919),('dolor',0.03224),('dolorem',0.30103),('doloremque',0.05165),('donec',0.0157958),('dui',0.0184952),('duis',0.0579919),('eaque',0.05165),('earum',0.124939),('edustation',0.012965),('effective',0.136466),('efficitur',0.00208295),('efficiturvivamus',0.0457575),('egestas',0.124939),('eget',0.00496342),('eleifend',0.0579919),('elements',0.0748509),('elementum',0.09691),('elit',0.00934003),('email',0.30103),('enhance',0.137794),('enim',0.0234811),('eos',0.124939),('erat',0.0457575),('eros',0.00475142),('error',0.0462292),('esse',0.124939),('est',0.00386323),('etiam',0.0579919),('euismod',0.00877392),('eum',0.124939),('excepteur',0.30103),('exercitationem',0.0669468),('explicabo',0.05165),('facilis',0.124939),('facilisi',0.30103),('facilisis',0.00403998),('false',0.30103),('faucibus',0.0280287),('fax',0.0791812),('felis',0.00811789),('fermentum',0.0579919),('feugiat',0.0263289),('finibus',0.00532883),('folsom',0.0791812),('format',0.143495),('formatting',0.139556),('forms',0.142186),('found',0.30103),('francisco',0.0791812),('fringilla',0.0299632),('fugiat',0.124939),('fugit',0.30103),('furato',0.0104654),('fusce',0.0299941),('gallery',0.00160553),('graphics',0.140435),('gravida',0.0263332),('habitasse',0.124939),('harum',0.124939),('heading',0.00721292),('hendrerit',0.00113245),('hidden',0.30103),('history',0.0163904),('homepage',0.0377886),('how',0.13469),('html',0.0721479),('hymenaeos',0.124939),('iaculis',0.09691),('illo',0.05165),('images',0.140873),('impedit',0.124939),('imperdiet',0.00507953),('incorporate',0.141749),('integer',0.00998422),('interdum',0.00159374),('into',0.142623),('inventore',0.0301331),('ipsa',0.05165),('ipsam',0.09691),('ipsum',0.0152502),('iste',0.0462292),('italy',0.09691),('iure',0.124939),('japan',0.09691),('job',0.0163904),('jone',0.0377886),('justo',0.00382641),('know',0.134244),('laboriosam',0.124939),('laboris',0.124939),('laborum',0.0586325),('lacinia',0.0580128),('lacus',0.0378563),('languages',0.0163904),('laudantium',0.05165),('lectus',0.00404117),('leo',0.0177288),('libero',0.00330264),('ligula',0.00320514),('list',0.0363921),('lobortis',0.00935942),('log',0.0889411),('lorem',0.0413927),('luctus',0.00403998),('mactin',0.0377886),('maecenas',0.0248236),('magna',0.0204147),('magni',0.0669468),('malesuada',0.0263528),('massa',0.0137883),('mattis',0.012965),('mauris',0.0347621),('maxime',0.124939),('maximus',0.0511525),('menu',0.00160553),('metus',0.0184834),('mission',0.0163904),('molestiae',0.0669468),('molestie',0.0511525),('mollis',0.09691),('mollit',0.098717),('mon',0.30103),('morbi',0.0109954),('multimedia',0.141312),('multipage',0.144799),('nam',0.0107239),('name',0.30103),('natus',0.0350336),('navigation',0.09691),('nec',0.00386042),('nemo',0.0579919),('nequ',0.0104654),('neque',0.0104692),('nesciunt',0.124939),('news',0.012965),('nibh',0.0280859),('nihil',0.124939),('nisi',0.00208295),('nisl',0.0263289),('non',0.00186859),('nostrum',0.124939),('not',0.30103),('nulla',0.00379299),('nullam',0.0349226),('nunc',0.00337974),('occaecat',0.098717),('occaecati',0.124939),('odio',0.0163921),('odit',0.0970591),('officia',0.098717),('omnis',0.0282049),('omra',0.0104654),('opportunities',0.0163904),('optio',0.124939),('orci',0.0142404),('organisation',0.0163904),('ornare',0.00742402),('our',0.0163904),('packet',0.148815),('page',0.0132307),('pages',0.0759682),('pariatur',0.124939),('pass',0.09691),('pellentesque',0.019318),('permalink',0.0193052),('perspiciatis',0.0350336),('pharetra',0.09691),('phasellus',0.176091),('placerat',0.0299632),('plan',0.14393),('policy',0.0163904),('porta',0.0193052),('porttitor',0.01524),('post',0.176091),('posuere',0.00454763),('potenti',0.00811789),('praesent',0.00195189),('pretium',0.00954532),('primis',0.09691),('principles',0.137352),('privacy',0.0163904),('professors',0.0163904),('proident',0.098717),('proin',0.00180591),('projects',0.0163904),('provident',0.124939),('publish',0.144365),('pulvinar',0.013364),('purus',0.0142404),('quae',0.05165),('quam',0.00782534),('quasi',0.0301331),('question',0.01524),('questions',0.09691),('qui',0.0517429),('quia',0.0795178),('quis',0.00771065),('quisque',0.00653087),('quiz',0.0163904),('raesent',0.00553249),('ranking',0.0163904),('rate',0.09691),('recognize',0.131113),('register',0.0889411),('rem',0.05165),('reprehenderit',0.124939),('return',0.0377886),('rhoncus',0.0133701),('risus',0.020246),('rutrum',0.0416687),('saepe',0.0457575),('sagittis',0.0514687),('same',0.149255),('san',0.0791812),('sapien',0.01524),('sapiente',0.124939),('scelerisque',0.0377886),('scholarship',0.012965),('sed',0.00576106),('sem',0.0021148),('semper',0.0100138),('sint',0.098717),('sit',0.00393403),('skirt',0.00827253),('slide',0.00827253),('sodales',0.124939),('sollicitudin',0.00112076),('states',0.09691),('student',0.0193052),('subject',0.30103),('submitted',0.176091),('suda',0.0104654),('suite',0.0791812),('sunt',0.0283275),('suscipit',0.0301821),('suspendisse',0.00272425),('tamaror',0.00232866),('teacher',0.00208295),('tel',0.0791812),('tellus',0.00292455),('tempor',0.0248704),('tempus',0.0321847),('tenetur',0.124939),('text',0.139116),('the',0.00150306),('this',0.148667),('tincidunt',0.00396619),('tortor',0.00877657),('totam',0.05165),('tristique',0.0413927),('true',0.30103),('turco',0.0104654),('turpis',0.0177288),('ullam',0.0669468),('ullamcorper',0.0234845),('ultrices',0.0511525),('ultricies',0.0202034),('unde',0.0462292),('understand',0.050573),('united',0.09691),('university',0.00277505),('unlimited',0.09691),('urna',0.0263289),('usa',0.0791812),('using',0.138676),('varius',0.0511525),('vehicula',0.0281159),('vel',0.00955626),('velit',0.00480053),('venenatis',0.0413927),('veritatis',0.05165),('vestibulum',0.0133959),('vietnam',0.09691),('vitae',0.0138823),('vivamus',0.0234811),('viverra',0.0115819),('voluptas',0.09691),('voluptate',0.124939),('voluptatem',0.034991),('volutpat',0.0147759),('vulputate',0.0170333),('web',0.031558),('website',0.145233),('wed',0.30103),('weebpal',0.0157359),('welcome',0.0163904),('white',0.00827253),('write',0.135135),('your',0.176091);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (26);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `services_endpoint`
--

DROP TABLE IF EXISTS `services_endpoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `services_endpoint` (
  `eid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) NOT NULL COMMENT 'The name of the endpoint.',
  `server` varchar(32) NOT NULL COMMENT 'The name of the server used in this endpoint.',
  `path` varchar(255) NOT NULL COMMENT 'The path to the endpoint for this server.',
  `authentication` longtext NOT NULL COMMENT 'The authentication settings for the endpoint.',
  `server_settings` longblob NOT NULL COMMENT 'The server settings for the endpoint.',
  `resources` longtext NOT NULL COMMENT 'Information about the resources exposed in this endpoint.',
  `debug` int(11) NOT NULL DEFAULT '0' COMMENT 'Set the endpoint in debug mode.',
  PRIMARY KEY (`eid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores endpoint information for services';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services_endpoint`
--

LOCK TABLES `services_endpoint` WRITE;
/*!40000 ALTER TABLE `services_endpoint` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `services_endpoint` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `services_user`
--

DROP TABLE IF EXISTS `services_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `services_user` (
  `uid` int(10) unsigned NOT NULL COMMENT 'User id that has been created by Drupal',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently created by services.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the user was most recently updated by services.',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores users created/updated by services.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services_user`
--

LOCK TABLES `services_user` WRITE;
/*!40000 ALTER TABLE `services_user` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `services_user` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'ASkblJjFQBMxv-R_lQTaEW9S3tnUEavP0JOgrSTUPXo','','192.168.1.49',1499936917,0,''),(1,'xXveAyX-bCFOik7opN9_StShBcT9VTA8_JHylzmpFHc','','192.168.1.49',1500436755,0,''),(1,'ZjVRYS-Vrqqz77rk_SAQvK2KOhSueyLRLwSE3VaHdd0','','192.168.1.43',1500370543,0,'');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `signup`
--

DROP TABLE IF EXISTS `signup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `signup` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary key: node ID',
  `forwarding_email` varchar(64) NOT NULL DEFAULT '' COMMENT 'Email address to send signup notifications to.',
  `send_confirmation` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether confirmation emails should be sent.',
  `confirmation_email` longtext NOT NULL COMMENT 'Email template to send to users when they signup.',
  `send_reminder` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether reminder emails should be sent. This is set to 0 once the reminders are sent.',
  `reminder_days_before` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of days before the start of a time-based node when the reminder emails should be sent.',
  `reminder_email` longtext NOT NULL COMMENT 'Email template to send to users to remind them about a signup.',
  `close_in_advance_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of hours before the start of a time-based node when signups should automatically be closed. This column is not currently used and the behavior is controlled by a site-wide setting.  See http://drupal.org/node/290249 for more information.',
  `close_signup_limit` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Maximum number of users who can signup before signups are closed. If set to 0, there is no limit.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating if signups are open (1) or closed (0) for the given node',
  `user_reg_form` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating if users can sign up for this event from the user registration form.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Signup module per-node settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `signup`
--

LOCK TABLES `signup` WRITE;
/*!40000 ALTER TABLE `signup` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `signup` VALUES (0,'',1,'Enter your default confirmation email message here',1,1,'Enter your default reminder email message here',0,0,1,0),(16,'',1,'Enter your default confirmation email message here',1,1,'Enter your default reminder email message here',0,0,1,0),(17,'',1,'Enter your default confirmation email message here',1,1,'Enter your default reminder email message here',0,0,1,0),(18,'',1,'Enter your default confirmation email message here',1,1,'Enter your default reminder email message here',0,0,1,0);
/*!40000 ALTER TABLE `signup` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `signup_log`
--

DROP TABLE IF EXISTS `signup_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `signup_log` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: signup ID',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Key: the user ID of the user who signed up.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Key: the node ID of the node the user signed up for.',
  `anon_mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The email address for an anonymous user who signed up, or an empty string for authenticated users.',
  `signup_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Integer timestamp of when the user signed up for the node.',
  `form_data` longtext NOT NULL COMMENT 'Serialized string of additional signup form values.  See theme_signup_user_form() from theme/signup.theme for more information.',
  `attended` tinyint(4) DEFAULT NULL COMMENT 'Did this user actually attend the node they signed up for?',
  `count_towards_limit` int(11) NOT NULL DEFAULT '1' COMMENT 'How many slots (if any) this signup should use towards the total signup limit for this node',
  PRIMARY KEY (`sid`),
  KEY `uid` (`uid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Records information for each user who signs up for a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `signup_log`
--

LOCK TABLES `signup_log` WRITE;
/*!40000 ALTER TABLE `signup_log` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `signup_log` VALUES (1,7,18,'',1417429907,'a:0:{}',NULL,1),(2,1,18,'',1417430638,'a:0:{}',NULL,1);
/*!40000 ALTER TABLE `signup_log` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `stylizer`
--

DROP TABLE IF EXISTS `stylizer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stylizer` (
  `sid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this style. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Human readable title for this style.',
  `admin_description` longtext COMMENT 'Administrative description of this style.',
  `settings` longtext COMMENT 'A serialized array of settings specific to the style base that describes this plugin.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Customized stylizer styles created by administrative users.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stylizer`
--

LOCK TABLES `stylizer` WRITE;
/*!40000 ALTER TABLE `stylizer` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `stylizer` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',1,0,0,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:14:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:14:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:14:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',1,0,7012,1,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',1,0,7004,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',1,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',1,1,7000,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,0,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',1,0,0,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',1,0,0,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/advanced_help/advanced_help.module','advanced_help','module','',1,0,0,0,'a:13:{s:4:\"name\";s:13:\"Advanced help\";s:11:\"description\";s:40:\"Provide extended help and documentation.\";s:4:\"core\";s:3:\"7.x\";s:12:\"attributions\";a:1:{s:10:\"click_icon\";a:7:{s:4:\"type\";s:5:\"asset\";s:9:\"exception\";s:8:\"#2460769\";s:6:\"author\";s:14:\"Gisle Hannemyr\";s:4:\"hide\";b:1;s:5:\"title\";s:14:\"click_icon.png\";s:7:\"license\";s:18:\"Creative Commons 0\";s:11:\"license_url\";s:50:\"https://creativecommons.org/publicdomain/zero/1.0/\";}}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1432557782\";s:5:\"mtime\";i:1432557782;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/advanced_help/help_example/help_example.module','help_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Advanced help example\";s:11:\"description\";s:62:\"A example help module to demonstrate the advanced help module.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:13:\"advanced_help\";}s:12:\"attributions\";a:3:{s:18:\"wikipedia_adaption\";a:11:{s:4:\"type\";s:5:\"asset\";s:6:\"weight\";s:3:\"-10\";s:9:\"exception\";s:8:\"#2460769\";s:5:\"title\";s:68:\"About PHP, History of PHP, Usage of PHP, PHP Syntax, Security of PHP\";s:11:\"license_url\";s:46:\"http://creativecommons.org/licenses/by-sa/3.0/\";s:9:\"org_title\";s:15:\"PHP (Wikipedia)\";s:10:\"org_author\";s:31:\"multiple Wikipedia contributors\";s:14:\"org_author_url\";s:60:\"http://en.wikipedia.org/w/index.php?title=PHP&action=history\";s:12:\"org_work_url\";s:32:\"http://en.wikipedia.org/wiki/PHP\";s:11:\"org_license\";s:26:\"Creative Commons BY-SA 3.0\";s:15:\"org_license_url\";s:107:\"http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License\";}s:7:\"lerdorf\";a:7:{s:4:\"type\";s:5:\"asset\";s:9:\"exception\";s:8:\"#2460769\";s:6:\"author\";s:11:\"Jud Dagnall\";s:8:\"work_url\";s:45:\"http://en.wikipedia.org/wiki/File:Lerdorf.jpg\";s:5:\"title\";s:7:\"Lerdorf\";s:7:\"license\";s:26:\"Creative Commons BY-SA 3.0\";s:11:\"license_url\";s:53:\"http://creativecommons.org/licenses/by-sa/3.0/deed.en\";}s:7:\"gutmans\";a:8:{s:4:\"type\";s:5:\"asset\";s:9:\"exception\";s:8:\"#2460769\";s:6:\"author\";s:12:\"Jim Winstead\";s:10:\"author_url\";s:42:\"https://www.flickr.com/people/81342178@N00\";s:8:\"work_url\";s:52:\"http://en.wikipedia.org/wiki/File:Andi_Gutmans_1.jpg\";s:5:\"title\";s:12:\"Andi Gutmans\";s:7:\"license\";s:23:\"Creative Commons BY 2.0\";s:11:\"license_url\";s:50:\"http://creativecommons.org/licenses/by/2.0/deed.en\";}}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:13:\"advanced_help\";s:9:\"datestamp\";s:10:\"1432557782\";s:5:\"mtime\";i:1432557782;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/banners/banners.module','banners','module','',1,0,0,0,'a:11:{s:4:\"name\";s:7:\"Banners\";s:11:\"description\";s:22:\"Banners Block Of Page.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:14:\"banners.module\";}s:9:\"configure\";s:23:\"admin/structure/banners\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.0\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1418734694\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:10:\"field_base\";a:8:{i:0;s:4:\"body\";i:1;s:19:\"field_bef_test_body\";i:2;s:19:\"field_bef_test_date\";i:3;s:22:\"field_bef_test_integer\";i:4;s:22:\"field_bef_test_letters\";i:5;s:23:\"field_bef_test_location\";i:6;s:22:\"field_bef_test_numbers\";i:7;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:8:\"location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.0\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1418734694\";s:5:\"mtime\";i:1499926447;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/blockify/blockify.module','blockify','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Blockify\";s:11:\"description\";s:51:\"Exposes a number of core Drupal elements as blocks.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"blockify\";s:9:\"datestamp\";s:10:\"1303344135\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/block_class.module','block_class','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:3:{i:0;s:7:\"context\";i:1;s:14:\"features (2.x)\";i:2;s:14:\"features_extra\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/tests/block_class_fe_block_test.module','block_class_fe_block_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:44:\"Block Class FE Block Integration Test Helper\";s:11:\"description\";s:99:\"Helper module for testing the integration of Block Class with Features through the FE Block module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:12:\"dependencies\";a:1:{i:0;s:8:\"fe_block\";}s:8:\"features\";a:2:{s:17:\"fe_block_settings\";a:1:{i:0;s:11:\"user-online\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/certificate/certificate.module','certificate','module','',1,0,7002,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"print\";i:1;s:9:\"print_pdf\";}s:11:\"description\";s:56:\"Provides PDF certificates with criteria-based selection.\";s:4:\"name\";s:11:\"Certificate\";s:7:\"project\";s:11:\"certificate\";s:5:\"files\";a:1:{i:0;s:16:\"certificate.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:9:\"datestamp\";s:10:\"1464119460\";s:5:\"mtime\";i:1464119460;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/certificate/modules/certificate_test/certificate_test.module','certificate_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Certificate tests\";s:4:\"core\";s:3:\"7.x\";s:11:\"description\";s:32:\"Tests for the Certificate module\";s:12:\"dependencies\";a:1:{i:0;s:11:\"certificate\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"certificate\";s:9:\"datestamp\";s:10:\"1464119460\";s:5:\"mtime\";i:1464119460;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/certificate/modules/quiz_certificate/quiz_certificate.module','quiz_certificate','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Quiz certificates\";s:4:\"core\";s:3:\"7.x\";s:11:\"description\";s:42:\"Award a Certificate when a quiz is passed.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:11:\"certificate\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"certificate\";s:9:\"datestamp\";s:10:\"1464119460\";s:5:\"mtime\";i:1464119460;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/certificate/modules/signup_certificate/signup_certificate.module','signup_certificate','module','',1,0,0,0,'a:12:{s:4:\"name\";s:18:\"Signup Certificate\";s:4:\"core\";s:3:\"7.x\";s:11:\"description\";s:69:\"Grants access to certificate if user is marked attended for a signup.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"certificate\";i:1;s:6:\"signup\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"certificate\";s:9:\"datestamp\";s:10:\"1464119460\";s:5:\"mtime\";i:1464119460;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/chart/chart.module','chart','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"Chart API\";s:11:\"description\";s:29:\"Google Chart API integration.\";s:7:\"package\";s:8:\"Charting\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/chart/chart_views/chart_views.module','chart_views','module','',1,0,0,0,'a:12:{s:4:\"name\";s:27:\"Chart API Views Integration\";s:11:\"description\";s:40:\"Provides a Google Chart API Views style.\";s:7:\"package\";s:8:\"Charting\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:40:\"views/chart_views_plugin_style_chart.inc\";}s:12:\"dependencies\";a:2:{i:0;s:5:\"chart\";i:1;s:5:\"views\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/chart/system_charts/system_charts.module','system_charts','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Drupal System Charting\";s:11:\"description\";s:34:\"Charting for various core modules.\";s:7:\"package\";s:8:\"Charting\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:5:\"chart\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:5:\"chart\";s:9:\"datestamp\";s:10:\"1314765120\";s:5:\"mtime\";i:1499926447;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ckeditor/ckeditor.module','ckeditor','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"CKEditor\";s:11:\"description\";s:76:\"Enables CKEditor (WYSIWYG HTML editor) for use instead of plain text fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:9:\"configure\";s:29:\"admin/config/content/ckeditor\";s:7:\"version\";s:8:\"7.x-1.16\";s:7:\"project\";s:8:\"ckeditor\";s:9:\"datestamp\";s:10:\"1413311935\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/colorbox/colorbox.module','colorbox','module','',1,0,7202,0,'a:13:{s:4:\"name\";s:8:\"Colorbox\";s:11:\"description\";s:63:\"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.\";s:12:\"dependencies\";a:1:{i:0;s:17:\"libraries (>=2.x)\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/media/colorbox\";s:5:\"files\";a:1:{i:0;s:41:\"views/colorbox_handler_field_colorbox.inc\";}s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:5:\"mtime\";i:1491291489;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',1,0,6004,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/course.module','course','module','',1,0,7140,0,'a:14:{s:4:\"name\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:11:\"description\";s:33:\"Create Drupal e-learning courses.\";s:12:\"dependencies\";a:5:{i:0;s:6:\"ctools\";i:1;s:6:\"entity\";i:2;s:4:\"uuid\";i:3;s:5:\"views\";i:4;s:21:\"views_bulk_operations\";}s:17:\"test_dependencies\";a:6:{i:0;s:3:\"acl\";i:1;s:14:\"content_access\";i:2;s:6:\"entity\";i:3;s:12:\"entity_token\";i:4;s:16:\"node_access_book\";i:5;s:5:\"rules\";}s:3:\"php\";s:5:\"5.4.0\";s:7:\"package\";s:6:\"Course\";s:9:\"configure\";s:12:\"admin/course\";s:5:\"files\";a:33:{i:0;s:29:\"includes/CourseController.inc\";i:1;s:29:\"includes/CourseEnrollment.inc\";i:2;s:26:\"includes/CourseHandler.inc\";i:3;s:19:\"includes/Course.inc\";i:4;s:31:\"includes/CourseObjectAccess.inc\";i:5;s:35:\"includes/CourseObjectController.inc\";i:6;s:31:\"includes/CourseObjectBroken.inc\";i:7;s:36:\"includes/CourseObjectFulfillment.inc\";i:8;s:46:\"includes/CourseObjectFulfillmentController.inc\";i:9;s:25:\"includes/CourseObject.inc\";i:10;s:29:\"includes/CourseObjectNode.inc\";i:11;s:25:\"includes/CourseReport.inc\";i:12;s:44:\"plugins/course_object_access/conditional.inc\";i:13;s:38:\"plugins/course_object_access/grade.inc\";i:14;s:39:\"plugins/course_object_access/timing.inc\";i:15;s:31:\"tests/CourseAccessTestCase.test\";i:16;s:32:\"tests/CourseContextTestCase.test\";i:17;s:35:\"tests/CourseEnrollmentTestCase.test\";i:18;s:30:\"tests/CourseGradeTestCase.test\";i:19;s:48:\"tests/CourseObjectAccessConditionalTestCase.test\";i:20;s:37:\"tests/CourseObjectAccessTestCase.test\";i:21;s:41:\"tests/CourseObjectAccessTimeTestCase.test\";i:22;s:42:\"tests/CourseObjectFulfillmentTestCase.test\";i:23;s:35:\"tests/CourseObjectNodeTestCase.test\";i:24;s:31:\"tests/CourseObjectTestCase.test\";i:25;s:34:\"tests/CourseOutlineUiTestCase.test\";i:26;s:25:\"tests/CourseTestCase.test\";i:27;s:33:\"tests/CourseWorkflowTestCase.test\";i:28;s:58:\"views/handlers/course_views_handler_relationship_ce_cr.inc\";i:29;s:58:\"views/handlers/course_views_handler_relationship_cr_ce.inc\";i:30;s:46:\"views/handlers/views_handler_filter_course.inc\";i:31;s:36:\"views/handlers/views_join_course.inc\";i:32;s:55:\"views/plugins/views_plugin_argument_validate_course.inc\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_book/course_book.module','course_book','module','',1,0,0,0,'a:13:{s:4:\"name\";s:11:\"Course book\";s:11:\"description\";s:83:\"Supports Drupal Books as course objects, with configurable completion requirements.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"book\";i:1;s:6:\"course\";}s:9:\"configure\";s:17:\"admin/course/book\";s:5:\"files\";a:2:{i:0;s:23:\"course_book.classes.inc\";i:1;s:16:\"course_book.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_certificate/course_certificate.module','course_certificate','module','',1,0,6101,0,'a:12:{s:4:\"name\";s:18:\"Course certificate\";s:11:\"description\";s:74:\"Uses Certificate module to award a certificate when a course is completed.\";s:7:\"package\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:11:\"certificate\";i:1;s:6:\"course\";}s:5:\"files\";a:1:{i:0;s:30:\"course_certificate.classes.inc\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_content/course_content.module','course_content','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"Course content\";s:11:\"description\";s:94:\"Expose selected content types as course content objects with configurable completion tracking.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"course\";}s:5:\"files\";a:2:{i:0;s:26:\"course_content.classes.inc\";i:1;s:19:\"course_content.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_object_manual/course_object_manual.module','course_object_manual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:20:\"Course object manual\";s:11:\"description\";s:125:\"Allows a course admin to add an arbitrary step which must be completed by an administrator before a learner proceeds past it.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"course\";}s:5:\"files\";a:2:{i:0;s:32:\"course_object_manual.classes.inc\";i:1;s:25:\"course_object_manual.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_poll/course_poll.module','course_poll','module','',1,0,0,0,'a:12:{s:4:\"name\";s:11:\"Course poll\";s:11:\"description\";s:32:\"Exposes Poll as a course object.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"poll\";i:1;s:6:\"course\";}s:5:\"files\";a:1:{i:0;s:23:\"course_poll.classes.inc\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_quiz/course_quiz.module','course_quiz','module','',1,0,0,0,'a:12:{s:4:\"name\";s:11:\"Course quiz\";s:11:\"description\";s:39:\"Exposes Drupal Quiz as a course object.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"course\";i:1;s:4:\"quiz\";}s:5:\"files\";a:2:{i:0;s:23:\"course_quiz.classes.inc\";i:1;s:16:\"course_quiz.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_signup/course_signup.module','course_signup','module','',1,1,0,0,'a:13:{s:4:\"name\";s:13:\"Course signup\";s:11:\"description\";s:62:\"Use Signup as an enrollment and attendance system for courses.\";s:7:\"package\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"course\";i:1;s:6:\"signup\";}s:9:\"configure\";s:19:\"admin/course/signup\";s:5:\"files\";a:4:{i:0;s:25:\"course_signup.classes.inc\";i:1;s:18:\"course_signup.test\";i:2;s:50:\"course_signup_views_handler_relationship_ce_sl.inc\";i:3;s:50:\"course_signup_views_handler_relationship_sl_ce.inc\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_uc/course_uc.module','course_uc','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Course ubercart\";s:11:\"description\";s:80:\"Supports Course as an Ubercart product and restricts enrollment to paid courses.\";s:7:\"package\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:6:\"course\";i:1;s:5:\"rules\";i:2;s:7:\"uc_cart\";i:3;s:8:\"uc_order\";i:4;s:10:\"uc_product\";}s:5:\"files\";a:2:{i:0;s:21:\"course_uc.classes.inc\";i:1;s:14:\"course_uc.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/modules/course_webform/course_webform.module','course_webform','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"Course webform\";s:11:\"description\";s:34:\"Expose Webform as a course object.\";s:7:\"package\";s:14:\"Course objects\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"course\";i:1;s:7:\"webform\";}s:5:\"files\";a:2:{i:0;s:26:\"course_webform.classes.inc\";i:1;s:19:\"course_webform.test\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course/tests/course_test/course_test.module','course_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Course test module\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"course\";}s:5:\"files\";a:1:{i:0;s:23:\"course_test.classes.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:6:\"course\";s:9:\"datestamp\";s:10:\"1487351587\";s:5:\"mtime\";i:1487351587;s:11:\"description\";s:0:\"\";s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course_credit/course_credit.module','course_credit','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Course credit\";s:11:\"description\";s:107:\"Adds credit functionality to courses, including multiple credit types, credit mapping, and variable credit.\";s:7:\"package\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"course\";}s:5:\"files\";a:9:{i:0;s:23:\"course_credit.views.inc\";i:1;s:59:\"includes/course_credit_course_report_credit_awarded_vhr.inc\";i:2;s:61:\"includes/course_credit_credit_awarded_credit_instance_vhr.inc\";i:3;s:64:\"includes/views_handler_field_course_credit_node_active_types.inc\";i:4;s:52:\"includes/views_handler_field_course_credit_title.inc\";i:5;s:52:\"includes/views_handler_filter_course_credit_type.inc\";i:6;s:37:\"includes/views_join_course_credit.inc\";i:7;s:18:\"course_credit.test\";i:8;s:25:\"course_credit.classes.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:13:\"course_credit\";s:9:\"datestamp\";s:10:\"1391568508\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course_credit/modules/course_credit_test/course_credit_test.module','course_credit_test','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Course credit test\";s:11:\"description\";s:42:\"Helper functions for testing Course credit\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:13:\"course_credit\";i:1;s:11:\"course_test\";i:2;s:8:\"profile2\";}s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:13:\"course_credit\";s:9:\"datestamp\";s:10:\"1391568508\";s:5:\"mtime\";i:1499926447;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/course_credit/modules/course_restrict_credit/course_restrict_credit.module','course_restrict_credit','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Course restrict credit\";s:11:\"description\";s:62:\"Restricts claiming credit to only one of many similar courses.\";s:7:\"package\";s:6:\"Course\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:13:\"course_credit\";}s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:13:\"course_credit\";s:9:\"datestamp\";s:10:\"1391568508\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',1,0,0,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',1,0,0,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',1,0,0,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',1,0,0,99,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',1,0,0,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date.module','date','module','',1,0,7005,0,'a:14:{s:4:\"name\";s:4:\"Date\";s:11:\"description\";s:33:\"Makes date/time fields available.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:10:{i:0;s:16:\"date.migrate.inc\";i:1;s:19:\"tests/date_api.test\";i:2;s:15:\"tests/date.test\";i:3;s:21:\"tests/date_field.test\";i:4;s:23:\"tests/date_migrate.test\";i:5;s:26:\"tests/date_validation.test\";i:6;s:24:\"tests/date_timezone.test\";i:7;s:27:\"tests/date_views_pager.test\";i:8;s:27:\"tests/date_views_popup.test\";i:9;s:20:\"tests/date_form.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/date/date_all_day/date_all_day.module','date_all_day','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Date All Day\";s:11:\"description\";s:142:\"Adds \'All Day\' functionality to date fields, including an \'All Day\' theme and \'All Day\' checkboxes for the Date select and Date popup widgets.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_api/date_api.module','date_api','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:8:\"Date API\";s:11:\"description\";s:45:\"A Date API that can be used by other modules.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"date.css\";s:40:\"sites/all/modules/date/date_api/date.css\";}}s:5:\"files\";a:2:{i:0;s:15:\"date_api.module\";i:1;s:16:\"date_api_sql.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:12:\"dependencies\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_context/date_context.module','date_context','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Date Context\";s:11:\"description\";s:99:\"Adds an option to the Context module to set a context condition based on the value of a date field.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"date\";i:1;s:7:\"context\";}s:5:\"files\";a:2:{i:0;s:19:\"date_context.module\";i:1;s:39:\"plugins/date_context_date_condition.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate.module','date_migrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Date Migration\";s:11:\"description\";s:73:\"Obsolete data migration module. Disable if no other modules depend on it.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"Date/Time\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module','date_migrate_example','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:4:\"date\";i:1;s:11:\"date_repeat\";i:2;s:17:\"date_repeat_field\";i:3;s:8:\"features\";i:4;s:7:\"migrate\";}s:11:\"description\";s:42:\"Examples of migrating with the Date module\";s:8:\"features\";a:2:{s:5:\"field\";a:8:{i:0;s:30:\"node-date_migrate_example-body\";i:1;s:36:\"node-date_migrate_example-field_date\";i:2;s:42:\"node-date_migrate_example-field_date_range\";i:3;s:43:\"node-date_migrate_example-field_date_repeat\";i:4;s:41:\"node-date_migrate_example-field_datestamp\";i:5;s:47:\"node-date_migrate_example-field_datestamp_range\";i:6;s:40:\"node-date_migrate_example-field_datetime\";i:7;s:46:\"node-date_migrate_example-field_datetime_range\";}s:4:\"node\";a:1:{i:0;s:20:\"date_migrate_example\";}}s:5:\"files\";a:1:{i:0;s:32:\"date_migrate_example.migrate.inc\";}s:4:\"name\";s:22:\"Date Migration Example\";s:7:\"package\";s:8:\"Features\";s:7:\"project\";s:4:\"date\";s:7:\"version\";s:8:\"7.x-2.10\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_popup/date_popup.module','date_popup','module','',1,0,0,0,'a:14:{s:4:\"name\";s:10:\"Date Popup\";s:11:\"description\";s:84:\"Enables jquery popup calendars and time entry widgets for selecting dates and times.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/date/date_popup\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:25:\"themes/datepicker.1.7.css\";s:59:\"sites/all/modules/date/date_popup/themes/datepicker.1.7.css\";}}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat/date_repeat.module','date_repeat','module','',1,0,0,1,'a:12:{s:4:\"name\";s:15:\"Date Repeat API\";s:11:\"description\";s:73:\"A Date Repeat API to calculate repeating dates and times from iCal rules.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:2:{i:0;s:22:\"tests/date_repeat.test\";i:1;s:27:\"tests/date_repeat_form.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat_field/date_repeat_field.module','date_repeat_field','module','',1,0,0,0,'a:13:{s:4:\"name\";s:17:\"Date Repeat Field\";s:11:\"description\";s:97:\"Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";i:2;s:11:\"date_repeat\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:21:\"date_repeat_field.css\";s:62:\"sites/all/modules/date/date_repeat_field/date_repeat_field.css\";}}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_tools/date_tools.module','date_tools','module','',1,0,0,0,'a:13:{s:4:\"name\";s:10:\"Date Tools\";s:11:\"description\";s:52:\"Tools to import and auto-create dates and calendars.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/config/date/tools\";s:5:\"files\";a:1:{i:0;s:21:\"tests/date_tools.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_views/date_views.module','date_views','module','',1,0,7200,0,'a:12:{s:4:\"name\";s:10:\"Date Views\";s:11:\"description\";s:57:\"Views integration for date fields and date functionality.\";s:7:\"package\";s:9:\"Date/Time\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:6:{i:0;s:40:\"includes/date_views_argument_handler.inc\";i:1;s:47:\"includes/date_views_argument_handler_simple.inc\";i:2;s:38:\"includes/date_views_filter_handler.inc\";i:3;s:45:\"includes/date_views_filter_handler_simple.inc\";i:4;s:29:\"includes/date_views.views.inc\";i:5;s:36:\"includes/date_views_plugin_pager.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/tests/date_test/date_test.module','date_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Date module tests\";s:11:\"description\";s:40:\"Support module for date related testing.\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity.module','entity','module','',1,0,7003,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',1,0,0,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',1,0,7100,0,'a:15:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:17:\"test_dependencies\";a:2:{i:0;s:5:\"feeds\";i:1;s:5:\"views\";}s:5:\"files\";a:12:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";i:11;s:45:\"tests/entityreference.entity_translation.test\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/extended_file_field/extended_file_field.module','extended_file_field','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Extended File Field\";s:11:\"description\";s:70:\"Extends the core File field widget and provides a new field formatter.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.3\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:19:\"extended_file_field\";s:9:\"datestamp\";s:10:\"1396113245\";s:5:\"mtime\";i:1499926447;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/features/features.module','features','module','',1,0,7200,20,'a:14:{s:4:\"name\";s:8:\"Features\";s:11:\"description\";s:39:\"Provides feature management for Drupal.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:5:\"files\";a:1:{i:0;s:19:\"tests/features.test\";}s:17:\"test_dependencies\";a:4:{i:0;s:5:\"image\";i:1;s:9:\"strongarm\";i:2;s:8:\"taxonomy\";i:3;s:5:\"views\";}s:9:\"configure\";s:33:\"admin/structure/features/settings\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:5:\"mtime\";i:1461011641;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/features/tests/features_test/features_test.module','features_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Features Tests\";s:11:\"description\";s:33:\"Test module for Features testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:3:\"php\";s:5:\"5.2.0\";s:12:\"dependencies\";a:5:{i:0;s:8:\"features\";i:1;s:5:\"image\";i:2;s:9:\"strongarm\";i:3;s:8:\"taxonomy\";i:4;s:5:\"views\";}s:8:\"features\";a:10:{s:6:\"ctools\";a:2:{i:0;s:21:\"strongarm:strongarm:1\";i:1;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:10:\"field_base\";a:1:{i:0;s:19:\"field_features_test\";}s:14:\"field_instance\";a:1:{i:0;s:38:\"node-features_test-field_features_test\";}s:6:\"filter\";a:1:{i:0;s:13:\"features_test\";}s:5:\"image\";a:1:{i:0;s:13:\"features_test\";}s:4:\"node\";a:1:{i:0;s:13:\"features_test\";}s:8:\"taxonomy\";a:1:{i:0;s:22:\"taxonomy_features_test\";}s:15:\"user_permission\";a:1:{i:0;s:28:\"create features_test content\";}s:10:\"views_view\";a:1:{i:0;s:13:\"features_test\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:5:\"mtime\";i:1461011641;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection/field_collection.module','field_collection','module','',1,0,7008,0,'a:16:{s:4:\"name\";s:16:\"Field collection\";s:11:\"description\";s:81:\"Provides a field collection field, to which any number of fields can be attached.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:17:\"test_dependencies\";a:1:{i:0;s:18:\"entity_translation\";}s:5:\"files\";a:6:{i:0;s:21:\"field_collection.test\";i:1;s:27:\"field_collection.entity.inc\";i:2;s:25:\"field_collection.info.inc\";i:3;s:54:\"includes/translation.handler.field_collection_item.inc\";i:4;s:47:\"views/field_collection_handler_relationship.inc\";i:5;s:28:\"field_collection.migrate.inc\";}s:9:\"configure\";s:33:\"admin/structure/field-collections\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:5:\"mtime\";i:1479402861;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/field_formatter_class/field_formatter_class.module','field_formatter_class','module','',1,0,0,0,'a:12:{s:4:\"name\";s:21:\"Field Formatter Class\";s:11:\"description\";s:48:\"Allows custom HTML classes for field formatters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:24:\"field_formatter_settings\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_formatter_settings/field_formatter_settings.module','field_formatter_settings','module','',1,0,0,0,'a:13:{s:4:\"name\";s:28:\"Field formatter settings API\";s:11:\"description\";s:71:\"Provides missing alter hooks for field formatter settings and summaries\";s:4:\"core\";s:3:\"7.x\";s:8:\"enhances\";a:2:{i:0;s:8:\"field_ui\";i:1;s:8:\"views_ui\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/field_group.module','field_group','module','',1,0,7008,1,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_slideshow/field_slideshow.module','field_slideshow','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:15:\"Field Slideshow\";s:11:\"description\";s:65:\"Provides a Slideshow format for displaying Image or Media fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"field_slideshow.module\";}s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider.module','flexslider','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:10:\"FlexSlider\";s:11:\"description\";s:46:\"Integrate the FlexSlider 2 library with Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:3:{i:0;s:17:\"libraries (>=2.x)\";i:1;s:6:\"ctools\";i:2;s:5:\"image\";}s:5:\"files\";a:2:{i:0;s:26:\"theme/flexslider.theme.inc\";i:1;s:15:\"flexslider.test\";}s:9:\"configure\";s:29:\"admin/config/media/flexslider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_example/flexslider_example.module','flexslider_example','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:18:\"FlexSlider Example\";s:11:\"description\";s:35:\"Sample implementation of FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:7:\"context\";i:1;s:8:\"features\";i:2;s:10:\"flexslider\";i:3;s:17:\"flexslider_fields\";i:4;s:16:\"flexslider_views\";i:5;s:5:\"image\";i:6;s:4:\"menu\";i:7;s:9:\"strongarm\";i:8;s:5:\"views\";}s:8:\"features\";a:9:{s:7:\"context\";a:1:{i:0;s:28:\"flexslider_example_thumbnail\";}s:6:\"ctools\";a:4:{i:0;s:17:\"context:context:3\";i:1;s:38:\"flexslider:flexslider_default_preset:1\";i:2;s:21:\"strongarm:strongarm:1\";i:3;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:2:{i:0;s:54:\"node-flexslider_example-field_flexslider_example_image\";i:1;s:56:\"node-flexslider_example-field_flexslider_example_slidesh\";}s:20:\"flexslider_optionset\";a:6:{i:0;s:43:\"flexslider_carousel_with_min_and_max_ranges\";i:1;s:33:\"flexslider_default_basic_carousel\";i:2;s:46:\"flexslider_default_slider_thumbnail_controlnav\";i:3;s:44:\"flexslider_default_slider_w_thumbnail_slider\";i:4;s:37:\"flexslider_default_thumbnail_captions\";i:5;s:35:\"flexslider_default_thumbnail_slider\";}s:11:\"menu_custom\";a:1:{i:0;s:23:\"menu-flexslider-example\";}s:4:\"node\";a:1:{i:0;s:18:\"flexslider_example\";}s:8:\"variable\";a:1:{i:0;s:46:\"field_bundle_settings_node__flexslider_example\";}s:10:\"views_view\";a:1:{i:0;s:24:\"flexslider_views_example\";}}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module','flexslider_fields','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"FlexSlider Fields\";s:11:\"description\";s:44:\"Adds a display mode in Fields for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:1:{i:0;s:10:\"flexslider\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','flexslider_views','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"FlexSlider Views Style\";s:11:\"description\";s:40:\"Adds a Views style plugin for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:10:\"flexslider\";}s:5:\"files\";a:3:{i:0;s:23:\"flexslider_views.module\";i:1;s:26:\"flexslider_views.views.inc\";i:2;s:44:\"flexslider_views_plugin_style_flexslider.inc\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/follow/follow.module','follow','module','',1,0,7004,0,'a:13:{s:4:\"name\";s:6:\"Follow\";s:11:\"description\";s:59:\"Add sitewide and per user links to social network profiles.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"tests/follow.test\";}s:6:\"config\";s:28:\"admin/config/services/follow\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/follow/tests/follow_test/follow_test.module','follow_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Follow Test module\";s:11:\"description\";s:31:\"Used for Testing Follow module.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"follow\";}s:6:\"hidden\";b:1;s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:7:\"project\";s:6:\"follow\";s:9:\"datestamp\";s:10:\"1366924811\";s:5:\"mtime\";i:1499926447;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:5:\"mtime\";i:1476103133;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n.module','i18n','module','',1,1,7001,10,'a:13:{s:4:\"name\";s:20:\"Internationalization\";s:11:\"description\";s:49:\"Extends Drupal support for multilingual features.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:8:\"variable\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:15:\"i18n_object.inc\";i:1;s:9:\"i18n.test\";}s:9:\"configure\";s:26:\"admin/config/regional/i18n\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_block/i18n_block.module','i18n_block','module','',1,0,7001,100,'a:12:{s:4:\"name\";s:15:\"Block languages\";s:11:\"description\";s:68:\"Enables language selector for blocks and optional block translation.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_block.inc\";i:1;s:15:\"i18n_block.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_contact/i18n_contact.module','i18n_contact','module','',1,0,0,0,'a:12:{s:4:\"name\";s:19:\"Contact translation\";s:11:\"description\";s:63:\"Makes contact categories and replies available for translation.\";s:12:\"dependencies\";a:2:{i:0;s:7:\"contact\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_field/i18n_field.module','i18n_field','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:17:\"Field translation\";s:11:\"description\";s:26:\"Translate field properties\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_field.inc\";i:1;s:15:\"i18n_field.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_forum/i18n_forum.module','i18n_forum','module','',1,0,0,10,'a:12:{s:4:\"name\";s:18:\"Multilingual forum\";s:11:\"description\";s:60:\"Enables multilingual forum, translates names and containers.\";s:12:\"dependencies\";a:3:{i:0;s:5:\"forum\";i:1;s:13:\"i18n_taxonomy\";i:2;s:9:\"i18n_node\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"i18n_forum.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_menu/i18n_menu.module','i18n_menu','module','',1,0,7001,5,'a:12:{s:4:\"name\";s:16:\"Menu translation\";s:11:\"description\";s:40:\"Supports translatable custom menu items.\";s:12:\"dependencies\";a:4:{i:0;s:4:\"i18n\";i:1;s:4:\"menu\";i:2;s:11:\"i18n_string\";i:3;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_menu.inc\";i:1;s:14:\"i18n_menu.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_node/i18n_node.module','i18n_node','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:20:\"Multilingual content\";s:11:\"description\";s:46:\"Extended node options for multilingual content\";s:12:\"dependencies\";a:3:{i:0;s:11:\"translation\";i:1;s:4:\"i18n\";i:2;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:31:\"admin/config/regional/i18n/node\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_node.test\";i:1;s:22:\"i18n_node.variable.inc\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_path/i18n_path.module','i18n_path','module','',1,0,7000,5,'a:12:{s:4:\"name\";s:16:\"Path translation\";s:11:\"description\";s:37:\"Define translations for generic paths\";s:12:\"dependencies\";a:1:{i:0;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_path.inc\";i:1;s:14:\"i18n_path.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_redirect/i18n_redirect.module','i18n_redirect','module','',1,0,0,0,'a:12:{s:4:\"name\";s:20:\"Translation redirect\";s:11:\"description\";s:71:\"Redirect to translated page when available. SEO for multilingual sites.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_select/i18n_select.module','i18n_select','module','',1,0,0,0,'a:13:{s:4:\"name\";s:19:\"Multilingual select\";s:11:\"description\";s:45:\"API module for multilingual content selection\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:33:\"admin/config/regional/i18n/select\";s:5:\"files\";a:1:{i:0;s:16:\"i18n_select.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_string/i18n_string.module','i18n_string','module','',1,0,7002,10,'a:13:{s:4:\"name\";s:18:\"String translation\";s:11:\"description\";s:57:\"Provides support for translation of user defined strings.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:21:\"i18n_string.admin.inc\";i:1;s:15:\"i18n_string.inc\";i:2;s:16:\"i18n_string.test\";}s:9:\"configure\";s:34:\"admin/config/regional/i18n/strings\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_sync/i18n_sync.module','i18n_sync','module','',1,0,7000,100,'a:12:{s:4:\"name\";s:24:\"Synchronize translations\";s:11:\"description\";s:73:\"Synchronizes taxonomy and fields across translations of the same content.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"i18n\";i:1;s:11:\"translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:16:\"i18n_sync.module\";i:1;s:17:\"i18n_sync.install\";i:2;s:20:\"i18n_sync.module.inc\";i:3;s:18:\"i18n_sync.node.inc\";i:4;s:14:\"i18n_sync.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.module','i18n_taxonomy','module','',1,0,7004,5,'a:12:{s:4:\"name\";s:20:\"Taxonomy translation\";s:11:\"description\";s:30:\"Enables multilingual taxonomy.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"taxonomy\";i:1;s:11:\"i18n_string\";i:2;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:17:\"i18n_taxonomy.inc\";i:1;s:23:\"i18n_taxonomy.pages.inc\";i:2;s:23:\"i18n_taxonomy.admin.inc\";i:3;s:18:\"i18n_taxonomy.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_translation/i18n_translation.module','i18n_translation','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Translation sets\";s:11:\"description\";s:47:\"Simple translation sets API for generic objects\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"i18n_translation.inc\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_user/i18n_user.module','i18n_user','module','',1,0,0,-10000,'a:12:{s:4:\"name\";s:21:\"User mail translation\";s:11:\"description\";s:43:\"Translate emails sent from the User module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:1:{i:0;s:13:\"i18n_variable\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_variable/i18n_variable.module','i18n_variable','module','',1,1,7004,-900,'a:13:{s:4:\"name\";s:20:\"Variable translation\";s:11:\"description\";s:71:\"Multilingual variables that switch language depending on page language.\";s:12:\"dependencies\";a:3:{i:0;s:4:\"i18n\";i:1;s:24:\"variable_store (7.x-2.x)\";i:2;s:24:\"variable_realm (7.x-2.x)\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/config/regional/i18n/variable\";s:5:\"files\";a:2:{i:0;s:23:\"i18n_variable.class.inc\";i:1;s:18:\"i18n_variable.test\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/tests/i18n_test.module','i18n_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Internationalization tests\";s:11:\"description\";s:55:\"Helper module for testing i18n (do not enable manually)\";s:12:\"dependencies\";a:3:{i:0;s:6:\"locale\";i:1;s:11:\"translation\";i:2;s:4:\"i18n\";}s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1497704047\";s:5:\"mtime\";i:1497704047;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/imce/imce.module','imce','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:4:\"IMCE\";s:11:\"description\";s:82:\"An image/file uploader and browser supporting personal directories and user quota.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:23:\"admin/config/media/imce\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"imce\";s:9:\"datestamp\";s:10:\"1495890787\";s:5:\"mtime\";i:1495890787;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/inline_entity_form/inline_entity_form.module','inline_entity_form','module','',1,0,0,0,'a:13:{s:4:\"name\";s:18:\"Inline Entity Form\";s:11:\"description\";s:98:\"Provides a widget for inline management (creation, modification, removal) of referenced entities. \";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:14:\"system (>7.14)\";}s:17:\"test_dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:15:\"entityreference\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:7:{i:0;s:38:\"includes/entity.inline_entity_form.inc\";i:1;s:36:\"includes/node.inline_entity_form.inc\";i:2;s:45:\"includes/taxonomy_term.inline_entity_form.inc\";i:3;s:48:\"includes/commerce_product.inline_entity_form.inc\";i:4;s:50:\"includes/commerce_line_item.inline_entity_form.inc\";i:5;s:39:\"tests/inline_entity_form_test_base.test\";i:6;s:33:\"tests/multiple_values_widget.test\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:5:\"mtime\";i:1460849408;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/inline_entity_form/tests/modules/inline_entity_form_test/inline_entity_form_test.module','inline_entity_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Inline entity form test\";s:11:\"description\";s:51:\"Contains all content types required for IEF testing\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:5:{i:0;s:15:\"entityreference\";i:1;s:5:\"image\";i:2;s:18:\"inline_entity_form\";i:3;s:6:\"number\";i:4;s:4:\"text\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:5:\"mtime\";i:1460849408;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/languageicons/languageicons.module','languageicons','module','',1,0,6200,0,'a:13:{s:4:\"name\";s:14:\"Language Icons\";s:11:\"description\";s:29:\"Adds icons to language links.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:12:\"Multilingual\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/regional/language/icons\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/lang_dropdown/lang_dropdown.module','lang_dropdown','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:11:\"description\";s:65:\"Provides a dropdown select to switch between available languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"lang_dropdown.module\";i:1;s:21:\"lang_dropdown.install\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/lang_dropdown/lang_dropdown_hideout/lang_dropdown_hideout.module','lang_dropdown_hideout','module','',1,0,0,0,'a:13:{s:4:\"name\";s:34:\"Language Switcher Dropdown Hideout\";s:7:\"package\";s:12:\"Multilingual\";s:11:\"description\";s:69:\"Allow to hide specific languages from the switcher for certain roles.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:28:\"lang_dropdown_hideout.module\";i:1;s:29:\"lang_dropdown_hideout.install\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7201,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:4:{i:0;s:32:\"tests/LibrariesAdminWebTest.test\";i:1;s:31:\"tests/LibrariesLoadWebTest.test\";i:2;s:28:\"tests/LibrariesUnitTest.test\";i:3;s:31:\"tests/LibrariesWebTestBase.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:11:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:28:\"tests/link.entity_token.test\";i:8;s:24:\"tests/link.validate.test\";i:9;s:44:\"views/link_views_handler_argument_target.inc\";i:10;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:5:\"mtime\";i:1452830642;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/logo_block/logo_block.module','logo_block','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"Logo Block\";s:11:\"description\";s:32:\"Renders the site logo in a block\";s:7:\"package\";s:5:\"Other\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:5:\"image\";}s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:10:\"logo_block\";s:9:\"datestamp\";s:10:\"1498837444\";s:5:\"mtime\";i:1498837444;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/mefibs/mefibs.module','mefibs','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:37:\"More exposed forms in blocks (MEFIBS)\";s:11:\"description\";s:50:\"Provide additional blocks with exposed view forms.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:41:\"mefibs_display_extender_plugin_blocks.inc\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"mefibs\";s:9:\"datestamp\";s:10:\"1406330028\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/mefibs/modules/mefibs_bef/mefibs_bef.module','mefibs_bef','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:34:\"MEFIBS with Better Exposed Filters\";s:11:\"description\";s:61:\"Provide compatibility with the Better Exposed Filters module.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"mefibs\";i:1;s:22:\"better_exposed_filters\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"mefibs\";s:9:\"datestamp\";s:10:\"1406330028\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',0,0,-1,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1414805630\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1414805630\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1414805630\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_attributes/menu_attributes.module','menu_attributes','module','',1,0,7001,10,'a:13:{s:4:\"name\";s:15:\"Menu attributes\";s:11:\"description\";s:66:\"Allows administrators to specify custom attributes for menu items.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/structure/menu/settings\";s:5:\"files\";a:1:{i:0;s:20:\"menu_attributes.test\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:5:\"mtime\";i:1455568740;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_block/menu_block.module','menu_block','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:10:\"Menu Block\";s:11:\"description\";s:43:\"Provides configurable blocks of menu items.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"menu (>7.11)\";}s:9:\"configure\";s:38:\"admin/config/user-interface/menu-block\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1435676232\";s:5:\"mtime\";i:1435676232;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_block/menu_block_export.module','menu_block_export','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Menu Block Export\";s:11:\"description\";s:48:\"Provides export interface for Menu block module.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"menu_block\";}s:5:\"files\";a:2:{i:0;s:24:\"menu_block_export.module\";i:1;s:27:\"menu_block_export.admin.inc\";}s:9:\"configure\";s:45:\"admin/config/user-interface/menu-block/export\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1435676232\";s:5:\"mtime\";i:1435676232;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_trail_by_path/menu_trail_by_path.module','menu_trail_by_path','module','',1,0,7200,7,'a:13:{s:4:\"name\";s:18:\"Menu Trail By Path\";s:11:\"description\";s:103:\"Expand menus and set active-trail according to the current path. <strong>Requires Drupal 7.12+</strong>\";s:7:\"package\";s:5:\"Other\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:4:\"menu\";i:1;s:4:\"path\";i:2;s:15:\"system (>=7.12)\";}s:5:\"files\";a:8:{i:0;s:23:\"menu_trail_by_path.test\";i:1;s:29:\"src/MenutrailbypathConfig.inc\";i:2;s:34:\"src/MenutrailbypathActivetrail.inc\";i:3;s:33:\"src/MenutrailbypathBreadcrumb.inc\";i:4;s:33:\"src/MenutrailbypathMenuHelper.inc\";i:5;s:33:\"src/MenutrailbypathPathHelper.inc\";i:6;s:32:\"src/MenutrailbypathUrlHelper.inc\";i:7;s:37:\"src/MenutrailbypathUsortMenulinks.inc\";}s:9:\"configure\";s:38:\"admin/config/search/menu_trail_by_path\";s:7:\"version\";s:7:\"7.x-3.3\";s:7:\"project\";s:18:\"menu_trail_by_path\";s:9:\"datestamp\";s:10:\"1489443187\";s:5:\"mtime\";i:1489443187;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/migrate/migrate.module','migrate','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Migrate\";s:11:\"description\";s:36:\"Import content from external sources\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:42:{i:0;s:17:\"includes/base.inc\";i:1;s:26:\"includes/field_mapping.inc\";i:2;s:22:\"includes/migration.inc\";i:3;s:24:\"includes/destination.inc\";i:4;s:22:\"includes/exception.inc\";i:5;s:18:\"includes/group.inc\";i:6;s:20:\"includes/handler.inc\";i:7;s:16:\"includes/map.inc\";i:8;s:19:\"includes/source.inc\";i:9;s:17:\"includes/team.inc\";i:10;s:16:\"migrate.mail.inc\";i:11;s:31:\"plugins/destinations/entity.inc\";i:12;s:29:\"plugins/destinations/term.inc\";i:13;s:29:\"plugins/destinations/user.inc\";i:14;s:29:\"plugins/destinations/node.inc\";i:15;s:32:\"plugins/destinations/comment.inc\";i:16;s:29:\"plugins/destinations/file.inc\";i:17;s:29:\"plugins/destinations/path.inc\";i:18;s:31:\"plugins/destinations/fields.inc\";i:19;s:29:\"plugins/destinations/poll.inc\";i:20;s:30:\"plugins/destinations/table.inc\";i:21;s:35:\"plugins/destinations/table_copy.inc\";i:22;s:29:\"plugins/destinations/menu.inc\";i:23;s:35:\"plugins/destinations/menu_links.inc\";i:24;s:35:\"plugins/destinations/statistics.inc\";i:25;s:23:\"plugins/sources/csv.inc\";i:26;s:25:\"plugins/sources/files.inc\";i:27;s:24:\"plugins/sources/json.inc\";i:28;s:24:\"plugins/sources/list.inc\";i:29;s:30:\"plugins/sources/multiitems.inc\";i:30;s:23:\"plugins/sources/sql.inc\";i:31;s:26:\"plugins/sources/sqlmap.inc\";i:32;s:25:\"plugins/sources/mssql.inc\";i:33;s:26:\"plugins/sources/oracle.inc\";i:34;s:23:\"plugins/sources/xml.inc\";i:35;s:25:\"tests/import/options.test\";i:36;s:39:\"tests/plugins/destinations/comment.test\";i:37;s:36:\"tests/plugins/destinations/node.test\";i:38;s:37:\"tests/plugins/destinations/table.test\";i:39;s:36:\"tests/plugins/destinations/term.test\";i:40;s:36:\"tests/plugins/destinations/user.test\";i:41;s:30:\"tests/plugins/sources/xml.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:7:\"migrate\";s:9:\"datestamp\";s:10:\"1352299007\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/migrate/migrate_example/migrate_example.module','migrate_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Migrate Example\";s:11:\"description\";s:23:\"Example migration data.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:6:{i:0;s:8:\"taxonomy\";i:1;s:5:\"image\";i:2;s:7:\"comment\";i:3;s:7:\"migrate\";i:4;s:4:\"list\";i:5;s:6:\"number\";}s:5:\"files\";a:3:{i:0;s:22:\"migrate_example.module\";i:1;s:8:\"beer.inc\";i:2;s:8:\"wine.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:7:\"migrate\";s:9:\"datestamp\";s:10:\"1352299007\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/migrate/migrate_example/migrate_example_oracle/migrate_example_oracle.module','migrate_example_oracle','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:8:\"features\";i:1;s:5:\"image\";i:2;s:7:\"migrate\";}s:11:\"description\";s:51:\"Content type supporting example of Oracle migration\";s:8:\"features\";a:2:{s:5:\"field\";a:2:{i:0;s:32:\"node-migrate_example_oracle-body\";i:1;s:43:\"node-migrate_example_oracle-field_mainimage\";}s:4:\"node\";a:1:{i:0;s:22:\"migrate_example_oracle\";}}s:5:\"files\";a:1:{i:0;s:34:\"migrate_example_oracle.migrate.inc\";}s:4:\"name\";s:24:\"Migrate example - Oracle\";s:7:\"package\";s:16:\"Migrate Examples\";s:7:\"project\";s:7:\"migrate\";s:7:\"version\";s:7:\"7.x-2.5\";s:9:\"datestamp\";s:10:\"1352299007\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/migrate/migrate_example_baseball/migrate_example_baseball.module','migrate_example_baseball','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:8:\"features\";i:1;s:7:\"migrate\";i:2;s:6:\"number\";}s:11:\"description\";s:27:\"Import baseball box scores.\";s:8:\"features\";a:2:{s:5:\"field\";a:15:{i:0;s:34:\"node-migrate_example_baseball-body\";i:1;s:46:\"node-migrate_example_baseball-field_attendance\";i:2;s:44:\"node-migrate_example_baseball-field_duration\";i:3;s:48:\"node-migrate_example_baseball-field_home_batters\";i:4;s:52:\"node-migrate_example_baseball-field_home_game_number\";i:5;s:48:\"node-migrate_example_baseball-field_home_pitcher\";i:6;s:46:\"node-migrate_example_baseball-field_home_score\";i:7;s:45:\"node-migrate_example_baseball-field_home_team\";i:8;s:40:\"node-migrate_example_baseball-field_outs\";i:9;s:40:\"node-migrate_example_baseball-field_park\";i:10;s:46:\"node-migrate_example_baseball-field_start_date\";i:11;s:52:\"node-migrate_example_baseball-field_visiting_batters\";i:12;s:52:\"node-migrate_example_baseball-field_visiting_pitcher\";i:13;s:50:\"node-migrate_example_baseball-field_visiting_score\";i:14;s:49:\"node-migrate_example_baseball-field_visiting_team\";}s:4:\"node\";a:1:{i:0;s:24:\"migrate_example_baseball\";}}s:5:\"files\";a:1:{i:0;s:36:\"migrate_example_baseball.migrate.inc\";}s:4:\"name\";s:24:\"migrate_example_baseball\";s:7:\"package\";s:16:\"Migrate Examples\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:7:\"migrate\";s:9:\"datestamp\";s:10:\"1352299007\";s:5:\"mtime\";i:1499926447;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/migrate/migrate_ui/migrate_ui.module','migrate_ui','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Migrate UI\";s:11:\"description\";s:35:\"UI for managing migration processes\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"migrate\";}s:5:\"files\";a:1:{i:0;s:17:\"migrate_ui.module\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:7:\"migrate\";s:9:\"datestamp\";s:10:\"1352299007\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:8:{i:0;s:21:\"module_filter.install\";i:1;s:20:\"module_filter.module\";i:2;s:23:\"module_filter.admin.inc\";i:3;s:23:\"module_filter.theme.inc\";i:4;s:21:\"css/module_filter.css\";i:5;s:25:\"css/module_filter_tab.css\";i:6;s:19:\"js/module_filter.js\";i:7;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:5:\"mtime\";i:1497029349;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/newsletter/newsletter.module','newsletter','module','',1,0,7104,0,'a:13:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";s:32:\"Send emails to subscribed users.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Mail\";s:12:\"dependencies\";a:3:{i:0;s:15:\"entityreference\";i:1;s:8:\"taxonomy\";i:2;s:5:\"token\";}s:5:\"files\";a:10:{i:0;s:29:\"includes/newsletter.basic.inc\";i:1;s:33:\"includes/newsletter.automated.inc\";i:2;s:30:\"includes/newsletter.custom.inc\";i:3;s:28:\"includes/newsletter.mail.inc\";i:4;s:45:\"includes/newsletter.newsletter.controller.inc\";i:5;s:45:\"includes/newsletter.subscriber.controller.inc\";i:6;s:43:\"includes/newsletter.template.controller.inc\";i:7;s:39:\"includes/newsletter.list.controller.inc\";i:8;s:61:\"includes/views/handlers/newsletter_handler_field_datetime.inc\";i:9;s:15:\"newsletter.test\";}s:9:\"configure\";s:39:\"admin/config/media/newsletter/configure\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/page_title/page_title.module','page_title','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Page Title\";s:11:\"description\";s:60:\"Enhanced control over the page title (in the &lt;head> tag).\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:3:\"SEO\";s:12:\"dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:6:{i:0;s:17:\"page_title.module\";i:1;s:20:\"page_title.admin.inc\";i:2;s:21:\"page_title.tokens.inc\";i:3;s:15:\"page_title.test\";i:4;s:64:\"views/plugins/page_title_plugin_display_page_with_page_title.inc\";i:5;s:39:\"views_handler_field_node_page_title.inc\";}s:9:\"configure\";s:30:\"admin/config/search/page-title\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"page_title\";s:9:\"datestamp\";s:10:\"1336556786\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/panels/i18n_panels/i18n_panels.module','i18n_panels','module','',1,0,0,0,'a:12:{s:4:\"name\";s:18:\"Panels translation\";s:11:\"description\";s:35:\"Supports translatable panels items.\";s:12:\"dependencies\";a:4:{i:0;s:4:\"i18n\";i:1;s:6:\"panels\";i:2;s:11:\"i18n_string\";i:3;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:5:\"mtime\";i:1486394388;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/panels/panels.module','panels','module','',1,0,7308,0,'a:13:{s:4:\"name\";s:6:\"Panels\";s:11:\"description\";s:107:\"Core Panels display functions; provides no external UI, at least one other Panels module should be enabled.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Panels\";s:9:\"configure\";s:22:\"admin/structure/panels\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:9:{i:0;s:13:\"panels.module\";i:1;s:19:\"includes/common.inc\";i:2;s:19:\"includes/legacy.inc\";i:3;s:20:\"includes/plugins.inc\";i:4;s:48:\"plugins/views/panels_views_plugin_row_fields.inc\";i:5;s:38:\"tests/PanelsEntityViewWebTestCase.test\";i:6;s:36:\"tests/PanelsNodeViewWebTestCase.test\";i:7;s:36:\"tests/PanelsTermViewWebTestCase.test\";i:8;s:36:\"tests/PanelsUserViewWebTestCase.test\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:5:\"mtime\";i:1486394388;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/panels/panels_ipe/panels_ipe.module','panels_ipe','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Panels In-Place Editor\";s:11:\"description\";s:101:\"Provide a UI for managing some Panels directly on the frontend, instead of having to use the backend.\";s:7:\"package\";s:6:\"Panels\";s:12:\"dependencies\";a:1:{i:0;s:6:\"panels\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:22:\"admin/structure/panels\";s:5:\"files\";a:1:{i:0;s:17:\"panels_ipe.module\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:5:\"mtime\";i:1486394388;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/panels/panels_mini/panels_mini.module','panels_mini','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Mini panels\";s:11:\"description\";s:89:\"Create mini panels that can be used as blocks by Drupal and panes by other panel modules.\";s:7:\"package\";s:6:\"Panels\";s:12:\"dependencies\";a:1:{i:0;s:6:\"panels\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/export_ui/panels_mini_ui.class.php\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:5:\"mtime\";i:1486394388;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/panels/panels_node/panels_node.module','panels_node','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Panel nodes\";s:11:\"description\";s:65:\"Create nodes that are divided into areas with selectable content.\";s:7:\"package\";s:6:\"Panels\";s:12:\"dependencies\";a:1:{i:0;s:6:\"panels\";}s:9:\"configure\";s:22:\"admin/structure/panels\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"panels_node.module\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:6:\"panels\";s:9:\"datestamp\";s:10:\"1486394388\";s:5:\"mtime\";i:1486394388;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7006,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"pathauto.migrate.inc\";i:1;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:5:\"mtime\";i:1444232655;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print.module','print','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:22:\"Printer-friendly pages\";s:11:\"description\";s:53:\"Generates a printer-friendly version of Drupal pages.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:5:\"files\";a:1:{i:0;s:27:\"print_join_page_counter.inc\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"node\";}s:9:\"configure\";s:33:\"admin/config/user-interface/print\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_epub/lib_handlers/print_epub_phpepub/print_epub_phpepub.module','print_epub_phpepub','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:23:\"PHPePub library handler\";s:11:\"description\";s:38:\"EPUB generation library using PHPePub.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:10:\"print_epub\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_epub/print_epub.module','print_epub','module','',1,0,7203,4,'a:13:{s:4:\"name\";s:12:\"EPUB version\";s:11:\"description\";s:104:\"Adds the capability to export pages as EPUB. Requires an EPUB library and the respective handler module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:5:\"print\";}s:9:\"configure\";s:38:\"admin/config/user-interface/print/epub\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_mail/print_mail.module','print_mail','module','',0,0,-1,1,'a:13:{s:4:\"name\";s:13:\"Send by email\";s:11:\"description\";s:53:\"Provides the capability to send the web page by email\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:5:\"print\";}s:9:\"configure\";s:39:\"admin/config/user-interface/print/email\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_pdf/lib_handlers/print_pdf_dompdf/print_pdf_dompdf.module','print_pdf_dompdf','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"dompdf library handler\";s:11:\"description\";s:36:\"PDF generation library using dompdf.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:9:\"print_pdf\";}s:9:\"configure\";s:44:\"admin/config/user-interface/print/pdf/dompdf\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_pdf/lib_handlers/print_pdf_mpdf/print_pdf_mpdf.module','print_pdf_mpdf','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"mPDF library handler\";s:11:\"description\";s:34:\"PDF generation library using mPDF.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:9:\"print_pdf\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_pdf/lib_handlers/print_pdf_tcpdf/print_pdf_tcpdf.module','print_pdf_tcpdf','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"TCPDF library handler\";s:11:\"description\";s:35:\"PDF generation library using TCPDF.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:9:\"print_pdf\";}s:5:\"files\";a:1:{i:0;s:25:\"print_pdf_tcpdf.class.inc\";}s:9:\"configure\";s:43:\"admin/config/user-interface/print/pdf/tcpdf\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_pdf/lib_handlers/print_pdf_wkhtmltopdf/print_pdf_wkhtmltopdf.module','print_pdf_wkhtmltopdf','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"wkhtmltopdf library handler\";s:11:\"description\";s:41:\"PDF generation library using wkhtmltopdf.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:9:\"print_pdf\";}s:9:\"configure\";s:49:\"admin/config/user-interface/print/pdf/wkhtmltopdf\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_pdf/print_pdf.module','print_pdf','module','',1,0,7205,2,'a:13:{s:4:\"name\";s:11:\"PDF version\";s:11:\"description\";s:101:\"Adds the capability to export pages as PDF. Requires a PDF library and the respective handler module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:5:\"print\";}s:9:\"configure\";s:37:\"admin/config/user-interface/print/pdf\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/print/print_ui/print_ui.module','print_ui','module','',0,0,-1,1,'a:13:{s:4:\"name\";s:25:\"Printer-friendly pages UI\";s:11:\"description\";s:114:\"Manages the printer-friendly versions link display conditions. Without this module, those links are not displayed.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:31:\"Printer, email and PDF versions\";s:12:\"dependencies\";a:1:{i:0;s:5:\"print\";}s:9:\"configure\";s:36:\"admin/config/user-interface/print/ui\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:5:\"print\";s:9:\"datestamp\";s:10:\"1396426766\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',1,0,7303,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',1,0,0,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/includes/ajax_quiz/ajax_quiz.module','ajax_quiz','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"AJAX Quiz\";s:11:\"description\";s:268:\"This module doesn\'t degrade gracefully, and we don\'t recommend using it until it does. This module attempts to provide an AJAX version of quiz. Successive quiz questions will be loaded in the same page without page reload, but it doesn\'t work flawlessly at the moment.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"quiz\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Quiz Addon\";s:5:\"files\";a:2:{i:0;s:19:\"ajax_quiz.admin.inc\";i:1;s:16:\"ajax_quiz.module\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/includes/quiz_stats/quiz_stats.module','quiz_stats','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Quiz Statistics\";s:11:\"description\";s:70:\"Creates a report to compare and analyse the results of quiz attendees.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Quiz Addon\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:5:\"chart\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/long_answer/long_answer.module','long_answer','module','',1,0,7402,0,'a:12:{s:4:\"name\";s:11:\"Long Answer\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:93:\"This provides long answer (essay, multi-paragraph) question types for use by the Quiz module.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"long_answer.classes.inc\";i:1;s:16:\"long_answer.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/matching/matching.module','matching','module','',1,0,7400,0,'a:12:{s:4:\"name\";s:17:\"Matching question\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:51:\"Provide a way to create matching type of questions.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:2:{i:0;s:20:\"matching.classes.inc\";i:1;s:13:\"matching.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/multichoice/multichoice.module','multichoice','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Quiz Multichoice\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:39:\"Multiple choice question type for quiz.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:2:{i:0;s:23:\"multichoice.classes.inc\";i:1;s:16:\"multichoice.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/quiz_ddlines/quiz_ddlines.module','quiz_ddlines','module','',1,0,7401,0,'a:12:{s:4:\"name\";s:33:\"Drag and drop with lines for Quiz\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:48:\"Drag and drop with lines question type for quiz.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:3:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";i:2;s:5:\"image\";}s:5:\"files\";a:1:{i:0;s:24:\"quiz_ddlines.classes.inc\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/quiz_directions/quiz_directions.module','quiz_directions','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"Quiz Direction\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:74:\"Provide a slot to add directions for a quiz or some sub-portion of a quiz.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:1:{i:0;s:27:\"quiz_directions.classes.inc\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/quiz_h5p/quiz_h5p.module','quiz_h5p','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Quiz H5P Integration\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:457:\"<a href=\"http://h5p.org/fill-in-the-blanks\">Fill in the Blanks</a>, <a href=\"http://h5p.org/drag-the-words\">Drag the words</a>, <a href=\"http://h5p.org/mark-the-words\">Mark the Words</a>, <a href=\"http://h5p.org/interactive-video\">Adaptive Interactive Video</a> and 17 other interactive content types may be created using this module. NOTE: It is possible for computer savvy users to cheat and submit a full score for a test without actually doing the test.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:4:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";i:2;s:3:\"h5p\";i:3;s:9:\"h5peditor\";}s:5:\"files\";a:11:{i:0;s:25:\"QuizQuestionH5P.class.inc\";i:1;s:33:\"QuizQuestionH5PResponse.class.inc\";i:2;s:27:\"report/h5p-report.class.php\";i:3;s:37:\"report/h5p-report-xapi-data.class.php\";i:4;s:47:\"report/type-processors/type-processor.class.php\";i:5;s:51:\"report/type-processors/compound-processor.class.php\";i:6;s:50:\"report/type-processors/fill-in-processor.class.php\";i:7;s:53:\"report/type-processors/true-false-processor.class.php\";i:8;s:49:\"report/type-processors/choice-processor.class.php\";i:9;s:54:\"report/type-processors/long-choice-processor.class.php\";i:10;s:51:\"report/type-processors/matching-processor.class.php\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/quiz_question/quiz_question.module','quiz_question','module','',1,0,7402,0,'a:12:{s:4:\"name\";s:13:\"Quiz Question\";s:7:\"package\";s:9:\"Quiz Core\";s:11:\"description\";s:41:\"Helper module for all quiz question types\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"quiz\";}s:5:\"files\";a:1:{i:0;s:22:\"quiz_question.core.inc\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/scale/scale.module','scale','module','',1,0,0,0,'a:12:{s:4:\"name\";s:5:\"Scale\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:29:\"Scale question type for quiz.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:2:{i:0;s:17:\"scale.classes.inc\";i:1;s:10:\"scale.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/short_answer/short_answer.module','short_answer','module','',1,0,7402,0,'a:12:{s:4:\"name\";s:12:\"Short Answer\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:36:\"Short answer question type for Quiz.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:2:{i:0;s:24:\"short_answer.classes.inc\";i:1;s:17:\"short_answer.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/question_types/truefalse/truefalse.module','truefalse','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"True False\";s:7:\"package\";s:13:\"Quiz Question\";s:11:\"description\";s:48:\"Module to create True or False Kind of Questions\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"quiz\";i:1;s:13:\"quiz_question\";}s:5:\"files\";a:2:{i:0;s:21:\"truefalse.classes.inc\";i:1;s:14:\"truefalse.test\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quiz/quiz.module','quiz','module','',1,0,7411,0,'a:13:{s:4:\"name\";s:4:\"Quiz\";s:7:\"package\";s:9:\"Quiz Core\";s:11:\"description\";s:174:\"Create interactive, multipage quizzes. This module must have at least one question-type module enabled in order to function properly. If in doubt, use the Multichoice module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"quiz.css\";s:31:\"sites/all/modules/quiz/quiz.css\";}}s:5:\"files\";a:20:{i:0;s:29:\"includes/views/quiz.views.inc\";i:1;s:37:\"includes/views/quiz.views_default.inc\";i:2;s:45:\"includes/views/defaults/questions_by_quiz.inc\";i:3;s:53:\"includes/views/defaults/questions_by_quiz_version.inc\";i:4;s:42:\"includes/views/defaults/quiz_by_author.inc\";i:5;s:41:\"includes/views/defaults/quiz_by_taker.inc\";i:6;s:64:\"includes/views/handlers/quiz_views_handler_argument_quiz_nid.inc\";i:7;s:73:\"includes/views/handlers/quiz_views_handler_argument_user_uid_nullable.inc\";i:8;s:69:\"includes/views/handlers/quiz_views_handler_field_number_questions.inc\";i:9;s:68:\"includes/views/handlers/quiz_views_handler_field_question_status.inc\";i:10;s:68:\"includes/views/handlers/quiz_views_handler_field_score_aggregate.inc\";i:11;s:58:\"includes/views/handlers/quiz_views_handler_field_takes.inc\";i:12;s:67:\"includes/views/handlers/quiz_views_handler_field_node_link_take.inc\";i:13;s:57:\"includes/views/handlers/quiz_views_handler_field_time.inc\";i:14;s:68:\"includes/views/handlers/quiz_views_handler_field_user_quiz_state.inc\";i:15;s:69:\"includes/views/handlers/quiz_views_handler_filter_question_status.inc\";i:16;s:62:\"includes/views/handlers/quiz_views_handler_filter_quiz_nid.inc\";i:17;s:67:\"includes/views/handlers/quiz_views_handler_filter_user_nullable.inc\";i:18;s:69:\"includes/views/handlers/quiz_views_handler_filter_user_quiz_state.inc\";i:19;s:68:\"includes/views/handlers/quiz_views_handler_relationship_quiz_nid.inc\";}s:7:\"version\";s:11:\"7.x-4.0-rc8\";s:7:\"project\";s:4:\"quiz\";s:9:\"datestamp\";s:10:\"1498728262\";s:5:\"mtime\";i:1498728262;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/node_reference/node_reference.module','node_reference','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:14:\"Node Reference\";s:11:\"description\";s:59:\"Defines a field type for referencing one node from another.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:19:\"node_reference.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/references.module','references','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"References\";s:11:\"description\";s:67:\"Defines common base features for the various reference field types.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:5:{i:0;s:41:\"views/references_handler_relationship.inc\";i:1;s:37:\"views/references_handler_argument.inc\";i:2;s:35:\"views/references_plugin_display.inc\";i:3;s:33:\"views/references_plugin_style.inc\";i:4;s:38:\"views/references_plugin_row_fields.inc\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/references_uuid/references_uuid.module','references_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"References UUID\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:10:\"references\";i:1;s:4:\"uuid\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:11:\"description\";s:0:\"\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/user_reference/user_reference.module','user_reference','module','',1,0,0,0,'a:14:{s:4:\"name\";s:14:\"User Reference\";s:11:\"description\";s:56:\"Defines a field type for referencing a user from a node.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/rules/rules.module','rules','module','',1,1,7215,20,'a:12:{s:4:\"name\";s:5:\"Rules\";s:11:\"description\";s:51:\"React on events and conditionally evaluate actions.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:17:{i:0;s:18:\"rules.features.inc\";i:1;s:16:\"tests/rules.test\";i:2;s:18:\"includes/faces.inc\";i:3;s:23:\"includes/rules.core.inc\";i:4;s:24:\"includes/rules.event.inc\";i:5;s:28:\"includes/rules.processor.inc\";i:6;s:26:\"includes/rules.plugins.inc\";i:7;s:24:\"includes/rules.state.inc\";i:8;s:29:\"includes/rules.dispatcher.inc\";i:9;s:21:\"modules/node.eval.inc\";i:10;s:20:\"modules/php.eval.inc\";i:11;s:27:\"modules/rules_core.eval.inc\";i:12;s:23:\"modules/system.eval.inc\";i:13;s:20:\"ui/ui.controller.inc\";i:14;s:14:\"ui/ui.core.inc\";i:15;s:14:\"ui/ui.data.inc\";i:16;s:17:\"ui/ui.plugins.inc\";}s:12:\"dependencies\";a:2:{i:0;s:12:\"entity_token\";i:1;s:6:\"entity\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_admin/rules_admin.module','rules_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Rules UI\";s:11:\"description\";s:44:\"Administrative interface for managing rules.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"rules_admin.module\";i:1;s:15:\"rules_admin.inc\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_i18n/rules_i18n.module','rules_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Rules translation\";s:11:\"description\";s:25:\"Allows translating rules.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"rules\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:19:\"rules_i18n.i18n.inc\";i:1;s:20:\"rules_i18n.rules.inc\";i:2;s:15:\"rules_i18n.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_scheduler/rules_scheduler.module','rules_scheduler','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Rules Scheduler\";s:11:\"description\";s:57:\"Schedule the execution of Rules components using actions.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:25:\"rules_scheduler.admin.inc\";i:1;s:22:\"rules_scheduler.module\";i:2;s:23:\"rules_scheduler.install\";i:3;s:25:\"rules_scheduler.rules.inc\";i:4;s:20:\"rules_scheduler.test\";i:5;s:36:\"includes/rules_scheduler.handler.inc\";i:6;s:42:\"includes/rules_scheduler.views_default.inc\";i:7;s:34:\"includes/rules_scheduler.views.inc\";i:8;s:41:\"includes/rules_scheduler_views_filter.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_scheduler/tests/rules_scheduler_test.module','rules_scheduler_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Scheduler Tests\";s:11:\"description\";s:45:\"Support module for the Rules Scheduler tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"rules_scheduler_test.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test.module','rules_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Rules Tests\";s:11:\"description\";s:35:\"Support module for the Rules tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"rules_test.rules.inc\";i:1;s:29:\"rules_test.rules_defaults.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test_invocation.module','rules_test_invocation','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Test invocation\";s:11:\"description\";s:40:\"Helper module to test Rules invocations.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/services/auth/services_oauth/services_oauth.module','services_oauth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"OAuth Authentication\";s:11:\"description\";s:53:\"Provides OAuth authentication for the services module\";s:7:\"package\";s:25:\"Services - authentication\";s:12:\"dependencies\";a:2:{i:0;s:8:\"services\";i:1;s:12:\"oauth_common\";}s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:5:\"mtime\";i:1498574947;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/services/servers/rest_server/rest_server.module','rest_server','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"REST Server\";s:11:\"description\";s:24:\"Provides an REST server.\";s:7:\"package\";s:18:\"Services - servers\";s:5:\"files\";a:11:{i:0;s:18:\"rest_server.module\";i:1;s:23:\"includes/RESTServer.inc\";i:2;s:42:\"includes/ServicesContentTypeNegotiator.inc\";i:3;s:38:\"includes/ServicesRESTServerFactory.inc\";i:4;s:28:\"includes/ServicesContext.inc\";i:5;s:27:\"includes/ServicesParser.inc\";i:6;s:30:\"includes/ServicesFormatter.inc\";i:7;s:34:\"tests/ServicesRESTServerTests.test\";i:8;s:34:\"tests/rest_server_mock_classes.inc\";i:9;s:15:\"lib/bencode.php\";i:10;s:17:\"lib/mimeparse.php\";}s:12:\"dependencies\";a:2:{i:0;s:8:\"services\";i:1;s:17:\"libraries (>=2.x)\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:5:\"mtime\";i:1498574947;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/services/servers/xmlrpc_server/xmlrpc_server.module','xmlrpc_server','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"XMLRPC Server\";s:11:\"description\";s:25:\"Provides a XMLRPC server.\";s:7:\"package\";s:18:\"Services - servers\";s:5:\"files\";a:1:{i:0;s:20:\"xmlrpc_server.module\";}s:12:\"dependencies\";a:1:{i:0;s:8:\"services\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:5:\"mtime\";i:1498574947;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/services/services.module','services','module','',1,0,7403,0,'a:13:{s:4:\"name\";s:8:\"Services\";s:11:\"description\";s:41:\"Provide an API for creating web services.\";s:7:\"package\";s:8:\"Services\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.x\";s:9:\"configure\";s:24:\"admin/structure/services\";s:5:\"files\";a:19:{i:0;s:29:\"includes/services.runtime.inc\";i:1;s:46:\"tests/functional/NoAuthEndpointTestRunner.test\";i:2;s:47:\"tests/functional/ServicesResourceNodeTests.test\";i:3;s:47:\"tests/functional/ServicesResourceUserTests.test\";i:4;s:49:\"tests/functional/ServicesResourceSystemTests.test\";i:5;s:50:\"tests/functional/ServicesResourceCommentTests.test\";i:6;s:51:\"tests/functional/ServicesResourceTaxonomyTests.test\";i:7;s:47:\"tests/functional/ServicesResourceFileTests.test\";i:8;s:51:\"tests/functional/ServicesResourceDisabledTests.test\";i:9;s:43:\"tests/functional/ServicesEndpointTests.test\";i:10;s:41:\"tests/functional/ServicesParserTests.test\";i:11;s:40:\"tests/functional/ServicesAliasTests.test\";i:12;s:41:\"tests/functional/ServicesXMLRPCTests.test\";i:13;s:42:\"tests/functional/ServicesVersionTests.test\";i:14;s:44:\"tests/functional/ServicesArgumentsTests.test\";i:15;s:43:\"tests/functional/ServicesSecurityTests.test\";i:16;s:40:\"tests/unit/ServicesSpycLibraryTests.test\";i:17;s:29:\"tests/ui/ServicesUITests.test\";i:18;s:19:\"tests/services.test\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:5:\"mtime\";i:1498574947;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/services/tests/services_test_resource/services_test_resource.module','services_test_resource','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Services Test Resource\";s:11:\"description\";s:51:\"Provide test methods to check different situations.\";s:7:\"package\";s:8:\"Services\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"services\";}s:7:\"version\";s:8:\"7.x-3.20\";s:7:\"project\";s:8:\"services\";s:9:\"datestamp\";s:10:\"1498574947\";s:5:\"mtime\";i:1498574947;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sharethis/sharethis.module','sharethis','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Sharing\";s:9:\"configure\";s:31:\"admin/config/services/sharethis\";s:5:\"files\";a:1:{i:0;s:38:\"views/sharethis_handler_field_link.inc\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1406878150\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/signup/modules/signup_confirm_email/signup_confirm_email.module','signup_confirm_email','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Signup confirm e-mail\";s:11:\"description\";s:69:\"Adds a field to the signup form to confirm the user\'s e-mail address.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"signup\";}s:7:\"package\";s:6:\"Signup\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"signup_confirm_email.inc\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/signup/modules/signup_roles/signup_roles.module','signup_roles','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Signup Roles\";s:11:\"description\";s:74:\"Allows the site to grant one or more roles to users who sign up for nodes.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"signup\";}s:7:\"package\";s:6:\"Signup\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/signup/signup.module','signup','module','',1,0,6005,0,'a:12:{s:4:\"name\";s:6:\"Signup\";s:11:\"description\";s:55:\"Allow users to sign up for content (especially events).\";s:7:\"package\";s:6:\"Signup\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:15:{i:0;s:11:\"signup.test\";i:1;s:58:\"views/handlers/signup_handler_argument_signup_user_uid.inc\";i:2;s:56:\"views/handlers/signup_handler_field_signup_edit_link.inc\";i:3;s:56:\"views/handlers/signup_handler_field_signup_node_link.inc\";i:4;s:64:\"views/handlers/signup_handler_field_signup_send_confirmation.inc\";i:5;s:53:\"views/handlers/signup_handler_field_signup_status.inc\";i:6;s:60:\"views/handlers/signup_handler_field_signup_user_attended.inc\";i:7;s:57:\"views/handlers/signup_handler_field_signup_user_email.inc\";i:8;s:61:\"views/handlers/signup_handler_field_signup_user_form_data.inc\";i:9;s:56:\"views/handlers/signup_handler_filter_signup_disabled.inc\";i:10;s:54:\"views/handlers/signup_handler_filter_signup_status.inc\";i:11;s:61:\"views/handlers/signup_handler_filter_signup_user_attended.inc\";i:12;s:66:\"views/handlers/signup_handler_filter_signup_user_authenticated.inc\";i:13;s:55:\"views/plugins/signup_plugin_access_user_signup_list.inc\";i:14;s:63:\"views/plugins/signup_plugin_argument_validate_signup_status.inc\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:6:\"signup\";s:9:\"datestamp\";s:10:\"1390351105\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/socialfield/font_icons/font_icons.module','font_icons','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Font icons\";s:11:\"description\";s:21:\"Loads fontello icons.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1493127246\";s:5:\"mtime\";i:1493127246;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/socialfield/socialfield.module','socialfield','module','',1,0,0,0,'a:13:{s:4:\"name\";s:12:\"Social field\";s:11:\"description\";s:50:\"Provides a field for adding social services links.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:9:\"configure\";s:30:\"admin/config/media/socialfield\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"socialfield\";s:9:\"datestamp\";s:10:\"1493127246\";s:5:\"mtime\";i:1493127246;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/socialmedia/socialmedia.module','socialmedia','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Social media\";s:11:\"description\";s:49:\"Example module to demonstrate module socialmedia.\";s:7:\"package\";s:12:\"Social media\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.1\";s:9:\"configure\";s:30:\"admin/config/media/socialmedia\";s:5:\"files\";a:3:{i:0;s:18:\"socialmedia.module\";i:1;s:21:\"socialmedia.admin.inc\";i:2;s:32:\"socialmedia.widgetx_elements.inc\";}s:7:\"version\";s:14:\"7.x-1.0-beta13\";s:7:\"project\";s:11:\"socialmedia\";s:9:\"datestamp\";s:10:\"1346720845\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/statistics_counter/statistics_counter.module','statistics_counter','module','',1,1,0,0,'a:12:{s:4:\"name\";s:18:\"Statistics Counter\";s:11:\"description\";s:61:\"Logs access statistics in week, month and year for your site.\";s:7:\"package\";s:10:\"Statistics\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"statistics\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:18:\"statistics_counter\";s:9:\"datestamp\";s:10:\"1432654383\";s:5:\"mtime\";i:1432654383;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/strongarm/strongarm.module','strongarm','module','',1,0,7201,-1000,'a:12:{s:4:\"name\";s:9:\"Strongarm\";s:11:\"description\";s:87:\"Enforces variable values defined by modules that need settings set to operate properly.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:3:{i:0;s:19:\"strongarm.admin.inc\";i:1;s:17:\"strongarm.install\";i:2;s:16:\"strongarm.module\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:5:\"mtime\";i:1499926447;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',1,0,7000,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,7101,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:9:\"libraries\";i:1;s:13:\"jquery_update\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:5:\"mtime\";i:1440756596;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/timeperiod/timeperiod.module','timeperiod','module','',1,0,0,0,'a:12:{s:4:\"name\";s:11:\"Time period\";s:11:\"description\";s:74:\"Defines time period widgets and formatters to be used with Integer fields.\";s:7:\"package\";s:5:\"Field\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:10:\"timeperiod\";s:9:\"datestamp\";s:10:\"1328723441\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_2checkout/uc_2checkout.module','uc_2checkout','module','',1,0,7300,0,'a:12:{s:4:\"name\";s:9:\"2Checkout\";s:11:\"description\";s:39:\"Processes payments using 2Checkout.com.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_authorizenet/uc_authorizenet.module','uc_authorizenet','module','',1,0,3,0,'a:12:{s:4:\"name\";s:13:\"Authorize.net\";s:11:\"description\";s:61:\"Processes payments using Authorize.net. Supports AIM and ARB.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"uc_payment\";i:1;s:9:\"uc_credit\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_credit/tests/test_gateway.module','test_gateway','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Test gateway\";s:11:\"description\";s:84:\"Adds a credit card gateway that simulates a successful payment for testing checkout.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"uc_payment\";i:1;s:9:\"uc_credit\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_credit/uc_credit.module','uc_credit','module','',1,1,7000,0,'a:12:{s:4:\"name\";s:11:\"Credit card\";s:11:\"description\";s:53:\"Enables support for credit card payments at checkout.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"uc_store\";i:1;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"tests/uc_credit.test\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_cybersource/uc_cybersource.module','uc_cybersource','module','',1,0,2,0,'a:12:{s:4:\"name\";s:11:\"CyberSource\";s:11:\"description\";s:90:\"Processes payments using the CyberSource Silent Order POST and Hosted Order Page services.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:23:\"uc_cybersource.soap.inc\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_google_checkout/uc_google_checkout.module','uc_google_checkout','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Google Checkout\";s:11:\"description\";s:137:\"This module is obsolete and CANNOT be installed. Uninstall hooks remain so you can remove this module if you previously had it installed.\";s:12:\"dependencies\";a:3:{i:0;s:7:\"uc_cart\";i:1;s:10:\"uc_payment\";i:2;s:8:\"uc_quote\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_payment/uc_payment.module','uc_payment','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:7:\"Payment\";s:11:\"description\";s:41:\"Enables payments to be taken at checkout.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"uc_order\";i:1;s:8:\"uc_store\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"tests/uc_payment.test\";}s:9:\"configure\";s:28:\"admin/store/settings/payment\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_payment_pack/uc_payment_pack.module','uc_payment_pack','module','',1,0,6000,0,'a:12:{s:4:\"name\";s:19:\"Payment method pack\";s:11:\"description\";s:65:\"Provides the check/money order, COD, and \'other\' payment methods.\";s:12:\"dependencies\";a:2:{i:0;s:7:\"uc_cart\";i:1;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.module','uc_paypal','module','',1,0,7301,0,'a:12:{s:4:\"name\";s:6:\"PayPal\";s:11:\"description\";s:101:\"Processes payments using PayPal Website Payments Standard, Website Payments Pro and Express Checkout.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_flatrate/uc_flatrate.module','uc_flatrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Flat rate\";s:11:\"description\";s:78:\"Assigns a flat shipping rate to an order, plus an optional amount per product.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"uc_quote\";}s:7:\"package\";s:22:\"Ubercart - fulfillment\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/store/settings/quotes/methods\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_quote/uc_quote.module','uc_quote','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:15:\"Shipping quotes\";s:11:\"description\";s:67:\"Enables shipping quotes to be calculated and displayed at checkout.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"uc_cart\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/store/settings/quotes\";s:5:\"files\";a:1:{i:0;s:19:\"tests/uc_quote.test\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.module','uc_shipping','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Shipping\";s:11:\"description\";s:42:\"Gets products ready for physical shipment.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"uc_quote\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:47:\"views/uc_shipping_handler_field_shipment_id.inc\";i:1;s:50:\"views/uc_shipping_handler_field_package_weight.inc\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_ups/uc_ups.module','uc_ups','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:3:\"UPS\";s:11:\"description\";s:70:\"Integrates UPS Rates and Services Selection and Shipping Online Tools.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"uc_quote\";}s:7:\"package\";s:22:\"Ubercart - fulfillment\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:40:\"admin/store/settings/quotes/settings/ups\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_usps/uc_usps.module','uc_usps','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"U.S. Postal Service\";s:11:\"description\";s:69:\"Integrates USPS Rate Calculator and Mail Service Standards Web Tools.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"uc_quote\";}s:7:\"package\";s:22:\"Ubercart - fulfillment\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:41:\"admin/store/settings/quotes/settings/usps\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/shipping/uc_weightquote/uc_weightquote.module','uc_weightquote','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Weight quote\";s:11:\"description\";s:52:\"Assigns a shipping rate to products based on weight.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"uc_quote\";}s:7:\"package\";s:22:\"Ubercart - fulfillment\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/store/settings/quotes/methods\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_ajax_admin/uc_ajax_admin.module','uc_ajax_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:28:\"Ubercart Ajax Administration\";s:11:\"description\";s:60:\"Administrative interface for ajax updates to Ubercart forms.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"uc_cart\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_attribute/uc_attribute.module','uc_attribute','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Product attributes\";s:11:\"description\";s:102:\"Extends product content types to support product variations that customers may select before purchase.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_product\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"tests/uc_attribute.test\";i:1;s:32:\"tests/uc_attribute_checkout.test\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_cart/tests/uc_cart_entity_test.module','uc_cart_entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Cart item entity test module\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"uc_cart\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:11:\"description\";s:0:\"\";s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_cart/uc_cart.module','uc_cart','module','',1,0,7300,0,'a:13:{s:4:\"name\";s:4:\"Cart\";s:11:\"description\";s:82:\"REQUIRED. Controls the shopping cart and checkout for an Ubercart e-commerce site.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"uc_order\";i:1;s:10:\"uc_product\";}s:7:\"package\";s:15:\"Ubercart - core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/uc_cart.test\";i:1;s:41:\"views/uc_cart_handler_field_cart_user.inc\";i:2;s:22:\"uc_cart.controller.inc\";}s:9:\"configure\";s:25:\"admin/store/settings/cart\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_cart_links/uc_cart_links.module','uc_cart_links','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Cart Links\";s:11:\"description\";s:47:\"Creates specialized links to purchase products.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"uc_cart\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"tests/uc_cart_links.test\";}s:9:\"configure\";s:31:\"admin/store/settings/cart-links\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_catalog/uc_catalog.module','uc_catalog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Catalog\";s:11:\"description\";s:55:\"Displays a hierarchical product catalog page and block.\";s:12:\"dependencies\";a:4:{i:0;s:4:\"path\";i:1;s:8:\"taxonomy\";i:2;s:10:\"uc_product\";i:3;s:5:\"views\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"classes/treenode.inc\";i:1;s:21:\"tests/uc_catalog.test\";}s:9:\"configure\";s:28:\"admin/store/settings/catalog\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_file/uc_file.module','uc_file','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"File downloads\";s:11:\"description\";s:57:\"Allows products to be associated with downloadable files.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"uc_product\";i:1;s:8:\"uc_order\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"tests/uc_file.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"uc_file.css\";s:46:\"sites/all/modules/ubercart/uc_file/uc_file.css\";}}s:7:\"scripts\";a:1:{s:10:\"uc_file.js\";s:45:\"sites/all/modules/ubercart/uc_file/uc_file.js\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_googleanalytics/uc_googleanalytics.module','uc_googleanalytics','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:29:\"Google Analytics for Ubercart\";s:11:\"description\";s:56:\"Adds e-commerce tracking to the Google Analytics module.\";s:12:\"dependencies\";a:4:{i:0;s:15:\"googleanalytics\";i:1;s:7:\"uc_cart\";i:2;s:8:\"uc_order\";i:3;s:8:\"uc_store\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_order/uc_order.module','uc_order','module','',1,0,7302,0,'a:14:{s:4:\"name\";s:5:\"Order\";s:11:\"description\";s:59:\"REQUIRED. Receives and manages orders through your website.\";s:12:\"dependencies\";a:3:{i:0;s:10:\"uc_product\";i:1;s:5:\"rules\";i:2;s:5:\"views\";}s:7:\"package\";s:15:\"Ubercart - core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:23:{i:0;s:15:\"uc_order.module\";i:1;s:19:\"tests/uc_order.test\";i:2;s:45:\"views/uc_order_handler_field_money_amount.inc\";i:3;s:44:\"views/uc_order_handler_field_money_total.inc\";i:4;s:45:\"views/uc_order_handler_field_weight_total.inc\";i:5;s:51:\"views/uc_order_handler_field_order_weight_total.inc\";i:6;s:46:\"views/uc_order_handler_field_order_actions.inc\";i:7;s:46:\"views/uc_order_handler_field_order_cc_data.inc\";i:8;s:43:\"views/uc_order_handler_field_order_cost.inc\";i:9;s:47:\"views/uc_order_handler_field_order_fullname.inc\";i:10;s:41:\"views/uc_order_handler_field_order_id.inc\";i:11;s:45:\"views/uc_order_handler_field_order_status.inc\";i:12;s:47:\"views/uc_order_handler_field_payment_method.inc\";i:13;s:41:\"views/uc_order_handler_filter_country.inc\";i:14;s:46:\"views/uc_order_handler_filter_order_status.inc\";i:15;s:48:\"views/uc_order_handler_filter_payment_method.inc\";i:16;s:38:\"views/uc_order_handler_filter_zone.inc\";i:17;s:39:\"views/uc_order_handler_filter_total.inc\";i:18;s:37:\"views/uc_order_handler_sort_total.inc\";i:19;s:53:\"views/uc_order_plugin_argument_validate_user_perm.inc\";i:20;s:37:\"views/uc_order_plugin_row_invoice.inc\";i:21;s:23:\"uc_order.controller.inc\";i:22;s:17:\"uc_order.info.inc\";}s:9:\"configure\";s:27:\"admin/store/settings/orders\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:12:\"uc_order.css\";s:48:\"sites/all/modules/ubercart/uc_order/uc_order.css\";}}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_product/uc_product.module','uc_product','module','',1,0,7300,0,'a:14:{s:4:\"name\";s:7:\"Product\";s:11:\"description\";s:71:\"REQUIRED. Provides content types to represent items in an online store.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:8:\"uc_store\";}s:7:\"package\";s:15:\"Ubercart - core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:8:{i:0;s:21:\"tests/uc_product.test\";i:1;s:44:\"views/uc_product_handler_field_addtocart.inc\";i:2;s:43:\"views/uc_product_handler_field_buyitnow.inc\";i:3;s:48:\"views/uc_product_handler_field_display_price.inc\";i:4;s:41:\"views/uc_product_handler_field_length.inc\";i:5;s:40:\"views/uc_product_handler_field_price.inc\";i:6;s:41:\"views/uc_product_handler_field_weight.inc\";i:7;s:43:\"views/uc_product_handler_filter_product.inc\";}s:9:\"configure\";s:29:\"admin/store/settings/products\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"uc_product.css\";s:52:\"sites/all/modules/ubercart/uc_product/uc_product.css\";}}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_product_kit/uc_product_kit.module','uc_product_kit','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Product kit\";s:11:\"description\";s:135:\"Provides a content type that groups two or more products together, allowing them to be purchased as a bundle with an optional discount.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_product\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:25:\"tests/uc_product_kit.test\";i:1;s:51:\"views/uc_product_kit_handler_filter_product_kit.inc\";i:2;s:56:\"views/uc_product_kit_handler_filter_product_kit_item.inc\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_reports/uc_reports.module','uc_reports','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Reports\";s:11:\"description\";s:67:\"Provides reports about your store\'s sales, customers, and products.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"uc_order\";i:1;s:10:\"uc_product\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:26:\"admin/store/settings/store\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_roles/uc_roles.module','uc_roles','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:5:\"Roles\";s:11:\"description\";s:64:\"Assigns permanent or expirable roles based on product purchases.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"uc_product\";i:1;s:8:\"uc_order\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"tests/uc_roles.test\";i:1;s:36:\"views/uc_roles_handler_field_rid.inc\";}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_stock/uc_stock.module','uc_stock','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:5:\"Stock\";s:11:\"description\";s:38:\"Manages stock levels of your products.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"uc_product\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"tests/uc_stock.test\";i:1;s:49:\"views/uc_stock_handler_filter_below_threshold.inc\";}s:9:\"configure\";s:26:\"admin/store/settings/stock\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_store/uc_store.module','uc_store','module','',1,0,7300,0,'a:14:{s:4:\"name\";s:5:\"Store\";s:11:\"description\";s:70:\"REQUIRED. Handles store settings and management of your Ubercart site.\";s:7:\"package\";s:15:\"Ubercart - core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:16:\"classes/mail.inc\";i:1;s:19:\"classes/address.inc\";i:2;s:19:\"classes/encrypt.inc\";i:3;s:19:\"tests/uc_store.test\";i:4;s:21:\"tests/uc_address.test\";i:5;s:18:\"tests/uc_ajax.test\";}s:9:\"configure\";s:26:\"admin/store/settings/store\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:12:\"uc_store.css\";s:48:\"sites/all/modules/ubercart/uc_store/uc_store.css\";}}s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_taxes/uc_taxes.module','uc_taxes','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:5:\"Taxes\";s:11:\"description\";s:72:\"Defines tax rates for customers\' geographic locations and products sold.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"uc_store\";i:1;s:10:\"uc_payment\";i:2;s:10:\"uc_product\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:19:\"tests/uc_taxes.test\";}s:9:\"configure\";s:26:\"admin/store/settings/taxes\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ubercart/uc_tax_report/uc_tax_report.module','uc_tax_report','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Tax report\";s:11:\"description\";s:51:\"Provides a report of sales tax your customers paid.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"uc_reports\";i:1;s:8:\"uc_taxes\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1468644909\";s:5:\"mtime\";i:1468644909;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/uuid/uuid.module','uuid','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:21:\"Universally Unique ID\";s:11:\"description\";s:85:\"Extends the entity functionality and adds support for universally unique identifiers.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"UUID\";s:9:\"configure\";s:24:\"admin/config/system/uuid\";s:5:\"files\";a:1:{i:0;s:9:\"uuid.test\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:5:\"mtime\";i:1493291958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/uuid/uuid_path/uuid_path.module','uuid_path','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"UUID Path\";s:11:\"description\";s:46:\"Provides export functionality for url aliases.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"UUID\";s:12:\"dependencies\";a:1:{i:0;s:4:\"uuid\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:5:\"mtime\";i:1493291958;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/uuid/uuid_services/uuid_services.module','uuid_services','module','',1,0,0,0,'a:12:{s:4:\"name\";s:13:\"UUID Services\";s:11:\"description\";s:84:\"Provides integration with the Services module, like exposing a UUID entity resource.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:20:\"Services - resources\";s:12:\"dependencies\";a:3:{i:0;s:8:\"services\";i:1;s:4:\"uuid\";i:2;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:5:\"mtime\";i:1493291958;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/uuid/uuid_services_example/uuid_services_example.module','uuid_services_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"UUID Services Example\";s:11:\"description\";s:90:\"Example feature of a UUID service. Works well with the Deploy Example feature as a client.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:4:{i:0;s:11:\"rest_server\";i:1;s:8:\"services\";i:2;s:4:\"uuid\";i:3;s:13:\"uuid_services\";}s:8:\"features\";a:3:{s:6:\"ctools\";a:1:{i:0;s:19:\"services:services:3\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:17:\"services_endpoint\";a:1:{i:0;s:21:\"uuid_services_example\";}}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:4:\"uuid\";s:9:\"datestamp\";s:10:\"1493291958\";s:5:\"mtime\";i:1493291958;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable.module','variable','module','',1,1,0,0,'a:12:{s:4:\"name\";s:8:\"Variable\";s:11:\"description\";s:43:\"Variable Information and basic variable API\";s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:27:\"includes/forum.variable.inc\";i:1;s:28:\"includes/locale.variable.inc\";i:2;s:26:\"includes/menu.variable.inc\";i:3;s:26:\"includes/node.variable.inc\";i:4;s:28:\"includes/system.variable.inc\";i:5;s:30:\"includes/taxonomy.variable.inc\";i:6;s:33:\"includes/translation.variable.inc\";i:7;s:26:\"includes/user.variable.inc\";i:8;s:13:\"variable.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_admin/variable_admin.module','variable_admin','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"Variable admin\";s:11:\"description\";s:26:\"Variable Administration UI\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_example/variable_example.module','variable_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Variable example\";s:11:\"description\";s:83:\"An example module showing how to use the Variable API and providing some variables.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:14:\"variable_store\";}s:7:\"package\";s:15:\"Example modules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:29:\"variable_example.variable.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_realm/variable_realm.module','variable_realm','module','',1,1,7000,-1000,'a:12:{s:4:\"name\";s:14:\"Variable realm\";s:11:\"description\";s:49:\"API to use variable realms from different modules\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_realm.class.inc\";i:1;s:30:\"variable_realm_union.class.inc\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_store/variable_store.module','variable_store','module','',1,1,7000,-1000,'a:12:{s:4:\"name\";s:14:\"Variable store\";s:11:\"description\";s:60:\"Database storage for variable realms. This is an API module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_store.class.inc\";i:1;s:19:\"variable_store.test\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_views/variable_views.module','variable_views','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"Variable views\";s:11:\"description\";s:78:\"Provides views integration for variable, included a default variable argument.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:5:\"views\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:51:\"includes/views_plugin_argument_default_variable.inc\";i:1;s:47:\"includes/views_handler_field_variable_title.inc\";i:2;s:47:\"includes/views_handler_field_variable_value.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bootstrap/views_bootstrap.module','views_bootstrap','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:20:\"Bootstrap Components\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:9:{i:0;s:58:\"plugins/carousel/views_bootstrap_carousel_plugin_style.inc\";i:1;s:57:\"plugins/carousel/views_bootstrap_carousel_plugin_rows.inc\";i:2;s:60:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc\";i:3;s:59:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc\";i:4;s:50:\"plugins/grid/views_bootstrap_grid_plugin_style.inc\";i:5;s:60:\"plugins/accordion/views_bootstrap_accordion_plugin_style.inc\";i:6;s:48:\"plugins/tab/views_bootstrap_tab_plugin_style.inc\";i:7;s:52:\"plugins/media/views_bootstrap_media_plugin_style.inc\";i:8;s:52:\"plugins/table/views_bootstrap_table_plugin_style.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/actions_permissions.module','actions_permissions','module','',1,0,0,0,'a:12:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:11:\"description\";s:84:\"Provides permission-based access control for actions. Used by Views Bulk Operations.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:5:\"mtime\";i:1487698687;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/views_bulk_operations.module','views_bulk_operations','module','',1,0,0,0,'a:12:{s:4:\"name\";s:21:\"Views Bulk Operations\";s:11:\"description\";s:74:\"Provides a way of selecting multiple rows and applying operations to them.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:14:\"views (>=3.12)\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:5:\"5.2.9\";s:5:\"files\";a:2:{i:0;s:38:\"plugins/operation_types/base.class.php\";i:1;s:56:\"views/views_bulk_operations_handler_field_operations.inc\";}s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1487698687\";s:5:\"mtime\";i:1487698687;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:5:\"mtime\";i:1452361196;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_field_view/views_field_view.module','views_field_view','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Views Field View\";s:11:\"description\";s:36:\"Embeds a view inside a view as field\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:39:\"views_field_view_handler_field_view.inc\";i:1;s:27:\"tests/views_field_view.test\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:5:\"mtime\";i:1442561052;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_horizontal_slider/views_horizontal_slider.module','views_horizontal_slider','module','',1,0,0,0,'a:12:{s:4:\"name\";s:28:\"Horizontal slider for Views.\";s:11:\"description\";s:41:\"Display views data in horizontal sliders.\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.1\";s:5:\"files\";a:2:{i:0;s:33:\"views_horizontal_slider.views.inc\";i:1;s:40:\"views_horizontal_slider_style_plugin.inc\";}s:7:\"project\";s:23:\"views_horizontal_slider\";s:9:\"datestamp\";s:10:\"1381538479\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_load_more/views_load_more.module','views_load_more','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Load More\";s:11:\"description\";s:148:\"A pager plugin for views. Gives users the option to add a \'more\' button to a view and have the results appended to existing results being displayed.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:25:\"views_load_more.views.inc\";i:1;s:32:\"views_plugin_pager_load_more.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:15:\"views_load_more\";s:9:\"datestamp\";s:10:\"1412631229\";s:5:\"mtime\";i:1499926447;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_metro/views_metro.module','views_metro','module','',1,0,0,0,'a:10:{s:4:\"name\";s:11:\"Views Metro\";s:11:\"description\";s:62:\"Provides a View style that displays rows as a jQuery Metro UI.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:15:\"views_fieldsets\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"views_metro.module\";i:1;s:34:\"views_metro_plugin_style_metro.inc\";}s:5:\"mtime\";i:1499926447;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_scattered_polaroids/views_scattered_polaroids.module','views_scattered_polaroids','module','',0,0,-1,0,'a:10:{s:4:\"name\";s:25:\"Views Scattered Polaroids\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:71:\"Adds a gallerry slider to Views. Use Scattered Polaroids jQuery plugin.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:51:\"includes/views_scattered_polaroids_plugin_style.inc\";i:1;s:50:\"includes/views_scattered_polaroids_plugin_rows.inc\";}s:5:\"mtime\";i:1499926447;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module','views_slideshow_simple_pager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:28:\"Views Slideshow Simple Pager\";s:11:\"description\";s:44:\"Provides a simple pager for Views Slideshow.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"views_slideshow\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,7300,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',1,0,7430,-1,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:27:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:36:\"tests/WebformComponentsTestCase.test\";i:22;s:38:\"tests/WebformConditionalsTestCase.test\";i:23;s:33:\"tests/WebformGeneralTestCase.test\";i:24;s:37:\"tests/WebformPermissionsTestCase.test\";i:25;s:36:\"tests/WebformSubmissionTestCase.test\";i:26;s:26:\"tests/WebformTestCase.test\";}s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:5:\"mtime\";i:1492107249;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/themes/educational/educational.info','educational','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:20:{s:4:\"name\";s:11:\"Educational\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/educational/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/educational/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/educational/css/html.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/educational/css/base.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/educational/css/page.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/educational/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/educational/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/educational/css/menu.css\";s:18:\"css/off-canvas.css\";s:47:\"sites/all/themes/educational/css/off-canvas.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/educational/css/animate.css\";}}s:7:\"scripts\";a:5:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/educational/bootstrap/js/bootstrap.js\";s:15:\"js/uikit.min.js\";s:44:\"sites/all/themes/educational/js/uikit.min.js\";s:15:\"js/waypoints.js\";s:44:\"sites/all/themes/educational/js/waypoints.js\";s:17:\"js/educational.js\";s:46:\"sites/all/themes/educational/js/educational.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/educational/js/jquery.smooth-scroll.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:27:{s:17:\"panel_mobile_menu\";s:17:\"Panel Mobile Menu\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:3:{s:10:\"aquamarine\";s:10:\"Aquamarine\";s:5:\"green\";s:5:\"Green\";s:10:\"strawberry\";s:10:\"Strawberry\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:10:\"screenshot\";s:43:\"sites/all/themes/educational/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/edustation/edustation.info','edustation','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:10:\"Edustation\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:55:\"sites/all/themes/edustation/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:61:\"sites/all/themes/edustation/bootstrap/css/bootstrap-theme.css\";s:12:\"css/html.css\";s:40:\"sites/all/themes/edustation/css/html.css\";s:12:\"css/base.css\";s:40:\"sites/all/themes/edustation/css/base.css\";s:12:\"css/page.css\";s:40:\"sites/all/themes/edustation/css/page.css\";s:13:\"css/block.css\";s:41:\"sites/all/themes/edustation/css/block.css\";s:12:\"css/view.css\";s:40:\"sites/all/themes/edustation/css/view.css\";s:12:\"css/menu.css\";s:40:\"sites/all/themes/edustation/css/menu.css\";s:23:\"css/menu-off-canvas.css\";s:51:\"sites/all/themes/edustation/css/menu-off-canvas.css\";}}s:7:\"scripts\";a:2:{s:25:\"bootstrap/js/bootstrap.js\";s:53:\"sites/all/themes/edustation/bootstrap/js/bootstrap.js\";s:16:\"js/edustation.js\";s:44:\"sites/all/themes/edustation/js/edustation.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:8:\"titlebgs\";a:3:{s:6:\"style1\";s:7:\"Style 1\";s:6:\"style2\";s:7:\"Style 2\";s:6:\"style3\";s:7:\"Style 3\";}s:7:\"regions\";a:26:{s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:11:\"top_content\";s:11:\"Top Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:8:\"featured\";s:8:\"Featured\";s:10:\"slideshow2\";s:11:\"Slideshow 2\";s:11:\"panel_first\";s:11:\"Panel First\";s:14:\"panel_second_1\";s:14:\"Panel Second 1\";s:14:\"panel_second_2\";s:14:\"Panel Second 2\";s:14:\"panel_second_3\";s:14:\"Panel Second 3\";s:11:\"panel_third\";s:11:\"Panel Third\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_second_1_width\";s:1:\"4\";s:20:\"panel_second_2_width\";s:1:\"4\";s:20:\"panel_second_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";}s:5:\"skins\";a:7:{s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"brown\";s:5:\"Brown\";}s:10:\"screenshot\";s:42:\"sites/all/themes/edustation/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499926447;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  `sticky` tinyint(4) DEFAULT '0',
  `created` int(11) NOT NULL DEFAULT '0',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (2,32,0,1416378510),(3,30,0,1416378532),(4,31,0,1416378553),(5,25,0,1416453587),(6,24,0,1416453640),(7,24,0,1416453701),(16,2,0,1416888182),(16,26,0,1416888182),(16,56,0,1416888182),(17,2,0,1416888250),(17,27,0,1416888250),(17,54,0,1416888250),(18,28,0,1416888309),(18,34,0,1416888309),(18,53,0,1416888309),(19,32,0,1417141880),(20,28,0,1417141905),(20,29,0,1417141905),(21,26,0,1417141927),(22,27,0,1417141945),(23,29,0,1417141979),(25,40,0,1417416763),(26,42,0,1417416789),(27,43,0,1417416812),(28,41,0,1417416832),(29,40,0,1417416852),(30,42,0,1417416870),(31,43,0,1417416894),(32,41,0,1417416912),(33,40,0,1417416934),(47,42,0,1417589897);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_menu`
--

DROP TABLE IF EXISTS `taxonomy_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_menu` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy terms menu_link.mlid.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Tid that is linked to the mlid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Vid for the tid.',
  PRIMARY KEY (`mlid`,`tid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links a taxonomy term to a menu item.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_menu`
--

LOCK TABLES `taxonomy_menu` WRITE;
/*!40000 ALTER TABLE `taxonomy_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_menu` VALUES (1031,24,10),(1032,37,10),(1033,25,10),(1034,38,10),(1035,36,10);
/*!40000 ALTER TABLE `taxonomy_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  `language` varchar(12) NOT NULL DEFAULT 'und',
  `i18n_tsid` int(10) unsigned NOT NULL DEFAULT '0',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,2,'General discussion','',NULL,0,'und',0,'de459c99-9131-47f2-aaae-8249fafd0492'),(2,4,'Business','','filtered_html',0,'und',0,'11623649-d404-414a-b8df-b54101364393'),(3,4,'Medical','','filtered_html',0,'und',0,'3d12f2b4-1cf1-4b65-ba6b-76e399c48db0'),(4,4,'Interior design','','filtered_html',0,'und',0,'55457b67-1178-46fc-807d-4111b00ae0e4'),(5,4,'Computer application','','filtered_html',0,'und',0,'93dd83be-fe72-4192-8662-ee12ff12cb28'),(6,4,'Accountant & Finance','','filtered_html',0,'und',0,'57bf6cfa-eba1-44cc-b139-860c3daac159'),(7,4,'Humanities','','filtered_html',0,'und',0,'64191e6e-dd1c-4ca6-a9e2-76afce92cc2e'),(8,4,'Economics','','filtered_html',0,'und',0,'1e6b5a1a-137f-4821-8e59-c1367a717597'),(9,4,'Photography','','filtered_html',0,'und',0,'5728c31b-dd19-4eb9-9492-a4d5b6f69c84'),(13,6,'Campus Life','Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore.','filtered_html',0,'und',0,'db688075-b58f-4a6b-a300-e7f0f54b57ef'),(14,6,'Worldwide Gratudates','Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore.','filtered_html',0,'und',0,'85ffd5a4-b45c-404a-8d9e-2be6bf112593'),(15,6,'The finest facilities','Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore.','filtered_html',0,'und',0,'c792bf36-8161-49e2-851a-df581a5da54c'),(16,6,'Student Community','Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore.','filtered_html',0,'und',0,'dba7c96b-838b-4896-90c5-36273825cb35'),(17,7,'Teacher','','filtered_html',0,'und',0,'cfcf36b6-6fa7-4b4d-8786-abd178b63c77'),(18,7,'Student','','filtered_html',0,'und',0,'21cbdc77-77fa-4391-a7ed-e155c2d64541'),(19,9,'Dr. David Jonhson','Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Nam auctor vulputate orci, quis faucibus ipsum luctus sit amet.','filtered_html',0,'und',0,'a5bccc10-dabc-44ff-8d03-aea529e1f163'),(20,9,'Dr. Makaza','Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Nam auctor vulputate orci, quis faucibus ipsum luctus sit amet.','filtered_html',0,'und',0,'1ad5a125-111f-4417-a1c4-5c7442ef1d73'),(21,9,'Dr. Sushaha','Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Nam auctor vulputate orci, quis faucibus ipsum luctus sit amet.','filtered_html',0,'und',0,'e675d155-61ce-45e9-9bf7-8a02d18e52e6'),(23,9,'Dr. Zuzia','Nulla interdum malesuada lacinia. Praesent id ligula non sem semper aliquet. Mauris in quam viverra neque tristique tincidunt. Vestibulum interdum semper arcu, vel tincidunt sem accumsan ut. Integer est leo, fringilla sed est id, malesuada ornare magna. Pellentesque feugiat ultrices nisi, a hendrerit libero egestas non. Nam auctor vulputate orci, quis faucibus ipsum luctus sit amet.','filtered_html',0,'und',0,'8e19297f-89c5-48c5-a036-aeba3be3d705'),(24,10,'Global','','filtered_html',0,'und',0,'4e7a5eca-7b9d-4b82-9241-a68e0ee40539'),(25,10,'Scholarship','','filtered_html',0,'und',0,'deed06d2-73f8-41d1-8809-d879c0085b77'),(26,11,'Canada','Canada Campus','filtered_html',0,'und',0,'83fe9a4d-e55a-4bc7-87fe-1ec4bad3d20a'),(27,11,'Germany','Germany Campus','filtered_html',0,'und',0,'d84549b1-157b-49e7-adb9-dedef5279f87'),(28,11,'Italy','Italy Campus','filtered_html',0,'und',0,'a6bbae95-495a-4058-a429-46411962d68f'),(29,11,'Japan','Japan Campus','filtered_html',0,'und',0,'5d7aa115-2e9f-4bf2-9135-a5608d61f687'),(30,11,'Vietnam','Vietnam Campus','filtered_html',0,'und',0,'a3f0bf0e-1603-4b0d-9777-295cfee28e24'),(31,11,'United States','United States Campus','filtered_html',0,'und',0,'5a03e643-b70b-449d-a532-a39df27cc1c8'),(32,11,'Thailand','Thailand Campus','filtered_html',0,'und',0,'bcf8f7e2-bf8e-4ceb-b0af-8ab427699560'),(33,12,'Hot','','filtered_html',0,'und',0,'33fbf1ba-5542-479e-b076-3d9240b74460'),(34,12,'New','','filtered_html',0,'und',0,'8ed75cfc-fde6-4737-83bd-074459709cc3'),(36,10,'Student','','filtered_html',0,'und',0,'f62911eb-ddf4-42e7-9123-b8b43ae32fe9'),(37,10,'Notification','','filtered_html',0,'und',0,'f7785b27-7159-40bd-800c-5c0de94ee526'),(38,10,'Schools','','filtered_html',0,'und',0,'2a0c2396-a087-44c2-a23d-9be1e43aacad'),(39,7,'Speaker','','filtered_html',0,'und',0,'1f4e4a8b-dfe2-4a81-93af-ac9fe56f14fe'),(40,14,'Educational','','filtered_html',0,'und',0,'0184fce1-681f-42b1-a882-c87d897b09b8'),(41,14,'Student','','filtered_html',0,'und',0,'419d9c91-0500-46e1-96fb-537dc2353dec'),(42,14,'News','','filtered_html',0,'und',0,'be8ef3a4-ca1e-4ba0-ae1f-264472f13715'),(43,14,'Scholarship','','filtered_html',0,'und',0,'8eb7abd8-2355-43c6-b718-d164d363393f'),(44,15,'Global Students','<p>134.446</p>\r\n','filtered_html',0,'und',0,'cd6aaa87-e825-4ddd-8dad-57daf707c6cf'),(45,15,'Experience Teachers','<p>512</p>\r\n','filtered_html',0,'und',0,'4ed34210-8bab-4819-a564-88ddaecb3148'),(46,15,'Global Campus','<p>35</p>\r\n','filtered_html',0,'und',0,'ccf975e1-fcad-4191-b541-37a4116efda8'),(47,15,'Awesome Courses','<p>134.446</p>\r\n','filtered_html',0,'und',0,'5d98ce69-fb8b-48fc-b886-7c489b14b652'),(48,17,'201','','filtered_html',0,'und',0,'f16cd1cc-084e-41b3-9881-6fa6ed2423d6'),(49,17,'202','','filtered_html',0,'und',0,'c931a5b8-3e1b-4492-aaa0-1d97ab1f8268'),(50,17,'203','','filtered_html',0,'und',0,'94d9f9cf-8a71-47ee-917a-383fd64663a9'),(51,17,'204','','filtered_html',0,'und',0,'96d47760-085b-4383-a711-5e351397c5fc'),(52,17,'205','','filtered_html',0,'und',0,'f4953f6b-584a-4060-88ea-4d8e8a452287'),(53,18,'123','','filtered_html',0,'und',0,'7acd63f4-71e6-4c2d-af7e-19812eb2ebc3'),(54,18,'124','','filtered_html',0,'und',0,'8862b2d2-af12-4bf7-ac56-ee5b2d16cc61'),(55,18,'125','','filtered_html',0,'und',0,'2d4ebe73-44ca-472c-82ea-47154e3ef70e'),(56,18,'126','','filtered_html',0,'und',0,'e196477e-479d-488d-b9f8-cea0201dfc7d');
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(23,0),(24,0),(25,0),(26,0),(27,0),(28,0),(29,0),(30,0),(31,0),(32,0),(33,0),(34,0),(36,0),(37,0),(38,0),(39,0),(40,0),(41,0),(42,0),(43,0),(44,0),(45,0),(46,0),(47,0),(48,0),(49,0),(50,0),(51,0),(52,0),(53,0),(54,0),(55,0),(56,0);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  `language` varchar(12) NOT NULL DEFAULT 'und',
  `i18n_mode` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0,'und',0),(2,'Forums','forums','Forum navigation vocabulary',1,'forum',-10,'und',1),(3,'Events','events','',0,'taxonomy',0,'und',0),(4,'Courses','courses','Our courses',0,'taxonomy',0,'und',0),(6,'Services','services','Services',0,'taxonomy',0,'und',0),(7,'User','user','User',0,'taxonomy',0,'und',0),(8,'Newsletter categories','newsletter_categories','Vocabulary used to store the categories of newsletter lists',0,'newsletter',0,'und',0),(9,'Professors','professors','',0,'taxonomy',0,'und',0),(10,'Category','category','',0,'taxonomy',0,'und',0),(11,'Our Campus','our_campus','',0,'taxonomy',0,'und',0),(12,'Status','status','',0,'taxonomy',0,'und',0),(13,'Location','location','',1,'taxonomy',0,'und',0),(14,'Gallery Categories','gallery_categories','',0,'taxonomy',0,'und',0),(15,'Statistic','statistic','',0,'taxonomy',0,'und',0),(16,'Newsletter','newsletter','Simplenews newsletter categories.',0,'simplenews',0,'und',0),(17,'Class','class','Class',0,'taxonomy',0,'und',0),(18,'Room','room','',0,'taxonomy',0,'und',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  `language` varchar(12) NOT NULL DEFAULT '',
  PRIMARY KEY (`menu_name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_cart_products`
--

DROP TABLE IF EXISTS `uc_cart_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_cart_products` (
  `cart_item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for cart item.',
  `cart_id` varchar(255) NOT NULL DEFAULT '0' COMMENT 'A user-specific cart ID. For authenticated users, their users.uid. For anonymous users, a token.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the product.',
  `qty` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of this product in the cart.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating the time the product in the cart was changed.',
  `data` text COMMENT 'A serialized array of extra cart data for the product.',
  PRIMARY KEY (`cart_item_id`),
  KEY `cart_id` (`cart_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores products placed in shopping carts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_cart_products`
--

LOCK TABLES `uc_cart_products` WRITE;
/*!40000 ALTER TABLE `uc_cart_products` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_cart_products` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_countries`
--

DROP TABLE IF EXISTS `uc_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_countries` (
  `country_id` int(10) unsigned NOT NULL COMMENT 'Primary key: numeric ISO country code.',
  `country_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The country name.',
  `country_iso_code_2` char(2) NOT NULL DEFAULT '' COMMENT 'The two-character ISO country code.',
  `country_iso_code_3` char(3) NOT NULL DEFAULT '' COMMENT 'The three-character ISO country code.',
  `version` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The version of the CIF that loaded the country information.',
  PRIMARY KEY (`country_id`),
  KEY `country_name` (`country_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores country information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_countries`
--

LOCK TABLES `uc_countries` WRITE;
/*!40000 ALTER TABLE `uc_countries` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `uc_countries` VALUES (124,'Canada','CA','CAN',2),(840,'United States','US','USA',1);
/*!40000 ALTER TABLE `uc_countries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_admin_comments`
--

DROP TABLE IF EXISTS `uc_order_admin_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_admin_comments` (
  `comment_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the comment ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id of the order.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user.uid of the author of the comment.',
  `message` text COMMENT 'The comment body.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the comment was created.',
  PRIMARY KEY (`comment_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Comments on orders that only administrators can see.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_admin_comments`
--

LOCK TABLES `uc_order_admin_comments` WRITE;
/*!40000 ALTER TABLE `uc_order_admin_comments` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_admin_comments` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_comments`
--

DROP TABLE IF EXISTS `uc_order_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_comments` (
  `comment_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the comment ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id of the order.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who made the comment.',
  `order_status` varchar(32) NOT NULL DEFAULT '' COMMENT 'The status the order had when the comment was made, from uc_order_statuses.order_status_id.',
  `notified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A flag indicating whether the comment was emailed to the customer. 1 => Yes. 0 => No.',
  `message` text COMMENT 'The comment body.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the comment was created.',
  PRIMARY KEY (`comment_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Comments on the order that the customer can see.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_comments`
--

LOCK TABLES `uc_order_comments` WRITE;
/*!40000 ALTER TABLE `uc_order_comments` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_comments` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_line_items`
--

DROP TABLE IF EXISTS `uc_order_line_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_line_items` (
  `line_item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the line item ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The line item type.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label of the line item.',
  `amount` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The amount of the line item in the store’s currency.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The sort criteria of line items.',
  `data` text COMMENT 'A serialized array of extra data.',
  PRIMARY KEY (`line_item_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Order line items other than products.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_line_items`
--

LOCK TABLES `uc_order_line_items` WRITE;
/*!40000 ALTER TABLE `uc_order_line_items` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_line_items` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_log`
--

DROP TABLE IF EXISTS `uc_order_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_log` (
  `order_log_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the log entry ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who made the changes.',
  `changes` text COMMENT 'The description of what was changed.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the change was made.',
  PRIMARY KEY (`order_log_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Record of changes made to an order.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_log`
--

LOCK TABLES `uc_order_log` WRITE;
/*!40000 ALTER TABLE `uc_order_log` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_log` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_products`
--

DROP TABLE IF EXISTS `uc_order_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_products` (
  `order_product_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the ordered product ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the product.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The product title, from node.title.',
  `model` varchar(255) NOT NULL DEFAULT '' COMMENT 'The product model/SKU, from uc_products.model.',
  `qty` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of the same product ordered.',
  `cost` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The cost to the store for the product.',
  `price` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The price paid for the ordered product.',
  `weight` float NOT NULL DEFAULT '0' COMMENT 'The physical weight.',
  `weight_units` varchar(255) NOT NULL DEFAULT 'lb' COMMENT 'Unit of measure for the weight field.',
  `data` text COMMENT 'A serialized array of extra data.',
  PRIMARY KEY (`order_product_id`),
  KEY `order_id` (`order_id`),
  KEY `qty` (`qty`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The products that have been ordered.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_products`
--

LOCK TABLES `uc_order_products` WRITE;
/*!40000 ALTER TABLE `uc_order_products` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_products` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_quotes`
--

DROP TABLE IF EXISTS `uc_order_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_quotes` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `method` varchar(25) NOT NULL DEFAULT '' COMMENT 'The quoted shipping method.',
  `accessorials` varchar(255) NOT NULL DEFAULT '' COMMENT 'Additional services or special instructions.',
  `rate` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The quoted shipping rate.',
  PRIMARY KEY (`order_id`),
  UNIQUE KEY `order_id_quote_method` (`order_id`,`method`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores shipping quotes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_quotes`
--

LOCK TABLES `uc_order_quotes` WRITE;
/*!40000 ALTER TABLE `uc_order_quotes` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_order_quotes` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_order_statuses`
--

DROP TABLE IF EXISTS `uc_order_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_order_statuses` (
  `order_status_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary key: the order status ID.',
  `title` varchar(48) NOT NULL DEFAULT '' COMMENT 'The status title.',
  `state` varchar(32) NOT NULL DEFAULT '' COMMENT 'The base order state with which the status is associated.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The sort criteria for statuses.',
  `locked` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'A flag indicating whether users can delete the status. 0 => Yes. 1 => No.',
  PRIMARY KEY (`order_status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Statuses the order can have during its lifecycle.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_order_statuses`
--

LOCK TABLES `uc_order_statuses` WRITE;
/*!40000 ALTER TABLE `uc_order_statuses` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `uc_order_statuses` VALUES ('abandoned','Abandoned','canceled',-30,1),('canceled','Canceled','canceled',-20,1),('completed','Completed','completed',20,1),('in_checkout','In checkout','in_checkout',-10,1),('payment_received','Payment received','payment_received',10,1),('paypal_pending','PayPal pending','post_checkout',7,1),('pending','Pending','post_checkout',0,1),('processing','Processing','post_checkout',5,1);
/*!40000 ALTER TABLE `uc_order_statuses` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_orders`
--

DROP TABLE IF EXISTS `uc_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_orders` (
  `order_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the order ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user.uid of the customer that placed the order.',
  `order_status` varchar(32) NOT NULL DEFAULT '' COMMENT 'The uc_order_statuses.order_status_id indicating the order status.',
  `order_total` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The total amount to be paid for the order.',
  `product_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total product quantity of the order.',
  `primary_email` varchar(96) NOT NULL DEFAULT '' COMMENT 'The email address of the customer.',
  `delivery_first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first name of the person receiving shipment.',
  `delivery_last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The last name of the person receiving shipment.',
  `delivery_phone` varchar(255) NOT NULL DEFAULT '' COMMENT 'The phone number at the delivery location.',
  `delivery_company` varchar(255) NOT NULL DEFAULT '' COMMENT 'The company at the delivery location.',
  `delivery_street1` varchar(255) NOT NULL DEFAULT '' COMMENT 'The street address of the delivery location.',
  `delivery_street2` varchar(255) NOT NULL DEFAULT '' COMMENT 'The second line of the street address.',
  `delivery_city` varchar(255) NOT NULL DEFAULT '' COMMENT 'The city of the delivery location.',
  `delivery_zone` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The state/zone/province id of the delivery location.',
  `delivery_postal_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'The postal code of the delivery location.',
  `delivery_country` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The country ID of the delivery location.',
  `billing_first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first name of the person paying for the order.',
  `billing_last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The last name of the person paying for the order.',
  `billing_phone` varchar(255) NOT NULL DEFAULT '' COMMENT 'The phone number for the billing address.',
  `billing_company` varchar(255) NOT NULL DEFAULT '' COMMENT 'The company of the billing address.',
  `billing_street1` varchar(255) NOT NULL DEFAULT '' COMMENT 'The street address where the bill will be sent.',
  `billing_street2` varchar(255) NOT NULL DEFAULT '' COMMENT 'The second line of the street address.',
  `billing_city` varchar(255) NOT NULL DEFAULT '' COMMENT 'The city where the bill will be sent.',
  `billing_zone` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The state/zone/province ID where the bill will be sent.',
  `billing_postal_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'The postal code where the bill will be sent.',
  `billing_country` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The country ID where the bill will be sent.',
  `payment_method` varchar(32) NOT NULL DEFAULT '' COMMENT 'The method of payment.',
  `data` text COMMENT 'A serialized array of extra data.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the order was created.',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the order was last modified.',
  `host` varchar(255) NOT NULL DEFAULT '' COMMENT 'Host IP address of the person paying for the order.',
  `currency` char(3) NOT NULL DEFAULT '' COMMENT 'The ISO currency code for the order.',
  PRIMARY KEY (`order_id`),
  KEY `uid` (`uid`),
  KEY `order_status` (`order_status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores Ubercart order information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_orders`
--

LOCK TABLES `uc_orders` WRITE;
/*!40000 ALTER TABLE `uc_orders` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_orders` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_check`
--

DROP TABLE IF EXISTS `uc_payment_check`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_check` (
  `check_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the check ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `clear_date` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating the expected clear date for the check.',
  PRIMARY KEY (`check_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores check payment information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_check`
--

LOCK TABLES `uc_payment_check` WRITE;
/*!40000 ALTER TABLE `uc_payment_check` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_check` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_cod`
--

DROP TABLE IF EXISTS `uc_payment_cod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_cod` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `delivery_month` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The month of delivery. 1 => January, 2 => February, etc.',
  `delivery_day` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The day of the month of delivery.',
  `delivery_year` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The year of delivery.',
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores COD payment information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_cod`
--

LOCK TABLES `uc_payment_cod` WRITE;
/*!40000 ALTER TABLE `uc_payment_cod` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_cod` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_cybersource_hop_post`
--

DROP TABLE IF EXISTS `uc_payment_cybersource_hop_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_cybersource_hop_post` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order ID as provided by the store.',
  `request_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'Unique id assigned by CyberSource that identifies payment request.',
  `request_token` varchar(255) NOT NULL DEFAULT '' COMMENT 'Verification token associated with the request ID.',
  `reconciliation_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'Reference number generated by CyberSource that you use to reconcile your CyberSource reports with your processor reports.',
  `gross` varchar(255) NOT NULL DEFAULT '' COMMENT 'The approved payment amount from CyberSource.',
  `decision` varchar(255) NOT NULL DEFAULT '' COMMENT 'CyberSource decision for payment request.',
  `reason_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'A code for decision.',
  `payer_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail address of the buyer.',
  `received` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The IPN receipt timestamp.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_cybersource_hop_post`
--

LOCK TABLES `uc_payment_cybersource_hop_post` WRITE;
/*!40000 ALTER TABLE `uc_payment_cybersource_hop_post` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_cybersource_hop_post` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_other`
--

DROP TABLE IF EXISTS `uc_payment_other`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_other` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `description` varchar(64) NOT NULL DEFAULT '' COMMENT 'The description of the payment type.',
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores Other payment type information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_other`
--

LOCK TABLES `uc_payment_other` WRITE;
/*!40000 ALTER TABLE `uc_payment_other` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_other` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_paypal_ipn`
--

DROP TABLE IF EXISTS `uc_payment_paypal_ipn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_paypal_ipn` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order ID.',
  `txn_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The transaction ID from PayPal.',
  `txn_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The transaction type from PayPal.',
  `mc_gross` varchar(255) NOT NULL DEFAULT '' COMMENT 'The payment amount from PayPal.',
  `status` varchar(255) NOT NULL DEFAULT '' COMMENT 'The IPN status from PayPal.',
  `receiver_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail address of the PayPal account.',
  `payer_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail address of the buyer.',
  `received` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The IPN receipt timestamp.',
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Logs PayPal Instant Payment Notifications.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_paypal_ipn`
--

LOCK TABLES `uc_payment_paypal_ipn` WRITE;
/*!40000 ALTER TABLE `uc_payment_paypal_ipn` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_paypal_ipn` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_payment_receipts`
--

DROP TABLE IF EXISTS `uc_payment_receipts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_payment_receipts` (
  `receipt_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the payment receipt ID.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_orders.order_id.',
  `method` varchar(32) NOT NULL DEFAULT '' COMMENT 'The payment method.',
  `amount` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The payment amount in the store default currency.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid who collected the payment.',
  `data` text COMMENT 'A serialized array of extra payment data.',
  `comment` text COMMENT 'A comment made on the payment.',
  `received` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp indicating when the payment was received.',
  PRIMARY KEY (`receipt_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores completed payments.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_payment_receipts`
--

LOCK TABLES `uc_payment_receipts` WRITE;
/*!40000 ALTER TABLE `uc_payment_receipts` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_payment_receipts` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_product_classes`
--

DROP TABLE IF EXISTS `uc_product_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_product_classes` (
  `pcid` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node type identifier.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name.',
  `description` text COMMENT 'The description of the node type.',
  PRIMARY KEY (`pcid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The list of product node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_product_classes`
--

LOCK TABLES `uc_product_classes` WRITE;
/*!40000 ALTER TABLE `uc_product_classes` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_product_classes` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_product_features`
--

DROP TABLE IF EXISTS `uc_product_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_product_features` (
  `pfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the product feature id.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the product that has this feature.',
  `fid` varchar(32) NOT NULL DEFAULT '' COMMENT 'The type of feature.',
  `description` text COMMENT 'The description of the feature.',
  PRIMARY KEY (`pfid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information of features added to products.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_product_features`
--

LOCK TABLES `uc_product_features` WRITE;
/*!40000 ALTER TABLE `uc_product_features` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_product_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_products`
--

DROP TABLE IF EXISTS `uc_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_products` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.vid of the product.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the product.',
  `model` varchar(255) NOT NULL DEFAULT '' COMMENT 'SKU or model number.',
  `list_price` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'Suggested retail price.',
  `cost` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The amount the store pays to sell the product.',
  `sell_price` decimal(16,5) NOT NULL DEFAULT '0.00000' COMMENT 'The amount the customer pays for the product.',
  `weight` float NOT NULL DEFAULT '0' COMMENT 'Physical weight.',
  `weight_units` varchar(255) NOT NULL DEFAULT 'lb' COMMENT 'Unit of measure for the weight field.',
  `length` float NOT NULL DEFAULT '0' COMMENT 'Physical length of the product or its packaging.',
  `width` float NOT NULL DEFAULT '0' COMMENT 'Physical width of the product or its packaging.',
  `height` float NOT NULL DEFAULT '0' COMMENT 'Physical height of the product or its packaging.',
  `length_units` varchar(255) NOT NULL DEFAULT 'in' COMMENT 'Unit of measure for the length, width, and height.',
  `pkg_qty` smallint(5) unsigned NOT NULL DEFAULT '1' COMMENT 'The number of this product that fit in one package.',
  `default_qty` smallint(5) unsigned NOT NULL DEFAULT '1' COMMENT 'The default value for the quantity field in the "Add to Cart" form.',
  `ordering` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The sort criteria for products.',
  `shippable` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Boolean flag signifying that the product can be shipped.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Product information for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_products`
--

LOCK TABLES `uc_products` WRITE;
/*!40000 ALTER TABLE `uc_products` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_products` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_quote_product_locations`
--

DROP TABLE IF EXISTS `uc_quote_product_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_quote_product_locations` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_products.nid.',
  `first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address first name.',
  `last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address last name.',
  `company` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address company.',
  `street1` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address street line 1.',
  `street2` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address street line 2.',
  `city` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address city.',
  `zone` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The address state/province, from uc_zones.zone_id.',
  `postal_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address postal code.',
  `country` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The address country, from uc_countries.country_id.',
  `phone` varchar(255) NOT NULL DEFAULT '' COMMENT 'The address phone number.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores default product origin addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_quote_product_locations`
--

LOCK TABLES `uc_quote_product_locations` WRITE;
/*!40000 ALTER TABLE `uc_quote_product_locations` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_quote_product_locations` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_quote_shipping_types`
--

DROP TABLE IF EXISTS `uc_quote_shipping_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_quote_shipping_types` (
  `id_type` varchar(127) NOT NULL DEFAULT '' COMMENT 'Determines the table that id references. "product" => uc_products.nid.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The entity ID.',
  `shipping_type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The basic type of shipment, e.g.: small package, freight.',
  PRIMARY KEY (`id_type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores shipping information of products.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_quote_shipping_types`
--

LOCK TABLES `uc_quote_shipping_types` WRITE;
/*!40000 ALTER TABLE `uc_quote_shipping_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `uc_quote_shipping_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `uc_zones`
--

DROP TABLE IF EXISTS `uc_zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_zones` (
  `zone_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary key: the unique zone id.',
  `zone_country_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The uc_countries.country_id to which this zone belongs.',
  `zone_code` varchar(32) NOT NULL DEFAULT '' COMMENT 'Standard abbreviation of the zone name.',
  `zone_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The zone name.',
  PRIMARY KEY (`zone_id`),
  KEY `zone_code` (`zone_code`),
  KEY `zone_country_id` (`zone_country_id`)
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8 COMMENT='Stores state/province information within a country.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_zones`
--

LOCK TABLES `uc_zones` WRITE;
/*!40000 ALTER TABLE `uc_zones` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `uc_zones` VALUES (1,840,'AL','Alabama'),(2,840,'AK','Alaska'),(3,840,'AS','American Samoa'),(4,840,'AZ','Arizona'),(5,840,'AR','Arkansas'),(6,840,'AF','Armed Forces Africa'),(7,840,'AA','Armed Forces Americas'),(8,840,'AC','Armed Forces Canada'),(9,840,'AE','Armed Forces Europe'),(10,840,'AM','Armed Forces Middle East'),(11,840,'AP','Armed Forces Pacific'),(12,840,'CA','California'),(13,840,'CO','Colorado'),(14,840,'CT','Connecticut'),(15,840,'DE','Delaware'),(16,840,'DC','District of Columbia'),(17,840,'FM','Federated States Of Micronesia'),(18,840,'FL','Florida'),(19,840,'GA','Georgia'),(20,840,'GU','Guam'),(21,840,'HI','Hawaii'),(22,840,'ID','Idaho'),(23,840,'IL','Illinois'),(24,840,'IN','Indiana'),(25,840,'IA','Iowa'),(26,840,'KS','Kansas'),(27,840,'KY','Kentucky'),(28,840,'LA','Louisiana'),(29,840,'ME','Maine'),(30,840,'MH','Marshall Islands'),(31,840,'MD','Maryland'),(32,840,'MA','Massachusetts'),(33,840,'MI','Michigan'),(34,840,'MN','Minnesota'),(35,840,'MS','Mississippi'),(36,840,'MO','Missouri'),(37,840,'MT','Montana'),(38,840,'NE','Nebraska'),(39,840,'NV','Nevada'),(40,840,'NH','New Hampshire'),(41,840,'NJ','New Jersey'),(42,840,'NM','New Mexico'),(43,840,'NY','New York'),(44,840,'NC','North Carolina'),(45,840,'ND','North Dakota'),(46,840,'MP','Northern Mariana Islands'),(47,840,'OH','Ohio'),(48,840,'OK','Oklahoma'),(49,840,'OR','Oregon'),(50,840,'PW','Palau'),(51,840,'PA','Pennsylvania'),(52,840,'PR','Puerto Rico'),(53,840,'RI','Rhode Island'),(54,840,'SC','South Carolina'),(55,840,'SD','South Dakota'),(56,840,'TN','Tennessee'),(57,840,'TX','Texas'),(58,840,'UT','Utah'),(59,840,'VT','Vermont'),(60,840,'VI','Virgin Islands'),(61,840,'VA','Virginia'),(62,840,'WA','Washington'),(63,840,'WV','West Virginia'),(64,840,'WI','Wisconsin'),(65,840,'WY','Wyoming'),(66,124,'AB','Alberta'),(67,124,'BC','British Columbia'),(68,124,'MB','Manitoba'),(69,124,'NL','Newfoundland and Labrador'),(70,124,'NB','New Brunswick'),(71,124,'NS','Nova Scotia'),(72,124,'NT','Northwest Territories'),(73,124,'NU','Nunavut'),(74,124,'ON','Ontario'),(75,124,'PE','Prince Edward Island'),(76,124,'QC','Quebec'),(77,124,'SK','Saskatchewan'),(78,124,'YT','Yukon Territory');
/*!40000 ALTER TABLE `uc_zones` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=271 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (155,'node/1','homepage','en'),(156,'node/2','events/teacher’s-day','en'),(157,'node/3','events/teacher’s-day-0','en'),(158,'node/4','events/teacher’s-day-1','en'),(159,'node/5','news/proin-pretium-nequ-eget-turco-euismod-ornare-omra-furato-suda','en'),(160,'node/6','news/suspendisse-potenti-curabitur-dapibus','en'),(161,'node/7','news/suspendisse-potenti-curabitur-dapibus-0','en'),(162,'node/8','content/nulla-convallis-velit-non-consequat-consectetur','en'),(163,'node/9','content/nulla-convallis-velit-non-consequat-consectetur-0','en'),(164,'node/10','content/nulla-convallis-velit-non-consequat-consectetur-1','en'),(165,'node/11','content/quisque-nec-mattis-tellus','en'),(166,'node/12','content/white-skirt','en'),(167,'node/13','content/white-skirt-0','en'),(168,'node/14','content/slide-1','en'),(169,'node/15','content/slide-2','en'),(170,'node/16','course/computer','en'),(171,'node/17','course/languages','en'),(172,'node/18','course/camera','en'),(173,'node/19','events/teacher’s-day-2','en'),(174,'node/20','events/teacher’s-day-3','en'),(175,'node/21','events/teacher’s-day-4','en'),(176,'node/22','events/teacher’s-day-5','en'),(177,'node/23','events/teacher’s-day-6','en'),(178,'node/24','404-page','en'),(179,'node/25','gallery/gallery-menu-1','en'),(180,'node/26','gallery/gallery-menu-2','en'),(181,'node/27','gallery/gallery-menu-3','en'),(182,'node/28','gallery/gallery-menu-4','en'),(183,'node/29','gallery/gallery-menu-5','en'),(184,'node/30','gallery/gallery-menu-6','en'),(185,'node/31','gallery/gallery-menu-7','en'),(186,'node/32','gallery/gallery-menu-8','en'),(187,'node/33','gallery/gallery-menu-9','en'),(188,'node/34','faq/nunc-interdum-interdum-est-id-interdum-suspendisse-facilisis-imperdiet-justo-posuere-congue-ut','en'),(189,'node/35','faq/raesent-finibus-eros-libero-non-luctus-tellus-tincidunt-sit-amet-1','en'),(190,'node/36','faq/nunc-interdum-interdum-est-id-interdum-suspendisse-facilisis-imperdiet-justo-posuere-congue-ut-1','en'),(191,'node/37','faq/raesent-finibus-eros-libero-non-luctus-tellus-tincidunt-sit-amet-0','en'),(192,'node/38','faq/nunc-interdum-interdum-est-id-interdum-suspendisse-facilisis-imperdiet-justo-posuere-congue-ut-3','en'),(193,'node/39','faq/raesent-finibus-eros-libero-non-luctus-tellus-tincidunt-sit-amet','en'),(194,'node/40','about-university','en'),(195,'node/41','organisation-university','en'),(196,'node/42','history-university','en'),(197,'node/43','our-mission-university','en'),(198,'node/44','content/quiz','und'),(199,'node/45','content/demo-question','en'),(200,'node/46','content/contacts','en'),(201,'node/47','gallery/gallery-menu-10','en'),(202,'taxonomy/term/2','courses/business','und'),(203,'taxonomy/term/3','courses/medical','und'),(204,'taxonomy/term/4','courses/interior-design','und'),(205,'taxonomy/term/5','courses/computer-application','und'),(206,'taxonomy/term/6','courses/accountant-finance','und'),(207,'taxonomy/term/7','courses/humanities','und'),(208,'taxonomy/term/8','courses/economics','und'),(209,'taxonomy/term/9','courses/photography','und'),(210,'taxonomy/term/13','services/campus-life','und'),(211,'taxonomy/term/14','services/worldwide-gratudates','und'),(212,'taxonomy/term/15','services/finest-facilities','und'),(213,'taxonomy/term/16','services/student-community','und'),(214,'taxonomy/term/17','user/teacher','und'),(215,'taxonomy/term/18','user/student','und'),(216,'taxonomy/term/19','professors/dr-david-jonhson','und'),(217,'taxonomy/term/20','professors/dr-makaza','und'),(218,'taxonomy/term/21','professors/dr-sushaha','und'),(219,'taxonomy/term/23','professors/dr-zuzia','und'),(220,'taxonomy/term/24','news/global','und'),(221,'taxonomy/term/25','news/scholarship','und'),(222,'taxonomy/term/26','our-campus/canada','und'),(223,'taxonomy/term/27','our-campus/germany','und'),(224,'taxonomy/term/28','our-campus/italy','und'),(225,'taxonomy/term/29','our-campus/japan','und'),(226,'taxonomy/term/30','our-campus/vietnam','und'),(227,'taxonomy/term/31','our-campus/united-states','und'),(228,'taxonomy/term/32','our-campus/thailand','und'),(229,'taxonomy/term/33','status/hot','und'),(230,'taxonomy/term/34','status/new','und'),(231,'taxonomy/term/36','news/student','und'),(232,'taxonomy/term/37','news/notification','und'),(233,'taxonomy/term/38','news/schools','und'),(234,'taxonomy/term/39','user/speaker','und'),(235,'taxonomy/term/40','gallery-category/educational','und'),(236,'taxonomy/term/41','gallery-category/student','und'),(237,'taxonomy/term/42','gallery-category/news','und'),(238,'taxonomy/term/43','gallery-category/scholarship','und'),(239,'taxonomy/term/44','statistics/global-students','und'),(240,'taxonomy/term/45','statistics/experience-teachers','und'),(241,'taxonomy/term/46','statistics/global-campus','und'),(242,'taxonomy/term/47','statistics/awesome-courses','und'),(243,'taxonomy/term/48','class/201','und'),(244,'taxonomy/term/49','class/202','und'),(245,'taxonomy/term/50','class/203','und'),(246,'taxonomy/term/51','class/204','und'),(247,'taxonomy/term/52','class/205','und'),(248,'taxonomy/term/53','rooms/123','und'),(249,'taxonomy/term/54','rooms/124','und'),(250,'taxonomy/term/55','rooms/125','und'),(251,'taxonomy/term/56','rooms/126','und'),(252,'user/1','users/admin','und'),(253,'user/2','users/david','und'),(254,'user/3','users/jone','und'),(255,'user/4','users/michel','und'),(256,'user/5','users/mactin','und'),(257,'user/6','users/mactin-qc','und'),(258,'user/7','users/marzo','und'),(259,'user/8','users/joneson','und'),(260,'user/9','users/smith','und'),(261,'user/10','users/mayza','und'),(262,'user/11','users/scrola','und'),(263,'user/12','users/mark','und'),(264,'forum/1','forums/general-discussion','und'),(265,'node/48','article/projects','en'),(266,'node/49','professors','en'),(267,'node/50','job-opportunities','en'),(268,'node/51','university-ranking','en'),(269,'node/52','privacy-policy','en'),(270,'courses/list','courses','und');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  `uuid` char(36) NOT NULL DEFAULT '' COMMENT 'The Universally Unique Identifier.',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`),
  KEY `uuid` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL,'f3787c37-730e-4272-b996-eacdf7677220'),(1,'admin','$S$DVrg3gjknJqkMYR25norg7AhsRIQTnSE0yoeDHymxbWrTYafCtVD','you@yourdomain.com','','','filtered_html',1416365630,1500436755,1500370211,1,'Asia/Bangkok','en',95,'you@yourdomain.com','a:7:{s:7:\"contact\";i:0;s:7:\"overlay\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','9152f737-bd42-4842-8877-156d8fc4dbe7'),(2,'david','$S$Djhwu55NT/BrlgfzjuWb9fbweUz6U1Y5nPx0uTI9QC.0v3GbujJz','david@gmail.com','','','filtered_html',1416458582,0,0,1,'Asia/Bangkok','en',9,'david@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','d9144df7-db51-40e6-81f8-c91c1d963f27'),(3,'jone','$S$DCrj8FHdBQPu0M3xMiU2a2K2q9rCwhN1sfOTQWlblfI9yP/rQcp5','jone@gmail.com','','','filtered_html',1416458603,0,0,1,'Asia/Bangkok','en',10,'jone@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','1039f119-daa6-4cf5-8180-0536b818e763'),(4,'michel','$S$DZRQJps5tvMmrcF6JDISDb2otjXVN/KqyMNSFkOyTksrouDx81XH','michel@gmail.com','','','filtered_html',1416458625,0,0,1,'Asia/Bangkok','en',11,'michel@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','fe7e55f3-35c2-4374-a5d7-96d563d27004'),(5,'mactin','$S$D1hHn4CBqziDaqqSNYbNjzHHcglg9D.4twIQRZIRW0cPSBy5r93Q','mactin@gmail.com','','','filtered_html',1416459043,0,0,1,'Asia/Bangkok','en',12,'mactin@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','749c16ce-b0a6-47ba-bae3-9b8453e2bce4'),(6,'Mactin QC','$S$DAxlSdWucEMbbdbyYntotku2XqOcTm2t1aKvJ/cnChiqZXbeaHCI','mactin-qc@gmail.com','','','filtered_html',1416459060,0,0,1,'Asia/Bangkok','en',91,'lather@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','cd8223cc-6170-4947-99e3-9a572f94fc7a'),(7,'marzo','$S$DzIhJ3JI8GoAmTmvlW7THmwwIFpcaNuaJbtQVWIpWWSg0Jr5W4TP','marzo@gmail.com','','','filtered_html',1416459093,1417430427,1417429799,1,'Asia/Bangkok','en',14,'marzo@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','f00951a9-db7e-48e2-929e-0c9b24d902aa'),(8,'joneson','$S$D.JM0Ww1cLRiwqbjuance2y5dlbNQkR5X108hCZNrTB8W7HGMdv0','joneson@gmail.com','','','filtered_html',1416476468,0,0,1,'Asia/Bangkok','en',15,'joneson@gmail.com','a:6:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";}','d910c455-4839-4bae-b467-0f707d4c5ee7'),(9,'smith','$S$DrIcbJYsazerX0XRFqgQvC8rH6nSE8H3bxDt.7vaigjbPFCg63IV','smith@gmail.com','','','filtered_html',1416476481,1416888280,1416888280,1,'Asia/Bangkok','en',48,'smith@gmail.com','a:7:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";s:7:\"overlay\";i:1;}','8e3c7a88-d967-4ac9-8d22-9779262a46f9'),(10,'mayza','$S$DB25VYJjHr97xutgJHFCjnBmgd1N.I8vpPCyALlMyfowH6Ni4EDP','mayza@gmail.com','','','filtered_html',1416476505,1416888217,1416888217,1,'Asia/Bangkok','en',47,'mayza@gmail.com','a:7:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";s:7:\"overlay\";i:1;}','1c796199-22e1-4b10-a444-feb0029296df'),(11,'scrola','$S$D4RSKTT1v61own3qlQIXcEbLwkqj4VDE9EyogXQ3R/FAFdZzZtGB','scrola@gmail.com','','','filtered_html',1416476542,1416888182,1416887764,1,'Asia/Bangkok','en',46,'scrola@gmail.com','a:7:{s:7:\"contact\";i:1;s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";s:7:\"overlay\";i:1;}','bd91fad7-b18a-4081-b8cf-293038c669e5'),(12,'mark','$S$DS0vyXkMVKoForvmhiSb0Eep5gM00EjIGObEKS64tmQ7jSezwD5M','mark@gmail.com','','','filtered_html',1417148522,0,0,1,'Asia/Bangkok','en',45,'mark@gmail.com','a:6:{s:16:\"ckeditor_default\";s:1:\"t\";s:20:\"ckeditor_show_toggle\";s:1:\"t\";s:14:\"ckeditor_width\";s:4:\"100%\";s:13:\"ckeditor_lang\";s:2:\"en\";s:18:\"ckeditor_auto_lang\";s:1:\"t\";s:7:\"contact\";i:1;}','0d79975a-f025-46bd-93d5-d2518804bcd1');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3),(9,3),(10,3),(11,3);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab','s:12:\"edit-context\";'),('additional_settings__active_tab_article','s:10:\"edit-print\";'),('additional_settings__active_tab_course','s:12:\"edit-comment\";'),('additional_settings__active_tab_events','s:12:\"edit-display\";'),('additional_settings__active_tab_faq','s:10:\"edit-print\";'),('additional_settings__active_tab_gallery','s:10:\"edit-print\";'),('additional_settings__active_tab_news','s:12:\"edit-display\";'),('additional_settings__active_tab_page','s:10:\"edit-print\";'),('additional_settings__active_tab_professors','s:14:\"edit-i18n-sync\";'),('additional_settings__active_tab_slideshow','s:12:\"edit-display\";'),('additional_settings__active_tab_testimonials','s:13:\"edit-workflow\";'),('additional_settings__active_tab_webform','s:12:\"edit-display\";'),('additional_settings__active_tab_why_us','s:12:\"edit-display\";'),('address','a:6:{s:16:\"uc_store_street1\";s:0:\"\";s:16:\"uc_store_street2\";s:0:\"\";s:13:\"uc_store_city\";s:0:\"\";s:13:\"uc_store_zone\";i:0;s:16:\"uc_store_country\";i:840;s:20:\"uc_store_postal_code\";s:0:\"\";}'),('admin_theme','s:10:\"we_backend\";'),('blockify_blocks','a:9:{s:13:\"blockify-logo\";s:13:\"blockify-logo\";s:18:\"blockify-site-name\";i:0;s:20:\"blockify-site-slogan\";i:0;s:19:\"blockify-page-title\";i:0;s:19:\"blockify-breadcrumb\";i:0;s:13:\"blockify-tabs\";i:0;s:17:\"blockify-messages\";i:0;s:16:\"blockify-actions\";i:0;s:19:\"blockify-feed-icons\";i:0;}'),('book_allowed_types','a:1:{i:0;s:4:\"book\";}'),('book_child_type','s:4:\"book\";'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('certificate_certifiable_article','i:0;'),('certificate_certifiable_course','i:0;'),('certificate_certifiable_events','i:0;'),('certificate_certifiable_faq','i:0;'),('certificate_certifiable_gallery','i:0;'),('certificate_certifiable_news','i:0;'),('certificate_certifiable_page','i:0;'),('certificate_certifiable_webform','i:0;'),('clean_url','s:1:\"1\";'),('comment_anonymous_article','i:0;'),('comment_anonymous_course','i:0;'),('comment_anonymous_events','i:0;'),('comment_anonymous_faq','i:0;'),('comment_anonymous_gallery','i:0;'),('comment_anonymous_news','i:0;'),('comment_anonymous_page','i:0;'),('comment_anonymous_slideshow','i:0;'),('comment_anonymous_testimonials','i:0;'),('comment_anonymous_webform','i:0;'),('comment_anonymous_why_us','i:0;'),('comment_article','s:1:\"2\";'),('comment_certificate','i:0;'),('comment_course','s:1:\"1\";'),('comment_default_mode_article','i:1;'),('comment_default_mode_course','i:1;'),('comment_default_mode_events','i:0;'),('comment_default_mode_faq','i:1;'),('comment_default_mode_gallery','i:1;'),('comment_default_mode_news','i:1;'),('comment_default_mode_page','i:1;'),('comment_default_mode_slideshow','i:1;'),('comment_default_mode_testimonials','i:1;'),('comment_default_mode_webform','i:1;'),('comment_default_mode_why_us','i:1;'),('comment_default_per_page_article','s:2:\"50\";'),('comment_default_per_page_course','s:2:\"50\";'),('comment_default_per_page_events','s:2:\"50\";'),('comment_default_per_page_faq','s:2:\"50\";'),('comment_default_per_page_gallery','s:2:\"50\";'),('comment_default_per_page_news','s:2:\"50\";'),('comment_default_per_page_page','s:2:\"50\";'),('comment_default_per_page_slideshow','s:2:\"50\";'),('comment_default_per_page_testimonials','s:2:\"50\";'),('comment_default_per_page_webform','s:2:\"50\";'),('comment_default_per_page_why_us','s:2:\"50\";'),('comment_events','s:1:\"1\";'),('comment_faq','s:1:\"2\";'),('comment_form_location_article','i:1;'),('comment_form_location_course','i:1;'),('comment_form_location_events','i:0;'),('comment_form_location_faq','i:1;'),('comment_form_location_gallery','i:1;'),('comment_form_location_news','i:1;'),('comment_form_location_page','i:1;'),('comment_form_location_slideshow','i:1;'),('comment_form_location_testimonials','i:1;'),('comment_form_location_webform','i:1;'),('comment_form_location_why_us','i:1;'),('comment_gallery','s:1:\"2\";'),('comment_news','s:1:\"2\";'),('comment_page','s:1:\"0\";'),('comment_preview_article','s:1:\"1\";'),('comment_preview_course','s:1:\"1\";'),('comment_preview_events','s:1:\"0\";'),('comment_preview_faq','s:1:\"1\";'),('comment_preview_gallery','s:1:\"1\";'),('comment_preview_news','s:1:\"1\";'),('comment_preview_page','s:1:\"1\";'),('comment_preview_slideshow','s:1:\"1\";'),('comment_preview_testimonials','s:1:\"1\";'),('comment_preview_webform','s:1:\"1\";'),('comment_preview_why_us','s:1:\"1\";'),('comment_quiz','s:1:\"0\";'),('comment_slideshow','s:1:\"2\";'),('comment_subject_field_article','i:1;'),('comment_subject_field_course','i:1;'),('comment_subject_field_events','i:0;'),('comment_subject_field_faq','i:1;'),('comment_subject_field_gallery','i:1;'),('comment_subject_field_news','i:1;'),('comment_subject_field_page','i:1;'),('comment_subject_field_slideshow','i:1;'),('comment_subject_field_testimonials','i:1;'),('comment_subject_field_webform','i:1;'),('comment_subject_field_why_us','i:1;'),('comment_testimonials','s:1:\"2\";'),('comment_webform','s:1:\"0\";'),('comment_why_us','s:1:\"2\";'),('context_block_rebuild_needed','b:1;'),('course_content_use_article','i:0;'),('course_content_use_course','i:0;'),('course_content_use_events','i:0;'),('course_content_use_faq','i:0;'),('course_content_use_gallery','i:0;'),('course_content_use_news','i:0;'),('course_content_use_page','i:0;'),('course_content_use_webform','i:0;'),('course_default_enrollment_type','s:17:\"course_enrollment\";'),('course_expiration_date_article','s:1:\"0\";'),('course_expiration_date_course','s:1:\"0\";'),('course_expiration_date_events','s:1:\"0\";'),('course_expiration_date_faq','s:1:\"0\";'),('course_expiration_date_gallery','s:1:\"0\";'),('course_expiration_date_news','s:1:\"0\";'),('course_expiration_date_page','s:1:\"0\";'),('course_expiration_date_webform','s:1:\"0\";'),('course_live_from_date_article','s:1:\"0\";'),('course_live_from_date_course','s:1:\"0\";'),('course_live_from_date_events','s:1:\"0\";'),('course_live_from_date_faq','s:1:\"0\";'),('course_live_from_date_gallery','s:1:\"0\";'),('course_live_from_date_news','s:1:\"0\";'),('course_live_from_date_page','s:1:\"0\";'),('course_live_from_date_webform','s:1:\"0\";'),('course_live_to_date_article','s:1:\"0\";'),('course_live_to_date_course','s:1:\"0\";'),('course_live_to_date_events','s:1:\"0\";'),('course_live_to_date_faq','s:1:\"0\";'),('course_live_to_date_gallery','s:1:\"0\";'),('course_live_to_date_news','s:1:\"0\";'),('course_live_to_date_page','s:1:\"0\";'),('course_live_to_date_webform','s:1:\"0\";'),('course_start_date_article','s:1:\"0\";'),('course_start_date_course','s:1:\"0\";'),('course_start_date_events','s:1:\"0\";'),('course_start_date_faq','s:1:\"0\";'),('course_start_date_gallery','s:1:\"0\";'),('course_start_date_news','s:1:\"0\";'),('course_start_date_page','s:1:\"0\";'),('course_start_date_webform','s:1:\"0\";'),('course_use_article','i:0;'),('course_use_course','i:1;'),('course_use_events','i:0;'),('course_use_faq','i:0;'),('course_use_gallery','i:0;'),('course_use_news','i:0;'),('course_use_page','i:0;'),('course_use_webform','i:0;'),('cron_key','s:43:\"sLCbmKj7ZmFC5DXt1y1X4CFrxd_YwlgeWgPjPGukCJY\";'),('cron_last','i:1500436165;'),('css_js_query_string','s:6:\"otbkij\";'),('ctools_last_cron','i:1500369833;'),('date_api_version','s:3:\"7.2\";'),('date_default_timezone','s:12:\"Asia/Bangkok\";'),('date_format_day','s:1:\"d\";'),('date_format_day_month','s:3:\"d M\";'),('date_format_long','s:15:\"l, F j, Y - H:i\";'),('date_format_medium','s:14:\"D, m/d/Y - H:i\";'),('date_format_month','s:1:\"M\";'),('date_format_month_day_year','s:6:\"F d, Y\";'),('date_format_short','s:11:\"m/d/Y - H:i\";'),('date_format_uc_store','s:5:\"m/d/Y\";'),('date_views_day_format_without_year','s:6:\"l, F j\";'),('date_views_day_format_with_year','s:9:\"l, F j, Y\";'),('date_views_month_format_without_year','s:1:\"F\";'),('date_views_month_format_with_year','s:3:\"F Y\";'),('date_views_week_format_without_year','s:3:\"F j\";'),('date_views_week_format_with_year','s:6:\"F j, Y\";'),('default_field_group','a:5:{s:30:\"group_user_info|user|user|form\";b:1;s:33:\"group_user_info|user|user|default\";b:0;s:40:\"group_user_description|user|user|default\";b:0;s:36:\"group_social_networks|user|user|form\";b:0;s:39:\"group_social_networks|user|user|default\";b:0;}'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"gmkGnlacZ7dgP5CM1g-v1dAXK9rUpntZnp1ixmemW28\";'),('entityreference:base-tables','a:24:{s:12:\"banners_item\";a:2:{i:0;s:17:\"banners_item_data\";i:1;s:3:\"iid\";}s:20:\"banners_bannersblock\";a:2:{i:0;s:20:\"banners_bannersblock\";i:1;s:3:\"bid\";}s:7:\"comment\";a:2:{i:0;s:7:\"comment\";i:1;s:3:\"cid\";}s:17:\"course_enrollment\";a:2:{i:0;s:17:\"course_enrollment\";i:1;s:3:\"eid\";}s:22:\"course_enrollment_type\";a:2:{i:0;s:22:\"course_enrollment_type\";i:1;s:2:\"id\";}s:13:\"course_report\";a:2:{i:0;s:13:\"course_report\";i:1;s:4:\"crid\";}s:13:\"course_object\";a:2:{i:0;s:14:\"course_outline\";i:1;s:4:\"coid\";}s:25:\"course_object_fulfillment\";a:2:{i:0;s:26:\"course_outline_fulfillment\";i:1;s:5:\"cofid\";}s:6:\"course\";a:2:{i:0;s:11:\"course_node\";i:1;s:3:\"nid\";}s:21:\"field_collection_item\";a:2:{i:0;s:21:\"field_collection_item\";i:1;s:7:\"item_id\";}s:16:\"i18n_translation\";a:2:{i:0;s:20:\"i18n_translation_set\";i:1;s:4:\"tsid\";}s:21:\"newsletter_subscriber\";a:2:{i:0;s:21:\"newsletter_subscriber\";i:1;s:4:\"nsid\";}s:15:\"newsletter_list\";a:2:{i:0;s:15:\"newsletter_list\";i:1;s:4:\"nlid\";}s:19:\"newsletter_template\";a:2:{i:0;s:19:\"newsletter_template\";i:1;s:4:\"ntid\";}s:21:\"newsletter_newsletter\";a:2:{i:0;s:21:\"newsletter_newsletter\";i:1;s:4:\"nnid\";}s:4:\"node\";a:2:{i:0;s:4:\"node\";i:1;s:3:\"nid\";}s:4:\"file\";a:2:{i:0;s:12:\"file_managed\";i:1;s:3:\"fid\";}s:13:\"taxonomy_term\";a:2:{i:0;s:18:\"taxonomy_term_data\";i:1;s:3:\"tid\";}s:19:\"taxonomy_vocabulary\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:3:\"vid\";}s:12:\"uc_cart_item\";a:2:{i:0;s:16:\"uc_cart_products\";i:1;s:12:\"cart_item_id\";}s:8:\"uc_order\";a:2:{i:0;s:9:\"uc_orders\";i:1;s:8:\"order_id\";}s:16:\"uc_order_product\";a:2:{i:0;s:17:\"uc_order_products\";i:1;s:16:\"order_product_id\";}s:4:\"user\";a:2:{i:0;s:5:\"users\";i:1;s:3:\"uid\";}s:12:\"rules_config\";a:2:{i:0;s:12:\"rules_config\";i:1;s:2:\"id\";}}'),('entity_cache_tables_created','N;'),('example','s:9:\"$1,000.12\";'),('features_codecache','a:2:{s:18:\"flexslider_example\";a:4:{s:8:\"variable\";s:32:\"3269dc20ed5eadf67a6f1428f5fcdefa\";s:5:\"field\";s:32:\"d6c1dc80a13f8ddf198b35dd6e430e41\";s:11:\"menu_custom\";s:32:\"ab0ed2dee4818dca199580b44cd166c8\";s:12:\"dependencies\";s:32:\"795ee714724bcd32b8190d78208fb69c\";}s:16:\"bef_test_content\";a:3:{s:12:\"dependencies\";s:32:\"d55c77e7c76a7627e659ec7be97ab4df\";s:14:\"field_instance\";s:32:\"2d4bb9f79bb6217ab1dc91a3198ec90c\";s:8:\"taxonomy\";s:32:\"a67fe83852705d4c5793d6539d45cfec\";}}'),('features_ignored_orphans','a:0:{}'),('features_modules_changed','b:0;'),('features_semaphore','a:1:{s:10:\"field_base\";i:1417406300;}'),('field_bundle_settings_comment__comment_node_news','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:6:\"author\";a:1:{s:6:\"weight\";s:1:\"0\";}s:7:\"subject\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_field_collection_item__field_list_file','a:2:{s:10:\"view_modes\";a:3:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__course','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:6:\"course\";a:1:{s:6:\"weight\";s:1:\"1\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:4:{s:6:\"course\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:0;}}s:15:\"course_messages\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"11\";s:7:\"visible\";b:0;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"14\";s:7:\"visible\";b:0;}}s:6:\"signup\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"1\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__events','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"5\";}}s:7:\"display\";a:2:{s:6:\"signup\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"7\";s:7:\"visible\";b:0;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__flexslider_example','a:2:{s:10:\"view_modes\";a:4:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__gallery','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__news','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:2:{s:6:\"signup\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"2\";s:7:\"visible\";b:1;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__page','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:2:{s:6:\"signup\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"2\";s:7:\"visible\";b:1;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__product','a:2:{s:10:\"view_modes\";a:1:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:5:{s:5:\"model\";a:1:{s:6:\"teaser\";a:2:{s:6:\"weight\";i:0;s:7:\"visible\";b:0;}}s:10:\"list_price\";a:1:{s:6:\"teaser\";a:2:{s:6:\"weight\";i:0;s:7:\"visible\";b:0;}}s:4:\"cost\";a:1:{s:6:\"teaser\";a:2:{s:6:\"weight\";i:0;s:7:\"visible\";b:0;}}s:6:\"weight\";a:1:{s:6:\"teaser\";a:2:{s:6:\"weight\";i:0;s:7:\"visible\";b:0;}}s:10:\"dimensions\";a:1:{s:6:\"teaser\";a:2:{s:6:\"weight\";i:0;s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_node__slideshow','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__testimonials','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__webform','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"print\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"1\";}}s:7:\"display\";a:2:{s:7:\"webform\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}s:6:\"signup\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"3\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_taxonomy_term__category','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}s:4:\"name\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__gallery_categories','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}s:4:\"name\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__our_campus','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:4:\"name\";a:1:{s:6:\"weight\";s:1:\"0\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"1\";}}s:7:\"display\";a:1:{s:11:\"description\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"1\";s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_taxonomy_term__professors','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:4:\"name\";a:1:{s:6:\"weight\";s:1:\"0\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:1:{s:11:\"description\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"2\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_taxonomy_term__services','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:4:\"name\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:1:{s:11:\"description\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_user__user','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:7:{s:7:\"account\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"timezone\";a:1:{s:6:\"weight\";s:1:\"5\";}s:7:\"picture\";a:1:{s:6:\"weight\";s:1:\"1\";}s:15:\"overlay_control\";a:1:{s:6:\"weight\";s:1:\"2\";}s:7:\"contact\";a:1:{s:6:\"weight\";s:1:\"3\";}s:6:\"locale\";a:1:{s:6:\"weight\";s:1:\"4\";}s:8:\"ckeditor\";a:1:{s:6:\"weight\";s:2:\"10\";}}s:7:\"display\";a:1:{s:7:\"summary\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"6\";s:7:\"visible\";b:0;}}}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:0:\"\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('follow_site_alignment','s:8:\"vertical\";'),('follow_site_block_title','s:1:\"0\";'),('follow_site_block_user','i:1;'),('follow_site_icon_style','s:5:\"small\";'),('forum_containers','a:0:{}'),('forum_nav_vocabulary','s:1:\"2\";'),('i18n_node_extended_article','i:1;'),('i18n_node_extended_course','i:1;'),('i18n_node_extended_events','i:1;'),('i18n_node_extended_news','i:1;'),('i18n_node_extended_page','i:1;'),('i18n_node_extended_professors','i:1;'),('i18n_node_extended_webform','i:1;'),('i18n_node_options_article','a:0:{}'),('i18n_node_options_course','a:0:{}'),('i18n_node_options_events','a:0:{}'),('i18n_node_options_news','a:0:{}'),('i18n_node_options_page','a:0:{}'),('i18n_node_options_professors','a:0:{}'),('i18n_node_options_webform','a:0:{}'),('i18n_sync_node_type_article','a:0:{}'),('i18n_sync_node_type_course','a:0:{}'),('i18n_sync_node_type_events','a:0:{}'),('i18n_sync_node_type_faq','a:0:{}'),('i18n_sync_node_type_gallery','a:0:{}'),('i18n_sync_node_type_news','a:0:{}'),('i18n_sync_node_type_page','a:0:{}'),('i18n_sync_node_type_professors','a:0:{}'),('i18n_sync_node_type_slideshow','a:0:{}'),('i18n_sync_node_type_testimonials','a:0:{}'),('i18n_sync_node_type_webform','a:0:{}'),('i18n_sync_node_type_why_us','a:0:{}'),('imce_profiles','a:2:{i:1;a:10:{s:4:\"name\";s:6:\"User-1\";s:7:\"usertab\";i:1;s:8:\"filesize\";i:0;s:5:\"quota\";i:0;s:7:\"tuquota\";i:0;s:10:\"extensions\";s:1:\"*\";s:10:\"dimensions\";s:9:\"1200x1200\";s:7:\"filenum\";i:0;s:11:\"directories\";a:1:{i:0;a:7:{s:4:\"name\";s:1:\".\";s:6:\"subnav\";i:1;s:6:\"browse\";i:1;s:6:\"upload\";i:1;s:5:\"thumb\";i:1;s:6:\"delete\";i:1;s:6:\"resize\";i:1;}}s:10:\"thumbnails\";a:3:{i:0;a:4:{s:4:\"name\";s:5:\"Small\";s:10:\"dimensions\";s:5:\"90x90\";s:6:\"prefix\";s:6:\"small_\";s:6:\"suffix\";s:0:\"\";}i:1;a:4:{s:4:\"name\";s:6:\"Medium\";s:10:\"dimensions\";s:7:\"120x120\";s:6:\"prefix\";s:7:\"medium_\";s:6:\"suffix\";s:0:\"\";}i:2;a:4:{s:4:\"name\";s:5:\"Large\";s:10:\"dimensions\";s:7:\"180x180\";s:6:\"prefix\";s:6:\"large_\";s:6:\"suffix\";s:0:\"\";}}}i:2;a:10:{s:4:\"name\";s:14:\"Sample profile\";s:7:\"usertab\";i:1;s:8:\"filesize\";i:1;s:5:\"quota\";i:2;s:7:\"tuquota\";i:0;s:10:\"extensions\";s:16:\"gif png jpg jpeg\";s:10:\"dimensions\";s:7:\"800x600\";s:7:\"filenum\";i:1;s:11:\"directories\";a:1:{i:0;a:7:{s:4:\"name\";s:5:\"u%uid\";s:6:\"subnav\";i:0;s:6:\"browse\";i:1;s:6:\"upload\";i:1;s:5:\"thumb\";i:1;s:6:\"delete\";i:0;s:6:\"resize\";i:0;}}s:10:\"thumbnails\";a:1:{i:0;a:4:{s:4:\"name\";s:5:\"Thumb\";s:10:\"dimensions\";s:5:\"90x90\";s:6:\"prefix\";s:6:\"thumb_\";s:6:\"suffix\";s:0:\"\";}}}}'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1416365671;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:0:\"\";'),('jquery_update_jquery_cdn','s:4:\"none\";'),('jquery_update_jquery_version','s:3:\"1.7\";'),('language_content_type_article','s:1:\"0\";'),('language_content_type_course','s:1:\"0\";'),('language_content_type_events','s:1:\"0\";'),('language_content_type_faq','s:1:\"0\";'),('language_content_type_gallery','s:1:\"0\";'),('language_content_type_news','s:1:\"0\";'),('language_content_type_page','s:1:\"0\";'),('language_content_type_professors','s:1:\"0\";'),('language_content_type_slideshow','s:1:\"0\";'),('language_content_type_testimonials','s:1:\"0\";'),('language_content_type_webform','s:1:\"0\";'),('language_content_type_why_us','s:1:\"0\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";s:1:\"0\";s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"weight\";s:1:\"0\";s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:16:\"language-default\";a:1:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:21:\"language_from_default\";}}}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('lang_dropdown_hideout_language','a:1:{s:16:\"hidden_languages\";a:3:{i:1;a:0:{}i:2;a:0:{}i:3;a:0:{}}}'),('lang_dropdown_language','a:10:{s:7:\"showall\";i:1;s:6:\"tohome\";i:1;s:5:\"width\";s:3:\"165\";s:7:\"display\";s:1:\"2\";s:6:\"widget\";s:1:\"3\";s:10:\"msdropdown\";a:6:{s:12:\"visible_rows\";i:5;s:7:\"rounded\";i:1;s:9:\"animation\";s:9:\"slideDown\";s:5:\"event\";s:5:\"click\";s:4:\"skin\";s:7:\"ldsSkin\";s:11:\"custom_skin\";s:0:\"\";}s:6:\"chosen\";a:2:{s:14:\"disable_search\";i:1;s:15:\"no_results_text\";s:17:\"No language match\";}s:7:\"ddslick\";a:5:{s:14:\"ddslick_height\";s:1:\"0\";s:16:\"showSelectedHTML\";i:1;s:13:\"imagePosition\";s:4:\"left\";s:4:\"skin\";s:10:\"ddsDefault\";s:11:\"custom_skin\";s:0:\"\";}s:13:\"languageicons\";a:1:{s:13:\"flag_position\";s:1:\"1\";}s:7:\"hideout\";a:2:{s:10:\"role_names\";a:3:{i:1;s:14:\"anonymous user\";i:2;s:18:\"authenticated user\";i:3;s:13:\"administrator\";}s:9:\"languages\";a:1:{s:10:\"checkboxes\";a:3:{i:1;a:2:{s:7:\"zh-hant\";i:0;s:2:\"en\";i:0;}i:2;a:2:{s:7:\"zh-hant\";i:0;s:2:\"en\";i:0;}i:3;a:2:{s:7:\"zh-hant\";i:0;s:2:\"en\";i:0;}}}}}'),('locale_language_providers_weight_language','a:5:{s:10:\"locale-url\";s:2:\"-8\";s:14:\"locale-session\";s:2:\"-6\";s:11:\"locale-user\";s:2:\"-4\";s:14:\"locale-browser\";s:2:\"-2\";s:16:\"language-default\";s:2:\"10\";}'),('logo_block_link','s:7:\"<front>\";'),('mail_system','a:8:{s:14:\"default-system\";s:17:\"DefaultMailSystem\";s:10:\"newsletter\";s:20:\"NewsletterMailSystem\";s:7:\"uc_cart\";s:18:\"UbercartMailSystem\";s:8:\"uc_order\";s:18:\"UbercartMailSystem\";s:7:\"uc_file\";s:18:\"UbercartMailSystem\";s:8:\"uc_roles\";s:18:\"UbercartMailSystem\";s:8:\"uc_stock\";s:18:\"UbercartMailSystem\";s:8:\"uc_store\";s:18:\"UbercartMailSystem\";}'),('menu_block_1_admin_title','s:0:\"\";'),('menu_block_1_depth','s:1:\"0\";'),('menu_block_1_expanded','i:0;'),('menu_block_1_follow','i:0;'),('menu_block_1_level','s:1:\"2\";'),('menu_block_1_parent','s:11:\"main-menu:0\";'),('menu_block_1_sort','i:0;'),('menu_block_1_title_link','i:0;'),('menu_block_ids','a:1:{i:0;i:1;}'),('menu_default_active_menus','a:13:{i:1;s:8:\"features\";i:2;s:23:\"menu-flexslider-example\";i:3;s:9:\"main-menu\";i:4;s:10:\"management\";i:5;s:10:\"navigation\";i:6;s:9:\"user-menu\";i:7;s:16:\"menu-footer-menu\";i:8;s:13:\"menu-category\";i:9;s:20:\"menu-properties-view\";i:10;s:22:\"menu-properties-events\";i:11;s:23:\"menu-properties-courses\";i:12;s:17:\"menu-gallery-menu\";i:13;s:18:\"menu-headline-link\";}'),('menu_expanded','a:1:{i:0;s:9:\"main-menu\";}'),('menu_masks','a:58:{i:0;i:507;i:1;i:506;i:2;i:501;i:3;i:493;i:4;i:490;i:5;i:254;i:6;i:253;i:7;i:252;i:8;i:251;i:9;i:250;i:10;i:247;i:11;i:246;i:12;i:245;i:13;i:242;i:14;i:238;i:15;i:234;i:16;i:127;i:17;i:126;i:18;i:125;i:19;i:124;i:20;i:123;i:21;i:122;i:22;i:121;i:23;i:119;i:24;i:117;i:25;i:63;i:26;i:62;i:27;i:61;i:28;i:60;i:29;i:59;i:30;i:58;i:31;i:56;i:32;i:45;i:33;i:44;i:34;i:42;i:35;i:41;i:36;i:31;i:37;i:30;i:38;i:29;i:39;i:28;i:40;i:26;i:41;i:24;i:42;i:22;i:43;i:21;i:44;i:15;i:45;i:14;i:46;i:13;i:47;i:12;i:48;i:11;i:49;i:10;i:50;i:9;i:51;i:7;i:52;i:6;i:53;i:5;i:54;i:4;i:55;i:3;i:56;i:2;i:57;i:1;}'),('menu_options_article','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_course','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_events','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_faq','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_gallery','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_news','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_page','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_professors','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_slideshow','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_testimonials','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_webform','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_why_us','a:1:{i:0;s:9:\"main-menu\";}'),('menu_parent_article','s:11:\"main-menu:0\";'),('menu_parent_course','s:11:\"main-menu:0\";'),('menu_parent_events','s:11:\"main-menu:0\";'),('menu_parent_faq','s:11:\"main-menu:0\";'),('menu_parent_gallery','s:11:\"main-menu:0\";'),('menu_parent_news','s:11:\"main-menu:0\";'),('menu_parent_page','s:11:\"main-menu:0\";'),('menu_parent_professors','s:11:\"main-menu:0\";'),('menu_parent_slideshow','s:11:\"main-menu:0\";'),('menu_parent_testimonials','s:11:\"main-menu:0\";'),('menu_parent_webform','s:11:\"main-menu:0\";'),('menu_parent_why_us','s:11:\"main-menu:0\";'),('menu_trail_by_path_breadcrumb_handling','i:1;'),('module_filter_recent_modules','a:0:{}'),('newsletter_always_show_subscribe_block','i:0;'),('newsletter_auto_subscribe_new_users','a:0:{}'),('newsletter_block_prefix','s:0:\"\";'),('newsletter_block_suffix','s:0:\"\";'),('newsletter_cron_number','s:3:\"500\";'),('newsletter_format','s:4:\"html\";'),('newsletter_from','s:18:\"you@yourdomain.com\";'),('newsletter_node_limit','s:2:\"50\";'),('newsletter_personal_info_form','a:4:{s:9:\"firstname\";s:4:\"show\";s:8:\"lastname\";s:4:\"show\";s:6:\"gender\";s:4:\"show\";s:14:\"receive_format\";s:4:\"show\";}'),('newsletter_send_confirm','i:1;'),('newsletter_send_unsubscribe','i:1;'),('newsletter_send_welcome','i:1;'),('newsletter_show_email','i:1;'),('newsletter_show_email_in_block','i:1;'),('newsletter_test_to','s:18:\"you@yourdomain.com\";'),('newsletter_track_open_rate','i:0;'),('newsletter_use_smtp','i:0;'),('nodeviewcount_node_view_modes','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"print\";i:0;s:5:\"token\";i:0;}'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1422433215\";'),('node_options_article','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_book','a:1:{i:0;s:6:\"status\";}'),('node_options_certificate','a:1:{i:0;s:8:\"revision\";}'),('node_options_course','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_events','a:1:{i:0;s:6:\"status\";}'),('node_options_faq','a:1:{i:0;s:6:\"status\";}'),('node_options_forum','a:1:{i:0;s:6:\"status\";}'),('node_options_gallery','a:1:{i:0;s:6:\"status\";}'),('node_options_long_answer','a:1:{i:0;s:6:\"status\";}'),('node_options_matching','a:1:{i:0;s:6:\"status\";}'),('node_options_multichoice','a:1:{i:0;s:6:\"status\";}'),('node_options_news','a:1:{i:0;s:6:\"status\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_professors','a:1:{i:0;s:6:\"status\";}'),('node_options_scale','a:1:{i:0;s:6:\"status\";}'),('node_options_short_answer','a:1:{i:0;s:6:\"status\";}'),('node_options_slideshow','a:1:{i:0;s:6:\"status\";}'),('node_options_testimonials','a:1:{i:0;s:6:\"status\";}'),('node_options_truefalse','a:1:{i:0;s:6:\"status\";}'),('node_options_webform','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_why_us','a:1:{i:0;s:6:\"status\";}'),('node_preview_article','s:1:\"1\";'),('node_preview_course','s:1:\"1\";'),('node_preview_events','s:1:\"1\";'),('node_preview_faq','s:1:\"1\";'),('node_preview_gallery','s:1:\"1\";'),('node_preview_news','s:1:\"1\";'),('node_preview_page','s:1:\"1\";'),('node_preview_slideshow','s:1:\"1\";'),('node_preview_testimonials','s:1:\"1\";'),('node_preview_webform','s:1:\"1\";'),('node_preview_why_us','s:1:\"1\";'),('node_submitted_article','i:1;'),('node_submitted_course','i:0;'),('node_submitted_events','i:0;'),('node_submitted_faq','i:1;'),('node_submitted_gallery','i:1;'),('node_submitted_news','i:1;'),('node_submitted_page','i:0;'),('node_submitted_professors','i:0;'),('node_submitted_slideshow','i:0;'),('node_submitted_testimonials','i:1;'),('node_submitted_webform','i:0;'),('node_submitted_why_us','i:0;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_book_pattern','s:17:\"book/[node:title]\";'),('pathauto_node_certificate_pattern','s:24:\"certificate/[node:title]\";'),('pathauto_node_course_pattern','s:19:\"course/[node:title]\";'),('pathauto_node_events_pattern','s:19:\"events/[node:title]\";'),('pathauto_node_faq_pattern','s:16:\"faq/[node:title]\";'),('pathauto_node_flexslider_example_pattern','s:0:\"\";'),('pathauto_node_forum_pattern','s:0:\"\";'),('pathauto_node_gallery_pattern','s:20:\"gallery/[node:title]\";'),('pathauto_node_long_answer_pattern','s:0:\"\";'),('pathauto_node_matching_pattern','s:0:\"\";'),('pathauto_node_multichoice_pattern','s:0:\"\";'),('pathauto_node_news_pattern','s:17:\"news/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_poll_pattern','s:17:\"poll/[node:title]\";'),('pathauto_node_product_pattern','s:21:\"products/[node:title]\";'),('pathauto_node_quiz_ddlines_pattern','s:0:\"\";'),('pathauto_node_quiz_directions_pattern','s:0:\"\";'),('pathauto_node_quiz_pattern','s:0:\"\";'),('pathauto_node_scale_pattern','s:0:\"\";'),('pathauto_node_short_answer_pattern','s:0:\"\";'),('pathauto_node_slideshow_pattern','s:0:\"\";'),('pathauto_node_testimonials_pattern','s:0:\"\";'),('pathauto_node_truefalse_pattern','s:0:\"\";'),('pathauto_node_webform_pattern','s:0:\"\";'),('pathauto_node_why_us_pattern','s:0:\"\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_category_pattern','s:16:\"news/[term:name]\";'),('pathauto_taxonomy_term_class_pattern','s:17:\"class/[term:name]\";'),('pathauto_taxonomy_term_courses_pattern','s:20:\"courses//[term:name]\";'),('pathauto_taxonomy_term_events_pattern','s:17:\"event/[term:name]\";'),('pathauto_taxonomy_term_gallery_categories_pattern','s:28:\"gallery-category/[term:name]\";'),('pathauto_taxonomy_term_location_pattern','s:20:\"location/[term:name]\";'),('pathauto_taxonomy_term_newsletter_categories_pattern','s:0:\"\";'),('pathauto_taxonomy_term_newsletter_pattern','s:21:\"newsleter/[term:name]\";'),('pathauto_taxonomy_term_our_campus_pattern','s:22:\"our-campus/[term:name]\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_professors_pattern','s:22:\"professors/[term:name]\";'),('pathauto_taxonomy_term_room_pattern','s:17:\"rooms/[term:name]\";'),('pathauto_taxonomy_term_services_pattern','s:20:\"services/[term:name]\";'),('pathauto_taxonomy_term_statistic_pattern','s:22:\"statistics/[term:name]\";'),('pathauto_taxonomy_term_status_pattern','s:18:\"status/[term:name]\";'),('pathauto_taxonomy_term_tags_pattern','s:16:\"tags/[term:name]\";'),('pathauto_taxonomy_term_user_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:5:{s:7:\"courses\";b:1;s:5:\"forum\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('print_comments','i:0;'),('print_css','s:0:\"\";'),('print_epub_display_article','i:0;'),('print_epub_display_comment_article','i:0;'),('print_epub_display_comment_course','i:0;'),('print_epub_display_comment_events','i:0;'),('print_epub_display_comment_faq','i:0;'),('print_epub_display_comment_gallery','i:0;'),('print_epub_display_comment_news','i:0;'),('print_epub_display_comment_page','i:0;'),('print_epub_display_comment_webform','i:0;'),('print_epub_display_course','i:1;'),('print_epub_display_events','i:0;'),('print_epub_display_faq','i:0;'),('print_epub_display_gallery','i:0;'),('print_epub_display_news','i:0;'),('print_epub_display_page','i:0;'),('print_epub_display_urllist_article','i:0;'),('print_epub_display_urllist_course','i:1;'),('print_epub_display_urllist_events','i:0;'),('print_epub_display_urllist_faq','i:0;'),('print_epub_display_urllist_gallery','i:0;'),('print_epub_display_urllist_news','i:0;'),('print_epub_display_urllist_page','i:0;'),('print_epub_display_urllist_webform','i:1;'),('print_epub_display_webform','i:1;'),('print_epub_epub_tool','i:0;'),('print_footer_options','s:1:\"1\";'),('print_footer_user','s:0:\"\";'),('print_html_display_article','i:0;'),('print_html_display_comment_article','i:0;'),('print_html_display_comment_course','i:0;'),('print_html_display_comment_events','i:0;'),('print_html_display_comment_faq','i:0;'),('print_html_display_comment_gallery','i:0;'),('print_html_display_comment_news','i:0;'),('print_html_display_comment_page','i:0;'),('print_html_display_comment_webform','i:0;'),('print_html_display_course','i:1;'),('print_html_display_events','i:0;'),('print_html_display_faq','i:0;'),('print_html_display_gallery','i:0;'),('print_html_display_news','i:0;'),('print_html_display_page','i:0;'),('print_html_display_urllist_article','i:0;'),('print_html_display_urllist_course','i:1;'),('print_html_display_urllist_events','i:0;'),('print_html_display_urllist_faq','i:0;'),('print_html_display_urllist_gallery','i:0;'),('print_html_display_urllist_news','i:0;'),('print_html_display_urllist_page','i:0;'),('print_html_display_urllist_webform','i:1;'),('print_html_display_webform','i:1;'),('print_keep_theme_css','i:0;'),('print_logo_options','s:1:\"1\";'),('print_logo_upload','s:0:\"\";'),('print_logo_url','s:0:\"\";'),('print_newwindow','s:1:\"1\";'),('print_pdf_display_article','i:0;'),('print_pdf_display_comment_article','i:0;'),('print_pdf_display_comment_course','i:0;'),('print_pdf_display_comment_events','i:0;'),('print_pdf_display_comment_faq','i:0;'),('print_pdf_display_comment_gallery','i:0;'),('print_pdf_display_comment_news','i:0;'),('print_pdf_display_comment_page','i:0;'),('print_pdf_display_comment_webform','i:0;'),('print_pdf_display_course','i:1;'),('print_pdf_display_events','i:0;'),('print_pdf_display_faq','i:0;'),('print_pdf_display_gallery','i:0;'),('print_pdf_display_news','i:0;'),('print_pdf_display_page','i:0;'),('print_pdf_display_urllist_article','i:0;'),('print_pdf_display_urllist_course','i:1;'),('print_pdf_display_urllist_events','i:0;'),('print_pdf_display_urllist_faq','i:0;'),('print_pdf_display_urllist_gallery','i:0;'),('print_pdf_display_urllist_news','i:0;'),('print_pdf_display_urllist_page','i:0;'),('print_pdf_display_urllist_webform','i:1;'),('print_pdf_display_webform','i:1;'),('print_pdf_orientation_article','s:0:\"\";'),('print_pdf_orientation_course','s:0:\"\";'),('print_pdf_orientation_events','s:0:\"\";'),('print_pdf_orientation_faq','s:0:\"\";'),('print_pdf_orientation_gallery','s:0:\"\";'),('print_pdf_orientation_news','s:0:\"\";'),('print_pdf_orientation_page','s:0:\"\";'),('print_pdf_orientation_webform','s:0:\"\";'),('print_pdf_pdf_tool','i:0;'),('print_pdf_size_article','s:0:\"\";'),('print_pdf_size_course','s:0:\"\";'),('print_pdf_size_events','s:0:\"\";'),('print_pdf_size_faq','s:0:\"\";'),('print_pdf_size_gallery','s:0:\"\";'),('print_pdf_size_news','s:0:\"\";'),('print_pdf_size_page','s:0:\"\";'),('print_pdf_size_webform','s:0:\"\";'),('print_sourceurl_date','i:0;'),('print_sourceurl_enabled','i:1;'),('print_sourceurl_forcenode','i:0;'),('print_urls','i:1;'),('print_urls_anchors','i:0;'),('quiz_def_uid','i:1;'),('save_continue_events','s:19:\"Save and add fields\";'),('save_continue_faq','s:19:\"Save and add fields\";'),('save_continue_gallery','s:19:\"Save and add fields\";'),('save_continue_news','s:19:\"Save and add fields\";'),('save_continue_professors','s:19:\"Save and add fields\";'),('save_continue_slideshow','s:19:\"Save and add fields\";'),('save_continue_testimonials','s:19:\"Save and add fields\";'),('save_continue_why_us','s:19:\"Save and add fields\";'),('services_security_update_1','b:1;'),('signup_date_field_article','s:1:\"0\";'),('signup_date_field_course','s:1:\"0\";'),('signup_date_field_events','s:1:\"0\";'),('signup_date_field_news','s:1:\"0\";'),('signup_date_field_page','s:1:\"0\";'),('signup_date_field_webform','s:1:\"0\";'),('signup_node_default_state_article','s:8:\"disabled\";'),('signup_node_default_state_course','s:10:\"enabled_on\";'),('signup_node_default_state_events','s:8:\"disabled\";'),('signup_node_default_state_faq','s:8:\"disabled\";'),('signup_node_default_state_gallery','s:8:\"disabled\";'),('signup_node_default_state_news','s:8:\"disabled\";'),('signup_node_default_state_page','s:8:\"disabled\";'),('signup_node_default_state_webform','s:8:\"disabled\";'),('site_403','s:0:\"\";'),('site_404','s:7:\"node/24\";'),('site_default_country','s:2:\"VN\";'),('site_frontpage','s:6:\"node/1\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:10:\"Edustation\";'),('site_slogan','s:0:\"\";'),('socialfield_services','a:15:{s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"Facebook\";s:4:\"icon\";s:14:\"fa fa-facebook\";s:18:\"validation_pattern\";s:15:\"*facebook.com/*\";}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"Twitter\";s:4:\"icon\";s:13:\"fa fa-twitter\";s:18:\"validation_pattern\";s:14:\"*twitter.com/*\";}s:10:\"googleplus\";a:3:{s:4:\"name\";s:7:\"Google+\";s:4:\"icon\";s:17:\"fa fa-google-plus\";s:18:\"validation_pattern\";s:18:\"*plus.google.com/*\";}s:8:\"linkedin\";a:3:{s:4:\"name\";s:8:\"LinkedIn\";s:4:\"icon\";s:14:\"fa fa-linkedin\";s:18:\"validation_pattern\";s:15:\"*linkedin.com/*\";}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"YouTube\";s:4:\"icon\";s:12:\"icon-youtube\";s:18:\"validation_pattern\";s:14:\"*youtube.com/*\";}s:5:\"vimeo\";a:3:{s:4:\"name\";s:5:\"Vimeo\";s:4:\"icon\";s:10:\"icon-vimeo\";s:18:\"validation_pattern\";s:12:\"*vimeo.com/*\";}s:9:\"delicious\";a:3:{s:4:\"name\";s:9:\"Delicious\";s:4:\"icon\";s:14:\"icon-delicious\";s:18:\"validation_pattern\";s:16:\"*delicious.com/*\";}s:4:\"digg\";a:3:{s:4:\"name\";s:4:\"Digg\";s:4:\"icon\";s:9:\"icon-digg\";s:18:\"validation_pattern\";s:11:\"*digg.com/*\";}s:6:\"flickr\";a:3:{s:4:\"name\";s:6:\"Flickr\";s:4:\"icon\";s:11:\"icon-flickr\";s:18:\"validation_pattern\";s:13:\"*flickr.com/*\";}s:5:\"yahoo\";a:3:{s:4:\"name\";s:6:\"Yahoo!\";s:4:\"icon\";s:10:\"icon-yahoo\";s:18:\"validation_pattern\";s:12:\"*yahoo.com/*\";}s:7:\"myspace\";a:3:{s:4:\"name\";s:7:\"Myspace\";s:4:\"icon\";s:12:\"icon-myspace\";s:18:\"validation_pattern\";s:14:\"*myspace.com/*\";}s:9:\"pinterest\";a:3:{s:4:\"name\";s:9:\"Pinterest\";s:4:\"icon\";s:14:\"icon-pinterest\";s:18:\"validation_pattern\";s:16:\"*pinterest.com/*\";}s:6:\"reddit\";a:3:{s:4:\"name\";s:6:\"Reddit\";s:4:\"icon\";s:11:\"icon-reddit\";s:18:\"validation_pattern\";s:13:\"*reddit.com/*\";}s:10:\"slideshare\";a:3:{s:4:\"name\";s:10:\"Slideshare\";s:4:\"icon\";s:15:\"icon-slideshare\";s:18:\"validation_pattern\";s:17:\"*slideshare.net/*\";}s:11:\"stumbleupon\";a:3:{s:4:\"name\";s:11:\"Stumbleupon\";s:4:\"icon\";s:16:\"icon-stumbleupon\";s:18:\"validation_pattern\";s:18:\"*stumbleupon.com/*\";}}'),('socialmedia_default_link_rel_profile','s:6:\"<none>\";'),('socialmedia_default_link_rel_sharing','s:6:\"<none>\";'),('socialmedia_default_link_target_profile','s:6:\"_blank\";'),('socialmedia_default_link_target_sharing','s:6:\"_blank\";'),('statistics_count_content_views','i:1;'),('statistics_count_content_views_ajax','i:0;'),('statistics_day_timestamp','i:1500369821;'),('statistics_enable_access_log','i:0;'),('statistics_flush_accesslog_timer','s:6:\"259200\";'),('store__active_tab','s:12:\"edit-display\";'),('taxonomy_menu_display_descendants_category','i:0;'),('taxonomy_menu_display_descendants_class','i:0;'),('taxonomy_menu_display_descendants_courses','i:0;'),('taxonomy_menu_display_descendants_events','i:0;'),('taxonomy_menu_display_descendants_services','i:0;'),('taxonomy_menu_display_descendants_social_network','i:0;'),('taxonomy_menu_display_descendants_user','i:0;'),('taxonomy_menu_display_num_category','i:0;'),('taxonomy_menu_display_num_class','i:0;'),('taxonomy_menu_display_num_courses','i:0;'),('taxonomy_menu_display_num_events','i:0;'),('taxonomy_menu_display_num_services','i:0;'),('taxonomy_menu_display_num_social_network','i:0;'),('taxonomy_menu_display_num_user','i:0;'),('taxonomy_menu_end_all_category','b:0;'),('taxonomy_menu_end_all_class','b:0;'),('taxonomy_menu_end_all_courses','b:0;'),('taxonomy_menu_end_all_events','b:0;'),('taxonomy_menu_end_all_services','b:0;'),('taxonomy_menu_end_all_social_network','b:0;'),('taxonomy_menu_end_all_user','b:0;'),('taxonomy_menu_expanded_category','i:1;'),('taxonomy_menu_expanded_class','i:1;'),('taxonomy_menu_expanded_courses','i:1;'),('taxonomy_menu_expanded_events','i:1;'),('taxonomy_menu_expanded_services','i:1;'),('taxonomy_menu_expanded_social_network','i:1;'),('taxonomy_menu_expanded_user','i:1;'),('taxonomy_menu_flat_category','i:0;'),('taxonomy_menu_flat_class','i:0;'),('taxonomy_menu_flat_courses','i:0;'),('taxonomy_menu_flat_events','i:0;'),('taxonomy_menu_flat_services','i:0;'),('taxonomy_menu_flat_social_network','i:0;'),('taxonomy_menu_flat_user','i:0;'),('taxonomy_menu_hide_empty_terms_category','i:0;'),('taxonomy_menu_hide_empty_terms_class','i:0;'),('taxonomy_menu_hide_empty_terms_courses','i:0;'),('taxonomy_menu_hide_empty_terms_events','i:0;'),('taxonomy_menu_hide_empty_terms_services','i:0;'),('taxonomy_menu_hide_empty_terms_social_network','i:0;'),('taxonomy_menu_hide_empty_terms_user','i:0;'),('taxonomy_menu_path_category','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_class','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_courses','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_events','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_services','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_social_network','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_user','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_rebuild_category','i:0;'),('taxonomy_menu_rebuild_class','i:0;'),('taxonomy_menu_rebuild_courses','i:0;'),('taxonomy_menu_rebuild_events','i:0;'),('taxonomy_menu_rebuild_services','i:0;'),('taxonomy_menu_rebuild_social_network','i:0;'),('taxonomy_menu_rebuild_user','i:0;'),('taxonomy_menu_sync_category','i:1;'),('taxonomy_menu_sync_class','i:1;'),('taxonomy_menu_sync_courses','i:1;'),('taxonomy_menu_sync_events','i:1;'),('taxonomy_menu_sync_services','i:1;'),('taxonomy_menu_sync_social_network','i:1;'),('taxonomy_menu_sync_user','i:1;'),('taxonomy_menu_term_item_description_category','i:0;'),('taxonomy_menu_term_item_description_class','i:0;'),('taxonomy_menu_term_item_description_courses','i:0;'),('taxonomy_menu_term_item_description_events','i:0;'),('taxonomy_menu_term_item_description_services','i:0;'),('taxonomy_menu_term_item_description_social_network','i:0;'),('taxonomy_menu_term_item_description_user','i:0;'),('taxonomy_menu_vocab_menu_category','s:9:\"main-menu\";'),('taxonomy_menu_vocab_menu_class','s:1:\"0\";'),('taxonomy_menu_vocab_menu_courses','s:1:\"0\";'),('taxonomy_menu_vocab_menu_events','s:1:\"0\";'),('taxonomy_menu_vocab_menu_services','s:1:\"0\";'),('taxonomy_menu_vocab_menu_social_network','s:1:\"0\";'),('taxonomy_menu_vocab_menu_user','s:1:\"0\";'),('taxonomy_menu_vocab_parent_category','s:4:\"1021\";'),('taxonomy_menu_vocab_parent_class','s:1:\"0\";'),('taxonomy_menu_vocab_parent_courses','s:1:\"0\";'),('taxonomy_menu_vocab_parent_events','s:1:\"0\";'),('taxonomy_menu_vocab_parent_services','s:1:\"0\";'),('taxonomy_menu_vocab_parent_social_network','s:1:\"0\";'),('taxonomy_menu_vocab_parent_user','s:1:\"0\";'),('taxonomy_menu_voc_item_category','b:0;'),('taxonomy_menu_voc_item_class','b:0;'),('taxonomy_menu_voc_item_courses','b:0;'),('taxonomy_menu_voc_item_description_category','i:0;'),('taxonomy_menu_voc_item_description_class','i:0;'),('taxonomy_menu_voc_item_description_courses','i:0;'),('taxonomy_menu_voc_item_description_events','i:0;'),('taxonomy_menu_voc_item_description_services','i:0;'),('taxonomy_menu_voc_item_description_social_network','i:0;'),('taxonomy_menu_voc_item_description_user','i:0;'),('taxonomy_menu_voc_item_events','b:0;'),('taxonomy_menu_voc_item_services','b:0;'),('taxonomy_menu_voc_item_social_network','b:0;'),('taxonomy_menu_voc_item_user','b:0;'),('taxonomy_menu_voc_name_category','b:0;'),('taxonomy_menu_voc_name_class','b:0;'),('taxonomy_menu_voc_name_courses','b:0;'),('taxonomy_menu_voc_name_events','b:0;'),('taxonomy_menu_voc_name_services','b:0;'),('taxonomy_menu_voc_name_social_network','b:0;'),('taxonomy_menu_voc_name_user','b:0;'),('theme_default','s:11:\"educational\";'),('theme_educational_settings','a:19:{s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:1;s:24:\"toggle_node_user_picture\";i:0;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:14:\"different_logo\";i:1;s:4:\"skin\";s:0:\"\";s:10:\"background\";s:10:\"bg-default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1400\";}'),('theme_edustation_settings','a:13:{s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";}'),('theme_settings','a:15:{s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:0;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:16:\"toggle_main_menu\";i:1;s:21:\"toggle_secondary_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";}'),('uc_address_format_124','s:102:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city !zone_code  !postal_code\r\n!country_name_if\";'),('uc_address_format_840','s:102:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city, !zone_code !postal_code\r\n!country_name_if\";'),('uc_currency_code','s:3:\"USD\";'),('uc_currency_dec','s:1:\".\";'),('uc_currency_prec','s:1:\"2\";'),('uc_currency_sign','s:1:\"$\";'),('uc_currency_thou','s:1:\",\";'),('uc_customer_list_address','s:7:\"billing\";'),('uc_footer_message','s:4:\"none\";'),('uc_image_product','s:16:\"uc_product_image\";'),('uc_length_format_cm','s:9:\"!value cm\";'),('uc_length_format_ft','s:9:\"!value ft\";'),('uc_length_format_in','s:9:\"!value in\";'),('uc_length_format_mm','s:9:\"!value mm\";'),('uc_length_unit','s:2:\"in\";'),('uc_order_capitalize_addresses','i:1;'),('uc_sign_after_amount','i:0;'),('uc_store_city','s:0:\"\";'),('uc_store_country','s:3:\"840\";'),('uc_store_email','s:18:\"you@yourdomain.com\";'),('uc_store_email_include_name','i:1;'),('uc_store_fax','s:0:\"\";'),('uc_store_help_page','s:0:\"\";'),('uc_store_name','s:10:\"Edustation\";'),('uc_store_owner','s:0:\"\";'),('uc_store_phone','s:0:\"\";'),('uc_store_postal_code','s:0:\"\";'),('uc_store_street1','s:0:\"\";'),('uc_store_street2','s:0:\"\";'),('uc_store_zone','i:0;'),('uc_weight_format_g','s:8:\"!value g\";'),('uc_weight_format_kg','s:9:\"!value kg\";'),('uc_weight_format_lb','s:9:\"!value lb\";'),('uc_weight_format_oz','s:9:\"!value oz\";'),('uc_weight_unit','s:2:\"lb\";'),('update_last_check','i:1500436649;'),('user_admin_role','s:1:\"3\";'),('user_block_max_list_count','s:2:\"10\";'),('user_block_seconds_online','s:3:\"900\";'),('user_pictures','s:1:\"1\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','i:2;'),('variable_module_list','a:16:{s:4:\"i18n\";a:1:{i:0;s:18:\"i18n_language_list\";}s:11:\"i18n_string\";a:4:{i:0;s:33:\"i18n_string_translate_langcode_en\";i:1;s:27:\"i18n_string_allowed_formats\";i:2;s:27:\"i18n_string_source_language\";i:3;s:17:\"i18n_string_debug\";}s:5:\"forum\";a:5:{i:0;s:15:\"forum_hot_topic\";i:1;s:14:\"forum_per_page\";i:2;s:11:\"forum_order\";i:3;s:20:\"forum_nav_vocabulary\";i:4;s:16:\"forum_containers\";}s:9:\"i18n_node\";a:10:{i:0;s:27:\"i18n_hide_translation_links\";i:1;s:31:\"i18n_node_default_language_none\";i:2;s:25:\"i18n_node_options_article\";i:3;s:22:\"i18n_node_options_page\";i:4;s:36:\"i18n_node_options_flexslider_example\";i:5;s:23:\"i18n_node_options_forum\";i:6;s:26:\"i18n_node_extended_article\";i:7;s:23:\"i18n_node_extended_page\";i:8;s:37:\"i18n_node_extended_flexslider_example\";i:9;s:24:\"i18n_node_extended_forum\";}s:11:\"i18n_select\";a:6:{i:0;s:17:\"i18n_select_nodes\";i:1;s:20:\"i18n_select_taxonomy\";i:2;s:21:\"i18n_select_page_mode\";i:3;s:21:\"i18n_select_page_list\";i:4;s:22:\"i18n_select_page_block\";i:5;s:21:\"i18n_select_skip_tags\";}s:9:\"i18n_sync\";a:4:{i:0;s:27:\"i18n_sync_node_type_article\";i:1;s:24:\"i18n_sync_node_type_page\";i:2;s:38:\"i18n_sync_node_type_flexslider_example\";i:3;s:25:\"i18n_sync_node_type_forum\";}s:14:\"variable_realm\";a:4:{i:0;s:26:\"variable_realm_list_global\";i:1;s:28:\"variable_realm_list_language\";i:2;s:28:\"variable_realm_weight_global\";i:3;s:30:\"variable_realm_weight_language\";}s:13:\"i18n_variable\";a:2:{i:0;s:18:\"i18n_variable_conf\";i:1;s:18:\"i18n_variable_list\";}s:10:\"newsletter\";a:2:{i:0;s:23:\"newsletter_block_prefix\";i:1;s:23:\"newsletter_block_suffix\";}s:5:\"print\";a:1:{i:0;s:20:\"print_html_link_text\";}s:9:\"print_pdf\";a:1:{i:0;s:19:\"print_pdf_link_text\";}s:8:\"uc_store\";a:10:{i:0;s:19:\"uc_field_first_name\";i:1;s:18:\"uc_field_last_name\";i:2;s:16:\"uc_field_company\";i:3;s:16:\"uc_field_street1\";i:4;s:16:\"uc_field_street2\";i:5;s:13:\"uc_field_city\";i:6;s:13:\"uc_field_zone\";i:7;s:20:\"uc_field_postal_code\";i:8;s:16:\"uc_field_country\";i:9;s:14:\"uc_field_phone\";}s:7:\"uc_cart\";a:9:{i:0;s:19:\"uc_msg_order_submit\";i:1;s:22:\"uc_msg_order_logged_in\";i:2;s:26:\"uc_msg_order_existing_user\";i:3;s:21:\"uc_msg_order_new_user\";i:4;s:31:\"uc_msg_order_new_user_logged_in\";i:5;s:24:\"uc_msg_continue_shopping\";i:6;s:27:\"uc_cart_new_account_details\";i:7;s:24:\"uc_checkout_instructions\";i:8;s:31:\"uc_checkout_review_instructions\";}s:10:\"print_epub\";a:1:{i:0;s:20:\"print_epub_link_text\";}s:15:\"uc_payment_pack\";a:2:{i:0;s:13:\"uc_cod_policy\";i:1;s:15:\"uc_check_policy\";}s:8:\"colorbox\";a:6:{i:0;s:19:\"colorbox_text_start\";i:1;s:18:\"colorbox_text_stop\";i:2;s:21:\"colorbox_text_current\";i:3;s:22:\"colorbox_text_previous\";i:4;s:18:\"colorbox_text_next\";i:5;s:19:\"colorbox_text_close\";}}'),('variable_realm_list_language','a:2:{i:0;s:9:\"site_name\";i:1;s:11:\"site_slogan\";}'),('views_block_hashes','a:1:{s:32:\"0070a91ad114185c9bacdc9eb0b88ce2\";s:32:\"flexslider_views_example-block_1\";}'),('webform_email_address_individual','i:1;'),('webform_email_html_capable','b:0;'),('webform_node_article','i:0;'),('webform_node_course','i:0;'),('webform_node_events','i:0;'),('webform_node_faq','i:0;'),('webform_node_gallery','i:0;'),('webform_node_news','i:0;'),('webform_node_page','i:0;'),('webform_node_webform','i:1;');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable_store`
--

DROP TABLE IF EXISTS `variable_store`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable_store` (
  `realm` varchar(50) NOT NULL DEFAULT '' COMMENT 'The realm domain of this variable.',
  `realm_key` varchar(50) NOT NULL DEFAULT '' COMMENT 'The realm key of this variable.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longtext NOT NULL COMMENT 'The value of the variable.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`realm`,`realm_key`,`name`),
  KEY `realm_value` (`realm`,`realm_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by modules using...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable_store`
--

LOCK TABLES `variable_store` WRITE;
/*!40000 ALTER TABLE `variable_store` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable_store` VALUES ('language','en','site_name','Edustation',0),('language','en','site_slogan','',0);
/*!40000 ALTER TABLE `variable_store` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (1,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:6:\"fields\";a:7:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:16:\"field_start_date\";i:1;s:18:\"field_start_date_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"date-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:16:\"field_start_date\";a:34:{s:2:\"id\";s:16:\"field_start_date\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:3:\"day\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_start_date_1\";a:34:{s:2:\"id\";s:18:\"field_start_date_1\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:5:\"month\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:12:\"Read more...\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(1,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"2\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:3:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:12:\"Read more...\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:6:\"events\";s:6:\"events\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:16:\"Up coming events\";}'),(3,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(3,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:4:\"name\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"link_to_taxonomy\";i:1;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:7:\"courses\";s:7:\"courses\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:11:\"Our courses\";s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:9:\"css_class\";s:10:\"list-items\";}'),(5,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(5,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:4:\"name\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"link_to_taxonomy\";i:1;}s:11:\"description\";a:21:{s:2:\"id\";s:11:\"description\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:11:\"description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:8:\"services\";s:8:\"services\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:8:\"Services\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(6,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(6,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:38:\"views_bootstrap_accordion_plugin_style\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:13:\"Why choose us\";s:13:\"style_options\";a:1:{s:11:\"title_field\";s:5:\"title\";}}'),(7,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(7,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:20:\"flexslider_thumbnail\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:15:\"field_full_name\";i:1;s:12:\"field__class\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field__class\";a:34:{s:2:\"id\";s:12:\"field__class\";s:5:\"table\";s:23:\"field_data_field__class\";s:5:\"field\";s:12:\"field__class\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Class\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"testimonials\";s:12:\"testimonials\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:12:\"Testimonials\";s:13:\"style_options\";a:0:{}s:13:\"relationships\";a:1:{s:14:\"field_user_uid\";a:9:{s:2:\"id\";s:14:\"field_user_uid\";s:5:\"table\";s:21:\"field_data_field_user\";s:5:\"field\";s:14:\"field_user_uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:10:\"field_user\";s:8:\"required\";i:0;s:5:\"delta\";s:2:\"-1\";}}s:9:\"css_class\";s:21:\"view-home-testimonial\";}'),(8,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(8,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:4:\"perm\";s:20:\"access user profiles\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:9:\"thumbnail\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:12:\"field__class\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field__class\";a:34:{s:2:\"id\";s:12:\"field__class\";s:5:\"table\";s:23:\"field_data_field__class\";s:5:\"field\";s:12:\"field__class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Class\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:19:\"field_user_type_tid\";a:19:{s:2:\"id\";s:19:\"field_user_type_tid\";s:5:\"table\";s:26:\"field_data_field_user_type\";s:5:\"field\";s:19:\"field_user_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:18;s:2:\"18\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:4:\"user\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Student\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"5\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:11:\"view-images\";s:13:\"relationships\";a:1:{s:16:\"field__class_tid\";a:8:{s:2:\"id\";s:16:\"field__class_tid\";s:5:\"table\";s:23:\"field_data_field__class\";s:5:\"field\";s:16:\"field__class_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:22:\"term from field__class\";s:8:\"required\";i:0;}}}'),(11,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(11,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:23:\"views_horizontal_slider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:19:\"slideshow__955x400_\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:4:\"name\";i:1;s:14:\"field_position\";i:2;s:15:\"field_graduated\";i:3;s:11:\"description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:4:\"name\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"link_to_taxonomy\";i:1;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_graduated\";a:34:{s:2:\"id\";s:15:\"field_graduated\";s:5:\"table\";s:26:\"field_data_field_graduated\";s:5:\"field\";s:15:\"field_graduated\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"description\";a:21:{s:2:\"id\";s:11:\"description\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:11:\"description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:10:\"professors\";s:10:\"professors\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:19:\"Accordian Slideshow\";s:13:\"style_options\";a:8:{s:10:\"animate_in\";s:3:\"400\";s:11:\"animate_out\";s:3:\"400\";s:9:\"min_width\";s:3:\"100\";s:9:\"max_width\";s:3:\"840\";s:14:\"activated_item\";s:1:\"1\";s:18:\"caption_field_name\";s:0:\"\";s:20:\"caption_field_fadein\";s:3:\"400\";s:21:\"caption_field_fadeout\";s:3:\"400\";}s:9:\"css_class\";s:20:\"view-slide-accordian\";}'),(12,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(12,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:9:\"slideshow\";s:9:\"slideshow\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:9:\"Slideshow\";}'),(13,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(13,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:5:\"metro\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:8:{s:11:\"field_class\";a:34:{s:2:\"id\";s:11:\"field_class\";s:5:\"table\";s:22:\"field_data_field_class\";s:5:\"field\";s:11:\"field_class\";s:12:\"relationship\";s:13:\"term_node_tid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:14:\"field_category\";i:1;s:11:\"field_image\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_category\";a:34:{s:2:\"id\";s:14:\"field_category\";s:5:\"table\";s:25:\"field_data_field_category\";s:5:\"field\";s:14:\"field_category\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:112:\"<a href=\"/weebpal/educational/news/global\" typeof=\"skos:Concept\" property=\"rdfs:label skos:prefLabel\">Global</a>\";s:9:\"make_link\";i:1;s:4:\"path\";s:1:\" \";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:13:\"[field_class]\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:34:\"i18n_taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:7:\"created\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"group-content\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"50\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:14:\"month_day_year\";s:18:\"custom_date_format\";s:0:\"\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"news\";s:4:\"news\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"News\";s:13:\"style_options\";a:10:{s:4:\"menu\";s:0:\"\";s:10:\"position_1\";s:1:\"0\";s:10:\"position_2\";s:1:\"0\";s:10:\"position_3\";s:1:\"0\";s:10:\"position_4\";s:1:\"0\";s:10:\"position_5\";s:1:\"0\";s:10:\"position_6\";s:1:\"0\";s:10:\"position_7\";s:1:\"0\";s:10:\"position_8\";s:1:\"0\";s:10:\"position_9\";s:1:\"0\";}s:13:\"relationships\";a:1:{s:13:\"term_node_tid\";a:9:{s:2:\"id\";s:13:\"term_node_tid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:13:\"term_node_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"term\";s:8:\"required\";i:0;s:12:\"vocabularies\";a:15:{s:8:\"category\";s:8:\"category\";s:6:\"forums\";i:0;s:7:\"courses\";i:0;s:6:\"events\";i:0;s:18:\"gallery_categories\";i:0;s:8:\"location\";i:0;s:10:\"newsletter\";i:0;s:21:\"newsletter_categories\";i:0;s:10:\"our_campus\";i:0;s:10:\"professors\";i:0;s:8:\"services\";i:0;s:9:\"statistic\";i:0;s:6:\"status\";i:0;s:4:\"tags\";i:0;s:4:\"user\";i:0;}}}s:9:\"css_class\";s:10:\"view-metro\";}'),(14,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";}'),(14,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"7\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:7:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:19:\"slideshow__760x400_\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:0;s:14:\"convert_spaces\";i:0;}s:6:\"name_1\";a:21:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:6:\"name_2\";i:1;s:11:\"description\";i:2;s:13:\"field_address\";i:3;s:9:\"field_tel\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:6:\"name_2\";a:23:{s:2:\"id\";s:6:\"name_2\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:13:\"[name] Campus\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:1;s:14:\"convert_spaces\";i:0;}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"field_tel\";a:34:{s:2:\"id\";s:9:\"field_tel\";s:5:\"table\";s:20:\"field_data_field_tel\";s:5:\"field\";s:9:\"field_tel\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:10:\"our_campus\";s:10:\"our_campus\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:16:\"Campus Slideshow\";s:13:\"style_options\";a:8:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:14:\"slideshow_skin\";s:7:\"default\";s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:21:\"views_slideshow_cycle\";a:24:{s:6:\"effect\";s:4:\"fade\";s:19:\"transition_advanced\";i:0;s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:4:\"sync\";i:1;s:6:\"random\";i:0;s:5:\"pause\";i:1;s:14:\"pause_on_click\";i:0;s:15:\"action_advanced\";i:0;s:12:\"start_paused\";i:0;s:14:\"remember_slide\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"pause_in_middle\";i:0;s:17:\"pause_when_hidden\";i:0;s:22:\"pause_when_hidden_type\";s:4:\"full\";s:22:\"amount_allowed_visible\";s:0:\"\";s:6:\"nowrap\";i:0;s:12:\"fixed_height\";i:1;s:15:\"items_per_slide\";s:1:\"1\";s:19:\"wait_for_image_load\";i:1;s:27:\"wait_for_image_load_timeout\";s:4:\"3000\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:6:{s:8:\"fieldset\";i:0;s:11:\"field_image\";i:0;s:11:\"description\";i:0;s:13:\"field_address\";i:0;s:9:\"field_tel\";i:0;s:4:\"name\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:6:{s:4:\"name\";s:4:\"name\";s:8:\"fieldset\";i:0;s:11:\"field_image\";i:0;s:11:\"description\";i:0;s:13:\"field_address\";i:0;s:9:\"field_tel\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}}s:9:\"skin_info\";a:5:{s:4:\"name\";s:7:\"Default\";s:5:\"class\";s:7:\"default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}}s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}}'),(15,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(15,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:12:\"field_status\";a:34:{s:2:\"id\";s:12:\"field_status\";s:5:\"table\";s:23:\"field_data_field_status\";s:5:\"field\";s:12:\"field_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"name\";i:2;s:17:\"field_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:15:\"[title] Courses\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:9:\"By [name]\";s:9:\"make_link\";i:1;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:0;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"course\";s:6:\"course\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:10:\"Hot course\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}}'),(16,'default','Master','default',1,'a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:10:{s:11:\"field_class\";a:34:{s:2:\"id\";s:11:\"field_class\";s:5:\"table\";s:22:\"field_data_field_class\";s:5:\"field\";s:11:\"field_class\";s:12:\"relationship\";s:13:\"term_node_tid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:14:\"field_category\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"images-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_category\";a:34:{s:2:\"id\";s:14:\"field_category\";s:5:\"table\";s:25:\"field_data_field_category\";s:5:\"field\";s:14:\"field_category\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:1:\" \";s:9:\"make_link\";i:1;s:4:\"path\";s:2:\"  \";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:13:\"[field_class]\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:5:{i:0;s:5:\"title\";i:1;s:10:\"totalcount\";i:2;s:7:\"created\";i:3;s:4:\"body\";i:4;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"40\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"totalcount\";a:30:{s:2:\"id\";s:10:\"totalcount\";s:5:\"table\";s:12:\"node_counter\";s:5:\"field\";s:10:\"totalcount\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:39:\"<i class=\"fa fa-user\"></i> [totalcount]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:40:\"<i class=\"fa fa-calendar\"></i> [created]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:9:\"Read more\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:55:\" [view_node] <i class=\"fa fa-chevron-circle-right\"></i>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"news\";s:4:\"news\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"News\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:6:\"header\";a:0:{}s:9:\"arguments\";a:2:{s:3:\"tid\";a:25:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";i:0;s:9:\"add_table\";i:0;s:13:\"require_value\";i:0;s:17:\"reduce_duplicates\";i:0;s:14:\"set_breadcrumb\";i:0;}s:19:\"term_node_tid_depth\";a:24:{s:2:\"id\";s:19:\"term_node_tid_depth\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:19:\"term_node_tid_depth\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:5:\"depth\";s:1:\"2\";s:12:\"break_phrase\";i:0;s:14:\"set_breadcrumb\";i:0;s:22:\"use_taxonomy_term_path\";i:0;}}s:9:\"css_class\";s:24:\"view-news-page view-grid\";s:13:\"relationships\";a:1:{s:13:\"term_node_tid\";a:9:{s:2:\"id\";s:13:\"term_node_tid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:13:\"term_node_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"term\";s:8:\"required\";i:0;s:12:\"vocabularies\";a:15:{s:8:\"category\";s:8:\"category\";s:6:\"forums\";i:0;s:7:\"courses\";i:0;s:6:\"events\";i:0;s:18:\"gallery_categories\";i:0;s:8:\"location\";i:0;s:10:\"newsletter\";i:0;s:21:\"newsletter_categories\";i:0;s:10:\"our_campus\";i:0;s:10:\"professors\";i:0;s:8:\"services\";i:0;s:9:\"statistic\";i:0;s:6:\"status\";i:0;s:4:\"tags\";i:0;s:4:\"user\";i:0;}}}}'),(16,'page','Page','page',2,'a:8:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"news\";s:12:\"style_plugin\";s:4:\"list\";s:8:\"defaults\";a:5:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:39:\"view-news-page view-news-list animation\";}'),(16,'page_1','Page Grid','page',3,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:9:\"news/grid\";}'),(17,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(17,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:7:\"created\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"40\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:14:\"month_day_year\";s:18:\"custom_date_format\";s:0:\"\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"news\";s:4:\"news\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:11:\"Recent post\";s:9:\"css_class\";s:16:\"view-list-items \";}'),(18,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"events\";s:6:\"events\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:6:\"Events\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:9:\"css_class\";s:38:\"events-view view-events-list animation\";}'),(18,'page','Page','page',2,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:6:\"events\";s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"events\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:16:\"field_start_date\";i:1;s:18:\"field_start_date_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"date-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:16:\"field_start_date\";a:34:{s:2:\"id\";s:16:\"field_start_date\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:3:\"day\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_start_date_1\";a:34:{s:2:\"id\";s:18:\"field_start_date_1\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:5:\"month\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:9:\"Read more\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:8:\"defaults\";a:7:{s:6:\"fields\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:12:\"style_plugin\";s:4:\"list\";s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"5\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;}'),(18,'page_1','Page Grid','page',3,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:11:\"events/grid\";s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"events\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:16:\"field_start_date\";i:1;s:18:\"field_start_date_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"date-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:16:\"field_start_date\";a:34:{s:2:\"id\";s:16:\"field_start_date\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:3:\"day\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_start_date_1\";a:34:{s:2:\"id\";s:18:\"field_start_date_1\";s:5:\"table\";s:27:\"field_data_field_start_date\";s:5:\"field\";s:16:\"field_start_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"date_default\";s:8:\"settings\";a:7:{s:11:\"format_type\";s:5:\"month\";s:6:\"fromto\";s:4:\"both\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:16:\"show_repeat_rule\";s:4:\"show\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:9:\"Read more\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:8:\"defaults\";a:2:{s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:9:\"css_class\";s:38:\"events-view view-events-grid animation\";}'),(19,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(19,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:7:\"created\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"40\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:14:\"month_day_year\";s:18:\"custom_date_format\";s:0:\"\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"news\";s:4:\"news\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:11:\"Recent news\";s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:9:\"css_class\";s:15:\"view-list-items\";}'),(20,'block','Block','block',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:9:\"arguments\";a:1:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:3:\"raw\";s:24:\"default_argument_options\";a:2:{s:5:\"index\";s:1:\"1\";s:9:\"use_alias\";i:0;}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";i:0;s:3:\"not\";i:0;}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}}'),(20,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:12:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:11:\"field_image\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:7:{i:0;s:15:\"field_user_type\";i:1;s:7:\"picture\";i:2;s:10:\"fieldset_2\";i:3;s:12:\"field_during\";i:4;s:13:\"field_timings\";i:5;s:14:\"field_location\";i:6;s:12:\"field_campus\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_user_type\";a:34:{s:2:\"id\";s:15:\"field_user_type\";s:5:\"table\";s:26:\"field_data_field_user_type\";s:5:\"field\";s:15:\"field_user_type\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:22:\"field_user_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"group-user\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:22:\"field_user_description\";a:34:{s:2:\"id\";s:22:\"field_user_description\";s:5:\"table\";s:33:\"field_data_field_user_description\";s:5:\"field\";s:22:\"field_user_description\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_during\";a:34:{s:2:\"id\";s:12:\"field_during\";s:5:\"table\";s:23:\"field_data_field_during\";s:5:\"field\";s:12:\"field_during\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_timings\";a:34:{s:2:\"id\";s:13:\"field_timings\";s:5:\"table\";s:24:\"field_data_field_timings\";s:5:\"field\";s:13:\"field_timings\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:7:\"Timings\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_location\";a:34:{s:2:\"id\";s:14:\"field_location\";s:5:\"table\";s:25:\"field_data_field_location\";s:5:\"field\";s:14:\"field_location\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Location\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_campus\";a:34:{s:2:\"id\";s:12:\"field_campus\";s:5:\"table\";s:23:\"field_data_field_campus\";s:5:\"field\";s:12:\"field_campus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Campus\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"events\";s:6:\"events\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"relationships\";a:2:{s:16:\"field_person_uid\";a:9:{s:2:\"id\";s:16:\"field_person_uid\";s:5:\"table\";s:23:\"field_data_field_person\";s:5:\"field\";s:16:\"field_person_uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:12:\"field_person\";s:8:\"required\";i:0;s:5:\"delta\";s:2:\"-1\";}s:19:\"field_user_type_tid\";a:8:{s:2:\"id\";s:19:\"field_user_type_tid\";s:5:\"table\";s:26:\"field_data_field_user_type\";s:5:\"field\";s:19:\"field_user_type_tid\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:25:\"term from field_user_type\";s:8:\"required\";i:0;}}s:9:\"css_class\";s:18:\"view-event-speaker\";}'),(21,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:9:{s:13:\"submit_button\";s:13:\"Search Course\";s:12:\"reset_button\";i:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";i:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";s:10:\"autosubmit\";i:0;s:15:\"autosubmit_hide\";i:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"6\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:15:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"events\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:10:\"fieldset_4\";i:1;s:10:\"fieldset_1\";i:2;s:10:\"fieldset_2\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_4\";a:23:{s:2:\"id\";s:10:\"fieldset_4\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:17:\"field_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"header-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:7:\"picture\";i:1;s:10:\"fieldset_3\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"user-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:22:\"field_user_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:22:\"field_user_description\";a:34:{s:2:\"id\";s:22:\"field_user_description\";s:5:\"table\";s:33:\"field_data_field_user_description\";s:5:\"field\";s:22:\"field_user_description\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:10:\"totalcount\";i:1;s:12:\"field_during\";i:2;s:18:\"field_date_to_date\";i:3;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"footer-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"totalcount\";a:30:{s:2:\"id\";s:10:\"totalcount\";s:5:\"table\";s:12:\"node_counter\";s:5:\"field\";s:10:\"totalcount\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:39:\"<i class=\"fa fa-user\"></i> [totalcount]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:18:\"field_date_to_date\";a:34:{s:2:\"id\";s:18:\"field_date_to_date\";s:5:\"table\";s:29:\"field_data_field_date_to_date\";s:5:\"field\";s:18:\"field_date_to_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:51:\"<i class=\"fa fa-calendar\"></i> [field_date_to_date]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:55:\" [view_node] <i class=\"fa fa-chevron-circle-right\"></i>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"course\";s:6:\"course\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Courses\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"relationships\";a:1:{s:16:\"field_person_uid\";a:9:{s:2:\"id\";s:16:\"field_person_uid\";s:5:\"table\";s:23:\"field_data_field_person\";s:5:\"field\";s:16:\"field_person_uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:12:\"field_person\";s:8:\"required\";i:0;s:5:\"delta\";s:2:\"-1\";}}s:6:\"header\";a:0:{}s:9:\"css_class\";s:40:\"view-courses view-courses-list animation\";}'),(21,'page','Page','page',2,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:12:\"courses/list\";s:12:\"style_plugin\";s:4:\"list\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:12:\"exposed_form\";b:0;s:20:\"exposed_form_options\";b:0;}s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:7:\"filters\";a:5:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"course\";s:6:\"course\";}}s:5:\"title\";a:13:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:0:\"\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:5:\"Title\";s:11:\"description\";N;s:10:\"identifier\";s:5:\"title\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:3:{i:1;a:0:{}i:2;a:0:{}i:3;a:0:{}}}}s:16:\"field_campus_tid\";a:19:{s:2:\"id\";s:16:\"field_campus_tid\";s:5:\"table\";s:23:\"field_data_field_campus\";s:5:\"field\";s:16:\"field_campus_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:19:\"field_campus_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:19:\"field_campus_tid_op\";s:10:\"identifier\";s:16:\"field_campus_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:10:\"our_campus\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:21:\"field_full_name_value\";a:13:{s:2:\"id\";s:21:\"field_full_name_value\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:21:\"field_full_name_value\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:0:\"\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:24:\"field_full_name_value_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:24:\"field_full_name_value_op\";s:10:\"identifier\";s:21:\"field_full_name_value\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:9:{s:13:\"submit_button\";s:14:\"Search Courses\";s:12:\"reset_button\";i:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";i:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";s:10:\"autosubmit\";i:0;s:15:\"autosubmit_hide\";i:1;}}s:20:\"exposed_form_options\";N;}'),(21,'page_1','Page Grid','page',3,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:12:\"courses/grid\";s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:10:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:7:\"filters\";a:5:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:5:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"course\";s:6:\"course\";}s:5:\"group\";i:1;}s:5:\"title\";a:13:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:16:\"field_campus_tid\";a:19:{s:2:\"id\";s:16:\"field_campus_tid\";s:5:\"table\";s:23:\"field_data_field_campus\";s:5:\"field\";s:16:\"field_campus_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:19:\"field_campus_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:19:\"field_campus_tid_op\";s:10:\"identifier\";s:16:\"field_campus_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:10:\"our_campus\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:21:\"field_full_name_value\";a:13:{s:2:\"id\";s:21:\"field_full_name_value\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:21:\"field_full_name_value\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:24:\"field_full_name_value_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:24:\"field_full_name_value_op\";s:10:\"identifier\";s:21:\"field_full_name_value\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:32:\"view-courses view-grid animation\";s:6:\"fields\";a:14:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"events\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:10:\"fieldset_4\";i:1;s:10:\"fieldset_1\";i:2;s:10:\"fieldset_2\";i:3;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_4\";a:23:{s:2:\"id\";s:10:\"fieldset_4\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:17:\"field_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"header-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:7:\"picture\";i:1;s:10:\"fieldset_3\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"user-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:22:\"field_user_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:22:\"field_user_description\";a:34:{s:2:\"id\";s:22:\"field_user_description\";s:5:\"table\";s:33:\"field_data_field_user_description\";s:5:\"field\";s:22:\"field_user_description\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:10:\"totalcount\";i:1;s:18:\"field_date_to_date\";i:2;s:12:\"field_during\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"footer-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"totalcount\";a:30:{s:2:\"id\";s:10:\"totalcount\";s:5:\"table\";s:12:\"node_counter\";s:5:\"field\";s:10:\"totalcount\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:39:\"<i class=\"fa fa-user\"></i> [totalcount]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:18:\"field_date_to_date\";a:34:{s:2:\"id\";s:18:\"field_date_to_date\";s:5:\"table\";s:29:\"field_data_field_date_to_date\";s:5:\"field\";s:18:\"field_date_to_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:55:\" [view_node] <i class=\"fa fa-chevron-circle-right\"></i>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}}'),(22,'default','Master','default',1,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:9:\"load_more\";s:7:\"options\";a:11:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}s:16:\"more_button_text\";s:9:\"Load more\";s:22:\"more_button_empty_text\";s:0:\"\";s:7:\"advance\";a:2:{s:13:\"content_class\";s:0:\"\";s:14:\"pager_selector\";s:0:\"\";}s:7:\"effects\";a:2:{s:4:\"type\";s:4:\"none\";s:5:\"speed\";s:4:\"slow\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:11:\"field_class\";a:34:{s:2:\"id\";s:11:\"field_class\";s:5:\"table\";s:22:\"field_data_field_class\";s:5:\"field\";s:11:\"field_class\";s:12:\"relationship\";s:13:\"term_node_tid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:8:{s:19:\"colorbox_node_style\";s:6:\"medium\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:5:\"large\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:0:\"\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:24:\"field_gallery_categories\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:24:\"field_gallery_categories\";a:34:{s:2:\"id\";s:24:\"field_gallery_categories\";s:5:\"table\";s:35:\"field_data_field_gallery_categories\";s:5:\"field\";s:24:\"field_gallery_categories\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:1:\" \";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:13:\"[field_class]\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:34:\"i18n_taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Gallery\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:8:\"use_ajax\";b:1;s:9:\"css_class\";s:24:\"view-images view-gallery\";s:13:\"relationships\";a:1:{s:13:\"term_node_tid\";a:9:{s:2:\"id\";s:13:\"term_node_tid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:13:\"term_node_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"term\";s:8:\"required\";i:0;s:12:\"vocabularies\";a:15:{s:18:\"gallery_categories\";s:18:\"gallery_categories\";s:6:\"forums\";i:0;s:8:\"category\";i:0;s:7:\"courses\";i:0;s:6:\"events\";i:0;s:8:\"location\";i:0;s:10:\"newsletter\";i:0;s:21:\"newsletter_categories\";i:0;s:10:\"our_campus\";i:0;s:10:\"professors\";i:0;s:8:\"services\";i:0;s:9:\"statistic\";i:0;s:6:\"status\";i:0;s:4:\"tags\";i:0;s:4:\"user\";i:0;}}}}'),(22,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"gallery\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Gallery\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(22,'page_1','Page Edustation','page',3,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:18:\"gallery/edustation\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}s:28:\"field_gallery_categories_tid\";a:19:{s:2:\"id\";s:28:\"field_gallery_categories_tid\";s:5:\"table\";s:35:\"field_data_field_gallery_categories\";s:5:\"field\";s:28:\"field_gallery_categories_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:40;s:2:\"40\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:18:\"gallery_categories\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(22,'page_2','Page News','page',4,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:12:\"gallery/news\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}s:28:\"field_gallery_categories_tid\";a:19:{s:2:\"id\";s:28:\"field_gallery_categories_tid\";s:5:\"table\";s:35:\"field_data_field_gallery_categories\";s:5:\"field\";s:28:\"field_gallery_categories_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:42;s:2:\"42\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:18:\"gallery_categories\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(22,'page_3','Page Scholarship','page',5,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:19:\"gallery/scholarship\";s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}s:28:\"field_gallery_categories_tid\";a:19:{s:2:\"id\";s:28:\"field_gallery_categories_tid\";s:5:\"table\";s:35:\"field_data_field_gallery_categories\";s:5:\"field\";s:28:\"field_gallery_categories_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:43;s:2:\"43\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:18:\"gallery_categories\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(22,'page_4','Page Student','page',6,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:15:\"gallery/student\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}s:28:\"field_gallery_categories_tid\";a:19:{s:2:\"id\";s:28:\"field_gallery_categories_tid\";s:5:\"table\";s:35:\"field_data_field_gallery_categories\";s:5:\"field\";s:28:\"field_gallery_categories_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:41;s:2:\"41\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:18:\"gallery_categories\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(23,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"6\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:3:\"faq\";s:3:\"faq\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"FAQs\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:8:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:14:\"slideshow_skin\";s:7:\"default\";s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:21:\"views_slideshow_cycle\";a:24:{s:6:\"effect\";s:4:\"fade\";s:19:\"transition_advanced\";i:0;s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:4:\"sync\";i:1;s:6:\"random\";i:0;s:5:\"pause\";i:0;s:14:\"pause_on_click\";i:1;s:15:\"action_advanced\";i:0;s:12:\"start_paused\";i:0;s:14:\"remember_slide\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"pause_in_middle\";i:0;s:17:\"pause_when_hidden\";i:0;s:22:\"pause_when_hidden_type\";s:4:\"full\";s:22:\"amount_allowed_visible\";s:0:\"\";s:6:\"nowrap\";i:0;s:12:\"fixed_height\";i:1;s:15:\"items_per_slide\";s:1:\"1\";s:19:\"wait_for_image_load\";i:1;s:27:\"wait_for_image_load_timeout\";s:4:\"3000\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:2:{s:5:\"title\";s:5:\"title\";s:4:\"body\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:2:{s:5:\"title\";s:5:\"title\";s:4:\"body\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}}s:9:\"skin_info\";a:5:{s:4:\"name\";s:7:\"Default\";s:5:\"class\";s:7:\"default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}}s:9:\"css_class\";s:8:\"view-faq\";}'),(23,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"faqs\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:3:\"FAQ\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(24,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(24,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:3:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"description\";i:1;s:4:\"name\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:7:\"counter\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"description\";a:21:{s:2:\"id\";s:11:\"description\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:11:\"description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;}s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:0;s:14:\"convert_spaces\";i:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:9:\"statistic\";s:9:\"statistic\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:9:\"Statistic\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:21:\"view-statistic-amount\";}'),(25,'block','Organistation','block',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";}'),(25,'block_1','History','block',3,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"42\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(25,'block_2','Our mission','block',4,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"43\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(25,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"400\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"41\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:11:\"About Block\";s:9:\"css_class\";s:10:\"view-intro\";}'),(26,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(26,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:4:\"perm\";s:20:\"access user profiles\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"0\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:11:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:7:\"picture\";i:1;s:10:\"fieldset_2\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"user-picture\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:9:\"thumbnail\";}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:14:\"field_facebook\";i:1;s:17:\"field_google_plus\";i:2;s:14:\"field_linkedin\";i:3;s:13:\"field_twitter\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"social-links\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_facebook\";a:34:{s:2:\"id\";s:14:\"field_facebook\";s:5:\"table\";s:25:\"field_data_field_facebook\";s:5:\"field\";s:14:\"field_facebook\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_google_plus\";a:34:{s:2:\"id\";s:17:\"field_google_plus\";s:5:\"table\";s:28:\"field_data_field_google_plus\";s:5:\"field\";s:17:\"field_google_plus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_linkedin\";a:34:{s:2:\"id\";s:14:\"field_linkedin\";s:5:\"table\";s:25:\"field_data_field_linkedin\";s:5:\"field\";s:14:\"field_linkedin\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_twitter\";a:34:{s:2:\"id\";s:13:\"field_twitter\";s:5:\"table\";s:24:\"field_data_field_twitter\";s:5:\"field\";s:13:\"field_twitter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:22:\"field_user_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:22:\"field_user_description\";a:34:{s:2:\"id\";s:22:\"field_user_description\";s:5:\"table\";s:33:\"field_data_field_user_description\";s:5:\"field\";s:22:\"field_user_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:19:\"field_user_type_tid\";a:19:{s:2:\"id\";s:19:\"field_user_type_tid\";s:5:\"table\";s:26:\"field_data_field_user_type\";s:5:\"field\";s:19:\"field_user_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:17;s:2:\"17\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:4:\"user\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:17:\"Meet our teachers\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:14:\"view-jcarousel\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:4:\"both\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"4\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}}'),(27,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(27,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:15:\"field_full_name\";i:1;s:12:\"field__class\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field__class\";a:34:{s:2:\"id\";s:12:\"field__class\";s:5:\"table\";s:23:\"field_data_field__class\";s:5:\"field\";s:12:\"field__class\";s:12:\"relationship\";s:14:\"field_user_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Class\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"testimonials\";s:12:\"testimonials\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:18:\"Testimonials About\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"optionset\";s:7:\"default\";s:12:\"captionfield\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"relationships\";a:1:{s:14:\"field_user_uid\";a:9:{s:2:\"id\";s:14:\"field_user_uid\";s:5:\"table\";s:21:\"field_data_field_user\";s:5:\"field\";s:14:\"field_user_uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:10:\"field_user\";s:8:\"required\";i:0;s:5:\"delta\";s:2:\"-1\";}}s:9:\"css_class\";s:45:\"view-home-testimonial view-about-testimonial \";}'),(28,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:4:\"perm\";s:20:\"access user profiles\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"6\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:4:\"name\";i:1;s:15:\"field_full_name\";i:2;s:12:\"field__class\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field__class\";a:34:{s:2:\"id\";s:12:\"field__class\";s:5:\"table\";s:23:\"field_data_field__class\";s:5:\"field\";s:12:\"field__class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Class\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:19:\"field_user_type_tid\";a:19:{s:2:\"id\";s:19:\"field_user_type_tid\";s:5:\"table\";s:26:\"field_data_field_user_type\";s:5:\"field\";s:19:\"field_user_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:18;s:2:\"18\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:4:\"user\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Student\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"5\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:9:\"css_class\";s:21:\"view-images animation\";}'),(28,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:12:\"list-student\";}'),(29,'block','Block','block',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:9:\"arguments\";a:1:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:3:\"raw\";s:24:\"default_argument_options\";a:2:{s:5:\"index\";s:1:\"1\";s:9:\"use_alias\";i:0;}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";i:0;s:3:\"not\";i:0;}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}}'),(29,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:17:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:11:\"field_image\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:11:{i:0;s:7:\"nothing\";i:1;s:7:\"picture\";i:2;s:10:\"fieldset_2\";i:3;s:3:\"nid\";i:4;s:12:\"field_credit\";i:5;s:13:\"field_integer\";i:6;s:10:\"field_room\";i:7;s:18:\"field_date_to_date\";i:8;s:12:\"field_timing\";i:9;s:12:\"field_campus\";i:10;s:9:\"nothing_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:10:\"INSTRUCTOR\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:15:\"field_full_name\";i:1;s:22:\"field_user_description\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"group-user\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"users/[name]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:22:\"field_user_description\";a:34:{s:2:\"id\";s:22:\"field_user_description\";s:5:\"table\";s:33:\"field_data_field_user_description\";s:5:\"field\";s:22:\"field_user_description\";s:12:\"relationship\";s:16:\"field_person_uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:3:\"nid\";a:30:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:11:\"course_node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:11:\"course_node\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"Course ID\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:12:\"field_credit\";a:34:{s:2:\"id\";s:12:\"field_credit\";s:5:\"table\";s:23:\"field_data_field_credit\";s:5:\"field\";s:12:\"field_credit\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:7:\"Credits\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_integer\";a:34:{s:2:\"id\";s:13:\"field_integer\";s:5:\"table\";s:24:\"field_data_field_integer\";s:5:\"field\";s:13:\"field_integer\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Students\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"field_room\";a:34:{s:2:\"id\";s:10:\"field_room\";s:5:\"table\";s:21:\"field_data_field_room\";s:5:\"field\";s:10:\"field_room\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Room\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_date_to_date\";a:34:{s:2:\"id\";s:18:\"field_date_to_date\";s:5:\"table\";s:29:\"field_data_field_date_to_date\";s:5:\"field\";s:18:\"field_date_to_date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_timing\";a:34:{s:2:\"id\";s:12:\"field_timing\";s:5:\"table\";s:23:\"field_data_field_timing\";s:5:\"field\";s:12:\"field_timing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:7:\"Timings\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_campus\";a:34:{s:2:\"id\";s:12:\"field_campus\";s:5:\"table\";s:23:\"field_data_field_campus\";s:5:\"field\";s:12:\"field_campus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Campus\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:33:\"i18n_taxonomy_term_reference_link\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"nothing_1\";a:21:{s:2:\"id\";s:9:\"nothing_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:55:\"<a href=\"#\" class=\"courses-apply form-submit\">Apply</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:6:\"course\";s:6:\"course\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"relationships\";a:2:{s:16:\"field_person_uid\";a:9:{s:2:\"id\";s:16:\"field_person_uid\";s:5:\"table\";s:23:\"field_data_field_person\";s:5:\"field\";s:16:\"field_person_uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:12:\"field_person\";s:8:\"required\";i:0;s:5:\"delta\";s:2:\"-1\";}s:11:\"course_node\";a:8:{s:2:\"id\";s:11:\"course_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"course_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Course\";s:8:\"required\";i:0;}}s:9:\"css_class\";s:18:\"view-event-speaker\";}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (1,'up_coming_events','','default','node','Up coming events',7),(3,'our_courses','','default','taxonomy_term_data','Our courses',7),(5,'services','','default','taxonomy_term_data','Services',7),(6,'why_choose_us','','default','node','Why choose us',7),(7,'testimonial','','default','node','Testimonial',7),(8,'student','','default','users','Student',7),(11,'slide_accordian','','default','taxonomy_term_data','Slide Accordian',7),(12,'slideshow','','default','node','Slideshow',7),(13,'news','','default','node','News',7),(14,'campus_slideshow','','default','taxonomy_term_data','Campus Slideshow',7),(15,'hot_course','','default','node','Hot course',7),(16,'timenews','raesent finibus eros libero, non luctus tellus tincidunt sit amet.','default','node','News',7),(17,'recent_post','','default','node','Recent post',7),(18,'events','raesent finibus eros libero, non luctus tellus tincidunt sit amet.','default','node','Events',7),(19,'recent_news','','default','node','Recent news',7),(20,'event_speaker','','default','node','Event Speaker',7),(21,'courses','raesent finibus eros libero, non luctus tellus tincidunt sit amet.','default','node','Courses',7),(22,'gallery','raesent finibus eros libero, non luctus tellus tincidunt sit amet.','default','node','Gallery',7),(23,'faqs','raesent finibus eros libero, non luctus tellus tincidunt sit amet.','default','node','FAQs',7),(24,'statistic','','default','taxonomy_term_data','Statistic',7),(25,'about_block','','default','node','About Block',7),(26,'meet_our_teachers','','default','users','Meet our teachers',7),(27,'testimonials_about','','default','node','Testimonials About',7),(28,'list_student','List Students','default','users','List Student',7),(29,'courses_info','','default','node','Courses Info',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=94 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'file','The file %path was not deleted, because it does not exist.','a:1:{s:5:\"%path\";s:36:\"temporary://picture-5-1416459121.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/','http://local2.weebpal.com/drupal7/educational/install.php?profile=standard&locale=en','192.168.1.49',1499936755),(2,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/user','','192.168.1.49',1499936765),(3,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/educational/user','http://local2.weebpal.com/drupal7/educational/user','192.168.1.49',1499936769),(4,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/users/admin','http://local2.weebpal.com/drupal7/educational/user','192.168.1.49',1499936770),(5,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1499936771),(6,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1499936771),(7,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1499936772),(8,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1499936777),(9,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/js/admin_menu/cache/8389622458c34ed5871809bcbbfdf34b','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1499936777),(10,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/admin/modules?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1499936786),(11,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','http://local2.weebpal.com/drupal7/educational/install.php?profile=standard&locale=en','192.168.1.49',1499936789),(12,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules?render=overlay','192.168.1.49',1499936808),(13,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules?render=overlay','192.168.1.49',1499936808),(14,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','','192.168.1.49',1500025413),(15,0,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-6-1422114405.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-6-1422114405.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500025528),(16,0,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500025528),(17,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/educational/user','http://local2.weebpal.com/drupal7/educational/user','192.168.1.49',1500025539),(18,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025541),(19,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025541),(20,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025547),(21,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025547),(22,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025570),(23,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500025570),(24,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"!message\";s:22:\"Undefined index: value\";s:9:\"%function\";s:21:\"theme_status_report()\";s:5:\"%file\";s:61:\"/data/dev/drupal7/educational/modules/system/system.admin.inc\";s:5:\"%line\";i:2598;s:14:\"severity_level\";i:5;}',5,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025588),(25,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"!message\";s:22:\"Undefined index: value\";s:9:\"%function\";s:21:\"theme_status_report()\";s:5:\"%file\";s:61:\"/data/dev/drupal7/educational/modules/system/system.admin.inc\";s:5:\"%line\";i:2598;s:14:\"severity_level\";i:5;}',5,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025636),(26,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"!message\";s:22:\"Undefined index: value\";s:9:\"%function\";s:21:\"theme_status_report()\";s:5:\"%file\";s:61:\"/data/dev/drupal7/educational/modules/system/system.admin.inc\";s:5:\"%line\";i:2598;s:14:\"severity_level\";i:5;}',5,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025648),(27,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:214:\"The following module is missing from the file system: <em class=\"placeholder\">nodeviewcount</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025949),(28,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:211:\"The following module is missing from the file system: <em class=\"placeholder\">simplenews</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025949),(29,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:217:\"The following module is missing from the file system: <em class=\"placeholder\">simplenews_rules</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025949),(30,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:226:\"The following module is missing from the file system: <em class=\"placeholder\">views_universal_accordion</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025949),(31,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500025949),(32,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:211:\"The following module is missing from the file system: <em class=\"placeholder\">simplenews</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026048),(33,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:217:\"The following module is missing from the file system: <em class=\"placeholder\">simplenews_rules</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026048),(34,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:226:\"The following module is missing from the file system: <em class=\"placeholder\">views_universal_accordion</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026048),(35,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026048),(36,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:226:\"The following module is missing from the file system: <em class=\"placeholder\">views_universal_accordion</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026082),(37,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026082),(38,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026116),(39,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:25:\"views_universal_accordion\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500026180),(40,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:16:\"simplenews_rules\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500026180),(41,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:13:\"nodeviewcount\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500026180),(42,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:10:\"simplenews\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500026185),(43,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026192),(44,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026265),(45,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026309),(46,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-6-1422114405.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-6-1422114405.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500026325),(47,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500026325),(48,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026594),(49,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500026994),(50,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500027680),(51,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-6-1422114405.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-6-1422114405.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500027703),(52,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500027703),(53,1,'page not found',' ','N;',4,'','http://local2.weebpal.com/drupal7/educational/%20','http://local2.weebpal.com/drupal7/educational/gallery','192.168.1.49',1500027717),(54,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028172),(55,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028289),(56,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028332),(57,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028420),(58,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/admin/config/services/services-security?render=overlay&render=overlay','192.168.1.49',1500028458),(59,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028467),(60,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028485),(61,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028534),(62,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028641),(63,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:13:\"module_filter\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules?render=overlay','192.168.1.49',1500028976),(64,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:13:\"module_filter\";}',6,'','http://local2.weebpal.com/drupal7/educational/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/educational/admin/modules?render=overlay','192.168.1.49',1500028976),(65,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500028994),(66,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/news/suspendisse-potenti-curabitur-dapibus-0','192.168.1.49',1500029358),(67,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/news/suspendisse-potenti-curabitur-dapibus-0','192.168.1.49',1500029358),(68,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029364),(69,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029364),(70,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029366),(71,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029366),(72,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029407),(73,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/users/admin','192.168.1.49',1500029407),(74,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/user/1/edit?render=overlay','192.168.1.49',1500029408),(75,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-1-1422093597.jpg?itok=JoHm1qde','http://local2.weebpal.com/drupal7/educational/user/1/edit?render=overlay','192.168.1.49',1500029408),(76,1,'file','The file %path was not deleted, because it does not exist.','a:1:{s:5:\"%path\";s:42:\"public://pictures/picture-1-1422093597.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/user/1/edit?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/educational/user/1/edit?render=overlay','192.168.1.49',1500029418),(77,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-6-1422114405.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-6-1422114405.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500029456),(78,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500029456),(79,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500029728),(80,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500283143),(81,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500283143),(82,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','','192.168.1.49',1500283165),(83,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','','192.168.1.49',1500346145),(84,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500369846),(85,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500369846),(86,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','','192.168.1.49',1500369866),(87,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/educational/homepage?destination=node/1','http://local2.weebpal.com/drupal7/educational/','192.168.1.43',1500370211),(88,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/educational/homepage','192.168.1.43',1500370544),(89,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/config?render=overlay','http://local2.weebpal.com/drupal7/educational/','192.168.1.43',1500370686),(90,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/educational/','','192.168.1.49',1500436206),(91,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:208:\"The following module is missing from the file system: <em class=\"placeholder\">content</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/educational/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/educational/admin/reports/status','http://local2.weebpal.com/drupal7/educational/','192.168.1.49',1500436237),(92,1,'image','Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.','a:2:{s:18:\"%source_image_path\";s:42:\"public://pictures/picture-6-1422114405.jpg\";s:16:\"%derivative_path\";s:66:\"public://styles/thumbnail/public/pictures/picture-6-1422114405.jpg\";}',5,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500436727),(93,1,'page not found','sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg','N;',4,'','http://local2.weebpal.com/drupal7/educational/sites/default/files/styles/thumbnail/public/pictures/picture-6-1422114405.jpg?itok=pgUUdb2J','http://local2.weebpal.com/drupal7/educational/about-university','192.168.1.49',1500436727);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES (46,1,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,1,0,0,1,1,'Start','Complete',0,'','','','',NULL,'',0);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_component`
--

DROP TABLE IF EXISTS `webform_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL COMMENT 'The label for this component.',
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_component`
--

LOCK TABLES `webform_component` WRITE;
/*!40000 ALTER TABLE `webform_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_component` VALUES (46,1,0,'your_name','Your name','textfield','','a:5:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:9:\"Your name\";}',1,0),(46,2,0,'your_e_mail','Your e-mail','email','','a:11:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:11:\"Your e-mail\";s:5:\"width\";s:0:\"\";s:6:\"unique\";i:0;s:8:\"disabled\";i:0;s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}s:8:\"analysis\";b:0;}',1,1),(46,4,0,'comments','Comments','textarea','','a:12:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:8:\"Comments\";s:4:\"cols\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:9:\"resizable\";i:1;s:8:\"disabled\";i:0;s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}s:8:\"analysis\";b:0;}',1,3),(46,5,0,'subject','Subject','textfield','','a:14:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:7:\"Subject\";s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}s:8:\"analysis\";b:0;}',1,2);
/*!40000 ALTER TABLE `webform_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional`
--

DROP TABLE IF EXISTS `webform_conditional`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same crid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional`
--

LOCK TABLES `webform_conditional` WRITE;
/*!40000 ALTER TABLE `webform_conditional` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_actions`
--

DROP TABLE IF EXISTS `webform_conditional_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always "component". Indicates what type of ID the "target" column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_actions`
--

LOCK TABLES `webform_conditional_actions` WRITE;
/*!40000 ALTER TABLE `webform_conditional_actions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_rules`
--

DROP TABLE IF EXISTS `webform_conditional_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always "component". Indicates what type of ID the "source" column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_rules`
--

LOCK TABLES `webform_conditional_rules` WRITE;
/*!40000 ALTER TABLE `webform_conditional_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_emails`
--

DROP TABLE IF EXISTS `webform_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail "from" name that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail "from" e-mail address that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key "default", which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the [submission:values] token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including excluded components and value mapping for the TO and FROM addresses for select lists.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_emails`
--

LOCK TABLES `webform_emails` WRITE;
/*!40000 ALTER TABLE `webform_emails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_emails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_last_download`
--

DROP TABLE IF EXISTS `webform_last_download`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_last_download`
--

LOCK TABLES `webform_last_download` WRITE;
/*!40000 ALTER TABLE `webform_last_download` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_last_download` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_roles`
--

DROP TABLE IF EXISTS `webform_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_roles`
--

LOCK TABLES `webform_roles` WRITE;
/*!40000 ALTER TABLE `webform_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_roles` VALUES (46,1),(46,2);
/*!40000 ALTER TABLE `webform_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submissions`
--

DROP TABLE IF EXISTS `webform_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the form was submitted.',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submissions`
--

LOCK TABLES `webform_submissions` WRITE;
/*!40000 ALTER TABLE `webform_submissions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submissions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submitted_data`
--

DROP TABLE IF EXISTS `webform_submitted_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submitted_data`
--

LOCK TABLES `webform_submitted_data` WRITE;
/*!40000 ALTER TABLE `webform_submitted_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submitted_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-07-19 11:01:56
